// tcl wrapper for vtkAbstractContextItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractContextItem.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractContextItemCppCommand(vtkAbstractContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAbstractContextItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractContextItemCppCommand(static_cast<vtkAbstractContextItem *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractContextItemCppCommand(vtkAbstractContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractContextItem",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractContextItem  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractContextItem");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PaintChildren",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->PaintChildren(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 2))
    {
    op->ReleaseGraphicsResources();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddItem",argv[1]))&&(argc == 3))
    {
    vtkAbstractContextItem  *temp0;
    unsigned int      temp20;
    error = 0;

    temp0 = (vtkAbstractContextItem *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractContextItem"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveItem",argv[1]))&&(argc == 3))
    {
    vtkAbstractContextItem  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkAbstractContextItem *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractContextItem"),interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveItem",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->RemoveItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItem",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkAbstractContextItem  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetItem(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractContextItem");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfItems",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfItems();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClearItems",argv[1]))&&(argc == 2))
    {
    op->ClearItems();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScene",argv[1]))&&(argc == 3))
    {
    vtkContextScene  *temp0;
    error = 0;

    temp0 = (vtkContextScene *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContextScene"),interp,error));
    if (!error)
    {
    op->SetScene(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScene",argv[1]))&&(argc == 2))
    {
    vtkContextScene  *temp20;
    temp20 = (op)->GetScene();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextScene");
    return TCL_OK;
    }
  if ((!strcmp("SetParent",argv[1]))&&(argc == 3))
    {
    vtkAbstractContextItem  *temp0;
    error = 0;

    temp0 = (vtkAbstractContextItem *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractContextItem"),interp,error));
    if (!error)
    {
    op->SetParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParent",argv[1]))&&(argc == 2))
    {
    vtkAbstractContextItem  *temp20;
    temp20 = (op)->GetParent();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractContextItem");
    return TCL_OK;
    }
  if ((!strcmp("GetVisible",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetVisible();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVisible",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetVisible(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractContextItemCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractContextItem:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PaintChildren\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\n",NULL);
    Tcl_AppendResult(interp,"  AddItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfItems\n",NULL);
    Tcl_AppendResult(interp,"  ClearItems\n",NULL);
    Tcl_AppendResult(interp,"  SetScene\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScene\n",NULL);
    Tcl_AppendResult(interp,"  SetParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParent\n",NULL);
    Tcl_AppendResult(interp,"  GetVisible\n",NULL);
    Tcl_AppendResult(interp,"  SetVisible\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "PaintChildren" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "AddItem" );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    Tcl_DStringAppendElement ( &dString, "GetItem" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfItems" );
    Tcl_DStringAppendElement ( &dString, "ClearItems" );
    Tcl_DStringAppendElement ( &dString, "SetScene" );
    Tcl_DStringAppendElement ( &dString, "GetScene" );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    Tcl_DStringAppendElement ( &dString, "GetVisible" );
    Tcl_DStringAppendElement ( &dString, "SetVisible" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the item, called whenever the item needs to be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PaintChildren */
    if ( strcmp ( argv[2], "PaintChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PaintChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PaintChildren */
    Tcl_DStringAppendElement ( &dString, " Paint the children of the item, should be called whenever the children\n need to be rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "bool PaintChildren(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for PaintChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release graphics resources hold by the item. The default implementation\n is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddItem */
    if ( strcmp ( argv[2], "AddItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddItem */
    Tcl_DStringAppendElement ( &dString, " Add child items to this item. Increments reference count of item.\n \\return the index of the child item.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int AddItem(vtkAbstractContextItem *item);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for AddItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveItem */
    if ( strcmp ( argv[2], "RemoveItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveItem */
    Tcl_DStringAppendElement ( &dString, " Remove child item from this item. Decrements reference count of item.\n \\param item the item to be removed.\n \\return true on success, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "bool RemoveItem(vtkAbstractContextItem *item);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for RemoveItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveItem */
    if ( strcmp ( argv[2], "RemoveItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveItem */
    Tcl_DStringAppendElement ( &dString, " Remove child item from this item. Decrements reference count of item.\n \\param index of the item to be removed.\n \\return true on success, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "bool RemoveItem(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for RemoveItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetItem */
    if ( strcmp ( argv[2], "GetItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetItem */
    Tcl_DStringAppendElement ( &dString, " Get the item at the specified index.\n \\return the item at the specified index (null if index is invalid).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem *GetItem(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for GetItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfItems */
    if ( strcmp ( argv[2], "GetNumberOfItems" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfItems" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfItems */
    Tcl_DStringAppendElement ( &dString, " Get the number of child items.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfItems();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for GetNumberOfItems */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearItems */
    if ( strcmp ( argv[2], "ClearItems" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearItems" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearItems */
    Tcl_DStringAppendElement ( &dString, " Remove all child items from this item.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearItems();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for ClearItems */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScene */
    if ( strcmp ( argv[2], "SetScene" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScene" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScene */
    Tcl_DStringAppendElement ( &dString, " Set the vtkContextScene for the item, always set for an item in a scene.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScene(vtkContextScene *scene);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for SetScene */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScene */
    if ( strcmp ( argv[2], "GetScene" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScene" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScene */
    Tcl_DStringAppendElement ( &dString, " Get the vtkContextScene for the item, always set for an item in a scene.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene *GetScene();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for GetScene */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParent */
    if ( strcmp ( argv[2], "SetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParent */
    Tcl_DStringAppendElement ( &dString, " Set the parent item. The parent will be set for all items except top\n level items in a scene.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParent(vtkAbstractContextItem *parent);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for SetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParent */
    if ( strcmp ( argv[2], "GetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParent */
    Tcl_DStringAppendElement ( &dString, " Get the parent item. The parent will be set for all items except top\n level items in a tree.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem *GetParent();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for GetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVisible */
    if ( strcmp ( argv[2], "GetVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVisible */
    Tcl_DStringAppendElement ( &dString, " Get the visibility of the item (should it be drawn).\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetVisible();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for GetVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVisible */
    if ( strcmp ( argv[2], "SetVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVisible */
    Tcl_DStringAppendElement ( &dString, " Set the visibility of the item (should it be drawn).\n Visible by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVisible(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    /* Closing for SetVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
