// tcl wrapper for vtkAxis object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxis.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAxisNewCommand()
{
  vtkAxis *temp = vtkAxis::New();
  return static_cast<ClientData>(temp);
}

int vtkContextItemCppCommand(vtkContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAxisCppCommand(vtkAxis *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAxisCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAxisCppCommand(static_cast<vtkAxis *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAxisCppCommand(vtkAxis *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAxis",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkContextItem"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAxis  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAxis  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAxis  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPoint1(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetPoint1();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPoint2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetPoint2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTicks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTicks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTicks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTicks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelProperties",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelProperties();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetMinimum",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimum",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimum();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximum",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximum",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximum();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumLimit",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumLimit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumLimit",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumLimit();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLimit",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumLimit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLimit",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLimit();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMargins",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetMargins();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMargins",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetMargins(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMargins",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetMargins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetTitle();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTitleProperties",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleProperties();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLogScale",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLogScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogScale",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLogScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGridVisible",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGridVisible(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridVisible",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGridVisible();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelsVisible",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLabelsVisible(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelsVisible",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLabelsVisible();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPrecision",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPrecision",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNotation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNotation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNotation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBehavior",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBehavior(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBehavior",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBehavior();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPen",argv[1]))&&(argc == 2))
    {
    vtkPen  *temp20;
    temp20 = (op)->GetPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
    }
  if ((!strcmp("GetGridPen",argv[1]))&&(argc == 2))
    {
    vtkPen  *temp20;
    temp20 = (op)->GetGridPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
    }
  if ((!strcmp("SetTickLabelAlgorithm",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTickLabelAlgorithm(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickLabelAlgorithm",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLabelAlgorithm();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AutoScale",argv[1]))&&(argc == 2))
    {
    op->AutoScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecalculateTickSpacing",argv[1]))&&(argc == 2))
    {
    op->RecalculateTickSpacing();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTickPositions",argv[1]))&&(argc == 2))
    {
    vtkDoubleArray  *temp20;
    temp20 = (op)->GetTickPositions();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDoubleArray");
    return TCL_OK;
    }
  if ((!strcmp("SetTickPositions",argv[1]))&&(argc == 3))
    {
    vtkDoubleArray  *temp0;
    error = 0;

    temp0 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->SetTickPositions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickScenePositions",argv[1]))&&(argc == 2))
    {
    vtkFloatArray  *temp20;
    temp20 = (op)->GetTickScenePositions();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFloatArray");
    return TCL_OK;
    }
  if ((!strcmp("GetTickLabels",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetTickLabels();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetTickLabels",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetTickLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAxisCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAxis:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTicks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTicks\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelProperties\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimum\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximum\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumLimit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumLimit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLimit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLimit\n",NULL);
    Tcl_AppendResult(interp,"  GetMargins\n",NULL);
    Tcl_AppendResult(interp,"  SetMargins\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMargins\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleProperties\n",NULL);
    Tcl_AppendResult(interp,"  SetLogScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogScale\n",NULL);
    Tcl_AppendResult(interp,"  SetGridVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridVisible\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelsVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelsVisible\n",NULL);
    Tcl_AppendResult(interp,"  SetPrecision\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPrecision\n",NULL);
    Tcl_AppendResult(interp,"  SetNotation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNotation\n",NULL);
    Tcl_AppendResult(interp,"  SetBehavior\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBehavior\n",NULL);
    Tcl_AppendResult(interp,"  GetPen\n",NULL);
    Tcl_AppendResult(interp,"  GetGridPen\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLabelAlgorithm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLabelAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AutoScale\n",NULL);
    Tcl_AppendResult(interp,"  RecalculateTickSpacing\n",NULL);
    Tcl_AppendResult(interp,"  GetTickPositions\n",NULL);
    Tcl_AppendResult(interp,"  SetTickPositions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickScenePositions\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLabels\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTicks" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTicks" );
    Tcl_DStringAppendElement ( &dString, "GetLabelProperties" );
    Tcl_DStringAppendElement ( &dString, "SetMinimum" );
    Tcl_DStringAppendElement ( &dString, "GetMinimum" );
    Tcl_DStringAppendElement ( &dString, "SetMaximum" );
    Tcl_DStringAppendElement ( &dString, "GetMaximum" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumLimit" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumLimit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLimit" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLimit" );
    Tcl_DStringAppendElement ( &dString, "GetMargins" );
    Tcl_DStringAppendElement ( &dString, "SetMargins" );
    Tcl_DStringAppendElement ( &dString, "SetMargins" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitleProperties" );
    Tcl_DStringAppendElement ( &dString, "SetLogScale" );
    Tcl_DStringAppendElement ( &dString, "GetLogScale" );
    Tcl_DStringAppendElement ( &dString, "SetGridVisible" );
    Tcl_DStringAppendElement ( &dString, "GetGridVisible" );
    Tcl_DStringAppendElement ( &dString, "SetLabelsVisible" );
    Tcl_DStringAppendElement ( &dString, "GetLabelsVisible" );
    Tcl_DStringAppendElement ( &dString, "SetPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetPrecision" );
    Tcl_DStringAppendElement ( &dString, "SetNotation" );
    Tcl_DStringAppendElement ( &dString, "GetNotation" );
    Tcl_DStringAppendElement ( &dString, "SetBehavior" );
    Tcl_DStringAppendElement ( &dString, "GetBehavior" );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    Tcl_DStringAppendElement ( &dString, "GetGridPen" );
    Tcl_DStringAppendElement ( &dString, "SetTickLabelAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetTickLabelAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "AutoScale" );
    Tcl_DStringAppendElement ( &dString, "RecalculateTickSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetTickPositions" );
    Tcl_DStringAppendElement ( &dString, "SetTickPositions" );
    Tcl_DStringAppendElement ( &dString, "GetTickScenePositions" );
    Tcl_DStringAppendElement ( &dString, "GetTickLabels" );
    Tcl_DStringAppendElement ( &dString, "SetTickLabels" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a 2D Chart object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAxis *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Get/set the position of the axis (LEFT, BOTTOM, RIGHT, TOP, PARALLEL).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPosition(int position);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Get/set the position of the axis (LEFT, BOTTOM, RIGHT, TOP, PARALLEL).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set point 1 of the axis (in pixels), this is usually the origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1(float x, float y);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1 */
    if ( strcmp ( argv[2], "GetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetPoint1();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set point 2 of the axis (in pixels), this is usually the terminus.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2(float x, float y);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2 */
    if ( strcmp ( argv[2], "GetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetPoint2();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTicks */
    if ( strcmp ( argv[2], "SetNumberOfTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTicks */
    Tcl_DStringAppendElement ( &dString, " Set the number of tick marks for this axis. Default is -1, which leads to\n automatic calculation of nicely spaced tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfTicks(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetNumberOfTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTicks */
    if ( strcmp ( argv[2], "GetNumberOfTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTicks */
    Tcl_DStringAppendElement ( &dString, " Get the number of tick marks for this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTicks();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetNumberOfTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelProperties */
    if ( strcmp ( argv[2], "GetLabelProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelProperties */
    Tcl_DStringAppendElement ( &dString, " Get the vtkTextProperty that governs how the axis lables are displayed.\n Note that the alignment properties are not used.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelProperties();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetLabelProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimum */
    if ( strcmp ( argv[2], "SetMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimum */
    Tcl_DStringAppendElement ( &dString, " Set the logical minimum value of the axis, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinimum(double minimum);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimum */
    if ( strcmp ( argv[2], "GetMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimum */
    Tcl_DStringAppendElement ( &dString, " Get the logical minimum value of the axis, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimum();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximum */
    if ( strcmp ( argv[2], "SetMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximum */
    Tcl_DStringAppendElement ( &dString, " Set the logical maximum value of the axis, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximum(double maximum);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximum */
    if ( strcmp ( argv[2], "GetMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximum */
    Tcl_DStringAppendElement ( &dString, " Get the logical maximum value of the axis, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximum();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, " Set the logical range of the axis, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRange(double minimum, double maximum);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, " Set the logical range of the axis, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRange(double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumLimit */
    if ( strcmp ( argv[2], "SetMinimumLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumLimit */
    Tcl_DStringAppendElement ( &dString, " Set the logical lowest possible value for \\a Minimum, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinimumLimit(double lowest);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetMinimumLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumLimit */
    if ( strcmp ( argv[2], "GetMinimumLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumLimit */
    Tcl_DStringAppendElement ( &dString, " Get the logical lowest possible value for \\a Minimum, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumLimit();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetMinimumLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLimit */
    if ( strcmp ( argv[2], "SetMaximumLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLimit */
    Tcl_DStringAppendElement ( &dString, " Set the logical highest possible value for \\a Maximum, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumLimit(double highest);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetMaximumLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLimit */
    if ( strcmp ( argv[2], "GetMaximumLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLimit */
    Tcl_DStringAppendElement ( &dString, " Get the logical highest possible value for \\a Maximum, in plot coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLimit();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetMaximumLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMargins */
    if ( strcmp ( argv[2], "GetMargins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMargins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMargins */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetMargins();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetMargins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMargins */
    if ( strcmp ( argv[2], "SetMargins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMargins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMargins */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMargins(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetMargins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMargins */
    if ( strcmp ( argv[2], "SetMargins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMargins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMargins */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMargins(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetMargins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Get/set the title text of the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleProperties */
    if ( strcmp ( argv[2], "GetTitleProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleProperties */
    Tcl_DStringAppendElement ( &dString, " Get the vtkTextProperty that governs how the axis title is displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleProperties();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetTitleProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLogScale */
    if ( strcmp ( argv[2], "SetLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLogScale */
    Tcl_DStringAppendElement ( &dString, " Get/set whether the axis should use a log scale, default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLogScale(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLogScale */
    if ( strcmp ( argv[2], "GetLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLogScale */
    Tcl_DStringAppendElement ( &dString, " Get/set whether the axis should use a log scale, default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLogScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridVisible */
    if ( strcmp ( argv[2], "SetGridVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridVisible */
    Tcl_DStringAppendElement ( &dString, " Get/set whether the axis grid lines should be drawn, default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridVisible(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetGridVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridVisible */
    if ( strcmp ( argv[2], "GetGridVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridVisible */
    Tcl_DStringAppendElement ( &dString, " Get/set whether the axis grid lines should be drawn, default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGridVisible();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetGridVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelsVisible */
    if ( strcmp ( argv[2], "SetLabelsVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelsVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelsVisible */
    Tcl_DStringAppendElement ( &dString, " Get/set whether the axis labels should be visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelsVisible(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetLabelsVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelsVisible */
    if ( strcmp ( argv[2], "GetLabelsVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelsVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelsVisible */
    Tcl_DStringAppendElement ( &dString, " Get/set whether the axis labels should be visible.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLabelsVisible();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetLabelsVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPrecision */
    if ( strcmp ( argv[2], "SetPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPrecision */
    Tcl_DStringAppendElement ( &dString, " Get/set the numerical precision to use, default is 2.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPrecision(int precision);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPrecision */
    if ( strcmp ( argv[2], "GetPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPrecision */
    Tcl_DStringAppendElement ( &dString, " Get/set the numerical precision to use, default is 2.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNotation */
    if ( strcmp ( argv[2], "SetNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNotation */
    Tcl_DStringAppendElement ( &dString, " Get/set the numerical notation, standard, scientific or mixed (0, 1, 2).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNotation(int notation);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNotation */
    if ( strcmp ( argv[2], "GetNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNotation */
    Tcl_DStringAppendElement ( &dString, " Get/set the numerical notation, standard, scientific or mixed (0, 1, 2).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBehavior */
    if ( strcmp ( argv[2], "SetBehavior" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBehavior" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBehavior */
    Tcl_DStringAppendElement ( &dString, " Get/set the behavior of the axis (auto, fixed, custom). Default is 0 (auto).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBehavior(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetBehavior */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBehavior */
    if ( strcmp ( argv[2], "GetBehavior" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBehavior" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBehavior */
    Tcl_DStringAppendElement ( &dString, " Get/set the behavior of the axis (auto, fixed, custom). Default is 0 (auto).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBehavior();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetBehavior */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPen */
    if ( strcmp ( argv[2], "GetPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPen */
    Tcl_DStringAppendElement ( &dString, " Get a pointer to the vtkPen object that controls the way this axis is drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridPen */
    if ( strcmp ( argv[2], "GetGridPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridPen */
    Tcl_DStringAppendElement ( &dString, " Get a pointer to the vtkPen object that controls the way this axis is drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetGridPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetGridPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLabelAlgorithm */
    if ( strcmp ( argv[2], "SetTickLabelAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLabelAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLabelAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Get/set the tick label algorithm that is used to calculate the min, max\n and tick spacing. There are currently two algoriths, vtkAxis::TICK_SIMPLE\n is the default and uses a simple algorithm. The second option is\n vtkAxis::TICK_WILKINSON which uses an extended Wilkinson algorithm to find\n the optimal range, spacing and font parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLabelAlgorithm(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetTickLabelAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLabelAlgorithm */
    if ( strcmp ( argv[2], "GetTickLabelAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLabelAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLabelAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Get/set the tick label algorithm that is used to calculate the min, max\n and tick spacing. There are currently two algoriths, vtkAxis::TICK_SIMPLE\n is the default and uses a simple algorithm. The second option is\n vtkAxis::TICK_WILKINSON which uses an extended Wilkinson algorithm to find\n the optimal range, spacing and font parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLabelAlgorithm();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetTickLabelAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Update the geometry of the axis. Takes care of setting up the tick mark\n locations etc. Should be called by the scene before rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the axis, called whenever the axis needs to be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoScale */
    if ( strcmp ( argv[2], "AutoScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoScale */
    Tcl_DStringAppendElement ( &dString, " Use this function to autoscale the axes after setting the minimum and\n maximum values. This will cause the axes to select the nicest numbers\n that enclose the minimum and maximum values, and to select an appropriate\n number of tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AutoScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for AutoScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RecalculateTickSpacing */
    if ( strcmp ( argv[2], "RecalculateTickSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RecalculateTickSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RecalculateTickSpacing */
    Tcl_DStringAppendElement ( &dString, " Recalculate the spacing of the tick marks - typically useful to do after\n scaling the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RecalculateTickSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for RecalculateTickSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickPositions */
    if ( strcmp ( argv[2], "GetTickPositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickPositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickPositions */
    Tcl_DStringAppendElement ( &dString, " An array with the positions of the tick marks along the axis line.\n The positions are specified in the plot coordinates of the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDoubleArray *GetTickPositions();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetTickPositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickPositions */
    if ( strcmp ( argv[2], "SetTickPositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickPositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickPositions */
    Tcl_DStringAppendElement ( &dString, " Set the tick positions (in plot coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTickPositions(vtkDoubleArray *positions);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetTickPositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickScenePositions */
    if ( strcmp ( argv[2], "GetTickScenePositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickScenePositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickScenePositions */
    Tcl_DStringAppendElement ( &dString, " An array with the positions of the tick marks along the axis line.\n The positions are specified in scene coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkFloatArray *GetTickScenePositions();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetTickScenePositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLabels */
    if ( strcmp ( argv[2], "GetTickLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLabels */
    Tcl_DStringAppendElement ( &dString, " A string array containing the tick labels for the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetTickLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for GetTickLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLabels */
    if ( strcmp ( argv[2], "SetTickLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLabels */
    Tcl_DStringAppendElement ( &dString, " Set the tick labels for the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTickLabels(vtkStringArray *labels);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    /* Closing for SetTickLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
