// tcl wrapper for vtkChartLegend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChartLegend.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkChartLegendNewCommand()
{
  vtkChartLegend *temp = vtkChartLegend::New();
  return static_cast<ClientData>(temp);
}

int vtkContextItemCppCommand(vtkContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkChartLegendCppCommand(vtkChartLegend *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkChartLegendCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkChartLegendCppCommand(static_cast<vtkChartLegend *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkChartLegendCppCommand(vtkChartLegend *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkChartLegend",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkContextItem"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkChartLegend  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartLegend");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkChartLegend  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartLegend");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkChartLegend  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartLegend");
    return TCL_OK;
    }
  if ((!strcmp("SetPoint",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPoint(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint",argv[1]))&&(argc == 4))
    {
    float  temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHorizontalAlignment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHorizontalAlignment(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHorizontalAlignment",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHorizontalAlignment();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalAlignment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVerticalAlignment(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVerticalAlignment",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVerticalAlignment();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPadding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPadding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPadding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPadding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSymbolWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSymbolWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSymbolWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSymbolWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInline",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetInline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInline",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetInline();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDragEnabled",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDragEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDragEnabled",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDragEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetChart",argv[1]))&&(argc == 3))
    {
    vtkChart  *temp0;
    error = 0;

    temp0 = (vtkChart *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkChart"),interp,error));
    if (!error)
    {
    op->SetChart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChart",argv[1]))&&(argc == 2))
    {
    vtkChart  *temp20;
    temp20 = (op)->GetChart();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChart");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPen",argv[1]))&&(argc == 2))
    {
    vtkPen  *temp20;
    temp20 = (op)->GetPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
    }
  if ((!strcmp("GetBrush",argv[1]))&&(argc == 2))
    {
    vtkBrush  *temp20;
    temp20 = (op)->GetBrush();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrush");
    return TCL_OK;
    }
  if ((!strcmp("GetLabelProperties",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelProperties();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkChartLegendCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkChartLegend:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetHorizontalAlignment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHorizontalAlignment\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalAlignment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalAlignment\n",NULL);
    Tcl_AppendResult(interp,"  SetPadding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPadding\n",NULL);
    Tcl_AppendResult(interp,"  SetSymbolWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSymbolWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelSize\n",NULL);
    Tcl_AppendResult(interp,"  SetInline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInline\n",NULL);
    Tcl_AppendResult(interp,"  SetDragEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDragEnabled\n",NULL);
    Tcl_AppendResult(interp,"  SetChart\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChart\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPen\n",NULL);
    Tcl_AppendResult(interp,"  GetBrush\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelProperties\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    Tcl_DStringAppendElement ( &dString, "SetHorizontalAlignment" );
    Tcl_DStringAppendElement ( &dString, "GetHorizontalAlignment" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalAlignment" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalAlignment" );
    Tcl_DStringAppendElement ( &dString, "SetPadding" );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
    Tcl_DStringAppendElement ( &dString, "SetSymbolWidth" );
    Tcl_DStringAppendElement ( &dString, "GetSymbolWidth" );
    Tcl_DStringAppendElement ( &dString, "SetLabelSize" );
    Tcl_DStringAppendElement ( &dString, "GetLabelSize" );
    Tcl_DStringAppendElement ( &dString, "SetInline" );
    Tcl_DStringAppendElement ( &dString, "GetInline" );
    Tcl_DStringAppendElement ( &dString, "SetDragEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetDragEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetChart" );
    Tcl_DStringAppendElement ( &dString, "GetChart" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    Tcl_DStringAppendElement ( &dString, "GetBrush" );
    Tcl_DStringAppendElement ( &dString, "GetLabelProperties" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a 2D Chart object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkChartLegend *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint */
    if ( strcmp ( argv[2], "SetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint(float, float);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint */
    if ( strcmp ( argv[2], "SetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint(float a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint */
    if ( strcmp ( argv[2], "GetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHorizontalAlignment */
    if ( strcmp ( argv[2], "SetHorizontalAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHorizontalAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHorizontalAlignment */
    Tcl_DStringAppendElement ( &dString, " Set the horizontal alignment of the legend to the point specified.\n Valid values are LEFT, CENTER and RIGHT.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHorizontalAlignment(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetHorizontalAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHorizontalAlignment */
    if ( strcmp ( argv[2], "GetHorizontalAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHorizontalAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHorizontalAlignment */
    Tcl_DStringAppendElement ( &dString, " Get the horizontal alignment of the legend to the point specified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHorizontalAlignment();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetHorizontalAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalAlignment */
    if ( strcmp ( argv[2], "SetVerticalAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalAlignment */
    Tcl_DStringAppendElement ( &dString, " Set the vertical alignment of the legend to the point specified.\n Valid values are TOP, CENTER and BOTTOM.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalAlignment(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetVerticalAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalAlignment */
    if ( strcmp ( argv[2], "GetVerticalAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalAlignment */
    Tcl_DStringAppendElement ( &dString, " Get the vertical alignment of the legend to the point specified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVerticalAlignment();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetVerticalAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPadding */
    if ( strcmp ( argv[2], "SetPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPadding */
    Tcl_DStringAppendElement ( &dString, " Set the padding between legend marks, default is 5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPadding(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPadding */
    if ( strcmp ( argv[2], "GetPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPadding */
    Tcl_DStringAppendElement ( &dString, " Get the padding between legend marks.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPadding();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSymbolWidth */
    if ( strcmp ( argv[2], "SetSymbolWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSymbolWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSymbolWidth */
    Tcl_DStringAppendElement ( &dString, " Set the symbol width, default is 15.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSymbolWidth(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetSymbolWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSymbolWidth */
    if ( strcmp ( argv[2], "GetSymbolWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSymbolWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSymbolWidth */
    Tcl_DStringAppendElement ( &dString, " Get the legend symbol width.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSymbolWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetSymbolWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelSize */
    if ( strcmp ( argv[2], "SetLabelSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelSize */
    Tcl_DStringAppendElement ( &dString, " Set the point size of the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelSize(int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetLabelSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelSize */
    if ( strcmp ( argv[2], "GetLabelSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelSize */
    Tcl_DStringAppendElement ( &dString, " Get the point size of the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLabelSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetLabelSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInline */
    if ( strcmp ( argv[2], "SetInline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInline */
    Tcl_DStringAppendElement ( &dString, " Get/set if the legend should be drawn inline (inside the chart), or not.\n True would generally request that the chart draws it inside the chart,\n false would adjust the chart axes and make space to draw the axes outside.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInline(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetInline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInline */
    if ( strcmp ( argv[2], "GetInline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInline */
    Tcl_DStringAppendElement ( &dString, " Get/set if the legend should be drawn inline (inside the chart), or not.\n True would generally request that the chart draws it inside the chart,\n false would adjust the chart axes and make space to draw the axes outside.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetInline();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetInline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDragEnabled */
    if ( strcmp ( argv[2], "SetDragEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDragEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDragEnabled */
    Tcl_DStringAppendElement ( &dString, " Get/set if the legend can be dragged with the mouse button, or not.\n True results in left click and drag causing the legend to move around the\n scene. False disables response to mouse events.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDragEnabled(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetDragEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDragEnabled */
    if ( strcmp ( argv[2], "GetDragEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDragEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDragEnabled */
    Tcl_DStringAppendElement ( &dString, " Get/set if the legend can be dragged with the mouse button, or not.\n True results in left click and drag causing the legend to move around the\n scene. False disables response to mouse events.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDragEnabled();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetDragEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetChart */
    if ( strcmp ( argv[2], "SetChart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetChart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetChart */
    Tcl_DStringAppendElement ( &dString, " Set the chart that the legend belongs to and will draw the legend for.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetChart(vtkChart *chart);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for SetChart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChart */
    if ( strcmp ( argv[2], "GetChart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChart */
    Tcl_DStringAppendElement ( &dString, " Get the chart that the legend belongs to and will draw the legend for.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkChart *GetChart();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetChart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Update the geometry of the axis. Takes care of setting up the tick mark\n locations etc. Should be called by the scene before rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the axis, called whenever the axis needs to be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPen */
    if ( strcmp ( argv[2], "GetPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPen */
    Tcl_DStringAppendElement ( &dString, " Get the pen used to draw the legend outline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBrush */
    if ( strcmp ( argv[2], "GetBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBrush */
    Tcl_DStringAppendElement ( &dString, " Get the brush used to draw the legend background.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBrush *GetBrush();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelProperties */
    if ( strcmp ( argv[2], "GetLabelProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelProperties */
    Tcl_DStringAppendElement ( &dString, " Get the vtkTextProperty for the legend's labels.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelProperties();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend" );
    /* Closing for GetLabelProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
