// tcl wrapper for vtkChart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChart.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkContextItemCppCommand(vtkContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkChartCppCommand(vtkChart *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkChartCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkChartCppCommand(static_cast<vtkChart *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkChartCppCommand(vtkChart *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkChart",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkContextItem"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkChart  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChart");
    return TCL_OK;
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddPlot",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPlot  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->AddPlot(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddPlot",argv[1]))&&(argc == 3))
    {
    vtkPlot  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddPlot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePlot",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->RemovePlot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePlotInstance",argv[1]))&&(argc == 3))
    {
    vtkPlot  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
    {
    temp20 = (op)->RemovePlotInstance(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearPlots",argv[1]))&&(argc == 2))
    {
    op->ClearPlots();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPlot",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkPlot  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlot(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPlots",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPlots();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAxis  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAxis(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAxes",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfAxes();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RecalculateBounds",argv[1]))&&(argc == 2))
    {
    op->RecalculateBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnnotationLink",argv[1]))&&(argc == 3))
    {
    vtkAnnotationLink  *temp0;
    error = 0;

    temp0 = (vtkAnnotationLink *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAnnotationLink"),interp,error));
    if (!error)
    {
    op->SetAnnotationLink(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnnotationLink",argv[1]))&&(argc == 2))
    {
    vtkAnnotationLink  *temp20;
    temp20 = (op)->GetAnnotationLink();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotationLink");
    return TCL_OK;
    }
  if ((!strcmp("SetGeometry",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGeometry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGeometry",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeometry",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetGeometry();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPoint1(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPoint1();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPoint2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPoint2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetShowLegend",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetShowLegend(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowLegend",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetShowLegend();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLegend",argv[1]))&&(argc == 2))
    {
    vtkChartLegend  *temp20;
    temp20 = (op)->GetLegend();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartLegend");
    return TCL_OK;
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetTitle();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTitleProperties",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleProperties();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetBottomBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBottomBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTopBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTopBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLeftBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRightBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBorders",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetBorders(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutStrategy",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLayoutStrategy();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoSize",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAutoSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoSize",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAutoSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderEmpty",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRenderEmpty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderEmpty",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRenderEmpty();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetActionToButton",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetActionToButton(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActionToButton",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetActionToButton(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClickActionToButton",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetClickActionToButton(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClickActionToButton",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetClickActionToButton(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundBrush",argv[1]))&&(argc == 3))
    {
    vtkBrush  *temp0;
    error = 0;

    temp0 = (vtkBrush *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBrush"),interp,error));
    if (!error)
    {
    op->SetBackgroundBrush(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundBrush",argv[1]))&&(argc == 2))
    {
    vtkBrush  *temp20;
    temp20 = (op)->GetBackgroundBrush();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrush");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkChartCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkChart:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddPlot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddPlot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemovePlot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemovePlotInstance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearPlots\n",NULL);
    Tcl_AppendResult(interp,"  GetPlot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPlots\n",NULL);
    Tcl_AppendResult(interp,"  GetAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAxes\n",NULL);
    Tcl_AppendResult(interp,"  RecalculateBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetAnnotationLink\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnnotationLink\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2\n",NULL);
    Tcl_AppendResult(interp,"  SetShowLegend\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowLegend\n",NULL);
    Tcl_AppendResult(interp,"  GetLegend\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleProperties\n",NULL);
    Tcl_AppendResult(interp,"  SetBottomBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTopBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRightBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBorders\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoSize\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderEmpty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderEmpty\n",NULL);
    Tcl_AppendResult(interp,"  SetActionToButton\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActionToButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetClickActionToButton\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClickActionToButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundBrush\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundBrush\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionMode\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    Tcl_DStringAppendElement ( &dString, "RemovePlot" );
    Tcl_DStringAppendElement ( &dString, "RemovePlotInstance" );
    Tcl_DStringAppendElement ( &dString, "ClearPlots" );
    Tcl_DStringAppendElement ( &dString, "GetPlot" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPlots" );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    Tcl_DStringAppendElement ( &dString, "RecalculateBounds" );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLink" );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetShowLegend" );
    Tcl_DStringAppendElement ( &dString, "GetShowLegend" );
    Tcl_DStringAppendElement ( &dString, "GetLegend" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitleProperties" );
    Tcl_DStringAppendElement ( &dString, "SetBottomBorder" );
    Tcl_DStringAppendElement ( &dString, "SetTopBorder" );
    Tcl_DStringAppendElement ( &dString, "SetLeftBorder" );
    Tcl_DStringAppendElement ( &dString, "SetRightBorder" );
    Tcl_DStringAppendElement ( &dString, "SetBorders" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetAutoSize" );
    Tcl_DStringAppendElement ( &dString, "GetAutoSize" );
    Tcl_DStringAppendElement ( &dString, "SetRenderEmpty" );
    Tcl_DStringAppendElement ( &dString, "GetRenderEmpty" );
    Tcl_DStringAppendElement ( &dString, "SetActionToButton" );
    Tcl_DStringAppendElement ( &dString, "GetActionToButton" );
    Tcl_DStringAppendElement ( &dString, "SetClickActionToButton" );
    Tcl_DStringAppendElement ( &dString, "GetClickActionToButton" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundBrush" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundBrush" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChart *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the chart, called whenever the chart needs to be drawn\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint(vtkContext2D *painter) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPlot */
    if ( strcmp ( argv[2], "AddPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPlot */
    Tcl_DStringAppendElement ( &dString, " Add a plot to the chart, defaults to using the name of the y column\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPlot *AddPlot(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for AddPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPlot */
    if ( strcmp ( argv[2], "AddPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPlot */
    Tcl_DStringAppendElement ( &dString, " Add a plot to the chart. Return the index of the plot, -1 if it failed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType AddPlot(vtkPlot *plot);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for AddPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemovePlot */
    if ( strcmp ( argv[2], "RemovePlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePlot */
    Tcl_DStringAppendElement ( &dString, " Remove the plot at the specified index, returns true if successful,\n false if the index was invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RemovePlot(vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for RemovePlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemovePlotInstance */
    if ( strcmp ( argv[2], "RemovePlotInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePlotInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePlotInstance */
    Tcl_DStringAppendElement ( &dString, " Remove the given plot.  Returns true if successful, false if the plot\n was not contained in this chart.  Note, the base implementation of\n this method performs a linear search to locate the plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RemovePlotInstance(vtkPlot *plot);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for RemovePlotInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearPlots */
    if ( strcmp ( argv[2], "ClearPlots" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearPlots" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearPlots */
    Tcl_DStringAppendElement ( &dString, " Remove all plots from the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearPlots();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for ClearPlots */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlot */
    if ( strcmp ( argv[2], "GetPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlot */
    Tcl_DStringAppendElement ( &dString, " Get the plot at the specified index, returns null if the index is invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPlot *GetPlot(vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPlots */
    if ( strcmp ( argv[2], "GetNumberOfPlots" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPlots" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPlots */
    Tcl_DStringAppendElement ( &dString, " Get the number of plots the chart contains.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfPlots();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetNumberOfPlots */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxis */
    if ( strcmp ( argv[2], "GetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis */
    Tcl_DStringAppendElement ( &dString, " Get the axis specified by axisIndex. 0 is x, 1 is y. This should probably\n be improved either using a string or enum to select the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAxis *GetAxis(int axisIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAxes */
    if ( strcmp ( argv[2], "GetNumberOfAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAxes */
    Tcl_DStringAppendElement ( &dString, " Get the number of axes in the current chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetNumberOfAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RecalculateBounds */
    if ( strcmp ( argv[2], "RecalculateBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RecalculateBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RecalculateBounds */
    Tcl_DStringAppendElement ( &dString, " Request that the chart recalculates the range of its axes. Especially\n useful in applications after the parameters of plots have been modified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RecalculateBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for RecalculateBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnnotationLink */
    if ( strcmp ( argv[2], "SetAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " Set the vtkAnnotationLink for the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAnnotationLink(vtkAnnotationLink *link);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnnotationLink */
    if ( strcmp ( argv[2], "GetAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " Get the vtkAnnotationLink for the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink *GetAnnotationLink();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometry */
    if ( strcmp ( argv[2], "SetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometry(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometry */
    if ( strcmp ( argv[2], "SetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometry(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometry */
    if ( strcmp ( argv[2], "GetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1 */
    if ( strcmp ( argv[2], "GetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetPoint1();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2 */
    if ( strcmp ( argv[2], "GetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetPoint2();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowLegend */
    if ( strcmp ( argv[2], "SetShowLegend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowLegend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowLegend */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the chart should draw a legend.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShowLegend(bool visible);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetShowLegend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowLegend */
    if ( strcmp ( argv[2], "GetShowLegend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowLegend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowLegend */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the chart should draw a legend.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetShowLegend();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetShowLegend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegend */
    if ( strcmp ( argv[2], "GetLegend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegend */
    Tcl_DStringAppendElement ( &dString, " Get the legend for the chart, if available. Can return NULL if there is no\n legend.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkChartLegend *GetLegend();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetLegend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Get/set the title text of the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleProperties */
    if ( strcmp ( argv[2], "GetTitleProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleProperties */
    Tcl_DStringAppendElement ( &dString, " Get the vtkTextProperty that governs how the chart title is displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleProperties();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetTitleProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBottomBorder */
    if ( strcmp ( argv[2], "SetBottomBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBottomBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBottomBorder */
    Tcl_DStringAppendElement ( &dString, " Set/get the borders of the chart (space in pixels around the chart).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBottomBorder(int border);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetBottomBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTopBorder */
    if ( strcmp ( argv[2], "SetTopBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTopBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTopBorder */
    Tcl_DStringAppendElement ( &dString, " Set/get the borders of the chart (space in pixels around the chart).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTopBorder(int border);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetTopBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftBorder */
    if ( strcmp ( argv[2], "SetLeftBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftBorder */
    Tcl_DStringAppendElement ( &dString, " Set/get the borders of the chart (space in pixels around the chart).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftBorder(int border);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetLeftBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightBorder */
    if ( strcmp ( argv[2], "SetRightBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightBorder */
    Tcl_DStringAppendElement ( &dString, " Set/get the borders of the chart (space in pixels around the chart).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightBorder(int border);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetRightBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorders */
    if ( strcmp ( argv[2], "SetBorders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorders */
    Tcl_DStringAppendElement ( &dString, " Set/get the borders of the chart (space in pixels around the chart).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorders(int left, int bottom, int right, int top);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetBorders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set/get the layout strategy that should be used by the chart. As we don't\n support enums this can take any value in the integer range, but the only\n valid enums are FILL_SCENE, FILL_RECT and AXES_TO_RECT.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategy(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategy */
    if ( strcmp ( argv[2], "GetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set/get the layout strategy that should be used by the chart. As we don't\n support enums this can take any value in the integer range, but the only\n valid enums are FILL_SCENE, FILL_RECT and AXES_TO_RECT.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLayoutStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoSize */
    if ( strcmp ( argv[2], "SetAutoSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoSize */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the chart should automatically resize to fill the current\n render window. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAutoSize(bool isAutoSized);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetAutoSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoSize */
    if ( strcmp ( argv[2], "GetAutoSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoSize */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the chart should automatically resize to fill the current\n render window. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetAutoSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetAutoSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderEmpty */
    if ( strcmp ( argv[2], "SetRenderEmpty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderEmpty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderEmpty */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the chart should still render its axes and decorations\n even if the chart has no visible plots. Default is false (do not render\n an empty plot).\n\n Note that if you wish to render axes for an empty plot you should also\n set AutoSize to false, as that will hide all axes for an empty plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderEmpty(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetRenderEmpty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderEmpty */
    if ( strcmp ( argv[2], "GetRenderEmpty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderEmpty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderEmpty */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the chart should still render its axes and decorations\n even if the chart has no visible plots. Default is false (do not render\n an empty plot).\n\n Note that if you wish to render axes for an empty plot you should also\n set AutoSize to false, as that will hide all axes for an empty plot.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetRenderEmpty();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetRenderEmpty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActionToButton */
    if ( strcmp ( argv[2], "SetActionToButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActionToButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActionToButton */
    Tcl_DStringAppendElement ( &dString, " Assign action types to mouse buttons. Available action types are PAN, ZOOM\n and SELECT in the chart enum, the default assigns the LEFT_BUTTON to\n PAN, MIDDLE_BUTTON to ZOOM and RIGHT_BUTTON to SELECT. Valid mouse enums\n are in the vtkContextMouseEvent class.\n\n Note that only one mouse button can be assigned to each action, an action\n will have -1 (invalid button) assigned if it had the same button as the one\n assigned to a different action.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetActionToButton(int action, int button);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetActionToButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActionToButton */
    if ( strcmp ( argv[2], "GetActionToButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActionToButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActionToButton */
    Tcl_DStringAppendElement ( &dString, " Get the mouse button associated with the supplied action. The mouse button\n enum is from vtkContextMouseEvent, and the action enum is from vtkChart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetActionToButton(int action);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetActionToButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClickActionToButton */
    if ( strcmp ( argv[2], "SetClickActionToButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClickActionToButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClickActionToButton */
    Tcl_DStringAppendElement ( &dString, " Assign action types to single mouse clicks. Available action types are\n SELECT and NOTIFY in the chart enum. The default assigns the LEFT_BUTTON\n to NOTIFY, and the RIGHT_BUTTON to SELECT.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClickActionToButton(int action, int button);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetClickActionToButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClickActionToButton */
    if ( strcmp ( argv[2], "GetClickActionToButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClickActionToButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClickActionToButton */
    Tcl_DStringAppendElement ( &dString, " Get the mouse button associated with the supplied click action. The mouse\n button enum is from vtkContextMouseEvent, and the action enum is from\n vtkChart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetClickActionToButton(int action);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetClickActionToButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundBrush */
    if ( strcmp ( argv[2], "SetBackgroundBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBrush" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundBrush */
    Tcl_DStringAppendElement ( &dString, " Set/Get the brush to use for the background color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundBrush(vtkBrush *brush);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetBackgroundBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundBrush */
    if ( strcmp ( argv[2], "GetBackgroundBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundBrush */
    Tcl_DStringAppendElement ( &dString, " Set/Get the brush to use for the background color.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBrush *GetBackgroundBrush();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetBackgroundBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionMode */
    if ( strcmp ( argv[2], "SetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Set/get the Selection Mode that will be used by the chart while doing\n selection. The only valid enums are vtkContextScene::SELECTION_NONE,\n SELECTION_DEFAULT, SELECTION_ADDITION, SELECTION_SUBTRACTION, SELECTION_TOGGLE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for SetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionMode */
    if ( strcmp ( argv[2], "GetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Set/get the Selection Mode that will be used by the chart while doing\n selection. The only valid enums are vtkContextScene::SELECTION_NONE,\n SELECTION_DEFAULT, SELECTION_ADDITION, SELECTION_SUBTRACTION, SELECTION_TOGGLE\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkChart" );
    /* Closing for GetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
