// tcl wrapper for vtkCompositeControlPointsItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeControlPointsItem.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCompositeControlPointsItemNewCommand()
{
  vtkCompositeControlPointsItem *temp = vtkCompositeControlPointsItem::New();
  return static_cast<ClientData>(temp);
}

int vtkColorTransferControlPointsItemCppCommand(vtkColorTransferControlPointsItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCompositeControlPointsItemCppCommand(vtkCompositeControlPointsItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCompositeControlPointsItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCompositeControlPointsItemCppCommand(static_cast<vtkCompositeControlPointsItem *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCompositeControlPointsItemCppCommand(vtkCompositeControlPointsItem *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCompositeControlPointsItem",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkColorTransferControlPointsItemCppCommand(static_cast<vtkColorTransferControlPointsItem *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkColorTransferControlPointsItem"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCompositeControlPointsItem  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeControlPointsItem");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCompositeControlPointsItem  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeControlPointsItem");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCompositeControlPointsItem  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeControlPointsItem");
    return TCL_OK;
    }
  if ((!strcmp("SetColorTransferFunction",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkColorTransferFunction"),interp,error));
    if (!error)
    {
    op->SetColorTransferFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOpacityFunction",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
    {
    op->SetOpacityFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpacityFunction",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetOpacityFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetPointsFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointsFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointsFunction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointsFunction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseOpacityPointHandles",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseOpacityPointHandles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseOpacityPointHandles",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseOpacityPointHandles();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCompositeControlPointsItemCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkColorTransferControlPointsItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCompositeControlPointsItem:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetColorTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacityFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacityFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetPointsFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointsFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetUseOpacityPointHandles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseOpacityPointHandles\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkColorTransferControlPointsItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetColorTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "SetOpacityFunction" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityFunction" );
    Tcl_DStringAppendElement ( &dString, "SetPointsFunction" );
    Tcl_DStringAppendElement ( &dString, "GetPointsFunction" );
    Tcl_DStringAppendElement ( &dString, "SetUseOpacityPointHandles" );
    Tcl_DStringAppendElement ( &dString, "GetUseOpacityPointHandles" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkColorTransferControlPointsItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a piecewise control points object\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCompositeControlPointsItem *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorTransferFunction */
    if ( strcmp ( argv[2], "SetColorTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorTransferFunction */
    Tcl_DStringAppendElement ( &dString, " Set the color transfer function to draw its points\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorTransferFunction(vtkColorTransferFunction *function);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for SetColorTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpacityFunction */
    if ( strcmp ( argv[2], "SetOpacityFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacityFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacityFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOpacityFunction(vtkPiecewiseFunction *opacity);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for SetOpacityFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacityFunction */
    if ( strcmp ( argv[2], "GetOpacityFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetOpacityFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for GetOpacityFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointsFunction */
    if ( strcmp ( argv[2], "SetPointsFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointsFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointsFunction */
    Tcl_DStringAppendElement ( &dString, " PointsFunction controls wether the points represent the \n ColorTransferFunction, OpacityTransferFunction or both.\n If ColorPointsFunction, only the points of the ColorTransfer function are\n used.\n If OpacityPointsFunction, only the points of the Opacity function are used\n If ColorAndOpacityPointsFunction, the points of both functions are shared\n by both functions.\n ColorAndOpacityPointsFunction by default.\n Note: Set the mode before the functions are set. ColorPoint ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointsFunction(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for SetPointsFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointsFunction */
    if ( strcmp ( argv[2], "GetPointsFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointsFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointsFunction */
    Tcl_DStringAppendElement ( &dString, " PointsFunction controls wether the points represent the \n ColorTransferFunction, OpacityTransferFunction or both.\n If ColorPointsFunction, only the points of the ColorTransfer function are\n used.\n If OpacityPointsFunction, only the points of the Opacity function are used\n If ColorAndOpacityPointsFunction, the points of both functions are shared\n by both functions.\n ColorAndOpacityPointsFunction by default.\n Note: Set the mode before the functions are set. ColorPoint ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointsFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for GetPointsFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseOpacityPointHandles */
    if ( strcmp ( argv[2], "SetUseOpacityPointHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseOpacityPointHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseOpacityPointHandles */
    Tcl_DStringAppendElement ( &dString, " If UseOpacityPointHandles is true, when the current point is\n double clicked, a vtkPiecewisePointHandleItem will show up so\n that the sharpness and mid point can be adjusted in the scene\n with those handles\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseOpacityPointHandles(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for SetUseOpacityPointHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseOpacityPointHandles */
    if ( strcmp ( argv[2], "GetUseOpacityPointHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseOpacityPointHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseOpacityPointHandles */
    Tcl_DStringAppendElement ( &dString, " If UseOpacityPointHandles is true, when the current point is\n double clicked, a vtkPiecewisePointHandleItem will show up so\n that the sharpness and mid point can be adjusted in the scene\n with those handles\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseOpacityPointHandles();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeControlPointsItem" );
    /* Closing for GetUseOpacityPointHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkColorTransferControlPointsItemCppCommand(static_cast<vtkColorTransferControlPointsItem *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
