// tcl wrapper for vtkContext2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContext2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkContext2DNewCommand()
{
  vtkContext2D *temp = vtkContext2D::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContext2DCppCommand(vtkContext2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkContext2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkContext2DCppCommand(static_cast<vtkContext2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContext2DCppCommand(vtkContext2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkContext2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkContext2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContext2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkContext2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContext2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkContext2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContext2D");
    return TCL_OK;
    }
  if ((!strcmp("Begin",argv[1]))&&(argc == 3))
    {
    vtkContextDevice2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContextDevice2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContextDevice2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Begin(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDevice",argv[1]))&&(argc == 2))
    {
    vtkContextDevice2D  *temp20;
    temp20 = (op)->GetDevice();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextDevice2D");
    return TCL_OK;
    }
  if ((!strcmp("End",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->End();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBufferIdMode",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetBufferIdMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BufferIdModeEnd",argv[1]))&&(argc == 2))
    {
    op->BufferIdModeEnd();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawLine",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->DrawLine(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawLine",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->DrawLine(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawLine",argv[1]))&&(argc == 3))
    {
    vtkPoints2D  *temp0;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->DrawLine(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawPoly",argv[1]))&&(argc == 3))
    {
    vtkPoints2D  *temp0;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->DrawPoly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawPoint",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->DrawPoint(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints2D  *temp0;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->DrawPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawPointSprites",argv[1]))&&(argc == 4))
    {
    vtkImageData  *temp0;
    vtkPoints2D  *temp1;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    temp1 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->DrawPointSprites(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawPointSprites",argv[1]))&&(argc == 5))
    {
    vtkImageData  *temp0;
    vtkPoints2D  *temp1;
    vtkUnsignedCharArray  *temp2;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    temp1 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPoints2D"),interp,error));
    temp2 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->DrawPointSprites(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawRect",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->DrawRect(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawQuad",argv[1]))&&(argc == 10))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    float    temp5;
    float    temp6;
    float    temp7;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (!error)
    {
    op->DrawQuad(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawQuadStrip",argv[1]))&&(argc == 3))
    {
    vtkPoints2D  *temp0;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->DrawQuadStrip(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawPolygon",argv[1]))&&(argc == 3))
    {
    vtkPoints2D  *temp0;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->DrawPolygon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawEllipse",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->DrawEllipse(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawWedge",argv[1]))&&(argc == 8))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    float    temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->DrawWedge(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawEllipseWedge",argv[1]))&&(argc == 10))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    float    temp5;
    float    temp6;
    float    temp7;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (!error)
    {
    op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawArc",argv[1]))&&(argc == 7))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->DrawArc(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawEllipticArc",argv[1]))&&(argc == 8))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    float    temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawImage",argv[1]))&&(argc == 5))
    {
    float    temp0;
    float    temp1;
    vtkImageData  *temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    temp2 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->DrawImage(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawImage",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    vtkImageData  *temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    temp3 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->DrawImage(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawStringRect",argv[1]))&&(argc == 4))
    {
    vtkPoints2D  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->DrawStringRect(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawString",argv[1]))&&(argc == 4))
    {
    vtkPoints2D  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->DrawString(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawString",argv[1]))&&(argc == 5))
    {
    float    temp0;
    float    temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    temp2 = argv[4];
    if (!error)
    {
    op->DrawString(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeStringBounds",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkPoints2D  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->ComputeStringBounds(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyPen",argv[1]))&&(argc == 3))
    {
    vtkPen  *temp0;
    error = 0;

    temp0 = (vtkPen *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPen"),interp,error));
    if (!error)
    {
    op->ApplyPen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPen",argv[1]))&&(argc == 2))
    {
    vtkPen  *temp20;
    temp20 = (op)->GetPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
    }
  if ((!strcmp("ApplyBrush",argv[1]))&&(argc == 3))
    {
    vtkBrush  *temp0;
    error = 0;

    temp0 = (vtkBrush *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBrush"),interp,error));
    if (!error)
    {
    op->ApplyBrush(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBrush",argv[1]))&&(argc == 2))
    {
    vtkBrush  *temp20;
    temp20 = (op)->GetBrush();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrush");
    return TCL_OK;
    }
  if ((!strcmp("ApplyTextProp",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->ApplyTextProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProp",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform2D  *temp0;
    error = 0;

    temp0 = (vtkTransform2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform2D"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkTransform2D  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform2D");
    return TCL_OK;
    }
  if ((!strcmp("AppendTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform2D  *temp0;
    error = 0;

    temp0 = (vtkTransform2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform2D"),interp,error));
    if (!error)
    {
    op->AppendTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PushMatrix",argv[1]))&&(argc == 2))
    {
    op->PushMatrix();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PopMatrix",argv[1]))&&(argc == 2))
    {
    op->PopMatrix();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ApplyId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ApplyId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FloatToInt",argv[1]))&&(argc == 3))
    {
    float    temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->FloatToInt(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkContext2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContext2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Begin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDevice\n",NULL);
    Tcl_AppendResult(interp,"  End\n",NULL);
    Tcl_AppendResult(interp,"  GetBufferIdMode\n",NULL);
    Tcl_AppendResult(interp,"  BufferIdModeEnd\n",NULL);
    Tcl_AppendResult(interp,"  DrawLine\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawLine\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawLine\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DrawPoly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DrawPoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DrawPointSprites\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawPointSprites\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawRect\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawQuad\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawQuadStrip\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DrawPolygon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DrawEllipse\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawWedge\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawEllipseWedge\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawArc\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawEllipticArc\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawImage\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawImage\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawStringRect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawString\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeStringBounds\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ApplyPen\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPen\n",NULL);
    Tcl_AppendResult(interp,"  ApplyBrush\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBrush\n",NULL);
    Tcl_AppendResult(interp,"  ApplyTextProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProp\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    Tcl_AppendResult(interp,"  AppendTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PushMatrix\n",NULL);
    Tcl_AppendResult(interp,"  PopMatrix\n",NULL);
    Tcl_AppendResult(interp,"  ApplyId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FloatToInt\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    Tcl_DStringAppendElement ( &dString, "GetDevice" );
    Tcl_DStringAppendElement ( &dString, "End" );
    Tcl_DStringAppendElement ( &dString, "GetBufferIdMode" );
    Tcl_DStringAppendElement ( &dString, "BufferIdModeEnd" );
    Tcl_DStringAppendElement ( &dString, "DrawLine" );
    Tcl_DStringAppendElement ( &dString, "DrawLine" );
    Tcl_DStringAppendElement ( &dString, "DrawLine" );
    Tcl_DStringAppendElement ( &dString, "DrawPoly" );
    Tcl_DStringAppendElement ( &dString, "DrawPoint" );
    Tcl_DStringAppendElement ( &dString, "DrawPoints" );
    Tcl_DStringAppendElement ( &dString, "DrawPointSprites" );
    Tcl_DStringAppendElement ( &dString, "DrawPointSprites" );
    Tcl_DStringAppendElement ( &dString, "DrawRect" );
    Tcl_DStringAppendElement ( &dString, "DrawQuad" );
    Tcl_DStringAppendElement ( &dString, "DrawQuadStrip" );
    Tcl_DStringAppendElement ( &dString, "DrawPolygon" );
    Tcl_DStringAppendElement ( &dString, "DrawEllipse" );
    Tcl_DStringAppendElement ( &dString, "DrawWedge" );
    Tcl_DStringAppendElement ( &dString, "DrawEllipseWedge" );
    Tcl_DStringAppendElement ( &dString, "DrawArc" );
    Tcl_DStringAppendElement ( &dString, "DrawEllipticArc" );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    Tcl_DStringAppendElement ( &dString, "DrawStringRect" );
    Tcl_DStringAppendElement ( &dString, "DrawString" );
    Tcl_DStringAppendElement ( &dString, "DrawString" );
    Tcl_DStringAppendElement ( &dString, "ComputeStringBounds" );
    Tcl_DStringAppendElement ( &dString, "ApplyPen" );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    Tcl_DStringAppendElement ( &dString, "ApplyBrush" );
    Tcl_DStringAppendElement ( &dString, "GetBrush" );
    Tcl_DStringAppendElement ( &dString, "ApplyTextProp" );
    Tcl_DStringAppendElement ( &dString, "GetTextProp" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "AppendTransform" );
    Tcl_DStringAppendElement ( &dString, "PushMatrix" );
    Tcl_DStringAppendElement ( &dString, "PopMatrix" );
    Tcl_DStringAppendElement ( &dString, "ApplyId" );
    Tcl_DStringAppendElement ( &dString, "FloatToInt" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a 2D Painter object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkContext2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Begin */
    if ( strcmp ( argv[2], "Begin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContextDevice2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Begin */
    Tcl_DStringAppendElement ( &dString, " Begin painting on a vtkContextDevice2D, no painting can occur before this call\n has been made. Only one painter is allowed at a time on any given paint\n device. Returns true if successful, otherwise false.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Begin(vtkContextDevice2D *device);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for Begin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDevice */
    if ( strcmp ( argv[2], "GetDevice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDevice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDevice */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContextDevice2D *GetDevice();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for GetDevice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: End */
    if ( strcmp ( argv[2], "End" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "End" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for End */
    Tcl_DStringAppendElement ( &dString, " Ends painting on the device, you would not usually need to call this as it\n should be called by the destructor. Returns true if the painter is no\n longer active, otherwise false.\n" );
    Tcl_DStringAppendElement ( &dString, "bool End();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for End */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBufferIdMode */
    if ( strcmp ( argv[2], "GetBufferIdMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBufferIdMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBufferIdMode */
    Tcl_DStringAppendElement ( &dString, " Tell if the context is in BufferId creation mode. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetBufferIdMode() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for GetBufferIdMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BufferIdModeEnd */
    if ( strcmp ( argv[2], "BufferIdModeEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BufferIdModeEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BufferIdModeEnd */
    Tcl_DStringAppendElement ( &dString, " Finalize BufferId creation Mode. It makes sure that the content of the\n bufferId passed in argument of BufferIdModeBegin() is correctly set.\n \\pre started: GetBufferIdMode()\n \\post done: !GetBufferIdMode()\n" );
    Tcl_DStringAppendElement ( &dString, "void BufferIdModeEnd();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for BufferIdModeEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawLine */
    if ( strcmp ( argv[2], "DrawLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawLine */
    Tcl_DStringAppendElement ( &dString, " Draw a line between the specified points.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawLine(float x1, float y1, float x2, float y2);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawLine */
    if ( strcmp ( argv[2], "DrawLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawLine */
    Tcl_DStringAppendElement ( &dString, " Draw a line between the specified points.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawLine(float p\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawLine */
    if ( strcmp ( argv[2], "DrawLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawLine */
    Tcl_DStringAppendElement ( &dString, " Draw a line between the specified points.\n Note: Fastest path - points packed in x and y.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawLine(vtkPoints2D *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPoly */
    if ( strcmp ( argv[2], "DrawPoly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPoly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPoly */
    Tcl_DStringAppendElement ( &dString, " Draw a poly line between the specified points - fastest code path due to\n memory layout of the coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPoly(vtkPoints2D *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawPoly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPoint */
    if ( strcmp ( argv[2], "DrawPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPoint */
    Tcl_DStringAppendElement ( &dString, " Draw a point at the supplied x and y coordinate\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPoint(float x, float y);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPoints */
    if ( strcmp ( argv[2], "DrawPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPoints */
    Tcl_DStringAppendElement ( &dString, " Draw a poly line between the specified points - fastest code path due to\n memory layout of the coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPoints(vtkPoints2D *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPointSprites */
    if ( strcmp ( argv[2], "DrawPointSprites" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPointSprites" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPointSprites */
    Tcl_DStringAppendElement ( &dString, " Draw a series of point sprites, images centred at the points supplied.\n The supplied vtkImageData is the sprite to be drawn, only squares will be\n drawn and the size is set using SetPointSize.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPointSprites(vtkImageData *sprite, vtkPoints2D *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawPointSprites */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPointSprites */
    if ( strcmp ( argv[2], "DrawPointSprites" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPointSprites" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPointSprites */
    Tcl_DStringAppendElement ( &dString, " Draw a series of point sprites, images centred at the points supplied.\n The supplied vtkImageData is the sprite to be drawn, only squares will be\n drawn and the size is set using SetPointSize. Points will be colored by\n the colors array, which must be the same length as points.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPointSprites(vtkImageData *sprite, vtkPoints2D *points, vtkUnsignedCharArray *colors);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawPointSprites */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawRect */
    if ( strcmp ( argv[2], "DrawRect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawRect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawRect */
    Tcl_DStringAppendElement ( &dString, " Draw a rectangle with origin at x, y and width w, height h\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawRect(float x, float y, float w, float h);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawRect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawQuad */
    if ( strcmp ( argv[2], "DrawQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawQuad */
    Tcl_DStringAppendElement ( &dString, " Draw a quadrilateral at the specified points (4 points, 8 floats in x, y).\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawQuad(float x1, float y1, float x2, float y2, float x3, float y3, float x4, float y4);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawQuadStrip */
    if ( strcmp ( argv[2], "DrawQuadStrip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawQuadStrip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawQuadStrip */
    Tcl_DStringAppendElement ( &dString, " Draw a strip of quads\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawQuadStrip(vtkPoints2D *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawQuadStrip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPolygon */
    if ( strcmp ( argv[2], "DrawPolygon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPolygon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPolygon */
    Tcl_DStringAppendElement ( &dString, " Draw a polygon defined by the specified points - fastest code path due to\n memory layout of the coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPolygon(vtkPoints2D *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawPolygon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawEllipse */
    if ( strcmp ( argv[2], "DrawEllipse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawEllipse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawEllipse */
    Tcl_DStringAppendElement ( &dString, " Draw an ellipse with center at x, y and radii rx, ry.\n \\pre positive_rx: rx>=0\n \\pre positive_ry: ry>=0\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawEllipse(float x, float y, float rx, float ry);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawEllipse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawWedge */
    if ( strcmp ( argv[2], "DrawWedge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawWedge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawWedge */
    Tcl_DStringAppendElement ( &dString, " Draw a circular wedge with center at x, y, outer radius outRadius,\n inner radius inRadius between angles startAngle and stopAngle\n (expressed in degrees).\n \\pre positive_outRadius: outRadius>=0\n \\pre positive_inRadius: inRadius>=0\n \\pre ordered_radii: inRadius<=outRadius\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawWedge(float x, float y, float outRadius, float inRadius, float startAngle, float stopAngle);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawWedge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawEllipseWedge */
    if ( strcmp ( argv[2], "DrawEllipseWedge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawEllipseWedge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawEllipseWedge */
    Tcl_DStringAppendElement ( &dString, " Draw an elliptic wedge with center at x, y, outer radii outRx, outRy,\n inner radii inRx, inRy between angles startAngle and stopAngle\n (expressed in degrees).\n \\pre positive_outRx: outRx>=0\n \\pre positive_outRy: outRy>=0\n \\pre positive_inRx: inRx>=0\n \\pre positive_inRy: inRy>=0\n \\pre ordered_rx: inRx<=outRx\n \\pre ordered_ry: inRy<=outRy\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawEllipseWedge(float x, float y, float outRx, float outRy, float inRx, float inRy, float startAngle, float stopAngle);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawEllipseWedge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawArc */
    if ( strcmp ( argv[2], "DrawArc" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawArc" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawArc */
    Tcl_DStringAppendElement ( &dString, " Draw a circular arc with center at x,y with radius r between angles\n startAngle and stopAngle (expressed in degrees).\n \\pre positive_radius: r>=0\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawArc(float x, float y, float r, float startAngle, float stopAngle);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawArc */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawEllipticArc */
    if ( strcmp ( argv[2], "DrawEllipticArc" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawEllipticArc" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawEllipticArc */
    Tcl_DStringAppendElement ( &dString, " Draw an elliptic arc with center at x,y with radii rX and rY between\n angles startAngle and stopAngle (expressed in degrees).\n \\pre positive_rX: rX>=0\n \\pre positive_rY: rY>=0\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawEllipticArc(float x, float y, float rX, float rY, float startAngle, float stopAngle);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawEllipticArc */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawImage */
    if ( strcmp ( argv[2], "DrawImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawImage */
    Tcl_DStringAppendElement ( &dString, " Draw the supplied image at the given x, y location (bottom corner).\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawImage(float x, float y, vtkImageData *image);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawImage */
    if ( strcmp ( argv[2], "DrawImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawImage */
    Tcl_DStringAppendElement ( &dString, " Draw the supplied image at the given x, y location (bottom corner).\n Scale the supplied image by scale.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawImage(float x, float y, float scale, vtkImageData *image);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawStringRect */
    if ( strcmp ( argv[2], "DrawStringRect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawStringRect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawStringRect */
    Tcl_DStringAppendElement ( &dString, " Draw some text to the screen in a bounding rectangle with the alignment\n of the text properties respecting the rectangle. The points should be\n supplied as bottom corner (x, y), width, height.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawStringRect(vtkPoints2D *rect, const char *string);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawStringRect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawString */
    if ( strcmp ( argv[2], "DrawString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawString */
    Tcl_DStringAppendElement ( &dString, " Draw some text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawString(vtkPoints2D *point, const char *string);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawString */
    if ( strcmp ( argv[2], "DrawString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawString */
    Tcl_DStringAppendElement ( &dString, " Draw some text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawString(float x, float y, const char *string);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for DrawString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeStringBounds */
    if ( strcmp ( argv[2], "ComputeStringBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeStringBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeStringBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the bounds of the supplied string. The bounds will be copied to the\n supplied bounds variable, the first two elements are the bottom corner of\n the string, and the second two elements are the width and height of the\n bounding box.\n NOTE: This function does not take account of the text rotation.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeStringBounds(const char *string, vtkPoints2D *bounds);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for ComputeStringBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyPen */
    if ( strcmp ( argv[2], "ApplyPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPen" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyPen */
    Tcl_DStringAppendElement ( &dString, " Apply the supplied pen which controls the outlines of shapes, as well as\n lines, points and related primitives. This makes a deep copy of the vtkPen\n object in the vtkContext2D, it does not hold a pointer to the supplied object.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyPen(vtkPen *pen);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for ApplyPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPen */
    if ( strcmp ( argv[2], "GetPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPen */
    Tcl_DStringAppendElement ( &dString, " Get the pen which controls the outlines of shapes, as well as lines,\n points and related primitives. This object can be modified and the changes\n will be reflected in subsequent drawing operations.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for GetPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyBrush */
    if ( strcmp ( argv[2], "ApplyBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBrush" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyBrush */
    Tcl_DStringAppendElement ( &dString, " Apply the supplied brush which controls the outlines of shapes, as well as\n lines, points and related primitives. This makes a deep copy of the vtkBrush\n object in the vtkContext2D, it does not hold a pointer to the supplied object.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyBrush(vtkBrush *brush);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for ApplyBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBrush */
    if ( strcmp ( argv[2], "GetBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBrush */
    Tcl_DStringAppendElement ( &dString, " Get the pen which controls the outlines of shapes as well as lines, points\n and related primitives.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBrush *GetBrush();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for GetBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyTextProp */
    if ( strcmp ( argv[2], "ApplyTextProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyTextProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyTextProp */
    Tcl_DStringAppendElement ( &dString, " Apply the supplied text property which controls how text is rendered.\n This makes a deep copy of the vtkTextProperty object in the vtkContext2D,\n it does not hold a pointer to the supplied object.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyTextProp(vtkTextProperty *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for ApplyTextProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextProp */
    if ( strcmp ( argv[2], "GetTextProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextProp */
    Tcl_DStringAppendElement ( &dString, " Get the text properties object for the vtkContext2D.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTextProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for GetTextProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Set the transform for the context, the underlying device will use the\n matrix of the transform. Note, this is set immediately, later changes to\n the matrix will have no effect until it is set again.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTransform(vtkTransform2D *transform);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Compute the current transform applied to the context.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AppendTransform */
    if ( strcmp ( argv[2], "AppendTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendTransform */
    Tcl_DStringAppendElement ( &dString, " Append the transform for the context, the underlying device will use the\n matrix of the transform. Note, this is set immediately, later changes to\n the matrix will have no effect until it is set again. The matrix of the\n transform will multiply the current context transform.\n" );
    Tcl_DStringAppendElement ( &dString, "void AppendTransform(vtkTransform2D *transform);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for AppendTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PushMatrix */
    if ( strcmp ( argv[2], "PushMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PushMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PushMatrix */
    Tcl_DStringAppendElement ( &dString, " Push/pop the transformation matrix for the painter (sets the underlying\n matrix for the device when available).\n" );
    Tcl_DStringAppendElement ( &dString, "void PushMatrix();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for PushMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PopMatrix */
    if ( strcmp ( argv[2], "PopMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PopMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PopMatrix */
    Tcl_DStringAppendElement ( &dString, " Push/pop the transformation matrix for the painter (sets the underlying\n matrix for the device when available).\n" );
    Tcl_DStringAppendElement ( &dString, "void PopMatrix();" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for PopMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyId */
    if ( strcmp ( argv[2], "ApplyId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyId */
    Tcl_DStringAppendElement ( &dString, " Apply id as a color.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyId(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for ApplyId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FloatToInt */
    if ( strcmp ( argv[2], "FloatToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FloatToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FloatToInt */
    Tcl_DStringAppendElement ( &dString, " Float to int conversion, performs truncation but with a rounding\n tolerance for float values that are within 1/256 of their closest\n integer.\n" );
    Tcl_DStringAppendElement ( &dString, "static int FloatToInt(float x);" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    /* Closing for FloatToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
