// tcl wrapper for vtkContextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkContextActorNewCommand()
{
  vtkContextActor *temp = vtkContextActor::New();
  return static_cast<ClientData>(temp);
}

int vtkPropCppCommand(vtkProp *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContextActorCppCommand(vtkContextActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkContextActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkContextActorCppCommand(static_cast<vtkContextActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContextActorCppCommand(vtkContextActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkContextActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPropCppCommand(static_cast<vtkProp *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProp"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkContextActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkContextActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkContextActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextActor");
    return TCL_OK;
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetContext",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    op->SetContext(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContext",argv[1]))&&(argc == 2))
    {
    vtkContext2D  *temp20;
    temp20 = (op)->GetContext();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContext2D");
    return TCL_OK;
    }
  if ((!strcmp("GetScene",argv[1]))&&(argc == 2))
    {
    vtkContextScene  *temp20;
    temp20 = (op)->GetScene();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextScene");
    return TCL_OK;
    }
  if ((!strcmp("SetScene",argv[1]))&&(argc == 3))
    {
    vtkContextScene  *temp0;
    error = 0;

    temp0 = (vtkContextScene *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContextScene"),interp,error));
    if (!error)
    {
    op->SetScene(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkContextActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPropCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContextActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetContext\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContext\n",NULL);
    Tcl_AppendResult(interp,"  GetScene\n",NULL);
    Tcl_AppendResult(interp,"  SetScene\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPropCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    Tcl_DStringAppendElement ( &dString, "GetScene" );
    Tcl_DStringAppendElement ( &dString, "SetScene" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPropCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkContextActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " We only render in the overlay for the context scene.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContext */
    if ( strcmp ( argv[2], "SetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContext */
    Tcl_DStringAppendElement ( &dString, " Set the vtkContext2D for the actor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetContext(vtkContext2D *context);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for SetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContext */
    if ( strcmp ( argv[2], "GetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContext */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vtk2DPainter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D *GetContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for GetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScene */
    if ( strcmp ( argv[2], "GetScene" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScene" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScene */
    Tcl_DStringAppendElement ( &dString, " Get the chart object for the Actor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene *GetScene();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for GetScene */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScene */
    if ( strcmp ( argv[2], "SetScene" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScene" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScene */
    Tcl_DStringAppendElement ( &dString, " Set the chart object for the Actor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScene(vtkContextScene *scene);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for SetScene */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *window);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPropCppCommand(static_cast<vtkProp *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
