// tcl wrapper for vtkContextScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextScene.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkContextSceneNewCommand()
{
  vtkContextScene *temp = vtkContextScene::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContextSceneCppCommand(vtkContextScene *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkContextSceneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkContextSceneCppCommand(static_cast<vtkContextScene *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContextSceneCppCommand(vtkContextScene *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkContextScene",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkContextScene  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextScene");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkContextScene  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextScene");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkContextScene  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextScene");
    return TCL_OK;
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddItem",argv[1]))&&(argc == 3))
    {
    vtkAbstractContextItem  *temp0;
    unsigned int      temp20;
    error = 0;

    temp0 = (vtkAbstractContextItem *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractContextItem"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveItem",argv[1]))&&(argc == 3))
    {
    vtkAbstractContextItem  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkAbstractContextItem *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractContextItem"),interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveItem",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->RemoveItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItem",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkAbstractContextItem  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetItem(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractContextItem");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfItems",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfItems();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClearItems",argv[1]))&&(argc == 2))
    {
    op->ClearItems();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnnotationLink",argv[1]))&&(argc == 3))
    {
    vtkAnnotationLink  *temp0;
    error = 0;

    temp0 = (vtkAnnotationLink *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAnnotationLink"),interp,error));
    if (!error)
    {
    op->SetAnnotationLink(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnnotationLink",argv[1]))&&(argc == 2))
    {
    vtkAnnotationLink  *temp20;
    temp20 = (op)->GetAnnotationLink();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotationLink");
    return TCL_OK;
    }
  if ((!strcmp("SetGeometry",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGeometry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGeometry",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeometry",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetGeometry();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseBufferId",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseBufferId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseBufferId",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseBufferId();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetViewWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetViewHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSceneWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSceneWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSceneHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSceneHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleTiles",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScaleTiles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleTiles",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScaleTiles();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaleTilesOn",argv[1]))&&(argc == 2))
    {
    op->ScaleTilesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleTilesOff",argv[1]))&&(argc == 2))
    {
    op->ScaleTilesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDirty",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDirty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirty",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDirty();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 2))
    {
    op->ReleaseGraphicsResources();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform2D  *temp0;
    error = 0;

    temp0 = (vtkTransform2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform2D"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkTransform2D  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform2D");
    return TCL_OK;
    }
  if ((!strcmp("HasTransform",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasTransform();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkContextSceneCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContextScene:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfItems\n",NULL);
    Tcl_AppendResult(interp,"  ClearItems\n",NULL);
    Tcl_AppendResult(interp,"  SetAnnotationLink\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnnotationLink\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetUseBufferId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseBufferId\n",NULL);
    Tcl_AppendResult(interp,"  GetViewWidth\n",NULL);
    Tcl_AppendResult(interp,"  GetViewHeight\n",NULL);
    Tcl_AppendResult(interp,"  GetSceneWidth\n",NULL);
    Tcl_AppendResult(interp,"  GetSceneHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleTiles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleTiles\n",NULL);
    Tcl_AppendResult(interp,"  ScaleTilesOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleTilesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDirty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirty\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    Tcl_AppendResult(interp,"  HasTransform\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "AddItem" );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    Tcl_DStringAppendElement ( &dString, "GetItem" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfItems" );
    Tcl_DStringAppendElement ( &dString, "ClearItems" );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLink" );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetUseBufferId" );
    Tcl_DStringAppendElement ( &dString, "GetUseBufferId" );
    Tcl_DStringAppendElement ( &dString, "GetViewWidth" );
    Tcl_DStringAppendElement ( &dString, "GetViewHeight" );
    Tcl_DStringAppendElement ( &dString, "GetSceneWidth" );
    Tcl_DStringAppendElement ( &dString, "GetSceneHeight" );
    Tcl_DStringAppendElement ( &dString, "SetScaleTiles" );
    Tcl_DStringAppendElement ( &dString, "GetScaleTiles" );
    Tcl_DStringAppendElement ( &dString, "ScaleTilesOn" );
    Tcl_DStringAppendElement ( &dString, "ScaleTilesOff" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetDirty" );
    Tcl_DStringAppendElement ( &dString, "GetDirty" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "HasTransform" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a 2D Painter object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkContextScene *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the chart, called whenever the chart needs to be drawn\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddItem */
    if ( strcmp ( argv[2], "AddItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddItem */
    Tcl_DStringAppendElement ( &dString, " Add child items to this item. Increments reference count of item.\n \\return the index of the child item.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int AddItem(vtkAbstractContextItem *item);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for AddItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveItem */
    if ( strcmp ( argv[2], "RemoveItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveItem */
    Tcl_DStringAppendElement ( &dString, " Remove child item from this item. Decrements reference count of item.\n \\param item the item to be removed.\n \\return true on success, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "bool RemoveItem(vtkAbstractContextItem *item);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for RemoveItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveItem */
    if ( strcmp ( argv[2], "RemoveItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveItem */
    Tcl_DStringAppendElement ( &dString, " Remove child item from this item. Decrements reference count of item.\n \\param index of the item to be removed.\n \\return true on success, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "bool RemoveItem(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for RemoveItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetItem */
    if ( strcmp ( argv[2], "GetItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetItem */
    Tcl_DStringAppendElement ( &dString, " Get the item at the specified index.\n \\return the item at the specified index (null if index is invalid).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem *GetItem(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfItems */
    if ( strcmp ( argv[2], "GetNumberOfItems" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfItems" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfItems */
    Tcl_DStringAppendElement ( &dString, " Get the number of child items.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfItems();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetNumberOfItems */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearItems */
    if ( strcmp ( argv[2], "ClearItems" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearItems" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearItems */
    Tcl_DStringAppendElement ( &dString, " Remove all child items from this item.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearItems();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for ClearItems */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnnotationLink */
    if ( strcmp ( argv[2], "SetAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " Set the vtkAnnotationLink for the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAnnotationLink(vtkAnnotationLink *link);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnnotationLink */
    if ( strcmp ( argv[2], "GetAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " Get the vtkAnnotationLink for the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink *GetAnnotationLink();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometry */
    if ( strcmp ( argv[2], "SetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometry(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometry */
    if ( strcmp ( argv[2], "SetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometry(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometry */
    if ( strcmp ( argv[2], "GetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseBufferId */
    if ( strcmp ( argv[2], "SetUseBufferId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseBufferId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseBufferId */
    Tcl_DStringAppendElement ( &dString, " Set whether the scene should use the color buffer. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseBufferId(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetUseBufferId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseBufferId */
    if ( strcmp ( argv[2], "GetUseBufferId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseBufferId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseBufferId */
    Tcl_DStringAppendElement ( &dString, " Get whether the scene is using the color buffer. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseBufferId();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetUseBufferId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewWidth */
    if ( strcmp ( argv[2], "GetViewWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewWidth */
    Tcl_DStringAppendElement ( &dString, " Get the width of the view\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetViewWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetViewWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewHeight */
    if ( strcmp ( argv[2], "GetViewHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewHeight */
    Tcl_DStringAppendElement ( &dString, " Get the height of the view\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetViewHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetViewHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSceneWidth */
    if ( strcmp ( argv[2], "GetSceneWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSceneWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSceneWidth */
    Tcl_DStringAppendElement ( &dString, " Get the width of the scene.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSceneWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetSceneWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSceneHeight */
    if ( strcmp ( argv[2], "GetSceneHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSceneHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSceneHeight */
    Tcl_DStringAppendElement ( &dString, " Get the height of the scene.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSceneHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetSceneHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleTiles */
    if ( strcmp ( argv[2], "SetScaleTiles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleTiles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleTiles */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the scene transform when tiling, for example when\n using vtkWindowToImageFilter to take a large screenshot.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleTiles(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetScaleTiles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleTiles */
    if ( strcmp ( argv[2], "GetScaleTiles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleTiles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleTiles */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the scene transform when tiling, for example when\n using vtkWindowToImageFilter to take a large screenshot.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScaleTiles();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetScaleTiles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleTilesOn */
    if ( strcmp ( argv[2], "ScaleTilesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleTilesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleTilesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the scene transform when tiling, for example when\n using vtkWindowToImageFilter to take a large screenshot.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleTilesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for ScaleTilesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleTilesOff */
    if ( strcmp ( argv[2], "ScaleTilesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleTilesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleTilesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the scene transform when tiling, for example when\n using vtkWindowToImageFilter to take a large screenshot.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleTilesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for ScaleTilesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " This should not be necessary as the context view should take care of\n rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderer(vtkRenderer *renderer);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirty */
    if ( strcmp ( argv[2], "SetDirty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirty */
    Tcl_DStringAppendElement ( &dString, " Inform the scene that something changed that requires a repaint of the\n scene. This should only be used by the vtkContextItem derived objects in\n a scene in their event handlers.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirty(bool isDirty);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetDirty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirty */
    if ( strcmp ( argv[2], "GetDirty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirty */
    Tcl_DStringAppendElement ( &dString, " Inform the scene that something changed that requires a repaint of the\n scene. This should only be used by the vtkContextItem derived objects in\n a scene in their event handlers.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDirty() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetDirty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release graphics resources hold by the scene.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Set the transform for the scene.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransform(vtkTransform2D *transform);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Get the transform for the scene.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTransform */
    if ( strcmp ( argv[2], "HasTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTransform */
    Tcl_DStringAppendElement ( &dString, " Check whether the scene has a transform.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextScene" );
    /* Closing for HasTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
