// tcl wrapper for vtkScatterPlotMatrix object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScatterPlotMatrix.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkScatterPlotMatrixNewCommand()
{
  vtkScatterPlotMatrix *temp = vtkScatterPlotMatrix::New();
  return static_cast<ClientData>(temp);
}

int vtkChartMatrixCppCommand(vtkChartMatrix *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkScatterPlotMatrixCppCommand(vtkScatterPlotMatrix *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkScatterPlotMatrixCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkScatterPlotMatrixCppCommand(static_cast<vtkScatterPlotMatrix *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkScatterPlotMatrixCppCommand(vtkScatterPlotMatrix *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkScatterPlotMatrix",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkChartMatrixCppCommand(static_cast<vtkChartMatrix *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkChartMatrix"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkScatterPlotMatrix  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScatterPlotMatrix");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkScatterPlotMatrix  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScatterPlotMatrix");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkScatterPlotMatrix  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScatterPlotMatrix");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetActiveAnnotationLink",argv[1]))&&(argc == 2))
    {
    vtkAnnotationLink  *temp20;
    temp20 = (op)->GetActiveAnnotationLink();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotationLink");
    return TCL_OK;
    }
#endif
  if ((!strcmp("GetAnnotationLink",argv[1]))&&(argc == 2))
    {
    vtkAnnotationLink  *temp20;
    temp20 = (op)->GetAnnotationLink();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotationLink");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkTable  *temp0;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColumnVisibilityAll",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColumnVisibilityAll(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibleColumns",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetVisibleColumns();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetVisibleColumns",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetVisibleColumns(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfBins",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfBins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfBins",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBins();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotMarkerStyle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPlotMarkerStyle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotMarkerSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPlotMarkerSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotType",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotType(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetTitle();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleProperties",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTitleProperties(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleProperties",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleProperties();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetGridVisibility",argv[1]))&&(argc == 4))
    {
    int      temp0;
    bool   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    op->SetGridVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGridVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisLabelVisibility",argv[1]))&&(argc == 4))
    {
    int      temp0;
    bool   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    op->SetAxisLabelVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAxisLabelVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisLabelProperties",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkTextProperty  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetAxisLabelProperties(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabelProperties",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkTextProperty  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAxisLabelProperties(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisLabelNotation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAxisLabelNotation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabelNotation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAxisLabelNotation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisLabelPrecision",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAxisLabelPrecision(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabelPrecision",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAxisLabelPrecision(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTooltipNotation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTooltipNotation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTooltipPrecision",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTooltipPrecision(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTooltipNotation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTooltipNotation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTooltipPrecision",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTooltipPrecision(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateSettings",argv[1]))&&(argc == 2))
    {
    op->UpdateSettings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateChartSettings",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->UpdateChartSettings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkScatterPlotMatrixCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkChartMatrixCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkScatterPlotMatrix:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetActiveAnnotationLink\n",NULL);
#endif
    Tcl_AppendResult(interp,"  GetAnnotationLink\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColumnVisibilityAll\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibleColumns\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleColumns\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfBins\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBins\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotMarkerStyle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotMarkerSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleProperties\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleProperties\n",NULL);
    Tcl_AppendResult(interp,"  SetGridVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGridVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelProperties\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelProperties\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelNotation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelNotation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelPrecision\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelPrecision\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTooltipNotation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTooltipPrecision\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTooltipNotation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTooltipPrecision\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSettings\n",NULL);
    Tcl_AppendResult(interp,"  UpdateChartSettings\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionMode\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkChartMatrixCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetActiveAnnotationLink" );
#endif
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetColumnVisibilityAll" );
    Tcl_DStringAppendElement ( &dString, "GetVisibleColumns" );
    Tcl_DStringAppendElement ( &dString, "SetVisibleColumns" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "SetPlotMarkerStyle" );
    Tcl_DStringAppendElement ( &dString, "SetPlotMarkerSize" );
    Tcl_DStringAppendElement ( &dString, "GetPlotType" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetTitleProperties" );
    Tcl_DStringAppendElement ( &dString, "GetTitleProperties" );
    Tcl_DStringAppendElement ( &dString, "SetGridVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetGridVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelProperties" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelProperties" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelNotation" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelNotation" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelPrecision" );
    Tcl_DStringAppendElement ( &dString, "SetTooltipNotation" );
    Tcl_DStringAppendElement ( &dString, "SetTooltipPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetTooltipNotation" );
    Tcl_DStringAppendElement ( &dString, "GetTooltipPrecision" );
    Tcl_DStringAppendElement ( &dString, "UpdateSettings" );
    Tcl_DStringAppendElement ( &dString, "UpdateChartSettings" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkChartMatrixCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a new object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkScatterPlotMatrix *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Perform any updates to the item that may be necessary before rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the chart matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetActiveAnnotationLink */
    if ( strcmp ( argv[2], "GetActiveAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " Get the active AnnotationLink from the big chart, which\n is the only active AnnotationLink in the matrix.\n @deprecated Replaced by GetAnnotationLink(), never in a VTK release.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink *GetActiveAnnotationLink();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetActiveAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: GetAnnotationLink */
    if ( strcmp ( argv[2], "GetAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " Get the AnnotationLink for the scatter plot matrix, this gives you access\n to the currently selected points in the scatter plot matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink *GetAnnotationLink();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the input table for the scatter plot matrix. This will cause all\n columns to be plotted against each other - a square scatter plot matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkTable *table);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColumnVisibilityAll */
    if ( strcmp ( argv[2], "SetColumnVisibilityAll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColumnVisibilityAll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColumnVisibilityAll */
    Tcl_DStringAppendElement ( &dString, " Set the visibility of all columns (true will make them all visible, false\n will remove all visible columns).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColumnVisibilityAll(bool visible);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetColumnVisibilityAll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVisibleColumns */
    if ( strcmp ( argv[2], "GetVisibleColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVisibleColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVisibleColumns */
    Tcl_DStringAppendElement ( &dString, " Get a list of the columns, and the order in which they are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetVisibleColumns();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetVisibleColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVisibleColumns */
    if ( strcmp ( argv[2], "SetVisibleColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVisibleColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVisibleColumns */
    Tcl_DStringAppendElement ( &dString, " Set the list of visible columns, and the order in which they will be displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVisibleColumns(vtkStringArray *visColumns);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetVisibleColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfBins */
    if ( strcmp ( argv[2], "SetNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfBins */
    Tcl_DStringAppendElement ( &dString, " Set the number of bins in the histograms along the central diagonal of the\n scatter plot matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfBins(int numberOfBins);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBins */
    if ( strcmp ( argv[2], "GetNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBins */
    Tcl_DStringAppendElement ( &dString, " Get the number of bins the histograms along the central diagonal scatter\n plot matrix. The default value is 10.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfBins() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotMarkerStyle */
    if ( strcmp ( argv[2], "SetPlotMarkerStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotMarkerStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotMarkerStyle */
    Tcl_DStringAppendElement ( &dString, " Sets the marker style for the specified plotType.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotMarkerStyle(int plotType, int style);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetPlotMarkerStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotMarkerSize */
    if ( strcmp ( argv[2], "SetPlotMarkerSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotMarkerSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotMarkerSize */
    Tcl_DStringAppendElement ( &dString, " Sets the marker size for the specified plotType.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotMarkerSize(int plotType, float size);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetPlotMarkerSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotType */
    if ( strcmp ( argv[2], "GetPlotType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotType */
    Tcl_DStringAppendElement ( &dString, " Returns the type of the plot at the given position. The return\n value is one of: SCATTERPLOT, HISTOGRAM, ACTIVEPLOT, or NOPLOT.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotType(int row, int column);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetPlotType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/get the scatter plot title.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleProperties */
    if ( strcmp ( argv[2], "SetTitleProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleProperties */
    Tcl_DStringAppendElement ( &dString, " Set/get the text properties for the chart title, i.e. color, font, size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitleProperties(vtkTextProperty *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetTitleProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleProperties */
    if ( strcmp ( argv[2], "GetTitleProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleProperties */
    Tcl_DStringAppendElement ( &dString, " Set/get the text properties for the chart title, i.e. color, font, size.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleProperties();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetTitleProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridVisibility */
    if ( strcmp ( argv[2], "SetGridVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridVisibility */
    Tcl_DStringAppendElement ( &dString, " Sets whether or not the grid for the given axis is visible given a plot\n type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridVisibility(int plotType, bool visible);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetGridVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridVisibility */
    if ( strcmp ( argv[2], "GetGridVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridVisibility */
    Tcl_DStringAppendElement ( &dString, " Sets whether or not the grid for the given axis is visible given a plot\n type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGridVisibility(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetGridVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelVisibility */
    if ( strcmp ( argv[2], "SetAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Sets whether or not the labels for the axes are visible, given a plot type,\n which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabelVisibility(int plotType, bool visible);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabelVisibility */
    if ( strcmp ( argv[2], "GetAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Sets whether or not the labels for the axes are visible, given a plot type,\n which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAxisLabelVisibility(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelProperties */
    if ( strcmp ( argv[2], "SetAxisLabelProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelProperties */
    Tcl_DStringAppendElement ( &dString, " Set/get the text property for the axis labels of the given plot type,\n possible types are vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabelProperties(int plotType, vtkTextProperty *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetAxisLabelProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabelProperties */
    if ( strcmp ( argv[2], "GetAxisLabelProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabelProperties */
    Tcl_DStringAppendElement ( &dString, " Set/get the text property for the axis labels of the given plot type,\n possible types are vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetAxisLabelProperties(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetAxisLabelProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelNotation */
    if ( strcmp ( argv[2], "SetAxisLabelNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelNotation */
    Tcl_DStringAppendElement ( &dString, " Sets the axis label notation for the axes given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabelNotation(int plotType, int notation);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetAxisLabelNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabelNotation */
    if ( strcmp ( argv[2], "GetAxisLabelNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabelNotation */
    Tcl_DStringAppendElement ( &dString, " Sets the axis label notation for the axes given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisLabelNotation(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetAxisLabelNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelPrecision */
    if ( strcmp ( argv[2], "SetAxisLabelPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelPrecision */
    Tcl_DStringAppendElement ( &dString, " Sets the axis label precision for the axes given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabelPrecision(int plotType, int precision);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetAxisLabelPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabelPrecision */
    if ( strcmp ( argv[2], "GetAxisLabelPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabelPrecision */
    Tcl_DStringAppendElement ( &dString, " Sets the axis label precision for the axes given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisLabelPrecision(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetAxisLabelPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTooltipNotation */
    if ( strcmp ( argv[2], "SetTooltipNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTooltipNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTooltipNotation */
    Tcl_DStringAppendElement ( &dString, " Set chart's tooltip notation and precision, given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTooltipNotation(int plotType, int notation);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetTooltipNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTooltipPrecision */
    if ( strcmp ( argv[2], "SetTooltipPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTooltipPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTooltipPrecision */
    Tcl_DStringAppendElement ( &dString, " Set chart's tooltip notation and precision, given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTooltipPrecision(int plotType, int precision);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetTooltipPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTooltipNotation */
    if ( strcmp ( argv[2], "GetTooltipNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTooltipNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTooltipNotation */
    Tcl_DStringAppendElement ( &dString, " Set chart's tooltip notation and precision, given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTooltipNotation(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetTooltipNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTooltipPrecision */
    if ( strcmp ( argv[2], "GetTooltipPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTooltipPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTooltipPrecision */
    Tcl_DStringAppendElement ( &dString, " Set chart's tooltip notation and precision, given a plot type, which refers to\n vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTooltipPrecision(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetTooltipPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateSettings */
    if ( strcmp ( argv[2], "UpdateSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateSettings */
    Tcl_DStringAppendElement ( &dString, " Convenient method to update all the chart settings\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for UpdateSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateChartSettings */
    if ( strcmp ( argv[2], "UpdateChartSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateChartSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateChartSettings */
    Tcl_DStringAppendElement ( &dString, " Update charts based on settings given the plot type\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateChartSettings(int plotType);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for UpdateChartSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionMode */
    if ( strcmp ( argv[2], "SetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Set/get the Selection Mode that will be used by the chart while doing\n selection. The only valid enums are vtkContextScene::SELECTION_NONE,\n SELECTION_DEFAULT, SELECTION_ADDITION, SELECTION_SUBTRACTION, SELECTION_TOGGLE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for SetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionMode */
    if ( strcmp ( argv[2], "GetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Set/get the Selection Mode that will be used by the chart while doing\n selection. The only valid enums are vtkContextScene::SELECTION_NONE,\n SELECTION_DEFAULT, SELECTION_ADDITION, SELECTION_SUBTRACTION, SELECTION_TOGGLE\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkScatterPlotMatrix" );
    /* Closing for GetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkChartMatrixCppCommand(static_cast<vtkChartMatrix *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
