// tcl wrapper for vtkAnimationScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnimationScene.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAnimationSceneNewCommand()
{
  vtkAnimationScene *temp = vtkAnimationScene::New();
  return static_cast<ClientData>(temp);
}

int vtkAnimationCueCppCommand(vtkAnimationCue *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAnimationSceneCppCommand(vtkAnimationScene *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAnimationSceneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAnimationSceneCppCommand(static_cast<vtkAnimationScene *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAnimationSceneCppCommand(vtkAnimationScene *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAnimationScene",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAnimationCueCppCommand(static_cast<vtkAnimationCue *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAnimationCue"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAnimationScene  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnimationScene");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAnimationScene  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnimationScene");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAnimationScene  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnimationScene");
    return TCL_OK;
    }
  if ((!strcmp("SetPlayMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlayMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetModeToSequence",argv[1]))&&(argc == 2))
    {
    op->SetModeToSequence();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetModeToRealTime",argv[1]))&&(argc == 2))
    {
    op->SetModeToRealTime();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPlayMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlayMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrameRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFrameRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFrameRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddCue",argv[1]))&&(argc == 3))
    {
    vtkAnimationCue  *temp0;
    error = 0;

    temp0 = (vtkAnimationCue *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAnimationCue"),interp,error));
    if (!error)
    {
    op->AddCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveCue",argv[1]))&&(argc == 3))
    {
    vtkAnimationCue  *temp0;
    error = 0;

    temp0 = (vtkAnimationCue *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAnimationCue"),interp,error));
    if (!error)
    {
    op->RemoveCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllCues",argv[1]))&&(argc == 2))
    {
    op->RemoveAllCues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Play",argv[1]))&&(argc == 2))
    {
    op->Play();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Stop",argv[1]))&&(argc == 2))
    {
    op->Stop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLoop",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLoop(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLoop",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLoop();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAnimationTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimationTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAnimationTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsInPlay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInPlay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAnimationSceneCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAnimationCueCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAnimationScene:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPlayMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetModeToSequence\n",NULL);
    Tcl_AppendResult(interp,"  SetModeToRealTime\n",NULL);
    Tcl_AppendResult(interp,"  GetPlayMode\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameRate\n",NULL);
    Tcl_AppendResult(interp,"  AddCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllCues\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCues\n",NULL);
    Tcl_AppendResult(interp,"  Play\n",NULL);
    Tcl_AppendResult(interp,"  Stop\n",NULL);
    Tcl_AppendResult(interp,"  SetLoop\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLoop\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationTime\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsInPlay\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAnimationCueCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetPlayMode" );
    Tcl_DStringAppendElement ( &dString, "SetModeToSequence" );
    Tcl_DStringAppendElement ( &dString, "SetModeToRealTime" );
    Tcl_DStringAppendElement ( &dString, "GetPlayMode" );
    Tcl_DStringAppendElement ( &dString, "SetFrameRate" );
    Tcl_DStringAppendElement ( &dString, "GetFrameRate" );
    Tcl_DStringAppendElement ( &dString, "AddCue" );
    Tcl_DStringAppendElement ( &dString, "RemoveCue" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllCues" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCues" );
    Tcl_DStringAppendElement ( &dString, "Play" );
    Tcl_DStringAppendElement ( &dString, "Stop" );
    Tcl_DStringAppendElement ( &dString, "SetLoop" );
    Tcl_DStringAppendElement ( &dString, "GetLoop" );
    Tcl_DStringAppendElement ( &dString, "SetAnimationTime" );
    Tcl_DStringAppendElement ( &dString, "GetAnimationTime" );
    Tcl_DStringAppendElement ( &dString, "SetTimeMode" );
    Tcl_DStringAppendElement ( &dString, "IsInPlay" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAnimationCueCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAnimationScene *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlayMode */
    if ( strcmp ( argv[2], "SetPlayMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlayMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlayMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlayMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SetPlayMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModeToSequence */
    if ( strcmp ( argv[2], "SetModeToSequence" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModeToSequence" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModeToSequence */
    Tcl_DStringAppendElement ( &dString, " Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetModeToSequence();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SetModeToSequence */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModeToRealTime */
    if ( strcmp ( argv[2], "SetModeToRealTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModeToRealTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModeToRealTime */
    Tcl_DStringAppendElement ( &dString, " Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetModeToRealTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SetModeToRealTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlayMode */
    if ( strcmp ( argv[2], "GetPlayMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlayMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlayMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlayMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for GetPlayMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameRate */
    if ( strcmp ( argv[2], "SetFrameRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameRate */
    Tcl_DStringAppendElement ( &dString, " Get/Set the frame rate (in frames per second).\n This parameter affects only in the Sequence mode. The time interval\n indicated to each cue on every tick is progressed by 1/frame-rate seconds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFrameRate(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SetFrameRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameRate */
    if ( strcmp ( argv[2], "GetFrameRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameRate */
    Tcl_DStringAppendElement ( &dString, " Get/Set the frame rate (in frames per second).\n This parameter affects only in the Sequence mode. The time interval\n indicated to each cue on every tick is progressed by 1/frame-rate seconds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFrameRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for GetFrameRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddCue */
    if ( strcmp ( argv[2], "AddCue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddCue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddCue */
    Tcl_DStringAppendElement ( &dString, " Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddCue(vtkAnimationCue *cue);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for AddCue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveCue */
    if ( strcmp ( argv[2], "RemoveCue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveCue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveCue */
    Tcl_DStringAppendElement ( &dString, " Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveCue(vtkAnimationCue *cue);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for RemoveCue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllCues */
    if ( strcmp ( argv[2], "RemoveAllCues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllCues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllCues */
    Tcl_DStringAppendElement ( &dString, " Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllCues();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for RemoveAllCues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCues */
    if ( strcmp ( argv[2], "GetNumberOfCues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCues */
    Tcl_DStringAppendElement ( &dString, " Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCues();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for GetNumberOfCues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Play */
    if ( strcmp ( argv[2], "Play" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Play" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Play */
    Tcl_DStringAppendElement ( &dString, " Starts playing the animation scene. Fires a vtkCommand::StartEvent\n before play beings and vtkCommand::EndEvent after play ends.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Play();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for Play */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Stop */
    if ( strcmp ( argv[2], "Stop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Stop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Stop */
    Tcl_DStringAppendElement ( &dString, " Stops the animation scene that is running.\n" );
    Tcl_DStringAppendElement ( &dString, "void Stop();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for Stop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLoop */
    if ( strcmp ( argv[2], "SetLoop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLoop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLoop */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable animation loop.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLoop(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SetLoop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLoop */
    if ( strcmp ( argv[2], "GetLoop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLoop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLoop */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable animation loop.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLoop();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for GetLoop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnimationTime */
    if ( strcmp ( argv[2], "SetAnimationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnimationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnimationTime */
    Tcl_DStringAppendElement ( &dString, " Makes the state of the scene same as the given time.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnimationTime(double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SetAnimationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnimationTime */
    if ( strcmp ( argv[2], "GetAnimationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnimationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnimationTime */
    Tcl_DStringAppendElement ( &dString, " Makes the state of the scene same as the given time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAnimationTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for GetAnimationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeMode */
    if ( strcmp ( argv[2], "SetTimeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeMode */
    Tcl_DStringAppendElement ( &dString, " Overridden to allow change to Normalized mode only\n if none of the constituent cues is in Relative time mode.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTimeMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for SetTimeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsInPlay */
    if ( strcmp ( argv[2], "IsInPlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsInPlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsInPlay */
    Tcl_DStringAppendElement ( &dString, " Returns if the animation is being played.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsInPlay();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationScene" );
    /* Closing for IsInPlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAnimationCueCppCommand(static_cast<vtkAnimationCue *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
