// tcl wrapper for vtkAssemblyNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssemblyNode.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAssemblyNodeNewCommand()
{
  vtkAssemblyNode *temp = vtkAssemblyNode::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAssemblyNodeCppCommand(vtkAssemblyNode *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAssemblyNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAssemblyNodeCppCommand(static_cast<vtkAssemblyNode *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAssemblyNodeCppCommand(vtkAssemblyNode *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAssemblyNode",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAssemblyNode  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyNode");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAssemblyNode  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyNode");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAssemblyNode  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyNode");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->SetViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetViewProp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
  if ((!strcmp("SetMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->SetMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->SetProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetProp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAssemblyNodeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAssemblyNode:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewProp\n",NULL);
    Tcl_AppendResult(interp,"  SetMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMatrix\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetProp\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetViewProp" );
    Tcl_DStringAppendElement ( &dString, "GetViewProp" );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetProp" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetProp" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create an assembly node.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAssemblyNode *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewProp */
    if ( strcmp ( argv[2], "SetViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewProp */
    Tcl_DStringAppendElement ( &dString, " Set/Get the prop that this assembly node refers to.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetViewProp(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for SetViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewProp */
    if ( strcmp ( argv[2], "GetViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewProp */
    Tcl_DStringAppendElement ( &dString, " Set/Get the prop that this assembly node refers to.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProp *GetViewProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for GetViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMatrix */
    if ( strcmp ( argv[2], "SetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMatrix */
    Tcl_DStringAppendElement ( &dString, " Specify a transformation matrix associated with the prop.\n Note: if the prop is not a type of vtkProp3D, then the\n transformation matrix is ignored (and expected to be NULL).\n Also, internal to this object the matrix is copied because\n the matrix is used for computation by vtkAssemblyPath.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMatrix(vtkMatrix4x4 *matrix);" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for SetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMatrix */
    if ( strcmp ( argv[2], "GetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMatrix */
    Tcl_DStringAppendElement ( &dString, " Specify a transformation matrix associated with the prop.\n Note: if the prop is not a type of vtkProp3D, then the\n transformation matrix is ignored (and expected to be NULL).\n Also, internal to this object the matrix is copied because\n the matrix is used for computation by vtkAssemblyPath.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetMatrix();" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for GetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Override the standard GetMTime() to check for the modified times\n of the prop and matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetProp */
    if ( strcmp ( argv[2], "SetProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkAssemblyNode::SetViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProp(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for SetProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetProp */
    if ( strcmp ( argv[2], "GetProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkAssemblyNode::GetViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp *GetProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyNode" );
    /* Closing for GetProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
