// tcl wrapper for vtkDataArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataArray.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkAbstractArrayCppCommand(vtkAbstractArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataArrayCppCommand(vtkDataArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataArrayCppCommand(static_cast<vtkDataArray *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataArrayCppCommand(vtkDataArray *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataArray",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractArrayCppCommand(static_cast<vtkAbstractArray *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractArray"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("IsNumeric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsNumeric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementComponentSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElementComponentSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTuple",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->SetTuple(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->InsertTuple(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkAbstractArray  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->InsertNextTuple(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuples",argv[1]))&&(argc == 4))
    {
    vtkIdList  *temp0;
    vtkAbstractArray  *temp1;
    error = 0;

    temp0 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdList"),interp,error));
    temp1 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->GetTuples(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuples",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->GetTuples(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateTuple",argv[1]))&&(argc == 8))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    vtkIdType   temp3;
    vtkAbstractArray  *temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuple1",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTuple1(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuple2",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTuple2(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuple3",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTuple3(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuple4",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTuple4(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuple9",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTuple9(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[6], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[7], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[8], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTuple1",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetTuple1(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTuple2",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTuple2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTuple3",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetTuple3(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTuple4",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->SetTuple4(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTuple9",argv[1]))&&(argc == 12))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    double   temp7;
    double   temp8;
    double   temp9;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp8 = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp9 = tempd;
    if (!error)
    {
    op->SetTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple1",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->InsertTuple1(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple2",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->InsertTuple2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple3",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->InsertTuple3(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple4",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->InsertTuple4(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple9",argv[1]))&&(argc == 12))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    double   temp7;
    double   temp8;
    double   temp9;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp8 = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp9 = tempd;
    if (!error)
    {
    op->InsertTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->InsertNextTuple1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple2",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->InsertNextTuple2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple3",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->InsertNextTuple3(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple4",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->InsertNextTuple4(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple9",argv[1]))&&(argc == 11))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    double   temp7;
    double   temp8;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp8 = tempd;
    if (!error)
    {
    op->InsertNextTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveTuple",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveTuple(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveFirstTuple",argv[1]))&&(argc == 2))
    {
    op->RemoveFirstTuple();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveLastTuple",argv[1]))&&(argc == 2))
    {
    op->RemoveLastTuple();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComponent",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetComponent(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetComponent",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    int      temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertComponent",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    int      temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->InsertComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    int      temp2;
    int      temp3;
    vtkDoubleArray  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->GetData(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->FillComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkDataArray  *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLookupTable",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLookupTable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkLookupTable  *temp0;
    error = 0;

    temp0 = (vtkLookupTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLookupTable"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkLookupTable  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLookupTable");
    return TCL_OK;
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRange(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataTypeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetDataTypeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataTypeMin",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDataTypeMin();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataTypeMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDataTypeMax();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataTypeMin",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataTypeMin(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataTypeMax",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataTypeMax(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxNorm",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxNorm();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateDataArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateDataArray(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyInformation",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->CopyInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataArrayCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractArrayCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataArray:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  IsNumeric\n",NULL);
    Tcl_AppendResult(interp,"  GetElementComponentSize\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTuples\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTuples\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateTuple\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTuple1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTuple2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTuple3\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTuple4\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTuple9\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple3\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple4\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple9\t with 10 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple3\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple4\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple9\t with 10 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple3\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple4\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple9\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTuple\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFirstTuple\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLastTuple\n",NULL);
    Tcl_AppendResult(interp,"  GetComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FillComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeMin\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeMax\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeMin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNorm\n",NULL);
    Tcl_AppendResult(interp,"  CreateDataArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformation\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractArrayCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "IsNumeric" );
    Tcl_DStringAppendElement ( &dString, "GetElementComponentSize" );
    Tcl_DStringAppendElement ( &dString, "SetTuple" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple" );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    Tcl_DStringAppendElement ( &dString, "InterpolateTuple" );
    Tcl_DStringAppendElement ( &dString, "GetTuple1" );
    Tcl_DStringAppendElement ( &dString, "GetTuple2" );
    Tcl_DStringAppendElement ( &dString, "GetTuple3" );
    Tcl_DStringAppendElement ( &dString, "GetTuple4" );
    Tcl_DStringAppendElement ( &dString, "GetTuple9" );
    Tcl_DStringAppendElement ( &dString, "SetTuple1" );
    Tcl_DStringAppendElement ( &dString, "SetTuple2" );
    Tcl_DStringAppendElement ( &dString, "SetTuple3" );
    Tcl_DStringAppendElement ( &dString, "SetTuple4" );
    Tcl_DStringAppendElement ( &dString, "SetTuple9" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple1" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple2" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple3" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple4" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple9" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple1" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple2" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple3" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple4" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple9" );
    Tcl_DStringAppendElement ( &dString, "RemoveTuple" );
    Tcl_DStringAppendElement ( &dString, "RemoveFirstTuple" );
    Tcl_DStringAppendElement ( &dString, "RemoveLastTuple" );
    Tcl_DStringAppendElement ( &dString, "GetComponent" );
    Tcl_DStringAppendElement ( &dString, "SetComponent" );
    Tcl_DStringAppendElement ( &dString, "InsertComponent" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "FillComponent" );
    Tcl_DStringAppendElement ( &dString, "CopyComponent" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeRange" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMin" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMax" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMin" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMax" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNorm" );
    Tcl_DStringAppendElement ( &dString, "CreateDataArray" );
    Tcl_DStringAppendElement ( &dString, "CopyInformation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractArrayCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsNumeric */
    if ( strcmp ( argv[2], "IsNumeric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsNumeric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsNumeric */
    Tcl_DStringAppendElement ( &dString, " This method is here to make backward compatibility easier.  It\n must return true if and only if an array contains numeric data.\n All vtkDataArray subclasses contain numeric data, hence this method\n always returns 1(true).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsNumeric();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for IsNumeric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementComponentSize */
    if ( strcmp ( argv[2], "GetElementComponentSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementComponentSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementComponentSize */
    Tcl_DStringAppendElement ( &dString, " Return the size, in bytes, of the lowest-level element of an\n array.  For vtkDataArray and subclasses this is the size of the\n data type. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetElementComponentSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetElementComponentSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple */
    if ( strcmp ( argv[2], "SetTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple */
    Tcl_DStringAppendElement ( &dString, " Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTuple(vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple */
    if ( strcmp ( argv[2], "InsertTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple */
    Tcl_DStringAppendElement ( &dString, " Insert the jth tuple in the source array, at ith location in this array. \n Note that memory allocation is performed as necessary to hold the data.\n This pure virtual function is redeclared here to avoid\n declaration hidden warnings. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsertTuple(vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple */
    if ( strcmp ( argv[2], "InsertNextTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple */
    Tcl_DStringAppendElement ( &dString, " Insert the jth tuple in the source array, at the end in this array. \n Note that memory allocation is performed as necessary to hold the data.\n Returns the location at which the data was inserted.\n This pure virtual function is redeclared here to avoid\n declaration hidden warnings. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType InsertNextTuple(vtkIdType j, vtkAbstractArray *source) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertNextTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuples */
    if ( strcmp ( argv[2], "GetTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuples */
    Tcl_DStringAppendElement ( &dString, " Given a list of point ids, return an array of tuples.\n You must insure that the output array has been previously \n allocated with enough space to hold the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetTuples(vtkIdList *ptIds, vtkAbstractArray *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuples */
    if ( strcmp ( argv[2], "GetTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuples */
    Tcl_DStringAppendElement ( &dString, " Get the tuples for the range of points ids specified \n (i.e., p1->p2 inclusive). You must insure that the output array has \n been previously allocated with enough space to hold the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetTuples(vtkIdType p1, vtkIdType p2, vtkAbstractArray *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateTuple */
    if ( strcmp ( argv[2], "InterpolateTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateTuple */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateTuple(vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InterpolateTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuple1 */
    if ( strcmp ( argv[2], "GetTuple1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuple1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuple1 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTuple1(vtkIdType i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetTuple1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuple2 */
    if ( strcmp ( argv[2], "GetTuple2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuple2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuple2 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTuple2(vtkIdType i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetTuple2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuple3 */
    if ( strcmp ( argv[2], "GetTuple3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuple3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuple3 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTuple3(vtkIdType i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetTuple3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuple4 */
    if ( strcmp ( argv[2], "GetTuple4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuple4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuple4 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTuple4(vtkIdType i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetTuple4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuple9 */
    if ( strcmp ( argv[2], "GetTuple9" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuple9" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuple9 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTuple9(vtkIdType i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetTuple9 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple1 */
    if ( strcmp ( argv[2], "SetTuple1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple1 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTuple1(vtkIdType i, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetTuple1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple2 */
    if ( strcmp ( argv[2], "SetTuple2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple2 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTuple2(vtkIdType i, double val0, double val1);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetTuple2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple3 */
    if ( strcmp ( argv[2], "SetTuple3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple3 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTuple3(vtkIdType i, double val0, double val1, double val2);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetTuple3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple4 */
    if ( strcmp ( argv[2], "SetTuple4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple4 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTuple4(vtkIdType i, double val0, double val1, double val2, double val3);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetTuple4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple9 */
    if ( strcmp ( argv[2], "SetTuple9" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple9" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple9 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTuple9(vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetTuple9 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple1 */
    if ( strcmp ( argv[2], "InsertTuple1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple1 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertTuple1(vtkIdType i, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertTuple1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple2 */
    if ( strcmp ( argv[2], "InsertTuple2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple2 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertTuple2(vtkIdType i, double val0, double val1);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertTuple2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple3 */
    if ( strcmp ( argv[2], "InsertTuple3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple3 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertTuple3(vtkIdType i, double val0, double val1, double val2);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertTuple3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple4 */
    if ( strcmp ( argv[2], "InsertTuple4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple4 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertTuple4(vtkIdType i, double val0, double val1, double val2, double val3);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertTuple4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple9 */
    if ( strcmp ( argv[2], "InsertTuple9" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple9" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple9 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertTuple9(vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertTuple9 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple1 */
    if ( strcmp ( argv[2], "InsertNextTuple1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple1 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertNextTuple1(double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertNextTuple1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple2 */
    if ( strcmp ( argv[2], "InsertNextTuple2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple2 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertNextTuple2(double val0, double val1);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertNextTuple2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple3 */
    if ( strcmp ( argv[2], "InsertNextTuple3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple3 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertNextTuple3(double val0, double val1, double val2);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertNextTuple3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple4 */
    if ( strcmp ( argv[2], "InsertNextTuple4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple4 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertNextTuple4(double val0, double val1, double val2, double val3);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertNextTuple4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple9 */
    if ( strcmp ( argv[2], "InsertNextTuple9" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple9" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple9 */
    Tcl_DStringAppendElement ( &dString, " These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertNextTuple9(double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertNextTuple9 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveTuple */
    if ( strcmp ( argv[2], "RemoveTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveTuple */
    Tcl_DStringAppendElement ( &dString, " These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveTuple(vtkIdType id) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for RemoveTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveFirstTuple */
    if ( strcmp ( argv[2], "RemoveFirstTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveFirstTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveFirstTuple */
    Tcl_DStringAppendElement ( &dString, " These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveFirstTuple() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for RemoveFirstTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveLastTuple */
    if ( strcmp ( argv[2], "RemoveLastTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveLastTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveLastTuple */
    Tcl_DStringAppendElement ( &dString, " These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveLastTuple() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for RemoveLastTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponent */
    if ( strcmp ( argv[2], "GetComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponent */
    Tcl_DStringAppendElement ( &dString, " Return the data component at the ith tuple and jth component location.\n Note that i is less than NumberOfTuples and j is less than \n NumberOfComponents.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetComponent(vtkIdType i, int j);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponent */
    if ( strcmp ( argv[2], "SetComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponent */
    Tcl_DStringAppendElement ( &dString, " Set the data component at the ith tuple and jth component location.\n Note that i is less than NumberOfTuples and j is less than\n  NumberOfComponents. Make sure enough memory has been allocated \n (use SetNumberOfTuples() and SetNumberOfComponents()).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComponent(vtkIdType i, int j, double c);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertComponent */
    if ( strcmp ( argv[2], "InsertComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertComponent */
    Tcl_DStringAppendElement ( &dString, " Insert the data component at ith tuple and jth component location. \n Note that memory allocation is performed as necessary to hold the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsertComponent(vtkIdType i, int j, double c);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for InsertComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Get the data as a double array in the range (tupleMin,tupleMax) and\n (compMin, compMax). The resulting double array consists of all data in\n the tuple range specified and only the component range specified. This\n process typically requires casting the data from native form into\n doubleing point values. This method is provided as a convenience for data\n exchange, and is not very fast.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetData(vtkIdType tupleMin, vtkIdType tupleMax, int compMin, int compMax, vtkDoubleArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copy of data. Copies data from different data arrays even if\n they are different types (using doubleing-point exchange).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkAbstractArray *aa);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copy of data. Copies data from different data arrays even if\n they are different types (using doubleing-point exchange).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkDataArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillComponent */
    if ( strcmp ( argv[2], "FillComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillComponent */
    Tcl_DStringAppendElement ( &dString, " Fill a component of a data array with a specified value. This method\n sets the specified component to specified value for all tuples in the\n data array.  This methods can be used to initialize or reinitialize a\n single component of a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FillComponent(int j, double c);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for FillComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyComponent */
    if ( strcmp ( argv[2], "CopyComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyComponent */
    Tcl_DStringAppendElement ( &dString, " Copy a component from one data array into a component on this data array.\n This method copies the specified component (\"fromComponent\") from the\n specified data array (\"from\") to the specified component (\"j\") over all\n the tuples in this data array.  This method can be used to extract\n a component (column) from one data array and paste that data into\n a component on this data array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyComponent(int j, vtkDataArray *from, int fromComponent);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for CopyComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetActualMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLookupTable */
    if ( strcmp ( argv[2], "CreateDefaultLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLookupTable */
    Tcl_DStringAppendElement ( &dString, " Create default lookup table. Generally used to create one when none\n is available.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for CreateDefaultLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/get the lookup table associated with this scalar data, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTable(vtkLookupTable *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/get the lookup table associated with this scalar data, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Return the range of the array values for the given component.\n Range is copied into the array provided.\n If comp is equal to -1, it returns the range of the magnitude\n (if the number of components is equal to 1 it still returns the range of\n component 0).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange(int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Return the range of the array values for the 0th component. \n Range is copied into the array provided.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Return the range of the array values for the 0th component. \n Range is copied into the array provided.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetRange(double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeRange */
    if ( strcmp ( argv[2], "GetDataTypeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeRange */
    Tcl_DStringAppendElement ( &dString, " These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n" );
    Tcl_DStringAppendElement ( &dString, "void GetDataTypeRange(double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetDataTypeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeMin */
    if ( strcmp ( argv[2], "GetDataTypeMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeMin */
    Tcl_DStringAppendElement ( &dString, " These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n" );
    Tcl_DStringAppendElement ( &dString, "double GetDataTypeMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetDataTypeMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeMax */
    if ( strcmp ( argv[2], "GetDataTypeMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeMax */
    Tcl_DStringAppendElement ( &dString, " These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n" );
    Tcl_DStringAppendElement ( &dString, "double GetDataTypeMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetDataTypeMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeMin */
    if ( strcmp ( argv[2], "GetDataTypeMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeMin */
    Tcl_DStringAppendElement ( &dString, " These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n" );
    Tcl_DStringAppendElement ( &dString, "static double GetDataTypeMin(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetDataTypeMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeMax */
    if ( strcmp ( argv[2], "GetDataTypeMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeMax */
    Tcl_DStringAppendElement ( &dString, " These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n" );
    Tcl_DStringAppendElement ( &dString, "static double GetDataTypeMax(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetDataTypeMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNorm */
    if ( strcmp ( argv[2], "GetMaxNorm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNorm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNorm */
    Tcl_DStringAppendElement ( &dString, " Return the maximum norm for the tuples.\n Note that the max. is computed everytime GetMaxNorm is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaxNorm();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for GetMaxNorm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDataArray */
    if ( strcmp ( argv[2], "CreateDataArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDataArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDataArray */
    Tcl_DStringAppendElement ( &dString, " Creates an array for dataType where dataType is one of\n VTK_BIT, VTK_CHAR, VTK_SIGNED_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,\n VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,\n VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE.\n Note that the data array returned has be deleted by the\n user.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataArray *CreateDataArray(int dataType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for CreateDataArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyInformation */
    if ( strcmp ( argv[2], "CopyInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyInformation */
    Tcl_DStringAppendElement ( &dString, " Copy information instance. Arrays use information objects\n in a variety of ways. It is important to have flexibility in\n this regard because certain keys should not be coppied, while\n others must be. NOTE: Up to the implmeneter to make sure that\n keys not inteneded to be coppied are excluded here.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CopyInformation(vtkInformation *infoFrom, int deep=1);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    /* Closing for CopyInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractArrayCppCommand(static_cast<vtkAbstractArray *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
