// tcl wrapper for vtkExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtentTranslator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExtentTranslatorNewCommand()
{
  vtkExtentTranslator *temp = vtkExtentTranslator::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtentTranslatorCppCommand(vtkExtentTranslator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExtentTranslatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExtentTranslatorCppCommand(static_cast<vtkExtentTranslator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtentTranslatorCppCommand(vtkExtentTranslator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExtentTranslator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExtentTranslator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExtentTranslator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExtentTranslator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetWholeExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPiece",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPiece(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPiece",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPiece();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGhostLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGhostLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGhostLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PieceToExtent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->PieceToExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PieceToExtentByPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->PieceToExtentByPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitModeToBlock",argv[1]))&&(argc == 2))
    {
    op->SetSplitModeToBlock();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitModeToXSlab",argv[1]))&&(argc == 2))
    {
    op->SetSplitModeToXSlab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitModeToYSlab",argv[1]))&&(argc == 2))
    {
    op->SetSplitModeToYSlab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitModeToZSlab",argv[1]))&&(argc == 2))
    {
    op->SetSplitModeToZSlab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSplitMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplitMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExtentTranslatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtentTranslator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetPiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPiece\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  SetGhostLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostLevel\n",NULL);
    Tcl_AppendResult(interp,"  PieceToExtent\n",NULL);
    Tcl_AppendResult(interp,"  PieceToExtentByPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitModeToBlock\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitModeToXSlab\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitModeToYSlab\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitModeToZSlab\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitMode\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "GetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetPiece" );
    Tcl_DStringAppendElement ( &dString, "GetPiece" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "PieceToExtent" );
    Tcl_DStringAppendElement ( &dString, "PieceToExtentByPoints" );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToBlock" );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToXSlab" );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToYSlab" );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToZSlab" );
    Tcl_DStringAppendElement ( &dString, "GetSplitMode" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtentTranslator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeExtent */
    if ( strcmp ( argv[2], "SetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetWholeExtent(int, int, int, int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeExtent */
    if ( strcmp ( argv[2], "SetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetWholeExtent(int a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeExtent */
    if ( strcmp ( argv[2], "GetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetWholeExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for GetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent(int, int, int, int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent(int a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtent */
    if ( strcmp ( argv[2], "GetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for GetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPiece */
    if ( strcmp ( argv[2], "SetPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPiece */
    Tcl_DStringAppendElement ( &dString, " Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPiece(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPiece */
    if ( strcmp ( argv[2], "GetPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPiece */
    Tcl_DStringAppendElement ( &dString, " Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPiece();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for GetPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfPieces */
    if ( strcmp ( argv[2], "SetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfPieces(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPieces */
    if ( strcmp ( argv[2], "GetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for GetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGhostLevel */
    if ( strcmp ( argv[2], "SetGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGhostLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostLevel */
    if ( strcmp ( argv[2], "GetGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGhostLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for GetGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PieceToExtent */
    if ( strcmp ( argv[2], "PieceToExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PieceToExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PieceToExtent */
    Tcl_DStringAppendElement ( &dString, " These are the main methods that should be called. These methods \n are responsible for converting a piece to an extent. The signatures\n without arguments are only thread safe when each thread accesses a\n different instance. The signatures with arguments are fully thread\n safe. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int PieceToExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for PieceToExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PieceToExtentByPoints */
    if ( strcmp ( argv[2], "PieceToExtentByPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PieceToExtentByPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PieceToExtentByPoints */
    Tcl_DStringAppendElement ( &dString, " These are the main methods that should be called. These methods \n are responsible for converting a piece to an extent. The signatures\n without arguments are only thread safe when each thread accesses a\n different instance. The signatures with arguments are fully thread\n safe. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int PieceToExtentByPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for PieceToExtentByPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplitModeToBlock */
    if ( strcmp ( argv[2], "SetSplitModeToBlock" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToBlock" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitModeToBlock */
    Tcl_DStringAppendElement ( &dString, " How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplitModeToBlock();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetSplitModeToBlock */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplitModeToXSlab */
    if ( strcmp ( argv[2], "SetSplitModeToXSlab" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToXSlab" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitModeToXSlab */
    Tcl_DStringAppendElement ( &dString, " How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplitModeToXSlab();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetSplitModeToXSlab */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplitModeToYSlab */
    if ( strcmp ( argv[2], "SetSplitModeToYSlab" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToYSlab" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitModeToYSlab */
    Tcl_DStringAppendElement ( &dString, " How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplitModeToYSlab();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetSplitModeToYSlab */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplitModeToZSlab */
    if ( strcmp ( argv[2], "SetSplitModeToZSlab" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitModeToZSlab" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitModeToZSlab */
    Tcl_DStringAppendElement ( &dString, " How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplitModeToZSlab();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for SetSplitModeToZSlab */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplitMode */
    if ( strcmp ( argv[2], "GetSplitMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitMode */
    Tcl_DStringAppendElement ( &dString, " How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSplitMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    /* Closing for GetSplitMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
