// tcl wrapper for vtkFunctionParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFunctionParser.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFunctionParserNewCommand()
{
  vtkFunctionParser *temp = vtkFunctionParser::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFunctionParserCppCommand(vtkFunctionParser *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFunctionParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFunctionParserCppCommand(static_cast<vtkFunctionParser *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFunctionParserCppCommand(vtkFunctionParser *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFunctionParser",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFunctionParser  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFunctionParser");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFunctionParser  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFunctionParser");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFunctionParser  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFunctionParser");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFunction",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunction",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFunction();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsScalarResult",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsScalarResult();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsVectorResult",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsVectorResult();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarResult",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScalarResult();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorResult",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetVectorResult();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetVectorResult",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetVectorResult(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarVariableValue",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    double   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarVariableValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarVariableValue",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarVariableValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarVariableValue",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    double   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetScalarVariableValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarVariableValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarVariableValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorVariableValue",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetVectorVariableValue(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorVariableValue",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetVectorVariableValue(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorVariableValue",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    double  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetVectorVariableValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorVariableValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorVariableValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfScalarVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarVariableName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarVariableName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorVariableName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorVariableName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveAllVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveScalarVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveScalarVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveVectorVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveVectorVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceInvalidValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceInvalidValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceInvalidValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceInvalidValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInvalidValuesOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceInvalidValuesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInvalidValuesOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceInvalidValuesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReplacementValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetReplacementValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplacementValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetReplacementValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFunctionParserCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFunctionParser:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunction\n",NULL);
    Tcl_AppendResult(interp,"  IsScalarResult\n",NULL);
    Tcl_AppendResult(interp,"  IsVectorResult\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarResult\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorResult\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorResult\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarVariableValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarVariableValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVariableValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVariableValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorVariableValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorVariableValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorVariableValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorVariableValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarVariables\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorVariables\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVariableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorVariableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllVariables\n",NULL);
    Tcl_AppendResult(interp,"  RemoveScalarVariables\n",NULL);
    Tcl_AppendResult(interp,"  RemoveVectorVariables\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceInvalidValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceInvalidValues\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInvalidValuesOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInvalidValuesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReplacementValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplacementValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFunction" );
    Tcl_DStringAppendElement ( &dString, "GetFunction" );
    Tcl_DStringAppendElement ( &dString, "IsScalarResult" );
    Tcl_DStringAppendElement ( &dString, "IsVectorResult" );
    Tcl_DStringAppendElement ( &dString, "GetScalarResult" );
    Tcl_DStringAppendElement ( &dString, "GetVectorResult" );
    Tcl_DStringAppendElement ( &dString, "GetVectorResult" );
    Tcl_DStringAppendElement ( &dString, "SetScalarVariableValue" );
    Tcl_DStringAppendElement ( &dString, "SetScalarVariableValue" );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableValue" );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableValue" );
    Tcl_DStringAppendElement ( &dString, "SetVectorVariableValue" );
    Tcl_DStringAppendElement ( &dString, "SetVectorVariableValue" );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableValue" );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarVariables" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorVariables" );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableName" );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableName" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVariables" );
    Tcl_DStringAppendElement ( &dString, "RemoveScalarVariables" );
    Tcl_DStringAppendElement ( &dString, "RemoveVectorVariables" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceInvalidValues" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceInvalidValues" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOff" );
    Tcl_DStringAppendElement ( &dString, "SetReplacementValue" );
    Tcl_DStringAppendElement ( &dString, "GetReplacementValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFunctionParser *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFunction */
    if ( strcmp ( argv[2], "SetFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get input string to evaluate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFunction(const char *function);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SetFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFunction */
    if ( strcmp ( argv[2], "GetFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get input string to evaluate.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsScalarResult */
    if ( strcmp ( argv[2], "IsScalarResult" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsScalarResult" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsScalarResult */
    Tcl_DStringAppendElement ( &dString, " Check whether the result is a scalar result.  If it isn't, then\n either the result is a vector or an error has occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsScalarResult();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for IsScalarResult */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsVectorResult */
    if ( strcmp ( argv[2], "IsVectorResult" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsVectorResult" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsVectorResult */
    Tcl_DStringAppendElement ( &dString, " Check whether the result is a vector result.  If it isn't, then\n either the result is scalar or an error has occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsVectorResult();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for IsVectorResult */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarResult */
    if ( strcmp ( argv[2], "GetScalarResult" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarResult" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarResult */
    Tcl_DStringAppendElement ( &dString, " Get a scalar result from evaluating the input function.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScalarResult();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetScalarResult */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorResult */
    if ( strcmp ( argv[2], "GetVectorResult" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorResult" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorResult */
    Tcl_DStringAppendElement ( &dString, " Get a vector result from evaluating the input function.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetVectorResult();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetVectorResult */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorResult */
    if ( strcmp ( argv[2], "GetVectorResult" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorResult" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorResult */
    Tcl_DStringAppendElement ( &dString, " Get a vector result from evaluating the input function.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetVectorResult(double result\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetVectorResult */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarVariableValue */
    if ( strcmp ( argv[2], "SetScalarVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarVariableValue */
    Tcl_DStringAppendElement ( &dString, " Set the value of a scalar variable.  If a variable with this name\n exists, then its value will be set to the new value.  If there is not\n already a variable with this name, variableName will be added to the\n list of variables, and its value will be set to the new value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarVariableValue(const char *variableName, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SetScalarVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarVariableValue */
    if ( strcmp ( argv[2], "SetScalarVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarVariableValue */
    Tcl_DStringAppendElement ( &dString, " Set the value of a scalar variable.  If a variable with this name\n exists, then its value will be set to the new value.  If there is not\n already a variable with this name, variableName will be added to the\n list of variables, and its value will be set to the new value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarVariableValue(int i, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SetScalarVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarVariableValue */
    if ( strcmp ( argv[2], "GetScalarVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarVariableValue */
    Tcl_DStringAppendElement ( &dString, " Get the value of a scalar variable.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScalarVariableValue(const char *variableName);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetScalarVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarVariableValue */
    if ( strcmp ( argv[2], "GetScalarVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarVariableValue */
    Tcl_DStringAppendElement ( &dString, " Get the value of a scalar variable.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScalarVariableValue(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetScalarVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorVariableValue */
    if ( strcmp ( argv[2], "SetVectorVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorVariableValue */
    Tcl_DStringAppendElement ( &dString, " Set the value of a vector variable.  If a variable with this name\n exists, then its value will be set to the new value.  If there is not\n already a variable with this name, variableName will be added to the\n list of variables, and its value will be set to the new value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorVariableValue(const char *variableName, double xValue, double yValue, double zValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SetVectorVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorVariableValue */
    if ( strcmp ( argv[2], "SetVectorVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorVariableValue */
    Tcl_DStringAppendElement ( &dString, " Set the value of a vector variable.  If a variable with this name\n exists, then its value will be set to the new value.  If there is not\n already a variable with this name, variableName will be added to the\n list of variables, and its value will be set to the new value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorVariableValue(int i, double xValue, double yValue, double zValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SetVectorVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorVariableValue */
    if ( strcmp ( argv[2], "GetVectorVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorVariableValue */
    Tcl_DStringAppendElement ( &dString, " Get the value of a vector variable.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetVectorVariableValue(const char *variableName);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetVectorVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorVariableValue */
    if ( strcmp ( argv[2], "GetVectorVariableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorVariableValue */
    Tcl_DStringAppendElement ( &dString, " Get the value of a vector variable.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetVectorVariableValue(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetVectorVariableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarVariables */
    if ( strcmp ( argv[2], "GetNumberOfScalarVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarVariables */
    Tcl_DStringAppendElement ( &dString, " Get the number of scalar variables.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetNumberOfScalarVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVectorVariables */
    if ( strcmp ( argv[2], "GetNumberOfVectorVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVectorVariables */
    Tcl_DStringAppendElement ( &dString, " Get the number of vector variables.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVectorVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetNumberOfVectorVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarVariableName */
    if ( strcmp ( argv[2], "GetScalarVariableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarVariableName */
    Tcl_DStringAppendElement ( &dString, " Get the ith scalar variable name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalarVariableName(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetScalarVariableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorVariableName */
    if ( strcmp ( argv[2], "GetVectorVariableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorVariableName */
    Tcl_DStringAppendElement ( &dString, " Get the ith vector variable name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorVariableName(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetVectorVariableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllVariables */
    if ( strcmp ( argv[2], "RemoveAllVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for RemoveAllVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveScalarVariables */
    if ( strcmp ( argv[2], "RemoveScalarVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveScalarVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveScalarVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the scalar variables.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveScalarVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for RemoveScalarVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveVectorVariables */
    if ( strcmp ( argv[2], "RemoveVectorVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveVectorVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveVectorVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the vector variables.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveVectorVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for RemoveVectorVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceInvalidValues */
    if ( strcmp ( argv[2], "SetReplaceInvalidValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceInvalidValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceInvalidValues */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceInvalidValues(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SetReplaceInvalidValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceInvalidValues */
    if ( strcmp ( argv[2], "GetReplaceInvalidValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceInvalidValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceInvalidValues */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReplaceInvalidValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetReplaceInvalidValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInvalidValuesOn */
    if ( strcmp ( argv[2], "ReplaceInvalidValuesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInvalidValuesOn */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInvalidValuesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for ReplaceInvalidValuesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInvalidValuesOff */
    if ( strcmp ( argv[2], "ReplaceInvalidValuesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInvalidValuesOff */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInvalidValuesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for ReplaceInvalidValuesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplacementValue */
    if ( strcmp ( argv[2], "SetReplacementValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplacementValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplacementValue */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplacementValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for SetReplacementValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplacementValue */
    if ( strcmp ( argv[2], "GetReplacementValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplacementValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplacementValue */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "double GetReplacementValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFunctionParser" );
    /* Closing for GetReplacementValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
