// tcl wrapper for vtkMatrix4x4 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMatrix4x4.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMatrix4x4NewCommand()
{
  vtkMatrix4x4 *temp = vtkMatrix4x4::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMatrix4x4CppCommand(vtkMatrix4x4 *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMatrix4x4Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMatrix4x4CppCommand(static_cast<vtkMatrix4x4 *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMatrix4x4CppCommand(vtkMatrix4x4 *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMatrix4x4",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMatrix4x4  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 18))
    {
    double temp0[16];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Zero",argv[1]))&&(argc == 2))
    {
    op->Zero();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Zero",argv[1]))&&(argc == 18))
    {
    double temp0[16];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (!error)
    {
    op->Zero(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Identity",argv[1]))&&(argc == 2))
    {
    op->Identity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Identity",argv[1]))&&(argc == 18))
    {
    double temp0[16];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (!error)
    {
    op->Identity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Invert",argv[1]))&&(argc == 4))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->Invert(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Invert",argv[1]))&&(argc == 2))
    {
    op->Invert();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Transpose",argv[1]))&&(argc == 4))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->Transpose(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Transpose",argv[1]))&&(argc == 2))
    {
    op->Transpose();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MultiplyPoint",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    float   *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    temp20 = (op)->MultiplyPoint(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("MultiplyFloatPoint",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    float   *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    temp20 = (op)->MultiplyFloatPoint(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("MultiplyDoublePoint",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    double  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    temp20 = (op)->MultiplyDoublePoint(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("Multiply4x4",argv[1]))&&(argc == 5))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    vtkMatrix4x4  *temp2;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMatrix4x4"),interp,error));
    temp2 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->Multiply4x4(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Adjoint",argv[1]))&&(argc == 4))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->Adjoint(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Determinant",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->Determinant();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Determinant",argv[1]))&&(argc == 18))
    {
    double temp0[16];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (!error)
    {
    temp20 = (op)->Determinant(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetElement",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetElement(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElement",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetElement(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Determinant",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    temp20 = (op)->Determinant(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMatrix4x4Command));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMatrix4x4:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 16 args\n",NULL);
    Tcl_AppendResult(interp,"  Zero\n",NULL);
    Tcl_AppendResult(interp,"  Zero\t with 16 args\n",NULL);
    Tcl_AppendResult(interp,"  Identity\n",NULL);
    Tcl_AppendResult(interp,"  Identity\t with 16 args\n",NULL);
    Tcl_AppendResult(interp,"  Invert\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Invert\n",NULL);
    Tcl_AppendResult(interp,"  Transpose\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Transpose\n",NULL);
    Tcl_AppendResult(interp,"  MultiplyPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  MultiplyFloatPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  MultiplyDoublePoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Multiply4x4\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Adjoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Determinant\n",NULL);
    Tcl_AppendResult(interp,"  Determinant\t with 16 args\n",NULL);
    Tcl_AppendResult(interp,"  SetElement\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetElement\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Determinant\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "Zero" );
    Tcl_DStringAppendElement ( &dString, "Zero" );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    Tcl_DStringAppendElement ( &dString, "Invert" );
    Tcl_DStringAppendElement ( &dString, "Invert" );
    Tcl_DStringAppendElement ( &dString, "Transpose" );
    Tcl_DStringAppendElement ( &dString, "Transpose" );
    Tcl_DStringAppendElement ( &dString, "MultiplyPoint" );
    Tcl_DStringAppendElement ( &dString, "MultiplyFloatPoint" );
    Tcl_DStringAppendElement ( &dString, "MultiplyDoublePoint" );
    Tcl_DStringAppendElement ( &dString, "Multiply4x4" );
    Tcl_DStringAppendElement ( &dString, "Adjoint" );
    Tcl_DStringAppendElement ( &dString, "Determinant" );
    Tcl_DStringAppendElement ( &dString, "Determinant" );
    Tcl_DStringAppendElement ( &dString, "SetElement" );
    Tcl_DStringAppendElement ( &dString, "GetElement" );
    Tcl_DStringAppendElement ( &dString, "Determinant" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a 4x4 identity matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMatrix4x4 *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Set the elements of the matrix to the same values as the elements\n of the source Matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(const vtkMatrix4x4 *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Non-static member function. Assigns *from* elements array\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(const double Elements\\[16\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Zero */
    if ( strcmp ( argv[2], "Zero" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Zero" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Zero */
    Tcl_DStringAppendElement ( &dString, " Set all of the elements to zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void Zero();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Zero */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Zero */
    if ( strcmp ( argv[2], "Zero" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Zero" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Zero */
    Tcl_DStringAppendElement ( &dString, " Set all of the elements to zero.\n" );
    Tcl_DStringAppendElement ( &dString, "static void Zero(double Elements\\[16\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Zero */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Identity */
    if ( strcmp ( argv[2], "Identity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Identity */
    Tcl_DStringAppendElement ( &dString, " Set equal to Identity matrix\n" );
    Tcl_DStringAppendElement ( &dString, "void Identity();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Identity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Identity */
    if ( strcmp ( argv[2], "Identity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Identity */
    Tcl_DStringAppendElement ( &dString, " Set equal to Identity matrix\n" );
    Tcl_DStringAppendElement ( &dString, "static void Identity(double Elements\\[16\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Identity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Invert */
    if ( strcmp ( argv[2], "Invert" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Invert" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Invert */
    Tcl_DStringAppendElement ( &dString, " Matrix Inversion (adapted from Richard Carling in \"Graphics Gems,\" \n Academic Press, 1990).\n" );
    Tcl_DStringAppendElement ( &dString, "static void Invert(const vtkMatrix4x4 *in, vtkMatrix4x4 *out);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Invert */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Invert */
    if ( strcmp ( argv[2], "Invert" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Invert" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Invert */
    Tcl_DStringAppendElement ( &dString, " Matrix Inversion (adapted from Richard Carling in \"Graphics Gems,\" \n Academic Press, 1990).\n" );
    Tcl_DStringAppendElement ( &dString, "void Invert();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Invert */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Transpose */
    if ( strcmp ( argv[2], "Transpose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Transpose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Transpose */
    Tcl_DStringAppendElement ( &dString, " Transpose the matrix and put it into out. \n" );
    Tcl_DStringAppendElement ( &dString, "static void Transpose(const vtkMatrix4x4 *in, vtkMatrix4x4 *out);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Transpose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Transpose */
    if ( strcmp ( argv[2], "Transpose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Transpose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Transpose */
    Tcl_DStringAppendElement ( &dString, " Transpose the matrix and put it into out. \n" );
    Tcl_DStringAppendElement ( &dString, "void Transpose();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Transpose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiplyPoint */
    if ( strcmp ( argv[2], "MultiplyPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiplyPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiplyPoint */
    Tcl_DStringAppendElement ( &dString, " For use in Java, Python or Tcl.  The default MultiplyPoint() uses\n a single-precision point.\n" );
    Tcl_DStringAppendElement ( &dString, "float *MultiplyPoint(const float in\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for MultiplyPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiplyFloatPoint */
    if ( strcmp ( argv[2], "MultiplyFloatPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiplyFloatPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiplyFloatPoint */
    Tcl_DStringAppendElement ( &dString, " For use in Java, Python or Tcl.  The default MultiplyPoint() uses\n a single-precision point.\n" );
    Tcl_DStringAppendElement ( &dString, "float *MultiplyFloatPoint(const float in\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for MultiplyFloatPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiplyDoublePoint */
    if ( strcmp ( argv[2], "MultiplyDoublePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiplyDoublePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiplyDoublePoint */
    Tcl_DStringAppendElement ( &dString, " For use in Java, Python or Tcl.  The default MultiplyPoint() uses\n a single-precision point.\n" );
    Tcl_DStringAppendElement ( &dString, "double *MultiplyDoublePoint(const double in\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for MultiplyDoublePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Multiply4x4 */
    if ( strcmp ( argv[2], "Multiply4x4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Multiply4x4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Multiply4x4 */
    Tcl_DStringAppendElement ( &dString, " Multiplies matrices a and b and stores the result in c.\n" );
    Tcl_DStringAppendElement ( &dString, "static void Multiply4x4(const vtkMatrix4x4 *a, const vtkMatrix4x4 *b, vtkMatrix4x4 *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Multiply4x4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Adjoint */
    if ( strcmp ( argv[2], "Adjoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Adjoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Adjoint */
    Tcl_DStringAppendElement ( &dString, " Compute adjoint of the matrix and put it into out.\n" );
    Tcl_DStringAppendElement ( &dString, "void Adjoint(const vtkMatrix4x4 *in, vtkMatrix4x4 *out);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Adjoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Determinant */
    if ( strcmp ( argv[2], "Determinant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Determinant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Determinant */
    Tcl_DStringAppendElement ( &dString, " Compute the determinant of the matrix and return it.\n" );
    Tcl_DStringAppendElement ( &dString, "double Determinant();" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Determinant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Determinant */
    if ( strcmp ( argv[2], "Determinant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Determinant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Determinant */
    Tcl_DStringAppendElement ( &dString, " Compute the determinant of the matrix and return it.\n" );
    Tcl_DStringAppendElement ( &dString, "static double Determinant(const double Elements\\[16\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Determinant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElement */
    if ( strcmp ( argv[2], "SetElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElement */
    Tcl_DStringAppendElement ( &dString, " Sets the element i,j in the matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetElement(int i, int j, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for SetElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElement */
    if ( strcmp ( argv[2], "GetElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElement */
    Tcl_DStringAppendElement ( &dString, " Returns the element i,j from the matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetElement(int i, int j) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for GetElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Determinant */
    if ( strcmp ( argv[2], "Determinant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Determinant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Determinant */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double Determinant(vtkMatrix4x4 *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    /* Closing for Determinant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
