// tcl wrapper for vtkMinimalStandardRandomSequence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMinimalStandardRandomSequence.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMinimalStandardRandomSequenceNewCommand()
{
  vtkMinimalStandardRandomSequence *temp = vtkMinimalStandardRandomSequence::New();
  return static_cast<ClientData>(temp);
}

int vtkRandomSequenceCppCommand(vtkRandomSequence *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMinimalStandardRandomSequenceCppCommand(vtkMinimalStandardRandomSequence *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMinimalStandardRandomSequenceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMinimalStandardRandomSequenceCppCommand(static_cast<vtkMinimalStandardRandomSequence *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMinimalStandardRandomSequenceCppCommand(vtkMinimalStandardRandomSequence *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMinimalStandardRandomSequence",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRandomSequenceCppCommand(static_cast<vtkRandomSequence *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRandomSequence"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMinimalStandardRandomSequence  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMinimalStandardRandomSequence");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMinimalStandardRandomSequence  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMinimalStandardRandomSequence");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMinimalStandardRandomSequence  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMinimalStandardRandomSequence");
    return TCL_OK;
    }
  if ((!strcmp("SetSeed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSeedOnly",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSeedOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSeed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Next",argv[1]))&&(argc == 2))
    {
    op->Next();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRangeValue",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->GetRangeValue(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMinimalStandardRandomSequenceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRandomSequenceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMinimalStandardRandomSequence:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSeedOnly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeed\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\n",NULL);
    Tcl_AppendResult(interp,"  Next\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeValue\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRandomSequenceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSeed" );
    Tcl_DStringAppendElement ( &dString, "SetSeedOnly" );
    Tcl_DStringAppendElement ( &dString, "GetSeed" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "Next" );
    Tcl_DStringAppendElement ( &dString, "GetRangeValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRandomSequenceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMinimalStandardRandomSequence *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSeed */
    if ( strcmp ( argv[2], "SetSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeed */
    Tcl_DStringAppendElement ( &dString, " Set the seed of the random sequence.\n The following pre-condition is stated page 1197, second column:\n valid_seed: value>=1 && value<=2147483646\n 2147483646=(2^31)-2\n This method does not have this criterium as a pre-condition (ie it will\n not fail if an incorrect seed value is passed) but the value is silently\n changed to fit in the valid range \\[1,2147483646\\].\n 2147483646 is added to a null or negative value.\n 2147483647 is changed to be 1 (ie 2147483646 is sub ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSeed(int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for SetSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSeedOnly */
    if ( strcmp ( argv[2], "SetSeedOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeedOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeedOnly */
    Tcl_DStringAppendElement ( &dString, " Set the seed of the random sequence. There is no extra internal\n ajustment. Only useful for writing correctness test.\n The following pre-condition is stated page 1197, second column\n 2147483646=(2^31)-2\n This method does not have this criterium as a pre-condition (ie it will\n not fail if an incorrect seed value is passed) but the value is silently\n changed to fit in the valid range \\[1,2147483646\\].\n 2147483646 is added to a null or negative value.\n 2147483647 is  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSeedOnly(int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for SetSeedOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeed */
    if ( strcmp ( argv[2], "GetSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeed */
    Tcl_DStringAppendElement ( &dString, " Get the seed of the random sequence.\n Only useful for writing correctness test.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSeed();" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for GetSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Current value\n \\post unit_range: result>=0.0 && result<=1.0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Next */
    if ( strcmp ( argv[2], "Next" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Next" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Next */
    Tcl_DStringAppendElement ( &dString, " Move to the next number in the random sequence.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Next();" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for Next */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRangeValue */
    if ( strcmp ( argv[2], "GetRangeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRangeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRangeValue */
    Tcl_DStringAppendElement ( &dString, " Convenient method to return a value in a specific range from the\n range \\[0,1. There is an initial implementation that can be overridden\n by a subclass.\n There is no pre-condition on the range:\n - it can be in increasing order: rangeMin<rangeMax\n - it can be empty: rangeMin=rangeMax\n - it can be in decreasing order: rangeMin>rangeMax\n \\post result_in_range:\n (rangeMin<=rangeMax && result>=rangeMin && result<=rangeMax)\n || (rangeMax<=rangeMin && result>=rangeMax & ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRangeValue(double rangeMin, double rangeMax);" );
    Tcl_DStringAppendElement ( &dString, "vtkMinimalStandardRandomSequence" );
    /* Closing for GetRangeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRandomSequenceCppCommand(static_cast<vtkRandomSequence *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
