// tcl wrapper for vtkObjectBase object
//
#define VTK_WRAPPING_CXX
#include "vtkSystemIncludes.h"
#include "vtkObjectBase.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int VTKTCL_EXPORT vtkObjectBaseCppCommand(vtkObjectBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkObjectBaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkObjectBaseCppCommand(static_cast<vtkObjectBase *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkObjectBaseCppCommand(vtkObjectBase *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkObjectBase",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Delete",argv[1]))&&(argc == 2))
    {
    op->Delete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FastDelete",argv[1]))&&(argc == 2))
    {
    op->FastDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkObjectBase  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObjectBase");
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReferenceCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReferenceCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReferenceCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReferenceCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkObjectBaseCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    Tcl_AppendResult(interp,"Methods from vtkObjectBase:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Delete\n",NULL);
    Tcl_AppendResult(interp,"  FastDelete\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReferenceCount\n",NULL);
    Tcl_AppendResult(interp,"  SetReferenceCount\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "Delete" );
    Tcl_DStringAppendElement ( &dString, "FastDelete" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "GetReferenceCount" );
    Tcl_DStringAppendElement ( &dString, "SetReferenceCount" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Return the class name as a string. This method is defined\n in all subclasses of vtkObjectBase with the vtkTypeMacro found\n in vtkSetGet.h.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Return 1 if this class type is the same type of (or a subclass of)\n the named class. Returns 0 otherwise. This method works in\n combination with vtkTypeMacro found in vtkSetGet.h.\n" );
    Tcl_DStringAppendElement ( &dString, "static int IsTypeOf(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Return 1 if this class is the same type of (or a subclass of)\n the named class. Returns 0 otherwise. This method works in\n combination with vtkTypeMacro found in vtkSetGet.h.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Delete */
    if ( strcmp ( argv[2], "Delete" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Delete" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Delete */
    Tcl_DStringAppendElement ( &dString, " Delete a VTK object.  This method should always be used to delete\n an object when the New() method was used to create it. Using the\n C++ delete method will not work with reference counting.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Delete();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for Delete */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FastDelete */
    if ( strcmp ( argv[2], "FastDelete" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FastDelete" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FastDelete */
    Tcl_DStringAppendElement ( &dString, " Delete a reference to this object.  This version will not invoke\n garbage collection and can potentially leak the object if it is\n part of a reference loop.  Use this method only when it is known\n that the object has another reference and would not be collected\n if a full garbage collection check were done.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FastDelete();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for FastDelete */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create an object with Debug turned off, modified time initialized \n to zero, and reference counting on.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkObjectBase *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, " Increase the reference count (mark as used by another object).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Decrease the reference count (release by another object). This\n has the same effect as invoking Delete() (i.e., it reduces the\n reference count by 1).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReferenceCount */
    if ( strcmp ( argv[2], "GetReferenceCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReferenceCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReferenceCount */
    Tcl_DStringAppendElement ( &dString, " Return the current reference count of this object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReferenceCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for GetReferenceCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReferenceCount */
    if ( strcmp ( argv[2], "SetReferenceCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReferenceCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReferenceCount */
    Tcl_DStringAppendElement ( &dString, " Sets the reference count. (This is very dangerous, use with care.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReferenceCount(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    /* Closing for SetReferenceCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }
  if ((!strcmp("Print",argv[1]))&&(argc == 2))
    {
    vtksys_ios::ostringstream buf_with_warning_C4701;
    op->Print(buf_with_warning_C4701);
    buf_with_warning_C4701.put('\0');
    Tcl_SetResult(interp,const_cast<char *>(buf_with_warning_C4701.str().c_str()),
      TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PrintRevisions",argv[1]))&&(argc == 2))
    {
    vtksys_ios::ostringstream buf_with_warning_C4701;
    op->PrintRevisions(buf_with_warning_C4701);
    buf_with_warning_C4701.put('\0');
    Tcl_SetResult(interp,const_cast<char *>(buf_with_warning_C4701.str().c_str()),
      TCL_VOLATILE);
    return TCL_OK;
    }

  if (argc >= 2)
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_SetResult(interp,temps2,TCL_VOLATILE);
    return TCL_ERROR;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
