// tcl wrapper for vtkObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObject.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkObjectNewCommand()
{
  vtkObject *temp = vtkObject::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectBaseCppCommand(vtkObjectBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkObjectCppCommand(static_cast<vtkObject *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkObject",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectBaseCppCommand(static_cast<vtkObjectBase *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObjectBase"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkObject  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObject");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkObject  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkObject  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObject");
    return TCL_OK;
    }
  if ((!strcmp("DebugOn",argv[1]))&&(argc == 2))
    {
    op->DebugOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DebugOff",argv[1]))&&(argc == 2))
    {
    op->DebugOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDebug",argv[1]))&&(argc == 2))
    {
    unsigned char     temp20;
    temp20 = (op)->GetDebug();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDebug",argv[1]))&&(argc == 3))
    {
    unsigned char     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetDebug(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BreakOnError",argv[1]))&&(argc == 2))
    {
    op->BreakOnError();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Modified",argv[1]))&&(argc == 2))
    {
    op->Modified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalWarningDisplay",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalWarningDisplay(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GlobalWarningDisplayOn",argv[1]))&&(argc == 2))
    {
    op->GlobalWarningDisplayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GlobalWarningDisplayOff",argv[1]))&&(argc == 2))
    {
    op->GlobalWarningDisplayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalWarningDisplay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalWarningDisplay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveObserver",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->RemoveObserver(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveObservers",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->RemoveObservers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveObservers",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveObservers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllObservers",argv[1]))&&(argc == 2))
    {
    op->RemoveAllObservers();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasObserver",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->HasObserver(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasObserver",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasObserver(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeEvent",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->InvokeEvent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->InvokeEvent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkObjectCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectBaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkObject:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  DebugOn\n",NULL);
    Tcl_AppendResult(interp,"  DebugOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDebug\n",NULL);
    Tcl_AppendResult(interp,"  SetDebug\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BreakOnError\n",NULL);
    Tcl_AppendResult(interp,"  Modified\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalWarningDisplay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GlobalWarningDisplayOn\n",NULL);
    Tcl_AppendResult(interp,"  GlobalWarningDisplayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalWarningDisplay\n",NULL);
    Tcl_AppendResult(interp,"  RemoveObserver\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveObservers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveObservers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllObservers\n",NULL);
    Tcl_AppendResult(interp,"  HasObserver\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasObserver\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEvent\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectBaseCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "DebugOn" );
    Tcl_DStringAppendElement ( &dString, "DebugOff" );
    Tcl_DStringAppendElement ( &dString, "GetDebug" );
    Tcl_DStringAppendElement ( &dString, "SetDebug" );
    Tcl_DStringAppendElement ( &dString, "BreakOnError" );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalWarningDisplay" );
    Tcl_DStringAppendElement ( &dString, "GlobalWarningDisplayOn" );
    Tcl_DStringAppendElement ( &dString, "GlobalWarningDisplayOff" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalWarningDisplay" );
    Tcl_DStringAppendElement ( &dString, "RemoveObserver" );
    Tcl_DStringAppendElement ( &dString, "RemoveObservers" );
    Tcl_DStringAppendElement ( &dString, "RemoveObservers" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllObservers" );
    Tcl_DStringAppendElement ( &dString, "HasObserver" );
    Tcl_DStringAppendElement ( &dString, "HasObserver" );
    Tcl_DStringAppendElement ( &dString, "InvokeEvent" );
    Tcl_DStringAppendElement ( &dString, "InvokeEvent" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectBaseCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkObject *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkObject *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create an object with Debug turned off, modified time initialized \n to zero, and reference counting on.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkObject *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DebugOn */
    if ( strcmp ( argv[2], "DebugOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DebugOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DebugOn */
    Tcl_DStringAppendElement ( &dString, " Turn debugging output on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DebugOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for DebugOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DebugOff */
    if ( strcmp ( argv[2], "DebugOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DebugOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DebugOff */
    Tcl_DStringAppendElement ( &dString, " Turn debugging output off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DebugOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for DebugOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDebug */
    if ( strcmp ( argv[2], "GetDebug" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDebug" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDebug */
    Tcl_DStringAppendElement ( &dString, " Get the value of the debug flag.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char GetDebug();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for GetDebug */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDebug */
    if ( strcmp ( argv[2], "SetDebug" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDebug" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDebug */
    Tcl_DStringAppendElement ( &dString, " Set the value of the debug flag. A non-zero value turns debugging on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDebug(unsigned char debugFlag);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for SetDebug */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BreakOnError */
    if ( strcmp ( argv[2], "BreakOnError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BreakOnError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BreakOnError */
    Tcl_DStringAppendElement ( &dString, " This method is called when vtkErrorMacro executes. It allows \n the debugger to break on error.\n" );
    Tcl_DStringAppendElement ( &dString, "static void BreakOnError();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for BreakOnError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Modified */
    if ( strcmp ( argv[2], "Modified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Modified */
    Tcl_DStringAppendElement ( &dString, " Update the modification time for this object. Many filters rely on\n the modification time to determine if they need to recompute their\n data. The modification time is a unique monotonically increasing\n unsigned long integer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Modified();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for Modified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return this object's modified time.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalWarningDisplay */
    if ( strcmp ( argv[2], "SetGlobalWarningDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalWarningDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalWarningDisplay */
    Tcl_DStringAppendElement ( &dString, " This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalWarningDisplay(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for SetGlobalWarningDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GlobalWarningDisplayOn */
    if ( strcmp ( argv[2], "GlobalWarningDisplayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GlobalWarningDisplayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GlobalWarningDisplayOn */
    Tcl_DStringAppendElement ( &dString, " This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GlobalWarningDisplayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for GlobalWarningDisplayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GlobalWarningDisplayOff */
    if ( strcmp ( argv[2], "GlobalWarningDisplayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GlobalWarningDisplayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GlobalWarningDisplayOff */
    Tcl_DStringAppendElement ( &dString, " This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GlobalWarningDisplayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for GlobalWarningDisplayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalWarningDisplay */
    if ( strcmp ( argv[2], "GetGlobalWarningDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalWarningDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalWarningDisplay */
    Tcl_DStringAppendElement ( &dString, " This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalWarningDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for GetGlobalWarningDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveObserver */
    if ( strcmp ( argv[2], "RemoveObserver" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveObserver" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveObserver */
    Tcl_DStringAppendElement ( &dString, " Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n pri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveObserver(unsigned long tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for RemoveObserver */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveObservers */
    if ( strcmp ( argv[2], "RemoveObservers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveObservers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveObservers */
    Tcl_DStringAppendElement ( &dString, " Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n pri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveObservers(unsigned long event);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for RemoveObservers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveObservers */
    if ( strcmp ( argv[2], "RemoveObservers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveObservers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveObservers */
    Tcl_DStringAppendElement ( &dString, " Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n pri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveObservers(const char *event);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for RemoveObservers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllObservers */
    if ( strcmp ( argv[2], "RemoveAllObservers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllObservers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllObservers */
    Tcl_DStringAppendElement ( &dString, " Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n pri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllObservers();" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for RemoveAllObservers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasObserver */
    if ( strcmp ( argv[2], "HasObserver" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasObserver" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasObserver */
    Tcl_DStringAppendElement ( &dString, " Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n pri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int HasObserver(unsigned long event);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for HasObserver */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasObserver */
    if ( strcmp ( argv[2], "HasObserver" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasObserver" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasObserver */
    Tcl_DStringAppendElement ( &dString, " Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n pri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int HasObserver(const char *event);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for HasObserver */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InvokeEvent */
    if ( strcmp ( argv[2], "InvokeEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InvokeEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InvokeEvent */
    Tcl_DStringAppendElement ( &dString, " This method invokes an event and return whether the event was\n aborted or not. If the event was aborted, the return value is 1,\n otherwise it is 0.  \n" );
    Tcl_DStringAppendElement ( &dString, "int InvokeEvent(unsigned long event);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for InvokeEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InvokeEvent */
    if ( strcmp ( argv[2], "InvokeEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InvokeEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InvokeEvent */
    Tcl_DStringAppendElement ( &dString, " This method invokes an event and return whether the event was\n aborted or not. If the event was aborted, the return value is 1,\n otherwise it is 0.  \n" );
    Tcl_DStringAppendElement ( &dString, "int InvokeEvent(const char *event);" );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    /* Closing for InvokeEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectBaseCppCommand(static_cast<vtkObjectBase *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
  if ((!strcmp("AddObserver",argv[1]))&&(argc >= 4))
    {
    error = 0;
    if (argc > 4 && Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    if (!error)
      {
      vtkTclCommand *cbc = vtkTclCommand::New();
      cbc->SetInterp(interp);
      cbc->SetStringCommand(argv[3]);
      unsigned long      temp20;
      if (argc > 4)
        {
        temp20 = op->AddObserver(argv[2],cbc,tempd);
        }
      else
        {
        temp20 = op->AddObserver(argv[2],cbc);
        }
      cbc->Delete();
      char tempResult[1024];
      sprintf(tempResult,"%li",temp20);
      Tcl_SetResult(interp,tempResult,TCL_VOLATILE);
      return TCL_OK;
      }
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
