// tcl wrapper for vtkOutputWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOutputWindow.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOutputWindowNewCommand()
{
  vtkOutputWindow *temp = vtkOutputWindow::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOutputWindowCppCommand(vtkOutputWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOutputWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOutputWindowCppCommand(static_cast<vtkOutputWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOutputWindowCppCommand(vtkOutputWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOutputWindow",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOutputWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOutputWindow");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOutputWindow  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOutputWindow");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOutputWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOutputWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetInstance",argv[1]))&&(argc == 2))
    {
    vtkOutputWindow  *temp20;
    temp20 = (op)->GetInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOutputWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetInstance",argv[1]))&&(argc == 3))
    {
    vtkOutputWindow  *temp0;
    error = 0;

    temp0 = (vtkOutputWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkOutputWindow"),interp,error));
    if (!error)
    {
    op->SetInstance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisplayText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayErrorText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisplayErrorText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayWarningText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisplayWarningText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayGenericWarningText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisplayGenericWarningText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayDebugText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisplayDebugText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PromptUserOn",argv[1]))&&(argc == 2))
    {
    op->PromptUserOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PromptUserOff",argv[1]))&&(argc == 2))
    {
    op->PromptUserOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPromptUser",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPromptUser(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOutputWindowCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOutputWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetInstance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayErrorText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayWarningText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayGenericWarningText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayDebugText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PromptUserOn\n",NULL);
    Tcl_AppendResult(interp,"  PromptUserOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPromptUser\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInstance" );
    Tcl_DStringAppendElement ( &dString, "DisplayText" );
    Tcl_DStringAppendElement ( &dString, "DisplayErrorText" );
    Tcl_DStringAppendElement ( &dString, "DisplayWarningText" );
    Tcl_DStringAppendElement ( &dString, "DisplayGenericWarningText" );
    Tcl_DStringAppendElement ( &dString, "DisplayDebugText" );
    Tcl_DStringAppendElement ( &dString, "PromptUserOn" );
    Tcl_DStringAppendElement ( &dString, "PromptUserOff" );
    Tcl_DStringAppendElement ( &dString, "SetPromptUser" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " This is a singleton pattern New.  There will only be ONE\n reference to a vtkOutputWindow object per process.  Clients that\n call this must call Delete on the object so that the reference\n counting will work.   The single instance will be unreferenced when\n the program exits.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkOutputWindow *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInstance */
    if ( strcmp ( argv[2], "GetInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInstance */
    Tcl_DStringAppendElement ( &dString, " Return the singleton instance with no reference counting.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkOutputWindow *GetInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for GetInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInstance */
    if ( strcmp ( argv[2], "SetInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInstance */
    Tcl_DStringAppendElement ( &dString, " Supply a user defined output window. Call ->Delete() on the supplied\n instance after setting it.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetInstance(vtkOutputWindow *instance);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for SetInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayText */
    if ( strcmp ( argv[2], "DisplayText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayText */
    Tcl_DStringAppendElement ( &dString, " Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayText(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for DisplayText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayErrorText */
    if ( strcmp ( argv[2], "DisplayErrorText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayErrorText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayErrorText */
    Tcl_DStringAppendElement ( &dString, " Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayErrorText(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for DisplayErrorText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayWarningText */
    if ( strcmp ( argv[2], "DisplayWarningText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayWarningText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayWarningText */
    Tcl_DStringAppendElement ( &dString, " Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayWarningText(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for DisplayWarningText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayGenericWarningText */
    if ( strcmp ( argv[2], "DisplayGenericWarningText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayGenericWarningText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayGenericWarningText */
    Tcl_DStringAppendElement ( &dString, " Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayGenericWarningText(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for DisplayGenericWarningText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayDebugText */
    if ( strcmp ( argv[2], "DisplayDebugText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayDebugText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayDebugText */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayDebugText(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for DisplayDebugText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PromptUserOn */
    if ( strcmp ( argv[2], "PromptUserOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PromptUserOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PromptUserOn */
    Tcl_DStringAppendElement ( &dString, " If PromptUser is set to true then each time a line of text\n is displayed, the user is asked if they want to keep getting\n messages.\n" );
    Tcl_DStringAppendElement ( &dString, "void PromptUserOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for PromptUserOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PromptUserOff */
    if ( strcmp ( argv[2], "PromptUserOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PromptUserOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PromptUserOff */
    Tcl_DStringAppendElement ( &dString, " If PromptUser is set to true then each time a line of text\n is displayed, the user is asked if they want to keep getting\n messages.\n" );
    Tcl_DStringAppendElement ( &dString, "void PromptUserOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for PromptUserOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPromptUser */
    if ( strcmp ( argv[2], "SetPromptUser" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPromptUser" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPromptUser */
    Tcl_DStringAppendElement ( &dString, " If PromptUser is set to true then each time a line of text\n is displayed, the user is asked if they want to keep getting\n messages.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPromptUser(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOutputWindow" );
    /* Closing for SetPromptUser */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
