// tcl wrapper for vtkProp object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProp.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPropCppCommand(vtkProp *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPropCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPropCppCommand(static_cast<vtkProp *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPropCppCommand(vtkProp *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProp",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumes",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetVolumes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPickable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPickable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPickable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PickableOn",argv[1]))&&(argc == 2))
    {
    op->PickableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PickableOff",argv[1]))&&(argc == 2))
    {
    op->PickableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pick",argv[1]))&&(argc == 2))
    {
    op->Pick();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDragable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDragable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDragable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDragable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DragableOn",argv[1]))&&(argc == 2))
    {
    op->DragableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DragableOff",argv[1]))&&(argc == 2))
    {
    op->DragableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRedrawMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetRedrawMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseBounds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseBounds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseBoundsOn",argv[1]))&&(argc == 2))
    {
    op->UseBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseBoundsOff",argv[1]))&&(argc == 2))
    {
    op->UseBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitPathTraversal",argv[1]))&&(argc == 2))
    {
    op->InitPathTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNextPath",argv[1]))&&(argc == 2))
    {
    vtkAssemblyPath  *temp20;
    temp20 = (op)->GetNextPath();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyPath");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPaths",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPaths();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PokeMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->PokeMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetPropertyKeys",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetPropertyKeys();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetPropertyKeys",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SetPropertyKeys(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasKeys",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->HasKeys(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderVolumetricGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderVolumetricGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderFilteredOpaqueGeometry",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkInformation  *temp1;
    bool   temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderFilteredOpaqueGeometry(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderFilteredTranslucentPolygonalGeometry",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkInformation  *temp1;
    bool   temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderFilteredTranslucentPolygonalGeometry(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderFilteredVolumetricGeometry",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkInformation  *temp1;
    bool   temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderFilteredVolumetricGeometry(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderFilteredOverlay",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkInformation  *temp1;
    bool   temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderFilteredOverlay(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEstimatedRenderTime",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetEstimatedRenderTime(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEstimatedRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEstimatedRenderTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEstimatedRenderTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEstimatedRenderTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RestoreEstimatedRenderTime",argv[1]))&&(argc == 2))
    {
    op->RestoreEstimatedRenderTime();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddEstimatedRenderTime",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkViewport  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->AddEstimatedRenderTime(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllocatedRenderTime",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkViewport  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->SetAllocatedRenderTime(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllocatedRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAllocatedRenderTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderTimeMultiplier",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRenderTimeMultiplier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderTimeMultiplier",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRenderTimeMultiplier();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BuildPaths",argv[1]))&&(argc == 4))
    {
    vtkAssemblyPaths  *temp0;
    vtkAssemblyPath  *temp1;
    error = 0;

    temp0 = (vtkAssemblyPaths *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAssemblyPaths"),interp,error));
    temp1 = (vtkAssemblyPath *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAssemblyPath"),interp,error));
    if (!error)
    {
    op->BuildPaths(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportsSelection",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSupportsSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfConsumers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfConsumers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddConsumer",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    op->AddConsumer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveConsumer",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    op->RemoveConsumer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConsumer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetConsumer(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsConsumer",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsConsumer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPropCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProp:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPickable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPickable\n",NULL);
    Tcl_AppendResult(interp,"  PickableOn\n",NULL);
    Tcl_AppendResult(interp,"  PickableOff\n",NULL);
    Tcl_AppendResult(interp,"  Pick\n",NULL);
    Tcl_AppendResult(interp,"  SetDragable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDragable\n",NULL);
    Tcl_AppendResult(interp,"  DragableOn\n",NULL);
    Tcl_AppendResult(interp,"  DragableOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRedrawMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetUseBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseBounds\n",NULL);
    Tcl_AppendResult(interp,"  UseBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitPathTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GetNextPath\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPaths\n",NULL);
    Tcl_AppendResult(interp,"  PokeMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMatrix\n",NULL);
    Tcl_AppendResult(interp,"  GetPropertyKeys\n",NULL);
    Tcl_AppendResult(interp,"  SetPropertyKeys\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasKeys\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderVolumetricGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderFilteredOpaqueGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderFilteredTranslucentPolygonalGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderFilteredVolumetricGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderFilteredOverlay\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEstimatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEstimatedRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  SetEstimatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RestoreEstimatedRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  AddEstimatedRenderTime\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllocatedRenderTime\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAllocatedRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderTimeMultiplier\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderTimeMultiplier\n",NULL);
    Tcl_AppendResult(interp,"  BuildPaths\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportsSelection\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfConsumers\n",NULL);
    Tcl_AppendResult(interp,"  AddConsumer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveConsumer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConsumer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsConsumer\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    Tcl_DStringAppendElement ( &dString, "VisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "VisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetPickable" );
    Tcl_DStringAppendElement ( &dString, "GetPickable" );
    Tcl_DStringAppendElement ( &dString, "PickableOn" );
    Tcl_DStringAppendElement ( &dString, "PickableOff" );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    Tcl_DStringAppendElement ( &dString, "SetDragable" );
    Tcl_DStringAppendElement ( &dString, "GetDragable" );
    Tcl_DStringAppendElement ( &dString, "DragableOn" );
    Tcl_DStringAppendElement ( &dString, "DragableOff" );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    Tcl_DStringAppendElement ( &dString, "SetUseBounds" );
    Tcl_DStringAppendElement ( &dString, "GetUseBounds" );
    Tcl_DStringAppendElement ( &dString, "UseBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "UseBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "InitPathTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetNextPath" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPaths" );
    Tcl_DStringAppendElement ( &dString, "PokeMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetPropertyKeys" );
    Tcl_DStringAppendElement ( &dString, "SetPropertyKeys" );
    Tcl_DStringAppendElement ( &dString, "HasKeys" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderVolumetricGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredVolumetricGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "SetEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "RestoreEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "AddEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "SetAllocatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetAllocatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "SetRenderTimeMultiplier" );
    Tcl_DStringAppendElement ( &dString, "GetRenderTimeMultiplier" );
    Tcl_DStringAppendElement ( &dString, "BuildPaths" );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfConsumers" );
    Tcl_DStringAppendElement ( &dString, "AddConsumer" );
    Tcl_DStringAppendElement ( &dString, "RemoveConsumer" );
    Tcl_DStringAppendElement ( &dString, "GetConsumer" );
    Tcl_DStringAppendElement ( &dString, "IsConsumer" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProp *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors2D */
    if ( strcmp ( argv[2], "GetActors2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors2D */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors2D(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetActors2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumes */
    if ( strcmp ( argv[2], "GetVolumes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumes */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetVolumes(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetVolumes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVisibility */
    if ( strcmp ( argv[2], "SetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVisibility */
    if ( strcmp ( argv[2], "GetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibilityOn */
    if ( strcmp ( argv[2], "VisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void VisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for VisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibilityOff */
    if ( strcmp ( argv[2], "VisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void VisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for VisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPickable */
    if ( strcmp ( argv[2], "SetPickable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPickable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPickable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPickable(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetPickable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickable */
    if ( strcmp ( argv[2], "GetPickable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickable();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetPickable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickableOn */
    if ( strcmp ( argv[2], "PickableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickableOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void PickableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for PickableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickableOff */
    if ( strcmp ( argv[2], "PickableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickableOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void PickableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for PickableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pick */
    if ( strcmp ( argv[2], "Pick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pick */
    Tcl_DStringAppendElement ( &dString, " Method fires PickEvent if the prop is picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Pick();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for Pick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDragable */
    if ( strcmp ( argv[2], "SetDragable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDragable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDragable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDragable(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetDragable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDragable */
    if ( strcmp ( argv[2], "GetDragable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDragable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDragable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDragable();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetDragable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DragableOn */
    if ( strcmp ( argv[2], "DragableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragableOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void DragableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for DragableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DragableOff */
    if ( strcmp ( argv[2], "DragableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragableOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void DragableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for DragableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRedrawMTime */
    if ( strcmp ( argv[2], "GetRedrawMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRedrawMTime */
    Tcl_DStringAppendElement ( &dString, " Return the mtime of anything that would cause the rendered image to \n appear differently. Usually this involves checking the mtime of the \n prop plus anything else it depends on such as properties, textures\n etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetRedrawMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetRedrawMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseBounds */
    if ( strcmp ( argv[2], "SetUseBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseBounds */
    Tcl_DStringAppendElement ( &dString, " In case the Visibility flag is true, tell if the bounds of this prop\n should be taken into account or ignored during the computation of other\n bounding boxes, like in vtkRenderer::ResetCamera().\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseBounds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetUseBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseBounds */
    if ( strcmp ( argv[2], "GetUseBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseBounds */
    Tcl_DStringAppendElement ( &dString, " In case the Visibility flag is true, tell if the bounds of this prop\n should be taken into account or ignored during the computation of other\n bounding boxes, like in vtkRenderer::ResetCamera().\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetUseBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseBoundsOn */
    if ( strcmp ( argv[2], "UseBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseBoundsOn */
    Tcl_DStringAppendElement ( &dString, " In case the Visibility flag is true, tell if the bounds of this prop\n should be taken into account or ignored during the computation of other\n bounding boxes, like in vtkRenderer::ResetCamera().\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseBoundsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for UseBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseBoundsOff */
    if ( strcmp ( argv[2], "UseBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseBoundsOff */
    Tcl_DStringAppendElement ( &dString, " In case the Visibility flag is true, tell if the bounds of this prop\n should be taken into account or ignored during the computation of other\n bounding boxes, like in vtkRenderer::ResetCamera().\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseBoundsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for UseBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this Prop as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n in world coordinates. NULL means that the bounds are not defined.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitPathTraversal */
    if ( strcmp ( argv[2], "InitPathTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitPathTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitPathTraversal */
    Tcl_DStringAppendElement ( &dString, " vtkProp and its subclasses can be picked by subclasses of\n vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface\n with the picking classes and return \"pick paths\". A pick path is a\n hierarchical, ordered list of props that form an assembly.  Most often,\n when a vtkProp is picked, its path consists of a single node (i.e., the\n prop). However, classes like vtkAssembly and vtkPropAssembly can return\n more than one path, each path being several layers ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitPathTraversal();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for InitPathTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNextPath */
    if ( strcmp ( argv[2], "GetNextPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNextPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNextPath */
    Tcl_DStringAppendElement ( &dString, " vtkProp and its subclasses can be picked by subclasses of\n vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface\n with the picking classes and return \"pick paths\". A pick path is a\n hierarchical, ordered list of props that form an assembly.  Most often,\n when a vtkProp is picked, its path consists of a single node (i.e., the\n prop). However, classes like vtkAssembly and vtkPropAssembly can return\n more than one path, each path being several layers ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAssemblyPath *GetNextPath();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetNextPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPaths */
    if ( strcmp ( argv[2], "GetNumberOfPaths" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPaths" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPaths */
    Tcl_DStringAppendElement ( &dString, " vtkProp and its subclasses can be picked by subclasses of\n vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface\n with the picking classes and return \"pick paths\". A pick path is a\n hierarchical, ordered list of props that form an assembly.  Most often,\n when a vtkProp is picked, its path consists of a single node (i.e., the\n prop). However, classes like vtkAssembly and vtkPropAssembly can return\n more than one path, each path being several layers ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfPaths();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetNumberOfPaths */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PokeMatrix */
    if ( strcmp ( argv[2], "PokeMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PokeMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PokeMatrix */
    Tcl_DStringAppendElement ( &dString, " These methods are used by subclasses to place a matrix (if any) in the\n prop prior to rendering. Generally used only for picking. See vtkProp3D\n for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PokeMatrix(vtkMatrix4x4 *matrix);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for PokeMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMatrix */
    if ( strcmp ( argv[2], "GetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMatrix */
    Tcl_DStringAppendElement ( &dString, " These methods are used by subclasses to place a matrix (if any) in the\n prop prior to rendering. Generally used only for picking. See vtkProp3D\n for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMatrix4x4 *GetMatrix();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPropertyKeys */
    if ( strcmp ( argv[2], "GetPropertyKeys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPropertyKeys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPropertyKeys */
    Tcl_DStringAppendElement ( &dString, " Set/Get property keys. Property keys can be digest by some rendering\n passes.\n For instance, the user may mark a prop as a shadow caster for a\n shadow mapping render pass. Keys are documented in render pass classes.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetPropertyKeys();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetPropertyKeys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPropertyKeys */
    if ( strcmp ( argv[2], "SetPropertyKeys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPropertyKeys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPropertyKeys */
    Tcl_DStringAppendElement ( &dString, " Set/Get property keys. Property keys can be digest by some rendering\n passes.\n For instance, the user may mark a prop as a shadow caster for a\n shadow mapping render pass. Keys are documented in render pass classes.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPropertyKeys(vtkInformation *keys);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetPropertyKeys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasKeys */
    if ( strcmp ( argv[2], "HasKeys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasKeys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasKeys */
    Tcl_DStringAppendElement ( &dString, " Tells if the prop has all the required keys.\n \\pre keys_can_be_null: requiredKeys==0 || requiredKeys!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool HasKeys(vtkInformation *requiredKeys);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for HasKeys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n All concrete subclasses must be able to render themselves.\n There are four key render methods in vtk and they correspond\n to four different points in the rendering cycle. Any given\n prop may implement one or more of these methods. \n The first method is intended for rendering all opaque geometry. The\n second method is intended for rendering all transluce ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n All concrete subclasses must be able to render themselves.\n There are four key render methods in vtk and they correspond\n to four different points in the rendering cycle. Any given\n prop may implement one or more of these methods. \n The first method is intended for rendering all opaque geometry. The\n second method is intended for rendering all transluce ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderVolumetricGeometry */
    if ( strcmp ( argv[2], "RenderVolumetricGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderVolumetricGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderVolumetricGeometry */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n All concrete subclasses must be able to render themselves.\n There are four key render methods in vtk and they correspond\n to four different points in the rendering cycle. Any given\n prop may implement one or more of these methods. \n The first method is intended for rendering all opaque geometry. The\n second method is intended for rendering all transluce ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderVolumetricGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderVolumetricGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n All concrete subclasses must be able to render themselves.\n There are four key render methods in vtk and they correspond\n to four different points in the rendering cycle. Any given\n prop may implement one or more of these methods. \n The first method is intended for rendering all opaque geometry. The\n second method is intended for rendering all transluce ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderFilteredOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderFilteredOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderFilteredOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Render the opaque geometry only if the prop has all the requiredKeys.\n This is recursive for composite props like vtkAssembly.\n An implementation is provided in vtkProp but each composite prop\n must override it.\n It returns if the rendering was performed.\n \\pre v_exists: v!=0\n \\pre keys_can_be_null: requiredKeys==0 || requiredKeys!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RenderFilteredOpaqueGeometry(vtkViewport *v, vtkInformation *requiredKeys);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderFilteredOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderFilteredTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderFilteredTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderFilteredTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Render the translucent polygonal geometry only if the prop has all the\n requiredKeys.\n This is recursive for composite props like vtkAssembly.\n An implementation is provided in vtkProp but each composite prop\n must override it.\n It returns if the rendering was performed.\n \\pre v_exists: v!=0\n \\pre keys_can_be_null: requiredKeys==0 || requiredKeys!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RenderFilteredTranslucentPolygonalGeometry(vtkViewport *v, vtkInformation *requiredKeys);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderFilteredTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderFilteredVolumetricGeometry */
    if ( strcmp ( argv[2], "RenderFilteredVolumetricGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredVolumetricGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderFilteredVolumetricGeometry */
    Tcl_DStringAppendElement ( &dString, " Render the volumetric geometry only if the prop has all the\n requiredKeys.\n This is recursive for composite props like vtkAssembly.\n An implementation is provided in vtkProp but each composite prop\n must override it.\n It returns if the rendering was performed.\n \\pre v_exists: v!=0\n \\pre keys_can_be_null: requiredKeys==0 || requiredKeys!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RenderFilteredVolumetricGeometry(vtkViewport *v, vtkInformation *requiredKeys);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderFilteredVolumetricGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderFilteredOverlay */
    if ( strcmp ( argv[2], "RenderFilteredOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderFilteredOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderFilteredOverlay */
    Tcl_DStringAppendElement ( &dString, " Render in the overlay of the viewport only if the prop has all the\n requiredKeys.\n This is recursive for composite props like vtkAssembly.\n An implementation is provided in vtkProp but each composite prop\n must override it.\n It returns if the rendering was performed.\n \\pre v_exists: v!=0\n \\pre keys_can_be_null: requiredKeys==0 || requiredKeys!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RenderFilteredOverlay(vtkViewport *v, vtkInformation *requiredKeys);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RenderFilteredOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n Does this prop have some translucent polygonal geometry?\n This method is called during the rendering process to know if there is\n some translucent polygonal geometry. A simple prop that has some\n translucent polygonal geometry will return true. A composite prop (like\n vtkAssembly) that has at least one sub-prop that has some translucent\n polygonal geome ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEstimatedRenderTime */
    if ( strcmp ( argv[2], "GetEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n The EstimatedRenderTime may be used to select between different props,\n for example in LODProp it is used to select the level-of-detail.\n The value is returned in seconds. For simple geometry the accuracy may\n not be great due to buffering. For ray casting, which is already\n multi-resolution, the current resolution of the image is factored into\n the tim ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetEstimatedRenderTime(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEstimatedRenderTime */
    if ( strcmp ( argv[2], "GetEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n The EstimatedRenderTime may be used to select between different props,\n for example in LODProp it is used to select the level-of-detail.\n The value is returned in seconds. For simple geometry the accuracy may\n not be great due to buffering. For ray casting, which is already\n multi-resolution, the current resolution of the image is factored into\n the tim ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetEstimatedRenderTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEstimatedRenderTime */
    if ( strcmp ( argv[2], "SetEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n This method is used by, for example, the vtkLODProp3D in order to\n initialize the estimated render time at start-up to some user defined\n value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEstimatedRenderTime(double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestoreEstimatedRenderTime */
    if ( strcmp ( argv[2], "RestoreEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestoreEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestoreEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS\n When the EstimatedRenderTime is first set to 0.0 (in the\n SetAllocatedRenderTime method) the old value is saved. This\n method is used to restore that old value should the render be\n aborted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RestoreEstimatedRenderTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RestoreEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddEstimatedRenderTime */
    if ( strcmp ( argv[2], "AddEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n This method is intended to allow the renderer to add to the\n EstimatedRenderTime in props that require information that\n the renderer has in order to do this. For example, props\n that are rendered with a ray casting method do not know\n themselves how long it took for them to render. We don't want to\n cause a this->Modified() when we set this value since i ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddEstimatedRenderTime(double t, vtkViewport *vp);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for AddEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllocatedRenderTime */
    if ( strcmp ( argv[2], "SetAllocatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllocatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllocatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n The renderer may use the allocated rendering time to determine\n how to render this actor. Therefore it might need the information\n provided in the viewport.\n A side effect of this method is to reset the EstimatedRenderTime to\n 0.0. This way, each of the ways that this prop may be rendered can\n be timed and added together into this value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAllocatedRenderTime(double t, vtkViewport *v);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetAllocatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllocatedRenderTime */
    if ( strcmp ( argv[2], "GetAllocatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllocatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllocatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAllocatedRenderTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetAllocatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderTimeMultiplier */
    if ( strcmp ( argv[2], "SetRenderTimeMultiplier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderTimeMultiplier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderTimeMultiplier */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Get/Set the multiplier for the render time. This is used\n for culling and is a number between 0 and 1. It is used\n to create the allocated render time value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderTimeMultiplier(double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetRenderTimeMultiplier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderTimeMultiplier */
    if ( strcmp ( argv[2], "GetRenderTimeMultiplier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderTimeMultiplier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderTimeMultiplier */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Get/Set the multiplier for the render time. This is used\n for culling and is a number between 0 and 1. It is used\n to create the allocated render time value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRenderTimeMultiplier();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetRenderTimeMultiplier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildPaths */
    if ( strcmp ( argv[2], "BuildPaths" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildPaths" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyPaths" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyPath" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildPaths */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Used to construct assembly paths and perform part traversal.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildPaths(vtkAssemblyPaths *paths, vtkAssemblyPath *path);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for BuildPaths */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSupportsSelection */
    if ( strcmp ( argv[2], "GetSupportsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSupportsSelection */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Used by vtkHardwareSelector to determine if the prop supports hardware\n selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetSupportsSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetSupportsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfConsumers */
    if ( strcmp ( argv[2], "GetNumberOfConsumers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfConsumers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfConsumers */
    Tcl_DStringAppendElement ( &dString, " Get the number of consumers\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfConsumers();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetNumberOfConsumers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddConsumer */
    if ( strcmp ( argv[2], "AddConsumer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddConsumer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddConsumer */
    Tcl_DStringAppendElement ( &dString, " Add or remove or get or check a consumer, \n" );
    Tcl_DStringAppendElement ( &dString, "void AddConsumer(vtkObject *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for AddConsumer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveConsumer */
    if ( strcmp ( argv[2], "RemoveConsumer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveConsumer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveConsumer */
    Tcl_DStringAppendElement ( &dString, " Add or remove or get or check a consumer, \n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveConsumer(vtkObject *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for RemoveConsumer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConsumer */
    if ( strcmp ( argv[2], "GetConsumer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConsumer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConsumer */
    Tcl_DStringAppendElement ( &dString, " Add or remove or get or check a consumer, \n" );
    Tcl_DStringAppendElement ( &dString, "vtkObject *GetConsumer(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetConsumer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsConsumer */
    if ( strcmp ( argv[2], "IsConsumer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsConsumer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsConsumer */
    Tcl_DStringAppendElement ( &dString, " Add or remove or get or check a consumer, \n" );
    Tcl_DStringAppendElement ( &dString, "int IsConsumer(vtkObject *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for IsConsumer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
