// tcl wrapper for vtkTimerLog object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTimerLog.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTimerLogNewCommand()
{
  vtkTimerLog *temp = vtkTimerLog::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTimerLogCppCommand(vtkTimerLog *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTimerLogCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTimerLogCppCommand(static_cast<vtkTimerLog *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTimerLogCppCommand(vtkTimerLog *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTimerLog",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTimerLog  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTimerLog");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTimerLog  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTimerLog");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTimerLog  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTimerLog");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLogging",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLogging(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogging",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLogging();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LoggingOn",argv[1]))&&(argc == 2))
    {
    op->LoggingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LoggingOff",argv[1]))&&(argc == 2))
    {
    op->LoggingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxEntries",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxEntries(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxEntries",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxEntries();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FormatAndMarkEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->FormatAndMarkEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DumpLog",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DumpLog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MarkStartEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->MarkStartEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MarkEndEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->MarkEndEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEvents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEvents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEventIndent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEventIndent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEventWallTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEventWallTime(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEventString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEventString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("MarkEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->MarkEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetLog",argv[1]))&&(argc == 2))
    {
    op->ResetLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllocateLog",argv[1]))&&(argc == 2))
    {
    op->AllocateLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CleanupLog",argv[1]))&&(argc == 2))
    {
    op->CleanupLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUniversalTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUniversalTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCPUTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCPUTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StartTimer",argv[1]))&&(argc == 2))
    {
    op->StartTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopTimer",argv[1]))&&(argc == 2))
    {
    op->StopTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetElapsedTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetElapsedTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetCurrentTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurrentTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTimerLogCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTimerLog:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLogging\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogging\n",NULL);
    Tcl_AppendResult(interp,"  LoggingOn\n",NULL);
    Tcl_AppendResult(interp,"  LoggingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxEntries\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxEntries\n",NULL);
    Tcl_AppendResult(interp,"  FormatAndMarkEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DumpLog\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MarkStartEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MarkEndEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEvents\n",NULL);
    Tcl_AppendResult(interp,"  GetEventIndent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEventWallTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEventString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MarkEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetLog\n",NULL);
    Tcl_AppendResult(interp,"  AllocateLog\n",NULL);
    Tcl_AppendResult(interp,"  CleanupLog\n",NULL);
    Tcl_AppendResult(interp,"  GetUniversalTime\n",NULL);
    Tcl_AppendResult(interp,"  GetCPUTime\n",NULL);
    Tcl_AppendResult(interp,"  StartTimer\n",NULL);
    Tcl_AppendResult(interp,"  StopTimer\n",NULL);
    Tcl_AppendResult(interp,"  GetElapsedTime\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetCurrentTime\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLogging" );
    Tcl_DStringAppendElement ( &dString, "GetLogging" );
    Tcl_DStringAppendElement ( &dString, "LoggingOn" );
    Tcl_DStringAppendElement ( &dString, "LoggingOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaxEntries" );
    Tcl_DStringAppendElement ( &dString, "GetMaxEntries" );
    Tcl_DStringAppendElement ( &dString, "FormatAndMarkEvent" );
    Tcl_DStringAppendElement ( &dString, "DumpLog" );
    Tcl_DStringAppendElement ( &dString, "MarkStartEvent" );
    Tcl_DStringAppendElement ( &dString, "MarkEndEvent" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEvents" );
    Tcl_DStringAppendElement ( &dString, "GetEventIndent" );
    Tcl_DStringAppendElement ( &dString, "GetEventWallTime" );
    Tcl_DStringAppendElement ( &dString, "GetEventString" );
    Tcl_DStringAppendElement ( &dString, "MarkEvent" );
    Tcl_DStringAppendElement ( &dString, "ResetLog" );
    Tcl_DStringAppendElement ( &dString, "AllocateLog" );
    Tcl_DStringAppendElement ( &dString, "CleanupLog" );
    Tcl_DStringAppendElement ( &dString, "GetUniversalTime" );
    Tcl_DStringAppendElement ( &dString, "GetCPUTime" );
    Tcl_DStringAppendElement ( &dString, "StartTimer" );
    Tcl_DStringAppendElement ( &dString, "StopTimer" );
    Tcl_DStringAppendElement ( &dString, "GetElapsedTime" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetCurrentTime" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTimerLog *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLogging */
    if ( strcmp ( argv[2], "SetLogging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLogging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLogging */
    Tcl_DStringAppendElement ( &dString, " This flag will turn loging of events off or on.  \n By default, logging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetLogging(int v);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for SetLogging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLogging */
    if ( strcmp ( argv[2], "GetLogging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLogging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLogging */
    Tcl_DStringAppendElement ( &dString, " This flag will turn loging of events off or on.  \n By default, logging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetLogging();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetLogging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoggingOn */
    if ( strcmp ( argv[2], "LoggingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoggingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoggingOn */
    Tcl_DStringAppendElement ( &dString, " This flag will turn loging of events off or on.  \n By default, logging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "static void LoggingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for LoggingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoggingOff */
    if ( strcmp ( argv[2], "LoggingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoggingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoggingOff */
    Tcl_DStringAppendElement ( &dString, " This flag will turn loging of events off or on.  \n By default, logging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "static void LoggingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for LoggingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxEntries */
    if ( strcmp ( argv[2], "SetMaxEntries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxEntries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxEntries */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of entries allowed in the timer log\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetMaxEntries(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for SetMaxEntries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxEntries */
    if ( strcmp ( argv[2], "GetMaxEntries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxEntries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxEntries */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of entries allowed in the timer log\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetMaxEntries();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetMaxEntries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FormatAndMarkEvent */
    if ( strcmp ( argv[2], "FormatAndMarkEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FormatAndMarkEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FormatAndMarkEvent */
    Tcl_DStringAppendElement ( &dString, " Record a timing event.  The event is represented by a formatted\n string.\n" );
    Tcl_DStringAppendElement ( &dString, "static void FormatAndMarkEvent(const char *EventString, ...);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for FormatAndMarkEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DumpLog */
    if ( strcmp ( argv[2], "DumpLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DumpLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DumpLog */
    Tcl_DStringAppendElement ( &dString, " Write the timing table out to a file.  Calculate some helpful\n statistics (deltas and  percentages) in the process.\n" );
    Tcl_DStringAppendElement ( &dString, "static void DumpLog(const char *filename);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for DumpLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MarkStartEvent */
    if ( strcmp ( argv[2], "MarkStartEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MarkStartEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MarkStartEvent */
    Tcl_DStringAppendElement ( &dString, " I want to time events, so I am creating this interface to\n mark events that have a start and an end.  These events can be,\n nested. The standard Dumplog ignores the indents.\n" );
    Tcl_DStringAppendElement ( &dString, "static void MarkStartEvent(const char *EventString);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for MarkStartEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MarkEndEvent */
    if ( strcmp ( argv[2], "MarkEndEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MarkEndEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MarkEndEvent */
    Tcl_DStringAppendElement ( &dString, " I want to time events, so I am creating this interface to\n mark events that have a start and an end.  These events can be,\n nested. The standard Dumplog ignores the indents.\n" );
    Tcl_DStringAppendElement ( &dString, "static void MarkEndEvent(const char *EventString);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for MarkEndEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEvents */
    if ( strcmp ( argv[2], "GetNumberOfEvents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEvents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEvents */
    Tcl_DStringAppendElement ( &dString, " Programatic access to events.  Indexed from 0 to num-1.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetNumberOfEvents();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetNumberOfEvents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventIndent */
    if ( strcmp ( argv[2], "GetEventIndent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventIndent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventIndent */
    Tcl_DStringAppendElement ( &dString, " Programatic access to events.  Indexed from 0 to num-1.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetEventIndent(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetEventIndent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventWallTime */
    if ( strcmp ( argv[2], "GetEventWallTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventWallTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventWallTime */
    Tcl_DStringAppendElement ( &dString, " Programatic access to events.  Indexed from 0 to num-1.\n" );
    Tcl_DStringAppendElement ( &dString, "static double GetEventWallTime(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetEventWallTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventString */
    if ( strcmp ( argv[2], "GetEventString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventString */
    Tcl_DStringAppendElement ( &dString, " Programatic access to events.  Indexed from 0 to num-1.\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetEventString(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetEventString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MarkEvent */
    if ( strcmp ( argv[2], "MarkEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MarkEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MarkEvent */
    Tcl_DStringAppendElement ( &dString, " Record a timing event and capture wall time and cpu ticks.\n" );
    Tcl_DStringAppendElement ( &dString, "static void MarkEvent(const char *EventString);" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for MarkEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetLog */
    if ( strcmp ( argv[2], "ResetLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetLog */
    Tcl_DStringAppendElement ( &dString, " Clear the timing table.  walltime and cputime will also be set\n to zero when the first new event is recorded.\n" );
    Tcl_DStringAppendElement ( &dString, "static void ResetLog();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for ResetLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllocateLog */
    if ( strcmp ( argv[2], "AllocateLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllocateLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllocateLog */
    Tcl_DStringAppendElement ( &dString, " Allocate timing table with MaxEntries elements.\n" );
    Tcl_DStringAppendElement ( &dString, "static void AllocateLog();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for AllocateLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CleanupLog */
    if ( strcmp ( argv[2], "CleanupLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CleanupLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CleanupLog */
    Tcl_DStringAppendElement ( &dString, " Remove timer log.\n" );
    Tcl_DStringAppendElement ( &dString, "static void CleanupLog();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for CleanupLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUniversalTime */
    if ( strcmp ( argv[2], "GetUniversalTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUniversalTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUniversalTime */
    Tcl_DStringAppendElement ( &dString, " Returns the elapsed number of seconds since January 1, 1970. This\n is also called Universal Coordinated Time.\n" );
    Tcl_DStringAppendElement ( &dString, "static double GetUniversalTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetUniversalTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCPUTime */
    if ( strcmp ( argv[2], "GetCPUTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCPUTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCPUTime */
    Tcl_DStringAppendElement ( &dString, " Returns the CPU time for this process\n On Win32 platforms this actually returns wall time.\n" );
    Tcl_DStringAppendElement ( &dString, "static double GetCPUTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetCPUTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartTimer */
    if ( strcmp ( argv[2], "StartTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartTimer */
    Tcl_DStringAppendElement ( &dString, " Set the StartTime to the current time. Used with GetElapsedTime().\n" );
    Tcl_DStringAppendElement ( &dString, "void StartTimer();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for StartTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StopTimer */
    if ( strcmp ( argv[2], "StopTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StopTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StopTimer */
    Tcl_DStringAppendElement ( &dString, " Sets EndTime to the current time. Used with GetElapsedTime().\n" );
    Tcl_DStringAppendElement ( &dString, "void StopTimer();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for StopTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElapsedTime */
    if ( strcmp ( argv[2], "GetElapsedTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElapsedTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElapsedTime */
    Tcl_DStringAppendElement ( &dString, " Returns the difference between StartTime and EndTime as \n a doubleing point value indicating the elapsed time in seconds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetElapsedTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetElapsedTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetCurrentTime */
    if ( strcmp ( argv[2], "GetCurrentTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentTime */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkTimerLog::GetUniversalTime() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "static double GetCurrentTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTimerLog" );
    /* Closing for GetCurrentTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
