// tcl wrapper for vtkTransform2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransform2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTransform2DNewCommand()
{
  vtkTransform2D *temp = vtkTransform2D::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTransform2DCppCommand(vtkTransform2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTransform2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTransform2DCppCommand(static_cast<vtkTransform2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTransform2DCppCommand(vtkTransform2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTransform2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTransform2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform2D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTransform2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTransform2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("Identity",argv[1]))&&(argc == 2))
    {
    op->Identity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Inverse",argv[1]))&&(argc == 2))
    {
    op->Inverse();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Translate",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->Translate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Translate",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->Translate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Translate",argv[1]))&&(argc == 4))
    {
    float  temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->Translate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Rotate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Rotate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Scale",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->Scale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Scale",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->Scale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Scale",argv[1]))&&(argc == 4))
    {
    float  temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->Scale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix3x3  *temp0;
    error = 0;

    temp0 = (vtkMatrix3x3 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix3x3"),interp,error));
    if (!error)
    {
    op->SetMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMatrix",argv[1]))&&(argc == 11))
    {
    double temp0[9];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (!error)
    {
    op->SetMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix3x3  *temp20;
    temp20 = (op)->GetMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix3x3");
    return TCL_OK;
    }
  if ((!strcmp("GetMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix3x3  *temp0;
    error = 0;

    temp0 = (vtkMatrix3x3 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix3x3"),interp,error));
    if (!error)
    {
    op->GetMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 4))
    {
    float  temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInverse",argv[1]))&&(argc == 3))
    {
    vtkMatrix3x3  *temp0;
    error = 0;

    temp0 = (vtkMatrix3x3 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix3x3"),interp,error));
    if (!error)
    {
    op->GetInverse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranspose",argv[1]))&&(argc == 3))
    {
    vtkMatrix3x3  *temp0;
    error = 0;

    temp0 = (vtkMatrix3x3 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix3x3"),interp,error));
    if (!error)
    {
    op->GetTranspose(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TransformPoints",argv[1]))&&(argc == 4))
    {
    vtkPoints2D  *temp0;
    vtkPoints2D  *temp1;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    temp1 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->TransformPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InverseTransformPoints",argv[1]))&&(argc == 4))
    {
    vtkPoints2D  *temp0;
    vtkPoints2D  *temp1;
    error = 0;

    temp0 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints2D"),interp,error));
    temp1 = (vtkPoints2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPoints2D"),interp,error));
    if (!error)
    {
    op->InverseTransformPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTransform2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTransform2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Identity\n",NULL);
    Tcl_AppendResult(interp,"  Inverse\n",NULL);
    Tcl_AppendResult(interp,"  Translate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Translate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Translate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Rotate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Scale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Scale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Scale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMatrix\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMatrix\n",NULL);
    Tcl_AppendResult(interp,"  GetMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInverse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranspose\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  TransformPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InverseTransformPoints\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    Tcl_DStringAppendElement ( &dString, "Inverse" );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetInverse" );
    Tcl_DStringAppendElement ( &dString, "GetTranspose" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "TransformPoints" );
    Tcl_DStringAppendElement ( &dString, "InverseTransformPoints" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTransform2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Identity */
    if ( strcmp ( argv[2], "Identity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Identity */
    Tcl_DStringAppendElement ( &dString, " Set the transformation to the identity transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Identity();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Identity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Inverse */
    if ( strcmp ( argv[2], "Inverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Inverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Inverse */
    Tcl_DStringAppendElement ( &dString, " Invert the transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Inverse();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Inverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Translate */
    if ( strcmp ( argv[2], "Translate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Translate */
    Tcl_DStringAppendElement ( &dString, " Create a translation matrix and concatenate it with the current\n transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Translate(double x, double y);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Translate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Translate */
    if ( strcmp ( argv[2], "Translate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Translate */
    Tcl_DStringAppendElement ( &dString, " Create a translation matrix and concatenate it with the current\n transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Translate(const double x\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Translate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Translate */
    if ( strcmp ( argv[2], "Translate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Translate */
    Tcl_DStringAppendElement ( &dString, " Create a translation matrix and concatenate it with the current\n transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Translate(const float x\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Translate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Rotate */
    if ( strcmp ( argv[2], "Rotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Rotate */
    Tcl_DStringAppendElement ( &dString, " Create a rotation matrix and concatenate it with the current\n transformation. The angle is in degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "void Rotate(double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Rotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Scale */
    if ( strcmp ( argv[2], "Scale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scale */
    Tcl_DStringAppendElement ( &dString, " Create a scale matrix (i.e. set the diagonal elements to x, y)\n and concatenate it with the current transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Scale(double x, double y);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Scale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Scale */
    if ( strcmp ( argv[2], "Scale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scale */
    Tcl_DStringAppendElement ( &dString, " Create a scale matrix (i.e. set the diagonal elements to x, y)\n and concatenate it with the current transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Scale(const double s\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Scale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Scale */
    if ( strcmp ( argv[2], "Scale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scale */
    Tcl_DStringAppendElement ( &dString, " Create a scale matrix (i.e. set the diagonal elements to x, y)\n and concatenate it with the current transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Scale(const float s\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for Scale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMatrix */
    if ( strcmp ( argv[2], "SetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix3x3" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMatrix */
    Tcl_DStringAppendElement ( &dString, " Set the current matrix directly.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMatrix(vtkMatrix3x3 *matrix);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for SetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMatrix */
    if ( strcmp ( argv[2], "SetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMatrix */
    Tcl_DStringAppendElement ( &dString, " Set the current matrix directly.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMatrix(const double elements\\[9\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for SetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMatrix */
    if ( strcmp ( argv[2], "GetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMatrix */
    Tcl_DStringAppendElement ( &dString, " Get the underlying 3x3 matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix3x3 *GetMatrix();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMatrix */
    if ( strcmp ( argv[2], "GetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix3x3" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMatrix */
    Tcl_DStringAppendElement ( &dString, " Get the underlying 3x3 matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetMatrix(vtkMatrix3x3 *matrix);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Return the position from the current transformation matrix as an array\n of two floating point numbers. This is simply returning the translation\n component of the 3x3 matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPosition(double pos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Return the position from the current transformation matrix as an array\n of two floating point numbers. This is simply returning the translation\n component of the 3x3 matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPosition(float pos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInverse */
    if ( strcmp ( argv[2], "GetInverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix3x3" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInverse */
    Tcl_DStringAppendElement ( &dString, " Return a matrix which is the inverse of the current transformation\n matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetInverse(vtkMatrix3x3 *inverse);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetInverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranspose */
    if ( strcmp ( argv[2], "GetTranspose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranspose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix3x3" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranspose */
    Tcl_DStringAppendElement ( &dString, " Return a matrix which is the transpose of the current transformation\n matrix.  This is equivalent to the inverse if and only if the\n transformation is a pure rotation with no translation or scale.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetTranspose(vtkMatrix3x3 *transpose);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetTranspose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Override GetMTime to account for input and concatenation.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TransformPoints */
    if ( strcmp ( argv[2], "TransformPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TransformPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TransformPoints */
    Tcl_DStringAppendElement ( &dString, " Apply the transformation to a series of points, and append the\n results to outPts.\n" );
    Tcl_DStringAppendElement ( &dString, "void TransformPoints(vtkPoints2D *inPts, vtkPoints2D *outPts);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for TransformPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InverseTransformPoints */
    if ( strcmp ( argv[2], "InverseTransformPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InverseTransformPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InverseTransformPoints */
    Tcl_DStringAppendElement ( &dString, " Apply the transformation to a series of points, and append the\n results to outPts.\n" );
    Tcl_DStringAppendElement ( &dString, "void InverseTransformPoints(vtkPoints2D *inPts, vtkPoints2D *outPts);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform2D" );
    /* Closing for InverseTransformPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
