// tcl wrapper for vtkAbstractCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractCellLocator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkLocatorCppCommand(vtkLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractCellLocatorCppCommand(vtkAbstractCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAbstractCellLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractCellLocatorCppCommand(static_cast<vtkAbstractCellLocator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractCellLocatorCppCommand(vtkAbstractCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractCellLocator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLocatorCppCommand(static_cast<vtkLocator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLocator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractCellLocator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractCellLocator");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfCellsPerNode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfCellsPerNode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfCellsPerNodeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellsPerNodeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCellsPerNodeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellsPerNodeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCellsPerNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellsPerNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCacheCellBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCacheCellBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCacheCellBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheCellBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CacheCellBoundsOn",argv[1]))&&(argc == 2))
    {
    op->CacheCellBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CacheCellBoundsOff",argv[1]))&&(argc == 2))
    {
    op->CacheCellBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRetainCellLists",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRetainCellLists(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRetainCellLists",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRetainCellLists();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RetainCellListsOn",argv[1]))&&(argc == 2))
    {
    op->RetainCellListsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RetainCellListsOff",argv[1]))&&(argc == 2))
    {
    op->RetainCellListsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLazyEvaluation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLazyEvaluation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLazyEvaluation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLazyEvaluation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LazyEvaluationOn",argv[1]))&&(argc == 2))
    {
    op->LazyEvaluationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LazyEvaluationOff",argv[1]))&&(argc == 2))
    {
    op->LazyEvaluationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseExistingSearchStructure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseExistingSearchStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseExistingSearchStructure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseExistingSearchStructure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseExistingSearchStructureOn",argv[1]))&&(argc == 2))
    {
    op->UseExistingSearchStructureOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseExistingSearchStructureOff",argv[1]))&&(argc == 2))
    {
    op->UseExistingSearchStructureOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FindCell",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->FindCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractCellLocatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLocatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractCellLocator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfCellsPerNode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellsPerNodeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellsPerNodeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellsPerNode\n",NULL);
    Tcl_AppendResult(interp,"  SetCacheCellBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheCellBounds\n",NULL);
    Tcl_AppendResult(interp,"  CacheCellBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  CacheCellBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRetainCellLists\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRetainCellLists\n",NULL);
    Tcl_AppendResult(interp,"  RetainCellListsOn\n",NULL);
    Tcl_AppendResult(interp,"  RetainCellListsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLazyEvaluation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLazyEvaluation\n",NULL);
    Tcl_AppendResult(interp,"  LazyEvaluationOn\n",NULL);
    Tcl_AppendResult(interp,"  LazyEvaluationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseExistingSearchStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseExistingSearchStructure\n",NULL);
    Tcl_AppendResult(interp,"  UseExistingSearchStructureOn\n",NULL);
    Tcl_AppendResult(interp,"  UseExistingSearchStructureOff\n",NULL);
    Tcl_AppendResult(interp,"  FindCell\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLocatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCellsPerNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerNodeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerNodeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerNode" );
    Tcl_DStringAppendElement ( &dString, "SetCacheCellBounds" );
    Tcl_DStringAppendElement ( &dString, "GetCacheCellBounds" );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetRetainCellLists" );
    Tcl_DStringAppendElement ( &dString, "GetRetainCellLists" );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOn" );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOff" );
    Tcl_DStringAppendElement ( &dString, "SetLazyEvaluation" );
    Tcl_DStringAppendElement ( &dString, "GetLazyEvaluation" );
    Tcl_DStringAppendElement ( &dString, "LazyEvaluationOn" );
    Tcl_DStringAppendElement ( &dString, "LazyEvaluationOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseExistingSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "GetUseExistingSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "UseExistingSearchStructureOn" );
    Tcl_DStringAppendElement ( &dString, "UseExistingSearchStructureOff" );
    Tcl_DStringAppendElement ( &dString, "FindCell" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLocatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfCellsPerNode */
    if ( strcmp ( argv[2], "SetNumberOfCellsPerNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCellsPerNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfCellsPerNode */
    Tcl_DStringAppendElement ( &dString, " Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfCellsPerNode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for SetNumberOfCellsPerNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellsPerNodeMinValue */
    if ( strcmp ( argv[2], "GetNumberOfCellsPerNodeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerNodeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellsPerNodeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellsPerNodeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetNumberOfCellsPerNodeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellsPerNodeMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfCellsPerNodeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerNodeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellsPerNodeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellsPerNodeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetNumberOfCellsPerNodeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellsPerNode */
    if ( strcmp ( argv[2], "GetNumberOfCellsPerNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellsPerNode */
    Tcl_DStringAppendElement ( &dString, " Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellsPerNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetNumberOfCellsPerNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCacheCellBounds */
    if ( strcmp ( argv[2], "SetCacheCellBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCacheCellBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCacheCellBounds */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCacheCellBounds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for SetCacheCellBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheCellBounds */
    if ( strcmp ( argv[2], "GetCacheCellBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheCellBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheCellBounds */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheCellBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetCacheCellBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CacheCellBoundsOn */
    if ( strcmp ( argv[2], "CacheCellBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CacheCellBoundsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "void CacheCellBoundsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for CacheCellBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CacheCellBoundsOff */
    if ( strcmp ( argv[2], "CacheCellBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CacheCellBoundsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "void CacheCellBoundsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for CacheCellBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRetainCellLists */
    if ( strcmp ( argv[2], "SetRetainCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRetainCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRetainCellLists */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRetainCellLists(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for SetRetainCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRetainCellLists */
    if ( strcmp ( argv[2], "GetRetainCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRetainCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRetainCellLists */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRetainCellLists();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetRetainCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RetainCellListsOn */
    if ( strcmp ( argv[2], "RetainCellListsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RetainCellListsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "void RetainCellListsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for RetainCellListsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RetainCellListsOff */
    if ( strcmp ( argv[2], "RetainCellListsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RetainCellListsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "void RetainCellListsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for RetainCellListsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLazyEvaluation */
    if ( strcmp ( argv[2], "SetLazyEvaluation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLazyEvaluation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLazyEvaluation */
    Tcl_DStringAppendElement ( &dString, " Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLazyEvaluation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for SetLazyEvaluation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLazyEvaluation */
    if ( strcmp ( argv[2], "GetLazyEvaluation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLazyEvaluation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLazyEvaluation */
    Tcl_DStringAppendElement ( &dString, " Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLazyEvaluation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetLazyEvaluation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LazyEvaluationOn */
    if ( strcmp ( argv[2], "LazyEvaluationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LazyEvaluationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LazyEvaluationOn */
    Tcl_DStringAppendElement ( &dString, " Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "void LazyEvaluationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for LazyEvaluationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LazyEvaluationOff */
    if ( strcmp ( argv[2], "LazyEvaluationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LazyEvaluationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LazyEvaluationOff */
    Tcl_DStringAppendElement ( &dString, " Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "void LazyEvaluationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for LazyEvaluationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseExistingSearchStructure */
    if ( strcmp ( argv[2], "SetUseExistingSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseExistingSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseExistingSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseExistingSearchStructure(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for SetUseExistingSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseExistingSearchStructure */
    if ( strcmp ( argv[2], "GetUseExistingSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseExistingSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseExistingSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseExistingSearchStructure();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for GetUseExistingSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseExistingSearchStructureOn */
    if ( strcmp ( argv[2], "UseExistingSearchStructureOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseExistingSearchStructureOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseExistingSearchStructureOn */
    Tcl_DStringAppendElement ( &dString, " Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n" );
    Tcl_DStringAppendElement ( &dString, "void UseExistingSearchStructureOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for UseExistingSearchStructureOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseExistingSearchStructureOff */
    if ( strcmp ( argv[2], "UseExistingSearchStructureOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseExistingSearchStructureOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseExistingSearchStructureOff */
    Tcl_DStringAppendElement ( &dString, " Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n" );
    Tcl_DStringAppendElement ( &dString, "void UseExistingSearchStructureOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for UseExistingSearchStructureOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindCell */
    if ( strcmp ( argv[2], "FindCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindCell */
    Tcl_DStringAppendElement ( &dString, " Returns the Id of the cell containing the point, \n returns -1 if no cell found. This interface uses a tolerance of zero\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType FindCell(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    /* Closing for FindCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLocatorCppCommand(static_cast<vtkLocator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
