// tcl wrapper for vtkAbstractInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractInterpolatedVelocityField.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkFunctionSetCppCommand(vtkFunctionSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractInterpolatedVelocityFieldCppCommand(vtkAbstractInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAbstractInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractInterpolatedVelocityFieldCppCommand(static_cast<vtkAbstractInterpolatedVelocityField *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractInterpolatedVelocityFieldCppCommand(vtkAbstractInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractInterpolatedVelocityField",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkFunctionSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractInterpolatedVelocityField  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("SetCaching",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCaching(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaching",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCaching();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheHit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheHit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheMiss",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheMiss();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastDataSetIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLastDataSetIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetLastDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetLastCellId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetLastCellId();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLastCellId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLastCellId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLastCellId",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLastCellId(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVectorsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalizeVector",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetNormalizeVector(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizeVector",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetNormalizeVector();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyParameters",argv[1]))&&(argc == 3))
    {
    vtkAbstractInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractInterpolatedVelocityField"),interp,error));
    if (!error)
    {
    op->CopyParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->AddDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLastCellId",argv[1]))&&(argc == 2))
    {
    op->ClearLastCellId();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastLocalCoordinates",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetLastLocalCoordinates(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractInterpolatedVelocityFieldCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractInterpolatedVelocityField:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetCaching\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaching\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheHit\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheMiss\n",NULL);
    Tcl_AppendResult(interp,"  GetLastDataSetIndex\n",NULL);
    Tcl_AppendResult(interp,"  GetLastDataSet\n",NULL);
    Tcl_AppendResult(interp,"  GetLastCellId\n",NULL);
    Tcl_AppendResult(interp,"  SetLastCellId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLastCellId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizeVector\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizeVector\n",NULL);
    Tcl_AppendResult(interp,"  CopyParameters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearLastCellId\n",NULL);
    Tcl_AppendResult(interp,"  GetLastLocalCoordinates\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetCaching" );
    Tcl_DStringAppendElement ( &dString, "GetCaching" );
    Tcl_DStringAppendElement ( &dString, "GetCacheHit" );
    Tcl_DStringAppendElement ( &dString, "GetCacheMiss" );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSetIndex" );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetLastCellId" );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsSelection" );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeVector" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeVector" );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    Tcl_DStringAppendElement ( &dString, "ClearLastCellId" );
    Tcl_DStringAppendElement ( &dString, "GetLastLocalCoordinates" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkFunctionSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaching */
    if ( strcmp ( argv[2], "SetCaching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaching */
    Tcl_DStringAppendElement ( &dString, " Set/Get the caching flag. If this flag is turned ON, there are two levels\n of caching for derived concrete class vtkInterpolatedVelocityField and one\n level of caching for derived concrete class vtkCellLocatorInterpolatedVelocityField.\n Otherwise a global cell location is always invoked for evaluating the \n function values at any point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCaching(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for SetCaching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaching */
    if ( strcmp ( argv[2], "GetCaching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaching */
    Tcl_DStringAppendElement ( &dString, " Set/Get the caching flag. If this flag is turned ON, there are two levels\n of caching for derived concrete class vtkInterpolatedVelocityField and one\n level of caching for derived concrete class vtkCellLocatorInterpolatedVelocityField.\n Otherwise a global cell location is always invoked for evaluating the \n function values at any point.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCaching();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetCaching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheHit */
    if ( strcmp ( argv[2], "GetCacheHit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheHit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheHit */
    Tcl_DStringAppendElement ( &dString, " Get the caching statistics. CacheHit refers to the number of level #0 cache\n hits while CacheMiss is the number of level #0 cache misses.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheHit();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetCacheHit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheMiss */
    if ( strcmp ( argv[2], "GetCacheMiss" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheMiss" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheMiss */
    Tcl_DStringAppendElement ( &dString, " Get the caching statistics. CacheHit refers to the number of level #0 cache\n hits while CacheMiss is the number of level #0 cache misses.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheMiss();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetCacheMiss */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastDataSetIndex */
    if ( strcmp ( argv[2], "GetLastDataSetIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSetIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastDataSetIndex */
    Tcl_DStringAppendElement ( &dString, " Get the most recently visited dataset and it id. The dataset is used \n for a guess regarding where the next point will be, without searching\n through all datasets. When setting the last dataset, care is needed as\n no reference counting or checks are performed. This feature is intended\n for custom interpolators only that cache datasets independently.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastDataSetIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetLastDataSetIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastDataSet */
    if ( strcmp ( argv[2], "GetLastDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastDataSet */
    Tcl_DStringAppendElement ( &dString, " Get the most recently visited dataset and it id. The dataset is used \n for a guess regarding where the next point will be, without searching\n through all datasets. When setting the last dataset, care is needed as\n no reference counting or checks are performed. This feature is intended\n for custom interpolators only that cache datasets independently.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetLastDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetLastDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastCellId */
    if ( strcmp ( argv[2], "GetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Get/Set the id of the cell cached from last evaluation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetLastCellId();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastCellId */
    if ( strcmp ( argv[2], "SetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Get/Set the id of the cell cached from last evaluation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLastCellId(vtkIdType c);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for SetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastCellId */
    if ( strcmp ( argv[2], "SetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Set the id of the most recently visited cell of a dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLastCellId(vtkIdType c, int dataindex) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for SetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsSelection */
    if ( strcmp ( argv[2], "GetVectorsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsSelection */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of a spcified vector array. By default it is NULL, with\n the active vector array for use.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorsSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetVectorsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectVectors */
    if ( strcmp ( argv[2], "SelectVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectVectors */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of a spcified vector array. By default it is NULL, with\n the active vector array for use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectVectors(const char *fieldName);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for SelectVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizeVector */
    if ( strcmp ( argv[2], "SetNormalizeVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizeVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag indicating vector post-normalization (following vector\n interpolation). Vector post-normalization is required to avoid the \n 'curve-overshooting' problem (caused by high velocity magnitude) that\n occurs when Cell-Length is used as the step size unit (particularly the\n Minimum step size unit). Furthermore, it is required by RK45 to achieve,\n as expected, high numerical accuracy (or high smoothness of flow lines)\n through adaptive step sizing. Note this ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizeVector(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for SetNormalizeVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizeVector */
    if ( strcmp ( argv[2], "GetNormalizeVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizeVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag indicating vector post-normalization (following vector\n interpolation). Vector post-normalization is required to avoid the \n 'curve-overshooting' problem (caused by high velocity magnitude) that\n occurs when Cell-Length is used as the step size unit (particularly the\n Minimum step size unit). Furthermore, it is required by RK45 to achieve,\n as expected, high numerical accuracy (or high smoothness of flow lines)\n through adaptive step sizing. Note this ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetNormalizeVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetNormalizeVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyParameters */
    if ( strcmp ( argv[2], "CopyParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyParameters */
    Tcl_DStringAppendElement ( &dString, " Import parameters. Sub-classes can add more after chaining.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyParameters(vtkAbstractInterpolatedVelocityField *from);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for CopyParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDataSet */
    if ( strcmp ( argv[2], "AddDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataSet */
    Tcl_DStringAppendElement ( &dString, " Add a dataset for implicit velocity function evaluation. If more than \n one dataset is added, the evaluation point is searched in all until a\n match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF \n dataset FOR THREAD SAFETY REASONS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDataSet(vtkDataSet *dataset) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for AddDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLastCellId */
    if ( strcmp ( argv[2], "ClearLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLastCellId */
    Tcl_DStringAppendElement ( &dString, " Set the last cell id to -1 to incur a global cell search for the next point.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearLastCellId();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for ClearLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastLocalCoordinates */
    if ( strcmp ( argv[2], "GetLastLocalCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastLocalCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastLocalCoordinates */
    Tcl_DStringAppendElement ( &dString, " Get the interpolation weights cached from last evaluation. Return 1 if the\n cached cell is valid and 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastLocalCoordinates(double pcoords\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    /* Closing for GetLastLocalCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
