// tcl wrapper for vtkAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAlgorithm.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAlgorithmNewCommand()
{
  vtkAlgorithm *temp = vtkAlgorithm::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAlgorithm",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAlgorithm  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAlgorithm  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithm");
    return TCL_OK;
    }
    }
  if ((!strcmp("HasExecutive",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasExecutive();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExecutive",argv[1]))&&(argc == 2))
    {
    vtkExecutive  *temp20;
    temp20 = (op)->GetExecutive();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExecutive");
    return TCL_OK;
    }
  if ((!strcmp("SetExecutive",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->SetExecutive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ProcessRequest",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkCollection  *temp1;
    vtkInformationVector  *temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkCollection"),interp,error));
    temp2 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkInformationVector"),interp,error));
    if (!error)
    {
    temp20 = (op)->ProcessRequest(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ModifyRequest",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ModifyRequest(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputPortInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputPortInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputPortInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputPortInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetInformation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetInformation",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SetInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfInputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfInputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAbortExecute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAbortExecute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAbortExecute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAbortExecute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AbortExecuteOn",argv[1]))&&(argc == 2))
    {
    op->AbortExecuteOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AbortExecuteOff",argv[1]))&&(argc == 2))
    {
    op->AbortExecuteOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProgress",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgressMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProgressMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgressMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProgress",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgress();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateProgress",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->UpdateProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProgressText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetProgressText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetProgressText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetErrorCode",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetErrorCode();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkInformation  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    char    *temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    temp4 = argv[6];
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputArrayInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputArrayInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllInputs",argv[1]))&&(argc == 2))
    {
    op->RemoveAllInputs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputDataObject",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputDataObject(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputDataObject",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputDataObject(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->AddInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->AddInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->RemoveInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputPort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputPort(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputPort",argv[1]))&&(argc == 2))
    {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetOutputPort();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInputConnections",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfInputConnections(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalNumberOfInputConnections",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTotalNumberOfInputConnections();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputConnection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateInformation",argv[1]))&&(argc == 2))
    {
    op->UpdateInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
    {
    op->UpdateWholeExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReleaseDataFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOn",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOff",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateExtentIsEmpty",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->UpdateExtentIsEmpty(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateExtentIsEmpty",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->UpdateExtentIsEmpty(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultExecutivePrototype",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->SetDefaultExecutivePrototype(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputePriority",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->ComputePriority();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAlgorithmCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAlgorithm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasExecutive\n",NULL);
    Tcl_AppendResult(interp,"  GetExecutive\n",NULL);
    Tcl_AppendResult(interp,"  SetExecutive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ProcessRequest\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ModifyRequest\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputPortInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputPortInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputPorts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputPorts\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAbortExecute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAbortExecute\n",NULL);
    Tcl_AppendResult(interp,"  AbortExecuteOn\n",NULL);
    Tcl_AppendResult(interp,"  AbortExecuteOff\n",NULL);
    Tcl_AppendResult(interp,"  SetProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProgress\n",NULL);
    Tcl_AppendResult(interp,"  UpdateProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProgressText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressText\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorCode\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputArrayInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllInputs\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDataObject\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputDataObject\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputPort\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputConnections\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfInputConnections\n",NULL);
    Tcl_AppendResult(interp,"  GetInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateInformation\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataFlag\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateExtentIsEmpty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateExtentIsEmpty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultExecutivePrototype\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputePriority\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "HasExecutive" );
    Tcl_DStringAppendElement ( &dString, "GetExecutive" );
    Tcl_DStringAppendElement ( &dString, "SetExecutive" );
    Tcl_DStringAppendElement ( &dString, "ProcessRequest" );
    Tcl_DStringAppendElement ( &dString, "ModifyRequest" );
    Tcl_DStringAppendElement ( &dString, "GetInputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
    Tcl_DStringAppendElement ( &dString, "SetInformation" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputPorts" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputPorts" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "SetAbortExecute" );
    Tcl_DStringAppendElement ( &dString, "GetAbortExecute" );
    Tcl_DStringAppendElement ( &dString, "AbortExecuteOn" );
    Tcl_DStringAppendElement ( &dString, "AbortExecuteOff" );
    Tcl_DStringAppendElement ( &dString, "SetProgress" );
    Tcl_DStringAppendElement ( &dString, "GetProgressMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProgressMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProgress" );
    Tcl_DStringAppendElement ( &dString, "UpdateProgress" );
    Tcl_DStringAppendElement ( &dString, "SetProgressText" );
    Tcl_DStringAppendElement ( &dString, "GetProgressText" );
    Tcl_DStringAppendElement ( &dString, "GetErrorCode" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    Tcl_DStringAppendElement ( &dString, "GetInputArrayInformation" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllInputs" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDataObject" );
    Tcl_DStringAppendElement ( &dString, "GetInputDataObject" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "AddInputConnection" );
    Tcl_DStringAppendElement ( &dString, "AddInputConnection" );
    Tcl_DStringAppendElement ( &dString, "RemoveInputConnection" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputConnections" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfInputConnections" );
    Tcl_DStringAppendElement ( &dString, "GetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOn" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOff" );
    Tcl_DStringAppendElement ( &dString, "UpdateExtentIsEmpty" );
    Tcl_DStringAppendElement ( &dString, "UpdateExtentIsEmpty" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultExecutivePrototype" );
    Tcl_DStringAppendElement ( &dString, "ComputePriority" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAlgorithm *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasExecutive */
    if ( strcmp ( argv[2], "HasExecutive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasExecutive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasExecutive */
    Tcl_DStringAppendElement ( &dString, " Check whether this algorithm has an assigned executive.  This\n will NOT create a default executive.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasExecutive();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for HasExecutive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExecutive */
    if ( strcmp ( argv[2], "GetExecutive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExecutive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExecutive */
    Tcl_DStringAppendElement ( &dString, " Get this algorithm's executive.  If it has none, a default\n executive will be created.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive *GetExecutive();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetExecutive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExecutive */
    if ( strcmp ( argv[2], "SetExecutive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExecutive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExecutive */
    Tcl_DStringAppendElement ( &dString, " Set this algorithm's executive.  This algorithm is removed from\n any executive to which it has previously been assigned and then\n assigned to the given executive.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExecutive(vtkExecutive *executive);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetExecutive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProcessRequest */
    if ( strcmp ( argv[2], "ProcessRequest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessRequest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessRequest */
    Tcl_DStringAppendElement ( &dString, " Version of ProcessRequest() that is wrapped. This converts the\n collection to an array and calls the other version.\n" );
    Tcl_DStringAppendElement ( &dString, "int ProcessRequest(vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for ProcessRequest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ModifyRequest */
    if ( strcmp ( argv[2], "ModifyRequest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ModifyRequest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ModifyRequest */
    Tcl_DStringAppendElement ( &dString, " This method gives the algorithm a chance to modify the contents of a\n request before or after (specified in the when argument) it is\n forwarded. The default implementation is empty. Returns 1 on success,\n 0 on failure. When can be either vtkExecutive::BeforeForward or\n vtkExecutive::AfterForward.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ModifyRequest(vtkInformation *request, int when);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for ModifyRequest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputPortInformation */
    if ( strcmp ( argv[2], "GetInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputPortInformation */
    Tcl_DStringAppendElement ( &dString, " Get the information object associated with an input port.  There\n is one input port per kind of input to the algorithm.  Each input\n port tells executives what kind of data and downstream requests\n this algorithm can handle for that input.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetInputPortInformation(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputPortInformation */
    if ( strcmp ( argv[2], "GetOutputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPortInformation */
    Tcl_DStringAppendElement ( &dString, " Get the information object associated with an output port.  There\n is one output port per output from the algorithm.  Each output\n port tells executives what kind of upstream requests this\n algorithm can handle for that output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetOutputPortInformation(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetOutputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInformation */
    if ( strcmp ( argv[2], "GetInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInformation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the information object associated with this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInformation */
    if ( strcmp ( argv[2], "SetInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInformation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the information object associated with this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInformation(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfInputPorts */
    if ( strcmp ( argv[2], "GetNumberOfInputPorts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputPorts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfInputPorts */
    Tcl_DStringAppendElement ( &dString, " Get the number of input ports used by the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfInputPorts();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetNumberOfInputPorts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfOutputPorts */
    if ( strcmp ( argv[2], "GetNumberOfOutputPorts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputPorts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfOutputPorts */
    Tcl_DStringAppendElement ( &dString, " Get the number of output ports provided by the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfOutputPorts();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetNumberOfOutputPorts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, " Participate in garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Participate in garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAbortExecute */
    if ( strcmp ( argv[2], "SetAbortExecute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbortExecute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbortExecute */
    Tcl_DStringAppendElement ( &dString, " Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbortExecute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetAbortExecute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbortExecute */
    if ( strcmp ( argv[2], "GetAbortExecute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbortExecute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbortExecute */
    Tcl_DStringAppendElement ( &dString, " Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAbortExecute();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetAbortExecute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AbortExecuteOn */
    if ( strcmp ( argv[2], "AbortExecuteOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AbortExecuteOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AbortExecuteOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n" );
    Tcl_DStringAppendElement ( &dString, "void AbortExecuteOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for AbortExecuteOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AbortExecuteOff */
    if ( strcmp ( argv[2], "AbortExecuteOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AbortExecuteOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AbortExecuteOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n" );
    Tcl_DStringAppendElement ( &dString, "void AbortExecuteOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for AbortExecuteOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProgress */
    if ( strcmp ( argv[2], "SetProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProgress */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProgress(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgressMinValue */
    if ( strcmp ( argv[2], "GetProgressMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgressMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgressMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProgressMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetProgressMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgressMaxValue */
    if ( strcmp ( argv[2], "GetProgressMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgressMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgressMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProgressMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetProgressMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgress */
    if ( strcmp ( argv[2], "GetProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgress */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProgress();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateProgress */
    if ( strcmp ( argv[2], "UpdateProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateProgress */
    Tcl_DStringAppendElement ( &dString, " Update the progress of the process object. If a ProgressMethod exists,\n executes it.  Then set the Progress ivar to amount. The parameter amount\n should range between (0,1).\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateProgress(double amount);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for UpdateProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProgressText */
    if ( strcmp ( argv[2], "SetProgressText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProgressText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProgressText */
    Tcl_DStringAppendElement ( &dString, " Set the current text message associated with the progress state.\n This may be used by a calling process/GUI.\n Note: Because SetProgressText() is called from inside RequestData()\n it does not modify the algorithm object. Algorithms are not\n allowed to modify themselves from inside RequestData().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProgressText(const char *ptext);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetProgressText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgressText */
    if ( strcmp ( argv[2], "GetProgressText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgressText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgressText */
    Tcl_DStringAppendElement ( &dString, " Set the current text message associated with the progress state.\n This may be used by a calling process/GUI.\n Note: Because SetProgressText() is called from inside RequestData()\n it does not modify the algorithm object. Algorithms are not\n allowed to modify themselves from inside RequestData().\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetProgressText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetProgressText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorCode */
    if ( strcmp ( argv[2], "GetErrorCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorCode */
    Tcl_DStringAppendElement ( &dString, " The error code contains a possible error that occured while\n reading or writing the file.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetErrorCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetErrorCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArrayToProcess */
    if ( strcmp ( argv[2], "SetInputArrayToProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayToProcess */
    Tcl_DStringAppendElement ( &dString, " Set the input data arrays that this algorithm will\n process. Specifically the idx array that this algorithm will process\n (starting from 0) is the array on port, connection with the specified\n association and name or attribute type (such as SCALARS). The\n fieldAssociation refers to which field in the data object the array is\n stored. See vtkDataObject::FieldAssociations for detail.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputArrayToProcess(int idx, int port, int connection, int fieldAssociation, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetInputArrayToProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArrayToProcess */
    if ( strcmp ( argv[2], "SetInputArrayToProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayToProcess */
    Tcl_DStringAppendElement ( &dString, " Set the input data arrays that this algorithm will\n process. Specifically the idx array that this algorithm will process\n (starting from 0) is the array on port, connection with the specified\n association and name or attribute type (such as SCALARS). The\n fieldAssociation refers to which field in the data object the array is\n stored. See vtkDataObject::FieldAssociations for detail.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputArrayToProcess(int idx, int port, int connection, int fieldAssociation, int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetInputArrayToProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArrayToProcess */
    if ( strcmp ( argv[2], "SetInputArrayToProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayToProcess */
    Tcl_DStringAppendElement ( &dString, " Set the input data arrays that this algorithm will\n process. Specifically the idx array that this algorithm will process\n (starting from 0) is the array on port, connection with the specified\n association and name or attribute type (such as SCALARS). The\n fieldAssociation refers to which field in the data object the array is\n stored. See vtkDataObject::FieldAssociations for detail.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputArrayToProcess(int idx, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetInputArrayToProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArrayToProcess */
    if ( strcmp ( argv[2], "SetInputArrayToProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayToProcess */
    Tcl_DStringAppendElement ( &dString, " String based versions of SetInputArrayToProcess(). Because\n fieldAssociation and fieldAttributeType are enums, they cannot be\n easily accessed from scripting language. These methods provides an\n easy and safe way of passing association and attribute type\n information. Field association is one of the following:\n @verbatim\n vtkDataObject::FIELD_ASSOCIATION_POINTS\n vtkDataObject::FIELD_ASSOCIATION_CELLS\n vtkDataObject::FIELD_ASSOCIATION_NONE\n vtkDataObject::FIELD_ASSO ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputArrayToProcess(int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetInputArrayToProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputArrayInformation */
    if ( strcmp ( argv[2], "GetInputArrayInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputArrayInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputArrayInformation */
    Tcl_DStringAppendElement ( &dString, " Get the info object for the specified input array to this algorithm\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetInputArrayInformation(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetInputArrayInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllInputs */
    if ( strcmp ( argv[2], "RemoveAllInputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllInputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllInputs */
    Tcl_DStringAppendElement ( &dString, " Remove all the input data.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllInputs();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for RemoveAllInputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputDataObject */
    if ( strcmp ( argv[2], "GetOutputDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDataObject */
    Tcl_DStringAppendElement ( &dString, " Get the data object that will contain the algorithm output for\n the given port.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetOutputDataObject(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetOutputDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputDataObject */
    if ( strcmp ( argv[2], "GetInputDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputDataObject */
    Tcl_DStringAppendElement ( &dString, " Get the data object that will contain the algorithm input for the given\n port and given connection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInputDataObject(int port, int connection);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetInputDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set the connection for the given input port index.  Each input\n port of a filter has a specific purpose.  A port may have zero or\n more connections and the required number is specified by each\n filter.  Setting the connection with this method removes all\n other connections from the port.  To add more than one connection\n use AddInputConnection().\n\n The input for the connection is the output port of another\n filter, which is obtained with GetOutputPort().  Typical us ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection(int port, vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set the connection for the given input port index.  Each input\n port of a filter has a specific purpose.  A port may have zero or\n more connections and the required number is specified by each\n filter.  Setting the connection with this method removes all\n other connections from the port.  To add more than one connection\n use AddInputConnection().\n\n The input for the connection is the output port of another\n filter, which is obtained with GetOutputPort().  Typical us ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection(vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInputConnection */
    if ( strcmp ( argv[2], "AddInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputConnection */
    Tcl_DStringAppendElement ( &dString, " Add a connection to the given input port index.  See\n SetInputConnection() for details on input connections.  This\n method is the complement to RemoveInputConnection() in that it\n adds only the connection specified without affecting other\n connections.  Typical usage is\n\n   filter2->AddInputConnection(0, filter1->GetOutputPort(0)).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddInputConnection(int port, vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for AddInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInputConnection */
    if ( strcmp ( argv[2], "AddInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputConnection */
    Tcl_DStringAppendElement ( &dString, " Add a connection to the given input port index.  See\n SetInputConnection() for details on input connections.  This\n method is the complement to RemoveInputConnection() in that it\n adds only the connection specified without affecting other\n connections.  Typical usage is\n\n   filter2->AddInputConnection(0, filter1->GetOutputPort(0)).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddInputConnection(vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for AddInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveInputConnection */
    if ( strcmp ( argv[2], "RemoveInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveInputConnection */
    Tcl_DStringAppendElement ( &dString, " Remove a connection from the given input port index.  See\n SetInputConnection() for details on input connection.  This\n method is the complement to AddInputConnection() in that it\n removes only the connection specified without affecting other\n connections.  Typical usage is\n\n   filter2->RemoveInputConnection(0, filter1->GetOutputPort(0)).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveInputConnection(int port, vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for RemoveInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputPort */
    if ( strcmp ( argv[2], "GetOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPort */
    Tcl_DStringAppendElement ( &dString, " Get a proxy object corresponding to the given output port of this\n algorithm.  The proxy object can be passed to another algorithm's\n SetInputConnection(), AddInputConnection(), and\n RemoveInputConnection() methods to modify pipeline connectivity.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput *GetOutputPort(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputPort */
    if ( strcmp ( argv[2], "GetOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPort */
    Tcl_DStringAppendElement ( &dString, " Get a proxy object corresponding to the given output port of this\n algorithm.  The proxy object can be passed to another algorithm's\n SetInputConnection(), AddInputConnection(), and\n RemoveInputConnection() methods to modify pipeline connectivity.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput *GetOutputPort();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfInputConnections */
    if ( strcmp ( argv[2], "GetNumberOfInputConnections" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputConnections" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfInputConnections */
    Tcl_DStringAppendElement ( &dString, " Get the number of inputs currently connected to a port.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfInputConnections(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetNumberOfInputConnections */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfInputConnections */
    if ( strcmp ( argv[2], "GetTotalNumberOfInputConnections" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfInputConnections" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfInputConnections */
    Tcl_DStringAppendElement ( &dString, " Get the total number of inputs for this algorithm\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTotalNumberOfInputConnections();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetTotalNumberOfInputConnections */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputConnection */
    if ( strcmp ( argv[2], "GetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Get the algorithm output port connected to an input port.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput *GetInputConnection(int port, int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring this algorithm's outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateInformation */
    if ( strcmp ( argv[2], "UpdateInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateInformation */
    Tcl_DStringAppendElement ( &dString, " Backward compatibility method to invoke UpdateInformation on executive.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for UpdateInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateWholeExtent */
    if ( strcmp ( argv[2], "UpdateWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Bring this algorithm's outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateWholeExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for UpdateWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReleaseDataFlag */
    if ( strcmp ( argv[2], "SetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn release data flag on or off for all output ports.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReleaseDataFlag(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReleaseDataFlag */
    if ( strcmp ( argv[2], "GetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn release data flag on or off for all output ports.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReleaseDataFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for GetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataFlagOn */
    if ( strcmp ( argv[2], "ReleaseDataFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataFlagOn */
    Tcl_DStringAppendElement ( &dString, " Turn release data flag on or off for all output ports.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataFlagOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for ReleaseDataFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataFlagOff */
    if ( strcmp ( argv[2], "ReleaseDataFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataFlagOff */
    Tcl_DStringAppendElement ( &dString, " Turn release data flag on or off for all output ports.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataFlagOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for ReleaseDataFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateExtentIsEmpty */
    if ( strcmp ( argv[2], "UpdateExtentIsEmpty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateExtentIsEmpty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateExtentIsEmpty */
    Tcl_DStringAppendElement ( &dString, " This detects when the UpdateExtent will generate no data\n This condition is satisfied when the UpdateExtent has\n zero volume (0,-1,...) or the UpdateNumberOfPieces is 0.\n The source uses this call to determine whether to call Execute.\n" );
    Tcl_DStringAppendElement ( &dString, "int UpdateExtentIsEmpty(vtkDataObject *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for UpdateExtentIsEmpty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateExtentIsEmpty */
    if ( strcmp ( argv[2], "UpdateExtentIsEmpty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateExtentIsEmpty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateExtentIsEmpty */
    Tcl_DStringAppendElement ( &dString, " This detects when the UpdateExtent will generate no data\n This condition is satisfied when the UpdateExtent has\n zero volume (0,-1,...) or the UpdateNumberOfPieces is 0.\n The source uses this call to determine whether to call Execute.\n" );
    Tcl_DStringAppendElement ( &dString, "int UpdateExtentIsEmpty(vtkInformation *pinfo, int extentType);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for UpdateExtentIsEmpty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultExecutivePrototype */
    if ( strcmp ( argv[2], "SetDefaultExecutivePrototype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultExecutivePrototype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultExecutivePrototype */
    Tcl_DStringAppendElement ( &dString, " If the DefaultExecutivePrototype is set, a copy of it is created\n in CreateDefaultExecutive() using NewInstance().\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetDefaultExecutivePrototype(vtkExecutive *proto);" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for SetDefaultExecutivePrototype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputePriority */
    if ( strcmp ( argv[2], "ComputePriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputePriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputePriority */
    Tcl_DStringAppendElement ( &dString, " Returns the priority of the piece described by the current update\n extent. The priority is a number between 0.0 and 1.0 with 0 meaning\n skippable (REQUEST_DATA not needed) and 1.0 meaning important.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double ComputePriority();" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm" );
    /* Closing for ComputePriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
