// tcl wrapper for vtkColorTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkColorTransferFunction.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkColorTransferFunctionNewCommand()
{
  vtkColorTransferFunction *temp = vtkColorTransferFunction::New();
  return static_cast<ClientData>(temp);
}

int vtkScalarsToColorsCppCommand(vtkScalarsToColors *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkColorTransferFunctionCppCommand(vtkColorTransferFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkColorTransferFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkColorTransferFunctionCppCommand(static_cast<vtkColorTransferFunction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkColorTransferFunctionCppCommand(vtkColorTransferFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkColorTransferFunction",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkScalarsToColorsCppCommand(static_cast<vtkScalarsToColors *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkScalarsToColors"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkColorTransferFunction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkColorTransferFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkColorTransferFunction  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkColorTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkColorTransferFunction"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddRGBPoint",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->AddRGBPoint(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRGBPoint",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    temp20 = (op)->AddRGBPoint(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddHSVPoint",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->AddHSVPoint(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddHSVPoint",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    temp20 = (op)->AddHSVPoint(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePoint",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->RemovePoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRGBSegment",argv[1]))&&(argc == 10))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    double   temp7;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (!error)
    {
    op->AddRGBSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddHSVSegment",argv[1]))&&(argc == 10))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    double   temp7;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (!error)
    {
    op->AddHSVSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllPoints",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetColor(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRedValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetRedValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGreenValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetGreenValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlueValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetBlueValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("AdjustRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    temp20 = (op)->AdjustRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClamping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClamping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetClampingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetClamping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClamping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOn",argv[1]))&&(argc == 2))
    {
    op->ClampingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOff",argv[1]))&&(argc == 2))
    {
    op->ClampingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSpace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorSpace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorSpaceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorSpaceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorSpaceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorSpaceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSpaceToRGB",argv[1]))&&(argc == 2))
    {
    op->SetColorSpaceToRGB();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSpaceToHSV",argv[1]))&&(argc == 2))
    {
    op->SetColorSpaceToHSV();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSpaceToLab",argv[1]))&&(argc == 2))
    {
    op->SetColorSpaceToLab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSpaceToDiverging",argv[1]))&&(argc == 2))
    {
    op->SetColorSpaceToDiverging();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorSpace",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorSpace();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHSVWrap",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHSVWrap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHSVWrap",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHSVWrap();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HSVWrapOn",argv[1]))&&(argc == 2))
    {
    op->HSVWrapOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HSVWrapOff",argv[1]))&&(argc == 2))
    {
    op->HSVWrapOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaleToLinear",argv[1]))&&(argc == 2))
    {
    op->SetScaleToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleToLog10",argv[1]))&&(argc == 2))
    {
    op->SetScaleToLog10();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScale",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNanColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNanColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNanColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNanColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNanColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNanColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAllowDuplicateScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllowDuplicateScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowDuplicateScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllowDuplicateScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowDuplicateScalarsOn",argv[1]))&&(argc == 2))
    {
    op->AllowDuplicateScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowDuplicateScalarsOff",argv[1]))&&(argc == 2))
    {
    op->AllowDuplicateScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfAvailableColors",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfAvailableColors();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkColorTransferFunctionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkScalarsToColorsCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkColorTransferFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  AddRGBPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddRGBPoint\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  AddHSVPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddHSVPoint\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  RemovePoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddRGBSegment\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  AddHSVSegment\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRedValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGreenValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlueValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  AdjustRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClamping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetClampingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetClamping\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSpace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorSpaceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetColorSpaceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSpaceToRGB\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSpaceToHSV\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSpaceToLab\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSpaceToDiverging\n",NULL);
    Tcl_AppendResult(interp,"  GetColorSpace\n",NULL);
    Tcl_AppendResult(interp,"  SetHSVWrap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHSVWrap\n",NULL);
    Tcl_AppendResult(interp,"  HSVWrapOn\n",NULL);
    Tcl_AppendResult(interp,"  HSVWrapOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleToLog10\n",NULL);
    Tcl_AppendResult(interp,"  GetScale\n",NULL);
    Tcl_AppendResult(interp,"  SetNanColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNanColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNanColor\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowDuplicateScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowDuplicateScalars\n",NULL);
    Tcl_AppendResult(interp,"  AllowDuplicateScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowDuplicateScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAvailableColors\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkScalarsToColorsCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "AddRGBPoint" );
    Tcl_DStringAppendElement ( &dString, "AddRGBPoint" );
    Tcl_DStringAppendElement ( &dString, "AddHSVPoint" );
    Tcl_DStringAppendElement ( &dString, "AddHSVPoint" );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    Tcl_DStringAppendElement ( &dString, "AddRGBSegment" );
    Tcl_DStringAppendElement ( &dString, "AddHSVSegment" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "GetRedValue" );
    Tcl_DStringAppendElement ( &dString, "GetGreenValue" );
    Tcl_DStringAppendElement ( &dString, "GetBlueValue" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "AdjustRange" );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    Tcl_DStringAppendElement ( &dString, "GetClampingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetClampingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    Tcl_DStringAppendElement ( &dString, "SetColorSpace" );
    Tcl_DStringAppendElement ( &dString, "GetColorSpaceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetColorSpaceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToRGB" );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToHSV" );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToLab" );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToDiverging" );
    Tcl_DStringAppendElement ( &dString, "GetColorSpace" );
    Tcl_DStringAppendElement ( &dString, "SetHSVWrap" );
    Tcl_DStringAppendElement ( &dString, "GetHSVWrap" );
    Tcl_DStringAppendElement ( &dString, "HSVWrapOn" );
    Tcl_DStringAppendElement ( &dString, "HSVWrapOff" );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLog10" );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    Tcl_DStringAppendElement ( &dString, "GetNanColor" );
    Tcl_DStringAppendElement ( &dString, "SetAllowDuplicateScalars" );
    Tcl_DStringAppendElement ( &dString, "GetAllowDuplicateScalars" );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAvailableColors" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkScalarsToColorsCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkColorTransferFunction *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkScalarsToColors *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkColorTransferFunction *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " How many points are there defining this function?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRGBPoint */
    if ( strcmp ( argv[2], "AddRGBPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRGBPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRGBPoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n See the description of class vtkPiecewiseFunction for an explanation of\n midpoint and sharpness.\n" );
    Tcl_DStringAppendElement ( &dString, "int AddRGBPoint(double x, double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AddRGBPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRGBPoint */
    if ( strcmp ( argv[2], "AddRGBPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRGBPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRGBPoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n See the description of class vtkPiecewiseFunction for an explanation of\n midpoint and sharpness.\n" );
    Tcl_DStringAppendElement ( &dString, "int AddRGBPoint(double x, double r, double g, double b, double midpoint, double sharpness);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AddRGBPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddHSVPoint */
    if ( strcmp ( argv[2], "AddHSVPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddHSVPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddHSVPoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n See the description of class vtkPiecewiseFunction for an explanation of\n midpoint and sharpness.\n" );
    Tcl_DStringAppendElement ( &dString, "int AddHSVPoint(double x, double h, double s, double v);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AddHSVPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddHSVPoint */
    if ( strcmp ( argv[2], "AddHSVPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddHSVPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddHSVPoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n See the description of class vtkPiecewiseFunction for an explanation of\n midpoint and sharpness.\n" );
    Tcl_DStringAppendElement ( &dString, "int AddHSVPoint(double x, double h, double s, double v, double midpoint, double sharpness);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AddHSVPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemovePoint */
    if ( strcmp ( argv[2], "RemovePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n See the description of class vtkPiecewiseFunction for an explanation of\n midpoint and sharpness.\n" );
    Tcl_DStringAppendElement ( &dString, "int RemovePoint(double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for RemovePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRGBSegment */
    if ( strcmp ( argv[2], "AddRGBSegment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRGBSegment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRGBSegment */
    Tcl_DStringAppendElement ( &dString, " Add two points to the function and remove all the points \n between them\n" );
    Tcl_DStringAppendElement ( &dString, "void AddRGBSegment(double x1, double r1, double g1, double b1, double x2, double r2, double g2, double b2);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AddRGBSegment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddHSVSegment */
    if ( strcmp ( argv[2], "AddHSVSegment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddHSVSegment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddHSVSegment */
    Tcl_DStringAppendElement ( &dString, " Add two points to the function and remove all the points \n between them\n" );
    Tcl_DStringAppendElement ( &dString, "void AddHSVSegment(double x1, double h1, double s1, double v1, double x2, double h2, double s2, double v2);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AddHSVSegment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllPoints */
    if ( strcmp ( argv[2], "RemoveAllPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllPoints */
    Tcl_DStringAppendElement ( &dString, " Remove all points\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for RemoveAllPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " Returns an RGB color for the specified scalar value \n" );
    Tcl_DStringAppendElement ( &dString, "double *GetColor(double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRedValue */
    if ( strcmp ( argv[2], "GetRedValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRedValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRedValue */
    Tcl_DStringAppendElement ( &dString, " Get the color components individually.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRedValue(double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetRedValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGreenValue */
    if ( strcmp ( argv[2], "GetGreenValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGreenValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGreenValue */
    Tcl_DStringAppendElement ( &dString, " Get the color components individually.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGreenValue(double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetGreenValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlueValue */
    if ( strcmp ( argv[2], "GetBlueValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlueValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlueValue */
    Tcl_DStringAppendElement ( &dString, " Get the color components individually.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBlueValue(double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetBlueValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdjustRange */
    if ( strcmp ( argv[2], "AdjustRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustRange */
    Tcl_DStringAppendElement ( &dString, " Remove all points out of the new range, and make sure there is a point\n at each end of that range.\n Return 1 on success, 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "int AdjustRange(double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AdjustRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClamping */
    if ( strcmp ( argv[2], "SetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClamping */
    Tcl_DStringAppendElement ( &dString, " Sets and gets the clamping value for this transfer function.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClamping(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClampingMinValue */
    if ( strcmp ( argv[2], "GetClampingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClampingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClampingMinValue */
    Tcl_DStringAppendElement ( &dString, " Sets and gets the clamping value for this transfer function.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClampingMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetClampingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClampingMaxValue */
    if ( strcmp ( argv[2], "GetClampingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClampingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClampingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Sets and gets the clamping value for this transfer function.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClampingMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetClampingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClamping */
    if ( strcmp ( argv[2], "GetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClamping */
    Tcl_DStringAppendElement ( &dString, " Sets and gets the clamping value for this transfer function.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClamping();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOn */
    if ( strcmp ( argv[2], "ClampingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOn */
    Tcl_DStringAppendElement ( &dString, " Sets and gets the clamping value for this transfer function.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for ClampingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOff */
    if ( strcmp ( argv[2], "ClampingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOff */
    Tcl_DStringAppendElement ( &dString, " Sets and gets the clamping value for this transfer function.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for ClampingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorSpace */
    if ( strcmp ( argv[2], "SetColorSpace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorSpace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorSpace */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorSpace(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetColorSpace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorSpaceMinValue */
    if ( strcmp ( argv[2], "GetColorSpaceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorSpaceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorSpaceMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorSpaceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetColorSpaceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorSpaceMaxValue */
    if ( strcmp ( argv[2], "GetColorSpaceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorSpaceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorSpaceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorSpaceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetColorSpaceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorSpaceToRGB */
    if ( strcmp ( argv[2], "SetColorSpaceToRGB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToRGB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorSpaceToRGB */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorSpaceToRGB();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetColorSpaceToRGB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorSpaceToHSV */
    if ( strcmp ( argv[2], "SetColorSpaceToHSV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToHSV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorSpaceToHSV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorSpaceToHSV();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetColorSpaceToHSV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorSpaceToLab */
    if ( strcmp ( argv[2], "SetColorSpaceToLab" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToLab" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorSpaceToLab */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorSpaceToLab();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetColorSpaceToLab */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorSpaceToDiverging */
    if ( strcmp ( argv[2], "SetColorSpaceToDiverging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorSpaceToDiverging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorSpaceToDiverging */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorSpaceToDiverging();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetColorSpaceToDiverging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorSpace */
    if ( strcmp ( argv[2], "GetColorSpace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorSpace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorSpace */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorSpace();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetColorSpace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHSVWrap */
    if ( strcmp ( argv[2], "SetHSVWrap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHSVWrap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHSVWrap */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHSVWrap(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetHSVWrap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHSVWrap */
    if ( strcmp ( argv[2], "GetHSVWrap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHSVWrap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHSVWrap */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHSVWrap();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetHSVWrap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HSVWrapOn */
    if ( strcmp ( argv[2], "HSVWrapOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HSVWrapOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HSVWrapOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void HSVWrapOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for HSVWrapOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HSVWrapOff */
    if ( strcmp ( argv[2], "HSVWrapOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HSVWrapOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HSVWrapOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void HSVWrapOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for HSVWrapOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScale(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleToLinear */
    if ( strcmp ( argv[2], "SetScaleToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleToLinear */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetScaleToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleToLog10 */
    if ( strcmp ( argv[2], "SetScaleToLog10" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLog10" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleToLog10 */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleToLog10();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetScaleToLog10 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale */
    if ( strcmp ( argv[2], "GetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNanColor */
    if ( strcmp ( argv[2], "SetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNanColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNanColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNanColor */
    if ( strcmp ( argv[2], "SetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNanColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNanColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNanColor */
    if ( strcmp ( argv[2], "GetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNanColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetNanColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllowDuplicateScalars */
    if ( strcmp ( argv[2], "SetAllowDuplicateScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllowDuplicateScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllowDuplicateScalars */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllowDuplicateScalars(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for SetAllowDuplicateScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllowDuplicateScalars */
    if ( strcmp ( argv[2], "GetAllowDuplicateScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllowDuplicateScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllowDuplicateScalars */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllowDuplicateScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetAllowDuplicateScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowDuplicateScalarsOn */
    if ( strcmp ( argv[2], "AllowDuplicateScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowDuplicateScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowDuplicateScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AllowDuplicateScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowDuplicateScalarsOff */
    if ( strcmp ( argv[2], "AllowDuplicateScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowDuplicateScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowDuplicateScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for AllowDuplicateScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAvailableColors */
    if ( strcmp ( argv[2], "GetNumberOfAvailableColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAvailableColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAvailableColors */
    Tcl_DStringAppendElement ( &dString, " Get the number of available colors for mapping to.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfAvailableColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    /* Closing for GetNumberOfAvailableColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkScalarsToColorsCppCommand(static_cast<vtkScalarsToColors *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
