// tcl wrapper for vtkCoordinate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCoordinate.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCoordinateNewCommand()
{
  vtkCoordinate *temp = vtkCoordinate::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCoordinateCppCommand(vtkCoordinate *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCoordinateCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCoordinateCppCommand(static_cast<vtkCoordinate *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCoordinateCppCommand(vtkCoordinate *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCoordinate",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCoordinate  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateSystem",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCoordinateSystem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCoordinateSystem",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCoordinateSystem();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateSystemToDisplay",argv[1]))&&(argc == 2))
    {
    op->SetCoordinateSystemToDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateSystemToNormalizedDisplay",argv[1]))&&(argc == 2))
    {
    op->SetCoordinateSystemToNormalizedDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateSystemToViewport",argv[1]))&&(argc == 2))
    {
    op->SetCoordinateSystemToViewport();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateSystemToNormalizedViewport",argv[1]))&&(argc == 2))
    {
    op->SetCoordinateSystemToNormalizedViewport();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateSystemToView",argv[1]))&&(argc == 2))
    {
    op->SetCoordinateSystemToView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateSystemToWorld",argv[1]))&&(argc == 2))
    {
    op->SetCoordinateSystemToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCoordinateSystemAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCoordinateSystemAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetValue(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetValue();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReferenceCoordinate",argv[1]))&&(argc == 3))
    {
    vtkCoordinate  *temp0;
    error = 0;

    temp0 = (vtkCoordinate *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCoordinate"),interp,error));
    if (!error)
    {
    op->SetReferenceCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReferenceCoordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetReferenceCoordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->SetViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewport",argv[1]))&&(argc == 2))
    {
    vtkViewport  *temp20;
    temp20 = (op)->GetViewport();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewport");
    return TCL_OK;
    }
  if ((!strcmp("GetComputedWorldValue",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    double  *temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetComputedWorldValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputedViewportValue",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int     *temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetComputedViewportValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputedDisplayValue",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int     *temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetComputedDisplayValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputedLocalDisplayValue",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int     *temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetComputedLocalDisplayValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputedDoubleViewportValue",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    double  *temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetComputedDoubleViewportValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputedDoubleDisplayValue",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    double  *temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetComputedDoubleDisplayValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCoordinateCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCoordinate:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateSystem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCoordinateSystem\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateSystemToDisplay\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateSystemToNormalizedDisplay\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateSystemToViewport\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateSystemToNormalizedViewport\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateSystemToView\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateSystemToWorld\n",NULL);
    Tcl_AppendResult(interp,"  GetCoordinateSystemAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetReferenceCoordinate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReferenceCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewport\n",NULL);
    Tcl_AppendResult(interp,"  GetComputedWorldValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputedViewportValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputedDisplayValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputedLocalDisplayValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputedDoubleViewportValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputedDoubleDisplayValue\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "GetCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToDisplay" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToNormalizedDisplay" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToViewport" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToNormalizedViewport" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToView" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToWorld" );
    Tcl_DStringAppendElement ( &dString, "GetCoordinateSystemAsString" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "SetReferenceCoordinate" );
    Tcl_DStringAppendElement ( &dString, "GetReferenceCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    Tcl_DStringAppendElement ( &dString, "GetComputedWorldValue" );
    Tcl_DStringAppendElement ( &dString, "GetComputedViewportValue" );
    Tcl_DStringAppendElement ( &dString, "GetComputedDisplayValue" );
    Tcl_DStringAppendElement ( &dString, "GetComputedLocalDisplayValue" );
    Tcl_DStringAppendElement ( &dString, "GetComputedDoubleViewportValue" );
    Tcl_DStringAppendElement ( &dString, "GetComputedDoubleDisplayValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates an instance of this class with the following defaults: \n value of  (0,0,0) in world  coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCoordinate *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateSystem */
    if ( strcmp ( argv[2], "SetCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateSystem(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoordinateSystem */
    if ( strcmp ( argv[2], "GetCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCoordinateSystem();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateSystemToDisplay */
    if ( strcmp ( argv[2], "SetCoordinateSystemToDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateSystemToDisplay */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateSystemToDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetCoordinateSystemToDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateSystemToNormalizedDisplay */
    if ( strcmp ( argv[2], "SetCoordinateSystemToNormalizedDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToNormalizedDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateSystemToNormalizedDisplay */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateSystemToNormalizedDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetCoordinateSystemToNormalizedDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateSystemToViewport */
    if ( strcmp ( argv[2], "SetCoordinateSystemToViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateSystemToViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateSystemToViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetCoordinateSystemToViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateSystemToNormalizedViewport */
    if ( strcmp ( argv[2], "SetCoordinateSystemToNormalizedViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToNormalizedViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateSystemToNormalizedViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateSystemToNormalizedViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetCoordinateSystemToNormalizedViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateSystemToView */
    if ( strcmp ( argv[2], "SetCoordinateSystemToView" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToView" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateSystemToView */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateSystemToView();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetCoordinateSystemToView */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateSystemToWorld */
    if ( strcmp ( argv[2], "SetCoordinateSystemToWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateSystemToWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateSystemToWorld */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateSystemToWorld();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetCoordinateSystemToWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoordinateSystemAsString */
    if ( strcmp ( argv[2], "GetCoordinateSystemAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoordinateSystemAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoordinateSystemAsString */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCoordinateSystemAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetCoordinateSystemAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetValue(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetValue(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the value of this coordinate. This can be thought of as\n the position of this coordinate in its coordinate system.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValue(double a, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReferenceCoordinate */
    if ( strcmp ( argv[2], "SetReferenceCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReferenceCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReferenceCoordinate */
    Tcl_DStringAppendElement ( &dString, " If this coordinate is relative to another coordinate,\n then specify that coordinate as the ReferenceCoordinate.\n If this is NULL the coordinate is assumed to be absolute.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReferenceCoordinate(vtkCoordinate *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetReferenceCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReferenceCoordinate */
    if ( strcmp ( argv[2], "GetReferenceCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReferenceCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReferenceCoordinate */
    Tcl_DStringAppendElement ( &dString, " If this coordinate is relative to another coordinate,\n then specify that coordinate as the ReferenceCoordinate.\n If this is NULL the coordinate is assumed to be absolute.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetReferenceCoordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetReferenceCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewport */
    if ( strcmp ( argv[2], "SetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewport */
    Tcl_DStringAppendElement ( &dString, " If you want this coordinate to be relative to a specific\n vtkViewport (vtkRenderer) then you can specify\n that here.\n NOTE: this is a raw pointer, not a weak pointer not a reference counted\n object to avoid reference cycle loop between rendering classes and filter\n classes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewport(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for SetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewport */
    if ( strcmp ( argv[2], "GetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewport */
    Tcl_DStringAppendElement ( &dString, " If you want this coordinate to be relative to a specific\n vtkViewport (vtkRenderer) then you can specify\n that here.\n NOTE: this is a raw pointer, not a weak pointer not a reference counted\n object to avoid reference cycle loop between rendering classes and filter\n classes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport *GetViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputedWorldValue */
    if ( strcmp ( argv[2], "GetComputedWorldValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputedWorldValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputedWorldValue */
    Tcl_DStringAppendElement ( &dString, " Return the computed value in a specified coordinate system.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetComputedWorldValue(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetComputedWorldValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputedViewportValue */
    if ( strcmp ( argv[2], "GetComputedViewportValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputedViewportValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputedViewportValue */
    Tcl_DStringAppendElement ( &dString, " Return the computed value in a specified coordinate system.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetComputedViewportValue(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetComputedViewportValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputedDisplayValue */
    if ( strcmp ( argv[2], "GetComputedDisplayValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputedDisplayValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputedDisplayValue */
    Tcl_DStringAppendElement ( &dString, " Return the computed value in a specified coordinate system.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetComputedDisplayValue(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetComputedDisplayValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputedLocalDisplayValue */
    if ( strcmp ( argv[2], "GetComputedLocalDisplayValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputedLocalDisplayValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputedLocalDisplayValue */
    Tcl_DStringAppendElement ( &dString, " Return the computed value in a specified coordinate system.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetComputedLocalDisplayValue(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetComputedLocalDisplayValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputedDoubleViewportValue */
    if ( strcmp ( argv[2], "GetComputedDoubleViewportValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputedDoubleViewportValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputedDoubleViewportValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetComputedDoubleViewportValue(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetComputedDoubleViewportValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputedDoubleDisplayValue */
    if ( strcmp ( argv[2], "GetComputedDoubleDisplayValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputedDoubleDisplayValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputedDoubleDisplayValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetComputedDoubleDisplayValue(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    /* Closing for GetComputedDoubleDisplayValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
