// tcl wrapper for vtkDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAttributes.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataSetAttributesNewCommand()
{
  vtkDataSetAttributes *temp = vtkDataSetAttributes::New();
  return static_cast<ClientData>(temp);
}

int vtkFieldDataCppCommand(vtkFieldData *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetAttributesCppCommand(vtkDataSetAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataSetAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataSetAttributesCppCommand(static_cast<vtkDataSetAttributes *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetAttributesCppCommand(vtkDataSetAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataSetAttributes",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkFieldDataCppCommand(static_cast<vtkFieldData *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkFieldData"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataSetAttributes  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFieldData"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFieldData"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalars",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetScalars(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveScalars",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveScalars(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalars",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetScalars();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetVectors",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetVectors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveVectors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectors",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetVectors();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetNormals",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetNormals(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveNormals",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveNormals(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormals",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetNormals();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetTCoords",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetTCoords(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveTCoords",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveTCoords(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoords",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetTCoords();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetTensors",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetTensors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveTensors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveTensors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensors",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetTensors();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalIds",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetGlobalIds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveGlobalIds",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveGlobalIds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalIds",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetGlobalIds();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetPedigreeIds",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetPedigreeIds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActivePedigreeIds",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActivePedigreeIds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPedigreeIds",argv[1]))&&(argc == 2))
    {
    vtkAbstractArray  *temp20;
    temp20 = (op)->GetPedigreeIds();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
  if ((!strcmp("GetScalars",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetScalars(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetVectors(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormals",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNormals(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoords",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetTCoords(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetTensors(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalIds",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetGlobalIds(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPedigreeIds",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkAbstractArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPedigreeIds(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveAttribute(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttribute",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveAttribute(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsArrayAnAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsArrayAnAttribute(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttribute(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAbstractAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAbstractArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAbstractAttribute(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeTypeAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributeTypeAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongAttributeTypeAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLongAttributeTypeAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCopyAttribute",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetCopyAttribute(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCopyScalars",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyScalars(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCopyScalars(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyScalarsOn",argv[1]))&&(argc == 2))
    {
    op->CopyScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyScalarsOff",argv[1]))&&(argc == 2))
    {
    op->CopyScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyVectors",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyVectors(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCopyVectors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyVectorsOn",argv[1]))&&(argc == 2))
    {
    op->CopyVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyVectorsOff",argv[1]))&&(argc == 2))
    {
    op->CopyVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyNormals",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyNormals(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCopyNormals(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyNormalsOn",argv[1]))&&(argc == 2))
    {
    op->CopyNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyNormalsOff",argv[1]))&&(argc == 2))
    {
    op->CopyNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyTCoords",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyTCoords(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCopyTCoords(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->CopyTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->CopyTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyTensors",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyTensors(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyTensors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCopyTensors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyTensorsOn",argv[1]))&&(argc == 2))
    {
    op->CopyTensorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyTensorsOff",argv[1]))&&(argc == 2))
    {
    op->CopyTensorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyGlobalIds",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyGlobalIds(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyGlobalIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCopyGlobalIds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyGlobalIdsOn",argv[1]))&&(argc == 2))
    {
    op->CopyGlobalIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyGlobalIdsOff",argv[1]))&&(argc == 2))
    {
    op->CopyGlobalIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyPedigreeIds",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyPedigreeIds(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyPedigreeIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCopyPedigreeIds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyPedigreeIdsOn",argv[1]))&&(argc == 2))
    {
    op->CopyPedigreeIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyPedigreeIdsOff",argv[1]))&&(argc == 2))
    {
    op->CopyPedigreeIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAllOn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->CopyAllOn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAllOff",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->CopyAllOff(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PassData",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFieldData"),interp,error));
    if (!error)
    {
    op->PassData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAllocate",argv[1]))&&(argc == 5))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyAllocate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAllocate",argv[1]))&&(argc == 6))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    int      temp3;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->CopyAllocate(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyData",argv[1]))&&(argc == 5))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyData(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyTuple",argv[1]))&&(argc == 6))
    {
    vtkAbstractArray  *temp0;
    vtkAbstractArray  *temp1;
    vtkIdType   temp2;
    vtkIdType   temp3;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    temp1 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->CopyTuple(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateAllocate",argv[1]))&&(argc == 5))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->InterpolateAllocate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateAllocate",argv[1]))&&(argc == 6))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    int      temp3;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->InterpolateAllocate(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateEdge",argv[1]))&&(argc == 7))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    vtkIdType   temp3;
    double   temp4;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateTime",argv[1]))&&(argc == 6))
    {
    vtkDataSetAttributes  *temp0;
    vtkDataSetAttributes  *temp1;
    vtkIdType   temp2;
    double   temp3;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    temp1 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSetAttributes"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->InterpolateTime(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataSetAttributesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFieldDataCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetAttributes:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalars\n",NULL);
    Tcl_AppendResult(interp,"  SetVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectors\n",NULL);
    Tcl_AppendResult(interp,"  SetNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormals\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensors\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveGlobalIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalIds\n",NULL);
    Tcl_AppendResult(interp,"  SetPedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActivePedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeIds\n",NULL);
    Tcl_AppendResult(interp,"  GetScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsArrayAnAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAbstractAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeTypeAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLongAttributeTypeAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyAttribute\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyScalars\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyVectors\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyNormals\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyTCoords\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyTensors\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyTensorsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyTensorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyGlobalIds\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyGlobalIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyGlobalIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyGlobalIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyPedigreeIds\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyPedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyPedigreeIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyPedigreeIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllOn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllOff\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PassData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllocate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllocate\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyData\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyTuple\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateAllocate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateAllocate\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateEdge\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateTime\t with 4 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkFieldDataCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "SetScalars" );
    Tcl_DStringAppendElement ( &dString, "SetActiveScalars" );
    Tcl_DStringAppendElement ( &dString, "GetScalars" );
    Tcl_DStringAppendElement ( &dString, "SetVectors" );
    Tcl_DStringAppendElement ( &dString, "SetActiveVectors" );
    Tcl_DStringAppendElement ( &dString, "GetVectors" );
    Tcl_DStringAppendElement ( &dString, "SetNormals" );
    Tcl_DStringAppendElement ( &dString, "SetActiveNormals" );
    Tcl_DStringAppendElement ( &dString, "GetNormals" );
    Tcl_DStringAppendElement ( &dString, "SetTCoords" );
    Tcl_DStringAppendElement ( &dString, "SetActiveTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetTCoords" );
    Tcl_DStringAppendElement ( &dString, "SetTensors" );
    Tcl_DStringAppendElement ( &dString, "SetActiveTensors" );
    Tcl_DStringAppendElement ( &dString, "GetTensors" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalIds" );
    Tcl_DStringAppendElement ( &dString, "SetActiveGlobalIds" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalIds" );
    Tcl_DStringAppendElement ( &dString, "SetPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "SetActivePedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GetScalars" );
    Tcl_DStringAppendElement ( &dString, "GetVectors" );
    Tcl_DStringAppendElement ( &dString, "GetNormals" );
    Tcl_DStringAppendElement ( &dString, "GetTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetTensors" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalIds" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    Tcl_DStringAppendElement ( &dString, "IsArrayAnAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetAbstractAttribute" );
    Tcl_DStringAppendElement ( &dString, "RemoveArray" );
    Tcl_DStringAppendElement ( &dString, "RemoveArray" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "GetLongAttributeTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetCopyAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetCopyScalars" );
    Tcl_DStringAppendElement ( &dString, "GetCopyScalars" );
    Tcl_DStringAppendElement ( &dString, "CopyScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCopyVectors" );
    Tcl_DStringAppendElement ( &dString, "GetCopyVectors" );
    Tcl_DStringAppendElement ( &dString, "CopyVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCopyNormals" );
    Tcl_DStringAppendElement ( &dString, "GetCopyNormals" );
    Tcl_DStringAppendElement ( &dString, "CopyNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCopyTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetCopyTCoords" );
    Tcl_DStringAppendElement ( &dString, "CopyTCoordsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyTCoordsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCopyTensors" );
    Tcl_DStringAppendElement ( &dString, "GetCopyTensors" );
    Tcl_DStringAppendElement ( &dString, "CopyTensorsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyTensorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCopyGlobalIds" );
    Tcl_DStringAppendElement ( &dString, "GetCopyGlobalIds" );
    Tcl_DStringAppendElement ( &dString, "CopyGlobalIdsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyGlobalIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCopyPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GetCopyPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "CopyPedigreeIdsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyPedigreeIdsOff" );
    Tcl_DStringAppendElement ( &dString, "CopyAllOn" );
    Tcl_DStringAppendElement ( &dString, "CopyAllOff" );
    Tcl_DStringAppendElement ( &dString, "PassData" );
    Tcl_DStringAppendElement ( &dString, "CopyAllocate" );
    Tcl_DStringAppendElement ( &dString, "CopyAllocate" );
    Tcl_DStringAppendElement ( &dString, "CopyData" );
    Tcl_DStringAppendElement ( &dString, "CopyTuple" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAllocate" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAllocate" );
    Tcl_DStringAppendElement ( &dString, "InterpolateEdge" );
    Tcl_DStringAppendElement ( &dString, "InterpolateTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkFieldDataCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with copying turned on for all data.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetAttributes *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize all of the object's data to NULL\n Also, clear the copy flags.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Attributes have a chance to bring themselves up to date; right\n now this is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copy of data (i.e., create new data arrays and\n copy from input data). \n Ignores the copy flags but preserves them in the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkFieldData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of data (i.e., use reference counting).\n Ignores the copy flags but preserves them in the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkFieldData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalars */
    if ( strcmp ( argv[2], "SetScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetScalars(vtkDataArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveScalars */
    if ( strcmp ( argv[2], "SetActiveScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveScalars(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalars */
    if ( strcmp ( argv[2], "GetScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectors */
    if ( strcmp ( argv[2], "SetVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vector data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetVectors(vtkDataArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveVectors */
    if ( strcmp ( argv[2], "SetActiveVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveVectors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vector data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveVectors(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectors */
    if ( strcmp ( argv[2], "GetVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vector data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetVectors();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormals */
    if ( strcmp ( argv[2], "SetNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormals */
    Tcl_DStringAppendElement ( &dString, " Set/get the normal data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetNormals(vtkDataArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveNormals */
    if ( strcmp ( argv[2], "SetActiveNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveNormals */
    Tcl_DStringAppendElement ( &dString, " Set/get the normal data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveNormals(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormals */
    if ( strcmp ( argv[2], "GetNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormals */
    Tcl_DStringAppendElement ( &dString, " Set/get the normal data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoords */
    if ( strcmp ( argv[2], "SetTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoords */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture coordinate data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetTCoords(vtkDataArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveTCoords */
    if ( strcmp ( argv[2], "SetActiveTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveTCoords */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture coordinate data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveTCoords(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoords */
    if ( strcmp ( argv[2], "GetTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoords */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture coordinate data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetTCoords();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensors */
    if ( strcmp ( argv[2], "SetTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tensor data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetTensors(vtkDataArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveTensors */
    if ( strcmp ( argv[2], "SetActiveTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveTensors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tensor data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveTensors(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensors */
    if ( strcmp ( argv[2], "GetTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tensor data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetTensors();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalIds */
    if ( strcmp ( argv[2], "SetGlobalIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalIds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the global id data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetGlobalIds(vtkDataArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetGlobalIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveGlobalIds */
    if ( strcmp ( argv[2], "SetActiveGlobalIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveGlobalIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveGlobalIds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the global id data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveGlobalIds(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveGlobalIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalIds */
    if ( strcmp ( argv[2], "GetGlobalIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalIds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the global id data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetGlobalIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetGlobalIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPedigreeIds */
    if ( strcmp ( argv[2], "SetPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pedigree id data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetPedigreeIds(vtkAbstractArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActivePedigreeIds */
    if ( strcmp ( argv[2], "SetActivePedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActivePedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActivePedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pedigree id data.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActivePedigreeIds(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActivePedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeIds */
    if ( strcmp ( argv[2], "GetPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pedigree id data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *GetPedigreeIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalars */
    if ( strcmp ( argv[2], "GetScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalars */
    Tcl_DStringAppendElement ( &dString, " This will first look for an array with the correct name.\n If one exists, it is returned. Otherwise, the name argument\n is ignored, and the active attribute is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetScalars(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectors */
    if ( strcmp ( argv[2], "GetVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectors */
    Tcl_DStringAppendElement ( &dString, " This will first look for an array with the correct name.\n If one exists, it is returned. Otherwise, the name argument\n is ignored, and the active attribute is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetVectors(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormals */
    if ( strcmp ( argv[2], "GetNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormals */
    Tcl_DStringAppendElement ( &dString, " This will first look for an array with the correct name.\n If one exists, it is returned. Otherwise, the name argument\n is ignored, and the active attribute is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetNormals(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoords */
    if ( strcmp ( argv[2], "GetTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoords */
    Tcl_DStringAppendElement ( &dString, " This will first look for an array with the correct name.\n If one exists, it is returned. Otherwise, the name argument\n is ignored, and the active attribute is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetTCoords(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensors */
    if ( strcmp ( argv[2], "GetTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensors */
    Tcl_DStringAppendElement ( &dString, " This will first look for an array with the correct name.\n If one exists, it is returned. Otherwise, the name argument\n is ignored, and the active attribute is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetTensors(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalIds */
    if ( strcmp ( argv[2], "GetGlobalIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalIds */
    Tcl_DStringAppendElement ( &dString, " This will first look for an array with the correct name.\n If one exists, it is returned. Otherwise, the name argument\n is ignored, and the active attribute is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetGlobalIds(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetGlobalIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeIds */
    if ( strcmp ( argv[2], "GetPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " This will first look for an array with the correct name.\n If one exists, it is returned. Otherwise, the name argument\n is ignored, and the active attribute is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *GetPedigreeIds(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveAttribute */
    if ( strcmp ( argv[2], "SetActiveAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveAttribute */
    Tcl_DStringAppendElement ( &dString, " Make the array with the given name the active attribute.\n Attribute types are:\n  vtkDataSetAttributes::SCALARS = 0\n  vtkDataSetAttributes::VECTORS = 1\n  vtkDataSetAttributes::NORMALS = 2\n  vtkDataSetAttributes::TCOORDS = 3\n  vtkDataSetAttributes::TENSORS = 4\n  vtkDataSetAttributes::GLOBALIDS = 5\n  vtkDataSetAttributes::PEDIGREEIDS = 6\n  vtkDataSetAttributes::EDGEFLAG = 7\n Returns the index of the array if succesful, -1 if the array \n is not in the list of arrays. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveAttribute(const char *name, int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveAttribute */
    if ( strcmp ( argv[2], "SetActiveAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveAttribute */
    Tcl_DStringAppendElement ( &dString, " Make the array with the given index the active attribute.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetActiveAttribute(int index, int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetActiveAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsArrayAnAttribute */
    if ( strcmp ( argv[2], "IsArrayAnAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsArrayAnAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsArrayAnAttribute */
    Tcl_DStringAppendElement ( &dString, " Determine whether a data array of index idx is considered a data set\n attribute (i.e., scalar, vector, tensor, etc). Return less-than zero \n if it is, otherwise an index 0<=idx<NUM_ATTRIBUTES to indicate \n which attribute.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsArrayAnAttribute(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for IsArrayAnAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttribute */
    if ( strcmp ( argv[2], "GetAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttribute */
    Tcl_DStringAppendElement ( &dString, " Return an attribute given the attribute type\n (see vtkDataSetAttributes::AttributeTypes).\n Some attributes (such as PEDIGREEIDS) may not be vtkDataArray subclass,\n so in that case use GetAbstractAttribute().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetAttribute(int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbstractAttribute */
    if ( strcmp ( argv[2], "GetAbstractAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbstractAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbstractAttribute */
    Tcl_DStringAppendElement ( &dString, " Return an attribute given the attribute type\n (see vtkDataSetAttributes::AttributeTypes).\n This is the same as GetAttribute(), except that the returned array\n is a vtkAbstractArray instead of vtkDataArray.\n Some attributes (such as PEDIGREEIDS) may not be vtkDataArray subclass.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *GetAbstractAttribute(int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetAbstractAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveArray */
    if ( strcmp ( argv[2], "RemoveArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveArray */
    Tcl_DStringAppendElement ( &dString, " Remove an array (with the given name) from the list of arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveArray(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for RemoveArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveArray */
    if ( strcmp ( argv[2], "RemoveArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveArray */
    Tcl_DStringAppendElement ( &dString, " Remove an array (with the given name) from the list of arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveArray(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for RemoveArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeTypeAsString */
    if ( strcmp ( argv[2], "GetAttributeTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Given an integer attribute type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Scalars\").\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetAttributeTypeAsString(int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetAttributeTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongAttributeTypeAsString */
    if ( strcmp ( argv[2], "GetLongAttributeTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongAttributeTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongAttributeTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Given an integer attribute type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Scalars\").\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetLongAttributeTypeAsString(int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetLongAttributeTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyAttribute */
    if ( strcmp ( argv[2], "SetCopyAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyAttribute */
    Tcl_DStringAppendElement ( &dString, " Specify whether to copy the data attribute referred to by index.\n ctype selects from the AttributeCopyOperations.\n If ctype is set to ALLCOPY, then COPYTUPLE, INTERPOLATE, and \n PASSDATA are set to value. If value is 0, copying is disallowed.\n otherwise it is allowed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyAttribute(int index, int value, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyScalars */
    if ( strcmp ( argv[2], "SetCopyScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyScalars(int i, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyScalars */
    if ( strcmp ( argv[2], "GetCopyScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyScalars(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetCopyScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyScalarsOn */
    if ( strcmp ( argv[2], "CopyScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyScalarsOff */
    if ( strcmp ( argv[2], "CopyScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyVectors */
    if ( strcmp ( argv[2], "SetCopyVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyVectors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyVectors(int i, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyVectors */
    if ( strcmp ( argv[2], "GetCopyVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyVectors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyVectors(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetCopyVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyVectorsOn */
    if ( strcmp ( argv[2], "CopyVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyVectorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyVectorsOff */
    if ( strcmp ( argv[2], "CopyVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyVectorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyNormals */
    if ( strcmp ( argv[2], "SetCopyNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyNormals(int i, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyNormals */
    if ( strcmp ( argv[2], "GetCopyNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyNormals(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetCopyNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyNormalsOn */
    if ( strcmp ( argv[2], "CopyNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyNormalsOff */
    if ( strcmp ( argv[2], "CopyNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyTCoords */
    if ( strcmp ( argv[2], "SetCopyTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyTCoords */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyTCoords(int i, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyTCoords */
    if ( strcmp ( argv[2], "GetCopyTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyTCoords */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyTCoords(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetCopyTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTCoordsOn */
    if ( strcmp ( argv[2], "CopyTCoordsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTCoordsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTCoordsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyTCoordsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyTCoordsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTCoordsOff */
    if ( strcmp ( argv[2], "CopyTCoordsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTCoordsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTCoordsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyTCoordsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyTCoordsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyTensors */
    if ( strcmp ( argv[2], "SetCopyTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyTensors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyTensors(int i, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyTensors */
    if ( strcmp ( argv[2], "GetCopyTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyTensors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyTensors(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetCopyTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTensorsOn */
    if ( strcmp ( argv[2], "CopyTensorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTensorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTensorsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyTensorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyTensorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTensorsOff */
    if ( strcmp ( argv[2], "CopyTensorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTensorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTensorsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyTensorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyTensorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyGlobalIds */
    if ( strcmp ( argv[2], "SetCopyGlobalIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyGlobalIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyGlobalIds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n   ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyGlobalIds(int i, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyGlobalIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyGlobalIds */
    if ( strcmp ( argv[2], "GetCopyGlobalIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyGlobalIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyGlobalIds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n   ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyGlobalIds(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetCopyGlobalIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyGlobalIdsOn */
    if ( strcmp ( argv[2], "CopyGlobalIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyGlobalIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyGlobalIdsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n   ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyGlobalIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyGlobalIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyGlobalIdsOff */
    if ( strcmp ( argv[2], "CopyGlobalIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyGlobalIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyGlobalIdsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n   ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyGlobalIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyGlobalIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyPedigreeIds */
    if ( strcmp ( argv[2], "SetCopyPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyPedigreeIds(int i, int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for SetCopyPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyPedigreeIds */
    if ( strcmp ( argv[2], "GetCopyPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyPedigreeIds(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for GetCopyPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyPedigreeIdsOn */
    if ( strcmp ( argv[2], "CopyPedigreeIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyPedigreeIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyPedigreeIdsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyPedigreeIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyPedigreeIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyPedigreeIdsOff */
    if ( strcmp ( argv[2], "CopyPedigreeIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyPedigreeIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyPedigreeIdsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyPedigreeIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyPedigreeIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAllOn */
    if ( strcmp ( argv[2], "CopyAllOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAllOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAllOn */
    Tcl_DStringAppendElement ( &dString, " Turn on copying of all data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This ov ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyAllOn(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyAllOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAllOff */
    if ( strcmp ( argv[2], "CopyAllOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAllOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAllOff */
    Tcl_DStringAppendElement ( &dString, " Turn off copying of all data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This o ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyAllOff(int ctype=ALLCOPY);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyAllOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassData */
    if ( strcmp ( argv[2], "PassData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassData */
    Tcl_DStringAppendElement ( &dString, " Pass entire arrays of input data through to output. Obey the \"copy\"\n flags. When passing a field,  the following copying rules are \n followed: 1) Check if a field is an attribute, if yes and if there\n is a PASSDATA copy flag for that attribute (on or off), obey the flag \n for that attribute, ignore (2) and (3), 2) if there is a copy field for\n that field (on or off), obey the flag, ignore (3) 3) obey\n CopyAllOn/Off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassData(vtkFieldData *fd);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for PassData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAllocate */
    if ( strcmp ( argv[2], "CopyAllocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAllocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAllocate */
    Tcl_DStringAppendElement ( &dString, " Allocates point data for point-by-point (or cell-by-cell) copy operation.\n If sze=0, then use the input DataSetAttributes to create (i.e., find \n initial size of) new objects; otherwise use the sze variable.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with CopyData. If this is not the case,\n consider using the alternative forms of CopyAllocate and CopyData.\n ext is no longer used.\n If shallowCopyArrays is true, input arrays are c ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAllocate(vtkDataSetAttributes *pd, vtkIdType sze=0, vtkIdType ext=1000);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyAllocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAllocate */
    if ( strcmp ( argv[2], "CopyAllocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAllocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAllocate */
    Tcl_DStringAppendElement ( &dString, " Allocates point data for point-by-point (or cell-by-cell) copy operation.\n If sze=0, then use the input DataSetAttributes to create (i.e., find \n initial size of) new objects; otherwise use the sze variable.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with CopyData. If this is not the case,\n consider using the alternative forms of CopyAllocate and CopyData.\n ext is no longer used.\n If shallowCopyArrays is true, input arrays are c ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAllocate(vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyAllocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyData */
    if ( strcmp ( argv[2], "CopyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyData */
    Tcl_DStringAppendElement ( &dString, " Copy the attribute data from one id to another. Make sure CopyAllocate()\n has been invoked before using this method. When copying a field,  \n the following copying rules are \n followed: 1) Check if a field is an attribute, if yes and if there\n is a COPYTUPLE copy flag for that attribute (on or off), obey the  flag \n for that attribute, ignore (2) and (3), 2) if there is a copy field for\n that field (on or off), obey the flag, ignore (3) 3) obey\n CopyAllOn/Off\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyData(vtkDataSetAttributes *fromPd, vtkIdType fromId, vtkIdType toId);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTuple */
    if ( strcmp ( argv[2], "CopyTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTuple */
    Tcl_DStringAppendElement ( &dString, " Copy a tuple of data from one data array to another. This method\n assumes that the fromData and toData objects are of the\n same type, and have the same number of components. This is true if you\n invoke CopyAllocate() or InterpolateAllocate().\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyTuple(vtkAbstractArray *fromData, vtkAbstractArray *toData, vtkIdType fromId, vtkIdType toId);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for CopyTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateAllocate */
    if ( strcmp ( argv[2], "InterpolateAllocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAllocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAllocate */
    Tcl_DStringAppendElement ( &dString, " Initialize point interpolation method.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with InterpolatePoint or InterpolateEdge.\n ext is no longer used.\n If shallowCopyArrays is true, input arrays are copied to the output\n instead of new ones being allocated.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateAllocate(vtkDataSetAttributes *pd, vtkIdType sze=0, vtkIdType ext=1000);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for InterpolateAllocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateAllocate */
    if ( strcmp ( argv[2], "InterpolateAllocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAllocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAllocate */
    Tcl_DStringAppendElement ( &dString, " Initialize point interpolation method.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with InterpolatePoint or InterpolateEdge.\n ext is no longer used.\n If shallowCopyArrays is true, input arrays are copied to the output\n instead of new ones being allocated.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateAllocate(vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for InterpolateAllocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateEdge */
    if ( strcmp ( argv[2], "InterpolateEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateEdge */
    Tcl_DStringAppendElement ( &dString, " Interpolate data from the two points p1,p2 (forming an edge) and an \n interpolation factor, t, along the edge. The weight ranges from (0,1), \n with t=0 located at p1. Make sure that the method InterpolateAllocate() \n has been invoked before using this method.\n If the INTERPOLATION copy flag is set to 0 for an array, interpolation\n is prevented. If the flag is set to 1, weighted interpolation occurs.\n If the flag is set to 2, nearest neighbor interpolation is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateEdge(vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdType p1, vtkIdType p2, double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for InterpolateEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateTime */
    if ( strcmp ( argv[2], "InterpolateTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateTime */
    Tcl_DStringAppendElement ( &dString, " Interpolate data from the same id (point or cell) at different points\n in time (parameter t). Two input data set attributes objects are input.\n The parameter t lies between (0<=t<=1). IMPORTANT: it is assumed that\n the number of attributes and number of components is the same for both\n from1 and from2, and the type of data for from1 and from2 are the same.\n Make sure that the method InterpolateAllocate() has been invoked before \n using this method.\n If the INTERPOLAT ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateTime(vtkDataSetAttributes *from1, vtkDataSetAttributes *from2, vtkIdType id, double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes" );
    /* Closing for InterpolateTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkFieldDataCppCommand(static_cast<vtkFieldData *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
