// tcl wrapper for vtkDiscretizableColorTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDiscretizableColorTransferFunction.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDiscretizableColorTransferFunctionNewCommand()
{
  vtkDiscretizableColorTransferFunction *temp = vtkDiscretizableColorTransferFunction::New();
  return static_cast<ClientData>(temp);
}

int vtkColorTransferFunctionCppCommand(vtkColorTransferFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDiscretizableColorTransferFunctionCppCommand(vtkDiscretizableColorTransferFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDiscretizableColorTransferFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDiscretizableColorTransferFunctionCppCommand(static_cast<vtkDiscretizableColorTransferFunction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDiscretizableColorTransferFunctionCppCommand(vtkDiscretizableColorTransferFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDiscretizableColorTransferFunction",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkColorTransferFunctionCppCommand(static_cast<vtkColorTransferFunction *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkColorTransferFunction"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDiscretizableColorTransferFunction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiscretizableColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDiscretizableColorTransferFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiscretizableColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDiscretizableColorTransferFunction  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiscretizableColorTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("Build",argv[1]))&&(argc == 2))
    {
    op->Build();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDiscretize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDiscretize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiscretize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDiscretize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DiscretizeOn",argv[1]))&&(argc == 2))
    {
    op->DiscretizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DiscretizeOff",argv[1]))&&(argc == 2))
    {
    op->DiscretizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseLogScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLogScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseLogScale",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseLogScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfValues",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfValues",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfValues();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MapScalars",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    int      temp1;
    int      temp2;
    vtkUnsignedCharArray  *temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->MapScalars(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAlpha",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAlpha(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNanColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNanColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNanColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNanColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UsingLogScale",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UsingLogScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfAvailableColors",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfAvailableColors();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDiscretizableColorTransferFunctionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkColorTransferFunctionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDiscretizableColorTransferFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Build\n",NULL);
    Tcl_AppendResult(interp,"  SetDiscretize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiscretize\n",NULL);
    Tcl_AppendResult(interp,"  DiscretizeOn\n",NULL);
    Tcl_AppendResult(interp,"  DiscretizeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLogScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseLogScale\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfValues\n",NULL);
    Tcl_AppendResult(interp,"  MapScalars\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAlpha\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNanColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNanColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  UsingLogScale\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAvailableColors\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkColorTransferFunctionCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Build" );
    Tcl_DStringAppendElement ( &dString, "SetDiscretize" );
    Tcl_DStringAppendElement ( &dString, "GetDiscretize" );
    Tcl_DStringAppendElement ( &dString, "DiscretizeOn" );
    Tcl_DStringAppendElement ( &dString, "DiscretizeOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseLogScale" );
    Tcl_DStringAppendElement ( &dString, "GetUseLogScale" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfValues" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfValues" );
    Tcl_DStringAppendElement ( &dString, "MapScalars" );
    Tcl_DStringAppendElement ( &dString, "SetAlpha" );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    Tcl_DStringAppendElement ( &dString, "UsingLogScale" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAvailableColors" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkColorTransferFunctionCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDiscretizableColorTransferFunction *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Build */
    if ( strcmp ( argv[2], "Build" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Build" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Build */
    Tcl_DStringAppendElement ( &dString, " Generate discretized lookup table, if applicable.\n This method must be called after changes to the ColorTransferFunction\n otherwise the discretized version will be inconsitent with the \n non-discretized one.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Build();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for Build */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiscretize */
    if ( strcmp ( argv[2], "SetDiscretize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiscretize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiscretize */
    Tcl_DStringAppendElement ( &dString, " Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiscretize(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for SetDiscretize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiscretize */
    if ( strcmp ( argv[2], "GetDiscretize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiscretize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiscretize */
    Tcl_DStringAppendElement ( &dString, " Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDiscretize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for GetDiscretize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DiscretizeOn */
    if ( strcmp ( argv[2], "DiscretizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DiscretizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DiscretizeOn */
    Tcl_DStringAppendElement ( &dString, " Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void DiscretizeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for DiscretizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DiscretizeOff */
    if ( strcmp ( argv[2], "DiscretizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DiscretizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DiscretizeOff */
    Tcl_DStringAppendElement ( &dString, " Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void DiscretizeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for DiscretizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseLogScale */
    if ( strcmp ( argv[2], "SetUseLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseLogScale */
    Tcl_DStringAppendElement ( &dString, " Get/Set if log scale must be used while mapping scalars\n to colors. The default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseLogScale(int useLogScale);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for SetUseLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseLogScale */
    if ( strcmp ( argv[2], "GetUseLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseLogScale */
    Tcl_DStringAppendElement ( &dString, " Get/Set if log scale must be used while mapping scalars\n to colors. The default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseLogScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for GetUseLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfValues */
    if ( strcmp ( argv[2], "SetNumberOfValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfValues */
    Tcl_DStringAppendElement ( &dString, " Set the number of values i.e. colors to be generated in the\n discrete lookup table. This has no effect if Discretize is off.\n The default is 256.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfValues(vtkIdType number);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for SetNumberOfValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfValues */
    if ( strcmp ( argv[2], "GetNumberOfValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfValues */
    Tcl_DStringAppendElement ( &dString, " Set the number of values i.e. colors to be generated in the\n discrete lookup table. This has no effect if Discretize is off.\n The default is 256.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for GetNumberOfValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MapScalars */
    if ( strcmp ( argv[2], "MapScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MapScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MapScalars */
    Tcl_DStringAppendElement ( &dString, " An internal method maps a data array into a 4-component, unsigned char\n RGBA array. The color mode determines the behavior of mapping. If \n VTK_COLOR_MODE_DEFAULT is set, then unsigned char data arrays are\n treated as colors (and converted to RGBA if necessary); otherwise, \n the data is mapped through this instance of ScalarsToColors. The offset\n is used for data arrays with more than one component; it indicates \n which component to use to do the blending.\n When the  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkUnsignedCharArray *MapScalars(vtkDataArray *scalars, int colorMode, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for MapScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlpha */
    if ( strcmp ( argv[2], "SetAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlpha */
    Tcl_DStringAppendElement ( &dString, " Specify an additional opacity (alpha) value to blend with. Values\n != 1 modify the resulting color consistent with the requested\n form of the output. This is typically used by an actor in order to\n blend its opacity.\n Overridden to pass the alpha to the internal vtkLookupTable.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAlpha(double alpha);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for SetAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNanColor */
    if ( strcmp ( argv[2], "SetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNanColor */
    Tcl_DStringAppendElement ( &dString, " Set the color to use when a NaN (not a number) is encountered.  This is an\n RGB 3-tuple color of doubles in the range \\[0,1\\].\n Overridden to pass the NanColor to the internal vtkLookupTable.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNanColor(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for SetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNanColor */
    if ( strcmp ( argv[2], "SetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNanColor */
    Tcl_DStringAppendElement ( &dString, " Set the color to use when a NaN (not a number) is encountered.  This is an\n RGB 3-tuple color of doubles in the range \\[0,1\\].\n Overridden to pass the NanColor to the internal vtkLookupTable.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNanColor(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for SetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UsingLogScale */
    if ( strcmp ( argv[2], "UsingLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UsingLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UsingLogScale */
    Tcl_DStringAppendElement ( &dString, " This should return 1 is the subclass is using log scale for mapping scalars\n to colors. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UsingLogScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for UsingLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAvailableColors */
    if ( strcmp ( argv[2], "GetNumberOfAvailableColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAvailableColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAvailableColors */
    Tcl_DStringAppendElement ( &dString, " Get the number of available colors for mapping to.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfAvailableColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiscretizableColorTransferFunction" );
    /* Closing for GetNumberOfAvailableColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkColorTransferFunctionCppCommand(static_cast<vtkColorTransferFunction *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
