// tcl wrapper for vtkExecutionScheduler object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExecutionScheduler.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExecutionSchedulerNewCommand()
{
  vtkExecutionScheduler *temp = vtkExecutionScheduler::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExecutionSchedulerCppCommand(vtkExecutionScheduler *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExecutionSchedulerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExecutionSchedulerCppCommand(static_cast<vtkExecutionScheduler *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExecutionSchedulerCppCommand(vtkExecutionScheduler *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExecutionScheduler",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExecutionScheduler  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExecutionScheduler");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExecutionScheduler  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExecutionScheduler");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExecutionScheduler  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExecutionScheduler");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalScheduler",argv[1]))&&(argc == 2))
    {
    vtkExecutionScheduler  *temp20;
    temp20 = (op)->GetGlobalScheduler();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExecutionScheduler");
    return TCL_OK;
    }
  if ((!strcmp("Schedule",argv[1]))&&(argc == 4))
    {
    vtkExecutiveCollection  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Schedule(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SchedulePropagate",argv[1]))&&(argc == 4))
    {
    vtkExecutiveCollection  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SchedulePropagate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WaitUntilDone",argv[1]))&&(argc == 3))
    {
    vtkExecutiveCollection  *temp0;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    if (!error)
    {
    op->WaitUntilDone(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WaitUntilReleased",argv[1]))&&(argc == 3))
    {
    vtkExecutiveCollection  *temp0;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    if (!error)
    {
    op->WaitUntilReleased(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WaitUntilAllDone",argv[1]))&&(argc == 2))
    {
    op->WaitUntilAllDone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WaitForTaskDone",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->WaitForTaskDone(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WaitForInputsReleased",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->WaitForInputsReleased(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTaskDoneMessager",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    vtkThreadMessager  *temp20;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetTaskDoneMessager(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreadMessager");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputsReleasedMessager",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    vtkThreadMessager  *temp20;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetInputsReleasedMessager(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreadMessager");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputsReleasedLock",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    vtkMutexLock  *temp20;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetInputsReleasedLock(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMutexLock");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseResources",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->ReleaseResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReacquireResources",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->ReacquireResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RescheduleNetwork",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->RescheduleNetwork(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RescheduleFrom",argv[1]))&&(argc == 4))
    {
    vtkExecutive  *temp0;
    vtkComputingResources  *temp1;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    temp1 = (vtkComputingResources *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkComputingResources"),interp,error));
    if (!error)
    {
    op->RescheduleFrom(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExecutionSchedulerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExecutionScheduler:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalScheduler\n",NULL);
    Tcl_AppendResult(interp,"  Schedule\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SchedulePropagate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WaitUntilDone\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WaitUntilReleased\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WaitUntilAllDone\n",NULL);
    Tcl_AppendResult(interp,"  WaitForTaskDone\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WaitForInputsReleased\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTaskDoneMessager\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputsReleasedMessager\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputsReleasedLock\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReacquireResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RescheduleNetwork\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RescheduleFrom\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalScheduler" );
    Tcl_DStringAppendElement ( &dString, "Schedule" );
    Tcl_DStringAppendElement ( &dString, "SchedulePropagate" );
    Tcl_DStringAppendElement ( &dString, "WaitUntilDone" );
    Tcl_DStringAppendElement ( &dString, "WaitUntilReleased" );
    Tcl_DStringAppendElement ( &dString, "WaitUntilAllDone" );
    Tcl_DStringAppendElement ( &dString, "WaitForTaskDone" );
    Tcl_DStringAppendElement ( &dString, "WaitForInputsReleased" );
    Tcl_DStringAppendElement ( &dString, "GetTaskDoneMessager" );
    Tcl_DStringAppendElement ( &dString, "GetInputsReleasedMessager" );
    Tcl_DStringAppendElement ( &dString, "GetInputsReleasedLock" );
    Tcl_DStringAppendElement ( &dString, "ReleaseResources" );
    Tcl_DStringAppendElement ( &dString, "ReacquireResources" );
    Tcl_DStringAppendElement ( &dString, "RescheduleNetwork" );
    Tcl_DStringAppendElement ( &dString, "RescheduleFrom" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExecutionScheduler *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalScheduler */
    if ( strcmp ( argv[2], "GetGlobalScheduler" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalScheduler" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalScheduler */
    Tcl_DStringAppendElement ( &dString, " Return the global instance of the scheduler \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkExecutionScheduler *GetGlobalScheduler();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for GetGlobalScheduler */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Schedule */
    if ( strcmp ( argv[2], "Schedule" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Schedule" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Schedule */
    Tcl_DStringAppendElement ( &dString, " Put the current set of executives (modules) to the be scheduled given its\n dependency graph which will be used to compute the set\n topological orders\n" );
    Tcl_DStringAppendElement ( &dString, "void Schedule(vtkExecutiveCollection *execs, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for Schedule */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SchedulePropagate */
    if ( strcmp ( argv[2], "SchedulePropagate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SchedulePropagate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SchedulePropagate */
    Tcl_DStringAppendElement ( &dString, " Put the current set of executives (modules) to the be scheduled\n given its dependency graph which will be used to compute the set\n topological orders. Then wait for their execution to be complete\n" );
    Tcl_DStringAppendElement ( &dString, "void SchedulePropagate(vtkExecutiveCollection *execs, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for SchedulePropagate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitUntilDone */
    if ( strcmp ( argv[2], "WaitUntilDone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitUntilDone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitUntilDone */
    Tcl_DStringAppendElement ( &dString, " Wait until the current set of executives (modules) have finished executing\n" );
    Tcl_DStringAppendElement ( &dString, "void WaitUntilDone(vtkExecutiveCollection *execs);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for WaitUntilDone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitUntilReleased */
    if ( strcmp ( argv[2], "WaitUntilReleased" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitUntilReleased" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitUntilReleased */
    Tcl_DStringAppendElement ( &dString, " Wait until the current set of executives (modules) have their inputs released\n" );
    Tcl_DStringAppendElement ( &dString, "void WaitUntilReleased(vtkExecutiveCollection *execs);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for WaitUntilReleased */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitUntilAllDone */
    if ( strcmp ( argv[2], "WaitUntilAllDone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitUntilAllDone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitUntilAllDone */
    Tcl_DStringAppendElement ( &dString, " Wait for all tasks to be done\n" );
    Tcl_DStringAppendElement ( &dString, "void WaitUntilAllDone();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for WaitUntilAllDone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitForTaskDone */
    if ( strcmp ( argv[2], "WaitForTaskDone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitForTaskDone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitForTaskDone */
    Tcl_DStringAppendElement ( &dString, " Wait for a task that is on the scheduling queue to be done. If\n the task is not there, this will return immediately. If the exec\n is NULL, any task that is done will trigger this the return\n" );
    Tcl_DStringAppendElement ( &dString, "void WaitForTaskDone(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for WaitForTaskDone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitForInputsReleased */
    if ( strcmp ( argv[2], "WaitForInputsReleased" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitForInputsReleased" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitForInputsReleased */
    Tcl_DStringAppendElement ( &dString, " Similar to WaitForTaskDone but return whenever input connections\n of a task are released instead of done computing. But exec cannot\n be NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "void WaitForInputsReleased(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for WaitForInputsReleased */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTaskDoneMessager */
    if ( strcmp ( argv[2], "GetTaskDoneMessager" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTaskDoneMessager" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTaskDoneMessager */
    Tcl_DStringAppendElement ( &dString, " Return the thread messager reserved for the given exec to notify\n when it is done\n" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadMessager *GetTaskDoneMessager(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for GetTaskDoneMessager */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputsReleasedMessager */
    if ( strcmp ( argv[2], "GetInputsReleasedMessager" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputsReleasedMessager" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputsReleasedMessager */
    Tcl_DStringAppendElement ( &dString, " Return the thread messager reserved for the given exec to notify\n when it releases its inputs\n" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadMessager *GetInputsReleasedMessager(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for GetInputsReleasedMessager */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputsReleasedLock */
    if ( strcmp ( argv[2], "GetInputsReleasedLock" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputsReleasedLock" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputsReleasedLock */
    Tcl_DStringAppendElement ( &dString, " Return the mutex lock reserved for the given exec to notify\n when it releases its inputs\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMutexLock *GetInputsReleasedLock(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for GetInputsReleasedLock */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseResources */
    if ( strcmp ( argv[2], "ReleaseResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseResources */
    Tcl_DStringAppendElement ( &dString, " Release the resources that are being used by the given exec\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseResources(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for ReleaseResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReacquireResources */
    if ( strcmp ( argv[2], "ReacquireResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReacquireResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReacquireResources */
    Tcl_DStringAppendElement ( &dString, " Re-acquire the resource released earlier by ReleaseResource\n" );
    Tcl_DStringAppendElement ( &dString, "void ReacquireResources(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for ReacquireResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RescheduleNetwork */
    if ( strcmp ( argv[2], "RescheduleNetwork" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RescheduleNetwork" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RescheduleNetwork */
    Tcl_DStringAppendElement ( &dString, " Redistribute the thread resources over the network from a sink\n with a maximum resource\n" );
    Tcl_DStringAppendElement ( &dString, "void RescheduleNetwork(vtkExecutive *sink);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for RescheduleNetwork */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RescheduleFrom */
    if ( strcmp ( argv[2], "RescheduleFrom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RescheduleFrom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringAppendElement ( &dString, "vtkComputingResources" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RescheduleFrom */
    Tcl_DStringAppendElement ( &dString, " Redistribute the thread resources from a sink given a certain\n amount of resource\n" );
    Tcl_DStringAppendElement ( &dString, "void RescheduleFrom(vtkExecutive *sink, vtkComputingResources *resources);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutionScheduler" );
    /* Closing for RescheduleFrom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
