// tcl wrapper for vtkExecutive object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExecutive.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExecutiveCppCommand(vtkExecutive *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExecutiveCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExecutiveCppCommand(static_cast<vtkExecutive *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExecutiveCppCommand(vtkExecutive *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExecutive",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExecutive  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExecutive");
    return TCL_OK;
    }
  if ((!strcmp("GetAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkAlgorithm  *temp20;
    temp20 = (op)->GetAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Update();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Update(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfInputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfInputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInputConnections",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfInputConnections(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputInformation",argv[1]))&&(argc == 2))
    {
    vtkInformationVector  *temp20;
    temp20 = (op)->GetOutputInformation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationVector");
    return TCL_OK;
    }
  if ((!strcmp("GetInputInformation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputInformation(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformationVector  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationVector");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputExecutive",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkExecutive  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputExecutive(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExecutive");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputData",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkDataObject  *temp1;
    vtkInformation  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    temp2 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SetOutputData(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetOutputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProducerPort",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetProducerPort(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSharedOutputInformation",argv[1]))&&(argc == 3))
    {
    vtkInformationVector  *temp0;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (!error)
    {
    op->SetSharedOutputInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExecutiveCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExecutive:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Update\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputPorts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputPorts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputConnections\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetInputInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputExecutive\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputData\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetProducerPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSharedOutputInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputPorts" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputPorts" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputConnections" );
    Tcl_DStringAppendElement ( &dString, "GetOutputInformation" );
    Tcl_DStringAppendElement ( &dString, "GetOutputInformation" );
    Tcl_DStringAppendElement ( &dString, "GetInputInformation" );
    Tcl_DStringAppendElement ( &dString, "GetInputInformation" );
    Tcl_DStringAppendElement ( &dString, "GetInputExecutive" );
    Tcl_DStringAppendElement ( &dString, "GetOutputData" );
    Tcl_DStringAppendElement ( &dString, "SetOutputData" );
    Tcl_DStringAppendElement ( &dString, "SetOutputData" );
    Tcl_DStringAppendElement ( &dString, "GetInputData" );
    Tcl_DStringAppendElement ( &dString, "GetProducerPort" );
    Tcl_DStringAppendElement ( &dString, "SetSharedOutputInformation" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlgorithm */
    if ( strcmp ( argv[2], "GetAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Get the algorithm to which this executive has been assigned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithm *GetAlgorithm();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the algorithm's outputs up-to-date.  Returns 1 for success\n and 0 for failure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the algorithm's outputs up-to-date.  Returns 1 for success\n and 0 for failure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfInputPorts */
    if ( strcmp ( argv[2], "GetNumberOfInputPorts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputPorts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfInputPorts */
    Tcl_DStringAppendElement ( &dString, " Get the number of input/output ports for the algorithm associated\n with this executive.  Returns 0 if no algorithm is set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfInputPorts();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetNumberOfInputPorts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfOutputPorts */
    if ( strcmp ( argv[2], "GetNumberOfOutputPorts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputPorts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfOutputPorts */
    Tcl_DStringAppendElement ( &dString, " Get the number of input/output ports for the algorithm associated\n with this executive.  Returns 0 if no algorithm is set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfOutputPorts();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetNumberOfOutputPorts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfInputConnections */
    if ( strcmp ( argv[2], "GetNumberOfInputConnections" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputConnections" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfInputConnections */
    Tcl_DStringAppendElement ( &dString, " Get the number of input connections on the given port.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfInputConnections(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetNumberOfInputConnections */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputInformation */
    if ( strcmp ( argv[2], "GetOutputInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputInformation */
    Tcl_DStringAppendElement ( &dString, " Get the pipeline information object for the given output port.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInformation *GetOutputInformation(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetOutputInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputInformation */
    if ( strcmp ( argv[2], "GetOutputInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputInformation */
    Tcl_DStringAppendElement ( &dString, " Get the pipeline information object for all output ports.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector *GetOutputInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetOutputInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputInformation */
    if ( strcmp ( argv[2], "GetInputInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputInformation */
    Tcl_DStringAppendElement ( &dString, " Get the pipeline information for the given input connection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetInputInformation(int port, int connection);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetInputInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputInformation */
    if ( strcmp ( argv[2], "GetInputInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputInformation */
    Tcl_DStringAppendElement ( &dString, " Get the pipeline information vectors for the given input port.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector *GetInputInformation(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetInputInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputExecutive */
    if ( strcmp ( argv[2], "GetInputExecutive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputExecutive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputExecutive */
    Tcl_DStringAppendElement ( &dString, " Get the executive managing the given input connection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive *GetInputExecutive(int port, int connection);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetInputExecutive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputData */
    if ( strcmp ( argv[2], "GetOutputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputData */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data object for an output port of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataObject *GetOutputData(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetOutputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputData */
    if ( strcmp ( argv[2], "SetOutputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputData */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data object for an output port of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputData(int port, vtkDataObject *, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for SetOutputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputData */
    if ( strcmp ( argv[2], "SetOutputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputData */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data object for an output port of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputData(int port, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for SetOutputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputData */
    if ( strcmp ( argv[2], "GetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputData */
    Tcl_DStringAppendElement ( &dString, " Get the data object for an input port of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataObject *GetInputData(int port, int connection);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProducerPort */
    if ( strcmp ( argv[2], "GetProducerPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProducerPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProducerPort */
    Tcl_DStringAppendElement ( &dString, " Get the output port that produces the given data object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetProducerPort(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for GetProducerPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSharedOutputInformation */
    if ( strcmp ( argv[2], "SetSharedOutputInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSharedOutputInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSharedOutputInformation */
    Tcl_DStringAppendElement ( &dString, " Set a pointer to an outside instance of input or output\n information vectors.  No references are held to the given\n vectors, and setting this does not change the executive object\n modification time.  This is a preliminary interface to use in\n implementing filters with internal pipelines, and may change\n without notice when a future interface is created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSharedOutputInformation(vtkInformationVector *outInfoVec);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for SetSharedOutputInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, " Participate in garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Participate in garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
