// tcl wrapper for vtkGenericAttributeCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericAttributeCollection.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGenericAttributeCollectionNewCommand()
{
  vtkGenericAttributeCollection *temp = vtkGenericAttributeCollection::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericAttributeCollectionCppCommand(vtkGenericAttributeCollection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericAttributeCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericAttributeCollectionCppCommand(static_cast<vtkGenericAttributeCollection *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericAttributeCollectionCppCommand(vtkGenericAttributeCollection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericAttributeCollection",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericAttributeCollection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAttributeCollection");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericAttributeCollection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAttributeCollection");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericAttributeCollection  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAttributeCollection");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAttributes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAttributes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPointCenteredComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointCenteredComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxNumberOfComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxNumberOfComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsEmpty",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsEmpty();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkGenericAttribute  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttribute(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAttribute");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindAttribute",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->FindAttribute(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributeIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextAttribute",argv[1]))&&(argc == 3))
    {
    vtkGenericAttribute  *temp0;
    error = 0;

    temp0 = (vtkGenericAttribute *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttribute"),interp,error));
    if (!error)
    {
    op->InsertNextAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertAttribute",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkGenericAttribute  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkGenericAttribute *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericAttribute"),interp,error));
    if (!error)
    {
    op->InsertAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkGenericAttributeCollection  *temp0;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkGenericAttributeCollection  *temp0;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActiveAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActiveComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetActiveAttribute",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetActiveAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAttributesToInterpolate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAttributesToInterpolate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributesToInterpolateToAll",argv[1]))&&(argc == 2))
    {
    op->SetAttributesToInterpolateToAll();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericAttributeCollectionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericAttributeCollection:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAttributes\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponents\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointCenteredComponents\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNumberOfComponents\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  IsEmpty\n",NULL);
    Tcl_AppendResult(interp,"  GetAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InsertAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveAttribute\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAttributesToInterpolate\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributesToInterpolateToAll\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointCenteredComponents" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "IsEmpty" );
    Tcl_DStringAppendElement ( &dString, "GetAttribute" );
    Tcl_DStringAppendElement ( &dString, "FindAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeIndex" );
    Tcl_DStringAppendElement ( &dString, "InsertNextAttribute" );
    Tcl_DStringAppendElement ( &dString, "InsertAttribute" );
    Tcl_DStringAppendElement ( &dString, "RemoveAttribute" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetActiveAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAttributesToInterpolate" );
    Tcl_DStringAppendElement ( &dString, "SetAttributesToInterpolateToAll" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create an empty collection.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericAttributeCollection *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard type definition and print methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard type definition and print methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard type definition and print methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard type definition and print methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAttributes */
    if ( strcmp ( argv[2], "GetNumberOfAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAttributes */
    Tcl_DStringAppendElement ( &dString, " Return the number of attributes (e.g., instances of vtkGenericAttribute) \n in the collection.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAttributes();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetNumberOfAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponents */
    if ( strcmp ( argv[2], "GetNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Return the number of components. This is the sum of all components\n found in all attributes.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointCenteredComponents */
    if ( strcmp ( argv[2], "GetNumberOfPointCenteredComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointCenteredComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointCenteredComponents */
    Tcl_DStringAppendElement ( &dString, " Return the number of components. This is the sum of all components\n found in all point centered attributes.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointCenteredComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetNumberOfPointCenteredComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNumberOfComponents */
    if ( strcmp ( argv[2], "GetMaxNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Maximum number of components encountered among all attributes.\n \\post positive_result: result>=0\n \\post valid_result: result<=GetNumberOfComponents()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxNumberOfComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetMaxNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Actual size of the data in kilobytes; only valid after the pipeline has\n updated. It is guaranteed to be greater than or equal to the memory\n required to represent the data.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetActualMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsEmpty */
    if ( strcmp ( argv[2], "IsEmpty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsEmpty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsEmpty */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the collection contains any attributes.\n \\post definition: result==(GetNumberOfAttributes()==0)\n" );
    Tcl_DStringAppendElement ( &dString, "int IsEmpty();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for IsEmpty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttribute */
    if ( strcmp ( argv[2], "GetAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttribute */
    Tcl_DStringAppendElement ( &dString, " Return a pointer to the ith instance of vtkGenericAttribute.\n \\pre not_empty: !IsEmpty()\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\post result_exists: result!=0\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttribute *GetAttribute(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindAttribute */
    if ( strcmp ( argv[2], "FindAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindAttribute */
    Tcl_DStringAppendElement ( &dString, " Return the index of the attribute named `name'. Return the non-negative\n index if found. Return -1 otherwise.\n \\pre name_exists: name!=0\n \\post valid_result: (result==-1) || (result>=0) && (result<=GetNumberOfAttributes())\n" );
    Tcl_DStringAppendElement ( &dString, "int FindAttribute(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for FindAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeIndex */
    if ( strcmp ( argv[2], "GetAttributeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeIndex */
    Tcl_DStringAppendElement ( &dString, " Return the index of the first component of attribute `i' in an array of\n format attrib0comp0 attrib0comp1 ... attrib4comp0 ...\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\pre is_point_centered: GetAttribute(i)->GetCentering()==vtkPointCentered\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeIndex(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetAttributeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextAttribute */
    if ( strcmp ( argv[2], "InsertNextAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttribute" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextAttribute */
    Tcl_DStringAppendElement ( &dString, " Add the attribute `a' to the end of the collection.\n \\pre a_exists: a!=0\n \\post more_items: GetNumberOfAttributes()==old GetNumberOfAttributes()+1\n \\post a_is_set: GetAttribute(GetNumberOfAttributes()-1)==a\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertNextAttribute(vtkGenericAttribute *a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for InsertNextAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertAttribute */
    if ( strcmp ( argv[2], "InsertAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttribute" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertAttribute */
    Tcl_DStringAppendElement ( &dString, " Replace the attribute at index `i' by `a'.\n \\pre not_empty: !IsEmpty()\n \\pre a_exists: a!=0\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\post same_size: GetNumberOfAttributes()==old GetNumberOfAttributes()\n \\post item_is_set: GetAttribute(i)==a\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertAttribute(int i, vtkGenericAttribute *a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for InsertAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAttribute */
    if ( strcmp ( argv[2], "RemoveAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAttribute */
    Tcl_DStringAppendElement ( &dString, " Remove the attribute at `i'.\n \\pre not_empty: !IsEmpty()\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\post fewer_items: GetNumberOfAttributes()==old GetNumberOfAttributes()-1\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAttribute(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for RemoveAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Remove all attributes.\n \\post is_empty: GetNumberOfAttributes()==0\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Copy, without reference counting, the other attribute array.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n \\post same_size: GetNumberOfAttributes()==other->GetNumberOfAttributes()\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkGenericAttributeCollection *other);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Copy, via reference counting, the other attribute array.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n \\post same_size: GetNumberOfAttributes()==other->GetNumberOfAttributes()\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkGenericAttributeCollection *other);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " vtkAttributeCollection is a composite object and needs to check each\n member of its collection for modified time.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveAttribute */
    if ( strcmp ( argv[2], "GetActiveAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveAttribute */
    Tcl_DStringAppendElement ( &dString, " Index of the attribute to be processed (not necessarily scalar).\n \\pre not_empty: !IsEmpty()\n \\post valid_result: result>=0 && result<GetNumberOfAttributes()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveAttribute();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetActiveAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveComponent */
    if ( strcmp ( argv[2], "GetActiveComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveComponent */
    Tcl_DStringAppendElement ( &dString, " Component of the active attribute to be processed. -1 means module.\n \\pre not_empty: GetNumberOfAttributes()>0\n \\post valid_result: result>=-1 &&\n       result<GetAttribute(GetActiveAttribute())->GetNumberOfComponents()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetActiveComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveAttribute */
    if ( strcmp ( argv[2], "SetActiveAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveAttribute */
    Tcl_DStringAppendElement ( &dString, " Set the scalar attribute to be processed. -1 means module.\n \\pre not_empty: !IsEmpty()\n \\pre valid_attribute: attribute>=0 && attribute<GetNumberOfAttributes()\n \\pre valid_component: component>=-1 &&\n              component<GetAttribute(attribute)->GetNumberOfComponents()\n \\post is_set: GetActiveAttribute()==attribute &&\n               GetActiveComponent()==component\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveAttribute(int attribute, int component=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for SetActiveAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAttributesToInterpolate */
    if ( strcmp ( argv[2], "GetNumberOfAttributesToInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAttributesToInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAttributesToInterpolate */
    Tcl_DStringAppendElement ( &dString, " Number of attributes to interpolate.\n \\pre not_empty: !IsEmpty()\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAttributesToInterpolate();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for GetNumberOfAttributesToInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributesToInterpolateToAll */
    if ( strcmp ( argv[2], "SetAttributesToInterpolateToAll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributesToInterpolateToAll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributesToInterpolateToAll */
    Tcl_DStringAppendElement ( &dString, " Set the attributes to interpolate.\n \\pre not_empty: !IsEmpty()\n \\pre positive_size: size>=0\n \\pre valid_attributes: size>0 implies attributes!=0\n \\pre valid_attributes_contents: attributes!=0 implies\n                     !HasAttributes(size,attributes,GetActiveAttribute())\n \\post is_set: (GetNumberOfAttributesToInterpolate()==size)&&\n               (GetAttributesToInterpolate()==attributes)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributesToInterpolateToAll();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    /* Closing for SetAttributesToInterpolateToAll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
