// tcl wrapper for vtkGenericCellIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericCellIterator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericCellIteratorCppCommand(vtkGenericCellIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericCellIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericCellIteratorCppCommand(static_cast<vtkGenericCellIterator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericCellIteratorCppCommand(vtkGenericCellIterator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericCellIterator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericCellIterator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericCellIterator");
    return TCL_OK;
    }
  if ((!strcmp("Begin",argv[1]))&&(argc == 2))
    {
    op->Begin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsAtEnd",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsAtEnd();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NewCell",argv[1]))&&(argc == 2))
    {
    vtkGenericAdaptorCell  *temp20;
    temp20 = (op)->NewCell();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAdaptorCell");
    return TCL_OK;
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 3))
    {
    vtkGenericAdaptorCell  *temp0;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    if (!error)
    {
    op->GetCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 2))
    {
    vtkGenericAdaptorCell  *temp20;
    temp20 = (op)->GetCell();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAdaptorCell");
    return TCL_OK;
    }
  if ((!strcmp("Next",argv[1]))&&(argc == 2))
    {
    op->Next();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericCellIteratorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericCellIterator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Begin\n",NULL);
    Tcl_AppendResult(interp,"  IsAtEnd\n",NULL);
    Tcl_AppendResult(interp,"  NewCell\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\n",NULL);
    Tcl_AppendResult(interp,"  Next\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    Tcl_DStringAppendElement ( &dString, "IsAtEnd" );
    Tcl_DStringAppendElement ( &dString, "NewCell" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "Next" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK construction and type macros.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK construction and type macros.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK construction and type macros.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Begin */
    if ( strcmp ( argv[2], "Begin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Begin */
    Tcl_DStringAppendElement ( &dString, " Move iterator to first position if any (loop initialization).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Begin() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for Begin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsAtEnd */
    if ( strcmp ( argv[2], "IsAtEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsAtEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsAtEnd */
    Tcl_DStringAppendElement ( &dString, " Is the iterator at the end of traversal?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsAtEnd() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for IsAtEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewCell */
    if ( strcmp ( argv[2], "NewCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewCell */
    Tcl_DStringAppendElement ( &dString, " Create an empty cell. The user is responsible for deleting it.\n \\post result_exists: result!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkGenericAdaptorCell *NewCell() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for NewCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Get the cell at current position. The cell should be instantiated\n with the NewCell() method.\n \\pre not_at_end: !IsAtEnd()\n \\pre c_exists: c!=0\n THREAD SAFE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCell(vtkGenericAdaptorCell *c) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Get the cell at the current traversal position.\n NOT THREAD SAFE\n \\pre not_at_end: !IsAtEnd()\n \\post result_exits: result!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkGenericAdaptorCell *GetCell() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Next */
    if ( strcmp ( argv[2], "Next" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Next" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Next */
    Tcl_DStringAppendElement ( &dString, " Move the iterator to the next position in the list.\n \\pre not_at_end: !IsAtEnd()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Next() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    /* Closing for Next */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
