// tcl wrapper for vtkGenericInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericInterpolatedVelocityField.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGenericInterpolatedVelocityFieldNewCommand()
{
  vtkGenericInterpolatedVelocityField *temp = vtkGenericInterpolatedVelocityField::New();
  return static_cast<ClientData>(temp);
}

int vtkFunctionSetCppCommand(vtkFunctionSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericInterpolatedVelocityFieldCppCommand(vtkGenericInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericInterpolatedVelocityFieldCppCommand(static_cast<vtkGenericInterpolatedVelocityField *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericInterpolatedVelocityFieldCppCommand(vtkGenericInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericInterpolatedVelocityField",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkFunctionSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericInterpolatedVelocityField  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericInterpolatedVelocityField  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericInterpolatedVelocityField");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericInterpolatedVelocityField  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 3))
    {
    vtkGenericDataSet  *temp0;
    error = 0;

    temp0 = (vtkGenericDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericDataSet"),interp,error));
    if (!error)
    {
    op->AddDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLastCell",argv[1]))&&(argc == 2))
    {
    op->ClearLastCell();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastCell",argv[1]))&&(argc == 2))
    {
    vtkGenericAdaptorCell  *temp20;
    temp20 = (op)->GetLastCell();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAdaptorCell");
    return TCL_OK;
    }
  if ((!strcmp("GetLastLocalCoordinates",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetLastLocalCoordinates(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaching",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCaching();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCaching",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCaching(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CachingOn",argv[1]))&&(argc == 2))
    {
    op->CachingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CachingOff",argv[1]))&&(argc == 2))
    {
    op->CachingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheHit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheHit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheMiss",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheMiss();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVectorsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLastDataSet",argv[1]))&&(argc == 2))
    {
    vtkGenericDataSet  *temp20;
    temp20 = (op)->GetLastDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericDataSet");
    return TCL_OK;
    }
  if ((!strcmp("CopyParameters",argv[1]))&&(argc == 3))
    {
    vtkGenericInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkGenericInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericInterpolatedVelocityField"),interp,error));
    if (!error)
    {
    op->CopyParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericInterpolatedVelocityFieldCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericInterpolatedVelocityField:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearLastCell\n",NULL);
    Tcl_AppendResult(interp,"  GetLastCell\n",NULL);
    Tcl_AppendResult(interp,"  GetLastLocalCoordinates\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCaching\n",NULL);
    Tcl_AppendResult(interp,"  SetCaching\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CachingOn\n",NULL);
    Tcl_AppendResult(interp,"  CachingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheHit\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheMiss\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLastDataSet\n",NULL);
    Tcl_AppendResult(interp,"  CopyParameters\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    Tcl_DStringAppendElement ( &dString, "ClearLastCell" );
    Tcl_DStringAppendElement ( &dString, "GetLastCell" );
    Tcl_DStringAppendElement ( &dString, "GetLastLocalCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetCaching" );
    Tcl_DStringAppendElement ( &dString, "SetCaching" );
    Tcl_DStringAppendElement ( &dString, "CachingOn" );
    Tcl_DStringAppendElement ( &dString, "CachingOff" );
    Tcl_DStringAppendElement ( &dString, "GetCacheHit" );
    Tcl_DStringAppendElement ( &dString, "GetCacheMiss" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsSelection" );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSet" );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkFunctionSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a vtkGenericInterpolatedVelocityField with no initial data set.\n Caching is on. LastCellId is set to -1.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericInterpolatedVelocityField *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDataSet */
    if ( strcmp ( argv[2], "AddDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataSet */
    Tcl_DStringAppendElement ( &dString, " Add a dataset used for the implicit function evaluation.\n If more than one dataset is added, the evaluation point is\n searched in all until a match is found. THIS FUNCTION\n DOES NOT CHANGE THE REFERENCE COUNT OF dataset FOR THREAD\n SAFETY REASONS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDataSet(vtkGenericDataSet *dataset);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for AddDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLastCell */
    if ( strcmp ( argv[2], "ClearLastCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLastCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLastCell */
    Tcl_DStringAppendElement ( &dString, " Set the last cell id to -1 so that the next search does not\n start from the previous cell\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearLastCell();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for ClearLastCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastCell */
    if ( strcmp ( argv[2], "GetLastCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastCell */
    Tcl_DStringAppendElement ( &dString, " Return the cell cached from last evaluation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell *GetLastCell();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetLastCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastLocalCoordinates */
    if ( strcmp ( argv[2], "GetLastLocalCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastLocalCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastLocalCoordinates */
    Tcl_DStringAppendElement ( &dString, " Returns the interpolation weights cached from last evaluation\n if the cached cell is valid (returns 1). Otherwise, it does not\n change w and returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastLocalCoordinates(double pcoords\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetLastLocalCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaching */
    if ( strcmp ( argv[2], "GetCaching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaching */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCaching();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetCaching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaching */
    if ( strcmp ( argv[2], "SetCaching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaching */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCaching(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for SetCaching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CachingOn */
    if ( strcmp ( argv[2], "CachingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CachingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CachingOn */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void CachingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for CachingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CachingOff */
    if ( strcmp ( argv[2], "CachingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CachingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CachingOff */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void CachingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for CachingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheHit */
    if ( strcmp ( argv[2], "GetCacheHit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheHit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheHit */
    Tcl_DStringAppendElement ( &dString, " Caching statistics.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheHit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetCacheHit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheMiss */
    if ( strcmp ( argv[2], "GetCacheMiss" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheMiss" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheMiss */
    Tcl_DStringAppendElement ( &dString, " Caching statistics.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheMiss();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetCacheMiss */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsSelection */
    if ( strcmp ( argv[2], "GetVectorsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsSelection */
    Tcl_DStringAppendElement ( &dString, " If you want to work with an arbitrary vector array, then set its name \n here. By default this in NULL and the filter will use the active vector \n array.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorsSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetVectorsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectVectors */
    if ( strcmp ( argv[2], "SelectVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectVectors */
    Tcl_DStringAppendElement ( &dString, " If you want to work with an arbitrary vector array, then set its name \n here. By default this in NULL and the filter will use the active vector \n array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectVectors(const char *fieldName);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for SelectVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastDataSet */
    if ( strcmp ( argv[2], "GetLastDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastDataSet */
    Tcl_DStringAppendElement ( &dString, " Returns the last dataset that was visited. Can be used\n as a first guess as to where the next point will be as\n well as to avoid searching through all datasets to get\n more information about the point.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericDataSet *GetLastDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for GetLastDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyParameters */
    if ( strcmp ( argv[2], "CopyParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyParameters */
    Tcl_DStringAppendElement ( &dString, " Copy the user set parameters from source. This copies\n the Caching parameters. Sub-classes can add more after\n chaining.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyParameters(vtkGenericInterpolatedVelocityField *from);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    /* Closing for CopyParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
