// tcl wrapper for vtkGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraph.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphCppCommand(vtkGraph *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphCppCommand(static_cast<vtkGraph *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphCppCommand(vtkGraph *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraph",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraph  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraph");
    return TCL_OK;
    }
  if ((!strcmp("GetVertexData",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->GetVertexData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeData",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->GetEdgeData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetPoints();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("SetPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->SetPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeBounds",argv[1]))&&(argc == 2))
    {
    op->ComputeBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutEdges",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkOutEdgeIterator  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkOutEdgeIterator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkOutEdgeIterator"),interp,error));
    if (!error)
    {
    op->GetOutEdges(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDegree",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDegree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutDegree",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutDegree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutEdge",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkGraphEdge  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkGraphEdge *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkGraphEdge"),interp,error));
    if (!error)
    {
    op->GetOutEdge(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInEdges",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkInEdgeIterator  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInEdgeIterator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInEdgeIterator"),interp,error));
    if (!error)
    {
    op->GetInEdges(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInDegree",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInDegree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInEdge",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkGraphEdge  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkGraphEdge *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkGraphEdge"),interp,error));
    if (!error)
    {
    op->GetInEdge(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjacentVertices",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkAdjacentVertexIterator  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAdjacentVertexIterator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAdjacentVertexIterator"),interp,error));
    if (!error)
    {
    op->GetAdjacentVertices(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdges",argv[1]))&&(argc == 3))
    {
    vtkEdgeListIterator  *temp0;
    error = 0;

    temp0 = (vtkEdgeListIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEdgeListIterator"),interp,error));
    if (!error)
    {
    op->GetEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdges",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertices",argv[1]))&&(argc == 3))
    {
    vtkVertexListIterator  *temp0;
    error = 0;

    temp0 = (vtkVertexListIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVertexListIterator"),interp,error));
    if (!error)
    {
    op->GetVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVertices",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfVertices();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDistributedGraphHelper",argv[1]))&&(argc == 3))
    {
    vtkDistributedGraphHelper  *temp0;
    error = 0;

    temp0 = (vtkDistributedGraphHelper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDistributedGraphHelper"),interp,error));
    if (!error)
    {
    op->SetDistributedGraphHelper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistributedGraphHelper",argv[1]))&&(argc == 2))
    {
    vtkDistributedGraphHelper  *temp20;
    temp20 = (op)->GetDistributedGraphHelper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDistributedGraphHelper");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyStructure",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    op->CopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckedShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->CheckedShallowCopy(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckedDeepCopy",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->CheckedDeepCopy(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Squeeze",argv[1]))&&(argc == 2))
    {
    op->Squeeze();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkGraph  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraph");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 4))
    {
    vtkInformationVector  *temp0;
    int      temp1;
    vtkGraph  *temp20;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraph");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReorderOutVertices",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->ReorderOutVertices(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSameStructure",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsSameStructure(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceVertex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSourceVertex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetVertex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTargetVertex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdgePoints",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfEdgePoints(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgePoint",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgePoint(temp0,temp1);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearEdgePoints",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ClearEdgePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgePoint",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->SetEdgePoint(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddEdgePoint",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->AddEdgePoint(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopyEdgePoints",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    op->ShallowCopyEdgePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopyEdgePoints",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    op->DeepCopyEdgePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphInternals",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    vtkGraphInternals  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->GetGraphInternals(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphInternals");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInducedEdges",argv[1]))&&(argc == 4))
    {
    vtkIdTypeArray  *temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetInducedEdges(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributesAsFieldData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkFieldData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributesAsFieldData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldData");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfElements",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfElements(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Dump",argv[1]))&&(argc == 2))
    {
    op->Dump();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeId",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgeId(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToDirectedGraph",argv[1]))&&(argc == 3))
    {
    vtkDirectedGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkDirectedGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDirectedGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->ToDirectedGraph(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToUndirectedGraph",argv[1]))&&(argc == 3))
    {
    vtkUndirectedGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkUndirectedGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUndirectedGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->ToUndirectedGraph(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraph:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexData\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeData\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetOutEdges\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutEdge\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInEdges\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInEdge\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjacentVertices\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVertices\n",NULL);
    Tcl_AppendResult(interp,"  SetDistributedGraphHelper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistributedGraphHelper\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CheckedShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CheckedDeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Squeeze\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReorderOutVertices\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsSameStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgePoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearEdgePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgePoint\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddEdgePoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopyEdgePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopyEdgePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphInternals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInducedEdges\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesAsFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElements\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Dump\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ToDirectedGraph\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ToUndirectedGraph\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetVertexData" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeData" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetOutEdges" );
    Tcl_DStringAppendElement ( &dString, "GetDegree" );
    Tcl_DStringAppendElement ( &dString, "GetOutDegree" );
    Tcl_DStringAppendElement ( &dString, "GetOutEdge" );
    Tcl_DStringAppendElement ( &dString, "GetInEdges" );
    Tcl_DStringAppendElement ( &dString, "GetInDegree" );
    Tcl_DStringAppendElement ( &dString, "GetInEdge" );
    Tcl_DStringAppendElement ( &dString, "GetAdjacentVertices" );
    Tcl_DStringAppendElement ( &dString, "GetEdges" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "GetVertices" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    Tcl_DStringAppendElement ( &dString, "SetDistributedGraphHelper" );
    Tcl_DStringAppendElement ( &dString, "GetDistributedGraphHelper" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    Tcl_DStringAppendElement ( &dString, "CheckedShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "CheckedDeepCopy" );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "ReorderOutVertices" );
    Tcl_DStringAppendElement ( &dString, "IsSameStructure" );
    Tcl_DStringAppendElement ( &dString, "GetSourceVertex" );
    Tcl_DStringAppendElement ( &dString, "GetTargetVertex" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "GetEdgePoint" );
    Tcl_DStringAppendElement ( &dString, "ClearEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "SetEdgePoint" );
    Tcl_DStringAppendElement ( &dString, "AddEdgePoint" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopyEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "DeepCopyEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "GetGraphInternals" );
    Tcl_DStringAppendElement ( &dString, "GetInducedEdges" );
    Tcl_DStringAppendElement ( &dString, "GetAttributesAsFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElements" );
    Tcl_DStringAppendElement ( &dString, "Dump" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeId" );
    Tcl_DStringAppendElement ( &dString, "ToDirectedGraph" );
    Tcl_DStringAppendElement ( &dString, "ToUndirectedGraph" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexData */
    if ( strcmp ( argv[2], "GetVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexData */
    Tcl_DStringAppendElement ( &dString, " Get the vertex or edge data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes *GetVertexData();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeData */
    if ( strcmp ( argv[2], "GetEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeData */
    Tcl_DStringAppendElement ( &dString, " Get the vertex or edge data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes *GetEdgeData();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return what type of dataset this is.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize to an empty graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoints */
    if ( strcmp ( argv[2], "GetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoints */
    Tcl_DStringAppendElement ( &dString, " Returns the points array for this graph.\n If points is not yet constructed, generates and returns\n a new points array filled with (0,0,0) coordinates. In a\n distributed graph, only the points for local vertices can be\n retrieved or modified.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoints */
    if ( strcmp ( argv[2], "SetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoints */
    Tcl_DStringAppendElement ( &dString, " Returns the points array for this graph.\n If points is not yet constructed, generates and returns\n a new points array filled with (0,0,0) coordinates. In a\n distributed graph, only the points for local vertices can be\n retrieved or modified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoints(vtkPoints *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for SetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeBounds */
    if ( strcmp ( argv[2], "ComputeBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the bounds of the graph. In a distributed graph, this\n computes the bounds around the local part of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ComputeBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return a pointer to the geometry bounding box in the form\n (xmin,xmax, ymin,ymax, zmin,zmax). In a distributed graph, this\n computes the bounds around the local part of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " The modified time of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutEdges */
    if ( strcmp ( argv[2], "GetOutEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkOutEdgeIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutEdges */
    Tcl_DStringAppendElement ( &dString, " Initializes the out edge iterator to iterate over\n all outgoing edges of vertex v.  For an undirected graph,\n returns all incident edges. In a distributed graph, the vertex\n v must be local to this processor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetOutEdges(vtkIdType v, vtkOutEdgeIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetOutEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDegree */
    if ( strcmp ( argv[2], "GetDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDegree */
    Tcl_DStringAppendElement ( &dString, " The total of all incoming and outgoing vertices for vertex v.\n For undirected graphs, this is simply the number of edges incident\n to v. In a distributed graph, the vertex v must be local to this\n processor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetDegree(vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutDegree */
    if ( strcmp ( argv[2], "GetOutDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutDegree */
    Tcl_DStringAppendElement ( &dString, " The number of outgoing edges from vertex v.\n For undirected graphs, returns the same as GetDegree(). In a\n distributed graph, the vertex v must be local to this processor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetOutDegree(vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetOutDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutEdge */
    if ( strcmp ( argv[2], "GetOutEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphEdge" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutEdge */
    Tcl_DStringAppendElement ( &dString, " Random-access method for retrieving outgoing edges from vertex v.\n The method fills the vtkGraphEdge instance with the id, source, and\n target of the edge. This method is provided for wrappers,\n GetOutEdge(vtkIdType, vtkIdType) is preferred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetOutEdge(vtkIdType v, vtkIdType index, vtkGraphEdge *e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetOutEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInEdges */
    if ( strcmp ( argv[2], "GetInEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInEdgeIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInEdges */
    Tcl_DStringAppendElement ( &dString, " Initializes the in edge iterator to iterate over\n all incoming edges to vertex v.  For an undirected graph,\n returns all incident edges. In a distributed graph, the vertex\n v must be local to this processor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetInEdges(vtkIdType v, vtkInEdgeIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetInEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInDegree */
    if ( strcmp ( argv[2], "GetInDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInDegree */
    Tcl_DStringAppendElement ( &dString, " The number of incoming edges to vertex v.\n For undirected graphs, returns the same as GetDegree(). In a\n distributed graph, the vertex v must be local to this processor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetInDegree(vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetInDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInEdge */
    if ( strcmp ( argv[2], "GetInEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphEdge" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInEdge */
    Tcl_DStringAppendElement ( &dString, " Random-access method for retrieving incoming edges to vertex v.\n The method fills the vtkGraphEdge instance with the id, source, and\n target of the edge. This method is provided for wrappers,\n GetInEdge(vtkIdType, vtkIdType) is preferred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetInEdge(vtkIdType v, vtkIdType index, vtkGraphEdge *e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetInEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjacentVertices */
    if ( strcmp ( argv[2], "GetAdjacentVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjacentVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAdjacentVertexIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjacentVertices */
    Tcl_DStringAppendElement ( &dString, " Initializes the adjacent vertex iterator to iterate over\n all outgoing vertices from vertex v.  For an undirected graph,\n returns all adjacent vertices. In a distributed graph, the vertex\n v must be local to this processor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetAdjacentVertices(vtkIdType v, vtkAdjacentVertexIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetAdjacentVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdges */
    if ( strcmp ( argv[2], "GetEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeListIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdges */
    Tcl_DStringAppendElement ( &dString, " Initializes the edge list iterator to iterate over all\n edges in the graph. Edges may not be traversed in order of\n increasing edge id. In a distributed graph, this returns edges\n that are stored locally.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetEdges(vtkEdgeListIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdges */
    if ( strcmp ( argv[2], "GetNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, " The number of edges in the graph. In a distributed graph,\n this returns the number of edges stored locally.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertices */
    if ( strcmp ( argv[2], "GetVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVertexListIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertices */
    Tcl_DStringAppendElement ( &dString, " Initializes the vertex list iterator to iterate over all\n vertices in the graph. In a distributed graph, the iterator\n traverses all local vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetVertices(vtkVertexListIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVertices */
    if ( strcmp ( argv[2], "GetNumberOfVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVertices */
    Tcl_DStringAppendElement ( &dString, " The number of vertices in the graph. In a distributed graph,\n returns the number of local vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetNumberOfVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistributedGraphHelper */
    if ( strcmp ( argv[2], "SetDistributedGraphHelper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistributedGraphHelper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedGraphHelper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistributedGraphHelper */
    Tcl_DStringAppendElement ( &dString, " Sets the distributed graph helper of this graph, turning it into a\n distributed graph. This operation can only be executed on an empty\n graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistributedGraphHelper(vtkDistributedGraphHelper *helper);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for SetDistributedGraphHelper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistributedGraphHelper */
    if ( strcmp ( argv[2], "GetDistributedGraphHelper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistributedGraphHelper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistributedGraphHelper */
    Tcl_DStringAppendElement ( &dString, " Retrieves the distributed graph helper for this graph\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedGraphHelper *GetDistributedGraphHelper();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetDistributedGraphHelper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copies the data object into this graph.\n If it is an incompatible graph, reports an error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkDataObject *obj);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copies the data object into this graph.\n If it is an incompatible graph, reports an error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkDataObject *obj);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyStructure */
    if ( strcmp ( argv[2], "CopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyStructure */
    Tcl_DStringAppendElement ( &dString, " Does a shallow copy of the topological information,\n but not the associated attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyStructure(vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for CopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckedShallowCopy */
    if ( strcmp ( argv[2], "CheckedShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckedShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckedShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Performs the same operation as ShallowCopy(),\n but instead of reporting an error for an incompatible graph,\n returns false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool CheckedShallowCopy(vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for CheckedShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckedDeepCopy */
    if ( strcmp ( argv[2], "CheckedDeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckedDeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckedDeepCopy */
    Tcl_DStringAppendElement ( &dString, " Performs the same operation as DeepCopy(),\n but instead of reporting an error for an incompatible graph,\n returns false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool CheckedDeepCopy(vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for CheckedDeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Squeeze */
    if ( strcmp ( argv[2], "Squeeze" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Squeeze */
    Tcl_DStringAppendElement ( &dString, " Reclaim unused memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Squeeze();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for Squeeze */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve a graph from an information vector.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraph *GetData(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve a graph from an information vector.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraph *GetData(vtkInformationVector *v, int i=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReorderOutVertices */
    if ( strcmp ( argv[2], "ReorderOutVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReorderOutVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReorderOutVertices */
    Tcl_DStringAppendElement ( &dString, " Reorder the outgoing vertices of a vertex.\n The vertex list must have the same elements as the current out edge\n list, just in a different order.\n This method does not change the topology of the graph.\n In a distributed graph, the vertex v must be local.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReorderOutVertices(vtkIdType v, vtkIdTypeArray *vertices);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ReorderOutVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSameStructure */
    if ( strcmp ( argv[2], "IsSameStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSameStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSameStructure */
    Tcl_DStringAppendElement ( &dString, " Returns true if both graphs point to the same adjacency structure.\n Can be used to test the copy-on-write feature of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsSameStructure(vtkGraph *other);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for IsSameStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSourceVertex */
    if ( strcmp ( argv[2], "GetSourceVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSourceVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSourceVertex */
    Tcl_DStringAppendElement ( &dString, " Retrieve the source and target vertices for an edge id.\n NOTE: The first time this is called, the graph will build\n a mapping array from edge id to source/target that is the\n same size as the number of edges in the graph. If you have\n access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or\n vtkGraphEdge, you should directly use these structures\n to look up the source or target instead of this method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetSourceVertex(vtkIdType e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetSourceVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetVertex */
    if ( strcmp ( argv[2], "GetTargetVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetVertex */
    Tcl_DStringAppendElement ( &dString, " Retrieve the source and target vertices for an edge id.\n NOTE: The first time this is called, the graph will build\n a mapping array from edge id to source/target that is the\n same size as the number of edges in the graph. If you have\n access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or\n vtkGraphEdge, you should directly use these structures\n to look up the source or target instead of this method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTargetVertex(vtkIdType e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetTargetVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgePoints */
    if ( strcmp ( argv[2], "GetNumberOfEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgePoints */
    Tcl_DStringAppendElement ( &dString, " Get the number of edge points associated with an edge.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfEdgePoints(vtkIdType e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetNumberOfEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgePoint */
    if ( strcmp ( argv[2], "GetEdgePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgePoint */
    Tcl_DStringAppendElement ( &dString, " Get the x,y,z location of a point along edge e.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetEdgePoint(vtkIdType e, vtkIdType i);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetEdgePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearEdgePoints */
    if ( strcmp ( argv[2], "ClearEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearEdgePoints */
    Tcl_DStringAppendElement ( &dString, " Clear all points associated with an edge.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearEdgePoints(vtkIdType e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ClearEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgePoint */
    if ( strcmp ( argv[2], "SetEdgePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgePoint */
    Tcl_DStringAppendElement ( &dString, " Set an x,y,z location of a point along an edge.\n This assumes there is already a point at location i, and simply\n overwrites it.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgePoint(vtkIdType e, vtkIdType i, double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for SetEdgePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddEdgePoint */
    if ( strcmp ( argv[2], "AddEdgePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddEdgePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddEdgePoint */
    Tcl_DStringAppendElement ( &dString, " Adds a point to the end of the list of edge points for a certain edge.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddEdgePoint(vtkIdType e, double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for AddEdgePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopyEdgePoints */
    if ( strcmp ( argv[2], "ShallowCopyEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopyEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopyEdgePoints */
    Tcl_DStringAppendElement ( &dString, " Copy the internal edge point data from another graph into this graph.\n Both graphs must have the same number of edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopyEdgePoints(vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ShallowCopyEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopyEdgePoints */
    if ( strcmp ( argv[2], "DeepCopyEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopyEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopyEdgePoints */
    Tcl_DStringAppendElement ( &dString, " Copy the internal edge point data from another graph into this graph.\n Both graphs must have the same number of edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopyEdgePoints(vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for DeepCopyEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphInternals */
    if ( strcmp ( argv[2], "GetGraphInternals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphInternals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphInternals */
    Tcl_DStringAppendElement ( &dString, " Returns the internal representation of the graph. If modifying is\n true, then the returned vtkGraphInternals object will be unique to\n this vtkGraph object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphInternals *GetGraphInternals(bool modifying);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetGraphInternals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInducedEdges */
    if ( strcmp ( argv[2], "GetInducedEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInducedEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInducedEdges */
    Tcl_DStringAppendElement ( &dString, " Fills a list of edge indices with the edges contained in the induced\n subgraph formed by the vertices in the vertex list.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetInducedEdges(vtkIdTypeArray *verts, vtkIdTypeArray *edges);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetInducedEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributesAsFieldData */
    if ( strcmp ( argv[2], "GetAttributesAsFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributesAsFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributesAsFieldData */
    Tcl_DStringAppendElement ( &dString, " Returns the attributes of the data object as a vtkFieldData.\n This returns non-null values in all the same cases as GetAttributes,\n in addition to the case of FIELD, which will return the field data\n for any vtkDataObject subclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkFieldData *GetAttributesAsFieldData(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetAttributesAsFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElements */
    if ( strcmp ( argv[2], "GetNumberOfElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElements */
    Tcl_DStringAppendElement ( &dString, " Get the number of elements for a specific attribute type (VERTEX, EDGE, etc.).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfElements(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetNumberOfElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Dump */
    if ( strcmp ( argv[2], "Dump" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Dump" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Dump */
    Tcl_DStringAppendElement ( &dString, " Dump the contents of the graph to standard output.\n" );
    Tcl_DStringAppendElement ( &dString, "void Dump();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for Dump */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeId */
    if ( strcmp ( argv[2], "GetEdgeId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeId */
    Tcl_DStringAppendElement ( &dString, " Returns the Id of the edge between vertex a and vertex b.\n This is independent of directionality of the edge, that is,\n if edge A->B exists or if edge B->A exists, this function will\n return its Id. If multiple edges exist between a and b, here is no guarantee\n about which one will be returned.\n Returns -1 if no edge exists between a and b.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetEdgeId(vtkIdType a, vtkIdType b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetEdgeId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToDirectedGraph */
    if ( strcmp ( argv[2], "ToDirectedGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToDirectedGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDirectedGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToDirectedGraph */
    Tcl_DStringAppendElement ( &dString, " Convert the graph to a directed graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool ToDirectedGraph(vtkDirectedGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ToDirectedGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToUndirectedGraph */
    if ( strcmp ( argv[2], "ToUndirectedGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToUndirectedGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUndirectedGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToUndirectedGraph */
    Tcl_DStringAppendElement ( &dString, " Convert the graph to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool ToUndirectedGraph(vtkUndirectedGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ToUndirectedGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
