// python wrapper for vtkGraphWeightEuclideanDistanceFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGraphWeightEuclideanDistanceFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGraphWeightEuclideanDistanceFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGraphWeightEuclideanDistanceFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphWeightEuclideanDistanceFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphWeightEuclideanDistanceFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGraphWeightFilterNew
extern "C" { PyObject *PyVTKClass_vtkGraphWeightFilterNew(const char *); }
#define DECLARED_PyVTKClass_vtkGraphWeightFilterNew
#endif

static const char **PyvtkGraphWeightEuclideanDistanceFilter_Doc();


static PyObject *
PyvtkGraphWeightEuclideanDistanceFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphWeightEuclideanDistanceFilter *op = static_cast<vtkGraphWeightEuclideanDistanceFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGraphWeightEuclideanDistanceFilter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGraphWeightEuclideanDistanceFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphWeightEuclideanDistanceFilter *op = static_cast<vtkGraphWeightEuclideanDistanceFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGraphWeightEuclideanDistanceFilter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGraphWeightEuclideanDistanceFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphWeightEuclideanDistanceFilter *op = static_cast<vtkGraphWeightEuclideanDistanceFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGraphWeightEuclideanDistanceFilter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGraphWeightEuclideanDistanceFilter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGraphWeightEuclideanDistanceFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGraphWeightEuclideanDistanceFilter *tempr = vtkGraphWeightEuclideanDistanceFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkGraphWeightEuclideanDistanceFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkGraphWeightEuclideanDistanceFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGraphWeightEuclideanDistanceFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGraphWeightEuclideanDistanceFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphWeightEuclideanDistanceFilter\nC++: vtkGraphWeightEuclideanDistanceFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGraphWeightEuclideanDistanceFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphWeightEuclideanDistanceFilter\nC++: vtkGraphWeightEuclideanDistanceFilter *SafeDownCast(\n    vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGraphWeightEuclideanDistanceFilter_StaticNew()
{
  return vtkGraphWeightEuclideanDistanceFilter::New();
}

PyObject *PyVTKClass_vtkGraphWeightEuclideanDistanceFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGraphWeightEuclideanDistanceFilter_StaticNew,
    PyvtkGraphWeightEuclideanDistanceFilter_Methods,
    "vtkGraphWeightEuclideanDistanceFilter", modulename,
    NULL, NULL,
    PyvtkGraphWeightEuclideanDistanceFilter_Doc(),
    PyVTKClass_vtkGraphWeightFilterNew(modulename));
  return cls;
}

const char **PyvtkGraphWeightEuclideanDistanceFilter_Doc()
{
  static const char *docstring[] = {
    "vtkGraphWeightEuclideanDistanceFilter - Weights the edges of a\n\n",
    "Superclass: vtkGraphWeightFilter\n\n",
    "Weights the edges of a graph based on the Euclidean distance between\nthe points.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGraphWeightEuclideanDistanceFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGraphWeightEuclideanDistanceFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGraphWeightEuclideanDistanceFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

