// tcl wrapper for vtkImageSincInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSincInterpolator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageSincInterpolatorNewCommand()
{
  vtkImageSincInterpolator *temp = vtkImageSincInterpolator::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractImageInterpolatorCppCommand(vtkAbstractImageInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageSincInterpolatorCppCommand(vtkImageSincInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageSincInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageSincInterpolatorCppCommand(static_cast<vtkImageSincInterpolator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageSincInterpolatorCppCommand(vtkImageSincInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageSincInterpolator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractImageInterpolatorCppCommand(static_cast<vtkAbstractImageInterpolator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractImageInterpolator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageSincInterpolator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSincInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageSincInterpolator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSincInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageSincInterpolator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSincInterpolator");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWindowFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWindowFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWindowFunctionToLanczos",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToLanczos();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToKaiser",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToKaiser();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToCosine",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToCosine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToHann",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToHann();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToHamming",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToHamming();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToBlackman",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToBlackman();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToBlackmanHarris3",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToBlackmanHarris3();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToBlackmanHarris4",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToBlackmanHarris4();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToNuttall",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToNuttall();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToBlackmanNuttall3",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToBlackmanNuttall3();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowFunctionToBlackmanNuttall4",argv[1]))&&(argc == 2))
    {
    op->SetWindowFunctionToBlackmanNuttall4();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWindowFunction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWindowFunction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWindowFunctionAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetWindowFunctionAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWindowHalfWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWindowHalfWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowHalfWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWindowHalfWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseWindowParameter",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseWindowParameter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseWindowParameterOn",argv[1]))&&(argc == 2))
    {
    op->UseWindowParameterOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseWindowParameterOff",argv[1]))&&(argc == 2))
    {
    op->UseWindowParameterOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUseWindowParameter",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseWindowParameter();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowParameter",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWindowParameter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowParameter",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWindowParameter();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBlurFactors",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBlurFactors(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBlurFactors",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBlurFactors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlurFactors",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetBlurFactors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlurFactors",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBlurFactors();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAntialiasing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAntialiasing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AntialiasingOn",argv[1]))&&(argc == 2))
    {
    op->AntialiasingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AntialiasingOff",argv[1]))&&(argc == 2))
    {
    op->AntialiasingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAntialiasing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAntialiasing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenormalization",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenormalization(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenormalizationOn",argv[1]))&&(argc == 2))
    {
    op->RenormalizationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenormalizationOff",argv[1]))&&(argc == 2))
    {
    op->RenormalizationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRenormalization",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenormalization();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsSeparable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsSeparable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageSincInterpolatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractImageInterpolatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageSincInterpolator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToLanczos\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToKaiser\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToCosine\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToHann\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToHamming\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToBlackman\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToBlackmanHarris3\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToBlackmanHarris4\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToNuttall\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToBlackmanNuttall3\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowFunctionToBlackmanNuttall4\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowFunction\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowFunctionAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowHalfWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowHalfWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetUseWindowParameter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseWindowParameterOn\n",NULL);
    Tcl_AppendResult(interp,"  UseWindowParameterOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUseWindowParameter\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowParameter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowParameter\n",NULL);
    Tcl_AppendResult(interp,"  SetBlurFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBlurFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBlurFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBlurFactors\n",NULL);
    Tcl_AppendResult(interp,"  SetAntialiasing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AntialiasingOn\n",NULL);
    Tcl_AppendResult(interp,"  AntialiasingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAntialiasing\n",NULL);
    Tcl_AppendResult(interp,"  SetRenormalization\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenormalizationOn\n",NULL);
    Tcl_AppendResult(interp,"  RenormalizationOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRenormalization\n",NULL);
    Tcl_AppendResult(interp,"  IsSeparable\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractImageInterpolatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunction" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToLanczos" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToKaiser" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToCosine" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToHann" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToHamming" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackman" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanHarris3" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanHarris4" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToNuttall" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanNuttall3" );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanNuttall4" );
    Tcl_DStringAppendElement ( &dString, "GetWindowFunction" );
    Tcl_DStringAppendElement ( &dString, "GetWindowFunctionAsString" );
    Tcl_DStringAppendElement ( &dString, "SetWindowHalfWidth" );
    Tcl_DStringAppendElement ( &dString, "GetWindowHalfWidth" );
    Tcl_DStringAppendElement ( &dString, "SetUseWindowParameter" );
    Tcl_DStringAppendElement ( &dString, "UseWindowParameterOn" );
    Tcl_DStringAppendElement ( &dString, "UseWindowParameterOff" );
    Tcl_DStringAppendElement ( &dString, "GetUseWindowParameter" );
    Tcl_DStringAppendElement ( &dString, "SetWindowParameter" );
    Tcl_DStringAppendElement ( &dString, "GetWindowParameter" );
    Tcl_DStringAppendElement ( &dString, "SetBlurFactors" );
    Tcl_DStringAppendElement ( &dString, "SetBlurFactors" );
    Tcl_DStringAppendElement ( &dString, "GetBlurFactors" );
    Tcl_DStringAppendElement ( &dString, "GetBlurFactors" );
    Tcl_DStringAppendElement ( &dString, "SetAntialiasing" );
    Tcl_DStringAppendElement ( &dString, "AntialiasingOn" );
    Tcl_DStringAppendElement ( &dString, "AntialiasingOff" );
    Tcl_DStringAppendElement ( &dString, "GetAntialiasing" );
    Tcl_DStringAppendElement ( &dString, "SetRenormalization" );
    Tcl_DStringAppendElement ( &dString, "RenormalizationOn" );
    Tcl_DStringAppendElement ( &dString, "RenormalizationOff" );
    Tcl_DStringAppendElement ( &dString, "GetRenormalization" );
    Tcl_DStringAppendElement ( &dString, "IsSeparable" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractImageInterpolatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageSincInterpolator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunction */
    if ( strcmp ( argv[2], "SetWindowFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunction */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWindowFunction(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToLanczos */
    if ( strcmp ( argv[2], "SetWindowFunctionToLanczos" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToLanczos" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToLanczos */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToLanczos();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToLanczos */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToKaiser */
    if ( strcmp ( argv[2], "SetWindowFunctionToKaiser" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToKaiser" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToKaiser */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToKaiser();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToKaiser */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToCosine */
    if ( strcmp ( argv[2], "SetWindowFunctionToCosine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToCosine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToCosine */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToCosine();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToCosine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToHann */
    if ( strcmp ( argv[2], "SetWindowFunctionToHann" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToHann" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToHann */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToHann();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToHann */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToHamming */
    if ( strcmp ( argv[2], "SetWindowFunctionToHamming" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToHamming" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToHamming */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToHamming();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToHamming */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToBlackman */
    if ( strcmp ( argv[2], "SetWindowFunctionToBlackman" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackman" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToBlackman */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToBlackman();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToBlackman */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToBlackmanHarris3 */
    if ( strcmp ( argv[2], "SetWindowFunctionToBlackmanHarris3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanHarris3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToBlackmanHarris3 */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToBlackmanHarris3();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToBlackmanHarris3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToBlackmanHarris4 */
    if ( strcmp ( argv[2], "SetWindowFunctionToBlackmanHarris4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanHarris4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToBlackmanHarris4 */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToBlackmanHarris4();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToBlackmanHarris4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToNuttall */
    if ( strcmp ( argv[2], "SetWindowFunctionToNuttall" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToNuttall" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToNuttall */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToNuttall();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToNuttall */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToBlackmanNuttall3 */
    if ( strcmp ( argv[2], "SetWindowFunctionToBlackmanNuttall3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanNuttall3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToBlackmanNuttall3 */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToBlackmanNuttall3();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToBlackmanNuttall3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowFunctionToBlackmanNuttall4 */
    if ( strcmp ( argv[2], "SetWindowFunctionToBlackmanNuttall4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowFunctionToBlackmanNuttall4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowFunctionToBlackmanNuttall4 */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowFunctionToBlackmanNuttall4();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowFunctionToBlackmanNuttall4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowFunction */
    if ( strcmp ( argv[2], "GetWindowFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowFunction */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWindowFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetWindowFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowFunctionAsString */
    if ( strcmp ( argv[2], "GetWindowFunctionAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowFunctionAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowFunctionAsString */
    Tcl_DStringAppendElement ( &dString, " The window function to use.  The default is Lanczos, which is very\n popular and performs well with a kernel width of 6.  The Cosine\n window is included for historical reasons.  All other windows are\n described in AH Nuttall, \"Some windows with very good sidelobe\n behavior,\" IEEE Transactions on Acoustics, Speech, and Signal\n Processing 29:84-91, 1981.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetWindowFunctionAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetWindowFunctionAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowHalfWidth */
    if ( strcmp ( argv[2], "SetWindowHalfWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowHalfWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowHalfWidth */
    Tcl_DStringAppendElement ( &dString, " Set the window half-width, this must be an integer between 1 and 16,\n with a default value of 3.  The kernel size will be twice this value\n if no blur factors are applied. The total number of sinc lobes will\n be one less than twice the half-width, so if the half-width is 3 then\n the kernel size will be 6 and there will be 5 sinc lobes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowHalfWidth(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowHalfWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowHalfWidth */
    if ( strcmp ( argv[2], "GetWindowHalfWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowHalfWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowHalfWidth */
    Tcl_DStringAppendElement ( &dString, " Set the window half-width, this must be an integer between 1 and 16,\n with a default value of 3.  The kernel size will be twice this value\n if no blur factors are applied. The total number of sinc lobes will\n be one less than twice the half-width, so if the half-width is 3 then\n the kernel size will be 6 and there will be 5 sinc lobes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWindowHalfWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetWindowHalfWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseWindowParameter */
    if ( strcmp ( argv[2], "SetUseWindowParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseWindowParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseWindowParameter */
    Tcl_DStringAppendElement ( &dString, " Turn this on in order to use SetWindowParameter.  If it is off,\n then the default parameter will be used for the window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseWindowParameter(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetUseWindowParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseWindowParameterOn */
    if ( strcmp ( argv[2], "UseWindowParameterOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseWindowParameterOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseWindowParameterOn */
    Tcl_DStringAppendElement ( &dString, " Turn this on in order to use SetWindowParameter.  If it is off,\n then the default parameter will be used for the window.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseWindowParameterOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for UseWindowParameterOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseWindowParameterOff */
    if ( strcmp ( argv[2], "UseWindowParameterOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseWindowParameterOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseWindowParameterOff */
    Tcl_DStringAppendElement ( &dString, " Turn this on in order to use SetWindowParameter.  If it is off,\n then the default parameter will be used for the window.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseWindowParameterOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for UseWindowParameterOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseWindowParameter */
    if ( strcmp ( argv[2], "GetUseWindowParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseWindowParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseWindowParameter */
    Tcl_DStringAppendElement ( &dString, " Turn this on in order to use SetWindowParameter.  If it is off,\n then the default parameter will be used for the window.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseWindowParameter();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetUseWindowParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowParameter */
    if ( strcmp ( argv[2], "SetWindowParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowParameter */
    Tcl_DStringAppendElement ( &dString, " Set a window function parameter.  The way this parameter is used\n will depend on the window function, for now it is only used by\n the Kaiser window (which by default uses the value 3*n where n is\n the window half-width).  This parameter will be ignored unless\n UseWindowParameter is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowParameter(double parm);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetWindowParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowParameter */
    if ( strcmp ( argv[2], "GetWindowParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowParameter */
    Tcl_DStringAppendElement ( &dString, " Set a window function parameter.  The way this parameter is used\n will depend on the window function, for now it is only used by\n the Kaiser window (which by default uses the value 3*n where n is\n the window half-width).  This parameter will be ignored unless\n UseWindowParameter is On.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWindowParameter();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetWindowParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlurFactors */
    if ( strcmp ( argv[2], "SetBlurFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlurFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlurFactors */
    Tcl_DStringAppendElement ( &dString, " Blur the image by widening the windowed sinc kernel by the specified\n factors for the x, y, and z directions.  This reduces the bandwidth\n by these same factors.  If you turn Antialiasing on, then the blur\n factors will be computed automatically from the output sampling rate.\n Blurring increases the computation time because the kernel size\n increases by the blur factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlurFactors(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetBlurFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlurFactors */
    if ( strcmp ( argv[2], "SetBlurFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlurFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlurFactors */
    Tcl_DStringAppendElement ( &dString, " Blur the image by widening the windowed sinc kernel by the specified\n factors for the x, y, and z directions.  This reduces the bandwidth\n by these same factors.  If you turn Antialiasing on, then the blur\n factors will be computed automatically from the output sampling rate.\n Blurring increases the computation time because the kernel size\n increases by the blur factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlurFactors(const double f\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetBlurFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlurFactors */
    if ( strcmp ( argv[2], "GetBlurFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlurFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlurFactors */
    Tcl_DStringAppendElement ( &dString, " Blur the image by widening the windowed sinc kernel by the specified\n factors for the x, y, and z directions.  This reduces the bandwidth\n by these same factors.  If you turn Antialiasing on, then the blur\n factors will be computed automatically from the output sampling rate.\n Blurring increases the computation time because the kernel size\n increases by the blur factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBlurFactors(double f\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetBlurFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlurFactors */
    if ( strcmp ( argv[2], "GetBlurFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlurFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlurFactors */
    Tcl_DStringAppendElement ( &dString, " Blur the image by widening the windowed sinc kernel by the specified\n factors for the x, y, and z directions.  This reduces the bandwidth\n by these same factors.  If you turn Antialiasing on, then the blur\n factors will be computed automatically from the output sampling rate.\n Blurring increases the computation time because the kernel size\n increases by the blur factor.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBlurFactors();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetBlurFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAntialiasing */
    if ( strcmp ( argv[2], "SetAntialiasing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAntialiasing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAntialiasing */
    Tcl_DStringAppendElement ( &dString, " Turn on antialiasing.  If antialiasing is on, then the BlurFactors\n will be computed automatically from the output sampling rate such that\n that the image will be bandlimited to the Nyquist frequency.  This\n is only applicable when the interpolator is being used by a resampling\n filter like vtkImageReslice.  Such a filter will indicate the output\n sampling by calling the interpolator's ComputeSupportSize() method,\n which will compute the blur factors at the same time  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAntialiasing(int antialiasing);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetAntialiasing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AntialiasingOn */
    if ( strcmp ( argv[2], "AntialiasingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AntialiasingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AntialiasingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on antialiasing.  If antialiasing is on, then the BlurFactors\n will be computed automatically from the output sampling rate such that\n that the image will be bandlimited to the Nyquist frequency.  This\n is only applicable when the interpolator is being used by a resampling\n filter like vtkImageReslice.  Such a filter will indicate the output\n sampling by calling the interpolator's ComputeSupportSize() method,\n which will compute the blur factors at the same time  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void AntialiasingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for AntialiasingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AntialiasingOff */
    if ( strcmp ( argv[2], "AntialiasingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AntialiasingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AntialiasingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on antialiasing.  If antialiasing is on, then the BlurFactors\n will be computed automatically from the output sampling rate such that\n that the image will be bandlimited to the Nyquist frequency.  This\n is only applicable when the interpolator is being used by a resampling\n filter like vtkImageReslice.  Such a filter will indicate the output\n sampling by calling the interpolator's ComputeSupportSize() method,\n which will compute the blur factors at the same time  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void AntialiasingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for AntialiasingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAntialiasing */
    if ( strcmp ( argv[2], "GetAntialiasing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAntialiasing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAntialiasing */
    Tcl_DStringAppendElement ( &dString, " Turn on antialiasing.  If antialiasing is on, then the BlurFactors\n will be computed automatically from the output sampling rate such that\n that the image will be bandlimited to the Nyquist frequency.  This\n is only applicable when the interpolator is being used by a resampling\n filter like vtkImageReslice.  Such a filter will indicate the output\n sampling by calling the interpolator's ComputeSupportSize() method,\n which will compute the blur factors at the same time  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAntialiasing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetAntialiasing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenormalization */
    if ( strcmp ( argv[2], "SetRenormalization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenormalization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenormalization */
    Tcl_DStringAppendElement ( &dString, " Turn off renormalization.  Most of the sinc windows provide kernels\n for which the weights do not sum to one, and for which the sum depends\n on the offset.  Ths results in small ripple artifacts in the output.\n By default, the vtkImageSincInterpolator will renormalize these kernels.\n This method allows the renormalization to be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenormalization(int antialiasing);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for SetRenormalization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenormalizationOn */
    if ( strcmp ( argv[2], "RenormalizationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenormalizationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenormalizationOn */
    Tcl_DStringAppendElement ( &dString, " Turn off renormalization.  Most of the sinc windows provide kernels\n for which the weights do not sum to one, and for which the sum depends\n on the offset.  Ths results in small ripple artifacts in the output.\n By default, the vtkImageSincInterpolator will renormalize these kernels.\n This method allows the renormalization to be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenormalizationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for RenormalizationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenormalizationOff */
    if ( strcmp ( argv[2], "RenormalizationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenormalizationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenormalizationOff */
    Tcl_DStringAppendElement ( &dString, " Turn off renormalization.  Most of the sinc windows provide kernels\n for which the weights do not sum to one, and for which the sum depends\n on the offset.  Ths results in small ripple artifacts in the output.\n By default, the vtkImageSincInterpolator will renormalize these kernels.\n This method allows the renormalization to be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenormalizationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for RenormalizationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenormalization */
    if ( strcmp ( argv[2], "GetRenormalization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenormalization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenormalization */
    Tcl_DStringAppendElement ( &dString, " Turn off renormalization.  Most of the sinc windows provide kernels\n for which the weights do not sum to one, and for which the sum depends\n on the offset.  Ths results in small ripple artifacts in the output.\n By default, the vtkImageSincInterpolator will renormalize these kernels.\n This method allows the renormalization to be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRenormalization();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for GetRenormalization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSeparable */
    if ( strcmp ( argv[2], "IsSeparable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSeparable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSeparable */
    Tcl_DStringAppendElement ( &dString, " Returns true if the interpolator supports weight precomputation.\n This will always return true for this interpolator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsSeparable();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSincInterpolator" );
    /* Closing for IsSeparable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractImageInterpolatorCppCommand(static_cast<vtkAbstractImageInterpolator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
