// python wrapper for vtkImageToStructuredGrid
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageToStructuredGrid.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageToStructuredGrid(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageToStructuredGrid(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageToStructuredGridNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageToStructuredGridNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkStructuredGridAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkStructuredGridAlgorithmNew
#endif

static const char **PyvtkImageToStructuredGrid_Doc();


static PyObject *
PyvtkImageToStructuredGrid_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageToStructuredGrid *op = static_cast<vtkImageToStructuredGrid *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkImageToStructuredGrid::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageToStructuredGrid_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageToStructuredGrid *op = static_cast<vtkImageToStructuredGrid *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkImageToStructuredGrid::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageToStructuredGrid_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageToStructuredGrid *op = static_cast<vtkImageToStructuredGrid *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageToStructuredGrid *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkImageToStructuredGrid::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageToStructuredGrid_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkImageToStructuredGrid *tempr = vtkImageToStructuredGrid::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageToStructuredGrid_Methods[] = {
  {(char*)"GetClassName", PyvtkImageToStructuredGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageToStructuredGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageToStructuredGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageToStructuredGrid\nC++: vtkImageToStructuredGrid *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageToStructuredGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageToStructuredGrid\nC++: vtkImageToStructuredGrid *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageToStructuredGrid_StaticNew()
{
  return vtkImageToStructuredGrid::New();
}

PyObject *PyVTKClass_vtkImageToStructuredGridNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageToStructuredGrid_StaticNew,
    PyvtkImageToStructuredGrid_Methods,
    "vtkImageToStructuredGrid", modulename,
    NULL, NULL,
    PyvtkImageToStructuredGrid_Doc(),
    PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageToStructuredGrid_Doc()
{
  static const char *docstring[] = {
    "vtkImageToStructuredGrid.h -- A filter to convert image data to\n\n",
    "Superclass: vtkStructuredGridAlgorithm\n\n",
    "A concrete instance of vtkStructuredGridAlgorithm which provides\nfunctionality for converting instances of vtkImageData to\nvtkStructuredGrid.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageToStructuredGrid(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageToStructuredGridNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageToStructuredGrid", o) != 0)
    {
    Py_DECREF(o);
    }

}

