// python wrapper for vtkLinearSelector
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkLinearSelector.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkLinearSelector(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkLinearSelector(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLinearSelectorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLinearSelectorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
#endif

static const char **PyvtkLinearSelector_Doc();


static PyObject *
PyvtkLinearSelector_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkLinearSelector::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkLinearSelector::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkLinearSelector *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkLinearSelector::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkLinearSelector *tempr = vtkLinearSelector::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_SetStartPoint_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStartPoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetStartPoint(temp0, temp1, temp2);
      }
    else
      {
      op->vtkLinearSelector::SetStartPoint(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkLinearSelector_SetStartPoint_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStartPoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetStartPoint(temp0);
      }
    else
      {
      op->vtkLinearSelector::SetStartPoint(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkLinearSelector_SetStartPoint(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkLinearSelector_SetStartPoint_s1(self, args);
    case 1:
      return PyvtkLinearSelector_SetStartPoint_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetStartPoint");
  return NULL;
}



static PyObject *
PyvtkLinearSelector_GetStartPoint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStartPoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double *tempr = (ap.IsBound() ?
      op->GetStartPoint() :
      op->vtkLinearSelector::GetStartPoint());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_SetEndPoint_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEndPoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetEndPoint(temp0, temp1, temp2);
      }
    else
      {
      op->vtkLinearSelector::SetEndPoint(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkLinearSelector_SetEndPoint_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEndPoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetEndPoint(temp0);
      }
    else
      {
      op->vtkLinearSelector::SetEndPoint(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkLinearSelector_SetEndPoint(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkLinearSelector_SetEndPoint_s1(self, args);
    case 1:
      return PyvtkLinearSelector_SetEndPoint_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetEndPoint");
  return NULL;
}



static PyObject *
PyvtkLinearSelector_GetEndPoint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEndPoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double *tempr = (ap.IsBound() ?
      op->GetEndPoint() :
      op->vtkLinearSelector::GetEndPoint());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_SetPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  vtkPoints *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPoints"))
    {
    if (ap.IsBound())
      {
      op->SetPoints(temp0);
      }
    else
      {
      op->vtkLinearSelector::SetPoints(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_GetPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPoints *tempr = (ap.IsBound() ?
      op->GetPoints() :
      op->vtkLinearSelector::GetPoints());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_SetTolerance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTolerance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTolerance(temp0);
      }
    else
      {
      op->vtkLinearSelector::SetTolerance(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_GetTolerance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTolerance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetTolerance() :
      op->vtkLinearSelector::GetTolerance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_SetIncludeVertices(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIncludeVertices");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIncludeVertices(temp0);
      }
    else
      {
      op->vtkLinearSelector::SetIncludeVertices(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_GetIncludeVertices(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIncludeVertices");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetIncludeVertices() :
      op->vtkLinearSelector::GetIncludeVertices());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_IncludeVerticesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IncludeVerticesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IncludeVerticesOn();
      }
    else
      {
      op->vtkLinearSelector::IncludeVerticesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_IncludeVerticesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IncludeVerticesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IncludeVerticesOff();
      }
    else
      {
      op->vtkLinearSelector::IncludeVerticesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_SetVertexEliminationTolerance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVertexEliminationTolerance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVertexEliminationTolerance(temp0);
      }
    else
      {
      op->vtkLinearSelector::SetVertexEliminationTolerance(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_GetVertexEliminationToleranceMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVertexEliminationToleranceMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetVertexEliminationToleranceMinValue() :
      op->vtkLinearSelector::GetVertexEliminationToleranceMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_GetVertexEliminationToleranceMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVertexEliminationToleranceMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetVertexEliminationToleranceMaxValue() :
      op->vtkLinearSelector::GetVertexEliminationToleranceMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLinearSelector_GetVertexEliminationTolerance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVertexEliminationTolerance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLinearSelector *op = static_cast<vtkLinearSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetVertexEliminationTolerance() :
      op->vtkLinearSelector::GetVertexEliminationTolerance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkLinearSelector_Methods[] = {
  {(char*)"GetClassName", PyvtkLinearSelector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkLinearSelector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkLinearSelector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLinearSelector\nC++: vtkLinearSelector *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkLinearSelector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLinearSelector\nC++: vtkLinearSelector *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetStartPoint", PyvtkLinearSelector_SetStartPoint, 1,
   (char*)"V.SetStartPoint(float, float, float)\nC++: void SetStartPoint(double, double, double)\nV.SetStartPoint((float, float, float))\nC++: void SetStartPoint(double a[3])\n\n"},
  {(char*)"GetStartPoint", PyvtkLinearSelector_GetStartPoint, 1,
   (char*)"V.GetStartPoint() -> (float, float, float)\nC++: double *GetStartPoint()\n\nSet/Get starting point of intersecting segment\n"},
  {(char*)"SetEndPoint", PyvtkLinearSelector_SetEndPoint, 1,
   (char*)"V.SetEndPoint(float, float, float)\nC++: void SetEndPoint(double, double, double)\nV.SetEndPoint((float, float, float))\nC++: void SetEndPoint(double a[3])\n\n"},
  {(char*)"GetEndPoint", PyvtkLinearSelector_GetEndPoint, 1,
   (char*)"V.GetEndPoint() -> (float, float, float)\nC++: double *GetEndPoint()\n\nSet/Get end point of intersecting segment\n"},
  {(char*)"SetPoints", PyvtkLinearSelector_SetPoints, 1,
   (char*)"V.SetPoints(vtkPoints)\nC++: virtual void SetPoints(vtkPoints *)\n\nSet/Get the list of points defining the intersecting broken line\n"},
  {(char*)"GetPoints", PyvtkLinearSelector_GetPoints, 1,
   (char*)"V.GetPoints() -> vtkPoints\nC++: vtkPoints *GetPoints()\n\nSet/Get the list of points defining the intersecting broken line\n"},
  {(char*)"SetTolerance", PyvtkLinearSelector_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance(double a)\n\nSet/Get tolerance to be used by intersection algorithm\n"},
  {(char*)"GetTolerance", PyvtkLinearSelector_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance()\n\nSet/Get tolerance to be used by intersection algorithm\n"},
  {(char*)"SetIncludeVertices", PyvtkLinearSelector_SetIncludeVertices, 1,
   (char*)"V.SetIncludeVertices(bool)\nC++: void SetIncludeVertices(bool a)\n\nSet/Get whether lines vertice are included in selection\n"},
  {(char*)"GetIncludeVertices", PyvtkLinearSelector_GetIncludeVertices, 1,
   (char*)"V.GetIncludeVertices() -> bool\nC++: bool GetIncludeVertices()\n\nSet/Get whether lines vertice are included in selection\n"},
  {(char*)"IncludeVerticesOn", PyvtkLinearSelector_IncludeVerticesOn, 1,
   (char*)"V.IncludeVerticesOn()\nC++: void IncludeVerticesOn()\n\nSet/Get whether lines vertice are included in selection\n"},
  {(char*)"IncludeVerticesOff", PyvtkLinearSelector_IncludeVerticesOff, 1,
   (char*)"V.IncludeVerticesOff()\nC++: void IncludeVerticesOff()\n\nSet/Get whether lines vertice are included in selection\n"},
  {(char*)"SetVertexEliminationTolerance", PyvtkLinearSelector_SetVertexEliminationTolerance, 1,
   (char*)"V.SetVertexEliminationTolerance(float)\nC++: void SetVertexEliminationTolerance(double)\n\nSet/Get relative tolerance for vertex elimination\n"},
  {(char*)"GetVertexEliminationToleranceMinValue", PyvtkLinearSelector_GetVertexEliminationToleranceMinValue, 1,
   (char*)"V.GetVertexEliminationToleranceMinValue() -> float\nC++: double GetVertexEliminationToleranceMinValue()\n\nSet/Get relative tolerance for vertex elimination\n"},
  {(char*)"GetVertexEliminationToleranceMaxValue", PyvtkLinearSelector_GetVertexEliminationToleranceMaxValue, 1,
   (char*)"V.GetVertexEliminationToleranceMaxValue() -> float\nC++: double GetVertexEliminationToleranceMaxValue()\n\nSet/Get relative tolerance for vertex elimination\n"},
  {(char*)"GetVertexEliminationTolerance", PyvtkLinearSelector_GetVertexEliminationTolerance, 1,
   (char*)"V.GetVertexEliminationTolerance() -> float\nC++: double GetVertexEliminationTolerance()\n\nSet/Get relative tolerance for vertex elimination\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkLinearSelector_StaticNew()
{
  return vtkLinearSelector::New();
}

PyObject *PyVTKClass_vtkLinearSelectorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkLinearSelector_StaticNew,
    PyvtkLinearSelector_Methods,
    "vtkLinearSelector", modulename,
    NULL, NULL,
    PyvtkLinearSelector_Doc(),
    PyVTKClass_vtkSelectionAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkLinearSelector_Doc()
{
  static const char *docstring[] = {
    "vtkLinearSelector - select cells intersecting a line (possibly broken)\n\n",
    "Superclass: vtkSelectionAlgorithm\n\n",
    "This filter takes a vtkCompositeDataSet as input and a line segment\nas parameter. It outputs a vtkSelection identifying all the cells\nintersecting the given line segment.\n\nThanks:\n\nThis class has been initially developed in the frame of CEA's Love\nvisualization software development\n\nCEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France\n\nBP12, F-91297 Arpajon, France.\n\nThis class wa",
    "s implemented by Thierry Carrard, Charles Pignerol, and\nPhilippe Pebay.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkLinearSelector(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkLinearSelectorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkLinearSelector", o) != 0)
    {
    Py_DECREF(o);
    }

  Py_INCREF(Py_None);
  o = Py_None;
  if (o && PyDict_SetItemString(dict, (char *)"VTK_LINEAR_SELECTOR_H", o) != 0)
    {
    Py_DECREF(o);
    }

}

