// tcl wrapper for vtkMolecule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMolecule.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMoleculeNewCommand()
{
  vtkMolecule *temp = vtkMolecule::New();
  return static_cast<ClientData>(temp);
}

int vtkUndirectedGraphCppCommand(vtkUndirectedGraph *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMoleculeCppCommand(vtkMolecule *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMoleculeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMoleculeCppCommand(static_cast<vtkMolecule *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMoleculeCppCommand(vtkMolecule *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMolecule",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUndirectedGraphCppCommand(static_cast<vtkUndirectedGraph *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUndirectedGraph"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMolecule  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMolecule");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMolecule  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMolecule");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMolecule  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMolecule");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfAtoms",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfAtoms();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBonds",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfBonds();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAtomAtomicNumber",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    unsigned short    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAtomAtomicNumber(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAtomAtomicNumber",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    unsigned short    temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned short>(tempi);
    if (!error)
    {
    op->SetAtomAtomicNumber(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAtomPosition",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetAtomPosition(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBondOrder",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    unsigned short    temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned short>(tempi);
    if (!error)
    {
    op->SetBondOrder(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBondOrder",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    unsigned short    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBondOrder(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBondLength",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBondLength(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAtomicPositionArray",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetAtomicPositionArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetAtomicNumberArray",argv[1]))&&(argc == 2))
    {
    vtkUnsignedShortArray  *temp20;
    temp20 = (op)->GetAtomicNumberArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedShortArray");
    return TCL_OK;
    }
  if ((!strcmp("GetElectronicData",argv[1]))&&(argc == 2))
    {
    vtkAbstractElectronicData  *temp20;
    temp20 = (op)->GetElectronicData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractElectronicData");
    return TCL_OK;
    }
  if ((!strcmp("SetElectronicData",argv[1]))&&(argc == 3))
    {
    vtkAbstractElectronicData  *temp0;
    error = 0;

    temp0 = (vtkAbstractElectronicData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractElectronicData"),interp,error));
    if (!error)
    {
    op->SetElectronicData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopyStructure",argv[1]))&&(argc == 3))
    {
    vtkMolecule  *temp0;
    error = 0;

    temp0 = (vtkMolecule *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMolecule"),interp,error));
    if (!error)
    {
    op->ShallowCopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopyStructure",argv[1]))&&(argc == 3))
    {
    vtkMolecule  *temp0;
    error = 0;

    temp0 = (vtkMolecule *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMolecule"),interp,error));
    if (!error)
    {
    op->DeepCopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopyAttributes",argv[1]))&&(argc == 3))
    {
    vtkMolecule  *temp0;
    error = 0;

    temp0 = (vtkMolecule *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMolecule"),interp,error));
    if (!error)
    {
    op->ShallowCopyAttributes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopyAttributes",argv[1]))&&(argc == 3))
    {
    vtkMolecule  *temp0;
    error = 0;

    temp0 = (vtkMolecule *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMolecule"),interp,error));
    if (!error)
    {
    op->DeepCopyAttributes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMoleculeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUndirectedGraphCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMolecule:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAtoms\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBonds\n",NULL);
    Tcl_AppendResult(interp,"  GetAtomAtomicNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAtomAtomicNumber\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAtomPosition\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBondOrder\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBondOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBondLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAtomicPositionArray\n",NULL);
    Tcl_AppendResult(interp,"  GetAtomicNumberArray\n",NULL);
    Tcl_AppendResult(interp,"  GetElectronicData\n",NULL);
    Tcl_AppendResult(interp,"  SetElectronicData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopyAttributes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopyAttributes\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUndirectedGraphCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAtoms" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBonds" );
    Tcl_DStringAppendElement ( &dString, "GetAtomAtomicNumber" );
    Tcl_DStringAppendElement ( &dString, "SetAtomAtomicNumber" );
    Tcl_DStringAppendElement ( &dString, "SetAtomPosition" );
    Tcl_DStringAppendElement ( &dString, "SetBondOrder" );
    Tcl_DStringAppendElement ( &dString, "GetBondOrder" );
    Tcl_DStringAppendElement ( &dString, "GetBondLength" );
    Tcl_DStringAppendElement ( &dString, "GetAtomicPositionArray" );
    Tcl_DStringAppendElement ( &dString, "GetAtomicNumberArray" );
    Tcl_DStringAppendElement ( &dString, "GetElectronicData" );
    Tcl_DStringAppendElement ( &dString, "SetElectronicData" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopyStructure" );
    Tcl_DStringAppendElement ( &dString, "DeepCopyStructure" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopyAttributes" );
    Tcl_DStringAppendElement ( &dString, "DeepCopyAttributes" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUndirectedGraphCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMolecule *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAtoms */
    if ( strcmp ( argv[2], "GetNumberOfAtoms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAtoms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAtoms */
    Tcl_DStringAppendElement ( &dString, " Return the number of atoms in the molecule.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfAtoms();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetNumberOfAtoms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBonds */
    if ( strcmp ( argv[2], "GetNumberOfBonds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBonds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBonds */
    Tcl_DStringAppendElement ( &dString, " Return the number of bonds in the molecule.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfBonds();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetNumberOfBonds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAtomAtomicNumber */
    if ( strcmp ( argv[2], "GetAtomAtomicNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAtomAtomicNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAtomAtomicNumber */
    Tcl_DStringAppendElement ( &dString, " Return the atomic number of the atom with the specified id.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned short GetAtomAtomicNumber(vtkIdType atomId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetAtomAtomicNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAtomAtomicNumber */
    if ( strcmp ( argv[2], "SetAtomAtomicNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomAtomicNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomAtomicNumber */
    Tcl_DStringAppendElement ( &dString, " Set the atomic number of the atom with the specified id.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAtomAtomicNumber(vtkIdType atomId, unsigned short atomicNum);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for SetAtomAtomicNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAtomPosition */
    if ( strcmp ( argv[2], "SetAtomPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the atom with the specified id.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAtomPosition(vtkIdType atomId, double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for SetAtomPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBondOrder */
    if ( strcmp ( argv[2], "SetBondOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBondOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBondOrder */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBondOrder(vtkIdType bondId, unsigned short order);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for SetBondOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBondOrder */
    if ( strcmp ( argv[2], "GetBondOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBondOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBondOrder */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned short GetBondOrder(vtkIdType bondId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetBondOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBondLength */
    if ( strcmp ( argv[2], "GetBondLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBondLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBondLength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetBondLength(vtkIdType bondId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetBondLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAtomicPositionArray */
    if ( strcmp ( argv[2], "GetAtomicPositionArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAtomicPositionArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAtomicPositionArray */
    Tcl_DStringAppendElement ( &dString, " Access the raw arrays used in this vtkMolecule instance\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetAtomicPositionArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetAtomicPositionArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAtomicNumberArray */
    if ( strcmp ( argv[2], "GetAtomicNumberArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAtomicNumberArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAtomicNumberArray */
    Tcl_DStringAppendElement ( &dString, " Access the raw arrays used in this vtkMolecule instance\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedShortArray *GetAtomicNumberArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetAtomicNumberArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElectronicData */
    if ( strcmp ( argv[2], "GetElectronicData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElectronicData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElectronicData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the AbstractElectronicData-subclassed object for this molecule.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData *GetElectronicData();" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for GetElectronicData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElectronicData */
    if ( strcmp ( argv[2], "SetElectronicData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElectronicData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElectronicData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the AbstractElectronicData-subclassed object for this molecule.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetElectronicData(vtkAbstractElectronicData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for SetElectronicData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copies the data object into this molecule.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkDataObject *obj);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copies the data object into this molecule.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkDataObject *obj);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopyStructure */
    if ( strcmp ( argv[2], "ShallowCopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopyStructure */
    Tcl_DStringAppendElement ( &dString, " Shallow copies the atoms and bonds from @a m into @a this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopyStructure(vtkMolecule *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for ShallowCopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopyStructure */
    if ( strcmp ( argv[2], "DeepCopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopyStructure */
    Tcl_DStringAppendElement ( &dString, " Deep copies the atoms and bonds from @a m into @a this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopyStructure(vtkMolecule *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for DeepCopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopyAttributes */
    if ( strcmp ( argv[2], "ShallowCopyAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopyAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopyAttributes */
    Tcl_DStringAppendElement ( &dString, " Shallow copies attributes (i.e. everything besides atoms and bonds) from\n @a m into @a this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopyAttributes(vtkMolecule *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for ShallowCopyAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopyAttributes */
    if ( strcmp ( argv[2], "DeepCopyAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopyAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopyAttributes */
    Tcl_DStringAppendElement ( &dString, " Deep copies attributes (i.e. everything besides atoms and bonds) from\n @a m into @a this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopyAttributes(vtkMolecule *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    /* Closing for DeepCopyAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUndirectedGraphCppCommand(static_cast<vtkUndirectedGraph *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
