// tcl wrapper for vtkMultiPieceDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiPieceDataSet.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMultiPieceDataSetNewCommand()
{
  vtkMultiPieceDataSet *temp = vtkMultiPieceDataSet::New();
  return static_cast<ClientData>(temp);
}

int vtkCompositeDataSetCppCommand(vtkCompositeDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMultiPieceDataSetCppCommand(vtkMultiPieceDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMultiPieceDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMultiPieceDataSetCppCommand(static_cast<vtkMultiPieceDataSet *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMultiPieceDataSetCppCommand(vtkMultiPieceDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMultiPieceDataSet",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCompositeDataSetCppCommand(static_cast<vtkCompositeDataSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCompositeDataSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMultiPieceDataSet  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiPieceDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMultiPieceDataSet  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiPieceDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMultiPieceDataSet  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiPieceDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPieces",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPieces",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPiece",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkDataSet  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetPiece(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPieceAsDataObject",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetPieceAsDataObject(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPiece",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetPiece(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasMetaData",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->HasMetaData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMetaData",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetMetaData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkMultiPieceDataSet  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiPieceDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 4))
    {
    vtkInformationVector  *temp0;
    int      temp1;
    vtkMultiPieceDataSet  *temp20;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiPieceDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMetaData",argv[1]))&&(argc == 3))
    {
    vtkCompositeDataIterator  *temp0;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkCompositeDataIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCompositeDataIterator"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetMetaData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("HasMetaData",argv[1]))&&(argc == 3))
    {
    vtkCompositeDataIterator  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkCompositeDataIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCompositeDataIterator"),interp,error));
    if (!error)
    {
    temp20 = (op)->HasMetaData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMultiPieceDataSetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCompositeDataSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMultiPieceDataSet:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  GetPiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPieceAsDataObject\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPiece\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasMetaData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMetaData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMetaData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasMetaData\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCompositeDataSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetPiece" );
    Tcl_DStringAppendElement ( &dString, "GetPieceAsDataObject" );
    Tcl_DStringAppendElement ( &dString, "SetPiece" );
    Tcl_DStringAppendElement ( &dString, "HasMetaData" );
    Tcl_DStringAppendElement ( &dString, "GetMetaData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetMetaData" );
    Tcl_DStringAppendElement ( &dString, "HasMetaData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCompositeDataSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMultiPieceDataSet *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return class name of data type (see vtkType.h for\n definitions).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfPieces */
    if ( strcmp ( argv[2], "SetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set the number of pieces. This will cause allocation if the new number of\n pieces is greater than the current size. All new pieces are initialized to\n null.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfPieces(unsigned int numpieces);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for SetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPieces */
    if ( strcmp ( argv[2], "GetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Returns the number of pieces.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPiece */
    if ( strcmp ( argv[2], "GetPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPiece */
    Tcl_DStringAppendElement ( &dString, " Returns the piece at the given index. \n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetPiece(unsigned int pieceno);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPieceAsDataObject */
    if ( strcmp ( argv[2], "GetPieceAsDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPieceAsDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPieceAsDataObject */
    Tcl_DStringAppendElement ( &dString, " Returns the piece at the given index. \n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetPieceAsDataObject(unsigned int pieceno);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetPieceAsDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPiece */
    if ( strcmp ( argv[2], "SetPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPiece */
    Tcl_DStringAppendElement ( &dString, " Sets the data object as the given piece. The total number of pieces will \n be resized to fit the requested piece no.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPiece(unsigned int pieceno, vtkDataObject *piece);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for SetPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasMetaData */
    if ( strcmp ( argv[2], "HasMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasMetaData */
    Tcl_DStringAppendElement ( &dString, " Returns true if meta-data is available for a given piece.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasMetaData(unsigned int piece);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for HasMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMetaData */
    if ( strcmp ( argv[2], "GetMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMetaData */
    Tcl_DStringAppendElement ( &dString, " Returns the meta-data for the piece. If none is already present, a new\n vtkInformation object will be allocated. Use HasMetaData to avoid\n allocating vtkInformation objects.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetMetaData(unsigned int pieceno);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMultiPieceDataSet *GetData(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMultiPieceDataSet *GetData(vtkInformationVector *v, int i=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMetaData */
    if ( strcmp ( argv[2], "GetMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMetaData */
    Tcl_DStringAppendElement ( &dString, " Unhiding superclass method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInformation *GetMetaData(vtkCompositeDataIterator *iter);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for GetMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasMetaData */
    if ( strcmp ( argv[2], "HasMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasMetaData */
    Tcl_DStringAppendElement ( &dString, " Unhiding superclass method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasMetaData(vtkCompositeDataIterator *iter);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiPieceDataSet" );
    /* Closing for HasMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCompositeDataSetCppCommand(static_cast<vtkCompositeDataSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
