// tcl wrapper for vtkMutableUndirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMutableUndirectedGraph.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMutableUndirectedGraphNewCommand()
{
  vtkMutableUndirectedGraph *temp = vtkMutableUndirectedGraph::New();
  return static_cast<ClientData>(temp);
}

int vtkUndirectedGraphCppCommand(vtkUndirectedGraph *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMutableUndirectedGraphCppCommand(vtkMutableUndirectedGraph *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMutableUndirectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMutableUndirectedGraphCppCommand(static_cast<vtkMutableUndirectedGraph *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMutableUndirectedGraphCppCommand(vtkMutableUndirectedGraph *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMutableUndirectedGraph",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUndirectedGraphCppCommand(static_cast<vtkUndirectedGraph *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUndirectedGraph"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMutableUndirectedGraph  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMutableUndirectedGraph");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMutableUndirectedGraph  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMutableUndirectedGraph");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMutableUndirectedGraph  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMutableUndirectedGraph");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfVertices",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->SetNumberOfVertices(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVertex",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->AddVertex();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddVertex",argv[1]))&&(argc == 3))
    {
    vtkVariantArray  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkVariantArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVariantArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddVertex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LazyAddVertex",argv[1]))&&(argc == 2))
    {
    op->LazyAddVertex();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LazyAddVertex",argv[1]))&&(argc == 3))
    {
    vtkVariantArray  *temp0;
    error = 0;

    temp0 = (vtkVariantArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVariantArray"),interp,error));
    if (!error)
    {
    op->LazyAddVertex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LazyAddEdge",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->LazyAddEdge(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LazyAddEdge",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkVariantArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkVariantArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkVariantArray"),interp,error));
    if (!error)
    {
    op->LazyAddEdge(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddGraphEdge",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkGraphEdge  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->AddGraphEdge(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphEdge");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveVertex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveVertex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveEdge",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveEdge(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveVertices",argv[1]))&&(argc == 3))
    {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->RemoveVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveEdges",argv[1]))&&(argc == 3))
    {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->RemoveEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMutableUndirectedGraphCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUndirectedGraphCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMutableUndirectedGraph:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddVertex\n",NULL);
    Tcl_AppendResult(interp,"  AddVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LazyAddVertex\n",NULL);
    Tcl_AppendResult(interp,"  LazyAddVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LazyAddEdge\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  LazyAddEdge\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddGraphEdge\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveEdge\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveEdges\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUndirectedGraphCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfVertices" );
    Tcl_DStringAppendElement ( &dString, "AddVertex" );
    Tcl_DStringAppendElement ( &dString, "AddVertex" );
    Tcl_DStringAppendElement ( &dString, "LazyAddVertex" );
    Tcl_DStringAppendElement ( &dString, "LazyAddVertex" );
    Tcl_DStringAppendElement ( &dString, "LazyAddEdge" );
    Tcl_DStringAppendElement ( &dString, "LazyAddEdge" );
    Tcl_DStringAppendElement ( &dString, "AddGraphEdge" );
    Tcl_DStringAppendElement ( &dString, "RemoveVertex" );
    Tcl_DStringAppendElement ( &dString, "RemoveEdge" );
    Tcl_DStringAppendElement ( &dString, "RemoveVertices" );
    Tcl_DStringAppendElement ( &dString, "RemoveEdges" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUndirectedGraphCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMutableUndirectedGraph *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfVertices */
    if ( strcmp ( argv[2], "SetNumberOfVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfVertices */
    Tcl_DStringAppendElement ( &dString, " Allocates space for the specified number of vertices in the graph's\n internal data structures.\n The previous number of vertices is returned on success and -1\n is returned on failure.\n\n This has no effect on the number of vertex coordinate tuples or\n vertex attribute tuples allocated; you are responsible for\n guaranteeing these match.\n Also, this call is not implemented for distributed-memory graphs since\n the semantics are unclear; calling this function on a graph  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType SetNumberOfVertices(vtkIdType numVerts);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for SetNumberOfVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddVertex */
    if ( strcmp ( argv[2], "AddVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVertex */
    Tcl_DStringAppendElement ( &dString, " Adds a vertex to the graph and returns the index of the new vertex.\n\n \\note In a distributed graph (i.e. a graph whose DistributedHelper\n is non-null), this routine cannot be used to add a vertex\n if the vertices in the graph have pedigree IDs, because this routine\n will always add the vertex locally, which may conflict with the\n proper location of the vertex based on the distribution of the\n pedigree IDs.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddVertex();" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for AddVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddVertex */
    if ( strcmp ( argv[2], "AddVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVertex */
    Tcl_DStringAppendElement ( &dString, " Adds a vertex to the graph with associated properties defined in\n \\p propertyArr and returns the index of the new vertex.\n The number and order of values in \\p propertyArr must match up with the\n arrays in the vertex data retrieved by GetVertexData().\n\n If a vertex with the given pedigree ID already exists, its properties will be\n overwritten with the properties in \\p propertyArr and the existing\n vertex index will be returned.\n\n \\note In a distributed graph (i ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddVertex(vtkVariantArray *propertyArr);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for AddVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LazyAddVertex */
    if ( strcmp ( argv[2], "LazyAddVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LazyAddVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LazyAddVertex */
    Tcl_DStringAppendElement ( &dString, " Adds a vertex to the graph.\n\n This method is lazily evaluated for distributed graphs (i.e. graphs\n whose DistributedHelper is non-null) the next time Synchronize is\n called on the helper.\n" );
    Tcl_DStringAppendElement ( &dString, "void LazyAddVertex();" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for LazyAddVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LazyAddVertex */
    if ( strcmp ( argv[2], "LazyAddVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LazyAddVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LazyAddVertex */
    Tcl_DStringAppendElement ( &dString, " Adds a vertex to the graph with associated properties defined in\n \\p propertyArr.\n The number and order of values in \\p propertyArr must match up with the\n arrays in the vertex data retrieved by GetVertexData().\n\n If a vertex with the given pedigree ID already exists, its properties will be\n overwritten with the properties in \\p propertyArr.\n\n This method is lazily evaluated for distributed graphs (i.e. graphs\n whose DistributedHelper is non-null) the next time  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void LazyAddVertex(vtkVariantArray *propertyArr);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for LazyAddVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LazyAddEdge */
    if ( strcmp ( argv[2], "LazyAddEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LazyAddEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LazyAddEdge */
    Tcl_DStringAppendElement ( &dString, " Adds an undirected edge from \\p u to \\p v,\n where \\p u and \\p v are vertex indices.\n\n This method is lazily evaluated for distributed graphs (i.e. graphs\n whose DistributedHelper is non-null) the next time Synchronize is\n called on the helper.\n" );
    Tcl_DStringAppendElement ( &dString, "void LazyAddEdge(vtkIdType u, vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for LazyAddEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LazyAddEdge */
    if ( strcmp ( argv[2], "LazyAddEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LazyAddEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LazyAddEdge */
    Tcl_DStringAppendElement ( &dString, " Adds an undirected edge from \\p u to \\p v,\n where \\p u and \\p v are vertex indices.\n\n The number and order of values in\n \\p propertyArr must match up with the arrays in the edge data\n retrieved by GetEdgeData().\n\n This method is lazily evaluated for distributed graphs (i.e. graphs\n whose DistributedHelper is non-null) the next time Synchronize is\n called on the helper.\n" );
    Tcl_DStringAppendElement ( &dString, "void LazyAddEdge(vtkIdType u, vtkIdType v, vtkVariantArray *propertyArr);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for LazyAddEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddGraphEdge */
    if ( strcmp ( argv[2], "AddGraphEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddGraphEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddGraphEdge */
    Tcl_DStringAppendElement ( &dString, " Variant of AddEdge() that returns a heavyweight \\p vtkGraphEdge object.\n The graph owns the reference of the edge and will replace\n its contents on the next call to AddGraphEdge().\n\n \\note This is a less efficient method for use with wrappers.\n In C++ you should use the faster AddEdge().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphEdge *AddGraphEdge(vtkIdType u, vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for AddGraphEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveVertex */
    if ( strcmp ( argv[2], "RemoveVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveVertex */
    Tcl_DStringAppendElement ( &dString, " Removes the vertex from the graph along with any connected edges.\n Note: This invalidates the last vertex index, which is reassigned to v.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveVertex(vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for RemoveVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveEdge */
    if ( strcmp ( argv[2], "RemoveEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveEdge */
    Tcl_DStringAppendElement ( &dString, " Removes the edge from the graph.\n Note: This invalidates the last edge index, which is reassigned to e.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveEdge(vtkIdType e);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for RemoveEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveVertices */
    if ( strcmp ( argv[2], "RemoveVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveVertices */
    Tcl_DStringAppendElement ( &dString, " Removes a collection of vertices from the graph along with any connected edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveVertices(vtkIdTypeArray *arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for RemoveVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveEdges */
    if ( strcmp ( argv[2], "RemoveEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveEdges */
    Tcl_DStringAppendElement ( &dString, " Removes a collection of edges from the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveEdges(vtkIdTypeArray *arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableUndirectedGraph" );
    /* Closing for RemoveEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUndirectedGraphCppCommand(static_cast<vtkUndirectedGraph *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
