// tcl wrapper for vtkParametricSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricSpline.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParametricSplineNewCommand()
{
  vtkParametricSpline *temp = vtkParametricSpline::New();
  return static_cast<ClientData>(temp);
}

int vtkParametricFunctionCppCommand(vtkParametricFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParametricSplineCppCommand(vtkParametricSpline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParametricSplineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParametricSplineCppCommand(static_cast<vtkParametricSpline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParametricSplineCppCommand(vtkParametricSpline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParametricSpline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkParametricFunctionCppCommand(static_cast<vtkParametricFunction *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkParametricFunction"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParametricSpline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricSpline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParametricSpline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricSpline");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParametricSpline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricSpline");
    return TCL_OK;
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSpline"),interp,error));
    if (!error)
    {
    op->SetXSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetYSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSpline"),interp,error));
    if (!error)
    {
    op->SetYSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSpline"),interp,error));
    if (!error)
    {
    op->SetZSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetXSpline();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("GetYSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetYSpline();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("GetZSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetZSpline();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("SetPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->SetPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetPoints();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPoints",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetPoint(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClosed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClosed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClosed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClosed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClosedOn",argv[1]))&&(argc == 2))
    {
    op->ClosedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClosedOff",argv[1]))&&(argc == 2))
    {
    op->ClosedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterizeByLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterizeByLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterizeByLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterizeByLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParameterizeByLengthOn",argv[1]))&&(argc == 2))
    {
    op->ParameterizeByLengthOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterizeByLengthOff",argv[1]))&&(argc == 2))
    {
    op->ParameterizeByLengthOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftConstraint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftConstraint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftConstraintMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraintMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftConstraintMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraintMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftConstraint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightConstraint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightConstraint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightConstraintMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraintMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightConstraintMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraintMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightConstraint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLeftValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeftValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRightValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRightValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParametricSplineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkParametricFunctionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParametricSpline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetXSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetYSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetZSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXSpline\n",NULL);
    Tcl_AppendResult(interp,"  GetYSpline\n",NULL);
    Tcl_AppendResult(interp,"  GetZSpline\n",NULL);
    Tcl_AppendResult(interp,"  SetPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClosed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClosed\n",NULL);
    Tcl_AppendResult(interp,"  ClosedOn\n",NULL);
    Tcl_AppendResult(interp,"  ClosedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterizeByLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterizeByLength\n",NULL);
    Tcl_AppendResult(interp,"  ParameterizeByLengthOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterizeByLengthOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftConstraint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraintMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraintMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraint\n",NULL);
    Tcl_AppendResult(interp,"  SetRightConstraint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraintMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraintMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraint\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftValue\n",NULL);
    Tcl_AppendResult(interp,"  SetRightValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkParametricFunctionCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    Tcl_DStringAppendElement ( &dString, "SetXSpline" );
    Tcl_DStringAppendElement ( &dString, "SetYSpline" );
    Tcl_DStringAppendElement ( &dString, "SetZSpline" );
    Tcl_DStringAppendElement ( &dString, "GetXSpline" );
    Tcl_DStringAppendElement ( &dString, "GetYSpline" );
    Tcl_DStringAppendElement ( &dString, "GetZSpline" );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    Tcl_DStringAppendElement ( &dString, "SetClosed" );
    Tcl_DStringAppendElement ( &dString, "GetClosed" );
    Tcl_DStringAppendElement ( &dString, "ClosedOn" );
    Tcl_DStringAppendElement ( &dString, "ClosedOff" );
    Tcl_DStringAppendElement ( &dString, "SetParameterizeByLength" );
    Tcl_DStringAppendElement ( &dString, "GetParameterizeByLength" );
    Tcl_DStringAppendElement ( &dString, "ParameterizeByLengthOn" );
    Tcl_DStringAppendElement ( &dString, "ParameterizeByLengthOff" );
    Tcl_DStringAppendElement ( &dString, "SetLeftConstraint" );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraint" );
    Tcl_DStringAppendElement ( &dString, "SetRightConstraint" );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraint" );
    Tcl_DStringAppendElement ( &dString, "SetLeftValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftValue" );
    Tcl_DStringAppendElement ( &dString, "SetRightValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkParametricFunctionCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct the spline with the following parameters:\n MinimumU = 0, MaximumU = 1, JoinU = 0 (unless the spline is\n closed, then JoinU = 1), TwistU = 0, DerivativesSupplied = 0\n (the other vtkParametricFunction parameters are ignored).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkParametricSpline *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXSpline */
    if ( strcmp ( argv[2], "SetXSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXSpline */
    Tcl_DStringAppendElement ( &dString, " By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXSpline(vtkSpline *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetXSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYSpline */
    if ( strcmp ( argv[2], "SetYSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYSpline */
    Tcl_DStringAppendElement ( &dString, " By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYSpline(vtkSpline *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetYSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZSpline */
    if ( strcmp ( argv[2], "SetZSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZSpline */
    Tcl_DStringAppendElement ( &dString, " By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZSpline(vtkSpline *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetZSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXSpline */
    if ( strcmp ( argv[2], "GetXSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXSpline */
    Tcl_DStringAppendElement ( &dString, " By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline *GetXSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetXSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYSpline */
    if ( strcmp ( argv[2], "GetYSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYSpline */
    Tcl_DStringAppendElement ( &dString, " By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline *GetYSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetYSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZSpline */
    if ( strcmp ( argv[2], "GetZSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZSpline */
    Tcl_DStringAppendElement ( &dString, " By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline *GetZSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetZSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoints */
    if ( strcmp ( argv[2], "SetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoints */
    Tcl_DStringAppendElement ( &dString, " Specify the list of points defining the spline. Do this by \n specifying a vtkPoints array containing the points. Note that\n the order of the points in vtkPoints is the order that the\n splines will be fit.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoints(vtkPoints *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoints */
    if ( strcmp ( argv[2], "GetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoints */
    Tcl_DStringAppendElement ( &dString, " Specify the list of points defining the spline. Do this by \n specifying a vtkPoints array containing the points. Note that\n the order of the points in vtkPoints is the order that the\n splines will be fit.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfPoints */
    if ( strcmp ( argv[2], "SetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Another API to set the points. Set the number of points and then set the\n individual point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfPoints(vtkIdType numPts);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint */
    if ( strcmp ( argv[2], "SetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint */
    Tcl_DStringAppendElement ( &dString, " Another API to set the points. Set the number of points and then set the\n individual point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint(vtkIdType index, double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClosed */
    if ( strcmp ( argv[2], "SetClosed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosed */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClosed(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetClosed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClosed */
    if ( strcmp ( argv[2], "GetClosed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClosed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClosed */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClosed();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetClosed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClosedOn */
    if ( strcmp ( argv[2], "ClosedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClosedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClosedOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClosedOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for ClosedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClosedOff */
    if ( strcmp ( argv[2], "ClosedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClosedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClosedOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClosedOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for ClosedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParameterizeByLength */
    if ( strcmp ( argv[2], "SetParameterizeByLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParameterizeByLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParameterizeByLength */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is parameterized by length or by point index.\n Default is by length.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParameterizeByLength(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetParameterizeByLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParameterizeByLength */
    if ( strcmp ( argv[2], "GetParameterizeByLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParameterizeByLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParameterizeByLength */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is parameterized by length or by point index.\n Default is by length.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParameterizeByLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetParameterizeByLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParameterizeByLengthOn */
    if ( strcmp ( argv[2], "ParameterizeByLengthOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParameterizeByLengthOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParameterizeByLengthOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is parameterized by length or by point index.\n Default is by length.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParameterizeByLengthOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for ParameterizeByLengthOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParameterizeByLengthOff */
    if ( strcmp ( argv[2], "ParameterizeByLengthOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParameterizeByLengthOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParameterizeByLengthOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is parameterized by length or by point index.\n Default is by length.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParameterizeByLengthOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for ParameterizeByLengthOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftConstraint */
    if ( strcmp ( argv[2], "SetLeftConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftConstraint(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetLeftConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftConstraintMinValue */
    if ( strcmp ( argv[2], "GetLeftConstraintMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftConstraintMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftConstraintMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetLeftConstraintMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftConstraintMaxValue */
    if ( strcmp ( argv[2], "GetLeftConstraintMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftConstraintMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftConstraintMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetLeftConstraintMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftConstraint */
    if ( strcmp ( argv[2], "GetLeftConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftConstraint();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetLeftConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightConstraint */
    if ( strcmp ( argv[2], "SetRightConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightConstraint(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetRightConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightConstraintMinValue */
    if ( strcmp ( argv[2], "GetRightConstraintMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightConstraintMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightConstraintMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetRightConstraintMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightConstraintMaxValue */
    if ( strcmp ( argv[2], "GetRightConstraintMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightConstraintMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightConstraintMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetRightConstraintMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightConstraint */
    if ( strcmp ( argv[2], "GetRightConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightConstraint();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetRightConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftValue */
    if ( strcmp ( argv[2], "SetLeftValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetLeftValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftValue */
    if ( strcmp ( argv[2], "GetLeftValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLeftValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetLeftValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightValue */
    if ( strcmp ( argv[2], "SetRightValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for SetRightValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightValue */
    if ( strcmp ( argv[2], "GetRightValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRightValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    /* Closing for GetRightValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkParametricFunctionCppCommand(static_cast<vtkParametricFunction *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
