// tcl wrapper for vtkPointsProjectedHull object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointsProjectedHull.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPointsProjectedHullNewCommand()
{
  vtkPointsProjectedHull *temp = vtkPointsProjectedHull::New();
  return static_cast<ClientData>(temp);
}

int vtkPointsCppCommand(vtkPoints *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPointsProjectedHullCppCommand(vtkPointsProjectedHull *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPointsProjectedHullCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPointsProjectedHullCppCommand(static_cast<vtkPointsProjectedHull *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPointsProjectedHullCppCommand(vtkPointsProjectedHull *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPointsProjectedHull",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPointsCppCommand(static_cast<vtkPoints *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPoints"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPointsProjectedHull  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointsProjectedHull");
    return TCL_OK;
    }
  if ((!strcmp("RectangleIntersectionX",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionX(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionX",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionX(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionX",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionX(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionY",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionY(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionY",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionY(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionY",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionY(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionZ",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionZ(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionZ",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionZ(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RectangleIntersectionZ",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->RectangleIntersectionZ(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSizeCCWHullX",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSizeCCWHullX();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSizeCCWHullY",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSizeCCWHullY();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSizeCCWHullZ",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSizeCCWHullZ();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPointsProjectedHullCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPointsCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPointsProjectedHull:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionX\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionY\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionY\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionY\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionZ\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionZ\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  RectangleIntersectionZ\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeCCWHullX\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeCCWHullY\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeCCWHullZ\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPointsCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionX" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionX" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionX" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionY" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionY" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionY" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionZ" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionZ" );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionZ" );
    Tcl_DStringAppendElement ( &dString, "GetSizeCCWHullX" );
    Tcl_DStringAppendElement ( &dString, "GetSizeCCWHullY" );
    Tcl_DStringAppendElement ( &dString, "GetSizeCCWHullZ" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "Update" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPointsCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPointsProjectedHull *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionX */
    if ( strcmp ( argv[2], "RectangleIntersectionX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionX */
    Tcl_DStringAppendElement ( &dString, "   determine whether the resulting rectangle intersects the\n   convex hull of the projection of the points along that axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionX(vtkPoints *R);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionX */
    if ( strcmp ( argv[2], "RectangleIntersectionX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionX */
    Tcl_DStringAppendElement ( &dString, "   the convex hull of the projection of the points along the\n   positive X-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionX(float ymin, float ymax, float zmin, float zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionX */
    if ( strcmp ( argv[2], "RectangleIntersectionX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionX */
    Tcl_DStringAppendElement ( &dString, "   the convex hull of the projection of the points along the\n   positive X-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionX(double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionY */
    if ( strcmp ( argv[2], "RectangleIntersectionY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionY */
    Tcl_DStringAppendElement ( &dString, "   of the parallel projection along the Y axis of the points\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionY(vtkPoints *R);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionY */
    if ( strcmp ( argv[2], "RectangleIntersectionY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionY */
    Tcl_DStringAppendElement ( &dString, "   the convex hull of the projection of the points along the\n   positive Y-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionY(float zmin, float zmax, float xmin, float xmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionY */
    if ( strcmp ( argv[2], "RectangleIntersectionY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionY */
    Tcl_DStringAppendElement ( &dString, "   the convex hull of the projection of the points along the\n   positive Y-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionY(double zmin, double zmax, double xmin, double xmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionZ */
    if ( strcmp ( argv[2], "RectangleIntersectionZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionZ */
    Tcl_DStringAppendElement ( &dString, "   of the parallel projection along the Z axis of the points\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionZ(vtkPoints *R);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionZ */
    if ( strcmp ( argv[2], "RectangleIntersectionZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionZ */
    Tcl_DStringAppendElement ( &dString, "   the convex hull of the projection of the points along the\n   positive Z-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionZ(float xmin, float xmax, float ymin, float ymax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RectangleIntersectionZ */
    if ( strcmp ( argv[2], "RectangleIntersectionZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RectangleIntersectionZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RectangleIntersectionZ */
    Tcl_DStringAppendElement ( &dString, "   the convex hull of the projection of the points along the\n   positive Z-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RectangleIntersectionZ(double xmin, double xmax, double ymin, double ymax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for RectangleIntersectionZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeCCWHullX */
    if ( strcmp ( argv[2], "GetSizeCCWHullX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeCCWHullX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeCCWHullX */
    Tcl_DStringAppendElement ( &dString, "  Returns the number of points in the convex hull of the projection\n  of the points down the positive x-axis\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSizeCCWHullX();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for GetSizeCCWHullX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeCCWHullY */
    if ( strcmp ( argv[2], "GetSizeCCWHullY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeCCWHullY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeCCWHullY */
    Tcl_DStringAppendElement ( &dString, "  Returns the number of points in the convex hull of the projection\n  of the points down the positive y-axis\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSizeCCWHullY();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for GetSizeCCWHullY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeCCWHullZ */
    if ( strcmp ( argv[2], "GetSizeCCWHullZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeCCWHullZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeCCWHullZ */
    Tcl_DStringAppendElement ( &dString, "  Returns the number of points in the convex hull of the projection\n  of the points down the positive z-axis\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSizeCCWHullZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for GetSizeCCWHullZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Reset();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, "   Forces recalculation of convex hulls, use this if\n   you delete/add points\n" );
    Tcl_DStringAppendElement ( &dString, "void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointsProjectedHull" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPointsCppCommand(static_cast<vtkPoints *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
