// tcl wrapper for vtkSimpleCellTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimpleCellTessellator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSimpleCellTessellatorNewCommand()
{
  vtkSimpleCellTessellator *temp = vtkSimpleCellTessellator::New();
  return static_cast<ClientData>(temp);
}

int vtkGenericCellTessellatorCppCommand(vtkGenericCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSimpleCellTessellatorCppCommand(vtkSimpleCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSimpleCellTessellatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSimpleCellTessellatorCppCommand(static_cast<vtkSimpleCellTessellator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSimpleCellTessellatorCppCommand(vtkSimpleCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSimpleCellTessellator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGenericCellTessellatorCppCommand(static_cast<vtkGenericCellTessellator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGenericCellTessellator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSimpleCellTessellator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimpleCellTessellator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSimpleCellTessellator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimpleCellTessellator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSimpleCellTessellator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimpleCellTessellator");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenericCell",argv[1]))&&(argc == 2))
    {
    vtkGenericAdaptorCell  *temp20;
    temp20 = (op)->GetGenericCell();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAdaptorCell");
    return TCL_OK;
    }
  if ((!strcmp("TessellateFace",argv[1]))&&(argc == 8))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkIdType   temp2;
    vtkDoubleArray  *temp3;
    vtkCellArray  *temp4;
    vtkPointData  *temp5;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkDoubleArray"),interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkCellArray"),interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
    {
    op->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Tessellate",argv[1]))&&(argc == 7))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkDoubleArray  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp2 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDoubleArray"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
    {
    op->Tessellate(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 7))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkDoubleArray  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp2 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDoubleArray"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
    {
    op->Triangulate(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 3))
    {
    vtkGenericDataSet  *temp0;
    error = 0;

    temp0 = (vtkGenericDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericDataSet"),interp,error));
    if (!error)
    {
    op->Initialize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFixedSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFixedSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxSubdivisionLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxSubdivisionLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxAdaptiveSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxAdaptiveSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFixedSubdivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFixedSubdivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaxSubdivisionLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxSubdivisionLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSubdivisionLevels",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSubdivisionLevels(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSimpleCellTessellatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGenericCellTessellatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSimpleCellTessellator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenericCell\n",NULL);
    Tcl_AppendResult(interp,"  TessellateFace\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Tessellate\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFixedSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxSubdivisionLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxAdaptiveSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  SetFixedSubdivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxSubdivisionLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivisionLevels\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGenericCellTessellatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetGenericCell" );
    Tcl_DStringAppendElement ( &dString, "TessellateFace" );
    Tcl_DStringAppendElement ( &dString, "Tessellate" );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetFixedSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "GetMaxSubdivisionLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMaxAdaptiveSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "SetFixedSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "SetMaxSubdivisionLevel" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivisionLevels" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGenericCellTessellatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSimpleCellTessellator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenericCell */
    if ( strcmp ( argv[2], "GetGenericCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenericCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenericCell */
    Tcl_DStringAppendElement ( &dString, " Get the higher order cell in order to access the evaluation function.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell *GetGenericCell();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for GetGenericCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TessellateFace */
    if ( strcmp ( argv[2], "TessellateFace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TessellateFace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TessellateFace */
    Tcl_DStringAppendElement ( &dString, " Tessellate a face of a 3D `cell'. The face is specified by the\n index value.\n The result is a set of smaller linear triangles in `cellArray' with\n `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre valid_index_range: (index>=0) && (index<cell->GetNumberOfBoundaries(2))\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: intern ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TessellateFace(vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkIdType index, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for TessellateFace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Tessellate */
    if ( strcmp ( argv[2], "Tessellate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Tessellate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Tessellate */
    Tcl_DStringAppendElement ( &dString, " Tessellate a 3D `cell'. The result is a set of smaller linear\n tetrahedra in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n" );
    Tcl_DStringAppendElement ( &dString, "void Tessellate(vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for Tessellate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Triangulate */
    if ( strcmp ( argv[2], "Triangulate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Triangulate */
    Tcl_DStringAppendElement ( &dString, " Triangulate a 2D `cell'. The result is a set of smaller linear triangles\n in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==2\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n" );
    Tcl_DStringAppendElement ( &dString, "void Triangulate(vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for Triangulate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Reset the output for repeated use of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the tessellator with a data set `ds'.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize(vtkGenericDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFixedSubdivisions */
    if ( strcmp ( argv[2], "GetFixedSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Return the number of fixed subdivisions. It is used to prevent from\n infinite loop in degenerated cases. For order 3 or higher, if the\n inflection point is exactly on the mid-point, error metric will not\n detect that a subdivision is required. 0 means no fixed subdivision:\n there will be only adaptive subdivisions.\n\n The algorithm first performs `GetFixedSubdivisions' non adaptive\n subdivisions followed by at most `GetMaxAdaptiveSubdivisions' adaptive\n subdivisions. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFixedSubdivisions();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for GetFixedSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxSubdivisionLevel */
    if ( strcmp ( argv[2], "GetMaxSubdivisionLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxSubdivisionLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxSubdivisionLevel */
    Tcl_DStringAppendElement ( &dString, " Return the maximum level of subdivision. It is used to prevent from\n infinite loop in degenerated cases. For order 3 or higher, if the\n inflection point is exactly on the mid-point, error metric will not\n detect that a subdivision is required. 0 means no subdivision,\n neither fixed nor adaptive.\n \\post positive_result: result>=GetFixedSubdivisions()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxSubdivisionLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for GetMaxSubdivisionLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxAdaptiveSubdivisions */
    if ( strcmp ( argv[2], "GetMaxAdaptiveSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxAdaptiveSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxAdaptiveSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Return the maximum number of adaptive subdivisions.\n \\post valid_result: result==GetMaxSubdivisionLevel()-GetFixedSubdivisions()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxAdaptiveSubdivisions();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for GetMaxAdaptiveSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFixedSubdivisions */
    if ( strcmp ( argv[2], "SetFixedSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Set the number of fixed subdivisions. See GetFixedSubdivisions() for\n more explanations.\n \\pre positive_level: level>=0 && level<=GetMaxSubdivisionLevel()\n \\post is_set: GetFixedSubdivisions()==level\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFixedSubdivisions(int level);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for SetFixedSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxSubdivisionLevel */
    if ( strcmp ( argv[2], "SetMaxSubdivisionLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxSubdivisionLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxSubdivisionLevel */
    Tcl_DStringAppendElement ( &dString, " Set the maximum level of subdivision. See GetMaxSubdivisionLevel() for\n more explanations.\n \\pre positive_level: level>=GetFixedSubdivisions()\n \\post is_set: level==GetMaxSubdivisionLevel()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxSubdivisionLevel(int level);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for SetMaxSubdivisionLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubdivisionLevels */
    if ( strcmp ( argv[2], "SetSubdivisionLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivisionLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivisionLevels */
    Tcl_DStringAppendElement ( &dString, " Set both the number of fixed subdivisions and the maximum level of\n subdivisions. See GetFixedSubdivisions(), GetMaxSubdivisionLevel() and\n GetMaxAdaptiveSubdivisions() for more explanations.\n \\pre positive_fixed: fixed>=0\n \\pre valid_range: fixed<=maxLevel\n \\post fixed_is_set: fixed==GetFixedSubdivisions()\n \\post maxLevel_is_set: maxLevel==GetMaxSubdivisionLevel()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubdivisionLevels(int fixed, int maxLevel);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleCellTessellator" );
    /* Closing for SetSubdivisionLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGenericCellTessellatorCppCommand(static_cast<vtkGenericCellTessellator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
