// tcl wrapper for vtkStreamingDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingDemandDrivenPipeline.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStreamingDemandDrivenPipelineNewCommand()
{
  vtkStreamingDemandDrivenPipeline *temp = vtkStreamingDemandDrivenPipeline::New();
  return static_cast<ClientData>(temp);
}

int vtkDemandDrivenPipelineCppCommand(vtkDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStreamingDemandDrivenPipelineCppCommand(static_cast<vtkStreamingDemandDrivenPipeline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStreamingDemandDrivenPipeline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDemandDrivenPipelineCppCommand(static_cast<vtkDemandDrivenPipeline *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDemandDrivenPipeline"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStreamingDemandDrivenPipeline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Update();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Update(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateWholeExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PropagateUpdateExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->PropagateUpdateExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfPieces",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetMaximumNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfPieces",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetMaximumNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMaximumNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPieces",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetMaximumNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtentToWholeExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateExtentToWholeExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtentToWholeExtent",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetUpdateExtentToWholeExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateExtent(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 6))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateExtent(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdatePiece",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdatePiece(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdatePiece",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdatePiece(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateNumberOfPieces",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateNumberOfPieces",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdateNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateGhostLevel",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateGhostLevel(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateGhostLevel",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdateGhostLevel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateResolution",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->SetUpdateResolution(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateResolution",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    double   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->SetUpdateResolution(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateResolution",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdateResolution(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateTimeStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->SetUpdateTimeStep(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRequestExactExtent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRequestExactExtent(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestExactExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRequestExactExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtentTranslator",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkExtentTranslator  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkExtentTranslator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkExtentTranslator"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetExtentTranslator(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtentTranslator",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    vtkExtentTranslator  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkExtentTranslator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkExtentTranslator"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetExtentTranslator(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentTranslator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkExtentTranslator  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetExtentTranslator(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentTranslator",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkExtentTranslator  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetExtentTranslator(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputePriority",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->ComputePriority();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputePriority",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputePriority(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStreamingDemandDrivenPipelineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamingDemandDrivenPipeline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Update\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  PropagateUpdateExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtentToWholeExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtentToWholeExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdatePiece\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdatePiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateGhostLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateGhostLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateResolution\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateResolution\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateTimeStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestExactExtent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestExactExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentTranslator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentTranslator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentTranslator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentTranslator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputePriority\n",NULL);
    Tcl_AppendResult(interp,"  ComputePriority\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdatePiece" );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateResolution" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateResolution" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateResolution" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateTimeStep" );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "ComputePriority" );
    Tcl_DStringAppendElement ( &dString, "ComputePriority" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStreamingDemandDrivenPipeline *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateWholeExtent */
    if ( strcmp ( argv[2], "UpdateWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdateWholeExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UpdateWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PropagateUpdateExtent */
    if ( strcmp ( argv[2], "PropagateUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PropagateUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Propagate the update request from the given output port back\n through the pipeline.  Should be called only when information is\n up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "int PropagateUpdateExtent(int outputPort);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for PropagateUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetMaximumNumberOfPieces(int port, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetMaximumNumberOfPieces(vtkInformation *, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfPieces(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfPieces(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtentToWholeExtent */
    if ( strcmp ( argv[2], "SetUpdateExtentToWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtentToWholeExtent */
    Tcl_DStringAppendElement ( &dString, " If the whole input extent is required to generate the requested output\n extent, this method can be called to set the input update extent to the\n whole input extent. This method assumes that the whole extent is known\n (that UpdateInformation has been called)\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtentToWholeExtent(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtentToWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtentToWholeExtent */
    if ( strcmp ( argv[2], "SetUpdateExtentToWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtentToWholeExtent */
    Tcl_DStringAppendElement ( &dString, " If the whole input extent is required to generate the requested output\n extent, this method can be called to set the input update extent to the\n whole input extent. This method assumes that the whole extent is known\n (that UpdateInformation has been called)\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtentToWholeExtent(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtentToWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtent(int port, int piece, int numPieces, int ghostLevel);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtent(vtkInformation *, int piece, int numPieces, int ghostLevel);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdatePiece */
    if ( strcmp ( argv[2], "SetUpdatePiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdatePiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdatePiece */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdatePiece(vtkInformation *, int piece);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdatePiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdatePiece */
    if ( strcmp ( argv[2], "GetUpdatePiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdatePiece */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpdatePiece(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdatePiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateNumberOfPieces */
    if ( strcmp ( argv[2], "SetUpdateNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateNumberOfPieces(vtkInformation *, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateNumberOfPieces */
    if ( strcmp ( argv[2], "GetUpdateNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpdateNumberOfPieces(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdateNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateGhostLevel */
    if ( strcmp ( argv[2], "SetUpdateGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateGhostLevel(vtkInformation *, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateGhostLevel */
    if ( strcmp ( argv[2], "GetUpdateGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpdateGhostLevel(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdateGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateResolution */
    if ( strcmp ( argv[2], "SetUpdateResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateResolution(int port, double r);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateResolution */
    if ( strcmp ( argv[2], "SetUpdateResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateResolution(vtkInformation *, double r);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateResolution */
    if ( strcmp ( argv[2], "GetUpdateResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetUpdateResolution(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdateResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateTimeStep */
    if ( strcmp ( argv[2], "SetUpdateTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateTimeStep */
    Tcl_DStringAppendElement ( &dString, " Get/Set the update extent for output ports that use Temporal Extents\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateTimeStep(int port, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestExactExtent */
    if ( strcmp ( argv[2], "SetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle more\n data than requested for the given port.  Right now it is used in\n vtkImageData.  Image filters can return more data than requested.\n The the consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in\n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetRequestExactExtent(int port, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequestExactExtent */
    if ( strcmp ( argv[2], "GetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle more\n data than requested for the given port.  Right now it is used in\n vtkImageData.  Image filters can return more data than requested.\n The the consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in\n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRequestExactExtent(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtentTranslator */
    if ( strcmp ( argv[2], "SetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetExtentTranslator(int port, vtkExtentTranslator *translator);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtentTranslator */
    if ( strcmp ( argv[2], "SetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetExtentTranslator(vtkInformation *, vtkExtentTranslator *translator);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentTranslator */
    if ( strcmp ( argv[2], "GetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator *GetExtentTranslator(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentTranslator */
    if ( strcmp ( argv[2], "GetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator *GetExtentTranslator(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputePriority */
    if ( strcmp ( argv[2], "ComputePriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputePriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputePriority */
    Tcl_DStringAppendElement ( &dString, " Issues pipeline request to determine and return the priority of the \n piece described by the current update extent. The priority is a \n number between 0.0 and 1.0 with 0 meaning skippable (REQUEST_DATA \n not needed) and 1.0 meaning important. \n" );
    Tcl_DStringAppendElement ( &dString, "double ComputePriority();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for ComputePriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputePriority */
    if ( strcmp ( argv[2], "ComputePriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputePriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputePriority */
    Tcl_DStringAppendElement ( &dString, " Issues pipeline request to determine and return the priority of the \n piece described by the current update extent. The priority is a \n number between 0.0 and 1.0 with 0 meaning skippable (REQUEST_DATA \n not needed) and 1.0 meaning important. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual double ComputePriority(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for ComputePriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDemandDrivenPipelineCppCommand(static_cast<vtkDemandDrivenPipeline *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
