// tcl wrapper for vtkThreadedStreamingPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThreadedStreamingPipeline.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkThreadedStreamingPipelineNewCommand()
{
  vtkThreadedStreamingPipeline *temp = vtkThreadedStreamingPipeline::New();
  return static_cast<ClientData>(temp);
}

int vtkCompositeDataPipelineCppCommand(vtkCompositeDataPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkThreadedStreamingPipelineCppCommand(vtkThreadedStreamingPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkThreadedStreamingPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkThreadedStreamingPipelineCppCommand(static_cast<vtkThreadedStreamingPipeline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkThreadedStreamingPipelineCppCommand(vtkThreadedStreamingPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkThreadedStreamingPipeline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCompositeDataPipelineCppCommand(static_cast<vtkCompositeDataPipeline *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCompositeDataPipeline"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkThreadedStreamingPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreadedStreamingPipeline");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkThreadedStreamingPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreadedStreamingPipeline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkThreadedStreamingPipeline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreadedStreamingPipeline");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMultiThreadedEnabled",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetMultiThreadedEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutoPropagatePush",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAutoPropagatePush(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pull",argv[1]))&&(argc == 3))
    {
    vtkExecutiveCollection  *temp0;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    if (!error)
    {
    op->Pull(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pull",argv[1]))&&(argc == 4))
    {
    vtkExecutiveCollection  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Pull(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Push",argv[1]))&&(argc == 3))
    {
    vtkExecutiveCollection  *temp0;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    if (!error)
    {
    op->Push(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Push",argv[1]))&&(argc == 4))
    {
    vtkExecutiveCollection  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkExecutiveCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutiveCollection"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Push(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pull",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->Pull(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pull",argv[1]))&&(argc == 4))
    {
    vtkExecutive  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Pull(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Push",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->Push(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Push",argv[1]))&&(argc == 4))
    {
    vtkExecutive  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Push(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pull",argv[1]))&&(argc == 2))
    {
    op->Pull();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pull",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Pull(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Push",argv[1]))&&(argc == 2))
    {
    op->Push();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Push",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Push(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseInputs",argv[1]))&&(argc == 2))
    {
    op->ReleaseInputs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceUpdateData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->ForceUpdateData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateRequestDataTimeFromSource",argv[1]))&&(argc == 2))
    {
    op->UpdateRequestDataTimeFromSource();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetResources",argv[1]))&&(argc == 2))
    {
    vtkComputingResources  *temp20;
    temp20 = (op)->GetResources();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkComputingResources");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkThreadedStreamingPipelineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCompositeDataPipelineCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkThreadedStreamingPipeline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMultiThreadedEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoPropagatePush\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pull\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pull\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Push\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Push\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Pull\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pull\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Push\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Push\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Pull\n",NULL);
    Tcl_AppendResult(interp,"  Pull\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Push\n",NULL);
    Tcl_AppendResult(interp,"  Push\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseInputs\n",NULL);
    Tcl_AppendResult(interp,"  ForceUpdateData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateRequestDataTimeFromSource\n",NULL);
    Tcl_AppendResult(interp,"  GetResources\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCompositeDataPipelineCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetMultiThreadedEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetAutoPropagatePush" );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    Tcl_DStringAppendElement ( &dString, "Push" );
    Tcl_DStringAppendElement ( &dString, "Push" );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    Tcl_DStringAppendElement ( &dString, "Push" );
    Tcl_DStringAppendElement ( &dString, "Push" );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    Tcl_DStringAppendElement ( &dString, "Push" );
    Tcl_DStringAppendElement ( &dString, "Push" );
    Tcl_DStringAppendElement ( &dString, "ReleaseInputs" );
    Tcl_DStringAppendElement ( &dString, "ForceUpdateData" );
    Tcl_DStringAppendElement ( &dString, "UpdateRequestDataTimeFromSource" );
    Tcl_DStringAppendElement ( &dString, "GetResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCompositeDataPipelineCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkThreadedStreamingPipeline *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMultiThreadedEnabled */
    if ( strcmp ( argv[2], "SetMultiThreadedEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMultiThreadedEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMultiThreadedEnabled */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable Multi-Threaded updating mechanism\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetMultiThreadedEnabled(bool enabled);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for SetMultiThreadedEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoPropagatePush */
    if ( strcmp ( argv[2], "SetAutoPropagatePush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoPropagatePush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoPropagatePush */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable automatic propagation of Push events\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetAutoPropagatePush(bool enabled);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for SetAutoPropagatePush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pull */
    if ( strcmp ( argv[2], "Pull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pull */
    Tcl_DStringAppendElement ( &dString, " Trigger the updates on certain execs and asking all of its\n upstream modules to be updated as well (propagate up)\n" );
    Tcl_DStringAppendElement ( &dString, "static void Pull(vtkExecutiveCollection *execs);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Pull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pull */
    if ( strcmp ( argv[2], "Pull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pull */
    Tcl_DStringAppendElement ( &dString, " Trigger the updates on certain execs and asking all of its\n upstream modules to be updated as well (propagate up)\n" );
    Tcl_DStringAppendElement ( &dString, "static void Pull(vtkExecutiveCollection *execs, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Pull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Push */
    if ( strcmp ( argv[2], "Push" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Push" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Push */
    Tcl_DStringAppendElement ( &dString, " Trigger the updates on certain execs and asking all of its\n downstream modules to be updated as well (propagate down)  \n" );
    Tcl_DStringAppendElement ( &dString, "static void Push(vtkExecutiveCollection *execs);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Push */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Push */
    if ( strcmp ( argv[2], "Push" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Push" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutiveCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Push */
    Tcl_DStringAppendElement ( &dString, " Trigger the updates on certain execs and asking all of its\n downstream modules to be updated as well (propagate down)  \n" );
    Tcl_DStringAppendElement ( &dString, "static void Push(vtkExecutiveCollection *execs, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Push */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pull */
    if ( strcmp ( argv[2], "Pull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pull */
    Tcl_DStringAppendElement ( &dString, " A simplified version of Pull() which only acts upon a single executive\n" );
    Tcl_DStringAppendElement ( &dString, "static void Pull(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Pull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pull */
    if ( strcmp ( argv[2], "Pull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pull */
    Tcl_DStringAppendElement ( &dString, " A simplified version of Pull() which only acts upon a single executive\n" );
    Tcl_DStringAppendElement ( &dString, "static void Pull(vtkExecutive *exec, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Pull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Push */
    if ( strcmp ( argv[2], "Push" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Push" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Push */
    Tcl_DStringAppendElement ( &dString, " A simplified version of Push() which only acts upon a single executive\n" );
    Tcl_DStringAppendElement ( &dString, "static void Push(vtkExecutive *exec);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Push */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Push */
    if ( strcmp ( argv[2], "Push" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Push" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Push */
    Tcl_DStringAppendElement ( &dString, " A simplified version of Push() which only acts upon a single executive\n" );
    Tcl_DStringAppendElement ( &dString, "static void Push(vtkExecutive *exec, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Push */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pull */
    if ( strcmp ( argv[2], "Pull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pull */
    Tcl_DStringAppendElement ( &dString, " Triggers upstream modules to update but not including itself\n" );
    Tcl_DStringAppendElement ( &dString, "void Pull();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Pull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pull */
    if ( strcmp ( argv[2], "Pull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pull */
    Tcl_DStringAppendElement ( &dString, " Triggers upstream modules to update but not including itself\n" );
    Tcl_DStringAppendElement ( &dString, "void Pull(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Pull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Push */
    if ( strcmp ( argv[2], "Push" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Push" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Push */
    Tcl_DStringAppendElement ( &dString, " Triggers downstream modules to update but not including itself \n" );
    Tcl_DStringAppendElement ( &dString, "void Push();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Push */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Push */
    if ( strcmp ( argv[2], "Push" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Push" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Push */
    Tcl_DStringAppendElement ( &dString, " Triggers downstream modules to update but not including itself\n" );
    Tcl_DStringAppendElement ( &dString, "void Push(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for Push */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseInputs */
    if ( strcmp ( argv[2], "ReleaseInputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseInputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseInputs */
    Tcl_DStringAppendElement ( &dString, " Release all the locks for input ports living upstream \n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseInputs();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for ReleaseInputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceUpdateData */
    if ( strcmp ( argv[2], "ForceUpdateData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceUpdateData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceUpdateData */
    Tcl_DStringAppendElement ( &dString, " Send a direct REQUEST_DATA (on all ports) to this executive\n" );
    Tcl_DStringAppendElement ( &dString, "int ForceUpdateData(int processingUnit, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for ForceUpdateData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateRequestDataTimeFromSource */
    if ( strcmp ( argv[2], "UpdateRequestDataTimeFromSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateRequestDataTimeFromSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateRequestDataTimeFromSource */
    Tcl_DStringAppendElement ( &dString, " Update the LastDataRequestTimeFromSource using its upstream time\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateRequestDataTimeFromSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for UpdateRequestDataTimeFromSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResources */
    if ( strcmp ( argv[2], "GetResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResources */
    Tcl_DStringAppendElement ( &dString, " Return the scheduling for this executive\n" );
    Tcl_DStringAppendElement ( &dString, "vtkComputingResources *GetResources();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreadedStreamingPipeline" );
    /* Closing for GetResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCompositeDataPipelineCppCommand(static_cast<vtkCompositeDataPipeline *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
