// python wrapper for vtkTreeBFSIterator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTreeBFSIterator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTreeBFSIterator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTreeBFSIterator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeBFSIteratorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeBFSIteratorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTreeIteratorNew
extern "C" { PyObject *PyVTKClass_vtkTreeIteratorNew(const char *); }
#define DECLARED_PyVTKClass_vtkTreeIteratorNew
#endif

static const char **PyvtkTreeBFSIterator_Doc();


static PyObject *
PyvtkTreeBFSIterator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeBFSIterator *op = static_cast<vtkTreeBFSIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTreeBFSIterator::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeBFSIterator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeBFSIterator *op = static_cast<vtkTreeBFSIterator *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTreeBFSIterator::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeBFSIterator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeBFSIterator *op = static_cast<vtkTreeBFSIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTreeBFSIterator *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTreeBFSIterator::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTreeBFSIterator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkTreeBFSIterator *tempr = vtkTreeBFSIterator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkTreeBFSIterator_Methods[] = {
  {(char*)"GetClassName", PyvtkTreeBFSIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTreeBFSIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTreeBFSIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeBFSIterator\nC++: vtkTreeBFSIterator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTreeBFSIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeBFSIterator\nC++: vtkTreeBFSIterator *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTreeBFSIterator_StaticNew()
{
  return vtkTreeBFSIterator::New();
}

PyObject *PyVTKClass_vtkTreeBFSIteratorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTreeBFSIterator_StaticNew,
    PyvtkTreeBFSIterator_Methods,
    "vtkTreeBFSIterator", modulename,
    NULL, NULL,
    PyvtkTreeBFSIterator_Doc(),
    PyVTKClass_vtkTreeIteratorNew(modulename));
  return cls;
}

const char **PyvtkTreeBFSIterator_Doc()
{
  static const char *docstring[] = {
    "vtkTreeBFSIterator - breadth first search iterator through a vtkTree\n\n",
    "Superclass: vtkTreeIterator\n\n",
    "vtkTreeBFSIterator performs a breadth first search traversal of a\ntree.\n\nAfter setting up the iterator, the normal mode of operation is to set\nup a while(iter->HasNext())loop, with the statement vtkIdType vertex\n= iter->Next()inside the loop.\n\nThanks:\n\nThanks to David Doria for submitting this class.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTreeBFSIterator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTreeBFSIteratorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTreeBFSIterator", o) != 0)
    {
    Py_DECREF(o);
    }

}

