#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkGenericContourFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericContourFilterNewCommand();
int vtkGenericGeometryFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericGeometryFilterNewCommand();
int vtkGenericClipCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericClipNewCommand();
int vtkGenericProbeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericProbeFilterNewCommand();
int vtkGenericDataSetTessellatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericDataSetTessellatorNewCommand();
int vtkGenericCutterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericCutterNewCommand();
int vtkGenericGlyph3DFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericGlyph3DFilterNewCommand();
int vtkGenericStreamTracerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericStreamTracerNewCommand();
int vtkGenericOutlineFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenericOutlineFilterNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkgenericfilteringtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkgenericfilteringtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkgenericfilteringtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkgenericfilteringtcl_Init(interp);
}


int VTK_EXPORT Vtkgenericfilteringtcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericContourFilter"), vtkGenericContourFilterNewCommand,
                  vtkGenericContourFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericGeometryFilter"), vtkGenericGeometryFilterNewCommand,
                  vtkGenericGeometryFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericClip"), vtkGenericClipNewCommand,
                  vtkGenericClipCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericProbeFilter"), vtkGenericProbeFilterNewCommand,
                  vtkGenericProbeFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericDataSetTessellator"), vtkGenericDataSetTessellatorNewCommand,
                  vtkGenericDataSetTessellatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericCutter"), vtkGenericCutterNewCommand,
                  vtkGenericCutterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericGlyph3DFilter"), vtkGenericGlyph3DFilterNewCommand,
                  vtkGenericGlyph3DFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericStreamTracer"), vtkGenericStreamTracerNewCommand,
                  vtkGenericStreamTracerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericOutlineFilter"), vtkGenericOutlineFilterNewCommand,
                  vtkGenericOutlineFilterCommand);
  char pkgName[]="vtkGenericFilteringTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
