// tcl wrapper for vtkGenericStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericStreamTracer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGenericStreamTracerNewCommand()
{
  vtkGenericStreamTracer *temp = vtkGenericStreamTracer::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericStreamTracerCppCommand(vtkGenericStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericStreamTracerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericStreamTracerCppCommand(static_cast<vtkGenericStreamTracer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericStreamTracerCppCommand(vtkGenericStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericStreamTracer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericStreamTracer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericStreamTracer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericStreamTracer");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericStreamTracer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetStartPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillInputPortInformation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->FillInputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
    {
    vtkInitialValueProblemSolver  *temp0;
    error = 0;

    temp0 = (vtkInitialValueProblemSolver *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInitialValueProblemSolver"),interp,error));
    if (!error)
    {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
    {
    vtkInitialValueProblemSolver  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInitialValueProblemSolver");
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegratorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegratorType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegratorType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta2",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta4",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta4();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta45",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta45();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMaximumPropagation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumPropagation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumPropagation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumPropagationUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumPropagationUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumPropagationUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumPropagationUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumPropagation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumPropagationUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumPropagationUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumPropagationUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMinimumIntegrationStep(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimumIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumIntegrationStepUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumIntegrationStep();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStepUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetMinimumIntegrationStepUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStepUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMinimumIntegrationStepUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStepUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMinimumIntegrationStepUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMaximumIntegrationStep(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumIntegrationStepUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumIntegrationStep();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStepUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumIntegrationStepUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStepUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumIntegrationStepUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStepUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumIntegrationStepUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetInitialIntegrationStep(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInitialIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInitialIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInitialIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInitialIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInitialIntegrationStepUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInitialIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInitialIntegrationStep();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStepUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetInitialIntegrationStepUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStepUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetInitialIntegrationStepUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStepUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetInitialIntegrationStepUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfSteps",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfSteps",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfSteps();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminalSpeed",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTerminalSpeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerminalSpeed",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalSpeed();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIntegrationDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationDirectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToForward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBackward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBoth",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeVorticity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeVorticity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeVorticity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeVorticity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVorticityOn",argv[1]))&&(argc == 2))
    {
    op->ComputeVorticityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVorticityOff",argv[1]))&&(argc == 2))
    {
    op->ComputeVorticityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRotationScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRotationScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRotationScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInputVectorsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputVectorsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectInputVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectInputVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkGenericDataSet  *temp0;
    error = 0;

    temp0 = (vtkGenericDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericDataSet"),interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolatorPrototype",argv[1]))&&(argc == 3))
    {
    vtkGenericInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkGenericInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericInterpolatedVelocityField"),interp,error));
    if (!error)
    {
    op->SetInterpolatorPrototype(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericStreamTracerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericStreamTracer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStartPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FillInputPortInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrator\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegratorType\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta2\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta4\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta45\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagation\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumIntegrationStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumIntegrationStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialIntegrationStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumError\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminalSpeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalSpeed\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToForward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBackward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBoth\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeVorticity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeVorticity\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVorticityOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVorticityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationScale\n",NULL);
    Tcl_AppendResult(interp,"  GetInputVectorsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectInputVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolatorPrototype\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorType" );
    Tcl_DStringAppendElement ( &dString, "GetIntegratorType" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta2" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta4" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta45" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagation" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagation" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnit" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationUnit" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagation" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnitToTimeUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnitToLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnitToCellLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnitToTimeUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnitToLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnitToCellLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnitToTimeUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnitToLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnitToCellLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnitToTimeUnit" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnitToLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnitToCellLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumError" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumError" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBoth" );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOff" );
    Tcl_DStringAppendElement ( &dString, "SetRotationScale" );
    Tcl_DStringAppendElement ( &dString, "GetRotationScale" );
    Tcl_DStringAppendElement ( &dString, "GetInputVectorsSelection" );
    Tcl_DStringAppendElement ( &dString, "SelectInputVectors" );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorPrototype" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object to start from position (0,0,0), integrate forward,\n terminal speed 1.0E-12, vorticity computation on, integration\n step length 0.5 (unit cell length), maximum number of steps 2000,\n using 2nd order Runge Kutta and maximum propagation 1.0 (unit length).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericStreamTracer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartPosition */
    if ( strcmp ( argv[2], "GetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetStartPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(vtkDataSet *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points (seeds).\n New style.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillInputPortInformation */
    if ( strcmp ( argv[2], "FillInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillInputPortInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int FillInputPortInformation(int port, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for FillInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrator */
    if ( strcmp ( argv[2], "SetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrator(vtkInitialValueProblemSolver *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrator */
    if ( strcmp ( argv[2], "GetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver *GetIntegrator();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorType */
    if ( strcmp ( argv[2], "SetIntegratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorType */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegratorType */
    if ( strcmp ( argv[2], "GetIntegratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegratorType */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegratorType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetIntegratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorTypeToRungeKutta2 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta2 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta2();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegratorTypeToRungeKutta2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorTypeToRungeKutta4 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta4 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta4();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegratorTypeToRungeKutta4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorTypeToRungeKutta45 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta45" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta45" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta45 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta45();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegratorTypeToRungeKutta45 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagation */
    if ( strcmp ( argv[2], "SetMaximumPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagation */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagation(int unit, double max);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagation */
    if ( strcmp ( argv[2], "SetMaximumPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagation */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagation(double max);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagationUnit */
    if ( strcmp ( argv[2], "SetMaximumPropagationUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagationUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagationUnit(int unit);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumPropagationUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagationUnit */
    if ( strcmp ( argv[2], "GetMaximumPropagationUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagationUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumPropagationUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMaximumPropagationUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagation */
    if ( strcmp ( argv[2], "GetMaximumPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagation */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagation();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMaximumPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagationUnitToTimeUnit */
    if ( strcmp ( argv[2], "SetMaximumPropagationUnitToTimeUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnitToTimeUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagationUnitToTimeUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagationUnitToTimeUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumPropagationUnitToTimeUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagationUnitToLengthUnit */
    if ( strcmp ( argv[2], "SetMaximumPropagationUnitToLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnitToLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagationUnitToLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagationUnitToLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumPropagationUnitToLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagationUnitToCellLengthUnit */
    if ( strcmp ( argv[2], "SetMaximumPropagationUnitToCellLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationUnitToCellLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagationUnitToCellLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagationUnitToCellLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumPropagationUnitToCellLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumIntegrationStep */
    if ( strcmp ( argv[2], "SetMinimumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumIntegrationStep(int unit, double step);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMinimumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumIntegrationStepUnit */
    if ( strcmp ( argv[2], "SetMinimumIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumIntegrationStepUnit(int unit);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMinimumIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumIntegrationStep */
    if ( strcmp ( argv[2], "SetMinimumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumIntegrationStep(double step);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMinimumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumIntegrationStepUnit */
    if ( strcmp ( argv[2], "GetMinimumIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimumIntegrationStepUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMinimumIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumIntegrationStep */
    if ( strcmp ( argv[2], "GetMinimumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumIntegrationStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMinimumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumIntegrationStepUnitToTimeUnit */
    if ( strcmp ( argv[2], "SetMinimumIntegrationStepUnitToTimeUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnitToTimeUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumIntegrationStepUnitToTimeUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumIntegrationStepUnitToTimeUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMinimumIntegrationStepUnitToTimeUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumIntegrationStepUnitToLengthUnit */
    if ( strcmp ( argv[2], "SetMinimumIntegrationStepUnitToLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnitToLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumIntegrationStepUnitToLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumIntegrationStepUnitToLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMinimumIntegrationStepUnitToLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumIntegrationStepUnitToCellLengthUnit */
    if ( strcmp ( argv[2], "SetMinimumIntegrationStepUnitToCellLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStepUnitToCellLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumIntegrationStepUnitToCellLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumIntegrationStepUnitToCellLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMinimumIntegrationStepUnitToCellLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumIntegrationStep */
    if ( strcmp ( argv[2], "SetMaximumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumIntegrationStep(int unit, double step);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumIntegrationStepUnit */
    if ( strcmp ( argv[2], "SetMaximumIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumIntegrationStepUnit(int unit);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumIntegrationStep */
    if ( strcmp ( argv[2], "SetMaximumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumIntegrationStep(double step);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumIntegrationStepUnit */
    if ( strcmp ( argv[2], "GetMaximumIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumIntegrationStepUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMaximumIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumIntegrationStep */
    if ( strcmp ( argv[2], "GetMaximumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumIntegrationStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMaximumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumIntegrationStepUnitToTimeUnit */
    if ( strcmp ( argv[2], "SetMaximumIntegrationStepUnitToTimeUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnitToTimeUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumIntegrationStepUnitToTimeUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumIntegrationStepUnitToTimeUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumIntegrationStepUnitToTimeUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumIntegrationStepUnitToLengthUnit */
    if ( strcmp ( argv[2], "SetMaximumIntegrationStepUnitToLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnitToLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumIntegrationStepUnitToLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumIntegrationStepUnitToLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumIntegrationStepUnitToLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumIntegrationStepUnitToCellLengthUnit */
    if ( strcmp ( argv[2], "SetMaximumIntegrationStepUnitToCellLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStepUnitToCellLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumIntegrationStepUnitToCellLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumIntegrationStepUnitToCellLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumIntegrationStepUnitToCellLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialIntegrationStep */
    if ( strcmp ( argv[2], "SetInitialIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialIntegrationStep(int unit, double step);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetInitialIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialIntegrationStepUnit */
    if ( strcmp ( argv[2], "SetInitialIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialIntegrationStepUnit(int unit);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetInitialIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialIntegrationStep */
    if ( strcmp ( argv[2], "SetInitialIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialIntegrationStep(double step);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetInitialIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialIntegrationStepUnit */
    if ( strcmp ( argv[2], "GetInitialIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInitialIntegrationStepUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetInitialIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialIntegrationStep */
    if ( strcmp ( argv[2], "GetInitialIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInitialIntegrationStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetInitialIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialIntegrationStepUnitToTimeUnit */
    if ( strcmp ( argv[2], "SetInitialIntegrationStepUnitToTimeUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnitToTimeUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStepUnitToTimeUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialIntegrationStepUnitToTimeUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetInitialIntegrationStepUnitToTimeUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialIntegrationStepUnitToLengthUnit */
    if ( strcmp ( argv[2], "SetInitialIntegrationStepUnitToLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnitToLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStepUnitToLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialIntegrationStepUnitToLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetInitialIntegrationStepUnitToLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialIntegrationStepUnitToCellLengthUnit */
    if ( strcmp ( argv[2], "SetInitialIntegrationStepUnitToCellLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStepUnitToCellLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStepUnitToCellLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialIntegrationStepUnitToCellLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetInitialIntegrationStepUnitToCellLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumError */
    if ( strcmp ( argv[2], "SetMaximumError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumError */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumError(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumError */
    if ( strcmp ( argv[2], "GetMaximumError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumError */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumError();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMaximumError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "SetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfSteps(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminalSpeed */
    if ( strcmp ( argv[2], "SetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminalSpeed(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalSpeed */
    if ( strcmp ( argv[2], "GetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalSpeed();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationStepUnit */
    if ( strcmp ( argv[2], "SetIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Simplified API to set an homogeneous unit across Min/Max/Init IntegrationStepUnit\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationStepUnit(int unit);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirection */
    if ( strcmp ( argv[2], "SetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirection(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMinValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetIntegrationDirectionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMaxValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetIntegrationDirectionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirection */
    if ( strcmp ( argv[2], "GetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirection();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToForward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToForward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToForward */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToForward();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegrationDirectionToForward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToBackward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToBackward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToBackward */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToBackward();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegrationDirectionToBackward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToBoth */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToBoth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBoth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToBoth */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToBoth();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetIntegrationDirectionToBoth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeVorticity */
    if ( strcmp ( argv[2], "SetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeVorticity(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeVorticity */
    if ( strcmp ( argv[2], "GetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeVorticity();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeVorticityOn */
    if ( strcmp ( argv[2], "ComputeVorticityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVorticityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ComputeVorticityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for ComputeVorticityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeVorticityOff */
    if ( strcmp ( argv[2], "ComputeVorticityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVorticityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ComputeVorticityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for ComputeVorticityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRotationScale */
    if ( strcmp ( argv[2], "SetRotationScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationScale(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetRotationScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRotationScale */
    if ( strcmp ( argv[2], "GetRotationScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetRotationScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetRotationScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputVectorsSelection */
    if ( strcmp ( argv[2], "GetInputVectorsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputVectorsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputVectorsSelection */
    Tcl_DStringAppendElement ( &dString, " If you want to generate traces using an arbitrary vector array, \n then set its name here. By default this in NULL and the filter will \n use the active vector array.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetInputVectorsSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for GetInputVectorsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectInputVectors */
    if ( strcmp ( argv[2], "SelectInputVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectInputVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectInputVectors */
    Tcl_DStringAppendElement ( &dString, " If you want to generate traces using an arbitrary vector array, \n then set its name here. By default this in NULL and the filter will \n use the active vector array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectInputVectors(const char *fieldName);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SelectInputVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInput */
    if ( strcmp ( argv[2], "AddInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInput */
    Tcl_DStringAppendElement ( &dString, " Add a dataset to the list inputs\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInput(vtkGenericDataSet *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for AddInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolatorPrototype */
    if ( strcmp ( argv[2], "SetInterpolatorPrototype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorPrototype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericInterpolatedVelocityField" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorPrototype */
    Tcl_DStringAppendElement ( &dString, " The object used to interpolate the velocity field during\n integration is of the same class as this prototype.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorPrototype(vtkGenericInterpolatedVelocityField *ivf);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericStreamTracer" );
    /* Closing for SetInterpolatorPrototype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
