// tcl wrapper for vtkGeoAlignedImageSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoAlignedImageSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoAlignedImageSourceNewCommand()
{
  vtkGeoAlignedImageSource *temp = vtkGeoAlignedImageSource::New();
  return static_cast<ClientData>(temp);
}

int vtkGeoSourceCppCommand(vtkGeoSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoAlignedImageSourceCppCommand(vtkGeoAlignedImageSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoAlignedImageSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoAlignedImageSourceCppCommand(static_cast<vtkGeoAlignedImageSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoAlignedImageSourceCppCommand(vtkGeoAlignedImageSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoAlignedImageSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGeoSourceCppCommand(static_cast<vtkGeoSource *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGeoSource"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoAlignedImageSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoAlignedImageSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoAlignedImageSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoAlignedImageSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoAlignedImageSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoAlignedImageSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("FetchRoot",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->FetchRoot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FetchChild",argv[1]))&&(argc == 5))
    {
    vtkGeoTreeNode  *temp0;
    int      temp1;
    vtkGeoTreeNode  *temp2;
    bool   temp20;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->FetchChild(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImage",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetImage();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetImage",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLatitudeRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLatitudeRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLatitudeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLatitudeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLatitudeRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLatitudeRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLongitudeRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLongitudeRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLongitudeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLongitudeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongitudeRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLongitudeRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOverlap",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOverlap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverlapMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOverlapMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOverlapMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOverlapMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOverlap",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOverlap();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPowerOfTwoSize",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPowerOfTwoSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPowerOfTwoSize",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPowerOfTwoSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PowerOfTwoSizeOn",argv[1]))&&(argc == 2))
    {
    op->PowerOfTwoSizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PowerOfTwoSizeOff",argv[1]))&&(argc == 2))
    {
    op->PowerOfTwoSizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoAlignedImageSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGeoSourceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoAlignedImageSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FetchRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FetchChild\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImage\n",NULL);
    Tcl_AppendResult(interp,"  SetImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitudeRange\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitudeRange\n",NULL);
    Tcl_AppendResult(interp,"  SetOverlap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverlapMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOverlapMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOverlap\n",NULL);
    Tcl_AppendResult(interp,"  SetPowerOfTwoSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPowerOfTwoSize\n",NULL);
    Tcl_AppendResult(interp,"  PowerOfTwoSizeOn\n",NULL);
    Tcl_AppendResult(interp,"  PowerOfTwoSizeOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGeoSourceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "FetchRoot" );
    Tcl_DStringAppendElement ( &dString, "FetchChild" );
    Tcl_DStringAppendElement ( &dString, "GetImage" );
    Tcl_DStringAppendElement ( &dString, "SetImage" );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetOverlap" );
    Tcl_DStringAppendElement ( &dString, "GetOverlapMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOverlapMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOverlap" );
    Tcl_DStringAppendElement ( &dString, "SetPowerOfTwoSize" );
    Tcl_DStringAppendElement ( &dString, "GetPowerOfTwoSize" );
    Tcl_DStringAppendElement ( &dString, "PowerOfTwoSizeOn" );
    Tcl_DStringAppendElement ( &dString, "PowerOfTwoSizeOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGeoSourceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoAlignedImageSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FetchRoot */
    if ( strcmp ( argv[2], "FetchRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FetchRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FetchRoot */
    Tcl_DStringAppendElement ( &dString, " Fetch the root image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool FetchRoot(vtkGeoTreeNode *node);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for FetchRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FetchChild */
    if ( strcmp ( argv[2], "FetchChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FetchChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FetchChild */
    Tcl_DStringAppendElement ( &dString, " Fetch a child image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool FetchChild(vtkGeoTreeNode *parent, int index, vtkGeoTreeNode *child);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for FetchChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImage */
    if ( strcmp ( argv[2], "GetImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImage */
    Tcl_DStringAppendElement ( &dString, " The high-resolution image to be used to cover the globe.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImage */
    if ( strcmp ( argv[2], "SetImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImage */
    Tcl_DStringAppendElement ( &dString, " The high-resolution image to be used to cover the globe.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImage(vtkImageData *image);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SetImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitudeRange */
    if ( strcmp ( argv[2], "SetLatitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLatitudeRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SetLatitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitudeRange */
    if ( strcmp ( argv[2], "SetLatitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLatitudeRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SetLatitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitudeRange */
    if ( strcmp ( argv[2], "GetLatitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetLatitudeRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetLatitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitudeRange */
    if ( strcmp ( argv[2], "SetLongitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLongitudeRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SetLongitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitudeRange */
    if ( strcmp ( argv[2], "SetLongitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLongitudeRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SetLongitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitudeRange */
    if ( strcmp ( argv[2], "GetLongitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetLongitudeRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetLongitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOverlap */
    if ( strcmp ( argv[2], "SetOverlap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOverlap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOverlap */
    Tcl_DStringAppendElement ( &dString, " The overlap of adjacent tiles.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOverlap(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SetOverlap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverlapMinValue */
    if ( strcmp ( argv[2], "GetOverlapMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverlapMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverlapMinValue */
    Tcl_DStringAppendElement ( &dString, " The overlap of adjacent tiles.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOverlapMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetOverlapMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverlapMaxValue */
    if ( strcmp ( argv[2], "GetOverlapMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverlapMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverlapMaxValue */
    Tcl_DStringAppendElement ( &dString, " The overlap of adjacent tiles.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOverlapMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetOverlapMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverlap */
    if ( strcmp ( argv[2], "GetOverlap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverlap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverlap */
    Tcl_DStringAppendElement ( &dString, " The overlap of adjacent tiles.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOverlap();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetOverlap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPowerOfTwoSize */
    if ( strcmp ( argv[2], "SetPowerOfTwoSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPowerOfTwoSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPowerOfTwoSize */
    Tcl_DStringAppendElement ( &dString, " Whether to force image sizes to a power of two.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPowerOfTwoSize(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for SetPowerOfTwoSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPowerOfTwoSize */
    if ( strcmp ( argv[2], "GetPowerOfTwoSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPowerOfTwoSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPowerOfTwoSize */
    Tcl_DStringAppendElement ( &dString, " Whether to force image sizes to a power of two.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPowerOfTwoSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for GetPowerOfTwoSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PowerOfTwoSizeOn */
    if ( strcmp ( argv[2], "PowerOfTwoSizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PowerOfTwoSizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PowerOfTwoSizeOn */
    Tcl_DStringAppendElement ( &dString, " Whether to force image sizes to a power of two.\n" );
    Tcl_DStringAppendElement ( &dString, "void PowerOfTwoSizeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for PowerOfTwoSizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PowerOfTwoSizeOff */
    if ( strcmp ( argv[2], "PowerOfTwoSizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PowerOfTwoSizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PowerOfTwoSizeOff */
    Tcl_DStringAppendElement ( &dString, " Whether to force image sizes to a power of two.\n" );
    Tcl_DStringAppendElement ( &dString, "void PowerOfTwoSizeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageSource" );
    /* Closing for PowerOfTwoSizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGeoSourceCppCommand(static_cast<vtkGeoSource *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
