// tcl wrapper for vtkGeoCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoCamera.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoCameraNewCommand()
{
  vtkGeoCamera *temp = vtkGeoCamera::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoCameraCppCommand(vtkGeoCamera *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoCameraCppCommand(static_cast<vtkGeoCamera *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoCameraCppCommand(vtkGeoCamera *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoCamera",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoCamera  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoCamera");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoCamera  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoCamera");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoCamera  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoCamera");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLongitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLongitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongitude",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLongitude();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLatitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLatitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLatitude",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLatitude();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeading",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeading(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeading",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeading();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTilt",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTilt(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTilt",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTilt();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVTKCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetVTKCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("InitializeNodeAnalysis",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->InitializeNodeAnalysis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNodeCoverage",argv[1]))&&(argc == 3))
    {
    vtkGeoTerrainNode  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkGeoTerrainNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTerrainNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetNodeCoverage(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLockHeading",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLockHeading();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLockHeading",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLockHeading(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LockHeadingOn",argv[1]))&&(argc == 2))
    {
    op->LockHeadingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockHeadingOff",argv[1]))&&(argc == 2))
    {
    op->LockHeadingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOriginLatitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOriginLatitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginLatitude",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOriginLatitude();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOriginLongitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOriginLongitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginLongitude",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOriginLongitude();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoCameraCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoCamera:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitude\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitude\n",NULL);
    Tcl_AppendResult(interp,"  SetDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetHeading\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeading\n",NULL);
    Tcl_AppendResult(interp,"  SetTilt\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTilt\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKCamera\n",NULL);
    Tcl_AppendResult(interp,"  InitializeNodeAnalysis\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeCoverage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLockHeading\n",NULL);
    Tcl_AppendResult(interp,"  SetLockHeading\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LockHeadingOn\n",NULL);
    Tcl_AppendResult(interp,"  LockHeadingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginLatitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginLatitude\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginLongitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginLongitude\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetLongitude" );
    Tcl_DStringAppendElement ( &dString, "GetLongitude" );
    Tcl_DStringAppendElement ( &dString, "SetLatitude" );
    Tcl_DStringAppendElement ( &dString, "GetLatitude" );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    Tcl_DStringAppendElement ( &dString, "SetHeading" );
    Tcl_DStringAppendElement ( &dString, "GetHeading" );
    Tcl_DStringAppendElement ( &dString, "SetTilt" );
    Tcl_DStringAppendElement ( &dString, "GetTilt" );
    Tcl_DStringAppendElement ( &dString, "GetVTKCamera" );
    Tcl_DStringAppendElement ( &dString, "InitializeNodeAnalysis" );
    Tcl_DStringAppendElement ( &dString, "GetNodeCoverage" );
    Tcl_DStringAppendElement ( &dString, "GetLockHeading" );
    Tcl_DStringAppendElement ( &dString, "SetLockHeading" );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOn" );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOff" );
    Tcl_DStringAppendElement ( &dString, "SetOriginLatitude" );
    Tcl_DStringAppendElement ( &dString, "GetOriginLatitude" );
    Tcl_DStringAppendElement ( &dString, "SetOriginLongitude" );
    Tcl_DStringAppendElement ( &dString, "GetOriginLongitude" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoCamera *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitude */
    if ( strcmp ( argv[2], "SetLongitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitude */
    Tcl_DStringAppendElement ( &dString, " Longitude is in degrees: (-180->180)\n   Relative to absolute coordinates.\n  Rotate Longitude  around z axis (earth axis),\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLongitude(double longitude);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetLongitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitude */
    if ( strcmp ( argv[2], "GetLongitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitude */
    Tcl_DStringAppendElement ( &dString, " Longitude is in degrees: (-180->180)\n   Relative to absolute coordinates.\n  Rotate Longitude  around z axis (earth axis),\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLongitude();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetLongitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitude */
    if ( strcmp ( argv[2], "SetLatitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitude */
    Tcl_DStringAppendElement ( &dString, "  Latitude is in degrees: (-90->90)\n    Relative to Longitude.\n  Rotate Latitude   around x axis by Latitude, \n" );
    Tcl_DStringAppendElement ( &dString, "void SetLatitude(double latitude);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetLatitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitude */
    if ( strcmp ( argv[2], "GetLatitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitude */
    Tcl_DStringAppendElement ( &dString, "  Latitude is in degrees: (-90->90)\n    Relative to Longitude.\n  Rotate Latitude   around x axis by Latitude, \n" );
    Tcl_DStringAppendElement ( &dString, "double GetLatitude();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetLatitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistance */
    if ( strcmp ( argv[2], "SetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistance */
    Tcl_DStringAppendElement ( &dString, " Distance is in Meters\n   Relative to Longitude and Latitude.\n   above sea level   ???? should we make this from center of earth ????\n                    ???? what about equatorial bulge ????\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistance(double Distance);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistance */
    if ( strcmp ( argv[2], "GetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistance */
    Tcl_DStringAppendElement ( &dString, " Distance is in Meters\n   Relative to Longitude and Latitude.\n   above sea level   ???? should we make this from center of earth ????\n                    ???? what about equatorial bulge ????\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeading */
    if ( strcmp ( argv[2], "SetHeading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeading */
    Tcl_DStringAppendElement ( &dString, " Heading is in degrees:  (-180->180)\n   Relative to Logitude and Latitude.\n   0 is north. \n   90 is east.       ???? what is the standard ????\n   180 is south.\n   -90 is west.  \n  Rotate Heading    around -y axis Center,     \n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeading(double heading);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetHeading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeading */
    if ( strcmp ( argv[2], "GetHeading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeading */
    Tcl_DStringAppendElement ( &dString, " Heading is in degrees:  (-180->180)\n   Relative to Logitude and Latitude.\n   0 is north. \n   90 is east.       ???? what is the standard ????\n   180 is south.\n   -90 is west.  \n  Rotate Heading    around -y axis Center,     \n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeading();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetHeading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTilt */
    if ( strcmp ( argv[2], "SetTilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTilt */
    Tcl_DStringAppendElement ( &dString, " Tilt is also know as pitch.\n Tilt is in degrees: (0->90)\n   Relative to Longitude, Latitude, and Heading.\n Rotate Tilt       around x axis,             \n" );
    Tcl_DStringAppendElement ( &dString, "void SetTilt(double tilt);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetTilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTilt */
    if ( strcmp ( argv[2], "GetTilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTilt */
    Tcl_DStringAppendElement ( &dString, " Tilt is also know as pitch.\n Tilt is in degrees: (0->90)\n   Relative to Longitude, Latitude, and Heading.\n Rotate Tilt       around x axis,             \n" );
    Tcl_DStringAppendElement ( &dString, "double GetTilt();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetTilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVTKCamera */
    if ( strcmp ( argv[2], "GetVTKCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVTKCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVTKCamera */
    Tcl_DStringAppendElement ( &dString, " This vtk camera is updated to match this geo cameras state.\n It should be treated as a const and should not be modified.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetVTKCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetVTKCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeNodeAnalysis */
    if ( strcmp ( argv[2], "InitializeNodeAnalysis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeNodeAnalysis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeNodeAnalysis */
    Tcl_DStringAppendElement ( &dString, " We precompute some values to speed up update of the terrain.\n Unfortunately, they have to be manually/explicitly updated\n when the camera or renderer size changes.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeNodeAnalysis(int rendererSize\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for InitializeNodeAnalysis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeCoverage */
    if ( strcmp ( argv[2], "GetNodeCoverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeCoverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeCoverage */
    Tcl_DStringAppendElement ( &dString, " This method estimates how much of the view is covered by the sphere.\n Returns a value from 0 to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNodeCoverage(vtkGeoTerrainNode *node);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetNodeCoverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLockHeading */
    if ( strcmp ( argv[2], "GetLockHeading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockHeading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockHeading */
    Tcl_DStringAppendElement ( &dString, " Whether to lock the heading a particular value,\n or to let the heading \"roam free\" when performing\n latitude and longitude changes.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLockHeading();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetLockHeading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLockHeading */
    if ( strcmp ( argv[2], "SetLockHeading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLockHeading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLockHeading */
    Tcl_DStringAppendElement ( &dString, " Whether to lock the heading a particular value,\n or to let the heading \"roam free\" when performing\n latitude and longitude changes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLockHeading(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetLockHeading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LockHeadingOn */
    if ( strcmp ( argv[2], "LockHeadingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockHeadingOn */
    Tcl_DStringAppendElement ( &dString, " Whether to lock the heading a particular value,\n or to let the heading \"roam free\" when performing\n latitude and longitude changes.\n" );
    Tcl_DStringAppendElement ( &dString, "void LockHeadingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for LockHeadingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LockHeadingOff */
    if ( strcmp ( argv[2], "LockHeadingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockHeadingOff */
    Tcl_DStringAppendElement ( &dString, " Whether to lock the heading a particular value,\n or to let the heading \"roam free\" when performing\n latitude and longitude changes.\n" );
    Tcl_DStringAppendElement ( &dString, "void LockHeadingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for LockHeadingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginLatitude */
    if ( strcmp ( argv[2], "SetOriginLatitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginLatitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginLatitude */
    Tcl_DStringAppendElement ( &dString, " This point is shifted to 0,0,0 to avoid openGL issues.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginLatitude(double oLat);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetOriginLatitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginLatitude */
    if ( strcmp ( argv[2], "GetOriginLatitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginLatitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginLatitude */
    Tcl_DStringAppendElement ( &dString, " This point is shifted to 0,0,0 to avoid openGL issues.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOriginLatitude();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetOriginLatitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginLongitude */
    if ( strcmp ( argv[2], "SetOriginLongitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginLongitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginLongitude */
    Tcl_DStringAppendElement ( &dString, " This point is shifted to 0,0,0 to avoid openGL issues.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginLongitude(double oLat);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetOriginLongitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginLongitude */
    if ( strcmp ( argv[2], "GetOriginLongitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginLongitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginLongitude */
    Tcl_DStringAppendElement ( &dString, " This point is shifted to 0,0,0 to avoid openGL issues.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOriginLongitude();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetOriginLongitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the rectilinear cooridinate location of the origin.\n This is used to shift the terrain points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double ox, double oy, double oz);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoCamera" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
