// tcl wrapper for vtkGeoSampleArcs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoSampleArcs.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoSampleArcsNewCommand()
{
  vtkGeoSampleArcs *temp = vtkGeoSampleArcs::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoSampleArcsCppCommand(vtkGeoSampleArcs *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoSampleArcsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoSampleArcsCppCommand(static_cast<vtkGeoSampleArcs *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoSampleArcsCppCommand(vtkGeoSampleArcs *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoSampleArcs",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoSampleArcs  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoSampleArcs");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoSampleArcs  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoSampleArcs");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoSampleArcs  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoSampleArcs");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGlobeRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGlobeRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobeRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGlobeRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumDistanceMeters",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumDistanceMeters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumDistanceMeters",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistanceMeters();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputCoordinateSystem",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInputCoordinateSystem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputCoordinateSystem",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputCoordinateSystem();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputCoordinateSystemToRectangular",argv[1]))&&(argc == 2))
    {
    op->SetInputCoordinateSystemToRectangular();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputCoordinateSystemToSpherical",argv[1]))&&(argc == 2))
    {
    op->SetInputCoordinateSystemToSpherical();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystem",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputCoordinateSystem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputCoordinateSystem",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputCoordinateSystem();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystemToRectangular",argv[1]))&&(argc == 2))
    {
    op->SetOutputCoordinateSystemToRectangular();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystemToSpherical",argv[1]))&&(argc == 2))
    {
    op->SetOutputCoordinateSystemToSpherical();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoSampleArcsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoSampleArcs:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobeRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobeRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumDistanceMeters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistanceMeters\n",NULL);
    Tcl_AppendResult(interp,"  SetInputCoordinateSystem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputCoordinateSystem\n",NULL);
    Tcl_AppendResult(interp,"  SetInputCoordinateSystemToRectangular\n",NULL);
    Tcl_AppendResult(interp,"  SetInputCoordinateSystemToSpherical\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputCoordinateSystem\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystemToRectangular\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystemToSpherical\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGlobeRadius" );
    Tcl_DStringAppendElement ( &dString, "GetGlobeRadius" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDistanceMeters" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistanceMeters" );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "GetInputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToRectangular" );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToSpherical" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToRectangular" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToSpherical" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoSampleArcs *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobeRadius */
    if ( strcmp ( argv[2], "SetGlobeRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobeRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobeRadius */
    Tcl_DStringAppendElement ( &dString, " The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlobeRadius(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetGlobeRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobeRadius */
    if ( strcmp ( argv[2], "GetGlobeRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobeRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobeRadius */
    Tcl_DStringAppendElement ( &dString, " The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGlobeRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for GetGlobeRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumDistanceMeters */
    if ( strcmp ( argv[2], "SetMaximumDistanceMeters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDistanceMeters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumDistanceMeters */
    Tcl_DStringAppendElement ( &dString, " The maximum distance, in meters, between adjacent points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumDistanceMeters(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetMaximumDistanceMeters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDistanceMeters */
    if ( strcmp ( argv[2], "GetMaximumDistanceMeters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistanceMeters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDistanceMeters */
    Tcl_DStringAppendElement ( &dString, " The maximum distance, in meters, between adjacent points.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumDistanceMeters();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for GetMaximumDistanceMeters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputCoordinateSystem */
    if ( strcmp ( argv[2], "SetInputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " The input coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputCoordinateSystem(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetInputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputCoordinateSystem */
    if ( strcmp ( argv[2], "GetInputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " The input coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputCoordinateSystem();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for GetInputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputCoordinateSystemToRectangular */
    if ( strcmp ( argv[2], "SetInputCoordinateSystemToRectangular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToRectangular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputCoordinateSystemToRectangular */
    Tcl_DStringAppendElement ( &dString, " The input coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputCoordinateSystemToRectangular();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetInputCoordinateSystemToRectangular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputCoordinateSystemToSpherical */
    if ( strcmp ( argv[2], "SetInputCoordinateSystemToSpherical" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToSpherical" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputCoordinateSystemToSpherical */
    Tcl_DStringAppendElement ( &dString, " The input coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputCoordinateSystemToSpherical();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetInputCoordinateSystemToSpherical */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystem */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " The desired output coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputCoordinateSystem(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetOutputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputCoordinateSystem */
    if ( strcmp ( argv[2], "GetOutputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " The desired output coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputCoordinateSystem();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for GetOutputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystemToRectangular */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystemToRectangular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToRectangular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystemToRectangular */
    Tcl_DStringAppendElement ( &dString, " The desired output coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputCoordinateSystemToRectangular();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetOutputCoordinateSystemToRectangular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystemToSpherical */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystemToSpherical" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToSpherical" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystemToSpherical */
    Tcl_DStringAppendElement ( &dString, " The desired output coordinate system.\n RECTANGULAR is x,y,z meters relative the the earth center.\n SPHERICAL is longitude,latitude,altitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputCoordinateSystemToSpherical();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSampleArcs" );
    /* Closing for SetOutputCoordinateSystemToSpherical */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
