// tcl wrapper for vtkGeoSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoSourceCppCommand(vtkGeoSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoSourceCppCommand(static_cast<vtkGeoSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoSourceCppCommand(vtkGeoSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoSource");
    return TCL_OK;
    }
  if ((!strcmp("FetchRoot",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->FetchRoot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FetchChild",argv[1]))&&(argc == 5))
    {
    vtkGeoTreeNode  *temp0;
    int      temp1;
    vtkGeoTreeNode  *temp2;
    bool   temp20;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->FetchChild(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RequestChildren",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->RequestChildren(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestedNodes",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    vtkCollection  *temp20;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRequestedNodes(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollection");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Initialize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShutDown",argv[1]))&&(argc == 2))
    {
    op->ShutDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WorkerThread",argv[1]))&&(argc == 2))
    {
    op->WorkerThread();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  FetchRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FetchChild\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RequestChildren\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestedNodes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShutDown\n",NULL);
    Tcl_AppendResult(interp,"  WorkerThread\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "FetchRoot" );
    Tcl_DStringAppendElement ( &dString, "FetchChild" );
    Tcl_DStringAppendElement ( &dString, "RequestChildren" );
    Tcl_DStringAppendElement ( &dString, "GetRequestedNodes" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "ShutDown" );
    Tcl_DStringAppendElement ( &dString, "WorkerThread" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FetchRoot */
    if ( strcmp ( argv[2], "FetchRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FetchRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FetchRoot */
    Tcl_DStringAppendElement ( &dString, " Blocking access methods to be implemented in subclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool FetchRoot(vtkGeoTreeNode *root) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for FetchRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FetchChild */
    if ( strcmp ( argv[2], "FetchChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FetchChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FetchChild */
    Tcl_DStringAppendElement ( &dString, " Blocking access methods to be implemented in subclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool FetchChild(vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for FetchChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RequestChildren */
    if ( strcmp ( argv[2], "RequestChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequestChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequestChildren */
    Tcl_DStringAppendElement ( &dString, " Non-blocking methods for to use from the main application.\n After calling RequestChildren() for a certain node,\n GetRequestedNodes() will after a certain period of time return a\n non-null pointer to a collection of four vtkGeoTreeNode objects,\n which are the four children of the requested node.\n The collection is reference counted, so you need to eventually\n call Delete() on the returned collection pointer (if it is non-null).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RequestChildren(vtkGeoTreeNode *node);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for RequestChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequestedNodes */
    if ( strcmp ( argv[2], "GetRequestedNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestedNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestedNodes */
    Tcl_DStringAppendElement ( &dString, " Non-blocking methods for to use from the main application.\n After calling RequestChildren() for a certain node,\n GetRequestedNodes() will after a certain period of time return a\n non-null pointer to a collection of four vtkGeoTreeNode objects,\n which are the four children of the requested node.\n The collection is reference counted, so you need to eventually\n call Delete() on the returned collection pointer (if it is non-null).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCollection *GetRequestedNodes(vtkGeoTreeNode *node);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for GetRequestedNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Spawn worker threads. \n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize(int numThreads=1);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShutDown */
    if ( strcmp ( argv[2], "ShutDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShutDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShutDown */
    Tcl_DStringAppendElement ( &dString, " Shut down the source. This terminates the thread and releases memory.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShutDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for ShutDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WorkerThread */
    if ( strcmp ( argv[2], "WorkerThread" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WorkerThread" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WorkerThread */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void WorkerThread();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for WorkerThread */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Return the projection transformation used by this source.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractTransform *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoSource" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
