// tcl wrapper for vtkGeoTerrainNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTerrainNode.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoTerrainNodeNewCommand()
{
  vtkGeoTerrainNode *temp = vtkGeoTerrainNode::New();
  return static_cast<ClientData>(temp);
}

int vtkGeoTreeNodeCppCommand(vtkGeoTreeNode *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoTerrainNodeCppCommand(vtkGeoTerrainNode *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoTerrainNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoTerrainNodeCppCommand(static_cast<vtkGeoTerrainNode *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoTerrainNodeCppCommand(vtkGeoTerrainNode *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoTerrainNode",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGeoTreeNodeCppCommand(static_cast<vtkGeoTreeNode *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGeoTreeNode"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoTerrainNode  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTerrainNode");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoTerrainNode  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTerrainNode");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoTerrainNode  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTerrainNode");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChild",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkGeoTerrainNode  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetChild(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTerrainNode");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParent",argv[1]))&&(argc == 2))
    {
    vtkGeoTerrainNode  *temp20;
    temp20 = (op)->GetParent();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTerrainNode");
    return TCL_OK;
    }
  if ((!strcmp("GetAltitude",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->GetAltitude(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModel",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetModel();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetModel",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetModel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateBoundingSphere",argv[1]))&&(argc == 2))
    {
    op->UpdateBoundingSphere();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBoundingSphereRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBoundingSphereRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBoundingSphereCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBoundingSphereCenter();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCornerNormal00",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCornerNormal00();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCornerNormal01",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCornerNormal01();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCornerNormal10",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCornerNormal10();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCornerNormal11",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCornerNormal11();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetProjectionBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionBounds",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetProjectionBounds(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectionBounds",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetProjectionBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraticuleLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGraticuleLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGraticuleLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGraticuleLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCoverage",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetCoverage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCoverage",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCoverage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeleteData",argv[1]))&&(argc == 2))
    {
    op->DeleteData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoTerrainNodeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGeoTreeNodeCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoTerrainNode:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParent\n",NULL);
    Tcl_AppendResult(interp,"  GetAltitude\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetModel\n",NULL);
    Tcl_AppendResult(interp,"  SetModel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateBoundingSphere\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundingSphereRadius\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundingSphereCenter\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerNormal00\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerNormal01\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerNormal10\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerNormal11\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionBounds\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionBounds\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraticuleLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetGraticuleLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetError\n",NULL);
    Tcl_AppendResult(interp,"  SetError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCoverage\n",NULL);
    Tcl_AppendResult(interp,"  SetCoverage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasData\n",NULL);
    Tcl_AppendResult(interp,"  DeleteData\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGeoTreeNodeCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetChild" );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    Tcl_DStringAppendElement ( &dString, "GetAltitude" );
    Tcl_DStringAppendElement ( &dString, "GetModel" );
    Tcl_DStringAppendElement ( &dString, "SetModel" );
    Tcl_DStringAppendElement ( &dString, "UpdateBoundingSphere" );
    Tcl_DStringAppendElement ( &dString, "GetBoundingSphereRadius" );
    Tcl_DStringAppendElement ( &dString, "GetBoundingSphereCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal00" );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal01" );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal10" );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal11" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionBounds" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionBounds" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionBounds" );
    Tcl_DStringAppendElement ( &dString, "GetGraticuleLevel" );
    Tcl_DStringAppendElement ( &dString, "SetGraticuleLevel" );
    Tcl_DStringAppendElement ( &dString, "GetError" );
    Tcl_DStringAppendElement ( &dString, "SetError" );
    Tcl_DStringAppendElement ( &dString, "GetCoverage" );
    Tcl_DStringAppendElement ( &dString, "SetCoverage" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "HasData" );
    Tcl_DStringAppendElement ( &dString, "DeleteData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGeoTreeNodeCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoTerrainNode *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChild */
    if ( strcmp ( argv[2], "GetChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChild */
    Tcl_DStringAppendElement ( &dString, " Every subclass implements these methods returning the specific type.\n This is easier than templating.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode *GetChild(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParent */
    if ( strcmp ( argv[2], "GetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParent */
    Tcl_DStringAppendElement ( &dString, " Every subclass implements these methods returning the specific type.\n This is easier than templating.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode *GetParent();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAltitude */
    if ( strcmp ( argv[2], "GetAltitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAltitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAltitude */
    Tcl_DStringAppendElement ( &dString, " Given, a long, lat position, return altitude in meters\n relative to  sea level.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAltitude(double longitude, double latitude);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetAltitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModel */
    if ( strcmp ( argv[2], "GetModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModel */
    Tcl_DStringAppendElement ( &dString, " Get the terrrain model.  The user has to copy the terrain\n into this object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetModel();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModel */
    if ( strcmp ( argv[2], "SetModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModel */
    Tcl_DStringAppendElement ( &dString, " Get the terrrain model.  The user has to copy the terrain\n into this object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModel(vtkPolyData *model);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for SetModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateBoundingSphere */
    if ( strcmp ( argv[2], "UpdateBoundingSphere" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateBoundingSphere" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateBoundingSphere */
    Tcl_DStringAppendElement ( &dString, " Bounding sphere is precomputed for faster updates of terrain.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateBoundingSphere();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for UpdateBoundingSphere */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundingSphereRadius */
    if ( strcmp ( argv[2], "GetBoundingSphereRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundingSphereRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundingSphereRadius */
    Tcl_DStringAppendElement ( &dString, " Bounding sphere is precomputed for faster updates of terrain.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBoundingSphereRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetBoundingSphereRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundingSphereCenter */
    if ( strcmp ( argv[2], "GetBoundingSphereCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundingSphereCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundingSphereCenter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetBoundingSphereCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetBoundingSphereCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerNormal00 */
    if ( strcmp ( argv[2], "GetCornerNormal00" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal00" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerNormal00 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCornerNormal00();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetCornerNormal00 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerNormal01 */
    if ( strcmp ( argv[2], "GetCornerNormal01" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal01" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerNormal01 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCornerNormal01();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetCornerNormal01 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerNormal10 */
    if ( strcmp ( argv[2], "GetCornerNormal10" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal10" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerNormal10 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCornerNormal10();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetCornerNormal10 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerNormal11 */
    if ( strcmp ( argv[2], "GetCornerNormal11" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerNormal11" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerNormal11 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCornerNormal11();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetCornerNormal11 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionBounds */
    if ( strcmp ( argv[2], "GetProjectionBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetProjectionBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetProjectionBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionBounds */
    if ( strcmp ( argv[2], "SetProjectionBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionBounds(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for SetProjectionBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionBounds */
    if ( strcmp ( argv[2], "SetProjectionBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionBounds(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for SetProjectionBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraticuleLevel */
    if ( strcmp ( argv[2], "GetGraticuleLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraticuleLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraticuleLevel */
    Tcl_DStringAppendElement ( &dString, " For 2D projections, store the granularity of the graticule in this node.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGraticuleLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetGraticuleLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraticuleLevel */
    if ( strcmp ( argv[2], "SetGraticuleLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraticuleLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraticuleLevel */
    Tcl_DStringAppendElement ( &dString, " For 2D projections, store the granularity of the graticule in this node.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGraticuleLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for SetGraticuleLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetError */
    if ( strcmp ( argv[2], "GetError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetError */
    Tcl_DStringAppendElement ( &dString, " For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetError();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetError */
    if ( strcmp ( argv[2], "SetError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetError */
    Tcl_DStringAppendElement ( &dString, " For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetError(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for SetError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoverage */
    if ( strcmp ( argv[2], "GetCoverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoverage */
    Tcl_DStringAppendElement ( &dString, " For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetCoverage();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for GetCoverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoverage */
    if ( strcmp ( argv[2], "SetCoverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoverage */
    Tcl_DStringAppendElement ( &dString, " For 2D projections, store the maximum deviation of line segment centers\n from the actual projection value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoverage(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for SetCoverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkGeoTreeNode *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkGeoTreeNode *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasData */
    if ( strcmp ( argv[2], "HasData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasData */
    Tcl_DStringAppendElement ( &dString, " Returns whether this node has valid data associated\n with it, or if it is an \"empty\" node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool HasData();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for HasData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteData */
    if ( strcmp ( argv[2], "DeleteData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteData */
    Tcl_DStringAppendElement ( &dString, " Deletes the data associated with the node to make this\n an \"empty\" node. This is performed when the node has\n been unused for a certain amount of time.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeleteData();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrainNode" );
    /* Closing for DeleteData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGeoTreeNodeCppCommand(static_cast<vtkGeoTreeNode *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
