// tcl wrapper for vtkGeoTreeNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTreeNode.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoTreeNodeNewCommand()
{
  vtkGeoTreeNode *temp = vtkGeoTreeNode::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoTreeNodeCppCommand(vtkGeoTreeNode *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoTreeNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoTreeNodeCppCommand(static_cast<vtkGeoTreeNode *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoTreeNodeCppCommand(vtkGeoTreeNode *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoTreeNode",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoTreeNode  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTreeNode");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoTreeNode  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTreeNode");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoTreeNode  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTreeNode");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetId",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetId",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetId();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLongitudeRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLongitudeRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLongitudeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLongitudeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongitudeRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLongitudeRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLatitudeRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLatitudeRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLatitudeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLatitudeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLatitudeRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLatitudeRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetChild",argv[1]))&&(argc == 4))
    {
    vtkGeoTreeNode  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetChild(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParent",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->SetParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOlder",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->SetOlder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOlder",argv[1]))&&(argc == 2))
    {
    vtkGeoTreeNode  *temp20;
    temp20 = (op)->GetOlder();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTreeNode");
    return TCL_OK;
    }
  if ((!strcmp("SetNewer",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->SetNewer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNewer",argv[1]))&&(argc == 2))
    {
    vtkGeoTreeNode  *temp20;
    temp20 = (op)->GetNewer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTreeNode");
    return TCL_OK;
    }
  if ((!strcmp("HasData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeleteData",argv[1]))&&(argc == 2))
    {
    op->DeleteData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWhichChildAreYou",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWhichChildAreYou();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsDescendantOf",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsDescendantOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateChildren",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CreateChildren();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetChildTreeNode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkGeoTreeNode  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetChildTreeNode(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTreeNode");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParentTreeNode",argv[1]))&&(argc == 2))
    {
    vtkGeoTreeNode  *temp20;
    temp20 = (op)->GetParentTreeNode();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTreeNode");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkGeoTreeNode  *temp0;
    error = 0;

    temp0 = (vtkGeoTreeNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTreeNode"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoTreeNodeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoTreeNode:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetId\n",NULL);
    Tcl_AppendResult(interp,"  SetLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitudeRange\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitudeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitudeRange\n",NULL);
    Tcl_AppendResult(interp,"  SetChild\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOlder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOlder\n",NULL);
    Tcl_AppendResult(interp,"  SetNewer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNewer\n",NULL);
    Tcl_AppendResult(interp,"  HasData\n",NULL);
    Tcl_AppendResult(interp,"  DeleteData\n",NULL);
    Tcl_AppendResult(interp,"  GetWhichChildAreYou\n",NULL);
    Tcl_AppendResult(interp,"  IsDescendantOf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateChildren\n",NULL);
    Tcl_AppendResult(interp,"  GetChildTreeNode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParentTreeNode\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetId" );
    Tcl_DStringAppendElement ( &dString, "GetId" );
    Tcl_DStringAppendElement ( &dString, "SetLevel" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeRange" );
    Tcl_DStringAppendElement ( &dString, "SetChild" );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    Tcl_DStringAppendElement ( &dString, "SetOlder" );
    Tcl_DStringAppendElement ( &dString, "GetOlder" );
    Tcl_DStringAppendElement ( &dString, "SetNewer" );
    Tcl_DStringAppendElement ( &dString, "GetNewer" );
    Tcl_DStringAppendElement ( &dString, "HasData" );
    Tcl_DStringAppendElement ( &dString, "DeleteData" );
    Tcl_DStringAppendElement ( &dString, "GetWhichChildAreYou" );
    Tcl_DStringAppendElement ( &dString, "IsDescendantOf" );
    Tcl_DStringAppendElement ( &dString, "CreateChildren" );
    Tcl_DStringAppendElement ( &dString, "GetChildTreeNode" );
    Tcl_DStringAppendElement ( &dString, "GetParentTreeNode" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoTreeNode *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetId */
    if ( strcmp ( argv[2], "SetId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetId */
    Tcl_DStringAppendElement ( &dString, " The id uniquely specified this node.\n For this implementation I am going to store the branch path\n in the bits.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetId(unsigned long a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetId */
    if ( strcmp ( argv[2], "GetId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetId */
    Tcl_DStringAppendElement ( &dString, " The id uniquely specified this node.\n For this implementation I am going to store the branch path\n in the bits.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetId();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevel */
    if ( strcmp ( argv[2], "SetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitudeRange */
    if ( strcmp ( argv[2], "SetLongitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLongitudeRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetLongitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitudeRange */
    if ( strcmp ( argv[2], "SetLongitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLongitudeRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetLongitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitudeRange */
    if ( strcmp ( argv[2], "GetLongitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetLongitudeRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetLongitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitudeRange */
    if ( strcmp ( argv[2], "SetLatitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLatitudeRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetLatitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitudeRange */
    if ( strcmp ( argv[2], "SetLatitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLatitudeRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetLatitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitudeRange */
    if ( strcmp ( argv[2], "GetLatitudeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitudeRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetLatitudeRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetLatitudeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetChild */
    if ( strcmp ( argv[2], "SetChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetChild */
    Tcl_DStringAppendElement ( &dString, " Get a child of this node. If one is set, then they all should\n set.  No not mix subclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetChild(vtkGeoTreeNode *node, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParent */
    if ( strcmp ( argv[2], "SetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParent */
    Tcl_DStringAppendElement ( &dString, " When we merge children to a lower resolution parent, we need\n this reference.  It is not referenced counted to avoid reference loops.\n A child should never exist when the parent is destructed anyway.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParent(vtkGeoTreeNode *node);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOlder */
    if ( strcmp ( argv[2], "SetOlder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOlder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOlder */
    Tcl_DStringAppendElement ( &dString, " Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOlder(vtkGeoTreeNode *node);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetOlder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOlder */
    if ( strcmp ( argv[2], "GetOlder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOlder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOlder */
    Tcl_DStringAppendElement ( &dString, " Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode *GetOlder();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetOlder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNewer */
    if ( strcmp ( argv[2], "SetNewer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNewer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNewer */
    Tcl_DStringAppendElement ( &dString, " Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNewer(vtkGeoTreeNode *node);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for SetNewer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNewer */
    if ( strcmp ( argv[2], "GetNewer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNewer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNewer */
    Tcl_DStringAppendElement ( &dString, " Manage links to older and newer tree nodes.\n These are used to periodically delete unused patches.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode *GetNewer();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetNewer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasData */
    if ( strcmp ( argv[2], "HasData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasData */
    Tcl_DStringAppendElement ( &dString, " Returns whether this node has valid data associated\n with it, or if it is an \"empty\" node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool HasData();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for HasData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteData */
    if ( strcmp ( argv[2], "DeleteData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteData */
    Tcl_DStringAppendElement ( &dString, " Deletes the data associated with the node to make this\n an \"empty\" node. This is performed when the node has\n been unused for a certain amount of time.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeleteData();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for DeleteData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWhichChildAreYou */
    if ( strcmp ( argv[2], "GetWhichChildAreYou" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWhichChildAreYou" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWhichChildAreYou */
    Tcl_DStringAppendElement ( &dString, " Get this nodes child index in node's parent.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWhichChildAreYou();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetWhichChildAreYou */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsDescendantOf */
    if ( strcmp ( argv[2], "IsDescendantOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDescendantOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDescendantOf */
    Tcl_DStringAppendElement ( &dString, " This method returns true if this node descends from the\n elder node.  The descision is made from the node ids, so the nodes do\n not have to be in the same tree!\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsDescendantOf(vtkGeoTreeNode *elder);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for IsDescendantOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateChildren */
    if ( strcmp ( argv[2], "CreateChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateChildren */
    Tcl_DStringAppendElement ( &dString, " Create children of the same type as parent.\n Id, level and Latitude-Longitude ranges are set.\n Returns VTK_ERROR if level gets too deep to create children.\n" );
    Tcl_DStringAppendElement ( &dString, "int CreateChildren();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for CreateChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChildTreeNode */
    if ( strcmp ( argv[2], "GetChildTreeNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChildTreeNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChildTreeNode */
    Tcl_DStringAppendElement ( &dString, " Get the child as a vtkGeoTreeNode.\n Subclasses also implement GetChild() which returns the child\n as the appropriate subclass type.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode *GetChildTreeNode(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetChildTreeNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParentTreeNode */
    if ( strcmp ( argv[2], "GetParentTreeNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParentTreeNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParentTreeNode */
    Tcl_DStringAppendElement ( &dString, " Get the parent as a vtkGeoTreeNode.\n Subclasses also implement GetParent() which returns the parent\n as the appropriate subclass type.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode *GetParentTreeNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for GetParentTreeNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy. Deep copy performs a shallow copy\n of the Child nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkGeoTreeNode *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy. Deep copy performs a shallow copy\n of the Child nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkGeoTreeNode *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTreeNode" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
