// tcl wrapper for vtkGeoView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoView.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoViewNewCommand()
{
  vtkGeoView *temp = vtkGeoView::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderViewCppCommand(vtkRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoViewCppCommand(vtkGeoView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoViewCppCommand(static_cast<vtkGeoView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoViewCppCommand(vtkGeoView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoView");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDefaultImageRepresentation",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    vtkGeoAlignedImageRepresentation  *temp20;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddDefaultImageRepresentation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoAlignedImageRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("PrepareForRendering",argv[1]))&&(argc == 2))
    {
    op->PrepareForRendering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildLowResEarth",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->BuildLowResEarth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLockHeading",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLockHeading(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLockHeading",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLockHeading();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LockHeadingOn",argv[1]))&&(argc == 2))
    {
    op->LockHeadingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockHeadingOff",argv[1]))&&(argc == 2))
    {
    op->LockHeadingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGeoInteractorStyle",argv[1]))&&(argc == 2))
    {
    vtkGeoInteractorStyle  *temp20;
    temp20 = (op)->GetGeoInteractorStyle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoInteractorStyle");
    return TCL_OK;
    }
  if ((!strcmp("SetGeoInteractorStyle",argv[1]))&&(argc == 3))
    {
    vtkGeoInteractorStyle  *temp0;
    error = 0;

    temp0 = (vtkGeoInteractorStyle *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoInteractorStyle"),interp,error));
    if (!error)
    {
    op->SetGeoInteractorStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTerrain",argv[1]))&&(argc == 3))
    {
    vtkGeoTerrain  *temp0;
    error = 0;

    temp0 = (vtkGeoTerrain *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGeoTerrain"),interp,error));
    if (!error)
    {
    op->SetTerrain(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerrain",argv[1]))&&(argc == 2))
    {
    vtkGeoTerrain  *temp20;
    temp20 = (op)->GetTerrain();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoTerrain");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDefaultImageRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForRendering\n",NULL);
    Tcl_AppendResult(interp,"  BuildLowResEarth\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLockHeading\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLockHeading\n",NULL);
    Tcl_AppendResult(interp,"  LockHeadingOn\n",NULL);
    Tcl_AppendResult(interp,"  LockHeadingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGeoInteractorStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetGeoInteractorStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTerrain\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerrain\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "AddDefaultImageRepresentation" );
    Tcl_DStringAppendElement ( &dString, "PrepareForRendering" );
    Tcl_DStringAppendElement ( &dString, "BuildLowResEarth" );
    Tcl_DStringAppendElement ( &dString, "SetLockHeading" );
    Tcl_DStringAppendElement ( &dString, "GetLockHeading" );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOn" );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOff" );
    Tcl_DStringAppendElement ( &dString, "GetGeoInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "SetGeoInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "SetTerrain" );
    Tcl_DStringAppendElement ( &dString, "GetTerrain" );
    Tcl_DStringAppendElement ( &dString, "Render" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoView *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDefaultImageRepresentation */
    if ( strcmp ( argv[2], "AddDefaultImageRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDefaultImageRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDefaultImageRepresentation */
    Tcl_DStringAppendElement ( &dString, " Adds an image representation with a simple terrain model using\n the image in the specified file as the globe terrain.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoAlignedImageRepresentation *AddDefaultImageRepresentation(vtkImageData *image);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for AddDefaultImageRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrepareForRendering */
    if ( strcmp ( argv[2], "PrepareForRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrepareForRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrepareForRendering */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrepareForRendering();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for PrepareForRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLowResEarth */
    if ( strcmp ( argv[2], "BuildLowResEarth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLowResEarth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLowResEarth */
    Tcl_DStringAppendElement ( &dString, " Rebuild low-res earth source; call after (re)setting origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLowResEarth(double origin\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for BuildLowResEarth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLockHeading */
    if ( strcmp ( argv[2], "SetLockHeading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLockHeading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLockHeading */
    Tcl_DStringAppendElement ( &dString, " Whether the view locks the heading when panning.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLockHeading(bool lock);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for SetLockHeading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLockHeading */
    if ( strcmp ( argv[2], "GetLockHeading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockHeading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockHeading */
    Tcl_DStringAppendElement ( &dString, " Whether the view locks the heading when panning.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLockHeading();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for GetLockHeading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LockHeadingOn */
    if ( strcmp ( argv[2], "LockHeadingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockHeadingOn */
    Tcl_DStringAppendElement ( &dString, " Whether the view locks the heading when panning.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void LockHeadingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for LockHeadingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LockHeadingOff */
    if ( strcmp ( argv[2], "LockHeadingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockHeadingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockHeadingOff */
    Tcl_DStringAppendElement ( &dString, " Whether the view locks the heading when panning.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void LockHeadingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for LockHeadingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeoInteractorStyle */
    if ( strcmp ( argv[2], "GetGeoInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeoInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeoInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " Convenience method for obtaining the internal interactor style.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoInteractorStyle *GetGeoInteractorStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for GetGeoInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeoInteractorStyle */
    if ( strcmp ( argv[2], "SetGeoInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeoInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoInteractorStyle" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeoInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " Method to change the interactor style.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGeoInteractorStyle(vtkGeoInteractorStyle *style);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for SetGeoInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerrain */
    if ( strcmp ( argv[2], "SetTerrain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerrain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrain" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerrain */
    Tcl_DStringAppendElement ( &dString, " The terrain (geometry) model for this earth view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTerrain(vtkGeoTerrain *terrain);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for SetTerrain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerrain */
    if ( strcmp ( argv[2], "GetTerrain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerrain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerrain */
    Tcl_DStringAppendElement ( &dString, " The terrain (geometry) model for this earth view.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoTerrain *GetTerrain();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for GetTerrain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Update and render the view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoView" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
