#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkCompassRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompassRepresentationNewCommand();
int vtkCompassWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCompassWidgetNewCommand();
int vtkGeoAdaptiveArcsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoAdaptiveArcsNewCommand();
int vtkGeoAlignedImageRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoAlignedImageRepresentationNewCommand();
int vtkGeoAlignedImageSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoAlignedImageSourceNewCommand();
int vtkGeoArcsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoArcsNewCommand();
int vtkGeoAssignCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoAssignCoordinatesNewCommand();
int vtkGeoCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoCameraNewCommand();
int vtkGeoFileImageSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoFileImageSourceNewCommand();
int vtkGeoFileTerrainSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoFileTerrainSourceNewCommand();
int vtkGeoGlobeSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoGlobeSourceNewCommand();
int vtkGeoGraticuleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoGraticuleNewCommand();
int vtkGeoImageNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoImageNodeNewCommand();
int vtkGeoInteractorStyleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoInteractorStyleNewCommand();
int vtkGeoProjectionSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoProjectionSourceNewCommand();
int vtkGeoProjectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoProjectionNewCommand();
int vtkGeoRandomGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoRandomGraphSourceNewCommand();
int vtkGeoSampleArcsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoSampleArcsNewCommand();
int vtkGeoSphereTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoSphereTransformNewCommand();
int vtkGeoTerrainCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoTerrainNewCommand();
int vtkGeoTerrain2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoTerrain2DNewCommand();
int vtkGeoTerrainNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoTerrainNodeNewCommand();
int vtkGeoTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoTransformNewCommand();
int vtkGeoTreeNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoTreeNodeNewCommand();
int vtkGeoTreeNodeCacheCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoTreeNodeCacheNewCommand();
int vtkGeoViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoViewNewCommand();
int vtkGeoView2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGeoView2DNewCommand();
int vtkGlobeSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGlobeSourceNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkgeovistcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkgeovistcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkgeovistcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkgeovistcl_Init(interp);
}


int VTK_EXPORT Vtkgeovistcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkCompassRepresentation"), vtkCompassRepresentationNewCommand,
                  vtkCompassRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompassWidget"), vtkCompassWidgetNewCommand,
                  vtkCompassWidgetCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoAdaptiveArcs"), vtkGeoAdaptiveArcsNewCommand,
                  vtkGeoAdaptiveArcsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoAlignedImageRepresentation"), vtkGeoAlignedImageRepresentationNewCommand,
                  vtkGeoAlignedImageRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoAlignedImageSource"), vtkGeoAlignedImageSourceNewCommand,
                  vtkGeoAlignedImageSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoArcs"), vtkGeoArcsNewCommand,
                  vtkGeoArcsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoAssignCoordinates"), vtkGeoAssignCoordinatesNewCommand,
                  vtkGeoAssignCoordinatesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoCamera"), vtkGeoCameraNewCommand,
                  vtkGeoCameraCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoFileImageSource"), vtkGeoFileImageSourceNewCommand,
                  vtkGeoFileImageSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoFileTerrainSource"), vtkGeoFileTerrainSourceNewCommand,
                  vtkGeoFileTerrainSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoGlobeSource"), vtkGeoGlobeSourceNewCommand,
                  vtkGeoGlobeSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoGraticule"), vtkGeoGraticuleNewCommand,
                  vtkGeoGraticuleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoImageNode"), vtkGeoImageNodeNewCommand,
                  vtkGeoImageNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoInteractorStyle"), vtkGeoInteractorStyleNewCommand,
                  vtkGeoInteractorStyleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoProjectionSource"), vtkGeoProjectionSourceNewCommand,
                  vtkGeoProjectionSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoProjection"), vtkGeoProjectionNewCommand,
                  vtkGeoProjectionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoRandomGraphSource"), vtkGeoRandomGraphSourceNewCommand,
                  vtkGeoRandomGraphSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoSampleArcs"), vtkGeoSampleArcsNewCommand,
                  vtkGeoSampleArcsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoSphereTransform"), vtkGeoSphereTransformNewCommand,
                  vtkGeoSphereTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoTerrain"), vtkGeoTerrainNewCommand,
                  vtkGeoTerrainCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoTerrain2D"), vtkGeoTerrain2DNewCommand,
                  vtkGeoTerrain2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoTerrainNode"), vtkGeoTerrainNodeNewCommand,
                  vtkGeoTerrainNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoTransform"), vtkGeoTransformNewCommand,
                  vtkGeoTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoTreeNode"), vtkGeoTreeNodeNewCommand,
                  vtkGeoTreeNodeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoTreeNodeCache"), vtkGeoTreeNodeCacheNewCommand,
                  vtkGeoTreeNodeCacheCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoView"), vtkGeoViewNewCommand,
                  vtkGeoViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoView2D"), vtkGeoView2DNewCommand,
                  vtkGeoView2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGlobeSource"), vtkGlobeSourceNewCommand,
                  vtkGlobeSourceCommand);
  char pkgName[]="vtkGeovisTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
