// tcl wrapper for vtkGlobeSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlobeSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGlobeSourceNewCommand()
{
  vtkGlobeSource *temp = vtkGlobeSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGlobeSourceCppCommand(vtkGlobeSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGlobeSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGlobeSourceCppCommand(static_cast<vtkGlobeSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGlobeSourceCppCommand(vtkGlobeSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGlobeSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGlobeSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlobeSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGlobeSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlobeSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartLongitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStartLongitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartLongitudeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStartLongitudeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStartLongitudeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStartLongitudeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndLongitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEndLongitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndLongitudeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndLongitudeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEndLongitudeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndLongitudeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStartLatitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStartLatitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartLatitudeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStartLatitudeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStartLatitudeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStartLatitudeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndLatitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEndLatitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndLatitudeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndLatitudeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEndLatitudeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndLatitudeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLongitudeResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLongitudeResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongitudeResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLongitudeResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLongitudeResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLongitudeResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLongitudeResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLongitudeResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLatitudeResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLatitudeResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLatitudeResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLatitudeResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLatitudeResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLatitudeResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLatitudeResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLatitudeResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoCalculateCurtainHeight",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAutoCalculateCurtainHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoCalculateCurtainHeight",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAutoCalculateCurtainHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoCalculateCurtainHeightOn",argv[1]))&&(argc == 2))
    {
    op->AutoCalculateCurtainHeightOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoCalculateCurtainHeightOff",argv[1]))&&(argc == 2))
    {
    op->AutoCalculateCurtainHeightOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCurtainHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCurtainHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurtainHeightMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurtainHeightMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurtainHeightMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurtainHeightMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurtainHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurtainHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadrilateralTessellation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetQuadrilateralTessellation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQuadrilateralTessellation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetQuadrilateralTessellation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("QuadrilateralTessellationOn",argv[1]))&&(argc == 2))
    {
    op->QuadrilateralTessellationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("QuadrilateralTessellationOff",argv[1]))&&(argc == 2))
    {
    op->QuadrilateralTessellationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGlobeSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlobeSource");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGlobeSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGlobeSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartLongitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStartLongitudeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStartLongitudeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetEndLongitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndLongitudeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEndLongitudeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetStartLatitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStartLatitudeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStartLatitudeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetEndLatitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndLatitudeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEndLatitudeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitudeResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitudeResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitudeResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitudeResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitudeResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitudeResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitudeResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitudeResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoCalculateCurtainHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoCalculateCurtainHeight\n",NULL);
    Tcl_AppendResult(interp,"  AutoCalculateCurtainHeightOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoCalculateCurtainHeightOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCurtainHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurtainHeightMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCurtainHeightMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCurtainHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadrilateralTessellation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQuadrilateralTessellation\n",NULL);
    Tcl_AppendResult(interp,"  QuadrilateralTessellationOn\n",NULL);
    Tcl_AppendResult(interp,"  QuadrilateralTessellationOff\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetStartLongitude" );
    Tcl_DStringAppendElement ( &dString, "GetStartLongitudeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetStartLongitudeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetEndLongitude" );
    Tcl_DStringAppendElement ( &dString, "GetEndLongitudeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndLongitudeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetStartLatitude" );
    Tcl_DStringAppendElement ( &dString, "GetStartLatitudeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetStartLatitudeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetEndLatitude" );
    Tcl_DStringAppendElement ( &dString, "GetEndLatitudeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndLatitudeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeResolution" );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeResolution" );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeResolution" );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeResolution" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetAutoCalculateCurtainHeight" );
    Tcl_DStringAppendElement ( &dString, "GetAutoCalculateCurtainHeight" );
    Tcl_DStringAppendElement ( &dString, "AutoCalculateCurtainHeightOn" );
    Tcl_DStringAppendElement ( &dString, "AutoCalculateCurtainHeightOff" );
    Tcl_DStringAppendElement ( &dString, "SetCurtainHeight" );
    Tcl_DStringAppendElement ( &dString, "GetCurtainHeightMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCurtainHeightMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCurtainHeight" );
    Tcl_DStringAppendElement ( &dString, "SetQuadrilateralTessellation" );
    Tcl_DStringAppendElement ( &dString, "GetQuadrilateralTessellation" );
    Tcl_DStringAppendElement ( &dString, "QuadrilateralTessellationOn" );
    Tcl_DStringAppendElement ( &dString, "QuadrilateralTessellationOff" );
    Tcl_DStringAppendElement ( &dString, "New" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartLongitude */
    if ( strcmp ( argv[2], "SetStartLongitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartLongitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartLongitude */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartLongitude(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetStartLongitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartLongitudeMinValue */
    if ( strcmp ( argv[2], "GetStartLongitudeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartLongitudeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartLongitudeMinValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStartLongitudeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetStartLongitudeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartLongitudeMaxValue */
    if ( strcmp ( argv[2], "GetStartLongitudeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartLongitudeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartLongitudeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStartLongitudeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetStartLongitudeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndLongitude */
    if ( strcmp ( argv[2], "SetEndLongitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndLongitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndLongitude */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndLongitude(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetEndLongitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndLongitudeMinValue */
    if ( strcmp ( argv[2], "GetEndLongitudeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndLongitudeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndLongitudeMinValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndLongitudeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetEndLongitudeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndLongitudeMaxValue */
    if ( strcmp ( argv[2], "GetEndLongitudeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndLongitudeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndLongitudeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndLongitudeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetEndLongitudeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartLatitude */
    if ( strcmp ( argv[2], "SetStartLatitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartLatitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartLatitude */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartLatitude(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetStartLatitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartLatitudeMinValue */
    if ( strcmp ( argv[2], "GetStartLatitudeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartLatitudeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartLatitudeMinValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStartLatitudeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetStartLatitudeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartLatitudeMaxValue */
    if ( strcmp ( argv[2], "GetStartLatitudeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartLatitudeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartLatitudeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStartLatitudeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetStartLatitudeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndLatitude */
    if ( strcmp ( argv[2], "SetEndLatitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndLatitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndLatitude */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndLatitude(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetEndLatitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndLatitudeMinValue */
    if ( strcmp ( argv[2], "GetEndLatitudeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndLatitudeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndLatitudeMinValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndLatitudeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetEndLatitudeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndLatitudeMaxValue */
    if ( strcmp ( argv[2], "GetEndLatitudeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndLatitudeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndLatitudeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Longitude Latitude clamps.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndLatitudeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetEndLatitudeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitudeResolution */
    if ( strcmp ( argv[2], "SetLongitudeResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitudeResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLongitudeResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetLongitudeResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitudeResolutionMinValue */
    if ( strcmp ( argv[2], "GetLongitudeResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitudeResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLongitudeResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetLongitudeResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitudeResolutionMaxValue */
    if ( strcmp ( argv[2], "GetLongitudeResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitudeResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLongitudeResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetLongitudeResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitudeResolution */
    if ( strcmp ( argv[2], "GetLongitudeResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitudeResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLongitudeResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetLongitudeResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitudeResolution */
    if ( strcmp ( argv[2], "SetLatitudeResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitudeResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLatitudeResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetLatitudeResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitudeResolutionMinValue */
    if ( strcmp ( argv[2], "GetLatitudeResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitudeResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLatitudeResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetLatitudeResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitudeResolutionMaxValue */
    if ( strcmp ( argv[2], "GetLatitudeResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitudeResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLatitudeResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetLatitudeResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitudeResolution */
    if ( strcmp ( argv[2], "GetLatitudeResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitudeResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLatitudeResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetLatitudeResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere. Default is 6356750.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere. Default is 6356750.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere. Default is 6356750.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere. Default is 6356750.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoCalculateCurtainHeight */
    if ( strcmp ( argv[2], "SetAutoCalculateCurtainHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoCalculateCurtainHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoCalculateCurtainHeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoCalculateCurtainHeight(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetAutoCalculateCurtainHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoCalculateCurtainHeight */
    if ( strcmp ( argv[2], "GetAutoCalculateCurtainHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoCalculateCurtainHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoCalculateCurtainHeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool GetAutoCalculateCurtainHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetAutoCalculateCurtainHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCalculateCurtainHeightOn */
    if ( strcmp ( argv[2], "AutoCalculateCurtainHeightOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCalculateCurtainHeightOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCalculateCurtainHeightOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AutoCalculateCurtainHeightOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for AutoCalculateCurtainHeightOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCalculateCurtainHeightOff */
    if ( strcmp ( argv[2], "AutoCalculateCurtainHeightOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCalculateCurtainHeightOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCalculateCurtainHeightOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AutoCalculateCurtainHeightOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for AutoCalculateCurtainHeightOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurtainHeight */
    if ( strcmp ( argv[2], "SetCurtainHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurtainHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurtainHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get curtain height.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurtainHeight(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetCurtainHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurtainHeightMinValue */
    if ( strcmp ( argv[2], "GetCurtainHeightMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurtainHeightMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurtainHeightMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get curtain height.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCurtainHeightMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetCurtainHeightMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurtainHeightMaxValue */
    if ( strcmp ( argv[2], "GetCurtainHeightMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurtainHeightMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurtainHeightMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get curtain height.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCurtainHeightMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetCurtainHeightMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurtainHeight */
    if ( strcmp ( argv[2], "GetCurtainHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurtainHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurtainHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get curtain height.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCurtainHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetCurtainHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadrilateralTessellation */
    if ( strcmp ( argv[2], "SetQuadrilateralTessellation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadrilateralTessellation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadrilateralTessellation */
    Tcl_DStringAppendElement ( &dString, " Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadrilateralTessellation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for SetQuadrilateralTessellation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQuadrilateralTessellation */
    if ( strcmp ( argv[2], "GetQuadrilateralTessellation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuadrilateralTessellation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuadrilateralTessellation */
    Tcl_DStringAppendElement ( &dString, " Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetQuadrilateralTessellation();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for GetQuadrilateralTessellation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadrilateralTessellationOn */
    if ( strcmp ( argv[2], "QuadrilateralTessellationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadrilateralTessellationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadrilateralTessellationOn */
    Tcl_DStringAppendElement ( &dString, " Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void QuadrilateralTessellationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for QuadrilateralTessellationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadrilateralTessellationOff */
    if ( strcmp ( argv[2], "QuadrilateralTessellationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadrilateralTessellationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadrilateralTessellationOff */
    Tcl_DStringAppendElement ( &dString, " Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void QuadrilateralTessellationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for QuadrilateralTessellationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct sphere with radius=0.5 and default resolution 8 in both latitude\n and longitude directions. longitude ranges from (-180,180)\n and latitude (-90,90) degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGlobeSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobeSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
