// tcl wrapper for vtkArrowSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrowSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkArrowSourceNewCommand()
{
  vtkArrowSource *temp = vtkArrowSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkArrowSourceCppCommand(vtkArrowSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkArrowSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkArrowSourceCppCommand(static_cast<vtkArrowSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkArrowSourceCppCommand(vtkArrowSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkArrowSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkArrowSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrowSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkArrowSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrowSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkArrowSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrowSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTipLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTipLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTipLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTipLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTipLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTipLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTipLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTipLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTipRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTipRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTipRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTipRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTipRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTipRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTipRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTipRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTipResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTipResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTipResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTipResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTipResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTipResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTipResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTipResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShaftRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetShaftRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShaftRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShaftRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShaftRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShaftRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShaftRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShaftRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShaftResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShaftResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShaftResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShaftResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShaftResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShaftResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShaftResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShaftResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InvertOn",argv[1]))&&(argc == 2))
    {
    op->InvertOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvertOff",argv[1]))&&(argc == 2))
    {
    op->InvertOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInvert",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetInvert(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInvert",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetInvert();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkArrowSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkArrowSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTipLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTipLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTipLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTipLength\n",NULL);
    Tcl_AppendResult(interp,"  SetTipRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTipRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTipRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTipRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetTipResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTipResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTipResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTipResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetShaftRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShaftRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShaftRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShaftRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetShaftResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShaftResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShaftResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShaftResolution\n",NULL);
    Tcl_AppendResult(interp,"  InvertOn\n",NULL);
    Tcl_AppendResult(interp,"  InvertOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInvert\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInvert\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetTipLength" );
    Tcl_DStringAppendElement ( &dString, "GetTipLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTipLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTipLength" );
    Tcl_DStringAppendElement ( &dString, "SetTipRadius" );
    Tcl_DStringAppendElement ( &dString, "GetTipRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTipRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTipRadius" );
    Tcl_DStringAppendElement ( &dString, "SetTipResolution" );
    Tcl_DStringAppendElement ( &dString, "GetTipResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTipResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTipResolution" );
    Tcl_DStringAppendElement ( &dString, "SetShaftRadius" );
    Tcl_DStringAppendElement ( &dString, "GetShaftRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShaftRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShaftRadius" );
    Tcl_DStringAppendElement ( &dString, "SetShaftResolution" );
    Tcl_DStringAppendElement ( &dString, "GetShaftResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShaftResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShaftResolution" );
    Tcl_DStringAppendElement ( &dString, "InvertOn" );
    Tcl_DStringAppendElement ( &dString, "InvertOff" );
    Tcl_DStringAppendElement ( &dString, "SetInvert" );
    Tcl_DStringAppendElement ( &dString, "GetInvert" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkArrowSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTipLength */
    if ( strcmp ( argv[2], "SetTipLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTipLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTipLength */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTipLength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for SetTipLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipLengthMinValue */
    if ( strcmp ( argv[2], "GetTipLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTipLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipLengthMaxValue */
    if ( strcmp ( argv[2], "GetTipLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTipLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipLength */
    if ( strcmp ( argv[2], "GetTipLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipLength */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTipLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTipRadius */
    if ( strcmp ( argv[2], "SetTipRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTipRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTipRadius */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTipRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for SetTipRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipRadiusMinValue */
    if ( strcmp ( argv[2], "GetTipRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTipRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipRadiusMaxValue */
    if ( strcmp ( argv[2], "GetTipRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTipRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipRadius */
    if ( strcmp ( argv[2], "GetTipRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipRadius */
    Tcl_DStringAppendElement ( &dString, " Set the length, and radius of the tip.  They default to 0.35 and 0.1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTipRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTipResolution */
    if ( strcmp ( argv[2], "SetTipResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTipResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTipResolution */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTipResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for SetTipResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipResolutionMinValue */
    if ( strcmp ( argv[2], "GetTipResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTipResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipResolutionMaxValue */
    if ( strcmp ( argv[2], "GetTipResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTipResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipResolution */
    if ( strcmp ( argv[2], "GetTipResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipResolution */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTipResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetTipResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShaftRadius */
    if ( strcmp ( argv[2], "SetShaftRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShaftRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShaftRadius */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the shaft.  Defaults to 0.03.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShaftRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for SetShaftRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaftRadiusMinValue */
    if ( strcmp ( argv[2], "GetShaftRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaftRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaftRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the shaft.  Defaults to 0.03.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetShaftRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetShaftRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaftRadiusMaxValue */
    if ( strcmp ( argv[2], "GetShaftRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaftRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaftRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the shaft.  Defaults to 0.03.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetShaftRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetShaftRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaftRadius */
    if ( strcmp ( argv[2], "GetShaftRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaftRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaftRadius */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the shaft.  Defaults to 0.03.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetShaftRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetShaftRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShaftResolution */
    if ( strcmp ( argv[2], "SetShaftResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShaftResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShaftResolution */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShaftResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for SetShaftResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaftResolutionMinValue */
    if ( strcmp ( argv[2], "GetShaftResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaftResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaftResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShaftResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetShaftResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaftResolutionMaxValue */
    if ( strcmp ( argv[2], "GetShaftResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaftResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaftResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShaftResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetShaftResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaftResolution */
    if ( strcmp ( argv[2], "GetShaftResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaftResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaftResolution */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShaftResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetShaftResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InvertOn */
    if ( strcmp ( argv[2], "InvertOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InvertOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InvertOn */
    Tcl_DStringAppendElement ( &dString, " Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the\n tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip\n at (1, 0, 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void InvertOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for InvertOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InvertOff */
    if ( strcmp ( argv[2], "InvertOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InvertOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InvertOff */
    Tcl_DStringAppendElement ( &dString, " Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the\n tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip\n at (1, 0, 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void InvertOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for InvertOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInvert */
    if ( strcmp ( argv[2], "SetInvert" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInvert" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInvert */
    Tcl_DStringAppendElement ( &dString, " Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the\n tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip\n at (1, 0, 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInvert(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for SetInvert */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInvert */
    if ( strcmp ( argv[2], "GetInvert" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInvert" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInvert */
    Tcl_DStringAppendElement ( &dString, " Inverts the arrow direction. When set to true, base is at (1, 0, 0) while the\n tip is at (0, 0, 0). The default is false, i.e. base at (0, 0, 0) and the tip\n at (1, 0, 0).\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetInvert();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrowSource" );
    /* Closing for GetInvert */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
