// tcl wrapper for vtkBandedPolyDataContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBandedPolyDataContourFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBandedPolyDataContourFilterNewCommand()
{
  vtkBandedPolyDataContourFilter *temp = vtkBandedPolyDataContourFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBandedPolyDataContourFilterCppCommand(vtkBandedPolyDataContourFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBandedPolyDataContourFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBandedPolyDataContourFilterCppCommand(static_cast<vtkBandedPolyDataContourFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBandedPolyDataContourFilterCppCommand(vtkBandedPolyDataContourFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBandedPolyDataContourFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBandedPolyDataContourFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBandedPolyDataContourFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBandedPolyDataContourFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBandedPolyDataContourFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBandedPolyDataContourFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBandedPolyDataContourFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfContours",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfContours(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfContours",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfContours();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateValues",argv[1]))&&(argc == 5))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->GenerateValues(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClipping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClipping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClipping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClipping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClippingOn",argv[1]))&&(argc == 2))
    {
    op->ClippingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClippingOff",argv[1]))&&(argc == 2))
    {
    op->ClippingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToIndex",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToIndex();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToValue",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateContourEdges",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateContourEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateContourEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateContourEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateContourEdgesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateContourEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateContourEdgesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateContourEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetContourEdgesOutput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetContourEdgesOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBandedPolyDataContourFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBandedPolyDataContourFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfContours\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfContours\n",NULL);
    Tcl_AppendResult(interp,"  GenerateValues\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClipping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClipping\n",NULL);
    Tcl_AppendResult(interp,"  ClippingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClippingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToValue\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateContourEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateContourEdges\n",NULL);
    Tcl_AppendResult(interp,"  GenerateContourEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateContourEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetContourEdgesOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfContours" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContours" );
    Tcl_DStringAppendElement ( &dString, "GenerateValues" );
    Tcl_DStringAppendElement ( &dString, "SetClipping" );
    Tcl_DStringAppendElement ( &dString, "GetClipping" );
    Tcl_DStringAppendElement ( &dString, "ClippingOn" );
    Tcl_DStringAppendElement ( &dString, "ClippingOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToIndex" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToValue" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateContourEdges" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateContourEdges" );
    Tcl_DStringAppendElement ( &dString, "GenerateContourEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateContourEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "GetContourEdgesOutput" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with no contours defined.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBandedPolyDataContourFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValue(int i, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetValue(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfContours */
    if ( strcmp ( argv[2], "SetNumberOfContours" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfContours" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfContours */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfContours(int number);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SetNumberOfContours */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfContours */
    if ( strcmp ( argv[2], "GetNumberOfContours" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContours" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfContours */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfContours();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetNumberOfContours */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateValues */
    if ( strcmp ( argv[2], "GenerateValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateValues */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateValues(int numContours, double rangeStart, double rangeEnd);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GenerateValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipping */
    if ( strcmp ( argv[2], "SetClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipping */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to clip outside the range specified by the user.\n (The range is contour value\\[0\\] to contour value\\[numContours-1\\].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClipping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SetClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipping */
    if ( strcmp ( argv[2], "GetClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipping */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to clip outside the range specified by the user.\n (The range is contour value\\[0\\] to contour value\\[numContours-1\\].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClipping();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClippingOn */
    if ( strcmp ( argv[2], "ClippingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClippingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClippingOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to clip outside the range specified by the user.\n (The range is contour value\\[0\\] to contour value\\[numContours-1\\].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClippingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for ClippingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClippingOff */
    if ( strcmp ( argv[2], "ClippingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClippingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClippingOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to clip outside the range specified by the user.\n (The range is contour value\\[0\\] to contour value\\[numContours-1\\].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClippingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for ClippingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeMinValue */
    if ( strcmp ( argv[2], "GetScalarModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetScalarModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeMaxValue */
    if ( strcmp ( argv[2], "GetScalarModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetScalarModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMode */
    if ( strcmp ( argv[2], "GetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToIndex */
    if ( strcmp ( argv[2], "SetScalarModeToIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToIndex */
    Tcl_DStringAppendElement ( &dString, " Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SetScalarModeToIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToValue */
    if ( strcmp ( argv[2], "SetScalarModeToValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToValue */
    Tcl_DStringAppendElement ( &dString, " Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SetScalarModeToValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateContourEdges */
    if ( strcmp ( argv[2], "SetGenerateContourEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateContourEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateContourEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateContourEdges(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for SetGenerateContourEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateContourEdges */
    if ( strcmp ( argv[2], "GetGenerateContourEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateContourEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateContourEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateContourEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetGenerateContourEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateContourEdgesOn */
    if ( strcmp ( argv[2], "GenerateContourEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateContourEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateContourEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateContourEdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GenerateContourEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateContourEdgesOff */
    if ( strcmp ( argv[2], "GenerateContourEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateContourEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateContourEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateContourEdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GenerateContourEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContourEdgesOutput */
    if ( strcmp ( argv[2], "GetContourEdgesOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContourEdgesOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContourEdgesOutput */
    Tcl_DStringAppendElement ( &dString, " Get the second output which contains the edges dividing the contour \n bands. This output is empty unless GenerateContourEdges is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetContourEdgesOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetContourEdgesOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Overload GetMTime because we delegate to vtkContourValues so its\n modified time must be taken into account.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkBandedPolyDataContourFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
