// tcl wrapper for vtkBooleanOperationPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBooleanOperationPolyDataFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBooleanOperationPolyDataFilterNewCommand()
{
  vtkBooleanOperationPolyDataFilter *temp = vtkBooleanOperationPolyDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBooleanOperationPolyDataFilterCppCommand(vtkBooleanOperationPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBooleanOperationPolyDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBooleanOperationPolyDataFilterCppCommand(static_cast<vtkBooleanOperationPolyDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBooleanOperationPolyDataFilterCppCommand(vtkBooleanOperationPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBooleanOperationPolyDataFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBooleanOperationPolyDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBooleanOperationPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBooleanOperationPolyDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBooleanOperationPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBooleanOperationPolyDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBooleanOperationPolyDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOperation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOperationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOperationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOperation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToUnion",argv[1]))&&(argc == 2))
    {
    op->SetOperationToUnion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToIntersection",argv[1]))&&(argc == 2))
    {
    op->SetOperationToIntersection();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToDifference",argv[1]))&&(argc == 2))
    {
    op->SetOperationToDifference();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReorientDifferenceCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReorientDifferenceCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReorientDifferenceCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReorientDifferenceCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReorientDifferenceCellsOn",argv[1]))&&(argc == 2))
    {
    op->ReorientDifferenceCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReorientDifferenceCellsOff",argv[1]))&&(argc == 2))
    {
    op->ReorientDifferenceCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBooleanOperationPolyDataFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBooleanOperationPolyDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOperation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOperationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOperationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOperation\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToUnion\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToIntersection\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToDifference\n",NULL);
    Tcl_AppendResult(interp,"  SetReorientDifferenceCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReorientDifferenceCells\n",NULL);
    Tcl_AppendResult(interp,"  ReorientDifferenceCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReorientDifferenceCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    Tcl_DStringAppendElement ( &dString, "GetOperationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOperationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToUnion" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToIntersection" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToDifference" );
    Tcl_DStringAppendElement ( &dString, "SetReorientDifferenceCells" );
    Tcl_DStringAppendElement ( &dString, "GetReorientDifferenceCells" );
    Tcl_DStringAppendElement ( &dString, "ReorientDifferenceCellsOn" );
    Tcl_DStringAppendElement ( &dString, "ReorientDifferenceCellsOff" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object that computes the boolean surface.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBooleanOperationPolyDataFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperation */
    if ( strcmp ( argv[2], "SetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperation */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperation(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for SetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperationMinValue */
    if ( strcmp ( argv[2], "GetOperationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for GetOperationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperationMaxValue */
    if ( strcmp ( argv[2], "GetOperationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for GetOperationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperation */
    if ( strcmp ( argv[2], "GetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperation */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for GetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToUnion */
    if ( strcmp ( argv[2], "SetOperationToUnion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToUnion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToUnion */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToUnion();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for SetOperationToUnion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToIntersection */
    if ( strcmp ( argv[2], "SetOperationToIntersection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToIntersection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToIntersection */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToIntersection();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for SetOperationToIntersection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToDifference */
    if ( strcmp ( argv[2], "SetOperationToDifference" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToDifference" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToDifference */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToDifference();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for SetOperationToDifference */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReorientDifferenceCells */
    if ( strcmp ( argv[2], "SetReorientDifferenceCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReorientDifferenceCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReorientDifferenceCells */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cell reorientation of the intersection portion of the\n surface when the operation is set to DIFFERENCE. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReorientDifferenceCells(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for SetReorientDifferenceCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReorientDifferenceCells */
    if ( strcmp ( argv[2], "GetReorientDifferenceCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReorientDifferenceCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReorientDifferenceCells */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cell reorientation of the intersection portion of the\n surface when the operation is set to DIFFERENCE. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReorientDifferenceCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for GetReorientDifferenceCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReorientDifferenceCellsOn */
    if ( strcmp ( argv[2], "ReorientDifferenceCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReorientDifferenceCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReorientDifferenceCellsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cell reorientation of the intersection portion of the\n surface when the operation is set to DIFFERENCE. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReorientDifferenceCellsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for ReorientDifferenceCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReorientDifferenceCellsOff */
    if ( strcmp ( argv[2], "ReorientDifferenceCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReorientDifferenceCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReorientDifferenceCellsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cell reorientation of the intersection portion of the\n surface when the operation is set to DIFFERENCE. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReorientDifferenceCellsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for ReorientDifferenceCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set/get the tolerance used to determine when a point's absolute\n distance is considered to be zero. Defaults to 1e-6.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set/get the tolerance used to determine when a point's absolute\n distance is considered to be zero. Defaults to 1e-6.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanOperationPolyDataFilter" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
