// tcl wrapper for vtkCellDerivatives object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellDerivatives.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCellDerivativesNewCommand()
{
  vtkCellDerivatives *temp = vtkCellDerivatives::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellDerivativesCppCommand(vtkCellDerivatives *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCellDerivativesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCellDerivativesCppCommand(static_cast<vtkCellDerivatives *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellDerivativesCppCommand(vtkCellDerivatives *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCellDerivatives",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCellDerivatives  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellDerivatives");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCellDerivatives  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellDerivatives");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCellDerivatives  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellDerivatives");
    return TCL_OK;
    }
  if ((!strcmp("SetVectorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToPassVectors",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToPassVectors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToComputeGradient",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToComputeGradient();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToComputeVorticity",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToComputeVorticity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVectorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTensorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTensorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTensorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTensorModeToPassTensors",argv[1]))&&(argc == 2))
    {
    op->SetTensorModeToPassTensors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTensorModeToComputeGradient",argv[1]))&&(argc == 2))
    {
    op->SetTensorModeToComputeGradient();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTensorModeToComputeStrain",argv[1]))&&(argc == 2))
    {
    op->SetTensorModeToComputeStrain();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTensorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetTensorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCellDerivativesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellDerivatives:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToPassVectors\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToComputeGradient\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToComputeVorticity\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorModeToPassTensors\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorModeToComputeGradient\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorModeToComputeStrain\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorModeAsString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetVectorMode" );
    Tcl_DStringAppendElement ( &dString, "GetVectorMode" );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToPassVectors" );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToComputeGradient" );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "GetVectorModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetTensorMode" );
    Tcl_DStringAppendElement ( &dString, "GetTensorMode" );
    Tcl_DStringAppendElement ( &dString, "SetTensorModeToPassTensors" );
    Tcl_DStringAppendElement ( &dString, "SetTensorModeToComputeGradient" );
    Tcl_DStringAppendElement ( &dString, "SetTensorModeToComputeStrain" );
    Tcl_DStringAppendElement ( &dString, "GetTensorModeAsString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct to compute the gradient of the scalars and vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellDerivatives *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorMode */
    if ( strcmp ( argv[2], "SetVectorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetVectorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorMode */
    if ( strcmp ( argv[2], "GetVectorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for GetVectorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorModeToPassVectors */
    if ( strcmp ( argv[2], "SetVectorModeToPassVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToPassVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorModeToPassVectors */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorModeToPassVectors();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetVectorModeToPassVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorModeToComputeGradient */
    if ( strcmp ( argv[2], "SetVectorModeToComputeGradient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToComputeGradient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorModeToComputeGradient */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorModeToComputeGradient();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetVectorModeToComputeGradient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorModeToComputeVorticity */
    if ( strcmp ( argv[2], "SetVectorModeToComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorModeToComputeVorticity */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorModeToComputeVorticity();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetVectorModeToComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorModeAsString */
    if ( strcmp ( argv[2], "GetVectorModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVectorModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for GetVectorModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorMode */
    if ( strcmp ( argv[2], "SetTensorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetTensorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorMode */
    if ( strcmp ( argv[2], "GetTensorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTensorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for GetTensorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorModeToPassTensors */
    if ( strcmp ( argv[2], "SetTensorModeToPassTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorModeToPassTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorModeToPassTensors */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorModeToPassTensors();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetTensorModeToPassTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorModeToComputeGradient */
    if ( strcmp ( argv[2], "SetTensorModeToComputeGradient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorModeToComputeGradient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorModeToComputeGradient */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorModeToComputeGradient();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetTensorModeToComputeGradient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorModeToComputeStrain */
    if ( strcmp ( argv[2], "SetTensorModeToComputeStrain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorModeToComputeStrain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorModeToComputeStrain */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorModeToComputeStrain();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for SetTensorModeToComputeStrain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorModeAsString */
    if ( strcmp ( argv[2], "GetTensorModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTensorModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDerivatives" );
    /* Closing for GetTensorModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
