// tcl wrapper for vtkCellLocatorInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellLocatorInterpolatedVelocityField.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCellLocatorInterpolatedVelocityFieldNewCommand()
{
  vtkCellLocatorInterpolatedVelocityField *temp = vtkCellLocatorInterpolatedVelocityField::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractInterpolatedVelocityFieldCppCommand(vtkAbstractInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellLocatorInterpolatedVelocityFieldCppCommand(vtkCellLocatorInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCellLocatorInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCellLocatorInterpolatedVelocityFieldCppCommand(static_cast<vtkCellLocatorInterpolatedVelocityField *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellLocatorInterpolatedVelocityFieldCppCommand(vtkCellLocatorInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCellLocatorInterpolatedVelocityField",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractInterpolatedVelocityFieldCppCommand(static_cast<vtkAbstractInterpolatedVelocityField *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractInterpolatedVelocityField"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCellLocatorInterpolatedVelocityField  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellLocatorInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCellLocatorInterpolatedVelocityField  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellLocatorInterpolatedVelocityField");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCellLocatorInterpolatedVelocityField  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellLocatorInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("GetLastCellLocator",argv[1]))&&(argc == 2))
    {
    vtkAbstractCellLocator  *temp20;
    temp20 = (op)->GetLastCellLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractCellLocator");
    return TCL_OK;
    }
  if ((!strcmp("GetCellLocatorPrototype",argv[1]))&&(argc == 2))
    {
    vtkAbstractCellLocator  *temp20;
    temp20 = (op)->GetCellLocatorPrototype();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractCellLocator");
    return TCL_OK;
    }
  if ((!strcmp("SetCellLocatorPrototype",argv[1]))&&(argc == 3))
    {
    vtkAbstractCellLocator  *temp0;
    error = 0;

    temp0 = (vtkAbstractCellLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractCellLocator"),interp,error));
    if (!error)
    {
    op->SetCellLocatorPrototype(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyParameters",argv[1]))&&(argc == 3))
    {
    vtkAbstractInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractInterpolatedVelocityField"),interp,error));
    if (!error)
    {
    op->CopyParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->AddDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLastCellId",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLastCellId(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLastCellId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLastCellId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCellLocatorInterpolatedVelocityFieldCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractInterpolatedVelocityFieldCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellLocatorInterpolatedVelocityField:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetLastCellLocator\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLocatorPrototype\n",NULL);
    Tcl_AppendResult(interp,"  SetCellLocatorPrototype\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyParameters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLastCellId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLastCellId\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractInterpolatedVelocityFieldCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetLastCellLocator" );
    Tcl_DStringAppendElement ( &dString, "GetCellLocatorPrototype" );
    Tcl_DStringAppendElement ( &dString, "SetCellLocatorPrototype" );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractInterpolatedVelocityFieldCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a vtkCellLocatorInterpolatedVelocityField without an initial\n dataset. Caching is set on and LastCellId is set to -1.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellLocatorInterpolatedVelocityField *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastCellLocator */
    if ( strcmp ( argv[2], "GetLastCellLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastCellLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastCellLocator */
    Tcl_DStringAppendElement ( &dString, " Get the cell locator attached to the most recently visited dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator *GetLastCellLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for GetLastCellLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellLocatorPrototype */
    if ( strcmp ( argv[2], "GetCellLocatorPrototype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellLocatorPrototype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellLocatorPrototype */
    Tcl_DStringAppendElement ( &dString, " Get the prototype of the cell locator that is used for interpolating the\n velocity field during integration.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator *GetCellLocatorPrototype();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for GetCellLocatorPrototype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellLocatorPrototype */
    if ( strcmp ( argv[2], "SetCellLocatorPrototype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellLocatorPrototype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellLocatorPrototype */
    Tcl_DStringAppendElement ( &dString, " Set a prototype of the cell locator that is used for interpolating the\n velocity field during integration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellLocatorPrototype(vtkAbstractCellLocator *prototype);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for SetCellLocatorPrototype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyParameters */
    if ( strcmp ( argv[2], "CopyParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyParameters */
    Tcl_DStringAppendElement ( &dString, " Import parameters. Sub-classes can add more after chaining.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyParameters(vtkAbstractInterpolatedVelocityField *from);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for CopyParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDataSet */
    if ( strcmp ( argv[2], "AddDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataSet */
    Tcl_DStringAppendElement ( &dString, " Add a dataset coupled with a cell locator (of type vtkAbstractCellLocator)\n for vector function evaluation. Note the use of a vtkAbstractCellLocator\n enables robust cell location. If more than one dataset is added, the\n evaluation point is searched in all until a match is found. THIS FUNCTION\n DOES NOT CHANGE THE REFERENCE COUNT OF dataset FOR THREAD SAFETY REASONS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDataSet(vtkDataSet *dataset);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for AddDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastCellId */
    if ( strcmp ( argv[2], "SetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Set the cell id cached by the last evaluation within a specified dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLastCellId(vtkIdType c, int dataindex);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for SetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastCellId */
    if ( strcmp ( argv[2], "SetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Set the cell id cached by the last evaluation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLastCellId(vtkIdType c);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocatorInterpolatedVelocityField" );
    /* Closing for SetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractInterpolatedVelocityFieldCppCommand(static_cast<vtkAbstractInterpolatedVelocityField *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
