// tcl wrapper for vtkCellQuality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellQuality.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCellQualityNewCommand()
{
  vtkCellQuality *temp = vtkCellQuality::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellQualityCppCommand(vtkCellQuality *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCellQualityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCellQualityCppCommand(static_cast<vtkCellQuality *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellQualityCppCommand(vtkCellQuality *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCellQuality",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCellQuality  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellQuality");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCellQuality  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellQuality");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCellQuality  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellQuality");
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToArea",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToArea();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToAspectBeta",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToAspectBeta();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToAspectGamma",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToAspectGamma();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToAspectRatio",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToAspectRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToCollapseRatio",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToCollapseRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToCondition",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToCondition();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToDiagonal",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToDiagonal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToDimension",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToDimension();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToDistortion",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToDistortion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToJacobian",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToMaxAngle",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToMaxAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToMaxAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToMaxAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToMaxEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToMaxEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToMedAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToMedAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToMinAngle",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToMinAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToOddy",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToOddy();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToRadiusRatio",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToRadiusRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToRelativeSizeSquared",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToRelativeSizeSquared();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToScaledJacobian",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToScaledJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToShapeAndSize",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToShapeAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToShape",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToShape();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToShearAndSize",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToShearAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToShear",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToShear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToSkew",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToSkew();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToStretch",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToStretch();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToTaper",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToTaper();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToVolume",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQualityMeasureToWarpage",argv[1]))&&(argc == 2))
    {
    op->SetQualityMeasureToWarpage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUnsupportedGeometry",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetUnsupportedGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUnsupportedGeometry",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUnsupportedGeometry();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUndefinedQuality",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetUndefinedQuality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUndefinedQuality",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUndefinedQuality();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TriangleStripArea",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleStripArea(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PixelArea",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->PixelArea(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PolygonArea",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->PolygonArea(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCellQualityCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellQuality:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToArea\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToAspectBeta\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToAspectGamma\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToCollapseRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToCondition\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToDistortion\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToMaxAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToMaxAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToMaxEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToMedAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToMinAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToOddy\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToRadiusRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToRelativeSizeSquared\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToScaledJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToShapeAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToShape\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToShearAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToShear\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToSkew\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToStretch\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToTaper\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToVolume\n",NULL);
    Tcl_AppendResult(interp,"  SetQualityMeasureToWarpage\n",NULL);
    Tcl_AppendResult(interp,"  SetUnsupportedGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUnsupportedGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetUndefinedQuality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUndefinedQuality\n",NULL);
    Tcl_AppendResult(interp,"  TriangleStripArea\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PixelArea\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PolygonArea\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToArea" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectBeta" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectGamma" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToCollapseRatio" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToCondition" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToDimension" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToDistortion" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMaxAngle" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMaxAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMaxEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMedAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMinAngle" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToOddy" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToRadiusRatio" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShape" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShearAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShear" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToSkew" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToStretch" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToTaper" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToVolume" );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToWarpage" );
    Tcl_DStringAppendElement ( &dString, "SetUnsupportedGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetUnsupportedGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetUndefinedQuality" );
    Tcl_DStringAppendElement ( &dString, "GetUndefinedQuality" );
    Tcl_DStringAppendElement ( &dString, "TriangleStripArea" );
    Tcl_DStringAppendElement ( &dString, "PixelArea" );
    Tcl_DStringAppendElement ( &dString, "PolygonArea" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellQuality *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasure */
    if ( strcmp ( argv[2], "SetQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of all\n supported geometries. For qualities that are not defined for certain\n geometries, later program logic ensures that CellQualityNone static\n function will be used so that a predefined value is returned for the\n request.\n There is no default value for this call and valid values include all\n possible qualities supported by this class.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasure(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQualityMeasure */
    if ( strcmp ( argv[2], "GetQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of all\n supported geometries. For qualities that are not defined for certain\n geometries, later program logic ensures that CellQualityNone static\n function will be used so that a predefined value is returned for the\n request.\n There is no default value for this call and valid values include all\n possible qualities supported by this class.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetQualityMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for GetQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToArea */
    if ( strcmp ( argv[2], "SetQualityMeasureToArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToArea */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToAspectBeta */
    if ( strcmp ( argv[2], "SetQualityMeasureToAspectBeta" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectBeta" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToAspectBeta */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToAspectBeta();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToAspectBeta */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToAspectFrobenius */
    if ( strcmp ( argv[2], "SetQualityMeasureToAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToAspectGamma */
    if ( strcmp ( argv[2], "SetQualityMeasureToAspectGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToAspectGamma */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToAspectGamma();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToAspectGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToAspectRatio */
    if ( strcmp ( argv[2], "SetQualityMeasureToAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToAspectRatio */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToAspectRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToCollapseRatio */
    if ( strcmp ( argv[2], "SetQualityMeasureToCollapseRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToCollapseRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToCollapseRatio */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToCollapseRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToCollapseRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToCondition */
    if ( strcmp ( argv[2], "SetQualityMeasureToCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToCondition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToCondition();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToDiagonal */
    if ( strcmp ( argv[2], "SetQualityMeasureToDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToDiagonal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToDimension */
    if ( strcmp ( argv[2], "SetQualityMeasureToDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToDimension */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToDistortion */
    if ( strcmp ( argv[2], "SetQualityMeasureToDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToDistortion */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToDistortion();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToJacobian */
    if ( strcmp ( argv[2], "SetQualityMeasureToJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToJacobian */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToMaxAngle */
    if ( strcmp ( argv[2], "SetQualityMeasureToMaxAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMaxAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToMaxAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToMaxAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToMaxAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToMaxAspectFrobenius */
    if ( strcmp ( argv[2], "SetQualityMeasureToMaxAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMaxAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToMaxAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToMaxAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToMaxAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToMaxEdgeRatio */
    if ( strcmp ( argv[2], "SetQualityMeasureToMaxEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMaxEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToMaxEdgeRatio */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToMaxEdgeRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToMaxEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToMedAspectFrobenius */
    if ( strcmp ( argv[2], "SetQualityMeasureToMedAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMedAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToMedAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToMedAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToMedAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToMinAngle */
    if ( strcmp ( argv[2], "SetQualityMeasureToMinAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToMinAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToMinAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToMinAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToMinAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToOddy */
    if ( strcmp ( argv[2], "SetQualityMeasureToOddy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToOddy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToOddy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToOddy();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToOddy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToRadiusRatio */
    if ( strcmp ( argv[2], "SetQualityMeasureToRadiusRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToRadiusRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToRadiusRatio */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToRadiusRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToRadiusRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToRelativeSizeSquared */
    if ( strcmp ( argv[2], "SetQualityMeasureToRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToRelativeSizeSquared();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToScaledJacobian */
    if ( strcmp ( argv[2], "SetQualityMeasureToScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToScaledJacobian */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToScaledJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToShapeAndSize */
    if ( strcmp ( argv[2], "SetQualityMeasureToShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToShapeAndSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToShapeAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToShape */
    if ( strcmp ( argv[2], "SetQualityMeasureToShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToShape */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToShearAndSize */
    if ( strcmp ( argv[2], "SetQualityMeasureToShearAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShearAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToShearAndSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToShearAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToShearAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToShear */
    if ( strcmp ( argv[2], "SetQualityMeasureToShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToShear */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToShear();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToSkew */
    if ( strcmp ( argv[2], "SetQualityMeasureToSkew" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToSkew" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToSkew */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToSkew();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToSkew */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToStretch */
    if ( strcmp ( argv[2], "SetQualityMeasureToStretch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToStretch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToStretch */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToStretch();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToStretch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToTaper */
    if ( strcmp ( argv[2], "SetQualityMeasureToTaper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToTaper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToTaper */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToTaper();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToTaper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToVolume */
    if ( strcmp ( argv[2], "SetQualityMeasureToVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToVolume */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQualityMeasureToWarpage */
    if ( strcmp ( argv[2], "SetQualityMeasureToWarpage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityMeasureToWarpage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityMeasureToWarpage */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityMeasureToWarpage();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetQualityMeasureToWarpage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUnsupportedGeometry */
    if ( strcmp ( argv[2], "SetUnsupportedGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUnsupportedGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUnsupportedGeometry */
    Tcl_DStringAppendElement ( &dString, " Set/Get the return value for unsupported geometry. Unsupported geometry\n are geometries that are not supported by this filter currently, future\n implementation might include support for them. The defalut value for\n UnsupportedGeometry is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUnsupportedGeometry(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetUnsupportedGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUnsupportedGeometry */
    if ( strcmp ( argv[2], "GetUnsupportedGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnsupportedGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnsupportedGeometry */
    Tcl_DStringAppendElement ( &dString, " Set/Get the return value for unsupported geometry. Unsupported geometry\n are geometries that are not supported by this filter currently, future\n implementation might include support for them. The defalut value for\n UnsupportedGeometry is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetUnsupportedGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for GetUnsupportedGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUndefinedQuality */
    if ( strcmp ( argv[2], "SetUndefinedQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUndefinedQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUndefinedQuality */
    Tcl_DStringAppendElement ( &dString, " Set/Get the return value for undefined quality. Undefined quality\n are qualities that could be addressed by this filter but is not well\n defined for the particular geometry of cell in question, e.g. a\n volume query for a triangle. Undefined quality will always be undefined.\n The default value for UndefinedQuality is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUndefinedQuality(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for SetUndefinedQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUndefinedQuality */
    if ( strcmp ( argv[2], "GetUndefinedQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUndefinedQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUndefinedQuality */
    Tcl_DStringAppendElement ( &dString, " Set/Get the return value for undefined quality. Undefined quality\n are qualities that could be addressed by this filter but is not well\n defined for the particular geometry of cell in question, e.g. a\n volume query for a triangle. Undefined quality will always be undefined.\n The default value for UndefinedQuality is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetUndefinedQuality();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for GetUndefinedQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleStripArea */
    if ( strcmp ( argv[2], "TriangleStripArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleStripArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleStripArea */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double TriangleStripArea(vtkCell *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for TriangleStripArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PixelArea */
    if ( strcmp ( argv[2], "PixelArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PixelArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PixelArea */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double PixelArea(vtkCell *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for PixelArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolygonArea */
    if ( strcmp ( argv[2], "PolygonArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolygonArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolygonArea */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double PolygonArea(vtkCell *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellQuality" );
    /* Closing for PolygonArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
