// tcl wrapper for vtkCleanPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCleanPolyData.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCleanPolyDataNewCommand()
{
  vtkCleanPolyData *temp = vtkCleanPolyData::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCleanPolyDataCppCommand(vtkCleanPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCleanPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCleanPolyDataCppCommand(static_cast<vtkCleanPolyData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCleanPolyDataCppCommand(vtkCleanPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCleanPolyData",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCleanPolyData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCleanPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCleanPolyData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCleanPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCleanPolyData  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCleanPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetToleranceIsAbsolute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetToleranceIsAbsolute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToleranceIsAbsoluteOn",argv[1]))&&(argc == 2))
    {
    op->ToleranceIsAbsoluteOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToleranceIsAbsoluteOff",argv[1]))&&(argc == 2))
    {
    op->ToleranceIsAbsoluteOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetToleranceIsAbsolute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToleranceIsAbsolute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbsoluteTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAbsoluteTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAbsoluteToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbsoluteToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbsoluteTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertLinesToPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConvertLinesToPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ConvertLinesToPointsOn",argv[1]))&&(argc == 2))
    {
    op->ConvertLinesToPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertLinesToPointsOff",argv[1]))&&(argc == 2))
    {
    op->ConvertLinesToPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetConvertLinesToPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConvertLinesToPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertPolysToLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConvertPolysToLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ConvertPolysToLinesOn",argv[1]))&&(argc == 2))
    {
    op->ConvertPolysToLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertPolysToLinesOff",argv[1]))&&(argc == 2))
    {
    op->ConvertPolysToLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetConvertPolysToLines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConvertPolysToLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertStripsToPolys",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConvertStripsToPolys(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ConvertStripsToPolysOn",argv[1]))&&(argc == 2))
    {
    op->ConvertStripsToPolysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertStripsToPolysOff",argv[1]))&&(argc == 2))
    {
    op->ConvertStripsToPolysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetConvertStripsToPolys",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConvertStripsToPolys();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointMerging",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointMerging(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointMerging",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointMerging();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointMergingOn",argv[1]))&&(argc == 2))
    {
    op->PointMergingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointMergingOff",argv[1]))&&(argc == 2))
    {
    op->PointMergingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
    {
    vtkIncrementalPointLocator  *temp0;
    error = 0;

    temp0 = (vtkIncrementalPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIncrementalPointLocator"),interp,error));
    if (!error)
    {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
    {
    vtkIncrementalPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalPointLocator");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->CreateDefaultLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseLocator",argv[1]))&&(argc == 2))
    {
    op->ReleaseLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPieceInvariant",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPieceInvariant(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPieceInvariant",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPieceInvariant();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PieceInvariantOn",argv[1]))&&(argc == 2))
    {
    op->PieceInvariantOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PieceInvariantOff",argv[1]))&&(argc == 2))
    {
    op->PieceInvariantOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCleanPolyDataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCleanPolyData:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetToleranceIsAbsolute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ToleranceIsAbsoluteOn\n",NULL);
    Tcl_AppendResult(interp,"  ToleranceIsAbsoluteOff\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceIsAbsolute\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetAbsoluteTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertLinesToPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ConvertLinesToPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertLinesToPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertLinesToPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertPolysToLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ConvertPolysToLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertPolysToLinesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertPolysToLines\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertStripsToPolys\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ConvertStripsToPolysOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertStripsToPolysOff\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertStripsToPolys\n",NULL);
    Tcl_AppendResult(interp,"  SetPointMerging\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMerging\n",NULL);
    Tcl_AppendResult(interp,"  PointMergingOn\n",NULL);
    Tcl_AppendResult(interp,"  PointMergingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocator\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseLocator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetPieceInvariant\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPieceInvariant\n",NULL);
    Tcl_AppendResult(interp,"  PieceInvariantOn\n",NULL);
    Tcl_AppendResult(interp,"  PieceInvariantOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetToleranceIsAbsolute" );
    Tcl_DStringAppendElement ( &dString, "ToleranceIsAbsoluteOn" );
    Tcl_DStringAppendElement ( &dString, "ToleranceIsAbsoluteOff" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceIsAbsolute" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetConvertLinesToPoints" );
    Tcl_DStringAppendElement ( &dString, "ConvertLinesToPointsOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertLinesToPointsOff" );
    Tcl_DStringAppendElement ( &dString, "GetConvertLinesToPoints" );
    Tcl_DStringAppendElement ( &dString, "SetConvertPolysToLines" );
    Tcl_DStringAppendElement ( &dString, "ConvertPolysToLinesOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertPolysToLinesOff" );
    Tcl_DStringAppendElement ( &dString, "GetConvertPolysToLines" );
    Tcl_DStringAppendElement ( &dString, "SetConvertStripsToPolys" );
    Tcl_DStringAppendElement ( &dString, "ConvertStripsToPolysOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertStripsToPolysOff" );
    Tcl_DStringAppendElement ( &dString, "GetConvertStripsToPolys" );
    Tcl_DStringAppendElement ( &dString, "SetPointMerging" );
    Tcl_DStringAppendElement ( &dString, "GetPointMerging" );
    Tcl_DStringAppendElement ( &dString, "PointMergingOn" );
    Tcl_DStringAppendElement ( &dString, "PointMergingOff" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    Tcl_DStringAppendElement ( &dString, "ReleaseLocator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetPieceInvariant" );
    Tcl_DStringAppendElement ( &dString, "GetPieceInvariant" );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOn" );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCleanPolyData *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetToleranceIsAbsolute */
    if ( strcmp ( argv[2], "SetToleranceIsAbsolute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetToleranceIsAbsolute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetToleranceIsAbsolute */
    Tcl_DStringAppendElement ( &dString, " By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetToleranceIsAbsolute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetToleranceIsAbsolute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToleranceIsAbsoluteOn */
    if ( strcmp ( argv[2], "ToleranceIsAbsoluteOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToleranceIsAbsoluteOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToleranceIsAbsoluteOn */
    Tcl_DStringAppendElement ( &dString, " By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n" );
    Tcl_DStringAppendElement ( &dString, "void ToleranceIsAbsoluteOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ToleranceIsAbsoluteOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToleranceIsAbsoluteOff */
    if ( strcmp ( argv[2], "ToleranceIsAbsoluteOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToleranceIsAbsoluteOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToleranceIsAbsoluteOff */
    Tcl_DStringAppendElement ( &dString, " By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n" );
    Tcl_DStringAppendElement ( &dString, "void ToleranceIsAbsoluteOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ToleranceIsAbsoluteOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceIsAbsolute */
    if ( strcmp ( argv[2], "GetToleranceIsAbsolute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceIsAbsolute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceIsAbsolute */
    Tcl_DStringAppendElement ( &dString, " By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetToleranceIsAbsolute();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetToleranceIsAbsolute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in terms of fraction of bounding box length.\n Default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in terms of fraction of bounding box length.\n Default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in terms of fraction of bounding box length.\n Default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in terms of fraction of bounding box length.\n Default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAbsoluteTolerance */
    if ( strcmp ( argv[2], "SetAbsoluteTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbsoluteTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in absolute terms. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbsoluteTolerance(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetAbsoluteTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteToleranceMinValue */
    if ( strcmp ( argv[2], "GetAbsoluteToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in absolute terms. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetAbsoluteToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteToleranceMaxValue */
    if ( strcmp ( argv[2], "GetAbsoluteToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in absolute terms. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetAbsoluteToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteTolerance */
    if ( strcmp ( argv[2], "GetAbsoluteTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance in absolute terms. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetAbsoluteTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertLinesToPoints */
    if ( strcmp ( argv[2], "SetConvertLinesToPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertLinesToPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertLinesToPoints */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate lines to points. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertLinesToPoints(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetConvertLinesToPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertLinesToPointsOn */
    if ( strcmp ( argv[2], "ConvertLinesToPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertLinesToPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertLinesToPointsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate lines to points. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertLinesToPointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ConvertLinesToPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertLinesToPointsOff */
    if ( strcmp ( argv[2], "ConvertLinesToPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertLinesToPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertLinesToPointsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate lines to points. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertLinesToPointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ConvertLinesToPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertLinesToPoints */
    if ( strcmp ( argv[2], "GetConvertLinesToPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertLinesToPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertLinesToPoints */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate lines to points. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConvertLinesToPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetConvertLinesToPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertPolysToLines */
    if ( strcmp ( argv[2], "SetConvertPolysToLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertPolysToLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertPolysToLines */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate polys to lines. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertPolysToLines(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetConvertPolysToLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertPolysToLinesOn */
    if ( strcmp ( argv[2], "ConvertPolysToLinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertPolysToLinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertPolysToLinesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate polys to lines. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertPolysToLinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ConvertPolysToLinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertPolysToLinesOff */
    if ( strcmp ( argv[2], "ConvertPolysToLinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertPolysToLinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertPolysToLinesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate polys to lines. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertPolysToLinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ConvertPolysToLinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertPolysToLines */
    if ( strcmp ( argv[2], "GetConvertPolysToLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertPolysToLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertPolysToLines */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate polys to lines. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConvertPolysToLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetConvertPolysToLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertStripsToPolys */
    if ( strcmp ( argv[2], "SetConvertStripsToPolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertStripsToPolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertStripsToPolys */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate strips to polys. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertStripsToPolys(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetConvertStripsToPolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertStripsToPolysOn */
    if ( strcmp ( argv[2], "ConvertStripsToPolysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertStripsToPolysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertStripsToPolysOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate strips to polys. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertStripsToPolysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ConvertStripsToPolysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertStripsToPolysOff */
    if ( strcmp ( argv[2], "ConvertStripsToPolysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertStripsToPolysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertStripsToPolysOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate strips to polys. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertStripsToPolysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ConvertStripsToPolysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertStripsToPolys */
    if ( strcmp ( argv[2], "GetConvertStripsToPolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertStripsToPolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertStripsToPolys */
    Tcl_DStringAppendElement ( &dString, " Turn on/off conversion of degenerate strips to polys. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConvertStripsToPolys();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetConvertStripsToPolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointMerging */
    if ( strcmp ( argv[2], "SetPointMerging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointMerging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointMerging */
    Tcl_DStringAppendElement ( &dString, " Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointMerging(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetPointMerging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointMerging */
    if ( strcmp ( argv[2], "GetPointMerging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointMerging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointMerging */
    Tcl_DStringAppendElement ( &dString, " Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointMerging();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetPointMerging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointMergingOn */
    if ( strcmp ( argv[2], "PointMergingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointMergingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointMergingOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointMergingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for PointMergingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointMergingOff */
    if ( strcmp ( argv[2], "PointMergingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointMergingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointMergingOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointMergingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for PointMergingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set/Get a spatial locator for speeding the search process. By\n default an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLocator(vtkIncrementalPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set/Get a spatial locator for speeding the search process. By\n default an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create default locator. Used to create one when none is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator(vtkPolyData *input=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseLocator */
    if ( strcmp ( argv[2], "ReleaseLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseLocator */
    Tcl_DStringAppendElement ( &dString, " Release locator\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for ReleaseLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the MTime of this object also considering the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPieceInvariant */
    if ( strcmp ( argv[2], "SetPieceInvariant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPieceInvariant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPieceInvariant */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPieceInvariant(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for SetPieceInvariant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPieceInvariant */
    if ( strcmp ( argv[2], "GetPieceInvariant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPieceInvariant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPieceInvariant */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPieceInvariant();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for GetPieceInvariant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PieceInvariantOn */
    if ( strcmp ( argv[2], "PieceInvariantOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PieceInvariantOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PieceInvariantOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for PieceInvariantOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PieceInvariantOff */
    if ( strcmp ( argv[2], "PieceInvariantOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PieceInvariantOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PieceInvariantOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCleanPolyData" );
    /* Closing for PieceInvariantOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
