// tcl wrapper for vtkClipClosedSurface object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipClosedSurface.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkClipClosedSurfaceNewCommand()
{
  vtkClipClosedSurface *temp = vtkClipClosedSurface::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkClipClosedSurfaceCppCommand(vtkClipClosedSurface *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkClipClosedSurfaceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkClipClosedSurfaceCppCommand(static_cast<vtkClipClosedSurface *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkClipClosedSurfaceCppCommand(vtkClipClosedSurface *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkClipClosedSurface",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkClipClosedSurface  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipClosedSurface");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkClipClosedSurface  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipClosedSurface");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkClipClosedSurface  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipClosedSurface");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClippingPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlaneCollection  *temp0;
    error = 0;

    temp0 = (vtkPlaneCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlaneCollection"),interp,error));
    if (!error)
    {
    op->SetClippingPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClippingPlanes",argv[1]))&&(argc == 2))
    {
    vtkPlaneCollection  *temp20;
    temp20 = (op)->GetClippingPlanes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPassPointData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassPointData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PassPointDataOn",argv[1]))&&(argc == 2))
    {
    op->PassPointDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassPointDataOff",argv[1]))&&(argc == 2))
    {
    op->PassPointDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPassPointData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassPointData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateOutline",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateOutline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateOutlineOn",argv[1]))&&(argc == 2))
    {
    op->GenerateOutlineOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateOutlineOff",argv[1]))&&(argc == 2))
    {
    op->GenerateOutlineOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateOutline",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateOutline();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateFaces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateFaces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateFacesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateFacesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFacesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateFacesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateFaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateFaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToNone",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToColors",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToColors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToLabels",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToLabels();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBaseColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBaseColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBaseColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBaseColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBaseColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBaseColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetClipColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetClipColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClipColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetClipColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClipColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetClipColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetActivePlaneId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetActivePlaneId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActivePlaneId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActivePlaneId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetActivePlaneColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActivePlaneColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActivePlaneColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetActivePlaneColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActivePlaneColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetActivePlaneColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTriangulationErrorDisplay",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTriangulationErrorDisplay(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangulationErrorDisplayOn",argv[1]))&&(argc == 2))
    {
    op->TriangulationErrorDisplayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TriangulationErrorDisplayOff",argv[1]))&&(argc == 2))
    {
    op->TriangulationErrorDisplayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTriangulationErrorDisplay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTriangulationErrorDisplay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetGenerateColorScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateColorScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetGenerateColorScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateColorScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GenerateColorScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateColorScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GenerateColorScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateColorScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkClipClosedSurfaceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkClipClosedSurface:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetClippingPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClippingPlanes\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetPassPointData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PassPointDataOn\n",NULL);
    Tcl_AppendResult(interp,"  PassPointDataOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPassPointData\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateOutline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateOutlineOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateOutlineOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateOutline\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateFaces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFacesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFacesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateFaces\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToColors\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToLabels\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetBaseColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBaseColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBaseColor\n",NULL);
    Tcl_AppendResult(interp,"  SetClipColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClipColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClipColor\n",NULL);
    Tcl_AppendResult(interp,"  SetActivePlaneId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActivePlaneId\n",NULL);
    Tcl_AppendResult(interp,"  SetActivePlaneColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActivePlaneColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActivePlaneColor\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangulationErrorDisplay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangulationErrorDisplayOn\n",NULL);
    Tcl_AppendResult(interp,"  TriangulationErrorDisplayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTriangulationErrorDisplay\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetGenerateColorScalars\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetGenerateColorScalars\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GenerateColorScalarsOn\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GenerateColorScalarsOff\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetClippingPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetClippingPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetPassPointData" );
    Tcl_DStringAppendElement ( &dString, "PassPointDataOn" );
    Tcl_DStringAppendElement ( &dString, "PassPointDataOff" );
    Tcl_DStringAppendElement ( &dString, "GetPassPointData" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateOutline" );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateOutline" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFaces" );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFaces" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToNone" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToColors" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToLabels" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetBaseColor" );
    Tcl_DStringAppendElement ( &dString, "SetBaseColor" );
    Tcl_DStringAppendElement ( &dString, "GetBaseColor" );
    Tcl_DStringAppendElement ( &dString, "SetClipColor" );
    Tcl_DStringAppendElement ( &dString, "SetClipColor" );
    Tcl_DStringAppendElement ( &dString, "GetClipColor" );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneId" );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneId" );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneColor" );
    Tcl_DStringAppendElement ( &dString, "SetTriangulationErrorDisplay" );
    Tcl_DStringAppendElement ( &dString, "TriangulationErrorDisplayOn" );
    Tcl_DStringAppendElement ( &dString, "TriangulationErrorDisplayOff" );
    Tcl_DStringAppendElement ( &dString, "GetTriangulationErrorDisplay" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetGenerateColorScalars" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetGenerateColorScalars" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GenerateColorScalarsOn" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GenerateColorScalarsOff" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkClipClosedSurface *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClippingPlanes */
    if ( strcmp ( argv[2], "SetClippingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClippingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClippingPlanes */
    Tcl_DStringAppendElement ( &dString, " Set the vtkPlaneCollection that holds the clipping planes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClippingPlanes(vtkPlaneCollection *planes);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetClippingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClippingPlanes */
    if ( strcmp ( argv[2], "GetClippingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClippingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClippingPlanes */
    Tcl_DStringAppendElement ( &dString, " Set the vtkPlaneCollection that holds the clipping planes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCollection *GetClippingPlanes();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetClippingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for creating new points while clipping.  If the\n tolerance is too small, then degenerate triangles might be produced.\n The default tolerance is 1e-6.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for creating new points while clipping.  If the\n tolerance is too small, then degenerate triangles might be produced.\n The default tolerance is 1e-6.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassPointData */
    if ( strcmp ( argv[2], "SetPassPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassPointData */
    Tcl_DStringAppendElement ( &dString, " Pass the point data to the output.  Point data will be interpolated\n when new points are generated.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassPointData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetPassPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassPointDataOn */
    if ( strcmp ( argv[2], "PassPointDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassPointDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassPointDataOn */
    Tcl_DStringAppendElement ( &dString, " Pass the point data to the output.  Point data will be interpolated\n when new points are generated.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassPointDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for PassPointDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassPointDataOff */
    if ( strcmp ( argv[2], "PassPointDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassPointDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassPointDataOff */
    Tcl_DStringAppendElement ( &dString, " Pass the point data to the output.  Point data will be interpolated\n when new points are generated.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassPointDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for PassPointDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassPointData */
    if ( strcmp ( argv[2], "GetPassPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassPointData */
    Tcl_DStringAppendElement ( &dString, " Pass the point data to the output.  Point data will be interpolated\n when new points are generated.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassPointData();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetPassPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateOutline */
    if ( strcmp ( argv[2], "SetGenerateOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateOutline */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is off by default. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateOutline(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetGenerateOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateOutlineOn */
    if ( strcmp ( argv[2], "GenerateOutlineOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateOutlineOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is off by default. \n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateOutlineOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GenerateOutlineOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateOutlineOff */
    if ( strcmp ( argv[2], "GenerateOutlineOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateOutlineOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is off by default. \n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateOutlineOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GenerateOutlineOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateOutline */
    if ( strcmp ( argv[2], "GetGenerateOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateOutline */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is off by default. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateOutline();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetGenerateOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateFaces */
    if ( strcmp ( argv[2], "SetGenerateFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateFaces */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  This is\n on by default.  If it is off, then the output will have no polys.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateFaces(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetGenerateFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFacesOn */
    if ( strcmp ( argv[2], "GenerateFacesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFacesOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  This is\n on by default.  If it is off, then the output will have no polys.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFacesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GenerateFacesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFacesOff */
    if ( strcmp ( argv[2], "GenerateFacesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFacesOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  This is\n on by default.  If it is off, then the output will have no polys.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFacesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GenerateFacesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateFaces */
    if ( strcmp ( argv[2], "GetGenerateFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateFaces */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  This is\n on by default.  If it is off, then the output will have no polys.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateFaces();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetGenerateFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeMinValue */
    if ( strcmp ( argv[2], "GetScalarModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetScalarModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeMaxValue */
    if ( strcmp ( argv[2], "GetScalarModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetScalarModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToNone */
    if ( strcmp ( argv[2], "SetScalarModeToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToNone */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToNone();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetScalarModeToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToColors */
    if ( strcmp ( argv[2], "SetScalarModeToColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToColors */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetScalarModeToColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToLabels */
    if ( strcmp ( argv[2], "SetScalarModeToLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToLabels */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetScalarModeToLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMode */
    if ( strcmp ( argv[2], "GetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeAsString */
    if ( strcmp ( argv[2], "GetScalarModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeAsString */
    Tcl_DStringAppendElement ( &dString, " Set whether to add cell scalars, so that new faces and outlines\n can be distinguished from original faces and lines.  The options\n are \"None\", \"Colors\", and \"Labels\".  For the \"Labels\" option,\n a scalar value of \"0\" indicates an original cell, \"1\" indicates\n a new cell on a cut face, and \"2\" indicates a new cell on the\n ActivePlane as set by the SetActivePlane() method.  The default\n scalar mode is \"None\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetScalarModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBaseColor */
    if ( strcmp ( argv[2], "SetBaseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBaseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBaseColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBaseColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetBaseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBaseColor */
    if ( strcmp ( argv[2], "SetBaseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBaseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBaseColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBaseColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetBaseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBaseColor */
    if ( strcmp ( argv[2], "GetBaseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBaseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBaseColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetBaseColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetBaseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipColor */
    if ( strcmp ( argv[2], "SetClipColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetClipColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetClipColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipColor */
    if ( strcmp ( argv[2], "SetClipColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetClipColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetClipColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipColor */
    if ( strcmp ( argv[2], "GetClipColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetClipColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetClipColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActivePlaneId */
    if ( strcmp ( argv[2], "SetActivePlaneId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActivePlaneId */
    Tcl_DStringAppendElement ( &dString, " Set the active plane, so that the clipping from that plane can be\n displayed in a different color.  Set this to -1 if there is no active\n plane.  The default value is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActivePlaneId(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetActivePlaneId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActivePlaneId */
    if ( strcmp ( argv[2], "GetActivePlaneId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActivePlaneId */
    Tcl_DStringAppendElement ( &dString, " Set the active plane, so that the clipping from that plane can be\n displayed in a different color.  Set this to -1 if there is no active\n plane.  The default value is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActivePlaneId();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetActivePlaneId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActivePlaneColor */
    if ( strcmp ( argv[2], "SetActivePlaneColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActivePlaneColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetActivePlaneColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetActivePlaneColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActivePlaneColor */
    if ( strcmp ( argv[2], "SetActivePlaneColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActivePlaneColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetActivePlaneColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetActivePlaneColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActivePlaneColor */
    if ( strcmp ( argv[2], "GetActivePlaneColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActivePlaneColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetActivePlaneColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetActivePlaneColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangulationErrorDisplay */
    if ( strcmp ( argv[2], "SetTriangulationErrorDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangulationErrorDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangulationErrorDisplay */
    Tcl_DStringAppendElement ( &dString, " Generate errors when the triangulation fails.  Usually the\n triangulation errors are too small to see, but they result in\n a surface that is not watertight.  This option has no impact\n on performance.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangulationErrorDisplay(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetTriangulationErrorDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangulationErrorDisplayOn */
    if ( strcmp ( argv[2], "TriangulationErrorDisplayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangulationErrorDisplayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangulationErrorDisplayOn */
    Tcl_DStringAppendElement ( &dString, " Generate errors when the triangulation fails.  Usually the\n triangulation errors are too small to see, but they result in\n a surface that is not watertight.  This option has no impact\n on performance.\n" );
    Tcl_DStringAppendElement ( &dString, "void TriangulationErrorDisplayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for TriangulationErrorDisplayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangulationErrorDisplayOff */
    if ( strcmp ( argv[2], "TriangulationErrorDisplayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangulationErrorDisplayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangulationErrorDisplayOff */
    Tcl_DStringAppendElement ( &dString, " Generate errors when the triangulation fails.  Usually the\n triangulation errors are too small to see, but they result in\n a surface that is not watertight.  This option has no impact\n on performance.\n" );
    Tcl_DStringAppendElement ( &dString, "void TriangulationErrorDisplayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for TriangulationErrorDisplayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriangulationErrorDisplay */
    if ( strcmp ( argv[2], "GetTriangulationErrorDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriangulationErrorDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriangulationErrorDisplay */
    Tcl_DStringAppendElement ( &dString, " Generate errors when the triangulation fails.  Usually the\n triangulation errors are too small to see, but they result in\n a surface that is not watertight.  This option has no impact\n on performance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTriangulationErrorDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetTriangulationErrorDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetGenerateColorScalars */
    if ( strcmp ( argv[2], "SetGenerateColorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateColorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateColorScalars */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateColorScalars(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for SetGenerateColorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetGenerateColorScalars */
    if ( strcmp ( argv[2], "GetGenerateColorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateColorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateColorScalars */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateColorScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GetGenerateColorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GenerateColorScalarsOn */
    if ( strcmp ( argv[2], "GenerateColorScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateColorScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateColorScalarsOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateColorScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GenerateColorScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GenerateColorScalarsOff */
    if ( strcmp ( argv[2], "GenerateColorScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateColorScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateColorScalarsOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateColorScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipClosedSurface" );
    /* Closing for GenerateColorScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
