// tcl wrapper for vtkConnectivityFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConnectivityFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkConnectivityFilterNewCommand()
{
  vtkConnectivityFilter *temp = vtkConnectivityFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkConnectivityFilterCppCommand(vtkConnectivityFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkConnectivityFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkConnectivityFilterCppCommand(static_cast<vtkConnectivityFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkConnectivityFilterCppCommand(vtkConnectivityFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkConnectivityFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkConnectivityFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConnectivityFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkConnectivityFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConnectivityFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkConnectivityFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConnectivityFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetScalarConnectivity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarConnectivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarConnectivity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarConnectivity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarConnectivityOn",argv[1]))&&(argc == 2))
    {
    op->ScalarConnectivityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarConnectivityOff",argv[1]))&&(argc == 2))
    {
    op->ScalarConnectivityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractionModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractionModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtractionModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractionModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtractionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToPointSeededRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToPointSeededRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToCellSeededRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToCellSeededRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToLargestRegion",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToLargestRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToSpecifiedRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToSpecifiedRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToClosestPointRegion",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToClosestPointRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToAllRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToAllRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetExtractionModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetExtractionModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("InitializeSeedList",argv[1]))&&(argc == 2))
    {
    op->InitializeSeedList();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSeed",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteSeed",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeSpecifiedRegionList",argv[1]))&&(argc == 2))
    {
    op->InitializeSpecifiedRegionList();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSpecifiedRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddSpecifiedRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteSpecifiedRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteSpecifiedRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClosestPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetClosestPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClosestPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetClosestPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClosestPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetClosestPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfExtractedRegions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfExtractedRegions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRegions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorRegions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorRegions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorRegions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorRegionsOn",argv[1]))&&(argc == 2))
    {
    op->ColorRegionsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorRegionsOff",argv[1]))&&(argc == 2))
    {
    op->ColorRegionsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkConnectivityFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkConnectivityFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarConnectivity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarConnectivity\n",NULL);
    Tcl_AppendResult(interp,"  ScalarConnectivityOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarConnectivityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToPointSeededRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToCellSeededRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToLargestRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToSpecifiedRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToClosestPointRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToAllRegions\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  InitializeSeedList\n",NULL);
    Tcl_AppendResult(interp,"  AddSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializeSpecifiedRegionList\n",NULL);
    Tcl_AppendResult(interp,"  AddSpecifiedRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteSpecifiedRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetClosestPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClosestPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClosestPoint\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfExtractedRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRegions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorRegions\n",NULL);
    Tcl_AppendResult(interp,"  ColorRegionsOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorRegionsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetScalarConnectivity" );
    Tcl_DStringAppendElement ( &dString, "GetScalarConnectivity" );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOn" );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionMode" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionMode" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPointSeededRegions" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToCellSeededRegions" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLargestRegion" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToSpecifiedRegions" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToClosestPointRegion" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToAllRegions" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeAsString" );
    Tcl_DStringAppendElement ( &dString, "InitializeSeedList" );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    Tcl_DStringAppendElement ( &dString, "DeleteSeed" );
    Tcl_DStringAppendElement ( &dString, "InitializeSpecifiedRegionList" );
    Tcl_DStringAppendElement ( &dString, "AddSpecifiedRegion" );
    Tcl_DStringAppendElement ( &dString, "DeleteSpecifiedRegion" );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "GetClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfExtractedRegions" );
    Tcl_DStringAppendElement ( &dString, "SetColorRegions" );
    Tcl_DStringAppendElement ( &dString, "GetColorRegions" );
    Tcl_DStringAppendElement ( &dString, "ColorRegionsOn" );
    Tcl_DStringAppendElement ( &dString, "ColorRegionsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with default extraction mode to extract largest regions.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkConnectivityFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarConnectivity */
    if ( strcmp ( argv[2], "SetScalarConnectivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarConnectivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarConnectivity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarConnectivity(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetScalarConnectivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarConnectivity */
    if ( strcmp ( argv[2], "GetScalarConnectivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarConnectivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarConnectivity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarConnectivity();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetScalarConnectivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarConnectivityOn */
    if ( strcmp ( argv[2], "ScalarConnectivityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarConnectivityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarConnectivityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for ScalarConnectivityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarConnectivityOff */
    if ( strcmp ( argv[2], "ScalarConnectivityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarConnectivityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarConnectivityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for ScalarConnectivityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarRange */
    if ( strcmp ( argv[2], "GetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetScalarRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractionMode */
    if ( strcmp ( argv[2], "SetExtractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionMode */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetExtractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractionModeMinValue */
    if ( strcmp ( argv[2], "GetExtractionModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractionModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetExtractionModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractionModeMaxValue */
    if ( strcmp ( argv[2], "GetExtractionModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractionModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetExtractionModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractionMode */
    if ( strcmp ( argv[2], "GetExtractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionMode */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetExtractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractionModeToPointSeededRegions */
    if ( strcmp ( argv[2], "SetExtractionModeToPointSeededRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPointSeededRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToPointSeededRegions */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToPointSeededRegions();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetExtractionModeToPointSeededRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractionModeToCellSeededRegions */
    if ( strcmp ( argv[2], "SetExtractionModeToCellSeededRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToCellSeededRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToCellSeededRegions */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToCellSeededRegions();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetExtractionModeToCellSeededRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractionModeToLargestRegion */
    if ( strcmp ( argv[2], "SetExtractionModeToLargestRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLargestRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToLargestRegion */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToLargestRegion();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetExtractionModeToLargestRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractionModeToSpecifiedRegions */
    if ( strcmp ( argv[2], "SetExtractionModeToSpecifiedRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToSpecifiedRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToSpecifiedRegions */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToSpecifiedRegions();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetExtractionModeToSpecifiedRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractionModeToClosestPointRegion */
    if ( strcmp ( argv[2], "SetExtractionModeToClosestPointRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToClosestPointRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToClosestPointRegion */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToClosestPointRegion();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetExtractionModeToClosestPointRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractionModeToAllRegions */
    if ( strcmp ( argv[2], "SetExtractionModeToAllRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToAllRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToAllRegions */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToAllRegions();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetExtractionModeToAllRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractionModeAsString */
    if ( strcmp ( argv[2], "GetExtractionModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetExtractionModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetExtractionModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeSeedList */
    if ( strcmp ( argv[2], "InitializeSeedList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeSeedList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeSeedList */
    Tcl_DStringAppendElement ( &dString, " Initialize list of point ids/cell ids used to seed regions.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeSeedList();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for InitializeSeedList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddSeed */
    if ( strcmp ( argv[2], "AddSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSeed */
    Tcl_DStringAppendElement ( &dString, " Add a seed id (point or cell id). Note: ids are 0-offset.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSeed(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for AddSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteSeed */
    if ( strcmp ( argv[2], "DeleteSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteSeed */
    Tcl_DStringAppendElement ( &dString, " Delete a seed id (point or cell id). Note: ids are 0-offset.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteSeed(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for DeleteSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeSpecifiedRegionList */
    if ( strcmp ( argv[2], "InitializeSpecifiedRegionList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeSpecifiedRegionList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeSpecifiedRegionList */
    Tcl_DStringAppendElement ( &dString, " Initialize list of region ids to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeSpecifiedRegionList();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for InitializeSpecifiedRegionList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddSpecifiedRegion */
    if ( strcmp ( argv[2], "AddSpecifiedRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSpecifiedRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSpecifiedRegion */
    Tcl_DStringAppendElement ( &dString, " Add a region id to extract. Note: ids are 0-offset.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSpecifiedRegion(int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for AddSpecifiedRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteSpecifiedRegion */
    if ( strcmp ( argv[2], "DeleteSpecifiedRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteSpecifiedRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteSpecifiedRegion */
    Tcl_DStringAppendElement ( &dString, " Delete a region id to extract. Note: ids are 0-offset.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteSpecifiedRegion(int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for DeleteSpecifiedRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClosestPoint */
    if ( strcmp ( argv[2], "SetClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosestPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetClosestPoint(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClosestPoint */
    if ( strcmp ( argv[2], "SetClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosestPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetClosestPoint(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClosestPoint */
    if ( strcmp ( argv[2], "GetClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClosestPoint */
    Tcl_DStringAppendElement ( &dString, " Use to specify x-y-z point coordinates when extracting the region \n closest to a specified point.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetClosestPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfExtractedRegions */
    if ( strcmp ( argv[2], "GetNumberOfExtractedRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfExtractedRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfExtractedRegions */
    Tcl_DStringAppendElement ( &dString, " Obtain the number of connected regions.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfExtractedRegions();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetNumberOfExtractedRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorRegions */
    if ( strcmp ( argv[2], "SetColorRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorRegions */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected regions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorRegions(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for SetColorRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorRegions */
    if ( strcmp ( argv[2], "GetColorRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorRegions */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected regions.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorRegions();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for GetColorRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorRegionsOn */
    if ( strcmp ( argv[2], "ColorRegionsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorRegionsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorRegionsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected regions.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorRegionsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for ColorRegionsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorRegionsOff */
    if ( strcmp ( argv[2], "ColorRegionsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorRegionsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorRegionsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected regions.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorRegionsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkConnectivityFilter" );
    /* Closing for ColorRegionsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
