// tcl wrapper for vtkContourGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContourGrid.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkContourGridNewCommand()
{
  vtkContourGrid *temp = vtkContourGrid::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContourGridCppCommand(vtkContourGrid *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkContourGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkContourGridCppCommand(static_cast<vtkContourGrid *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContourGridCppCommand(vtkContourGrid *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkContourGrid",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkContourGrid  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourGrid");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkContourGrid  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourGrid");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkContourGrid  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourGrid");
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfContours",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfContours(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfContours",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfContours();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateValues",argv[1]))&&(argc == 5))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->GenerateValues(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ComputeNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ComputeNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeGradients",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeGradients(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeGradients",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeGradients();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeGradientsOn",argv[1]))&&(argc == 2))
    {
    op->ComputeGradientsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeGradientsOff",argv[1]))&&(argc == 2))
    {
    op->ComputeGradientsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeScalarsOn",argv[1]))&&(argc == 2))
    {
    op->ComputeScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeScalarsOff",argv[1]))&&(argc == 2))
    {
    op->ComputeScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseScalarTree",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseScalarTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseScalarTree",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseScalarTree();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseScalarTreeOn",argv[1]))&&(argc == 2))
    {
    op->UseScalarTreeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseScalarTreeOff",argv[1]))&&(argc == 2))
    {
    op->UseScalarTreeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
    {
    vtkIncrementalPointLocator  *temp0;
    error = 0;

    temp0 = (vtkIncrementalPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIncrementalPointLocator"),interp,error));
    if (!error)
    {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
    {
    vtkIncrementalPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalPointLocator");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkContourGridCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContourGrid:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfContours\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfContours\n",NULL);
    Tcl_AppendResult(interp,"  GenerateValues\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeNormals\n",NULL);
    Tcl_AppendResult(interp,"  ComputeNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeGradients\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeGradients\n",NULL);
    Tcl_AppendResult(interp,"  ComputeGradientsOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeGradientsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeScalars\n",NULL);
    Tcl_AppendResult(interp,"  ComputeScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseScalarTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseScalarTree\n",NULL);
    Tcl_AppendResult(interp,"  UseScalarTreeOn\n",NULL);
    Tcl_AppendResult(interp,"  UseScalarTreeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocator\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfContours" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContours" );
    Tcl_DStringAppendElement ( &dString, "GenerateValues" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradients" );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradients" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeScalars" );
    Tcl_DStringAppendElement ( &dString, "GetComputeScalars" );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseScalarTree" );
    Tcl_DStringAppendElement ( &dString, "GetUseScalarTree" );
    Tcl_DStringAppendElement ( &dString, "UseScalarTreeOn" );
    Tcl_DStringAppendElement ( &dString, "UseScalarTreeOff" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with initial range (0,1) and single contour value\n of 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkContourGrid *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValue(int i, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetValue(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfContours */
    if ( strcmp ( argv[2], "SetNumberOfContours" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfContours" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfContours */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfContours(int number);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SetNumberOfContours */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfContours */
    if ( strcmp ( argv[2], "GetNumberOfContours" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContours" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfContours */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfContours();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetNumberOfContours */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateValues */
    if ( strcmp ( argv[2], "GenerateValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateValues */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get contour values.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateValues(int numContours, double rangeStart, double rangeEnd);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GenerateValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Modified GetMTime Because we delegate to vtkContourValues\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeNormals */
    if ( strcmp ( argv[2], "SetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeNormals(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeNormals */
    if ( strcmp ( argv[2], "GetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeNormalsOn */
    if ( strcmp ( argv[2], "ComputeNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for ComputeNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeNormalsOff */
    if ( strcmp ( argv[2], "ComputeNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for ComputeNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeGradients */
    if ( strcmp ( argv[2], "SetComputeGradients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeGradients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeGradients(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SetComputeGradients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeGradients */
    if ( strcmp ( argv[2], "GetComputeGradients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeGradients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeGradients();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetComputeGradients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeGradientsOn */
    if ( strcmp ( argv[2], "ComputeGradientsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeGradientsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for ComputeGradientsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeGradientsOff */
    if ( strcmp ( argv[2], "ComputeGradientsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeGradientsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for ComputeGradientsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeScalars */
    if ( strcmp ( argv[2], "SetComputeScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeScalars(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SetComputeScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeScalars */
    if ( strcmp ( argv[2], "GetComputeScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetComputeScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeScalarsOn */
    if ( strcmp ( argv[2], "ComputeScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for ComputeScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeScalarsOff */
    if ( strcmp ( argv[2], "ComputeScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for ComputeScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseScalarTree */
    if ( strcmp ( argv[2], "SetUseScalarTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseScalarTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseScalarTree */
    Tcl_DStringAppendElement ( &dString, " Enable the use of a scalar tree to accelerate contour extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseScalarTree(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SetUseScalarTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseScalarTree */
    if ( strcmp ( argv[2], "GetUseScalarTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseScalarTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseScalarTree */
    Tcl_DStringAppendElement ( &dString, " Enable the use of a scalar tree to accelerate contour extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseScalarTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetUseScalarTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseScalarTreeOn */
    if ( strcmp ( argv[2], "UseScalarTreeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseScalarTreeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseScalarTreeOn */
    Tcl_DStringAppendElement ( &dString, " Enable the use of a scalar tree to accelerate contour extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseScalarTreeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for UseScalarTreeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseScalarTreeOff */
    if ( strcmp ( argv[2], "UseScalarTreeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseScalarTreeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseScalarTreeOff */
    Tcl_DStringAppendElement ( &dString, " Enable the use of a scalar tree to accelerate contour extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseScalarTreeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for UseScalarTreeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator(vtkIncrementalPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create default locator. Used to create one when none is\n specified. The locator is used to merge coincident points.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourGrid" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
