// tcl wrapper for vtkConvertSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConvertSelection.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkConvertSelectionNewCommand()
{
  vtkConvertSelection *temp = vtkConvertSelection::New();
  return static_cast<ClientData>(temp);
}

int vtkSelectionAlgorithmCppCommand(vtkSelectionAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkConvertSelectionCppCommand(vtkConvertSelection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkConvertSelectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkConvertSelectionCppCommand(static_cast<vtkConvertSelection *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkConvertSelectionCppCommand(vtkConvertSelection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkConvertSelection",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSelectionAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkConvertSelection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConvertSelection");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkConvertSelection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConvertSelection");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkConvertSelection  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConvertSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataObjectConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetDataObjectConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputFieldType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInputFieldType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputFieldType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputFieldType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetArrayNames",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetArrayNames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetArrayNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("AddArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearArrayNames",argv[1]))&&(argc == 2))
    {
    op->ClearArrayNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMatchAnyValues",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetMatchAnyValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMatchAnyValues",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetMatchAnyValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MatchAnyValuesOn",argv[1]))&&(argc == 2))
    {
    op->MatchAnyValuesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MatchAnyValuesOff",argv[1]))&&(argc == 2))
    {
    op->MatchAnyValuesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToIndexSelection",argv[1]))&&(argc == 4))
    {
    vtkSelection  *temp0;
    vtkDataObject  *temp1;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->ToIndexSelection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("ToGlobalIdSelection",argv[1]))&&(argc == 4))
    {
    vtkSelection  *temp0;
    vtkDataObject  *temp1;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->ToGlobalIdSelection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("ToPedigreeIdSelection",argv[1]))&&(argc == 4))
    {
    vtkSelection  *temp0;
    vtkDataObject  *temp1;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->ToPedigreeIdSelection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("ToValueSelection",argv[1]))&&(argc == 5))
    {
    vtkSelection  *temp0;
    vtkDataObject  *temp1;
    char    *temp2;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->ToValueSelection(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("ToValueSelection",argv[1]))&&(argc == 5))
    {
    vtkSelection  *temp0;
    vtkDataObject  *temp1;
    vtkStringArray  *temp2;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    temp2 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->ToValueSelection(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedItems",argv[1]))&&(argc == 6))
    {
    vtkSelection  *temp0;
    vtkDataObject  *temp1;
    int      temp2;
    vtkIdTypeArray  *temp3;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedItems(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedVertices",argv[1]))&&(argc == 5))
    {
    vtkSelection  *temp0;
    vtkGraph  *temp1;
    vtkIdTypeArray  *temp2;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGraph"),interp,error));
    temp2 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedVertices(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedEdges",argv[1]))&&(argc == 5))
    {
    vtkSelection  *temp0;
    vtkGraph  *temp1;
    vtkIdTypeArray  *temp2;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGraph"),interp,error));
    temp2 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedEdges(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPoints",argv[1]))&&(argc == 5))
    {
    vtkSelection  *temp0;
    vtkDataSet  *temp1;
    vtkIdTypeArray  *temp2;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    temp2 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedPoints(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedCells",argv[1]))&&(argc == 5))
    {
    vtkSelection  *temp0;
    vtkDataSet  *temp1;
    vtkIdTypeArray  *temp2;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    temp2 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedCells(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedRows",argv[1]))&&(argc == 5))
    {
    vtkSelection  *temp0;
    vtkTable  *temp1;
    vtkIdTypeArray  *temp2;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkTable *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTable"),interp,error));
    temp2 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedRows(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToSelectionType",argv[1]))&&(argc == 7))
    {
    vtkSelection  *temp0;
    vtkDataObject  *temp1;
    int      temp2;
    vtkStringArray  *temp3;
    int      temp4;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkStringArray"),interp,error));
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->ToSelectionType(temp0,temp1,temp2,temp3,temp4);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkConvertSelectionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkConvertSelection:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputFieldType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputFieldType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputType\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  AddArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  SetMatchAnyValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMatchAnyValues\n",NULL);
    Tcl_AppendResult(interp,"  MatchAnyValuesOn\n",NULL);
    Tcl_AppendResult(interp,"  MatchAnyValuesOff\n",NULL);
    Tcl_AppendResult(interp,"  ToIndexSelection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ToGlobalIdSelection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ToPedigreeIdSelection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ToValueSelection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ToValueSelection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedItems\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedVertices\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedEdges\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPoints\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedCells\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedRows\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ToSelectionType\t with 5 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectConnection" );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldType" );
    Tcl_DStringAppendElement ( &dString, "GetInputFieldType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputType" );
    Tcl_DStringAppendElement ( &dString, "GetOutputType" );
    Tcl_DStringAppendElement ( &dString, "SetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetArrayNames" );
    Tcl_DStringAppendElement ( &dString, "AddArrayName" );
    Tcl_DStringAppendElement ( &dString, "ClearArrayNames" );
    Tcl_DStringAppendElement ( &dString, "SetMatchAnyValues" );
    Tcl_DStringAppendElement ( &dString, "GetMatchAnyValues" );
    Tcl_DStringAppendElement ( &dString, "MatchAnyValuesOn" );
    Tcl_DStringAppendElement ( &dString, "MatchAnyValuesOff" );
    Tcl_DStringAppendElement ( &dString, "ToIndexSelection" );
    Tcl_DStringAppendElement ( &dString, "ToGlobalIdSelection" );
    Tcl_DStringAppendElement ( &dString, "ToPedigreeIdSelection" );
    Tcl_DStringAppendElement ( &dString, "ToValueSelection" );
    Tcl_DStringAppendElement ( &dString, "ToValueSelection" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedItems" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedVertices" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedEdges" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPoints" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCells" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedRows" );
    Tcl_DStringAppendElement ( &dString, "ToSelectionType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkConvertSelection *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataObjectConnection */
    if ( strcmp ( argv[2], "SetDataObjectConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataObjectConnection */
    Tcl_DStringAppendElement ( &dString, " A convenience method for setting the second input (i.e. the data object).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataObjectConnection(vtkAlgorithmOutput *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for SetDataObjectConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputFieldType */
    if ( strcmp ( argv[2], "SetInputFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputFieldType */
    Tcl_DStringAppendElement ( &dString, " The input field type.\n If this is set to a number other than -1, ignores the input selection\n field type and instead assumes that all selection nodes have the\n field type specified.\n This should be one of the constants defined in vtkSelectionNode.h.\n Default is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputFieldType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for SetInputFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputFieldType */
    if ( strcmp ( argv[2], "GetInputFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputFieldType */
    Tcl_DStringAppendElement ( &dString, " The input field type.\n If this is set to a number other than -1, ignores the input selection\n field type and instead assumes that all selection nodes have the\n field type specified.\n This should be one of the constants defined in vtkSelectionNode.h.\n Default is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputFieldType();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetInputFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputType */
    if ( strcmp ( argv[2], "SetOutputType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputType */
    Tcl_DStringAppendElement ( &dString, " The output selection content type.\n This should be one of the constants defined in vtkSelectionNode.h.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for SetOutputType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputType */
    if ( strcmp ( argv[2], "GetOutputType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputType */
    Tcl_DStringAppendElement ( &dString, " The output selection content type.\n This should be one of the constants defined in vtkSelectionNode.h.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputType();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetOutputType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrayName */
    if ( strcmp ( argv[2], "SetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for value or threshold selections.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetArrayName(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for SetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayName */
    if ( strcmp ( argv[2], "GetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for value or threshold selections.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrayNames */
    if ( strcmp ( argv[2], "SetArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayNames */
    Tcl_DStringAppendElement ( &dString, " The output array names for value selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetArrayNames(vtkStringArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for SetArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayNames */
    if ( strcmp ( argv[2], "GetArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayNames */
    Tcl_DStringAppendElement ( &dString, " The output array names for value selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddArrayName */
    if ( strcmp ( argv[2], "AddArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddArrayName */
    Tcl_DStringAppendElement ( &dString, " Convenience methods used by UI\n" );
    Tcl_DStringAppendElement ( &dString, "void AddArrayName(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for AddArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearArrayNames */
    if ( strcmp ( argv[2], "ClearArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearArrayNames */
    Tcl_DStringAppendElement ( &dString, " Convenience methods used by UI\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for ClearArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMatchAnyValues */
    if ( strcmp ( argv[2], "SetMatchAnyValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMatchAnyValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMatchAnyValues */
    Tcl_DStringAppendElement ( &dString, " When on, creates a separate selection node for each array.\n Defaults to OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMatchAnyValues(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for SetMatchAnyValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMatchAnyValues */
    if ( strcmp ( argv[2], "GetMatchAnyValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMatchAnyValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMatchAnyValues */
    Tcl_DStringAppendElement ( &dString, " When on, creates a separate selection node for each array.\n Defaults to OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetMatchAnyValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetMatchAnyValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MatchAnyValuesOn */
    if ( strcmp ( argv[2], "MatchAnyValuesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MatchAnyValuesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MatchAnyValuesOn */
    Tcl_DStringAppendElement ( &dString, " When on, creates a separate selection node for each array.\n Defaults to OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void MatchAnyValuesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for MatchAnyValuesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MatchAnyValuesOff */
    if ( strcmp ( argv[2], "MatchAnyValuesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MatchAnyValuesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MatchAnyValuesOff */
    Tcl_DStringAppendElement ( &dString, " When on, creates a separate selection node for each array.\n Defaults to OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void MatchAnyValuesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for MatchAnyValuesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToIndexSelection */
    if ( strcmp ( argv[2], "ToIndexSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToIndexSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToIndexSelection */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *ToIndexSelection(vtkSelection *input, vtkDataObject *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for ToIndexSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToGlobalIdSelection */
    if ( strcmp ( argv[2], "ToGlobalIdSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToGlobalIdSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToGlobalIdSelection */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *ToGlobalIdSelection(vtkSelection *input, vtkDataObject *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for ToGlobalIdSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToPedigreeIdSelection */
    if ( strcmp ( argv[2], "ToPedigreeIdSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToPedigreeIdSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToPedigreeIdSelection */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *ToPedigreeIdSelection(vtkSelection *input, vtkDataObject *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for ToPedigreeIdSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToValueSelection */
    if ( strcmp ( argv[2], "ToValueSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToValueSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToValueSelection */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *ToValueSelection(vtkSelection *input, vtkDataObject *data, const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for ToValueSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToValueSelection */
    if ( strcmp ( argv[2], "ToValueSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToValueSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToValueSelection */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *ToValueSelection(vtkSelection *input, vtkDataObject *data, vtkStringArray *arrayNames);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for ToValueSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedItems */
    if ( strcmp ( argv[2], "GetSelectedItems" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedItems" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedItems */
    Tcl_DStringAppendElement ( &dString, " Static generic method for obtaining selected items from a data object.\n Other static methods (e.g. GetSelectedVertices) call this one.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GetSelectedItems(vtkSelection *input, vtkDataObject *data, int fieldType, vtkIdTypeArray *indices);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetSelectedItems */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedVertices */
    if ( strcmp ( argv[2], "GetSelectedVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedVertices */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GetSelectedVertices(vtkSelection *input, vtkGraph *data, vtkIdTypeArray *indices);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetSelectedVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedEdges */
    if ( strcmp ( argv[2], "GetSelectedEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedEdges */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GetSelectedEdges(vtkSelection *input, vtkGraph *data, vtkIdTypeArray *indices);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetSelectedEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPoints */
    if ( strcmp ( argv[2], "GetSelectedPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPoints */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GetSelectedPoints(vtkSelection *input, vtkDataSet *data, vtkIdTypeArray *indices);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetSelectedPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedCells */
    if ( strcmp ( argv[2], "GetSelectedCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedCells */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GetSelectedCells(vtkSelection *input, vtkDataSet *data, vtkIdTypeArray *indices);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetSelectedCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedRows */
    if ( strcmp ( argv[2], "GetSelectedRows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedRows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedRows */
    Tcl_DStringAppendElement ( &dString, " Static methods for easily obtaining selected items from a data object.\n The array argument will be filled with the selected items.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GetSelectedRows(vtkSelection *input, vtkTable *data, vtkIdTypeArray *indices);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for GetSelectedRows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToSelectionType */
    if ( strcmp ( argv[2], "ToSelectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToSelectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToSelectionType */
    Tcl_DStringAppendElement ( &dString, " A generic static method for converting selection types.\n The type should be an integer constant defined in vtkSelectionNode.h.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *ToSelectionType(vtkSelection *input, vtkDataObject *data, int type, vtkStringArray *arrayNames=0, int inputFieldType=-1);" );
    Tcl_DStringAppendElement ( &dString, "vtkConvertSelection" );
    /* Closing for ToSelectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
