// tcl wrapper for vtkDataObjectToDataSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectToDataSetFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataObjectToDataSetFilterNewCommand()
{
  vtkDataObjectToDataSetFilter *temp = vtkDataObjectToDataSetFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataObjectToDataSetFilterCppCommand(vtkDataObjectToDataSetFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataObjectToDataSetFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataObjectToDataSetFilterCppCommand(static_cast<vtkDataObjectToDataSetFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataObjectToDataSetFilterCppCommand(vtkDataObjectToDataSetFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataObjectToDataSetFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataObjectToDataSetFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObjectToDataSetFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataObjectToDataSetFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObjectToDataSetFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataObjectToDataSetFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObjectToDataSetFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataSetType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSetType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataSetType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToPolyData",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToPolyData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToStructuredPoints",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToStructuredPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToStructuredGrid",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToStructuredGrid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToRectilinearGrid",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToRectilinearGrid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToUnstructuredGrid",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToUnstructuredGrid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataSet  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyDataOutput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetPolyDataOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredPointsOutput",argv[1]))&&(argc == 2))
    {
    vtkStructuredPoints  *temp20;
    temp20 = (op)->GetStructuredPointsOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredGridOutput",argv[1]))&&(argc == 2))
    {
    vtkStructuredGrid  *temp20;
    temp20 = (op)->GetStructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetUnstructuredGridOutput",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetUnstructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetRectilinearGridOutput",argv[1]))&&(argc == 2))
    {
    vtkRectilinearGrid  *temp20;
    temp20 = (op)->GetRectilinearGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectilinearGrid");
    return TCL_OK;
    }
  if ((!strcmp("SetPointComponent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetPointComponent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetPointComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentArrayComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentMinRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentMinRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentMaxRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentMaxRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentNormailzeFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentNormailzeFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertsComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetVertsComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertsComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetVertsComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertsComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertsComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetVertsComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertsComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertsComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertsComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertsComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertsComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLinesComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetLinesComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLinesComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLinesComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLinesComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLinesComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLinesComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLinesComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLinesComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLinesComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLinesComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLinesComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPolysComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetPolysComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPolysComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPolysComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolysComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPolysComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPolysComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolysComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPolysComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolysComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPolysComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolysComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStripsComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetStripsComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStripsComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetStripsComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStripsComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetStripsComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetStripsComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStripsComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStripsComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStripsComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStripsComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStripsComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetCellTypeComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellTypeComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellTypeComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellTypeComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCellTypeComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCellTypeComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellTypeComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellTypeComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellTypeComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellTypeComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellTypeComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellConnectivityComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetCellConnectivityComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellConnectivityComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellConnectivityComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellConnectivityComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCellConnectivityComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCellConnectivityComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellConnectivityComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellConnectivityComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellConnectivityComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellConnectivityComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellConnectivityComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultNormalize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultNormalize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultNormalize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDefaultNormalize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DefaultNormalizeOn",argv[1]))&&(argc == 2))
    {
    op->DefaultNormalizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DefaultNormalizeOff",argv[1]))&&(argc == 2))
    {
    op->DefaultNormalizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDimensionsComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetDimensionsComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDimensionsComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDimensionsComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpacingComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetSpacingComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpacingComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSpacingComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetOriginComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetOriginComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataObjectToDataSetFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataObjectToDataSetFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSetType\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToPolyData\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToStructuredPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToStructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToRectilinearGrid\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToUnstructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredPointsOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetUnstructuredGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetRectilinearGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetPointComponent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentMinRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentMaxRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentNormailzeFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVertsComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVertsComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetLinesComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLinesComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetPolysComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPolysComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetStripsComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStripsComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetCellConnectivityComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellConnectivityComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormalize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultNormalize\n",NULL);
    Tcl_AppendResult(interp,"  DefaultNormalizeOn\n",NULL);
    Tcl_AppendResult(interp,"  DefaultNormalizeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensionsComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensionsComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacingComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacingComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginComponent\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetDataSetType" );
    Tcl_DStringAppendElement ( &dString, "GetDataSetType" );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToPolyData" );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToStructuredPoints" );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToStructuredGrid" );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToRectilinearGrid" );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToUnstructuredGrid" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    Tcl_DStringAppendElement ( &dString, "GetStructuredPointsOutput" );
    Tcl_DStringAppendElement ( &dString, "GetStructuredGridOutput" );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    Tcl_DStringAppendElement ( &dString, "GetRectilinearGridOutput" );
    Tcl_DStringAppendElement ( &dString, "SetPointComponent" );
    Tcl_DStringAppendElement ( &dString, "SetPointComponent" );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentNormailzeFlag" );
    Tcl_DStringAppendElement ( &dString, "SetVertsComponent" );
    Tcl_DStringAppendElement ( &dString, "SetVertsComponent" );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "SetLinesComponent" );
    Tcl_DStringAppendElement ( &dString, "SetLinesComponent" );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "SetPolysComponent" );
    Tcl_DStringAppendElement ( &dString, "SetPolysComponent" );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "SetStripsComponent" );
    Tcl_DStringAppendElement ( &dString, "SetStripsComponent" );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeComponent" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeComponent" );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellConnectivityComponent" );
    Tcl_DStringAppendElement ( &dString, "SetCellConnectivityComponent" );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormalize" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormalize" );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOn" );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOff" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDimensionsComponent" );
    Tcl_DStringAppendElement ( &dString, "SetDimensionsComponent" );
    Tcl_DStringAppendElement ( &dString, "SetSpacingComponent" );
    Tcl_DStringAppendElement ( &dString, "SetSpacingComponent" );
    Tcl_DStringAppendElement ( &dString, "SetOriginComponent" );
    Tcl_DStringAppendElement ( &dString, "SetOriginComponent" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataObjectToDataSetFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get the input to the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSetType */
    if ( strcmp ( argv[2], "SetDataSetType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSetType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSetType */
    Tcl_DStringAppendElement ( &dString, " Control what type of data is generated for output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSetType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDataSetType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSetType */
    if ( strcmp ( argv[2], "GetDataSetType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSetType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSetType */
    Tcl_DStringAppendElement ( &dString, " Control what type of data is generated for output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataSetType();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetDataSetType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSetTypeToPolyData */
    if ( strcmp ( argv[2], "SetDataSetTypeToPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSetTypeToPolyData */
    Tcl_DStringAppendElement ( &dString, " Control what type of data is generated for output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSetTypeToPolyData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDataSetTypeToPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSetTypeToStructuredPoints */
    if ( strcmp ( argv[2], "SetDataSetTypeToStructuredPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToStructuredPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSetTypeToStructuredPoints */
    Tcl_DStringAppendElement ( &dString, " Control what type of data is generated for output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSetTypeToStructuredPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDataSetTypeToStructuredPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSetTypeToStructuredGrid */
    if ( strcmp ( argv[2], "SetDataSetTypeToStructuredGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToStructuredGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSetTypeToStructuredGrid */
    Tcl_DStringAppendElement ( &dString, " Control what type of data is generated for output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSetTypeToStructuredGrid();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDataSetTypeToStructuredGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSetTypeToRectilinearGrid */
    if ( strcmp ( argv[2], "SetDataSetTypeToRectilinearGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToRectilinearGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSetTypeToRectilinearGrid */
    Tcl_DStringAppendElement ( &dString, " Control what type of data is generated for output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSetTypeToRectilinearGrid();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDataSetTypeToRectilinearGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSetTypeToUnstructuredGrid */
    if ( strcmp ( argv[2], "SetDataSetTypeToUnstructuredGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSetTypeToUnstructuredGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSetTypeToUnstructuredGrid */
    Tcl_DStringAppendElement ( &dString, " Control what type of data is generated for output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSetTypeToUnstructuredGrid();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDataSetTypeToUnstructuredGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetOutput(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyDataOutput */
    if ( strcmp ( argv[2], "GetPolyDataOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetPolyDataOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPolyDataOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStructuredPointsOutput */
    if ( strcmp ( argv[2], "GetStructuredPointsOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStructuredPointsOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStructuredPointsOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredPoints *GetStructuredPointsOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetStructuredPointsOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStructuredGridOutput */
    if ( strcmp ( argv[2], "GetStructuredGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStructuredGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStructuredGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid *GetStructuredGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetStructuredGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUnstructuredGridOutput */
    if ( strcmp ( argv[2], "GetUnstructuredGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnstructuredGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid *GetUnstructuredGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetUnstructuredGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRectilinearGridOutput */
    if ( strcmp ( argv[2], "GetRectilinearGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRectilinearGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRectilinearGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGrid *GetRectilinearGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetRectilinearGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointComponent */
    if ( strcmp ( argv[2], "SetPointComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointComponent(int comp, char *arrayName, int arrayComp, int min, int max, int normalize);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetPointComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointComponent */
    if ( strcmp ( argv[2], "SetPointComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointComponent(int comp, char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetPointComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointComponentArrayName */
    if ( strcmp ( argv[2], "GetPointComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPointComponentArrayName(int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPointComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointComponentArrayComponent */
    if ( strcmp ( argv[2], "GetPointComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointComponentArrayComponent(int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPointComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointComponentMinRange */
    if ( strcmp ( argv[2], "GetPointComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointComponentMinRange(int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPointComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointComponentMaxRange */
    if ( strcmp ( argv[2], "GetPointComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointComponentMaxRange(int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPointComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointComponentNormailzeFlag */
    if ( strcmp ( argv[2], "GetPointComponentNormailzeFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointComponentNormailzeFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointComponentNormailzeFlag */
    Tcl_DStringAppendElement ( &dString, " Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGri ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointComponentNormailzeFlag(int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPointComponentNormailzeFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertsComponent */
    if ( strcmp ( argv[2], "SetVertsComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertsComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertsComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertsComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetVertsComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertsComponent */
    if ( strcmp ( argv[2], "SetVertsComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertsComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertsComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertsComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetVertsComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertsComponentArrayName */
    if ( strcmp ( argv[2], "GetVertsComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertsComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVertsComponentArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetVertsComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertsComponentArrayComponent */
    if ( strcmp ( argv[2], "GetVertsComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertsComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVertsComponentArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetVertsComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertsComponentMinRange */
    if ( strcmp ( argv[2], "GetVertsComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertsComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVertsComponentMinRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetVertsComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertsComponentMaxRange */
    if ( strcmp ( argv[2], "GetVertsComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertsComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertsComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVertsComponentMaxRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetVertsComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinesComponent */
    if ( strcmp ( argv[2], "SetLinesComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinesComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinesComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinesComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetLinesComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinesComponent */
    if ( strcmp ( argv[2], "SetLinesComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinesComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinesComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinesComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetLinesComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinesComponentArrayName */
    if ( strcmp ( argv[2], "GetLinesComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinesComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLinesComponentArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetLinesComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinesComponentArrayComponent */
    if ( strcmp ( argv[2], "GetLinesComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinesComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLinesComponentArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetLinesComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinesComponentMinRange */
    if ( strcmp ( argv[2], "GetLinesComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinesComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLinesComponentMinRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetLinesComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinesComponentMaxRange */
    if ( strcmp ( argv[2], "GetLinesComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinesComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinesComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLinesComponentMaxRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetLinesComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolysComponent */
    if ( strcmp ( argv[2], "SetPolysComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolysComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolysComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolysComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetPolysComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolysComponent */
    if ( strcmp ( argv[2], "SetPolysComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolysComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolysComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolysComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetPolysComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolysComponentArrayName */
    if ( strcmp ( argv[2], "GetPolysComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolysComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPolysComponentArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPolysComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolysComponentArrayComponent */
    if ( strcmp ( argv[2], "GetPolysComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolysComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolysComponentArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPolysComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolysComponentMinRange */
    if ( strcmp ( argv[2], "GetPolysComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolysComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolysComponentMinRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPolysComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolysComponentMaxRange */
    if ( strcmp ( argv[2], "GetPolysComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolysComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolysComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolysComponentMaxRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetPolysComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStripsComponent */
    if ( strcmp ( argv[2], "SetStripsComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStripsComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStripsComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStripsComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetStripsComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStripsComponent */
    if ( strcmp ( argv[2], "SetStripsComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStripsComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStripsComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStripsComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetStripsComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStripsComponentArrayName */
    if ( strcmp ( argv[2], "GetStripsComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStripsComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetStripsComponentArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetStripsComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStripsComponentArrayComponent */
    if ( strcmp ( argv[2], "GetStripsComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStripsComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStripsComponentArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetStripsComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStripsComponentMinRange */
    if ( strcmp ( argv[2], "GetStripsComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStripsComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStripsComponentMinRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetStripsComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStripsComponentMaxRange */
    if ( strcmp ( argv[2], "GetStripsComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStripsComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStripsComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStripsComponentMaxRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetStripsComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeComponent */
    if ( strcmp ( argv[2], "SetCellTypeComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetCellTypeComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeComponent */
    if ( strcmp ( argv[2], "SetCellTypeComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetCellTypeComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellTypeComponentArrayName */
    if ( strcmp ( argv[2], "GetCellTypeComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellTypeComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCellTypeComponentArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellTypeComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellTypeComponentArrayComponent */
    if ( strcmp ( argv[2], "GetCellTypeComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellTypeComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellTypeComponentArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellTypeComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellTypeComponentMinRange */
    if ( strcmp ( argv[2], "GetCellTypeComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellTypeComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellTypeComponentMinRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellTypeComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellTypeComponentMaxRange */
    if ( strcmp ( argv[2], "GetCellTypeComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellTypeComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellTypeComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellTypeComponentMaxRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellTypeComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellConnectivityComponent */
    if ( strcmp ( argv[2], "SetCellConnectivityComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellConnectivityComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellConnectivityComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellConnectivityComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetCellConnectivityComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellConnectivityComponent */
    if ( strcmp ( argv[2], "SetCellConnectivityComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellConnectivityComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellConnectivityComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellConnectivityComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetCellConnectivityComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellConnectivityComponentArrayName */
    if ( strcmp ( argv[2], "GetCellConnectivityComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellConnectivityComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCellConnectivityComponentArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellConnectivityComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellConnectivityComponentArrayComponent */
    if ( strcmp ( argv[2], "GetCellConnectivityComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellConnectivityComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellConnectivityComponentArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellConnectivityComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellConnectivityComponentMinRange */
    if ( strcmp ( argv[2], "GetCellConnectivityComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellConnectivityComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellConnectivityComponentMinRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellConnectivityComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellConnectivityComponentMaxRange */
    if ( strcmp ( argv[2], "GetCellConnectivityComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellConnectivityComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellConnectivityComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellConnectivityComponentMaxRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetCellConnectivityComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormalize */
    if ( strcmp ( argv[2], "SetDefaultNormalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormalize */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormalize(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDefaultNormalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultNormalize */
    if ( strcmp ( argv[2], "GetDefaultNormalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultNormalize */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDefaultNormalize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetDefaultNormalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DefaultNormalizeOn */
    if ( strcmp ( argv[2], "DefaultNormalizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DefaultNormalizeOn */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n" );
    Tcl_DStringAppendElement ( &dString, "void DefaultNormalizeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for DefaultNormalizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DefaultNormalizeOff */
    if ( strcmp ( argv[2], "DefaultNormalizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DefaultNormalizeOff */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n" );
    Tcl_DStringAppendElement ( &dString, "void DefaultNormalizeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for DefaultNormalizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensions(int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensions(int a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensions */
    if ( strcmp ( argv[2], "GetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensions */
    Tcl_DStringAppendElement ( &dString, " Specify the dimensions to use if generating a dataset that requires\n dimensions specification (vtkStructuredPoints, vtkStructuredGrid,\n vtkRectilinearGrid).\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Specify the origin to use if generating a dataset whose origin\n can be set (i.e., a vtkStructuredPoints dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpacing */
    if ( strcmp ( argv[2], "SetSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSpacing(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpacing */
    if ( strcmp ( argv[2], "SetSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSpacing(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpacing */
    if ( strcmp ( argv[2], "GetSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpacing */
    Tcl_DStringAppendElement ( &dString, " Specify the spacing to use if generating a dataset whose spacing \n can be set (i.e., a vtkStructuredPoints dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for GetSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensionsComponent */
    if ( strcmp ( argv[2], "SetDimensionsComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensionsComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensionsComponent */
    Tcl_DStringAppendElement ( &dString, " Alternative methods to specify the dimensions, spacing, and origin for those\n datasets requiring this information. You need to specify the name of an array;\n the component of the array, and the range of the array (min,max). These methods\n will override the information given by the previous methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensionsComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDimensionsComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensionsComponent */
    if ( strcmp ( argv[2], "SetDimensionsComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensionsComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensionsComponent */
    Tcl_DStringAppendElement ( &dString, " Alternative methods to specify the dimensions, spacing, and origin for those\n datasets requiring this information. You need to specify the name of an array;\n the component of the array, and the range of the array (min,max). These methods\n will override the information given by the previous methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensionsComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetDimensionsComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpacingComponent */
    if ( strcmp ( argv[2], "SetSpacingComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpacingComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpacingComponent */
    Tcl_DStringAppendElement ( &dString, " Alternative methods to specify the dimensions, spacing, and origin for those\n datasets requiring this information. You need to specify the name of an array;\n the component of the array, and the range of the array (min,max). These methods\n will override the information given by the previous methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpacingComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetSpacingComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpacingComponent */
    if ( strcmp ( argv[2], "SetSpacingComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpacingComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpacingComponent */
    Tcl_DStringAppendElement ( &dString, " Alternative methods to specify the dimensions, spacing, and origin for those\n datasets requiring this information. You need to specify the name of an array;\n the component of the array, and the range of the array (min,max). These methods\n will override the information given by the previous methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpacingComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetSpacingComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginComponent */
    if ( strcmp ( argv[2], "SetOriginComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginComponent */
    Tcl_DStringAppendElement ( &dString, " Alternative methods to specify the dimensions, spacing, and origin for those\n datasets requiring this information. You need to specify the name of an array;\n the component of the array, and the range of the array (min,max). These methods\n will override the information given by the previous methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginComponent(char *arrayName, int arrayComp, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetOriginComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginComponent */
    if ( strcmp ( argv[2], "SetOriginComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginComponent */
    Tcl_DStringAppendElement ( &dString, " Alternative methods to specify the dimensions, spacing, and origin for those\n datasets requiring this information. You need to specify the name of an array;\n the component of the array, and the range of the array (min,max). These methods\n will override the information given by the previous methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginComponent(char *arrayName, int arrayComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectToDataSetFilter" );
    /* Closing for SetOriginComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
