// tcl wrapper for vtkDataSetToDataObjectFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetToDataObjectFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataSetToDataObjectFilterNewCommand()
{
  vtkDataSetToDataObjectFilter *temp = vtkDataSetToDataObjectFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetToDataObjectFilterCppCommand(vtkDataSetToDataObjectFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataSetToDataObjectFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataSetToDataObjectFilterCppCommand(static_cast<vtkDataSetToDataObjectFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetToDataObjectFilterCppCommand(vtkDataSetToDataObjectFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataSetToDataObjectFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataSetToDataObjectFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetToDataObjectFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataSetToDataObjectFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetToDataObjectFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataSetToDataObjectFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetToDataObjectFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeometryOn",argv[1]))&&(argc == 2))
    {
    op->GeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeometryOff",argv[1]))&&(argc == 2))
    {
    op->GeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTopology",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTopology(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTopology",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTopology();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TopologyOn",argv[1]))&&(argc == 2))
    {
    op->TopologyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TopologyOff",argv[1]))&&(argc == 2))
    {
    op->TopologyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FieldDataOn",argv[1]))&&(argc == 2))
    {
    op->FieldDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FieldDataOff",argv[1]))&&(argc == 2))
    {
    op->FieldDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointDataOn",argv[1]))&&(argc == 2))
    {
    op->PointDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointDataOff",argv[1]))&&(argc == 2))
    {
    op->PointDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCellData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CellDataOn",argv[1]))&&(argc == 2))
    {
    op->CellDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CellDataOff",argv[1]))&&(argc == 2))
    {
    op->CellDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataSetToDataObjectFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetToDataObjectFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometry\n",NULL);
    Tcl_AppendResult(interp,"  GeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  GeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTopology\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTopology\n",NULL);
    Tcl_AppendResult(interp,"  TopologyOn\n",NULL);
    Tcl_AppendResult(interp,"  TopologyOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldData\n",NULL);
    Tcl_AppendResult(interp,"  FieldDataOn\n",NULL);
    Tcl_AppendResult(interp,"  FieldDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointData\n",NULL);
    Tcl_AppendResult(interp,"  PointDataOn\n",NULL);
    Tcl_AppendResult(interp,"  PointDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCellData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellData\n",NULL);
    Tcl_AppendResult(interp,"  CellDataOn\n",NULL);
    Tcl_AppendResult(interp,"  CellDataOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetGeometry" );
    Tcl_DStringAppendElement ( &dString, "GeometryOn" );
    Tcl_DStringAppendElement ( &dString, "GeometryOff" );
    Tcl_DStringAppendElement ( &dString, "SetTopology" );
    Tcl_DStringAppendElement ( &dString, "GetTopology" );
    Tcl_DStringAppendElement ( &dString, "TopologyOn" );
    Tcl_DStringAppendElement ( &dString, "TopologyOff" );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetFieldData" );
    Tcl_DStringAppendElement ( &dString, "FieldDataOn" );
    Tcl_DStringAppendElement ( &dString, "FieldDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetPointData" );
    Tcl_DStringAppendElement ( &dString, "GetPointData" );
    Tcl_DStringAppendElement ( &dString, "PointDataOn" );
    Tcl_DStringAppendElement ( &dString, "PointDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetCellData" );
    Tcl_DStringAppendElement ( &dString, "GetCellData" );
    Tcl_DStringAppendElement ( &dString, "CellDataOn" );
    Tcl_DStringAppendElement ( &dString, "CellDataOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object to transform all data into a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetToDataObjectFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometry */
    if ( strcmp ( argv[2], "SetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometry */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset geometry to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometry(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for SetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometry */
    if ( strcmp ( argv[2], "GetGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometry */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset geometry to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GetGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeometryOn */
    if ( strcmp ( argv[2], "GeometryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeometryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeometryOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset geometry to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeometryOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GeometryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeometryOff */
    if ( strcmp ( argv[2], "GeometryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeometryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeometryOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset geometry to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeometryOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GeometryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTopology */
    if ( strcmp ( argv[2], "SetTopology" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTopology" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTopology */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset topology to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTopology(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for SetTopology */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopology */
    if ( strcmp ( argv[2], "GetTopology" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopology" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopology */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset topology to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTopology();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GetTopology */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TopologyOn */
    if ( strcmp ( argv[2], "TopologyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TopologyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TopologyOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset topology to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void TopologyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for TopologyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TopologyOff */
    if ( strcmp ( argv[2], "TopologyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TopologyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TopologyOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset topology to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void TopologyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for TopologyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldData */
    if ( strcmp ( argv[2], "SetFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset field data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for SetFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldData */
    if ( strcmp ( argv[2], "GetFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset field data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GetFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FieldDataOn */
    if ( strcmp ( argv[2], "FieldDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FieldDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FieldDataOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset field data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void FieldDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for FieldDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FieldDataOff */
    if ( strcmp ( argv[2], "FieldDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FieldDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FieldDataOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset field data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void FieldDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for FieldDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointData */
    if ( strcmp ( argv[2], "SetPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset point data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for SetPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointData */
    if ( strcmp ( argv[2], "GetPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset point data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GetPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointDataOn */
    if ( strcmp ( argv[2], "PointDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointDataOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset point data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for PointDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointDataOff */
    if ( strcmp ( argv[2], "PointDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointDataOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset point data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for PointDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellData */
    if ( strcmp ( argv[2], "SetCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset cell data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for SetCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellData */
    if ( strcmp ( argv[2], "GetCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset cell data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for GetCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CellDataOn */
    if ( strcmp ( argv[2], "CellDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CellDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CellDataOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset cell data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void CellDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for CellDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CellDataOff */
    if ( strcmp ( argv[2], "CellDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CellDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CellDataOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the conversion of dataset cell data to a data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void CellDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetToDataObjectFilter" );
    /* Closing for CellDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
