// tcl wrapper for vtkDicer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDicer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDicerCppCommand(vtkDicer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDicerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDicerCppCommand(static_cast<vtkDicer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDicerCppCommand(vtkDicer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDicer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDicer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDicer");
    return TCL_OK;
    }
  if ((!strcmp("SetFieldData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FieldDataOn",argv[1]))&&(argc == 2))
    {
    op->FieldDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FieldDataOff",argv[1]))&&(argc == 2))
    {
    op->FieldDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDiceMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDiceMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiceModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDiceModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiceModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDiceModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiceMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDiceMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiceModeToNumberOfPointsPerPiece",argv[1]))&&(argc == 2))
    {
    op->SetDiceModeToNumberOfPointsPerPiece();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDiceModeToSpecifiedNumberOfPieces",argv[1]))&&(argc == 2))
    {
    op->SetDiceModeToSpecifiedNumberOfPieces();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDiceModeToMemoryLimitPerPiece",argv[1]))&&(argc == 2))
    {
    op->SetDiceModeToMemoryLimitPerPiece();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfActualPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfActualPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPointsPerPiece",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPointsPerPiece(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPointsPerPieceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointsPerPieceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPointsPerPieceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointsPerPieceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPointsPerPiece",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointsPerPiece();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPiecesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPiecesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPiecesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPiecesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMemoryLimit",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetMemoryLimit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMemoryLimitMinValue",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMemoryLimitMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMemoryLimitMaxValue",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMemoryLimitMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMemoryLimit",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMemoryLimit();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDicerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDicer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldData\n",NULL);
    Tcl_AppendResult(interp,"  FieldDataOn\n",NULL);
    Tcl_AppendResult(interp,"  FieldDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDiceMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiceModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiceModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiceMode\n",NULL);
    Tcl_AppendResult(interp,"  SetDiceModeToNumberOfPointsPerPiece\n",NULL);
    Tcl_AppendResult(interp,"  SetDiceModeToSpecifiedNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  SetDiceModeToMemoryLimitPerPiece\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfActualPieces\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPointsPerPiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointsPerPieceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointsPerPieceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointsPerPiece\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPiecesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPiecesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  SetMemoryLimit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMemoryLimitMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMemoryLimitMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMemoryLimit\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetFieldData" );
    Tcl_DStringAppendElement ( &dString, "FieldDataOn" );
    Tcl_DStringAppendElement ( &dString, "FieldDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetDiceMode" );
    Tcl_DStringAppendElement ( &dString, "GetDiceModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiceModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiceMode" );
    Tcl_DStringAppendElement ( &dString, "SetDiceModeToNumberOfPointsPerPiece" );
    Tcl_DStringAppendElement ( &dString, "SetDiceModeToSpecifiedNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetDiceModeToMemoryLimitPerPiece" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfActualPieces" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPointsPerPiece" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsPerPieceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsPerPieceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsPerPiece" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPiecesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPiecesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetMemoryLimit" );
    Tcl_DStringAppendElement ( &dString, "GetMemoryLimitMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMemoryLimitMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMemoryLimit" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldData */
    if ( strcmp ( argv[2], "SetFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldData */
    if ( strcmp ( argv[2], "GetFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FieldDataOn */
    if ( strcmp ( argv[2], "FieldDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FieldDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FieldDataOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n" );
    Tcl_DStringAppendElement ( &dString, "void FieldDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for FieldDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FieldDataOff */
    if ( strcmp ( argv[2], "FieldDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FieldDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FieldDataOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n" );
    Tcl_DStringAppendElement ( &dString, "void FieldDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for FieldDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiceMode */
    if ( strcmp ( argv[2], "SetDiceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiceMode */
    Tcl_DStringAppendElement ( &dString, " Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiceMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetDiceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiceModeMinValue */
    if ( strcmp ( argv[2], "GetDiceModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiceModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiceModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDiceModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetDiceModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiceModeMaxValue */
    if ( strcmp ( argv[2], "GetDiceModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiceModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiceModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDiceModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetDiceModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiceMode */
    if ( strcmp ( argv[2], "GetDiceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiceMode */
    Tcl_DStringAppendElement ( &dString, " Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDiceMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetDiceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiceModeToNumberOfPointsPerPiece */
    if ( strcmp ( argv[2], "SetDiceModeToNumberOfPointsPerPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiceModeToNumberOfPointsPerPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiceModeToNumberOfPointsPerPiece */
    Tcl_DStringAppendElement ( &dString, " Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiceModeToNumberOfPointsPerPiece();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetDiceModeToNumberOfPointsPerPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiceModeToSpecifiedNumberOfPieces */
    if ( strcmp ( argv[2], "SetDiceModeToSpecifiedNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiceModeToSpecifiedNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiceModeToSpecifiedNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiceModeToSpecifiedNumberOfPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetDiceModeToSpecifiedNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiceModeToMemoryLimitPerPiece */
    if ( strcmp ( argv[2], "SetDiceModeToMemoryLimitPerPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiceModeToMemoryLimitPerPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiceModeToMemoryLimitPerPiece */
    Tcl_DStringAppendElement ( &dString, " Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiceModeToMemoryLimitPerPiece();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetDiceModeToMemoryLimitPerPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfActualPieces */
    if ( strcmp ( argv[2], "GetNumberOfActualPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfActualPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfActualPieces */
    Tcl_DStringAppendElement ( &dString, " Use the following method after the filter has updated to\n determine the actual number of pieces the data was separated\n into.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfActualPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetNumberOfActualPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfPointsPerPiece */
    if ( strcmp ( argv[2], "SetNumberOfPointsPerPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPointsPerPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPointsPerPiece */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfPointsPerPiece(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetNumberOfPointsPerPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointsPerPieceMinValue */
    if ( strcmp ( argv[2], "GetNumberOfPointsPerPieceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsPerPieceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointsPerPieceMinValue */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointsPerPieceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetNumberOfPointsPerPieceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointsPerPieceMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfPointsPerPieceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsPerPieceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointsPerPieceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointsPerPieceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetNumberOfPointsPerPieceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointsPerPiece */
    if ( strcmp ( argv[2], "GetNumberOfPointsPerPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsPerPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointsPerPiece */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointsPerPiece();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetNumberOfPointsPerPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfPieces */
    if ( strcmp ( argv[2], "SetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfPieces(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPiecesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfPiecesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPiecesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPiecesMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPiecesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetNumberOfPiecesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPiecesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfPiecesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPiecesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPiecesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPiecesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetNumberOfPiecesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPieces */
    if ( strcmp ( argv[2], "GetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMemoryLimit */
    if ( strcmp ( argv[2], "SetMemoryLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMemoryLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMemoryLimit */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMemoryLimit(unsigned long);" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for SetMemoryLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMemoryLimitMinValue */
    if ( strcmp ( argv[2], "GetMemoryLimitMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMemoryLimitMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMemoryLimitMinValue */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMemoryLimitMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetMemoryLimitMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMemoryLimitMaxValue */
    if ( strcmp ( argv[2], "GetMemoryLimitMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMemoryLimitMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMemoryLimitMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMemoryLimitMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetMemoryLimitMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMemoryLimit */
    if ( strcmp ( argv[2], "GetMemoryLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMemoryLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMemoryLimit */
    Tcl_DStringAppendElement ( &dString, " Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMemoryLimit();" );
    Tcl_DStringAppendElement ( &dString, "vtkDicer" );
    /* Closing for GetMemoryLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
