// tcl wrapper for vtkDiskSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDiskSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDiskSourceNewCommand()
{
  vtkDiskSource *temp = vtkDiskSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDiskSourceCppCommand(vtkDiskSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDiskSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDiskSourceCppCommand(static_cast<vtkDiskSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDiskSourceCppCommand(vtkDiskSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDiskSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDiskSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiskSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDiskSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiskSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDiskSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiskSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInnerRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInnerRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInnerRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInnerRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInnerRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInnerRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInnerRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInnerRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOuterRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOuterRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOuterRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOuterRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOuterRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOuterRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOuterRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOuterRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadialResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRadialResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadialResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRadialResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadialResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRadialResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadialResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRadialResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCircumferentialResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCircumferentialResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCircumferentialResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCircumferentialResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCircumferentialResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCircumferentialResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCircumferentialResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCircumferentialResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDiskSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDiskSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInnerRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInnerRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInnerRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInnerRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetOuterRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOuterRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOuterRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOuterRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetRadialResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetCircumferentialResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCircumferentialResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCircumferentialResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCircumferentialResolution\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInnerRadius" );
    Tcl_DStringAppendElement ( &dString, "GetInnerRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInnerRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInnerRadius" );
    Tcl_DStringAppendElement ( &dString, "SetOuterRadius" );
    Tcl_DStringAppendElement ( &dString, "GetOuterRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOuterRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOuterRadius" );
    Tcl_DStringAppendElement ( &dString, "SetRadialResolution" );
    Tcl_DStringAppendElement ( &dString, "GetRadialResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadialResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadialResolution" );
    Tcl_DStringAppendElement ( &dString, "SetCircumferentialResolution" );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolution" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDiskSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInnerRadius */
    if ( strcmp ( argv[2], "SetInnerRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInnerRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInnerRadius */
    Tcl_DStringAppendElement ( &dString, " Specify inner radius of hole in disc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInnerRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for SetInnerRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInnerRadiusMinValue */
    if ( strcmp ( argv[2], "GetInnerRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInnerRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInnerRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify inner radius of hole in disc.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInnerRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetInnerRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInnerRadiusMaxValue */
    if ( strcmp ( argv[2], "GetInnerRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInnerRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInnerRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify inner radius of hole in disc.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInnerRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetInnerRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInnerRadius */
    if ( strcmp ( argv[2], "GetInnerRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInnerRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInnerRadius */
    Tcl_DStringAppendElement ( &dString, " Specify inner radius of hole in disc.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInnerRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetInnerRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOuterRadius */
    if ( strcmp ( argv[2], "SetOuterRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOuterRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOuterRadius */
    Tcl_DStringAppendElement ( &dString, " Specify outer radius of disc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOuterRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for SetOuterRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOuterRadiusMinValue */
    if ( strcmp ( argv[2], "GetOuterRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOuterRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOuterRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify outer radius of disc.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOuterRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetOuterRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOuterRadiusMaxValue */
    if ( strcmp ( argv[2], "GetOuterRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOuterRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOuterRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify outer radius of disc.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOuterRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetOuterRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOuterRadius */
    if ( strcmp ( argv[2], "GetOuterRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOuterRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOuterRadius */
    Tcl_DStringAppendElement ( &dString, " Specify outer radius of disc.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOuterRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetOuterRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadialResolution */
    if ( strcmp ( argv[2], "SetRadialResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadialResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadialResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in radius direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadialResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for SetRadialResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialResolutionMinValue */
    if ( strcmp ( argv[2], "GetRadialResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in radius direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRadialResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetRadialResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialResolutionMaxValue */
    if ( strcmp ( argv[2], "GetRadialResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in radius direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRadialResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetRadialResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialResolution */
    if ( strcmp ( argv[2], "GetRadialResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in radius direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRadialResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetRadialResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCircumferentialResolution */
    if ( strcmp ( argv[2], "SetCircumferentialResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCircumferentialResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCircumferentialResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCircumferentialResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for SetCircumferentialResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCircumferentialResolutionMinValue */
    if ( strcmp ( argv[2], "GetCircumferentialResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCircumferentialResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCircumferentialResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetCircumferentialResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCircumferentialResolutionMaxValue */
    if ( strcmp ( argv[2], "GetCircumferentialResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCircumferentialResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCircumferentialResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetCircumferentialResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCircumferentialResolution */
    if ( strcmp ( argv[2], "GetCircumferentialResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCircumferentialResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCircumferentialResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiskSource" );
    /* Closing for GetCircumferentialResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
