// tcl wrapper for vtkDistancePolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistancePolyDataFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDistancePolyDataFilterNewCommand()
{
  vtkDistancePolyDataFilter *temp = vtkDistancePolyDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDistancePolyDataFilterCppCommand(vtkDistancePolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDistancePolyDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDistancePolyDataFilterCppCommand(static_cast<vtkDistancePolyDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDistancePolyDataFilterCppCommand(vtkDistancePolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDistancePolyDataFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDistancePolyDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDistancePolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDistancePolyDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDistancePolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDistancePolyDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDistancePolyDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSignedDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSignedDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSignedDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSignedDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SignedDistanceOn",argv[1]))&&(argc == 2))
    {
    op->SignedDistanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SignedDistanceOff",argv[1]))&&(argc == 2))
    {
    op->SignedDistanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNegateDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNegateDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNegateDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNegateDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NegateDistanceOn",argv[1]))&&(argc == 2))
    {
    op->NegateDistanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NegateDistanceOff",argv[1]))&&(argc == 2))
    {
    op->NegateDistanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeSecondDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeSecondDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeSecondDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeSecondDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeSecondDistanceOn",argv[1]))&&(argc == 2))
    {
    op->ComputeSecondDistanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeSecondDistanceOff",argv[1]))&&(argc == 2))
    {
    op->ComputeSecondDistanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSecondDistanceOutput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetSecondDistanceOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDistancePolyDataFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDistancePolyDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSignedDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSignedDistance\n",NULL);
    Tcl_AppendResult(interp,"  SignedDistanceOn\n",NULL);
    Tcl_AppendResult(interp,"  SignedDistanceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNegateDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNegateDistance\n",NULL);
    Tcl_AppendResult(interp,"  NegateDistanceOn\n",NULL);
    Tcl_AppendResult(interp,"  NegateDistanceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeSecondDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeSecondDistance\n",NULL);
    Tcl_AppendResult(interp,"  ComputeSecondDistanceOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeSecondDistanceOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondDistanceOutput\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSignedDistance" );
    Tcl_DStringAppendElement ( &dString, "GetSignedDistance" );
    Tcl_DStringAppendElement ( &dString, "SignedDistanceOn" );
    Tcl_DStringAppendElement ( &dString, "SignedDistanceOff" );
    Tcl_DStringAppendElement ( &dString, "SetNegateDistance" );
    Tcl_DStringAppendElement ( &dString, "GetNegateDistance" );
    Tcl_DStringAppendElement ( &dString, "NegateDistanceOn" );
    Tcl_DStringAppendElement ( &dString, "NegateDistanceOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeSecondDistance" );
    Tcl_DStringAppendElement ( &dString, "GetComputeSecondDistance" );
    Tcl_DStringAppendElement ( &dString, "ComputeSecondDistanceOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeSecondDistanceOff" );
    Tcl_DStringAppendElement ( &dString, "GetSecondDistanceOutput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDistancePolyDataFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSignedDistance */
    if ( strcmp ( argv[2], "SetSignedDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSignedDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSignedDistance */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of the signed distance between\n the first poly data and the second poly data. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSignedDistance(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for SetSignedDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSignedDistance */
    if ( strcmp ( argv[2], "GetSignedDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSignedDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSignedDistance */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of the signed distance between\n the first poly data and the second poly data. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSignedDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for GetSignedDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SignedDistanceOn */
    if ( strcmp ( argv[2], "SignedDistanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SignedDistanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SignedDistanceOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of the signed distance between\n the first poly data and the second poly data. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SignedDistanceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for SignedDistanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SignedDistanceOff */
    if ( strcmp ( argv[2], "SignedDistanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SignedDistanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SignedDistanceOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of the signed distance between\n the first poly data and the second poly data. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SignedDistanceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for SignedDistanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNegateDistance */
    if ( strcmp ( argv[2], "SetNegateDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNegateDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNegateDistance */
    Tcl_DStringAppendElement ( &dString, " Enable/disable negation of the distance values. Defaults to\n off. Has no effect if SignedDistance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNegateDistance(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for SetNegateDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNegateDistance */
    if ( strcmp ( argv[2], "GetNegateDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNegateDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNegateDistance */
    Tcl_DStringAppendElement ( &dString, " Enable/disable negation of the distance values. Defaults to\n off. Has no effect if SignedDistance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNegateDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for GetNegateDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NegateDistanceOn */
    if ( strcmp ( argv[2], "NegateDistanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NegateDistanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NegateDistanceOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable negation of the distance values. Defaults to\n off. Has no effect if SignedDistance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void NegateDistanceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for NegateDistanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NegateDistanceOff */
    if ( strcmp ( argv[2], "NegateDistanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NegateDistanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NegateDistanceOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable negation of the distance values. Defaults to\n off. Has no effect if SignedDistance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void NegateDistanceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for NegateDistanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeSecondDistance */
    if ( strcmp ( argv[2], "SetComputeSecondDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeSecondDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeSecondDistance */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of a second output poly data with the\n distance from the first poly data at each point. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeSecondDistance(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for SetComputeSecondDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeSecondDistance */
    if ( strcmp ( argv[2], "GetComputeSecondDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeSecondDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeSecondDistance */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of a second output poly data with the\n distance from the first poly data at each point. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeSecondDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for GetComputeSecondDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeSecondDistanceOn */
    if ( strcmp ( argv[2], "ComputeSecondDistanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeSecondDistanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeSecondDistanceOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of a second output poly data with the\n distance from the first poly data at each point. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeSecondDistanceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for ComputeSecondDistanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeSecondDistanceOff */
    if ( strcmp ( argv[2], "ComputeSecondDistanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeSecondDistanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeSecondDistanceOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable computation of a second output poly data with the\n distance from the first poly data at each point. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeSecondDistanceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for ComputeSecondDistanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSecondDistanceOutput */
    if ( strcmp ( argv[2], "GetSecondDistanceOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondDistanceOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondDistanceOutput */
    Tcl_DStringAppendElement ( &dString, " Get the second output, which is a copy of the second input with an\n additional distance scalar field.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetSecondDistanceOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistancePolyDataFilter" );
    /* Closing for GetSecondDistanceOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
