// tcl wrapper for vtkEdgeSubdivisionCriterion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEdgeSubdivisionCriterion.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkEdgeSubdivisionCriterionCppCommand(vtkEdgeSubdivisionCriterion *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkEdgeSubdivisionCriterionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkEdgeSubdivisionCriterionCppCommand(static_cast<vtkEdgeSubdivisionCriterion *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkEdgeSubdivisionCriterionCppCommand(vtkEdgeSubdivisionCriterion *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkEdgeSubdivisionCriterion",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkEdgeSubdivisionCriterion  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEdgeSubdivisionCriterion");
    return TCL_OK;
    }
  if ((!strcmp("PassField",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    vtkStreamingTessellator  *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkStreamingTessellator *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkStreamingTessellator"),interp,error));
    if (!error)
    {
    temp20 = (op)->PassField(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetFieldList",argv[1]))&&(argc == 2))
    {
    op->ResetFieldList();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DontPassField",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkStreamingTessellator  *temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkStreamingTessellator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkStreamingTessellator"),interp,error));
    if (!error)
    {
    temp20 = (op)->DontPassField(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputField",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputField(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFields",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFields();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkEdgeSubdivisionCriterionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkEdgeSubdivisionCriterion:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  PassField\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetFieldList\n",NULL);
    Tcl_AppendResult(interp,"  DontPassField\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFields\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "PassField" );
    Tcl_DStringAppendElement ( &dString, "ResetFieldList" );
    Tcl_DStringAppendElement ( &dString, "DontPassField" );
    Tcl_DStringAppendElement ( &dString, "GetOutputField" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFields" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassField */
    if ( strcmp ( argv[2], "PassField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassField */
    Tcl_DStringAppendElement ( &dString, " This is a helper routine called by \\p PassFields() which\n you may also call directly; it adds \\a sourceSize to the size of\n the output vertex field values. The offset of the \\a sourceId\n field in the output vertex array is returned.\n -1 is returned if \\a sourceSize would force the output to have more\n than \\a vtkStreamingTessellator::MaxFieldSize field values per vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int PassField(int sourceId, int sourceSize, vtkStreamingTessellator *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for PassField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetFieldList */
    if ( strcmp ( argv[2], "ResetFieldList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetFieldList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetFieldList */
    Tcl_DStringAppendElement ( &dString, " Don't pass any field values in the vertex pointer.\n This is used to reset the list of fields to pass after a\n successful run of vtkStreamingTessellator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetFieldList();" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for ResetFieldList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DontPassField */
    if ( strcmp ( argv[2], "DontPassField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DontPassField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DontPassField */
    Tcl_DStringAppendElement ( &dString, " This does the opposite of \\p PassField(); it removes a field from\n the output (assuming the field was set to be passed).\n Returns true if any action was taken, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DontPassField(int sourceId, vtkStreamingTessellator *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for DontPassField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputField */
    if ( strcmp ( argv[2], "GetOutputField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputField */
    Tcl_DStringAppendElement ( &dString, " Return the output ID of an input field.\n Returns -1 if \\a fieldId is not set to be passed to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputField(int fieldId) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for GetOutputField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFields */
    if ( strcmp ( argv[2], "GetNumberOfFields" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFields" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFields */
    Tcl_DStringAppendElement ( &dString, " Return the number of fields being evaluated at each output vertex.\n This is the length of the arrays returned by \\p GetFieldIds() and\n \\p GetFieldOffsets().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFields() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    /* Closing for GetNumberOfFields */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
