// tcl wrapper for vtkExtractBlock object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractBlock.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExtractBlockNewCommand()
{
  vtkExtractBlock *temp = vtkExtractBlock::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractBlockCppCommand(vtkExtractBlock *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExtractBlockCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExtractBlockCppCommand(static_cast<vtkExtractBlock *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractBlockCppCommand(vtkExtractBlock *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExtractBlock",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExtractBlock  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractBlock");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExtractBlock  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractBlock");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExtractBlock  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractBlock");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIndex",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->AddIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveIndex",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->RemoveIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllIndices",argv[1]))&&(argc == 2))
    {
    op->RemoveAllIndices();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPruneOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPruneOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPruneOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPruneOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PruneOutputOn",argv[1]))&&(argc == 2))
    {
    op->PruneOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PruneOutputOff",argv[1]))&&(argc == 2))
    {
    op->PruneOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaintainStructure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaintainStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaintainStructure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaintainStructure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MaintainStructureOn",argv[1]))&&(argc == 2))
    {
    op->MaintainStructureOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaintainStructureOff",argv[1]))&&(argc == 2))
    {
    op->MaintainStructureOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExtractBlockCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractBlock:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllIndices\n",NULL);
    Tcl_AppendResult(interp,"  SetPruneOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPruneOutput\n",NULL);
    Tcl_AppendResult(interp,"  PruneOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  PruneOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaintainStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaintainStructure\n",NULL);
    Tcl_AppendResult(interp,"  MaintainStructureOn\n",NULL);
    Tcl_AppendResult(interp,"  MaintainStructureOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "AddIndex" );
    Tcl_DStringAppendElement ( &dString, "RemoveIndex" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllIndices" );
    Tcl_DStringAppendElement ( &dString, "SetPruneOutput" );
    Tcl_DStringAppendElement ( &dString, "GetPruneOutput" );
    Tcl_DStringAppendElement ( &dString, "PruneOutputOn" );
    Tcl_DStringAppendElement ( &dString, "PruneOutputOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaintainStructure" );
    Tcl_DStringAppendElement ( &dString, "GetMaintainStructure" );
    Tcl_DStringAppendElement ( &dString, "MaintainStructureOn" );
    Tcl_DStringAppendElement ( &dString, "MaintainStructureOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractBlock *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIndex */
    if ( strcmp ( argv[2], "AddIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIndex */
    Tcl_DStringAppendElement ( &dString, " Select the block indices to extract. \n Each node in the multi-block tree is identified by an \\c index. The index can\n be obtained by performing a preorder traversal of the tree (including empty \n nodes). eg. A(B (D, E), C(F, G)). \n Inorder traversal yields: A, B, D, E, C, F, G\n Index of A is 0, while index of C is 4.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddIndex(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for AddIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveIndex */
    if ( strcmp ( argv[2], "RemoveIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveIndex */
    Tcl_DStringAppendElement ( &dString, " Select the block indices to extract. \n Each node in the multi-block tree is identified by an \\c index. The index can\n be obtained by performing a preorder traversal of the tree (including empty \n nodes). eg. A(B (D, E), C(F, G)). \n Inorder traversal yields: A, B, D, E, C, F, G\n Index of A is 0, while index of C is 4.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveIndex(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for RemoveIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllIndices */
    if ( strcmp ( argv[2], "RemoveAllIndices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllIndices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllIndices */
    Tcl_DStringAppendElement ( &dString, " Select the block indices to extract. \n Each node in the multi-block tree is identified by an \\c index. The index can\n be obtained by performing a preorder traversal of the tree (including empty \n nodes). eg. A(B (D, E), C(F, G)). \n Inorder traversal yields: A, B, D, E, C, F, G\n Index of A is 0, while index of C is 4.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllIndices();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for RemoveAllIndices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPruneOutput */
    if ( strcmp ( argv[2], "SetPruneOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPruneOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPruneOutput */
    Tcl_DStringAppendElement ( &dString, " When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPruneOutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for SetPruneOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPruneOutput */
    if ( strcmp ( argv[2], "GetPruneOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPruneOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPruneOutput */
    Tcl_DStringAppendElement ( &dString, " When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPruneOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for GetPruneOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PruneOutputOn */
    if ( strcmp ( argv[2], "PruneOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PruneOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PruneOutputOn */
    Tcl_DStringAppendElement ( &dString, " When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PruneOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for PruneOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PruneOutputOff */
    if ( strcmp ( argv[2], "PruneOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PruneOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PruneOutputOff */
    Tcl_DStringAppendElement ( &dString, " When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PruneOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for PruneOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaintainStructure */
    if ( strcmp ( argv[2], "SetMaintainStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaintainStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaintainStructure */
    Tcl_DStringAppendElement ( &dString, " This is used only when PruneOutput is ON. By default, when pruning the\n output i.e. remove empty blocks, if node has only 1 non-null child block,\n then that node is removed. To preserve these parent nodes, set this flag to\n true. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaintainStructure(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for SetMaintainStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaintainStructure */
    if ( strcmp ( argv[2], "GetMaintainStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaintainStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaintainStructure */
    Tcl_DStringAppendElement ( &dString, " This is used only when PruneOutput is ON. By default, when pruning the\n output i.e. remove empty blocks, if node has only 1 non-null child block,\n then that node is removed. To preserve these parent nodes, set this flag to\n true. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaintainStructure();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for GetMaintainStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaintainStructureOn */
    if ( strcmp ( argv[2], "MaintainStructureOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaintainStructureOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaintainStructureOn */
    Tcl_DStringAppendElement ( &dString, " This is used only when PruneOutput is ON. By default, when pruning the\n output i.e. remove empty blocks, if node has only 1 non-null child block,\n then that node is removed. To preserve these parent nodes, set this flag to\n true. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaintainStructureOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for MaintainStructureOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaintainStructureOff */
    if ( strcmp ( argv[2], "MaintainStructureOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaintainStructureOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaintainStructureOff */
    Tcl_DStringAppendElement ( &dString, " This is used only when PruneOutput is ON. By default, when pruning the\n output i.e. remove empty blocks, if node has only 1 non-null child block,\n then that node is removed. To preserve these parent nodes, set this flag to\n true. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaintainStructureOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractBlock" );
    /* Closing for MaintainStructureOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
