// tcl wrapper for vtkFrustumSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFrustumSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFrustumSourceNewCommand()
{
  vtkFrustumSource *temp = vtkFrustumSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFrustumSourceCppCommand(vtkFrustumSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFrustumSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFrustumSourceCppCommand(static_cast<vtkFrustumSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFrustumSourceCppCommand(vtkFrustumSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFrustumSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFrustumSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrustumSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFrustumSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrustumSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFrustumSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrustumSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlanes",argv[1]))&&(argc == 2))
    {
    vtkPlanes  *temp20;
    temp20 = (op)->GetPlanes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlanes");
    return TCL_OK;
    }
  if ((!strcmp("SetPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlanes  *temp0;
    error = 0;

    temp0 = (vtkPlanes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlanes"),interp,error));
    if (!error)
    {
    op->SetPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowLines",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetShowLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShowLines",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetShowLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowLinesOn",argv[1]))&&(argc == 2))
    {
    op->ShowLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowLinesOff",argv[1]))&&(argc == 2))
    {
    op->ShowLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLinesLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLinesLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLinesLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLinesLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFrustumSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFrustumSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlanes\n",NULL);
    Tcl_AppendResult(interp,"  SetPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowLines\n",NULL);
    Tcl_AppendResult(interp,"  SetShowLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShowLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowLinesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesLength\n",NULL);
    Tcl_AppendResult(interp,"  SetLinesLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetShowLines" );
    Tcl_DStringAppendElement ( &dString, "SetShowLines" );
    Tcl_DStringAppendElement ( &dString, "ShowLinesOn" );
    Tcl_DStringAppendElement ( &dString, "ShowLinesOff" );
    Tcl_DStringAppendElement ( &dString, "GetLinesLength" );
    Tcl_DStringAppendElement ( &dString, "SetLinesLength" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFrustumSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlanes */
    if ( strcmp ( argv[2], "GetPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlanes */
    Tcl_DStringAppendElement ( &dString, " Return the 6 planes defining the frustum. Initial value is NULL.\n The 6 planes are defined in this order: left,right,bottom,top,far,near.\n If Planes==NULL or if Planes->GetNumberOfPlanes()!=6 when RequestData()\n is called, an error message will be emitted and RequestData() will\n return right away.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanes *GetPlanes();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for GetPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlanes */
    if ( strcmp ( argv[2], "SetPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlanes" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlanes */
    Tcl_DStringAppendElement ( &dString, " Set the 6 planes defining the frustum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlanes(vtkPlanes *planes);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for SetPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowLines */
    if ( strcmp ( argv[2], "GetShowLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowLines */
    Tcl_DStringAppendElement ( &dString, " Tells if some extra lines will be generated. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetShowLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for GetShowLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowLines */
    if ( strcmp ( argv[2], "SetShowLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowLines */
    Tcl_DStringAppendElement ( &dString, " Tells if some extra lines will be generated. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowLines(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for SetShowLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowLinesOn */
    if ( strcmp ( argv[2], "ShowLinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowLinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowLinesOn */
    Tcl_DStringAppendElement ( &dString, " Tells if some extra lines will be generated. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowLinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for ShowLinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowLinesOff */
    if ( strcmp ( argv[2], "ShowLinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowLinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowLinesOff */
    Tcl_DStringAppendElement ( &dString, " Tells if some extra lines will be generated. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowLinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for ShowLinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinesLength */
    if ( strcmp ( argv[2], "GetLinesLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinesLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinesLength */
    Tcl_DStringAppendElement ( &dString, " Length of the extra lines. This a stricly positive value.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLinesLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for GetLinesLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinesLength */
    if ( strcmp ( argv[2], "SetLinesLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinesLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinesLength */
    Tcl_DStringAppendElement ( &dString, " Length of the extra lines. This a stricly positive value.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinesLength(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for SetLinesLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Modified GetMTime because of Planes.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumSource" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
