// tcl wrapper for vtkGlyph3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlyph3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGlyph3DNewCommand()
{
  vtkGlyph3D *temp = vtkGlyph3D::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGlyph3DCppCommand(vtkGlyph3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGlyph3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGlyph3DCppCommand(static_cast<vtkGlyph3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGlyph3DCppCommand(vtkGlyph3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGlyph3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGlyph3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyph3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGlyph3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyph3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGlyph3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyph3D");
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetSource(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPolyData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSource(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ScalingOn",argv[1]))&&(argc == 2))
    {
    op->ScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOff",argv[1]))&&(argc == 2))
    {
    op->ScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScaling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaleMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByScalar",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByVector",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByVectorComponents",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByVectorComponents();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToDataScalingOff",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToDataScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScaleModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScaleModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToColorByScale",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToColorByScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToColorByScalar",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToColorByScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToColorByVector",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToColorByVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetColorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrient",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OrientOn",argv[1]))&&(argc == 2))
    {
    op->OrientOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OrientOff",argv[1]))&&(argc == 2))
    {
    op->OrientOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOrient",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrient();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClamping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClamping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClampingOn",argv[1]))&&(argc == 2))
    {
    op->ClampingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOff",argv[1]))&&(argc == 2))
    {
    op->ClampingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetClamping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClamping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToUseVector",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToUseVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToUseNormal",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToUseNormal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToVectorRotationOff",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToVectorRotationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVectorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIndexMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndexMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndexMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndexMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIndexModeToScalar",argv[1]))&&(argc == 2))
    {
    op->SetIndexModeToScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIndexModeToVector",argv[1]))&&(argc == 2))
    {
    op->SetIndexModeToVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIndexModeToOff",argv[1]))&&(argc == 2))
    {
    op->SetIndexModeToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetIndexModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetIndexModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointIdsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointIdsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointIdsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPointIdsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointIdsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPointIdsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFillCellData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFillCellData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFillCellData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFillCellData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FillCellDataOn",argv[1]))&&(argc == 2))
    {
    op->FillCellDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FillCellDataOff",argv[1]))&&(argc == 2))
    {
    op->FillCellDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsPointVisible",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->IsPointVisible(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
    {
    op->SetSourceTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceTransform",argv[1]))&&(argc == 2))
    {
    vtkTransform  *temp20;
    temp20 = (op)->GetSourceTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGlyph3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGlyph3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetScaling\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByScalar\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByVector\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByVectorComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToDataScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToColorByScale\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToColorByScalar\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToColorByVector\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetOrient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OrientOn\n",NULL);
    Tcl_AppendResult(interp,"  OrientOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOrient\n",NULL);
    Tcl_AppendResult(interp,"  SetClamping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetClamping\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToUseVector\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToUseNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToVectorRotationOff\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexMode\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexModeToScalar\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexModeToVector\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexModeToOff\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointIds\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointIdsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIdsName\n",NULL);
    Tcl_AppendResult(interp,"  SetFillCellData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFillCellData\n",NULL);
    Tcl_AppendResult(interp,"  FillCellDataOn\n",NULL);
    Tcl_AppendResult(interp,"  FillCellDataOff\n",NULL);
    Tcl_AppendResult(interp,"  IsPointVisible\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceTransform\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    Tcl_DStringAppendElement ( &dString, "SetScaleMode" );
    Tcl_DStringAppendElement ( &dString, "GetScaleMode" );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByScalar" );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByVector" );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByVectorComponents" );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToDataScalingOff" );
    Tcl_DStringAppendElement ( &dString, "GetScaleModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToColorByScale" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToColorByScalar" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToColorByVector" );
    Tcl_DStringAppendElement ( &dString, "GetColorModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "SetOrient" );
    Tcl_DStringAppendElement ( &dString, "OrientOn" );
    Tcl_DStringAppendElement ( &dString, "OrientOff" );
    Tcl_DStringAppendElement ( &dString, "GetOrient" );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    Tcl_DStringAppendElement ( &dString, "SetVectorMode" );
    Tcl_DStringAppendElement ( &dString, "GetVectorMode" );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToUseVector" );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToUseNormal" );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToVectorRotationOff" );
    Tcl_DStringAppendElement ( &dString, "GetVectorModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetIndexMode" );
    Tcl_DStringAppendElement ( &dString, "GetIndexMode" );
    Tcl_DStringAppendElement ( &dString, "SetIndexModeToScalar" );
    Tcl_DStringAppendElement ( &dString, "SetIndexModeToVector" );
    Tcl_DStringAppendElement ( &dString, "SetIndexModeToOff" );
    Tcl_DStringAppendElement ( &dString, "GetIndexModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointIds" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointIds" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointIdsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPointIdsName" );
    Tcl_DStringAppendElement ( &dString, "GetPointIdsName" );
    Tcl_DStringAppendElement ( &dString, "SetFillCellData" );
    Tcl_DStringAppendElement ( &dString, "GetFillCellData" );
    Tcl_DStringAppendElement ( &dString, "FillCellDataOn" );
    Tcl_DStringAppendElement ( &dString, "FillCellDataOff" );
    Tcl_DStringAppendElement ( &dString, "IsPointVisible" );
    Tcl_DStringAppendElement ( &dString, "SetSourceTransform" );
    Tcl_DStringAppendElement ( &dString, "GetSourceTransform" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGlyph3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Set the source to use for he glyph. Old style. See SetSourceConnection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify a source object at a specified table location.\n Old style. See SetSourceConnection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(int id, vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify a source object at a specified table location. New style.\n Source connection is stored in port 1. This method is equivalent\n to SetInputConnection(1, id, outputPort).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(int id, vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify a source object at a specified table location. New style.\n Source connection is stored in port 1. This method is equivalent\n to SetInputConnection(1, id, outputPort).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Get a pointer to a source object at a specified table location.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetSource(int id=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaling */
    if ( strcmp ( argv[2], "SetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaling(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOn */
    if ( strcmp ( argv[2], "ScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for ScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOff */
    if ( strcmp ( argv[2], "ScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for ScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaling */
    if ( strcmp ( argv[2], "GetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleMode */
    if ( strcmp ( argv[2], "SetScaleMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleMode */
    Tcl_DStringAppendElement ( &dString, " Either scale by scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetScaleMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleMode */
    if ( strcmp ( argv[2], "GetScaleMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleMode */
    Tcl_DStringAppendElement ( &dString, " Either scale by scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaleMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetScaleMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleModeToScaleByScalar */
    if ( strcmp ( argv[2], "SetScaleModeToScaleByScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleModeToScaleByScalar */
    Tcl_DStringAppendElement ( &dString, " Either scale by scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleModeToScaleByScalar();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetScaleModeToScaleByScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleModeToScaleByVector */
    if ( strcmp ( argv[2], "SetScaleModeToScaleByVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleModeToScaleByVector */
    Tcl_DStringAppendElement ( &dString, " Either scale by scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleModeToScaleByVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetScaleModeToScaleByVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleModeToScaleByVectorComponents */
    if ( strcmp ( argv[2], "SetScaleModeToScaleByVectorComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByVectorComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleModeToScaleByVectorComponents */
    Tcl_DStringAppendElement ( &dString, " Either scale by scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleModeToScaleByVectorComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetScaleModeToScaleByVectorComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleModeToDataScalingOff */
    if ( strcmp ( argv[2], "SetScaleModeToDataScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToDataScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleModeToDataScalingOff */
    Tcl_DStringAppendElement ( &dString, " Either scale by scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleModeToDataScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetScaleModeToDataScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleModeAsString */
    if ( strcmp ( argv[2], "GetScaleModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleModeAsString */
    Tcl_DStringAppendElement ( &dString, " Either scale by scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScaleModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetScaleModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " Either color by scale, scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " Either color by scale, scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToColorByScale */
    if ( strcmp ( argv[2], "SetColorModeToColorByScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToColorByScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToColorByScale */
    Tcl_DStringAppendElement ( &dString, " Either color by scale, scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToColorByScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetColorModeToColorByScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToColorByScalar */
    if ( strcmp ( argv[2], "SetColorModeToColorByScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToColorByScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToColorByScalar */
    Tcl_DStringAppendElement ( &dString, " Either color by scale, scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToColorByScalar();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetColorModeToColorByScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToColorByVector */
    if ( strcmp ( argv[2], "SetColorModeToColorByVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToColorByVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToColorByVector */
    Tcl_DStringAppendElement ( &dString, " Either color by scale, scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToColorByVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetColorModeToColorByVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorModeAsString */
    if ( strcmp ( argv[2], "GetColorModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorModeAsString */
    Tcl_DStringAppendElement ( &dString, " Either color by scale, scalar or by vector/normal magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetColorModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetColorModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleFactor */
    if ( strcmp ( argv[2], "SetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Specify scale factor to scale object by.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleFactor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleFactor */
    if ( strcmp ( argv[2], "GetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Specify scale factor to scale object by.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Specify range to map scalar values into.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrient */
    if ( strcmp ( argv[2], "SetOrient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrient */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry along vector/normal.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrient(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetOrient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientOn */
    if ( strcmp ( argv[2], "OrientOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry along vector/normal.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for OrientOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientOff */
    if ( strcmp ( argv[2], "OrientOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry along vector/normal.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for OrientOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrient */
    if ( strcmp ( argv[2], "GetOrient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrient */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry along vector/normal.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrient();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetOrient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClamping */
    if ( strcmp ( argv[2], "SetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClamping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClamping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOn */
    if ( strcmp ( argv[2], "ClampingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for ClampingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOff */
    if ( strcmp ( argv[2], "ClampingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for ClampingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClamping */
    if ( strcmp ( argv[2], "GetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClamping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClamping();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorMode */
    if ( strcmp ( argv[2], "SetVectorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorMode */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use vector or normal to perform vector operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetVectorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorMode */
    if ( strcmp ( argv[2], "GetVectorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorMode */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use vector or normal to perform vector operations.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetVectorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorModeToUseVector */
    if ( strcmp ( argv[2], "SetVectorModeToUseVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToUseVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorModeToUseVector */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use vector or normal to perform vector operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorModeToUseVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetVectorModeToUseVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorModeToUseNormal */
    if ( strcmp ( argv[2], "SetVectorModeToUseNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToUseNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorModeToUseNormal */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use vector or normal to perform vector operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorModeToUseNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetVectorModeToUseNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorModeToVectorRotationOff */
    if ( strcmp ( argv[2], "SetVectorModeToVectorRotationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorModeToVectorRotationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorModeToVectorRotationOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use vector or normal to perform vector operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorModeToVectorRotationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetVectorModeToVectorRotationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorModeAsString */
    if ( strcmp ( argv[2], "GetVectorModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorModeAsString */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use vector or normal to perform vector operations.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVectorModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetVectorModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndexMode */
    if ( strcmp ( argv[2], "SetIndexMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndexMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndexMode */
    Tcl_DStringAppendElement ( &dString, " Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndexMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetIndexMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndexMode */
    if ( strcmp ( argv[2], "GetIndexMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndexMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndexMode */
    Tcl_DStringAppendElement ( &dString, " Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndexMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetIndexMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndexModeToScalar */
    if ( strcmp ( argv[2], "SetIndexModeToScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndexModeToScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndexModeToScalar */
    Tcl_DStringAppendElement ( &dString, " Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndexModeToScalar();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetIndexModeToScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndexModeToVector */
    if ( strcmp ( argv[2], "SetIndexModeToVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndexModeToVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndexModeToVector */
    Tcl_DStringAppendElement ( &dString, " Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndexModeToVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetIndexModeToVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndexModeToOff */
    if ( strcmp ( argv[2], "SetIndexModeToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndexModeToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndexModeToOff */
    Tcl_DStringAppendElement ( &dString, " Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndexModeToOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetIndexModeToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndexModeAsString */
    if ( strcmp ( argv[2], "GetIndexModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndexModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndexModeAsString */
    Tcl_DStringAppendElement ( &dString, " Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetIndexModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetIndexModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePointIds */
    if ( strcmp ( argv[2], "SetGeneratePointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePointIds */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePointIds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetGeneratePointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePointIds */
    if ( strcmp ( argv[2], "GetGeneratePointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePointIds */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeneratePointIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetGeneratePointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointIdsOn */
    if ( strcmp ( argv[2], "GeneratePointIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointIdsOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GeneratePointIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointIdsOff */
    if ( strcmp ( argv[2], "GeneratePointIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointIdsOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GeneratePointIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointIdsName */
    if ( strcmp ( argv[2], "SetPointIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointIdsName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the PointIds array if generated. By default the Ids\n are named \"InputPointIds\", but this can be changed with this function.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointIdsName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetPointIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointIdsName */
    if ( strcmp ( argv[2], "GetPointIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointIdsName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the PointIds array if generated. By default the Ids\n are named \"InputPointIds\", but this can be changed with this function.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPointIdsName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetPointIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillCellData */
    if ( strcmp ( argv[2], "SetFillCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillCellData */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of cell data as part of the output.\n The cell data at each cell will match the point data of the input\n at the glyphed point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFillCellData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetFillCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillCellData */
    if ( strcmp ( argv[2], "GetFillCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillCellData */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of cell data as part of the output.\n The cell data at each cell will match the point data of the input\n at the glyphed point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFillCellData();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetFillCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillCellDataOn */
    if ( strcmp ( argv[2], "FillCellDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillCellDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillCellDataOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of cell data as part of the output.\n The cell data at each cell will match the point data of the input\n at the glyphed point.\n" );
    Tcl_DStringAppendElement ( &dString, "void FillCellDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for FillCellDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillCellDataOff */
    if ( strcmp ( argv[2], "FillCellDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillCellDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillCellDataOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the generation of cell data as part of the output.\n The cell data at each cell will match the point data of the input\n at the glyphed point.\n" );
    Tcl_DStringAppendElement ( &dString, "void FillCellDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for FillCellDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPointVisible */
    if ( strcmp ( argv[2], "IsPointVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPointVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPointVisible */
    Tcl_DStringAppendElement ( &dString, " This can be overwritten by subclass to return 0 when a point is\n blanked. Default implementation is to always return 1;\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsPointVisible(vtkDataSet *, vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for IsPointVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceTransform */
    if ( strcmp ( argv[2], "SetSourceTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceTransform */
    Tcl_DStringAppendElement ( &dString, " When set, this is use to transform the source polydata before using it to\n generate the glyph. This is useful if one wanted to reorient the source,\n for example.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceTransform(vtkTransform *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for SetSourceTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSourceTransform */
    if ( strcmp ( argv[2], "GetSourceTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSourceTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSourceTransform */
    Tcl_DStringAppendElement ( &dString, " When set, this is use to transform the source polydata before using it to\n generate the glyph. This is useful if one wanted to reorient the source,\n for example.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform *GetSourceTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetSourceTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Overridden to include SourceTransform's MTime.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3D" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
