// tcl wrapper for vtkGlyphSource2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlyphSource2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGlyphSource2DNewCommand()
{
  vtkGlyphSource2D *temp = vtkGlyphSource2D::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGlyphSource2DCppCommand(vtkGlyphSource2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGlyphSource2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGlyphSource2DCppCommand(static_cast<vtkGlyphSource2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGlyphSource2DCppCommand(vtkGlyphSource2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGlyphSource2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGlyphSource2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyphSource2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGlyphSource2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyphSource2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGlyphSource2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyphSource2D");
    return TCL_OK;
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCenter(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCenter();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScaleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScale2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScale2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScale2MinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScale2MinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScale2MaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScale2MaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScale2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScale2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFilled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFilled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFilled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FilledOn",argv[1]))&&(argc == 2))
    {
    op->FilledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FilledOff",argv[1]))&&(argc == 2))
    {
    op->FilledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDash",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDash(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDash",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDash();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DashOn",argv[1]))&&(argc == 2))
    {
    op->DashOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DashOff",argv[1]))&&(argc == 2))
    {
    op->DashOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCross",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCross(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCross",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCross();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CrossOn",argv[1]))&&(argc == 2))
    {
    op->CrossOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CrossOff",argv[1]))&&(argc == 2))
    {
    op->CrossOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRotationAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRotationAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRotationAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlyphType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlyphTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlyphTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlyphTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlyphType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToNone",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToVertex",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToVertex();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToDash",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToDash();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToCross",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToCross();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToThickCross",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToThickCross();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToTriangle",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToTriangle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToSquare",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToSquare();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToCircle",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToCircle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToDiamond",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToDiamond();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToArrow",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToArrow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToThickArrow",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToThickArrow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToHookedArrow",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToHookedArrow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphTypeToEdgeArrow",argv[1]))&&(argc == 2))
    {
    op->SetGlyphTypeToEdgeArrow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGlyphSource2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGlyphSource2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScale\n",NULL);
    Tcl_AppendResult(interp,"  SetScale2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScale2MinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScale2MaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScale2\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\n",NULL);
    Tcl_AppendResult(interp,"  SetFilled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilled\n",NULL);
    Tcl_AppendResult(interp,"  FilledOn\n",NULL);
    Tcl_AppendResult(interp,"  FilledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDash\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDash\n",NULL);
    Tcl_AppendResult(interp,"  DashOn\n",NULL);
    Tcl_AppendResult(interp,"  DashOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCross\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCross\n",NULL);
    Tcl_AppendResult(interp,"  CrossOn\n",NULL);
    Tcl_AppendResult(interp,"  CrossOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphType\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToVertex\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToDash\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToCross\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToThickCross\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToTriangle\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToSquare\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToCircle\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToDiamond\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToArrow\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToThickArrow\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToHookedArrow\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphTypeToEdgeArrow\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "GetScaleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetScaleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    Tcl_DStringAppendElement ( &dString, "SetScale2" );
    Tcl_DStringAppendElement ( &dString, "GetScale2MinValue" );
    Tcl_DStringAppendElement ( &dString, "GetScale2MaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetScale2" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "SetFilled" );
    Tcl_DStringAppendElement ( &dString, "GetFilled" );
    Tcl_DStringAppendElement ( &dString, "FilledOn" );
    Tcl_DStringAppendElement ( &dString, "FilledOff" );
    Tcl_DStringAppendElement ( &dString, "SetDash" );
    Tcl_DStringAppendElement ( &dString, "GetDash" );
    Tcl_DStringAppendElement ( &dString, "DashOn" );
    Tcl_DStringAppendElement ( &dString, "DashOff" );
    Tcl_DStringAppendElement ( &dString, "SetCross" );
    Tcl_DStringAppendElement ( &dString, "GetCross" );
    Tcl_DStringAppendElement ( &dString, "CrossOn" );
    Tcl_DStringAppendElement ( &dString, "CrossOff" );
    Tcl_DStringAppendElement ( &dString, "SetRotationAngle" );
    Tcl_DStringAppendElement ( &dString, "GetRotationAngle" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphType" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphType" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToNone" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToVertex" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToDash" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToCross" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToThickCross" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToTriangle" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToSquare" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToCircle" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToDiamond" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToArrow" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToThickArrow" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToHookedArrow" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToEdgeArrow" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a vertex glyph centered at the origin, scale 1.0, white in\n color, filled, with line segment passing through the point.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGlyphSource2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Set the center of the glyph. By default the center is (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScale(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleMinValue */
    if ( strcmp ( argv[2], "GetScaleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetScaleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleMaxValue */
    if ( strcmp ( argv[2], "GetScaleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetScaleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale */
    if ( strcmp ( argv[2], "GetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScale2 */
    if ( strcmp ( argv[2], "SetScale2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale2 */
    Tcl_DStringAppendElement ( &dString, " Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScale2(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetScale2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale2MinValue */
    if ( strcmp ( argv[2], "GetScale2MinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale2MinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale2MinValue */
    Tcl_DStringAppendElement ( &dString, " Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScale2MinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetScale2MinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale2MaxValue */
    if ( strcmp ( argv[2], "GetScale2MaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale2MaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale2MaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScale2MaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetScale2MaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale2 */
    if ( strcmp ( argv[2], "GetScale2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale2 */
    Tcl_DStringAppendElement ( &dString, " Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScale2();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetScale2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of the glyph. The default color is white.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilled */
    if ( strcmp ( argv[2], "SetFilled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilled */
    Tcl_DStringAppendElement ( &dString, " Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilled(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetFilled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilled */
    if ( strcmp ( argv[2], "GetFilled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilled */
    Tcl_DStringAppendElement ( &dString, " Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFilled();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetFilled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FilledOn */
    if ( strcmp ( argv[2], "FilledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FilledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FilledOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "void FilledOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for FilledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FilledOff */
    if ( strcmp ( argv[2], "FilledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FilledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FilledOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "void FilledOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for FilledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDash */
    if ( strcmp ( argv[2], "SetDash" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDash" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDash */
    Tcl_DStringAppendElement ( &dString, " Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDash(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetDash */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDash */
    if ( strcmp ( argv[2], "GetDash" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDash" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDash */
    Tcl_DStringAppendElement ( &dString, " Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDash();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetDash */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DashOn */
    if ( strcmp ( argv[2], "DashOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DashOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DashOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void DashOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for DashOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DashOff */
    if ( strcmp ( argv[2], "DashOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DashOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DashOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void DashOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for DashOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCross */
    if ( strcmp ( argv[2], "SetCross" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCross" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCross */
    Tcl_DStringAppendElement ( &dString, " Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCross(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetCross */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCross */
    if ( strcmp ( argv[2], "GetCross" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCross" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCross */
    Tcl_DStringAppendElement ( &dString, " Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCross();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetCross */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CrossOn */
    if ( strcmp ( argv[2], "CrossOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CrossOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CrossOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void CrossOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for CrossOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CrossOff */
    if ( strcmp ( argv[2], "CrossOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CrossOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CrossOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void CrossOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for CrossOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRotationAngle */
    if ( strcmp ( argv[2], "SetRotationAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationAngle */
    Tcl_DStringAppendElement ( &dString, " Specify an angle (in degrees) to rotate the glyph around\n the z-axis. Using this ivar, it is possible to generate\n rotated glyphs (e.g., crosses, arrows, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationAngle(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetRotationAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRotationAngle */
    if ( strcmp ( argv[2], "GetRotationAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationAngle */
    Tcl_DStringAppendElement ( &dString, " Specify an angle (in degrees) to rotate the glyph around\n the z-axis. Using this ivar, it is possible to generate\n rotated glyphs (e.g., crosses, arrows, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRotationAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetRotationAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphType */
    if ( strcmp ( argv[2], "SetGlyphType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphType */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphTypeMinValue */
    if ( strcmp ( argv[2], "GetGlyphTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGlyphTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetGlyphTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphTypeMaxValue */
    if ( strcmp ( argv[2], "GetGlyphTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGlyphTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetGlyphTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphType */
    if ( strcmp ( argv[2], "GetGlyphType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphType */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGlyphType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for GetGlyphType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToNone */
    if ( strcmp ( argv[2], "SetGlyphTypeToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToNone */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToNone();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToVertex */
    if ( strcmp ( argv[2], "SetGlyphTypeToVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToVertex */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToVertex();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToDash */
    if ( strcmp ( argv[2], "SetGlyphTypeToDash" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToDash" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToDash */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToDash();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToDash */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToCross */
    if ( strcmp ( argv[2], "SetGlyphTypeToCross" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToCross" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToCross */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToCross();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToCross */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToThickCross */
    if ( strcmp ( argv[2], "SetGlyphTypeToThickCross" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToThickCross" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToThickCross */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToThickCross();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToThickCross */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToTriangle */
    if ( strcmp ( argv[2], "SetGlyphTypeToTriangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToTriangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToTriangle */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToTriangle();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToTriangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToSquare */
    if ( strcmp ( argv[2], "SetGlyphTypeToSquare" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToSquare" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToSquare */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToSquare();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToSquare */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToCircle */
    if ( strcmp ( argv[2], "SetGlyphTypeToCircle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToCircle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToCircle */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToCircle();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToCircle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToDiamond */
    if ( strcmp ( argv[2], "SetGlyphTypeToDiamond" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToDiamond" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToDiamond */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToDiamond();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToDiamond */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToArrow */
    if ( strcmp ( argv[2], "SetGlyphTypeToArrow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToArrow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToArrow */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToArrow();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToArrow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToThickArrow */
    if ( strcmp ( argv[2], "SetGlyphTypeToThickArrow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToThickArrow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToThickArrow */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToThickArrow();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToThickArrow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToHookedArrow */
    if ( strcmp ( argv[2], "SetGlyphTypeToHookedArrow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToHookedArrow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToHookedArrow */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToHookedArrow();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToHookedArrow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphTypeToEdgeArrow */
    if ( strcmp ( argv[2], "SetGlyphTypeToEdgeArrow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphTypeToEdgeArrow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphTypeToEdgeArrow */
    Tcl_DStringAppendElement ( &dString, " Specify the type of glyph to generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphTypeToEdgeArrow();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D" );
    /* Closing for SetGlyphTypeToEdgeArrow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
