// tcl wrapper for vtkGradientFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGradientFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGradientFilterNewCommand()
{
  vtkGradientFilter *temp = vtkGradientFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGradientFilterCppCommand(vtkGradientFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGradientFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGradientFilterCppCommand(static_cast<vtkGradientFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGradientFilterCppCommand(vtkGradientFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGradientFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGradientFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGradientFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGradientFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGradientFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGradientFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGradientFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetInputScalars",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetInputScalars(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputScalars",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetInputScalars(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResultArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetResultArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetResultArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetResultArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFasterApproximation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFasterApproximation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFasterApproximation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFasterApproximation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FasterApproximationOn",argv[1]))&&(argc == 2))
    {
    op->FasterApproximationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FasterApproximationOff",argv[1]))&&(argc == 2))
    {
    op->FasterApproximationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeVorticity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeVorticity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeVorticity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeVorticity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVorticityOn",argv[1]))&&(argc == 2))
    {
    op->ComputeVorticityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVorticityOff",argv[1]))&&(argc == 2))
    {
    op->ComputeVorticityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeQCriterion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeQCriterion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeQCriterion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeQCriterion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeQCriterionOn",argv[1]))&&(argc == 2))
    {
    op->ComputeQCriterionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeQCriterionOff",argv[1]))&&(argc == 2))
    {
    op->ComputeQCriterionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGradientFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGradientFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetInputScalars\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputScalars\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetResultArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFasterApproximation\n",NULL);
    Tcl_AppendResult(interp,"  SetFasterApproximation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FasterApproximationOn\n",NULL);
    Tcl_AppendResult(interp,"  FasterApproximationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeVorticity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeVorticity\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVorticityOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVorticityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeQCriterion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeQCriterion\n",NULL);
    Tcl_AppendResult(interp,"  ComputeQCriterionOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeQCriterionOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetInputScalars" );
    Tcl_DStringAppendElement ( &dString, "SetInputScalars" );
    Tcl_DStringAppendElement ( &dString, "GetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetFasterApproximation" );
    Tcl_DStringAppendElement ( &dString, "SetFasterApproximation" );
    Tcl_DStringAppendElement ( &dString, "FasterApproximationOn" );
    Tcl_DStringAppendElement ( &dString, "FasterApproximationOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeQCriterion" );
    Tcl_DStringAppendElement ( &dString, "GetComputeQCriterion" );
    Tcl_DStringAppendElement ( &dString, "ComputeQCriterionOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeQCriterionOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGradientFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputScalars */
    if ( strcmp ( argv[2], "SetInputScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputScalars */
    Tcl_DStringAppendElement ( &dString, " These are basically a convenience method that calls SetInputArrayToProcess\n to set the array used as the input scalars.  The fieldAssociation comes\n from the vtkDataObject::FieldAssocations enum.  The fieldAttributeType\n comes from the vtkDataSetAttributes::AttributeTypes enum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputScalars(int fieldAssociation, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for SetInputScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputScalars */
    if ( strcmp ( argv[2], "SetInputScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputScalars */
    Tcl_DStringAppendElement ( &dString, " These are basically a convenience method that calls SetInputArrayToProcess\n to set the array used as the input scalars.  The fieldAssociation comes\n from the vtkDataObject::FieldAssocations enum.  The fieldAttributeType\n comes from the vtkDataSetAttributes::AttributeTypes enum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputScalars(int fieldAssociation, int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for SetInputScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResultArrayName */
    if ( strcmp ( argv[2], "GetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResultArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the resulting array to create.  If NULL (the\n default) then the output array will be named \"Gradients\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetResultArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for GetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResultArrayName */
    if ( strcmp ( argv[2], "SetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResultArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the resulting array to create.  If NULL (the\n default) then the output array will be named \"Gradients\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResultArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for SetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFasterApproximation */
    if ( strcmp ( argv[2], "GetFasterApproximation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFasterApproximation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFasterApproximation */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n This only applies if the input grid is a vtkUnstructuredGrid or a\n vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFasterApproximation();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for GetFasterApproximation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFasterApproximation */
    if ( strcmp ( argv[2], "SetFasterApproximation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFasterApproximation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFasterApproximation */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n This only applies if the input grid is a vtkUnstructuredGrid or a\n vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFasterApproximation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for SetFasterApproximation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FasterApproximationOn */
    if ( strcmp ( argv[2], "FasterApproximationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FasterApproximationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FasterApproximationOn */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n This only applies if the input grid is a vtkUnstructuredGrid or a\n vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void FasterApproximationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for FasterApproximationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FasterApproximationOff */
    if ( strcmp ( argv[2], "FasterApproximationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FasterApproximationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FasterApproximationOff */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n This only applies if the input grid is a vtkUnstructuredGrid or a\n vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void FasterApproximationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for FasterApproximationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeVorticity */
    if ( strcmp ( argv[2], "SetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, " Set the resultant array to be vorticity/curl of the input\n array.  The input array must have 3 components.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeVorticity(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for SetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeVorticity */
    if ( strcmp ( argv[2], "GetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, " Set the resultant array to be vorticity/curl of the input\n array.  The input array must have 3 components.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeVorticity();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for GetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeVorticityOn */
    if ( strcmp ( argv[2], "ComputeVorticityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVorticityOn */
    Tcl_DStringAppendElement ( &dString, " Set the resultant array to be vorticity/curl of the input\n array.  The input array must have 3 components.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeVorticityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for ComputeVorticityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeVorticityOff */
    if ( strcmp ( argv[2], "ComputeVorticityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVorticityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVorticityOff */
    Tcl_DStringAppendElement ( &dString, " Set the resultant array to be vorticity/curl of the input\n array.  The input array must have 3 components.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeVorticityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for ComputeVorticityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeQCriterion */
    if ( strcmp ( argv[2], "SetComputeQCriterion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeQCriterion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeQCriterion */
    Tcl_DStringAppendElement ( &dString, " Add Q-criterion to the output field data.  The name of the array\n will be \"Q-Criterion\" and will be the same type as the input\n array.  The input array must have 3 components in order to\n compute this.  Note that Q-citerion is a balance of the rate\n of vorticity and the rate of strain.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeQCriterion(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for SetComputeQCriterion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeQCriterion */
    if ( strcmp ( argv[2], "GetComputeQCriterion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeQCriterion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeQCriterion */
    Tcl_DStringAppendElement ( &dString, " Add Q-criterion to the output field data.  The name of the array\n will be \"Q-Criterion\" and will be the same type as the input\n array.  The input array must have 3 components in order to\n compute this.  Note that Q-citerion is a balance of the rate\n of vorticity and the rate of strain.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeQCriterion();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for GetComputeQCriterion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeQCriterionOn */
    if ( strcmp ( argv[2], "ComputeQCriterionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeQCriterionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeQCriterionOn */
    Tcl_DStringAppendElement ( &dString, " Add Q-criterion to the output field data.  The name of the array\n will be \"Q-Criterion\" and will be the same type as the input\n array.  The input array must have 3 components in order to\n compute this.  Note that Q-citerion is a balance of the rate\n of vorticity and the rate of strain.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeQCriterionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for ComputeQCriterionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeQCriterionOff */
    if ( strcmp ( argv[2], "ComputeQCriterionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeQCriterionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeQCriterionOff */
    Tcl_DStringAppendElement ( &dString, " Add Q-criterion to the output field data.  The name of the array\n will be \"Q-Criterion\" and will be the same type as the input\n array.  The input array must have 3 components in order to\n compute this.  Note that Q-citerion is a balance of the rate\n of vorticity and the rate of strain.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeQCriterionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGradientFilter" );
    /* Closing for ComputeQCriterionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
