// tcl wrapper for vtkGraphLayoutFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayoutFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGraphLayoutFilterNewCommand()
{
  vtkGraphLayoutFilter *temp = vtkGraphLayoutFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphLayoutFilterCppCommand(vtkGraphLayoutFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphLayoutFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphLayoutFilterCppCommand(static_cast<vtkGraphLayoutFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphLayoutFilterCppCommand(vtkGraphLayoutFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraphLayoutFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGraphLayoutFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraphLayoutFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGraphLayoutFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetGraphBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetGraphBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticBoundsComputation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticBoundsComputation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomaticBoundsComputation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticBoundsComputation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticBoundsComputationOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticBoundsComputationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticBoundsComputationOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticBoundsComputationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxNumberOfIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxNumberOfIterationsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxNumberOfIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxNumberOfIterationsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxNumberOfIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCoolDownRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCoolDownRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCoolDownRateMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCoolDownRateMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCoolDownRateMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCoolDownRateMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCoolDownRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCoolDownRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThreeDimensionalLayout",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThreeDimensionalLayout(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThreeDimensionalLayout",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThreeDimensionalLayout();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ThreeDimensionalLayoutOn",argv[1]))&&(argc == 2))
    {
    op->ThreeDimensionalLayoutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ThreeDimensionalLayoutOff",argv[1]))&&(argc == 2))
    {
    op->ThreeDimensionalLayoutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphLayoutFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraphLayoutFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticBoundsComputation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticBoundsComputation\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticBoundsComputationOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticBoundsComputationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNumberOfIterationsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNumberOfIterationsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetCoolDownRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCoolDownRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCoolDownRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCoolDownRate\n",NULL);
    Tcl_AppendResult(interp,"  SetThreeDimensionalLayout\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThreeDimensionalLayout\n",NULL);
    Tcl_AppendResult(interp,"  ThreeDimensionalLayoutOn\n",NULL);
    Tcl_AppendResult(interp,"  ThreeDimensionalLayoutOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGraphBounds" );
    Tcl_DStringAppendElement ( &dString, "SetGraphBounds" );
    Tcl_DStringAppendElement ( &dString, "GetGraphBounds" );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticBoundsComputation" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticBoundsComputation" );
    Tcl_DStringAppendElement ( &dString, "AutomaticBoundsComputationOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticBoundsComputationOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetCoolDownRate" );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRate" );
    Tcl_DStringAppendElement ( &dString, "SetThreeDimensionalLayout" );
    Tcl_DStringAppendElement ( &dString, "GetThreeDimensionalLayout" );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLayoutOn" );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLayoutOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraphLayoutFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphBounds */
    if ( strcmp ( argv[2], "SetGraphBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGraphBounds(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for SetGraphBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphBounds */
    if ( strcmp ( argv[2], "SetGraphBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGraphBounds(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for SetGraphBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphBounds */
    if ( strcmp ( argv[2], "GetGraphBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphBounds */
    Tcl_DStringAppendElement ( &dString, " Set / get the region in space in which to place the final graph.\n The GraphBounds only affects the results if AutomaticBoundsComputation\n is off.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetGraphBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetGraphBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomaticBoundsComputation */
    if ( strcmp ( argv[2], "SetAutomaticBoundsComputation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticBoundsComputation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomaticBoundsComputation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomaticBoundsComputation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for SetAutomaticBoundsComputation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticBoundsComputation */
    if ( strcmp ( argv[2], "GetAutomaticBoundsComputation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticBoundsComputation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticBoundsComputation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticBoundsComputation();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetAutomaticBoundsComputation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticBoundsComputationOn */
    if ( strcmp ( argv[2], "AutomaticBoundsComputationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticBoundsComputationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticBoundsComputationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticBoundsComputationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for AutomaticBoundsComputationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticBoundsComputationOff */
    if ( strcmp ( argv[2], "AutomaticBoundsComputationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticBoundsComputationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticBoundsComputationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticBoundsComputationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for AutomaticBoundsComputationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxNumberOfIterations */
    if ( strcmp ( argv[2], "SetMaxNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxNumberOfIterations(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for SetMaxNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNumberOfIterationsMinValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxNumberOfIterationsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetMaxNumberOfIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNumberOfIterationsMaxValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxNumberOfIterationsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetMaxNumberOfIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNumberOfIterations */
    if ( strcmp ( argv[2], "GetMaxNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxNumberOfIterations();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetMaxNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoolDownRate */
    if ( strcmp ( argv[2], "SetCoolDownRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoolDownRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoolDownRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoolDownRate(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for SetCoolDownRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoolDownRateMinValue */
    if ( strcmp ( argv[2], "GetCoolDownRateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoolDownRateMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCoolDownRateMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetCoolDownRateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoolDownRateMaxValue */
    if ( strcmp ( argv[2], "GetCoolDownRateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoolDownRateMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCoolDownRateMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetCoolDownRateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoolDownRate */
    if ( strcmp ( argv[2], "GetCoolDownRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoolDownRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCoolDownRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetCoolDownRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThreeDimensionalLayout */
    if ( strcmp ( argv[2], "SetThreeDimensionalLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThreeDimensionalLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThreeDimensionalLayout */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetThreeDimensionalLayout(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for SetThreeDimensionalLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThreeDimensionalLayout */
    if ( strcmp ( argv[2], "GetThreeDimensionalLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThreeDimensionalLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThreeDimensionalLayout */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetThreeDimensionalLayout();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for GetThreeDimensionalLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThreeDimensionalLayoutOn */
    if ( strcmp ( argv[2], "ThreeDimensionalLayoutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLayoutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThreeDimensionalLayoutOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ThreeDimensionalLayoutOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for ThreeDimensionalLayoutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThreeDimensionalLayoutOff */
    if ( strcmp ( argv[2], "ThreeDimensionalLayoutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLayoutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThreeDimensionalLayoutOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ThreeDimensionalLayoutOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutFilter" );
    /* Closing for ThreeDimensionalLayoutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
