// tcl wrapper for vtkHyperStreamline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperStreamline.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkHyperStreamlineNewCommand()
{
  vtkHyperStreamline *temp = vtkHyperStreamline::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperStreamlineCppCommand(vtkHyperStreamline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkHyperStreamlineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkHyperStreamlineCppCommand(static_cast<vtkHyperStreamline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperStreamlineCppCommand(vtkHyperStreamline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkHyperStreamline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkHyperStreamline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperStreamline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkHyperStreamline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperStreamline");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkHyperStreamline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperStreamline");
    return TCL_OK;
    }
  if ((!strcmp("SetStartLocation",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    int      temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetStartPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumPropagationDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumPropagationDistanceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagationDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumPropagationDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagationDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumPropagationDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagationDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationEigenvector",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationEigenvector(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationEigenvectorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationEigenvectorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationEigenvectorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationEigenvectorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationEigenvector",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationEigenvector();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationEigenvectorToMajor",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationEigenvectorToMajor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationEigenvectorToMedium",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationEigenvectorToMedium();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationEigenvectorToMinor",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationEigenvectorToMinor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IntegrateMajorEigenvector",argv[1]))&&(argc == 2))
    {
    op->IntegrateMajorEigenvector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IntegrateMediumEigenvector",argv[1]))&&(argc == 2))
    {
    op->IntegrateMediumEigenvector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IntegrateMinorEigenvector",argv[1]))&&(argc == 2))
    {
    op->IntegrateMinorEigenvector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationStepLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetIntegrationStepLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationStepLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationStepLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationStepLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationStepLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationStepLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationStepLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStepLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStepLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStepLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStepLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStepLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStepLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStepLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStepLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationDirectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToForward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBackward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToIntegrateBothDirections",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToIntegrateBothDirections();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminalEigenvalue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTerminalEigenvalue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerminalEigenvalueMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalEigenvalueMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTerminalEigenvalueMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalEigenvalueMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTerminalEigenvalue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalEigenvalue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSides",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSides(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSidesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSidesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSidesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSidesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSides",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSides();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLogScaling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLogScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogScaling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLogScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LogScalingOn",argv[1]))&&(argc == 2))
    {
    op->LogScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LogScalingOff",argv[1]))&&(argc == 2))
    {
    op->LogScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkHyperStreamlineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperStreamline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetStartLocation\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStartPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationEigenvector\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationEigenvectorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationEigenvectorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationEigenvector\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationEigenvectorToMajor\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationEigenvectorToMedium\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationEigenvectorToMinor\n",NULL);
    Tcl_AppendResult(interp,"  IntegrateMajorEigenvector\n",NULL);
    Tcl_AppendResult(interp,"  IntegrateMediumEigenvector\n",NULL);
    Tcl_AppendResult(interp,"  IntegrateMinorEigenvector\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationStepLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationStepLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationStepLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationStepLength\n",NULL);
    Tcl_AppendResult(interp,"  SetStepLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStepLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStepLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStepLength\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToForward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBackward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToIntegrateBothDirections\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminalEigenvalue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalEigenvalueMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalEigenvalueMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalEigenvalue\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSides\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSidesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSidesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSides\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetLogScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogScaling\n",NULL);
    Tcl_AppendResult(interp,"  LogScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  LogScalingOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetStartLocation" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationDistance" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvector" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationEigenvectorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationEigenvectorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationEigenvector" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvectorToMajor" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvectorToMedium" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvectorToMinor" );
    Tcl_DStringAppendElement ( &dString, "IntegrateMajorEigenvector" );
    Tcl_DStringAppendElement ( &dString, "IntegrateMediumEigenvector" );
    Tcl_DStringAppendElement ( &dString, "IntegrateMinorEigenvector" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepLength" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLength" );
    Tcl_DStringAppendElement ( &dString, "SetStepLength" );
    Tcl_DStringAppendElement ( &dString, "GetStepLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetStepLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetStepLength" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToIntegrateBothDirections" );
    Tcl_DStringAppendElement ( &dString, "SetTerminalEigenvalue" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalEigenvalueMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalEigenvalueMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalEigenvalue" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSides" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSides" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetLogScaling" );
    Tcl_DStringAppendElement ( &dString, "GetLogScaling" );
    Tcl_DStringAppendElement ( &dString, "LogScalingOn" );
    Tcl_DStringAppendElement ( &dString, "LogScalingOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with initial starting position (0,0,0); integration\n step length 0.2; step length 0.01; forward integration; terminal\n eigenvalue 0.0; number of sides 6; radius 0.5; and logarithmic scaling\n off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperStreamline *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartLocation */
    if ( strcmp ( argv[2], "SetStartLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartLocation */
    Tcl_DStringAppendElement ( &dString, " Specify the start of the hyperstreamline in the cell coordinate system. \n That is, cellId and subId (if composite cell), and parametric coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartLocation(vtkIdType cellId, int subId, double r, double s, double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetStartLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, " Specify the start of the hyperstreamline in the global coordinate system. \n Starting from position implies that a search must be performed to find \n initial cell to start integration from.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, " Specify the start of the hyperstreamline in the global coordinate system. \n Starting from position implies that a search must be performed to find \n initial cell to start integration from.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartPosition */
    if ( strcmp ( argv[2], "GetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartPosition */
    Tcl_DStringAppendElement ( &dString, " Get the start position of the hyperstreamline in global x-y-z coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetStartPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagationDistance */
    if ( strcmp ( argv[2], "SetMaximumPropagationDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagationDistance */
    Tcl_DStringAppendElement ( &dString, " Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagationDistance(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetMaximumPropagationDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagationDistanceMinValue */
    if ( strcmp ( argv[2], "GetMaximumPropagationDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagationDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagationDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetMaximumPropagationDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagationDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMaximumPropagationDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagationDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagationDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetMaximumPropagationDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagationDistance */
    if ( strcmp ( argv[2], "GetMaximumPropagationDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagationDistance */
    Tcl_DStringAppendElement ( &dString, " Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagationDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetMaximumPropagationDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationEigenvector */
    if ( strcmp ( argv[2], "SetIntegrationEigenvector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationEigenvector */
    Tcl_DStringAppendElement ( &dString, " Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalue ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationEigenvector(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationEigenvector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationEigenvectorMinValue */
    if ( strcmp ( argv[2], "GetIntegrationEigenvectorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationEigenvectorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationEigenvectorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalue ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationEigenvectorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationEigenvectorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationEigenvectorMaxValue */
    if ( strcmp ( argv[2], "GetIntegrationEigenvectorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationEigenvectorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationEigenvectorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalue ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationEigenvectorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationEigenvectorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationEigenvector */
    if ( strcmp ( argv[2], "GetIntegrationEigenvector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationEigenvector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationEigenvector */
    Tcl_DStringAppendElement ( &dString, " Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalue ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationEigenvector();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationEigenvector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationEigenvectorToMajor */
    if ( strcmp ( argv[2], "SetIntegrationEigenvectorToMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvectorToMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationEigenvectorToMajor */
    Tcl_DStringAppendElement ( &dString, " Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalue ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationEigenvectorToMajor();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationEigenvectorToMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationEigenvectorToMedium */
    if ( strcmp ( argv[2], "SetIntegrationEigenvectorToMedium" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvectorToMedium" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationEigenvectorToMedium */
    Tcl_DStringAppendElement ( &dString, " Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalue ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationEigenvectorToMedium();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationEigenvectorToMedium */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationEigenvectorToMinor */
    if ( strcmp ( argv[2], "SetIntegrationEigenvectorToMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationEigenvectorToMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationEigenvectorToMinor */
    Tcl_DStringAppendElement ( &dString, " Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalue ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationEigenvectorToMinor();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationEigenvectorToMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntegrateMajorEigenvector */
    if ( strcmp ( argv[2], "IntegrateMajorEigenvector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntegrateMajorEigenvector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntegrateMajorEigenvector */
    Tcl_DStringAppendElement ( &dString, " Use the major eigenvector field as the vector field through which\n to integrate.  The major eigenvector is the eigenvector whose\n corresponding eigenvalue is closest to positive infinity.  \n" );
    Tcl_DStringAppendElement ( &dString, "void IntegrateMajorEigenvector();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for IntegrateMajorEigenvector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntegrateMediumEigenvector */
    if ( strcmp ( argv[2], "IntegrateMediumEigenvector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntegrateMediumEigenvector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntegrateMediumEigenvector */
    Tcl_DStringAppendElement ( &dString, " Use the medium eigenvector field as the vector field through which\n to integrate. The medium eigenvector is the eigenvector whose\n corresponding eigenvalue is between the major and minor\n eigenvalues.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntegrateMediumEigenvector();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for IntegrateMediumEigenvector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntegrateMinorEigenvector */
    if ( strcmp ( argv[2], "IntegrateMinorEigenvector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntegrateMinorEigenvector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntegrateMinorEigenvector */
    Tcl_DStringAppendElement ( &dString, " Use the minor eigenvector field as the vector field through which\n to integrate. The minor eigenvector is the eigenvector whose\n corresponding eigenvalue is closest to negative infinity.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntegrateMinorEigenvector();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for IntegrateMinorEigenvector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationStepLength */
    if ( strcmp ( argv[2], "SetIntegrationStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationStepLength */
    Tcl_DStringAppendElement ( &dString, " Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationStepLength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationStepLengthMinValue */
    if ( strcmp ( argv[2], "GetIntegrationStepLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntegrationStepLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationStepLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationStepLengthMaxValue */
    if ( strcmp ( argv[2], "GetIntegrationStepLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntegrationStepLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationStepLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationStepLength */
    if ( strcmp ( argv[2], "GetIntegrationStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepLength */
    Tcl_DStringAppendElement ( &dString, " Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntegrationStepLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStepLength */
    if ( strcmp ( argv[2], "SetStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStepLength */
    Tcl_DStringAppendElement ( &dString, " Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStepLength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStepLengthMinValue */
    if ( strcmp ( argv[2], "GetStepLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStepLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetStepLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStepLengthMaxValue */
    if ( strcmp ( argv[2], "GetStepLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStepLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetStepLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStepLength */
    if ( strcmp ( argv[2], "GetStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepLength */
    Tcl_DStringAppendElement ( &dString, " Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStepLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirection */
    if ( strcmp ( argv[2], "SetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the hyperstreamline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirection(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMinValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the hyperstreamline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationDirectionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMaxValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the hyperstreamline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationDirectionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirection */
    if ( strcmp ( argv[2], "GetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the hyperstreamline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirection();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToForward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToForward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToForward */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the hyperstreamline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToForward();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationDirectionToForward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToBackward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToBackward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToBackward */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the hyperstreamline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToBackward();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationDirectionToBackward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToIntegrateBothDirections */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToIntegrateBothDirections" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToIntegrateBothDirections" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToIntegrateBothDirections */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the hyperstreamline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToIntegrateBothDirections();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetIntegrationDirectionToIntegrateBothDirections */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminalEigenvalue */
    if ( strcmp ( argv[2], "SetTerminalEigenvalue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminalEigenvalue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminalEigenvalue */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminalEigenvalue(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetTerminalEigenvalue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalEigenvalueMinValue */
    if ( strcmp ( argv[2], "GetTerminalEigenvalueMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalEigenvalueMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalEigenvalueMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalEigenvalueMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetTerminalEigenvalueMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalEigenvalueMaxValue */
    if ( strcmp ( argv[2], "GetTerminalEigenvalueMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalEigenvalueMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalEigenvalueMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalEigenvalueMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetTerminalEigenvalueMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalEigenvalue */
    if ( strcmp ( argv[2], "GetTerminalEigenvalue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalEigenvalue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalEigenvalue */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalEigenvalue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetTerminalEigenvalue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSides */
    if ( strcmp ( argv[2], "SetNumberOfSides" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSides" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSides */
    Tcl_DStringAppendElement ( &dString, " Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSides(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetNumberOfSides */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSidesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfSidesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSidesMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSidesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetNumberOfSidesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSidesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfSidesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSidesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSidesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetNumberOfSidesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSides */
    if ( strcmp ( argv[2], "GetNumberOfSides" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSides" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSides */
    Tcl_DStringAppendElement ( &dString, " Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSides();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetNumberOfSides */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLogScaling */
    if ( strcmp ( argv[2], "SetLogScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLogScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLogScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLogScaling(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for SetLogScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLogScaling */
    if ( strcmp ( argv[2], "GetLogScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLogScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLogScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLogScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for GetLogScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogScalingOn */
    if ( strcmp ( argv[2], "LogScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogScalingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n" );
    Tcl_DStringAppendElement ( &dString, "void LogScalingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for LogScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogScalingOff */
    if ( strcmp ( argv[2], "LogScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogScalingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n" );
    Tcl_DStringAppendElement ( &dString, "void LogScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperStreamline" );
    /* Closing for LogScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
