// tcl wrapper for vtkIconGlyphFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIconGlyphFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkIconGlyphFilterNewCommand()
{
  vtkIconGlyphFilter *temp = vtkIconGlyphFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkIconGlyphFilterCppCommand(vtkIconGlyphFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkIconGlyphFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkIconGlyphFilterCppCommand(static_cast<vtkIconGlyphFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkIconGlyphFilterCppCommand(vtkIconGlyphFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkIconGlyphFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkIconGlyphFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIconGlyphFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkIconGlyphFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIconGlyphFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkIconGlyphFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIconGlyphFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetIconSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetIconSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetIconSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIconSheetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetIconSheetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconSheetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetIconSheetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconSheetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetIconSheetSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDisplaySize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDisplaySize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplaySize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetDisplaySize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplaySize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDisplaySize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseIconSize",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseIconSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseIconSize",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseIconSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseIconSizeOn",argv[1]))&&(argc == 2))
    {
    op->UseIconSizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseIconSizeOff",argv[1]))&&(argc == 2))
    {
    op->UseIconSizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIconScaling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIconScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconScaling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIconScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIconScalingToScalingOff",argv[1]))&&(argc == 2))
    {
    op->SetIconScalingToScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIconScalingToScalingArray",argv[1]))&&(argc == 2))
    {
    op->SetIconScalingToScalingArray();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPassScalars",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPassScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassScalars",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPassScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassScalarsOn",argv[1]))&&(argc == 2))
    {
    op->PassScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassScalarsOff",argv[1]))&&(argc == 2))
    {
    op->PassScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGravity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGravity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGravity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToTopRight",argv[1]))&&(argc == 2))
    {
    op->SetGravityToTopRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToTopCenter",argv[1]))&&(argc == 2))
    {
    op->SetGravityToTopCenter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToTopLeft",argv[1]))&&(argc == 2))
    {
    op->SetGravityToTopLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToCenterRight",argv[1]))&&(argc == 2))
    {
    op->SetGravityToCenterRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToCenterCenter",argv[1]))&&(argc == 2))
    {
    op->SetGravityToCenterCenter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToCenterLeft",argv[1]))&&(argc == 2))
    {
    op->SetGravityToCenterLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToBottomRight",argv[1]))&&(argc == 2))
    {
    op->SetGravityToBottomRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToBottomCenter",argv[1]))&&(argc == 2))
    {
    op->SetGravityToBottomCenter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGravityToBottomLeft",argv[1]))&&(argc == 2))
    {
    op->SetGravityToBottomLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetOffset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffset",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOffset();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkIconGlyphFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkIconGlyphFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIconSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetIconSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIconSize\n",NULL);
    Tcl_AppendResult(interp,"  SetIconSheetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetIconSheetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIconSheetSize\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplaySize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplaySize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplaySize\n",NULL);
    Tcl_AppendResult(interp,"  SetUseIconSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseIconSize\n",NULL);
    Tcl_AppendResult(interp,"  UseIconSizeOn\n",NULL);
    Tcl_AppendResult(interp,"  UseIconSizeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIconScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconScaling\n",NULL);
    Tcl_AppendResult(interp,"  SetIconScalingToScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIconScalingToScalingArray\n",NULL);
    Tcl_AppendResult(interp,"  SetPassScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassScalars\n",NULL);
    Tcl_AppendResult(interp,"  PassScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  PassScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGravity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGravity\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToTopRight\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToTopCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToTopLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToCenterRight\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToCenterCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToCenterLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToBottomRight\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToBottomCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetGravityToBottomLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOffset\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    Tcl_DStringAppendElement ( &dString, "GetIconSize" );
    Tcl_DStringAppendElement ( &dString, "SetIconSheetSize" );
    Tcl_DStringAppendElement ( &dString, "SetIconSheetSize" );
    Tcl_DStringAppendElement ( &dString, "GetIconSheetSize" );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    Tcl_DStringAppendElement ( &dString, "GetDisplaySize" );
    Tcl_DStringAppendElement ( &dString, "SetUseIconSize" );
    Tcl_DStringAppendElement ( &dString, "GetUseIconSize" );
    Tcl_DStringAppendElement ( &dString, "UseIconSizeOn" );
    Tcl_DStringAppendElement ( &dString, "UseIconSizeOff" );
    Tcl_DStringAppendElement ( &dString, "SetIconScaling" );
    Tcl_DStringAppendElement ( &dString, "GetIconScaling" );
    Tcl_DStringAppendElement ( &dString, "SetIconScalingToScalingOff" );
    Tcl_DStringAppendElement ( &dString, "SetIconScalingToScalingArray" );
    Tcl_DStringAppendElement ( &dString, "SetPassScalars" );
    Tcl_DStringAppendElement ( &dString, "GetPassScalars" );
    Tcl_DStringAppendElement ( &dString, "PassScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "PassScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGravity" );
    Tcl_DStringAppendElement ( &dString, "GetGravity" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToTopRight" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToTopCenter" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToTopLeft" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToCenterRight" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToCenterCenter" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToCenterLeft" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToBottomRight" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToBottomCenter" );
    Tcl_DStringAppendElement ( &dString, "SetGravityToBottomLeft" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIconGlyphFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconSize */
    if ( strcmp ( argv[2], "SetIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIconSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconSize */
    if ( strcmp ( argv[2], "SetIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIconSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconSize */
    if ( strcmp ( argv[2], "GetIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconSize */
    Tcl_DStringAppendElement ( &dString, " Specify the Width and Height, in pixels, of an icon in the icon sheet.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetIconSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconSheetSize */
    if ( strcmp ( argv[2], "SetIconSheetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconSheetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconSheetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIconSheetSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetIconSheetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconSheetSize */
    if ( strcmp ( argv[2], "SetIconSheetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconSheetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconSheetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIconSheetSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetIconSheetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconSheetSize */
    if ( strcmp ( argv[2], "GetIconSheetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconSheetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconSheetSize */
    Tcl_DStringAppendElement ( &dString, " Specify the Width and Height, in pixels, of an icon in the icon sheet.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetIconSheetSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetIconSheetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplaySize */
    if ( strcmp ( argv[2], "SetDisplaySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplaySize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplaySize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetDisplaySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplaySize */
    if ( strcmp ( argv[2], "SetDisplaySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplaySize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplaySize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetDisplaySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplaySize */
    if ( strcmp ( argv[2], "GetDisplaySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplaySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplaySize */
    Tcl_DStringAppendElement ( &dString, " Specify the Width and Height, in pixels, of the size of the icon when it\n is rendered. By default, the IconSize is used to set the display size\n (i.e., UseIconSize is true by default). Note that assumes that\n IconScaling is disabled, or if enabled, the scale of a particular icon\n is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetDisplaySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetDisplaySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseIconSize */
    if ( strcmp ( argv[2], "SetUseIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseIconSize */
    Tcl_DStringAppendElement ( &dString, " Specify whether the Quad generated to place the icon on will be either\n the dimensions specified by IconSize or the DisplaySize.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseIconSize(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetUseIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseIconSize */
    if ( strcmp ( argv[2], "GetUseIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseIconSize */
    Tcl_DStringAppendElement ( &dString, " Specify whether the Quad generated to place the icon on will be either\n the dimensions specified by IconSize or the DisplaySize.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseIconSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetUseIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseIconSizeOn */
    if ( strcmp ( argv[2], "UseIconSizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseIconSizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseIconSizeOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether the Quad generated to place the icon on will be either\n the dimensions specified by IconSize or the DisplaySize.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseIconSizeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for UseIconSizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseIconSizeOff */
    if ( strcmp ( argv[2], "UseIconSizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseIconSizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseIconSizeOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether the Quad generated to place the icon on will be either\n the dimensions specified by IconSize or the DisplaySize.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseIconSizeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for UseIconSizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconScaling */
    if ( strcmp ( argv[2], "SetIconScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconScaling */
    Tcl_DStringAppendElement ( &dString, " Specify how to specify individual icons. By default, icon scaling\n is off, but if it is on, then the filter looks for an array named\n \"IconScale\" to control individual icon size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconScaling(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetIconScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconScaling */
    if ( strcmp ( argv[2], "GetIconScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconScaling */
    Tcl_DStringAppendElement ( &dString, " Specify how to specify individual icons. By default, icon scaling\n is off, but if it is on, then the filter looks for an array named\n \"IconScale\" to control individual icon size.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIconScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetIconScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconScalingToScalingOff */
    if ( strcmp ( argv[2], "SetIconScalingToScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconScalingToScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconScalingToScalingOff */
    Tcl_DStringAppendElement ( &dString, " Specify how to specify individual icons. By default, icon scaling\n is off, but if it is on, then the filter looks for an array named\n \"IconScale\" to control individual icon size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconScalingToScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetIconScalingToScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconScalingToScalingArray */
    if ( strcmp ( argv[2], "SetIconScalingToScalingArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconScalingToScalingArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconScalingToScalingArray */
    Tcl_DStringAppendElement ( &dString, " Specify how to specify individual icons. By default, icon scaling\n is off, but if it is on, then the filter looks for an array named\n \"IconScale\" to control individual icon size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconScalingToScalingArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetIconScalingToScalingArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassScalars */
    if ( strcmp ( argv[2], "SetPassScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassScalars */
    Tcl_DStringAppendElement ( &dString, " Specify whether to pass the scalar icon index to the output. By\n default this is not passed since it can affect color during the\n rendering process. Note that all other point data is passed to\n the output regardless of the value of this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassScalars(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetPassScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassScalars */
    if ( strcmp ( argv[2], "GetPassScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassScalars */
    Tcl_DStringAppendElement ( &dString, " Specify whether to pass the scalar icon index to the output. By\n default this is not passed since it can affect color during the\n rendering process. Note that all other point data is passed to\n the output regardless of the value of this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPassScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetPassScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassScalarsOn */
    if ( strcmp ( argv[2], "PassScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether to pass the scalar icon index to the output. By\n default this is not passed since it can affect color during the\n rendering process. Note that all other point data is passed to\n the output regardless of the value of this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for PassScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassScalarsOff */
    if ( strcmp ( argv[2], "PassScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to pass the scalar icon index to the output. By\n default this is not passed since it can affect color during the\n rendering process. Note that all other point data is passed to\n the output regardless of the value of this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for PassScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravity */
    if ( strcmp ( argv[2], "SetGravity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravity */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravity(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGravity */
    if ( strcmp ( argv[2], "GetGravity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGravity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGravity */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGravity();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetGravity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToTopRight */
    if ( strcmp ( argv[2], "SetGravityToTopRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToTopRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToTopRight */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToTopRight();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToTopRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToTopCenter */
    if ( strcmp ( argv[2], "SetGravityToTopCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToTopCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToTopCenter */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToTopCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToTopCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToTopLeft */
    if ( strcmp ( argv[2], "SetGravityToTopLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToTopLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToTopLeft */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToTopLeft();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToTopLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToCenterRight */
    if ( strcmp ( argv[2], "SetGravityToCenterRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToCenterRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToCenterRight */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToCenterRight();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToCenterRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToCenterCenter */
    if ( strcmp ( argv[2], "SetGravityToCenterCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToCenterCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToCenterCenter */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToCenterCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToCenterCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToCenterLeft */
    if ( strcmp ( argv[2], "SetGravityToCenterLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToCenterLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToCenterLeft */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToCenterLeft();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToCenterLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToBottomRight */
    if ( strcmp ( argv[2], "SetGravityToBottomRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToBottomRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToBottomRight */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToBottomRight();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToBottomRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToBottomCenter */
    if ( strcmp ( argv[2], "SetGravityToBottomCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToBottomCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToBottomCenter */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToBottomCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToBottomCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravityToBottomLeft */
    if ( strcmp ( argv[2], "SetGravityToBottomLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravityToBottomLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravityToBottomLeft */
    Tcl_DStringAppendElement ( &dString, " Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGravityToBottomLeft();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetGravityToBottomLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffset */
    if ( strcmp ( argv[2], "GetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffset */
    Tcl_DStringAppendElement ( &dString, " Specify an offset (in pixels or display coordinates) that offsets the icons\n from their generating points.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkIconGlyphFilter" );
    /* Closing for GetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
