// tcl wrapper for vtkModifiedBSPTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkModifiedBSPTree.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkModifiedBSPTreeNewCommand()
{
  vtkModifiedBSPTree *temp = vtkModifiedBSPTree::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractCellLocatorCppCommand(vtkAbstractCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkModifiedBSPTreeCppCommand(vtkModifiedBSPTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkModifiedBSPTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkModifiedBSPTreeCppCommand(static_cast<vtkModifiedBSPTree *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkModifiedBSPTreeCppCommand(vtkModifiedBSPTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkModifiedBSPTree",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractCellLocatorCppCommand(static_cast<vtkAbstractCellLocator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractCellLocator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkModifiedBSPTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModifiedBSPTree");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkModifiedBSPTree  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModifiedBSPTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkModifiedBSPTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModifiedBSPTree");
    return TCL_OK;
    }
  if ((!strcmp("FreeSearchStructure",argv[1]))&&(argc == 2))
    {
    op->FreeSearchStructure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
    {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GenerateRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateRepresentationLeafs",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GenerateRepresentationLeafs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindCell",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->FindCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeafNodeCellInformation",argv[1]))&&(argc == 2))
    {
    vtkIdListCollection  *temp20;
    temp20 = (op)->GetLeafNodeCellInformation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdListCollection");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkModifiedBSPTreeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractCellLocatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkModifiedBSPTree:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  FreeSearchStructure\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocator\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentationLeafs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindCell\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLeafNodeCellInformation\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractCellLocatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentationLeafs" );
    Tcl_DStringAppendElement ( &dString, "FindCell" );
    Tcl_DStringAppendElement ( &dString, "GetLeafNodeCellInformation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractCellLocatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with maximum 32 cells per node. (average 16->31)\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkModifiedBSPTree *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeSearchStructure */
    if ( strcmp ( argv[2], "FreeSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Free tree memory\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeSearchStructure();" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for FreeSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocator */
    if ( strcmp ( argv[2], "BuildLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocator */
    Tcl_DStringAppendElement ( &dString, " Build Tree\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for BuildLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentation */
    if ( strcmp ( argv[2], "GenerateRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentation */
    Tcl_DStringAppendElement ( &dString, " Generate BBox representation of Nth level\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateRepresentation(int level, vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for GenerateRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentationLeafs */
    if ( strcmp ( argv[2], "GenerateRepresentationLeafs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentationLeafs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentationLeafs */
    Tcl_DStringAppendElement ( &dString, " Generate BBox representation of all leaf nodes\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateRepresentationLeafs(vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for GenerateRepresentationLeafs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindCell */
    if ( strcmp ( argv[2], "FindCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindCell */
    Tcl_DStringAppendElement ( &dString, " Returns the Id of the cell containing the point,\n returns -1 if no cell found. This interface uses a tolerance of zero\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType FindCell(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for FindCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeafNodeCellInformation */
    if ( strcmp ( argv[2], "GetLeafNodeCellInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeafNodeCellInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeafNodeCellInformation */
    Tcl_DStringAppendElement ( &dString, " After subdivision has completed, one may wish to query the tree to find\n which cells are in which leaf nodes. This function returns a list\n which holds a cell Id list for each leaf node.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdListCollection *GetLeafNodeCellInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkModifiedBSPTree" );
    /* Closing for GetLeafNodeCellInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractCellLocatorCppCommand(static_cast<vtkAbstractCellLocator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
