// tcl wrapper for vtkParametricFunctionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricFunctionSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParametricFunctionSourceNewCommand()
{
  vtkParametricFunctionSource *temp = vtkParametricFunctionSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParametricFunctionSourceCppCommand(vtkParametricFunctionSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParametricFunctionSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParametricFunctionSourceCppCommand(static_cast<vtkParametricFunctionSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParametricFunctionSourceCppCommand(vtkParametricFunctionSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParametricFunctionSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParametricFunctionSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricFunctionSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParametricFunctionSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricFunctionSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParametricFunctionSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricFunctionSource");
    return TCL_OK;
    }
  if ((!strcmp("SetParametricFunction",argv[1]))&&(argc == 3))
    {
    vtkParametricFunction  *temp0;
    error = 0;

    temp0 = (vtkParametricFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkParametricFunction"),interp,error));
    if (!error)
    {
    op->SetParametricFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricFunction",argv[1]))&&(argc == 2))
    {
    vtkParametricFunction  *temp20;
    temp20 = (op)->GetParametricFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetUResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateTextureCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateTextureCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateTextureCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateTextureCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTextureCoordinates",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateTextureCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateTextureCoordinates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTextureCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToNone",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToU",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToU();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToV",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToV();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToU0",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToU0();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToV0",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToV0();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToU0V0",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToU0V0();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToModulus",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToModulus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToPhase",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToPhase();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToQuadrant",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToQuadrant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToX",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToY",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToZ",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDistance",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDistance();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToFunctionDefined",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToFunctionDefined();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParametricFunctionSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParametricFunctionSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetParametricFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetUResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetVResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetWResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWResolution\n",NULL);
    Tcl_AppendResult(interp,"  GenerateTextureCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateTextureCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTextureCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTextureCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToU\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToV\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToU0\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToV0\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToU0V0\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToModulus\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToPhase\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToQuadrant\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToX\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToY\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToZ\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToFunctionDefined\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetParametricFunction" );
    Tcl_DStringAppendElement ( &dString, "GetParametricFunction" );
    Tcl_DStringAppendElement ( &dString, "SetUResolution" );
    Tcl_DStringAppendElement ( &dString, "GetUResolution" );
    Tcl_DStringAppendElement ( &dString, "SetVResolution" );
    Tcl_DStringAppendElement ( &dString, "GetVResolution" );
    Tcl_DStringAppendElement ( &dString, "SetWResolution" );
    Tcl_DStringAppendElement ( &dString, "GetWResolution" );
    Tcl_DStringAppendElement ( &dString, "GenerateTextureCoordinatesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateTextureCoordinatesOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTextureCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTextureCoordinates" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToNone" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToU" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToV" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToU0" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToV0" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToU0V0" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToModulus" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToPhase" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToQuadrant" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToX" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToY" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToZ" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDistance" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToFunctionDefined" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create a new instance with (50,50,50) points in the (u-v-w) directions.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkParametricFunctionSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParametricFunction */
    if ( strcmp ( argv[2], "SetParametricFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParametricFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParametricFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the parametric function to use to generate the tessellation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParametricFunction(vtkParametricFunction *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetParametricFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParametricFunction */
    if ( strcmp ( argv[2], "GetParametricFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the parametric function to use to generate the tessellation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction *GetParametricFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetParametricFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUResolution */
    if ( strcmp ( argv[2], "SetUResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of subdivisions / tessellations in the u parametric\n direction. Note that the number of tessellant points in the u \n direction is the UResolution + 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUResolution(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetUResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUResolution */
    if ( strcmp ( argv[2], "GetUResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of subdivisions / tessellations in the u parametric\n direction. Note that the number of tessellant points in the u \n direction is the UResolution + 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetUResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVResolution */
    if ( strcmp ( argv[2], "SetVResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of subdivisions / tessellations in the v parametric\n direction. Note that the number of tessellant points in the v \n direction is the VResolution + 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVResolution(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetVResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVResolution */
    if ( strcmp ( argv[2], "GetVResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of subdivisions / tessellations in the v parametric\n direction. Note that the number of tessellant points in the v \n direction is the VResolution + 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetVResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWResolution */
    if ( strcmp ( argv[2], "SetWResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of subdivisions / tessellations in the w parametric\n direction. Note that the number of tessellant points in the w \n direction is the WResolution + 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWResolution(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetWResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWResolution */
    if ( strcmp ( argv[2], "GetWResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of subdivisions / tessellations in the w parametric\n direction. Note that the number of tessellant points in the w \n direction is the WResolution + 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetWResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateTextureCoordinatesOn */
    if ( strcmp ( argv[2], "GenerateTextureCoordinatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateTextureCoordinatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateTextureCoordinatesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateTextureCoordinatesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GenerateTextureCoordinatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateTextureCoordinatesOff */
    if ( strcmp ( argv[2], "GenerateTextureCoordinatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateTextureCoordinatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateTextureCoordinatesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateTextureCoordinatesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GenerateTextureCoordinatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTextureCoordinates */
    if ( strcmp ( argv[2], "SetGenerateTextureCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTextureCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTextureCoordinates */
    Tcl_DStringAppendElement ( &dString, " Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTextureCoordinates(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetGenerateTextureCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTextureCoordinates */
    if ( strcmp ( argv[2], "GetGenerateTextureCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTextureCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTextureCoordinates */
    Tcl_DStringAppendElement ( &dString, " Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTextureCoordinates();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetGenerateTextureCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeMinValue */
    if ( strcmp ( argv[2], "GetScalarModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetScalarModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeMaxValue */
    if ( strcmp ( argv[2], "GetScalarModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetScalarModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMode */
    if ( strcmp ( argv[2], "GetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToNone */
    if ( strcmp ( argv[2], "SetScalarModeToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToNone */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToNone(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToU */
    if ( strcmp ( argv[2], "SetScalarModeToU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToU */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToU(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToV */
    if ( strcmp ( argv[2], "SetScalarModeToV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToV */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToV(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToU0 */
    if ( strcmp ( argv[2], "SetScalarModeToU0" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToU0" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToU0 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToU0(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToU0 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToV0 */
    if ( strcmp ( argv[2], "SetScalarModeToV0" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToV0" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToV0 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToV0(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToV0 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToU0V0 */
    if ( strcmp ( argv[2], "SetScalarModeToU0V0" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToU0V0" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToU0V0 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToU0V0(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToU0V0 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToModulus */
    if ( strcmp ( argv[2], "SetScalarModeToModulus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToModulus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToModulus */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToModulus(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToModulus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToPhase */
    if ( strcmp ( argv[2], "SetScalarModeToPhase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToPhase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToPhase */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToPhase(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToPhase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToQuadrant */
    if ( strcmp ( argv[2], "SetScalarModeToQuadrant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToQuadrant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToQuadrant */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToQuadrant(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToQuadrant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToX */
    if ( strcmp ( argv[2], "SetScalarModeToX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToX */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToX(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToY */
    if ( strcmp ( argv[2], "SetScalarModeToY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToY */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToY(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToZ */
    if ( strcmp ( argv[2], "SetScalarModeToZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToZ */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToZ(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToDistance */
    if ( strcmp ( argv[2], "SetScalarModeToDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToDistance */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToDistance(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToFunctionDefined */
    if ( strcmp ( argv[2], "SetScalarModeToFunctionDefined" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToFunctionDefined" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToFunctionDefined */
    Tcl_DStringAppendElement ( &dString, " Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToFunctionDefined(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for SetScalarModeToFunctionDefined */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the parametric function.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunctionSource" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
