// tcl wrapper for vtkQuadRotationalExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadRotationalExtrusionFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkQuadRotationalExtrusionFilterNewCommand()
{
  vtkQuadRotationalExtrusionFilter *temp = vtkQuadRotationalExtrusionFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkQuadRotationalExtrusionFilterCppCommand(vtkQuadRotationalExtrusionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkQuadRotationalExtrusionFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkQuadRotationalExtrusionFilterCppCommand(static_cast<vtkQuadRotationalExtrusionFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkQuadRotationalExtrusionFilterCppCommand(vtkQuadRotationalExtrusionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkQuadRotationalExtrusionFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkQuadRotationalExtrusionFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadRotationalExtrusionFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkQuadRotationalExtrusionFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadRotationalExtrusionFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkQuadRotationalExtrusionFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadRotationalExtrusionFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxisMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisToX",argv[1]))&&(argc == 2))
    {
    op->SetAxisToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisToY",argv[1]))&&(argc == 2))
    {
    op->SetAxisToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisToZ",argv[1]))&&(argc == 2))
    {
    op->SetAxisToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCapping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CappingOn",argv[1]))&&(argc == 2))
    {
    op->CappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CappingOff",argv[1]))&&(argc == 2))
    {
    op->CappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDefaultAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDefaultAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllPerBlockAngles",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPerBlockAngles();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddPerBlockAngle",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->AddPerBlockAngle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTranslation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTranslation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTranslation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDeltaRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDeltaRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDeltaRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDeltaRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkQuadRotationalExtrusionFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkQuadRotationalExtrusionFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisToX\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisToY\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisToZ\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetCapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCapping\n",NULL);
    Tcl_AppendResult(interp,"  CappingOn\n",NULL);
    Tcl_AppendResult(interp,"  CappingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultAngle\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPerBlockAngles\n",NULL);
    Tcl_AppendResult(interp,"  AddPerBlockAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslation\n",NULL);
    Tcl_AppendResult(interp,"  SetDeltaRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDeltaRadius\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    Tcl_DStringAppendElement ( &dString, "GetAxisMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    Tcl_DStringAppendElement ( &dString, "SetAxisToX" );
    Tcl_DStringAppendElement ( &dString, "SetAxisToY" );
    Tcl_DStringAppendElement ( &dString, "SetAxisToZ" );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultAngle" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultAngle" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPerBlockAngles" );
    Tcl_DStringAppendElement ( &dString, "AddPerBlockAngle" );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRadius" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRadius" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create object with capping on, angle of 360 degrees, resolution = 12, and\n no translation along z-axis.\n vector (0,0,1), and point (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkQuadRotationalExtrusionFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxis */
    if ( strcmp ( argv[2], "SetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxis */
    Tcl_DStringAppendElement ( &dString, " Set the axis of rotation to use. It is set by default to Z.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxis(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisMinValue */
    if ( strcmp ( argv[2], "GetAxisMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the axis of rotation to use. It is set by default to Z.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetAxisMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisMaxValue */
    if ( strcmp ( argv[2], "GetAxisMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the axis of rotation to use. It is set by default to Z.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetAxisMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxis */
    if ( strcmp ( argv[2], "GetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis */
    Tcl_DStringAppendElement ( &dString, " Set the axis of rotation to use. It is set by default to Z.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisToX */
    if ( strcmp ( argv[2], "SetAxisToX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisToX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisToX */
    Tcl_DStringAppendElement ( &dString, " Set the axis of rotation to use. It is set by default to Z.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisToX();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetAxisToX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisToY */
    if ( strcmp ( argv[2], "SetAxisToY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisToY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisToY */
    Tcl_DStringAppendElement ( &dString, " Set the axis of rotation to use. It is set by default to Z.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisToY();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetAxisToY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisToZ */
    if ( strcmp ( argv[2], "SetAxisToZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisToZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisToZ */
    Tcl_DStringAppendElement ( &dString, " Set the axis of rotation to use. It is set by default to Z.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisToZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetAxisToZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolution */
    if ( strcmp ( argv[2], "SetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolutionMinValue */
    if ( strcmp ( argv[2], "GetResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolutionMaxValue */
    if ( strcmp ( argv[2], "GetResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolution */
    if ( strcmp ( argv[2], "GetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCapping */
    if ( strcmp ( argv[2], "SetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCapping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCapping */
    if ( strcmp ( argv[2], "GetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCapping();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOn */
    if ( strcmp ( argv[2], "CappingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for CappingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOff */
    if ( strcmp ( argv[2], "CappingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for CappingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultAngle */
    if ( strcmp ( argv[2], "SetDefaultAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get angle of rotation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultAngle(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetDefaultAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultAngle */
    if ( strcmp ( argv[2], "GetDefaultAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get angle of rotation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDefaultAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetDefaultAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllPerBlockAngles */
    if ( strcmp ( argv[2], "RemoveAllPerBlockAngles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPerBlockAngles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllPerBlockAngles */
    Tcl_DStringAppendElement ( &dString, " Set/Get angles of rotation for each block in a composite data set.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllPerBlockAngles();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for RemoveAllPerBlockAngles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPerBlockAngle */
    if ( strcmp ( argv[2], "AddPerBlockAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPerBlockAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPerBlockAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get angles of rotation for each block in a composite data set.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddPerBlockAngle(vtkIdType blockId, double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for AddPerBlockAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslation */
    if ( strcmp ( argv[2], "SetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslation */
    Tcl_DStringAppendElement ( &dString, " Set/Get total amount of translation along the z-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslation(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslation */
    if ( strcmp ( argv[2], "GetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslation */
    Tcl_DStringAppendElement ( &dString, " Set/Get total amount of translation along the z-axis.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTranslation();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeltaRadius */
    if ( strcmp ( argv[2], "SetDeltaRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get change in radius during sweep process.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDeltaRadius(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for SetDeltaRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeltaRadius */
    if ( strcmp ( argv[2], "GetDeltaRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get change in radius during sweep process.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDeltaRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadRotationalExtrusionFilter" );
    /* Closing for GetDeltaRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
