// tcl wrapper for vtkQuadricDecimation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadricDecimation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkQuadricDecimationNewCommand()
{
  vtkQuadricDecimation *temp = vtkQuadricDecimation::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkQuadricDecimationCppCommand(vtkQuadricDecimation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkQuadricDecimationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkQuadricDecimationCppCommand(static_cast<vtkQuadricDecimation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkQuadricDecimationCppCommand(vtkQuadricDecimation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkQuadricDecimation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkQuadricDecimation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricDecimation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkQuadricDecimation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricDecimation");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkQuadricDecimation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricDecimation");
    return TCL_OK;
    }
  if ((!strcmp("SetTargetReduction",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTargetReduction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetReductionMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReductionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTargetReductionMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReductionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTargetReduction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReduction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeErrorMetric",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeErrorMetric(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeErrorMetric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeErrorMetric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AttributeErrorMetricOn",argv[1]))&&(argc == 2))
    {
    op->AttributeErrorMetricOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AttributeErrorMetricOff",argv[1]))&&(argc == 2))
    {
    op->AttributeErrorMetricOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->ScalarsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->ScalarsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VectorsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->VectorsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VectorsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->VectorsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->NormalsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->NormalsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTCoordsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTCoordsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTCoordsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TCoordsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->TCoordsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TCoordsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->TCoordsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTensorsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTensorsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTensorsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TensorsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->TensorsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TensorsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->TensorsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScalarsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVectorsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNormalsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTCoordsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTCoordsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTensorsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTensorsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScalarsWeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVectorsWeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNormalsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNormalsWeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTCoordsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTCoordsWeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTensorsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTensorsWeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActualReduction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetActualReduction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkQuadricDecimationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkQuadricDecimation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetReduction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReductionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReductionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReduction\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeErrorMetric\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeErrorMetric\n",NULL);
    Tcl_AppendResult(interp,"  AttributeErrorMetricOn\n",NULL);
    Tcl_AppendResult(interp,"  AttributeErrorMetricOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  ScalarsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  VectorsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  VectorsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  NormalsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  TCoordsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  TCoordsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  TensorsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  TensorsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetActualReduction\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetTargetReduction" );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTargetReduction" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeErrorMetric" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeErrorMetric" );
    Tcl_DStringAppendElement ( &dString, "AttributeErrorMetricOn" );
    Tcl_DStringAppendElement ( &dString, "AttributeErrorMetricOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarsAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetScalarsAttribute" );
    Tcl_DStringAppendElement ( &dString, "ScalarsAttributeOn" );
    Tcl_DStringAppendElement ( &dString, "ScalarsAttributeOff" );
    Tcl_DStringAppendElement ( &dString, "SetVectorsAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsAttribute" );
    Tcl_DStringAppendElement ( &dString, "VectorsAttributeOn" );
    Tcl_DStringAppendElement ( &dString, "VectorsAttributeOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalsAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetNormalsAttribute" );
    Tcl_DStringAppendElement ( &dString, "NormalsAttributeOn" );
    Tcl_DStringAppendElement ( &dString, "NormalsAttributeOff" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsAttribute" );
    Tcl_DStringAppendElement ( &dString, "TCoordsAttributeOn" );
    Tcl_DStringAppendElement ( &dString, "TCoordsAttributeOff" );
    Tcl_DStringAppendElement ( &dString, "SetTensorsAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetTensorsAttribute" );
    Tcl_DStringAppendElement ( &dString, "TensorsAttributeOn" );
    Tcl_DStringAppendElement ( &dString, "TensorsAttributeOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarsWeight" );
    Tcl_DStringAppendElement ( &dString, "SetVectorsWeight" );
    Tcl_DStringAppendElement ( &dString, "SetNormalsWeight" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsWeight" );
    Tcl_DStringAppendElement ( &dString, "SetTensorsWeight" );
    Tcl_DStringAppendElement ( &dString, "GetScalarsWeight" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsWeight" );
    Tcl_DStringAppendElement ( &dString, "GetNormalsWeight" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsWeight" );
    Tcl_DStringAppendElement ( &dString, "GetTensorsWeight" );
    Tcl_DStringAppendElement ( &dString, "GetActualReduction" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkQuadricDecimation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTargetReduction */
    if ( strcmp ( argv[2], "SetTargetReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTargetReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTargetReduction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired reduction (expressed as a fraction of the original\n number of triangles). The actual reduction may be less depending on\n triangulation and topological constraints.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTargetReduction(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetTargetReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetReductionMinValue */
    if ( strcmp ( argv[2], "GetTargetReductionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetReductionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired reduction (expressed as a fraction of the original\n number of triangles). The actual reduction may be less depending on\n triangulation and topological constraints.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTargetReductionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetTargetReductionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetReductionMaxValue */
    if ( strcmp ( argv[2], "GetTargetReductionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetReductionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired reduction (expressed as a fraction of the original\n number of triangles). The actual reduction may be less depending on\n triangulation and topological constraints.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTargetReductionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetTargetReductionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetReduction */
    if ( strcmp ( argv[2], "GetTargetReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetReduction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired reduction (expressed as a fraction of the original\n number of triangles). The actual reduction may be less depending on\n triangulation and topological constraints.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTargetReduction();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetTargetReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeErrorMetric */
    if ( strcmp ( argv[2], "SetAttributeErrorMetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeErrorMetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeErrorMetric */
    Tcl_DStringAppendElement ( &dString, " Decide whether to include data attributes in the error metric. If off,\n then only geometric error is used to control the decimation. By default\n the attribute errors are off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeErrorMetric(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetAttributeErrorMetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeErrorMetric */
    if ( strcmp ( argv[2], "GetAttributeErrorMetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeErrorMetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeErrorMetric */
    Tcl_DStringAppendElement ( &dString, " Decide whether to include data attributes in the error metric. If off,\n then only geometric error is used to control the decimation. By default\n the attribute errors are off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeErrorMetric();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetAttributeErrorMetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AttributeErrorMetricOn */
    if ( strcmp ( argv[2], "AttributeErrorMetricOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AttributeErrorMetricOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AttributeErrorMetricOn */
    Tcl_DStringAppendElement ( &dString, " Decide whether to include data attributes in the error metric. If off,\n then only geometric error is used to control the decimation. By default\n the attribute errors are off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AttributeErrorMetricOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for AttributeErrorMetricOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AttributeErrorMetricOff */
    if ( strcmp ( argv[2], "AttributeErrorMetricOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AttributeErrorMetricOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AttributeErrorMetricOff */
    Tcl_DStringAppendElement ( &dString, " Decide whether to include data attributes in the error metric. If off,\n then only geometric error is used to control the decimation. By default\n the attribute errors are off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AttributeErrorMetricOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for AttributeErrorMetricOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarsAttribute */
    if ( strcmp ( argv[2], "SetScalarsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarsAttribute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetScalarsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarsAttribute */
    if ( strcmp ( argv[2], "GetScalarsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarsAttribute();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetScalarsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarsAttributeOn */
    if ( strcmp ( argv[2], "ScalarsAttributeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarsAttributeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarsAttributeOn */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarsAttributeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for ScalarsAttributeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarsAttributeOff */
    if ( strcmp ( argv[2], "ScalarsAttributeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarsAttributeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarsAttributeOff */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarsAttributeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for ScalarsAttributeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorsAttribute */
    if ( strcmp ( argv[2], "SetVectorsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorsAttribute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetVectorsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsAttribute */
    if ( strcmp ( argv[2], "GetVectorsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorsAttribute();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetVectorsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VectorsAttributeOn */
    if ( strcmp ( argv[2], "VectorsAttributeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VectorsAttributeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VectorsAttributeOn */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void VectorsAttributeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for VectorsAttributeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VectorsAttributeOff */
    if ( strcmp ( argv[2], "VectorsAttributeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VectorsAttributeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VectorsAttributeOff */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void VectorsAttributeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for VectorsAttributeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalsAttribute */
    if ( strcmp ( argv[2], "SetNormalsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalsAttribute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetNormalsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalsAttribute */
    if ( strcmp ( argv[2], "GetNormalsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalsAttribute();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetNormalsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalsAttributeOn */
    if ( strcmp ( argv[2], "NormalsAttributeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalsAttributeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalsAttributeOn */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalsAttributeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for NormalsAttributeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalsAttributeOff */
    if ( strcmp ( argv[2], "NormalsAttributeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalsAttributeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalsAttributeOff */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalsAttributeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for NormalsAttributeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordsAttribute */
    if ( strcmp ( argv[2], "SetTCoordsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordsAttribute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetTCoordsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordsAttribute */
    if ( strcmp ( argv[2], "GetTCoordsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTCoordsAttribute();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetTCoordsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TCoordsAttributeOn */
    if ( strcmp ( argv[2], "TCoordsAttributeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TCoordsAttributeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TCoordsAttributeOn */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void TCoordsAttributeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for TCoordsAttributeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TCoordsAttributeOff */
    if ( strcmp ( argv[2], "TCoordsAttributeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TCoordsAttributeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TCoordsAttributeOff */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void TCoordsAttributeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for TCoordsAttributeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorsAttribute */
    if ( strcmp ( argv[2], "SetTensorsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorsAttribute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetTensorsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorsAttribute */
    if ( strcmp ( argv[2], "GetTensorsAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorsAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorsAttribute */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTensorsAttribute();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetTensorsAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TensorsAttributeOn */
    if ( strcmp ( argv[2], "TensorsAttributeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TensorsAttributeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TensorsAttributeOn */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void TensorsAttributeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for TensorsAttributeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TensorsAttributeOff */
    if ( strcmp ( argv[2], "TensorsAttributeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TensorsAttributeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TensorsAttributeOff */
    Tcl_DStringAppendElement ( &dString, " If attribute errors are to be included in the metric (i.e.,\n AttributeErrorMetric is on), then the following flags control which\n attributes are to be included in the error calculation. By default all\n of these are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void TensorsAttributeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for TensorsAttributeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarsWeight */
    if ( strcmp ( argv[2], "SetScalarsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarsWeight(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetScalarsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorsWeight */
    if ( strcmp ( argv[2], "SetVectorsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorsWeight(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetVectorsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalsWeight */
    if ( strcmp ( argv[2], "SetNormalsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalsWeight(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetNormalsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordsWeight */
    if ( strcmp ( argv[2], "SetTCoordsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordsWeight(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetTCoordsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorsWeight */
    if ( strcmp ( argv[2], "SetTensorsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorsWeight(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for SetTensorsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarsWeight */
    if ( strcmp ( argv[2], "GetScalarsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScalarsWeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetScalarsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsWeight */
    if ( strcmp ( argv[2], "GetVectorsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVectorsWeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetVectorsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalsWeight */
    if ( strcmp ( argv[2], "GetNormalsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNormalsWeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetNormalsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordsWeight */
    if ( strcmp ( argv[2], "GetTCoordsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTCoordsWeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetTCoordsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorsWeight */
    if ( strcmp ( argv[2], "GetTensorsWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorsWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorsWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling weight contribution of the attribute. These\n values are used to weight the contribution of the attributes\n towards the error metric.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTensorsWeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetTensorsWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualReduction */
    if ( strcmp ( argv[2], "GetActualReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualReduction */
    Tcl_DStringAppendElement ( &dString, " Get the actual reduction. This value is only valid after the\n filter has executed.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetActualReduction();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricDecimation" );
    /* Closing for GetActualReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
