// tcl wrapper for vtkRectangularButtonSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectangularButtonSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRectangularButtonSourceNewCommand()
{
  vtkRectangularButtonSource *temp = vtkRectangularButtonSource::New();
  return static_cast<ClientData>(temp);
}

int vtkButtonSourceCppCommand(vtkButtonSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRectangularButtonSourceCppCommand(vtkRectangularButtonSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRectangularButtonSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRectangularButtonSourceCppCommand(static_cast<vtkRectangularButtonSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRectangularButtonSourceCppCommand(vtkRectangularButtonSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRectangularButtonSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkButtonSourceCppCommand(static_cast<vtkButtonSource *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkButtonSource"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRectangularButtonSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectangularButtonSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRectangularButtonSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectangularButtonSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRectangularButtonSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectangularButtonSource");
    return TCL_OK;
    }
  if ((!strcmp("SetWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWidthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeightMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeightMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDepth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDepth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDepthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDepthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDepth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoxRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBoxRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoxRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBoxRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBoxRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBoxRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBoxRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBoxRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextureRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTextureRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextureHeightRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTextureHeightRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureHeightRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureHeightRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureHeightRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureHeightRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureHeightRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureHeightRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRectangularButtonSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkButtonSourceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRectangularButtonSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetDepth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDepth\n",NULL);
    Tcl_AppendResult(interp,"  SetBoxRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoxRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBoxRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBoxRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureHeightRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureHeightRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureHeightRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureHeightRatio\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkButtonSourceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    Tcl_DStringAppendElement ( &dString, "GetWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    Tcl_DStringAppendElement ( &dString, "GetHeightMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeightMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    Tcl_DStringAppendElement ( &dString, "SetDepth" );
    Tcl_DStringAppendElement ( &dString, "GetDepthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDepthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    Tcl_DStringAppendElement ( &dString, "SetBoxRatio" );
    Tcl_DStringAppendElement ( &dString, "GetBoxRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBoxRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBoxRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTextureRatio" );
    Tcl_DStringAppendElement ( &dString, "GetTextureRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTextureHeightRatio" );
    Tcl_DStringAppendElement ( &dString, "GetTextureHeightRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureHeightRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureHeightRatio" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkButtonSourceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a circular button with depth 10% of its height.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRectangularButtonSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWidth */
    if ( strcmp ( argv[2], "SetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWidth(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for SetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidthMinValue */
    if ( strcmp ( argv[2], "GetWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidthMaxValue */
    if ( strcmp ( argv[2], "GetWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidth */
    if ( strcmp ( argv[2], "GetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeight */
    if ( strcmp ( argv[2], "SetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeight(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for SetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightMinValue */
    if ( strcmp ( argv[2], "GetHeightMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetHeightMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightMaxValue */
    if ( strcmp ( argv[2], "GetHeightMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetHeightMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeight */
    if ( strcmp ( argv[2], "GetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepth */
    if ( strcmp ( argv[2], "SetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepth(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for SetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthMinValue */
    if ( strcmp ( argv[2], "GetDepthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDepthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetDepthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthMaxValue */
    if ( strcmp ( argv[2], "GetDepthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDepthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetDepthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepth */
    if ( strcmp ( argv[2], "GetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDepth();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoxRatio */
    if ( strcmp ( argv[2], "SetBoxRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoxRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoxRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the bottom of the button with the\n shoulder region. Numbers greater than one produce buttons\n with a wider bottom than shoulder; ratios less than one\n produce buttons that have a wider shoulder than bottom.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoxRatio(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for SetBoxRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoxRatioMinValue */
    if ( strcmp ( argv[2], "GetBoxRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoxRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoxRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the bottom of the button with the\n shoulder region. Numbers greater than one produce buttons\n with a wider bottom than shoulder; ratios less than one\n produce buttons that have a wider shoulder than bottom.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBoxRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetBoxRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoxRatioMaxValue */
    if ( strcmp ( argv[2], "GetBoxRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoxRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoxRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the bottom of the button with the\n shoulder region. Numbers greater than one produce buttons\n with a wider bottom than shoulder; ratios less than one\n produce buttons that have a wider shoulder than bottom.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBoxRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetBoxRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoxRatio */
    if ( strcmp ( argv[2], "GetBoxRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoxRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoxRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the bottom of the button with the\n shoulder region. Numbers greater than one produce buttons\n with a wider bottom than shoulder; ratios less than one\n produce buttons that have a wider shoulder than bottom.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBoxRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetBoxRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureRatio */
    if ( strcmp ( argv[2], "SetTextureRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the texture region to the\n shoulder region. This number must be 0<=tr<=1.\n If the texture style is to fit the image, then satisfying\n the texture ratio may only be possible in one of the\n two directions (length or width) depending on the \n dimensions of the texture.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureRatio(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for SetTextureRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureRatioMinValue */
    if ( strcmp ( argv[2], "GetTextureRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the texture region to the\n shoulder region. This number must be 0<=tr<=1.\n If the texture style is to fit the image, then satisfying\n the texture ratio may only be possible in one of the\n two directions (length or width) depending on the \n dimensions of the texture.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetTextureRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureRatioMaxValue */
    if ( strcmp ( argv[2], "GetTextureRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the texture region to the\n shoulder region. This number must be 0<=tr<=1.\n If the texture style is to fit the image, then satisfying\n the texture ratio may only be possible in one of the\n two directions (length or width) depending on the \n dimensions of the texture.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetTextureRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureRatio */
    if ( strcmp ( argv[2], "GetTextureRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the texture region to the\n shoulder region. This number must be 0<=tr<=1.\n If the texture style is to fit the image, then satisfying\n the texture ratio may only be possible in one of the\n two directions (length or width) depending on the \n dimensions of the texture.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetTextureRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureHeightRatio */
    if ( strcmp ( argv[2], "SetTextureHeightRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureHeightRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureHeightRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the height of the texture region\n to the shoulder height. Values greater than 1.0 yield\n convex buttons with the texture region raised above the\n shoulder. Values less than 1.0 yield concave buttons with\n the texture region below the shoulder.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureHeightRatio(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for SetTextureHeightRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureHeightRatioMinValue */
    if ( strcmp ( argv[2], "GetTextureHeightRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureHeightRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureHeightRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the height of the texture region\n to the shoulder height. Values greater than 1.0 yield\n convex buttons with the texture region raised above the\n shoulder. Values less than 1.0 yield concave buttons with\n the texture region below the shoulder.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureHeightRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetTextureHeightRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureHeightRatioMaxValue */
    if ( strcmp ( argv[2], "GetTextureHeightRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureHeightRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureHeightRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the height of the texture region\n to the shoulder height. Values greater than 1.0 yield\n convex buttons with the texture region raised above the\n shoulder. Values less than 1.0 yield concave buttons with\n the texture region below the shoulder.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureHeightRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetTextureHeightRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureHeightRatio */
    if ( strcmp ( argv[2], "GetTextureHeightRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureHeightRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureHeightRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of the height of the texture region\n to the shoulder height. Values greater than 1.0 yield\n convex buttons with the texture region raised above the\n shoulder. Values less than 1.0 yield concave buttons with\n the texture region below the shoulder.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureHeightRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectangularButtonSource" );
    /* Closing for GetTextureHeightRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkButtonSourceCppCommand(static_cast<vtkButtonSource *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
