// python wrapper for vtkReebGraphToJoinSplitTreeFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkReebGraphToJoinSplitTreeFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkReebGraphToJoinSplitTreeFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkReebGraphToJoinSplitTreeFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkReebGraphToJoinSplitTreeFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkReebGraphToJoinSplitTreeFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDirectedGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDirectedGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDirectedGraphAlgorithmNew
#endif

static const char **PyvtkReebGraphToJoinSplitTreeFilter_Doc();


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkReebGraphToJoinSplitTreeFilter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkReebGraphToJoinSplitTreeFilter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkReebGraphToJoinSplitTreeFilter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkReebGraphToJoinSplitTreeFilter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkReebGraphToJoinSplitTreeFilter *tempr = vtkReebGraphToJoinSplitTreeFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_SetIsSplitTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIsSplitTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIsSplitTree(temp0);
      }
    else
      {
      op->vtkReebGraphToJoinSplitTreeFilter::SetIsSplitTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_GetIsSplitTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsSplitTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetIsSplitTree() :
      op->vtkReebGraphToJoinSplitTreeFilter::GetIsSplitTree());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_SetFieldId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldId(temp0);
      }
    else
      {
      op->vtkReebGraphToJoinSplitTreeFilter::SetFieldId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_GetFieldId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetFieldId() :
      op->vtkReebGraphToJoinSplitTreeFilter::GetFieldId());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReebGraphToJoinSplitTreeFilter_GetOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReebGraphToJoinSplitTreeFilter *op = static_cast<vtkReebGraphToJoinSplitTreeFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkReebGraph *tempr = (ap.IsBound() ?
      op->GetOutput() :
      op->vtkReebGraphToJoinSplitTreeFilter::GetOutput());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkReebGraphToJoinSplitTreeFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkReebGraphToJoinSplitTreeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkReebGraphToJoinSplitTreeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkReebGraphToJoinSplitTreeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkReebGraphToJoinSplitTreeFilter\nC++: vtkReebGraphToJoinSplitTreeFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkReebGraphToJoinSplitTreeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkReebGraphToJoinSplitTreeFilter\nC++: vtkReebGraphToJoinSplitTreeFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetIsSplitTree", PyvtkReebGraphToJoinSplitTreeFilter_SetIsSplitTree, 1,
   (char*)"V.SetIsSplitTree(bool)\nC++: void SetIsSplitTree(bool a)\n\nSpecify if you want to get a join or a split tree. Default value:\nfalse (join tree)\n"},
  {(char*)"GetIsSplitTree", PyvtkReebGraphToJoinSplitTreeFilter_GetIsSplitTree, 1,
   (char*)"V.GetIsSplitTree() -> bool\nC++: bool GetIsSplitTree()\n\nSpecify if you want to get a join or a split tree. Default value:\nfalse (join tree)\n"},
  {(char*)"SetFieldId", PyvtkReebGraphToJoinSplitTreeFilter_SetFieldId, 1,
   (char*)"V.SetFieldId(int)\nC++: void SetFieldId(vtkIdType a)\n\nSet the scalar field Id Default value: 0;\n"},
  {(char*)"GetFieldId", PyvtkReebGraphToJoinSplitTreeFilter_GetFieldId, 1,
   (char*)"V.GetFieldId() -> int\nC++: vtkIdType GetFieldId()\n\nSet the scalar field Id Default value: 0;\n"},
  {(char*)"GetOutput", PyvtkReebGraphToJoinSplitTreeFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkReebGraph\nC++: vtkReebGraph *GetOutput()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkReebGraphToJoinSplitTreeFilter_StaticNew()
{
  return vtkReebGraphToJoinSplitTreeFilter::New();
}

PyObject *PyVTKClass_vtkReebGraphToJoinSplitTreeFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkReebGraphToJoinSplitTreeFilter_StaticNew,
    PyvtkReebGraphToJoinSplitTreeFilter_Methods,
    "vtkReebGraphToJoinSplitTreeFilter", modulename,
    NULL, NULL,
    PyvtkReebGraphToJoinSplitTreeFilter_Doc(),
    PyVTKClass_vtkDirectedGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkReebGraphToJoinSplitTreeFilter_Doc()
{
  static const char *docstring[] = {
    "vtkReebGraphToJoinSplitTreeFilter - converts a given Reeb graph\n\n",
    "Superclass: vtkDirectedGraphAlgorithm\n\n",
    "The filter takes as an input the underlying mesh (port 0, a\nvtkPolyData for 2D meshes or a vtkUnstructuredGrid for 3D meshes)\nwith an attached scalar field (identified by FieldId, with\nsetFieldId()) and an input Reeb graph computed on that mesh (port 1).\nThe outputs is vtkReebGraph object describing either a join or split\ntree.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkReebGraphToJoinSplitTreeFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkReebGraphToJoinSplitTreeFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkReebGraphToJoinSplitTreeFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

