// tcl wrapper for vtkResliceCursorPolyDataAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursorPolyDataAlgorithm.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkResliceCursorPolyDataAlgorithmNewCommand()
{
  vtkResliceCursorPolyDataAlgorithm *temp = vtkResliceCursorPolyDataAlgorithm::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkResliceCursorPolyDataAlgorithmCppCommand(vtkResliceCursorPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkResliceCursorPolyDataAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkResliceCursorPolyDataAlgorithmCppCommand(static_cast<vtkResliceCursorPolyDataAlgorithm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkResliceCursorPolyDataAlgorithmCppCommand(vtkResliceCursorPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkResliceCursorPolyDataAlgorithm",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorPolyDataAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkResliceCursorPolyDataAlgorithm  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPolyDataAlgorithm");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorPolyDataAlgorithm  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SetReslicePlaneNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReslicePlaneNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReslicePlaneNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReslicePlaneNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReslicePlaneNormalToXAxis",argv[1]))&&(argc == 2))
    {
    op->SetReslicePlaneNormalToXAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReslicePlaneNormalToYAxis",argv[1]))&&(argc == 2))
    {
    op->SetReslicePlaneNormalToYAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReslicePlaneNormalToZAxis",argv[1]))&&(argc == 2))
    {
    op->SetReslicePlaneNormalToZAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResliceCursor",argv[1]))&&(argc == 3))
    {
    vtkResliceCursor  *temp0;
    error = 0;

    temp0 = (vtkResliceCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkResliceCursor"),interp,error));
    if (!error)
    {
    op->SetResliceCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceCursor",argv[1]))&&(argc == 2))
    {
    vtkResliceCursor  *temp20;
    temp20 = (op)->GetResliceCursor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursor");
    return TCL_OK;
    }
  if ((!strcmp("SetSliceBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetSliceBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSliceBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetSliceBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSliceBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCenterlineAxis1",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetCenterlineAxis1();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetCenterlineAxis2",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetCenterlineAxis2();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetThickSlabAxis1",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetThickSlabAxis1();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetThickSlabAxis2",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetThickSlabAxis2();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetAxis1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxis1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxis2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxis2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPlaneAxis1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlaneAxis1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPlaneAxis2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlaneAxis2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOtherPlaneForAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOtherPlaneForAxis(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkResliceCursorPolyDataAlgorithmCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkResliceCursorPolyDataAlgorithm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetReslicePlaneNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReslicePlaneNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetReslicePlaneNormalToXAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetReslicePlaneNormalToYAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetReslicePlaneNormalToZAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterlineAxis1\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterlineAxis2\n",NULL);
    Tcl_AppendResult(interp,"  GetThickSlabAxis1\n",NULL);
    Tcl_AppendResult(interp,"  GetThickSlabAxis2\n",NULL);
    Tcl_AppendResult(interp,"  GetAxis1\n",NULL);
    Tcl_AppendResult(interp,"  GetAxis2\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneAxis1\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneAxis2\n",NULL);
    Tcl_AppendResult(interp,"  GetOtherPlaneForAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormal" );
    Tcl_DStringAppendElement ( &dString, "GetReslicePlaneNormal" );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "SetResliceCursor" );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursor" );
    Tcl_DStringAppendElement ( &dString, "SetSliceBounds" );
    Tcl_DStringAppendElement ( &dString, "SetSliceBounds" );
    Tcl_DStringAppendElement ( &dString, "GetSliceBounds" );
    Tcl_DStringAppendElement ( &dString, "GetCenterlineAxis1" );
    Tcl_DStringAppendElement ( &dString, "GetCenterlineAxis2" );
    Tcl_DStringAppendElement ( &dString, "GetThickSlabAxis1" );
    Tcl_DStringAppendElement ( &dString, "GetThickSlabAxis2" );
    Tcl_DStringAppendElement ( &dString, "GetAxis1" );
    Tcl_DStringAppendElement ( &dString, "GetAxis2" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneAxis1" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneAxis2" );
    Tcl_DStringAppendElement ( &dString, "GetOtherPlaneForAxis" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkResliceCursorPolyDataAlgorithm *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReslicePlaneNormal */
    if ( strcmp ( argv[2], "SetReslicePlaneNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReslicePlaneNormal */
    Tcl_DStringAppendElement ( &dString, " Which of the 3 axes defines the reslice plane normal ?\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReslicePlaneNormal(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SetReslicePlaneNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReslicePlaneNormal */
    if ( strcmp ( argv[2], "GetReslicePlaneNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReslicePlaneNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReslicePlaneNormal */
    Tcl_DStringAppendElement ( &dString, " Which of the 3 axes defines the reslice plane normal ?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReslicePlaneNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetReslicePlaneNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReslicePlaneNormalToXAxis */
    if ( strcmp ( argv[2], "SetReslicePlaneNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReslicePlaneNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Set the planes that correspond to the reslice axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReslicePlaneNormalToXAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SetReslicePlaneNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReslicePlaneNormalToYAxis */
    if ( strcmp ( argv[2], "SetReslicePlaneNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReslicePlaneNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Set the planes that correspond to the reslice axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReslicePlaneNormalToYAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SetReslicePlaneNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReslicePlaneNormalToZAxis */
    if ( strcmp ( argv[2], "SetReslicePlaneNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReslicePlaneNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReslicePlaneNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Set the planes that correspond to the reslice axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReslicePlaneNormalToZAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SetReslicePlaneNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceCursor */
    if ( strcmp ( argv[2], "SetResliceCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceCursor */
    Tcl_DStringAppendElement ( &dString, " Set the Reslice cursor from which to generate the polydata representation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResliceCursor(vtkResliceCursor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SetResliceCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceCursor */
    if ( strcmp ( argv[2], "GetResliceCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceCursor */
    Tcl_DStringAppendElement ( &dString, " Set the Reslice cursor from which to generate the polydata representation\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursor *GetResliceCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetResliceCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceBounds */
    if ( strcmp ( argv[2], "SetSliceBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceBounds(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SetSliceBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceBounds */
    if ( strcmp ( argv[2], "SetSliceBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceBounds(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for SetSliceBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceBounds */
    if ( strcmp ( argv[2], "GetSliceBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSliceBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetSliceBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenterlineAxis1 */
    if ( strcmp ( argv[2], "GetCenterlineAxis1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenterlineAxis1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenterlineAxis1 */
    Tcl_DStringAppendElement ( &dString, " Get either one of the axes that this object produces. Depending on\n the mode, one renders either the centerline axes or both the\n centerline axes and the slab\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPolyData *GetCenterlineAxis1();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetCenterlineAxis1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenterlineAxis2 */
    if ( strcmp ( argv[2], "GetCenterlineAxis2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenterlineAxis2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenterlineAxis2 */
    Tcl_DStringAppendElement ( &dString, " Get either one of the axes that this object produces. Depending on\n the mode, one renders either the centerline axes or both the\n centerline axes and the slab\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPolyData *GetCenterlineAxis2();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetCenterlineAxis2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickSlabAxis1 */
    if ( strcmp ( argv[2], "GetThickSlabAxis1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickSlabAxis1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickSlabAxis1 */
    Tcl_DStringAppendElement ( &dString, " Get either one of the axes that this object produces. Depending on\n the mode, one renders either the centerline axes or both the\n centerline axes and the slab\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPolyData *GetThickSlabAxis1();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetThickSlabAxis1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickSlabAxis2 */
    if ( strcmp ( argv[2], "GetThickSlabAxis2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickSlabAxis2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickSlabAxis2 */
    Tcl_DStringAppendElement ( &dString, " Get either one of the axes that this object produces. Depending on\n the mode, one renders either the centerline axes or both the\n centerline axes and the slab\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPolyData *GetThickSlabAxis2();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetThickSlabAxis2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxis1 */
    if ( strcmp ( argv[2], "GetAxis1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis1 */
    Tcl_DStringAppendElement ( &dString, " Get the index of the axes and the planes that they represent\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxis1();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetAxis1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxis2 */
    if ( strcmp ( argv[2], "GetAxis2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis2 */
    Tcl_DStringAppendElement ( &dString, " Get the index of the axes and the planes that they represent\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxis2();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetAxis2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneAxis1 */
    if ( strcmp ( argv[2], "GetPlaneAxis1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneAxis1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneAxis1 */
    Tcl_DStringAppendElement ( &dString, " Get the index of the axes and the planes that they represent\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlaneAxis1();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetPlaneAxis1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneAxis2 */
    if ( strcmp ( argv[2], "GetPlaneAxis2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneAxis2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneAxis2 */
    Tcl_DStringAppendElement ( &dString, " Get the index of the axes and the planes that they represent\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlaneAxis2();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetPlaneAxis2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOtherPlaneForAxis */
    if ( strcmp ( argv[2], "GetOtherPlaneForAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOtherPlaneForAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOtherPlaneForAxis */
    Tcl_DStringAppendElement ( &dString, " Convenience method that, given one plane, returns the other plane\n that this class represents.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOtherPlaneForAxis(int p);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetOtherPlaneForAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the MTime. Check the MTime of the internal ResliceCursor as well, if\n one has been set\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
