// tcl wrapper for vtkRuledSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRuledSurfaceFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRuledSurfaceFilterNewCommand()
{
  vtkRuledSurfaceFilter *temp = vtkRuledSurfaceFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRuledSurfaceFilterCppCommand(vtkRuledSurfaceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRuledSurfaceFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRuledSurfaceFilterCppCommand(static_cast<vtkRuledSurfaceFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRuledSurfaceFilterCppCommand(vtkRuledSurfaceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRuledSurfaceFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRuledSurfaceFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRuledSurfaceFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRuledSurfaceFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRuledSurfaceFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRuledSurfaceFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRuledSurfaceFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetDistanceFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistanceFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistanceFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOnRatio",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOnRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnRatioMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatioMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOnRatioMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatioMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOnRatio",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatio();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffsetMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCloseSurface",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCloseSurface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCloseSurface",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCloseSurface();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CloseSurfaceOn",argv[1]))&&(argc == 2))
    {
    op->CloseSurfaceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CloseSurfaceOff",argv[1]))&&(argc == 2))
    {
    op->CloseSurfaceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRuledMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRuledMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRuledModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRuledModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRuledModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRuledModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRuledMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRuledMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRuledModeToResample",argv[1]))&&(argc == 2))
    {
    op->SetRuledModeToResample();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRuledModeToPointWalk",argv[1]))&&(argc == 2))
    {
    op->SetRuledModeToPointWalk();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRuledModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetRuledModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetResolution(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetResolution();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPassLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassLines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassLinesOn",argv[1]))&&(argc == 2))
    {
    op->PassLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassLinesOff",argv[1]))&&(argc == 2))
    {
    op->PassLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientLoops",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientLoops(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientLoops",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientLoops();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OrientLoopsOn",argv[1]))&&(argc == 2))
    {
    op->OrientLoopsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OrientLoopsOff",argv[1]))&&(argc == 2))
    {
    op->OrientLoopsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRuledSurfaceFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRuledSurfaceFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetDistanceFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetOnRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetCloseSurface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCloseSurface\n",NULL);
    Tcl_AppendResult(interp,"  CloseSurfaceOn\n",NULL);
    Tcl_AppendResult(interp,"  CloseSurfaceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRuledMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRuledModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRuledModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRuledMode\n",NULL);
    Tcl_AppendResult(interp,"  SetRuledModeToResample\n",NULL);
    Tcl_AppendResult(interp,"  SetRuledModeToPointWalk\n",NULL);
    Tcl_AppendResult(interp,"  GetRuledModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetPassLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassLines\n",NULL);
    Tcl_AppendResult(interp,"  PassLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  PassLinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientLoops\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientLoops\n",NULL);
    Tcl_AppendResult(interp,"  OrientLoopsOn\n",NULL);
    Tcl_AppendResult(interp,"  OrientLoopsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetDistanceFactor" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceFactor" );
    Tcl_DStringAppendElement ( &dString, "SetOnRatio" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatio" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetCloseSurface" );
    Tcl_DStringAppendElement ( &dString, "GetCloseSurface" );
    Tcl_DStringAppendElement ( &dString, "CloseSurfaceOn" );
    Tcl_DStringAppendElement ( &dString, "CloseSurfaceOff" );
    Tcl_DStringAppendElement ( &dString, "SetRuledMode" );
    Tcl_DStringAppendElement ( &dString, "GetRuledModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRuledModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRuledMode" );
    Tcl_DStringAppendElement ( &dString, "SetRuledModeToResample" );
    Tcl_DStringAppendElement ( &dString, "SetRuledModeToPointWalk" );
    Tcl_DStringAppendElement ( &dString, "GetRuledModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    Tcl_DStringAppendElement ( &dString, "SetPassLines" );
    Tcl_DStringAppendElement ( &dString, "GetPassLines" );
    Tcl_DStringAppendElement ( &dString, "PassLinesOn" );
    Tcl_DStringAppendElement ( &dString, "PassLinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetOrientLoops" );
    Tcl_DStringAppendElement ( &dString, "GetOrientLoops" );
    Tcl_DStringAppendElement ( &dString, "OrientLoopsOn" );
    Tcl_DStringAppendElement ( &dString, "OrientLoopsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with OnRatio=1, Offset=0. DistanceFactor=3.0,\n CloseSurface off, and PassLines off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRuledSurfaceFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistanceFactor */
    if ( strcmp ( argv[2], "SetDistanceFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistanceFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistanceFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls tearing of the surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistanceFactor(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetDistanceFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceFactorMinValue */
    if ( strcmp ( argv[2], "GetDistanceFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls tearing of the surface.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetDistanceFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceFactorMaxValue */
    if ( strcmp ( argv[2], "GetDistanceFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls tearing of the surface.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetDistanceFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceFactor */
    if ( strcmp ( argv[2], "GetDistanceFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls tearing of the surface.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetDistanceFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOnRatio */
    if ( strcmp ( argv[2], "SetOnRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOnRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOnRatio */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOnRatio(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetOnRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatioMinValue */
    if ( strcmp ( argv[2], "GetOnRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetOnRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatioMaxValue */
    if ( strcmp ( argv[2], "GetOnRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetOnRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatio */
    if ( strcmp ( argv[2], "GetOnRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatio */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetOnRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMinValue */
    if ( strcmp ( argv[2], "GetOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOffsetMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMaxValue */
    if ( strcmp ( argv[2], "GetOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOffsetMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffset */
    if ( strcmp ( argv[2], "GetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffset */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCloseSurface */
    if ( strcmp ( argv[2], "SetCloseSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCloseSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCloseSurface */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCloseSurface(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetCloseSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCloseSurface */
    if ( strcmp ( argv[2], "GetCloseSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCloseSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCloseSurface */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCloseSurface();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetCloseSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CloseSurfaceOn */
    if ( strcmp ( argv[2], "CloseSurfaceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CloseSurfaceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CloseSurfaceOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "void CloseSurfaceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for CloseSurfaceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CloseSurfaceOff */
    if ( strcmp ( argv[2], "CloseSurfaceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CloseSurfaceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CloseSurfaceOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "void CloseSurfaceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for CloseSurfaceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRuledMode */
    if ( strcmp ( argv[2], "SetRuledMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRuledMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRuledMode */
    Tcl_DStringAppendElement ( &dString, " Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRuledMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetRuledMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRuledModeMinValue */
    if ( strcmp ( argv[2], "GetRuledModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRuledModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRuledModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRuledModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetRuledModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRuledModeMaxValue */
    if ( strcmp ( argv[2], "GetRuledModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRuledModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRuledModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRuledModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetRuledModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRuledMode */
    if ( strcmp ( argv[2], "GetRuledMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRuledMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRuledMode */
    Tcl_DStringAppendElement ( &dString, " Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRuledMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetRuledMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRuledModeToResample */
    if ( strcmp ( argv[2], "SetRuledModeToResample" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRuledModeToResample" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRuledModeToResample */
    Tcl_DStringAppendElement ( &dString, " Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRuledModeToResample();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetRuledModeToResample */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRuledModeToPointWalk */
    if ( strcmp ( argv[2], "SetRuledModeToPointWalk" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRuledModeToPointWalk" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRuledModeToPointWalk */
    Tcl_DStringAppendElement ( &dString, " Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRuledModeToPointWalk();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetRuledModeToPointWalk */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRuledModeAsString */
    if ( strcmp ( argv[2], "GetRuledModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRuledModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRuledModeAsString */
    Tcl_DStringAppendElement ( &dString, " Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetRuledModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetRuledModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolution */
    if ( strcmp ( argv[2], "SetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolution */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetResolution(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolution */
    if ( strcmp ( argv[2], "SetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolution */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetResolution(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolution */
    if ( strcmp ( argv[2], "GetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolution */
    Tcl_DStringAppendElement ( &dString, " If the ruled surface generation mode is RESAMPLE, then these parameters\n are used to determine the resample rate. Resolution\\[0\\] defines the\n resolution in the direction of the polylines; Resolution\\[1\\] defines\n the resolution across the polylines (i.e., direction orthogonal to\n Resolution\\[0\\]).\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassLines */
    if ( strcmp ( argv[2], "SetPassLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassLines */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassLines(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetPassLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassLines */
    if ( strcmp ( argv[2], "GetPassLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassLines */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetPassLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassLinesOn */
    if ( strcmp ( argv[2], "PassLinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassLinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassLinesOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassLinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for PassLinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassLinesOff */
    if ( strcmp ( argv[2], "PassLinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassLinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassLinesOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassLinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for PassLinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientLoops */
    if ( strcmp ( argv[2], "SetOrientLoops" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientLoops" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientLoops */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the starting points of the loops need to be determined.\n If set to 0, then its assumes that the 0th point of each loop should be \n always connected\n By defualt the loops are not oriented.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientLoops(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for SetOrientLoops */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientLoops */
    if ( strcmp ( argv[2], "GetOrientLoops" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientLoops" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientLoops */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the starting points of the loops need to be determined.\n If set to 0, then its assumes that the 0th point of each loop should be \n always connected\n By defualt the loops are not oriented.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientLoops();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for GetOrientLoops */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientLoopsOn */
    if ( strcmp ( argv[2], "OrientLoopsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientLoopsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientLoopsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the starting points of the loops need to be determined.\n If set to 0, then its assumes that the 0th point of each loop should be \n always connected\n By defualt the loops are not oriented.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientLoopsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for OrientLoopsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientLoopsOff */
    if ( strcmp ( argv[2], "OrientLoopsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientLoopsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientLoopsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the starting points of the loops need to be determined.\n If set to 0, then its assumes that the 0th point of each loop should be \n always connected\n By defualt the loops are not oriented.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientLoopsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRuledSurfaceFilter" );
    /* Closing for OrientLoopsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
