// tcl wrapper for vtkSelectPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectPolyData.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSelectPolyDataNewCommand()
{
  vtkSelectPolyData *temp = vtkSelectPolyData::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSelectPolyDataCppCommand(vtkSelectPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSelectPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSelectPolyDataCppCommand(static_cast<vtkSelectPolyData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSelectPolyDataCppCommand(vtkSelectPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSelectPolyData",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSelectPolyData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelectPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSelectPolyData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelectPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSelectPolyData  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelectPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGenerateSelectionScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateSelectionScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateSelectionScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateSelectionScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateSelectionScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateSelectionScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateSelectionScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateSelectionScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInsideOut",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInsideOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInsideOut",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInsideOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOn",argv[1]))&&(argc == 2))
    {
    op->InsideOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOff",argv[1]))&&(argc == 2))
    {
    op->InsideOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLoop",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->SetLoop(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLoop",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetLoop();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectionModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToSmallestRegion",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToSmallestRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToLargestRegion",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToLargestRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToClosestPointRegion",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToClosestPointRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectionModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSelectionModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateUnselectedOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateUnselectedOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateUnselectedOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateUnselectedOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateUnselectedOutputOn",argv[1]))&&(argc == 2))
    {
    op->GenerateUnselectedOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateUnselectedOutputOff",argv[1]))&&(argc == 2))
    {
    op->GenerateUnselectedOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUnselectedOutput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetUnselectedOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectionEdges",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetSelectionEdges();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSelectPolyDataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSelectPolyData:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateSelectionScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateSelectionScalars\n",NULL);
    Tcl_AppendResult(interp,"  GenerateSelectionScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateSelectionScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInsideOut\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInsideOut\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOn\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLoop\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLoop\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToSmallestRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToLargestRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToClosestPointRegion\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateUnselectedOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateUnselectedOutput\n",NULL);
    Tcl_AppendResult(interp,"  GenerateUnselectedOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateUnselectedOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUnselectedOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateSelectionScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateSelectionScalars" );
    Tcl_DStringAppendElement ( &dString, "GenerateSelectionScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateSelectionScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    Tcl_DStringAppendElement ( &dString, "SetLoop" );
    Tcl_DStringAppendElement ( &dString, "GetLoop" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSmallestRegion" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToLargestRegion" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToClosestPointRegion" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateUnselectedOutput" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateUnselectedOutput" );
    Tcl_DStringAppendElement ( &dString, "GenerateUnselectedOutputOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateUnselectedOutputOff" );
    Tcl_DStringAppendElement ( &dString, "GetUnselectedOutput" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionEdges" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with InsideOut turned off, and \n GenerateSelectionScalars turned off. The unselected output\n is not generated, and the inside mode is the smallest region.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelectPolyData *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateSelectionScalars */
    if ( strcmp ( argv[2], "SetGenerateSelectionScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateSelectionScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateSelectionScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateSelectionScalars(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetGenerateSelectionScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateSelectionScalars */
    if ( strcmp ( argv[2], "GetGenerateSelectionScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateSelectionScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateSelectionScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateSelectionScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetGenerateSelectionScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateSelectionScalarsOn */
    if ( strcmp ( argv[2], "GenerateSelectionScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateSelectionScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateSelectionScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateSelectionScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GenerateSelectionScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateSelectionScalarsOff */
    if ( strcmp ( argv[2], "GenerateSelectionScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateSelectionScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateSelectionScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateSelectionScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GenerateSelectionScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInsideOut */
    if ( strcmp ( argv[2], "SetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInsideOut(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInsideOut */
    if ( strcmp ( argv[2], "GetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInsideOut();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsideOutOn */
    if ( strcmp ( argv[2], "InsideOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsideOutOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for InsideOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsideOutOff */
    if ( strcmp ( argv[2], "InsideOutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsideOutOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for InsideOutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLoop */
    if ( strcmp ( argv[2], "SetLoop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLoop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLoop */
    Tcl_DStringAppendElement ( &dString, " Set/Get the array of point coordinates defining the loop. There must\n be at least three points used to define a loop.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLoop(vtkPoints *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetLoop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLoop */
    if ( strcmp ( argv[2], "GetLoop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLoop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLoop */
    Tcl_DStringAppendElement ( &dString, " Set/Get the array of point coordinates defining the loop. There must\n be at least three points used to define a loop.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetLoop();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetLoop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionMode */
    if ( strcmp ( argv[2], "SetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionModeMinValue */
    if ( strcmp ( argv[2], "GetSelectionModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetSelectionModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionModeMaxValue */
    if ( strcmp ( argv[2], "GetSelectionModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetSelectionModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionMode */
    if ( strcmp ( argv[2], "GetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToSmallestRegion */
    if ( strcmp ( argv[2], "SetSelectionModeToSmallestRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSmallestRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToSmallestRegion */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionModeToSmallestRegion();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetSelectionModeToSmallestRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToLargestRegion */
    if ( strcmp ( argv[2], "SetSelectionModeToLargestRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToLargestRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToLargestRegion */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionModeToLargestRegion();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetSelectionModeToLargestRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToClosestPointRegion */
    if ( strcmp ( argv[2], "SetSelectionModeToClosestPointRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToClosestPointRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToClosestPointRegion */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionModeToClosestPointRegion();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetSelectionModeToClosestPointRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionModeAsString */
    if ( strcmp ( argv[2], "GetSelectionModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control how inside/outside of loop is defined.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSelectionModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetSelectionModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateUnselectedOutput */
    if ( strcmp ( argv[2], "SetGenerateUnselectedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateUnselectedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateUnselectedOutput */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateUnselectedOutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for SetGenerateUnselectedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateUnselectedOutput */
    if ( strcmp ( argv[2], "GetGenerateUnselectedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateUnselectedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateUnselectedOutput */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateUnselectedOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetGenerateUnselectedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateUnselectedOutputOn */
    if ( strcmp ( argv[2], "GenerateUnselectedOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateUnselectedOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateUnselectedOutputOn */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateUnselectedOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GenerateUnselectedOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateUnselectedOutputOff */
    if ( strcmp ( argv[2], "GenerateUnselectedOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateUnselectedOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateUnselectedOutputOff */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateUnselectedOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GenerateUnselectedOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUnselectedOutput */
    if ( strcmp ( argv[2], "GetUnselectedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnselectedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnselectedOutput */
    Tcl_DStringAppendElement ( &dString, " Return output that hasn't been selected (if GenreateUnselectedOutput is\n enabled).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetUnselectedOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetUnselectedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionEdges */
    if ( strcmp ( argv[2], "GetSelectionEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionEdges */
    Tcl_DStringAppendElement ( &dString, " Return the (mesh) edges of the selection region.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetSelectionEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetSelectionEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectPolyData" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
