// tcl wrapper for vtkSelectionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectionSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSelectionSourceNewCommand()
{
  vtkSelectionSource *temp = vtkSelectionSource::New();
  return static_cast<ClientData>(temp);
}

int vtkSelectionAlgorithmCppCommand(vtkSelectionAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSelectionSourceCppCommand(vtkSelectionSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSelectionSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSelectionSourceCppCommand(static_cast<vtkSelectionSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSelectionSourceCppCommand(vtkSelectionSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSelectionSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSelectionAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSelectionSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelectionSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSelectionSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelectionSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSelectionSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelectionSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddID",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddID(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddStringID",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->AddStringID(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLocation",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->AddLocation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddThreshold",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->AddThreshold(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddBlock",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddBlock(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllIDs",argv[1]))&&(argc == 2))
    {
    op->RemoveAllIDs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllStringIDs",argv[1]))&&(argc == 2))
    {
    op->RemoveAllStringIDs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllThresholds",argv[1]))&&(argc == 2))
    {
    op->RemoveAllThresholds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllLocations",argv[1]))&&(argc == 2))
    {
    op->RemoveAllLocations();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllBlocks",argv[1]))&&(argc == 2))
    {
    op->RemoveAllBlocks();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetContentType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetContentType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContentType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetContentType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFieldType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetContainingCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetContainingCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContainingCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetContainingCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInverse",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInverse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInverse",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInverse();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetArrayComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCompositeIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompositeIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositeIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompositeIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHierarchicalLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHierarchicalLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchicalLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHierarchicalLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHierarchicalIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHierarchicalIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchicalIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHierarchicalIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetQueryString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetQueryString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQueryString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetQueryString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSelectionSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSelectionSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddStringID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLocation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddThreshold\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddBlock\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllIDs\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllStringIDs\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllThresholds\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllLocations\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllBlocks\n",NULL);
    Tcl_AppendResult(interp,"  SetContentType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContentType\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldType\n",NULL);
    Tcl_AppendResult(interp,"  SetContainingCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContainingCells\n",NULL);
    Tcl_AppendResult(interp,"  SetInverse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInverse\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetCompositeIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchicalLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchicalLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchicalIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchicalIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetQueryString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQueryString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "AddID" );
    Tcl_DStringAppendElement ( &dString, "AddStringID" );
    Tcl_DStringAppendElement ( &dString, "AddLocation" );
    Tcl_DStringAppendElement ( &dString, "AddThreshold" );
    Tcl_DStringAppendElement ( &dString, "AddBlock" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllIDs" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllStringIDs" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllThresholds" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllLocations" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllBlocks" );
    Tcl_DStringAppendElement ( &dString, "SetContentType" );
    Tcl_DStringAppendElement ( &dString, "GetContentType" );
    Tcl_DStringAppendElement ( &dString, "SetFieldType" );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    Tcl_DStringAppendElement ( &dString, "SetContainingCells" );
    Tcl_DStringAppendElement ( &dString, "GetContainingCells" );
    Tcl_DStringAppendElement ( &dString, "SetInverse" );
    Tcl_DStringAppendElement ( &dString, "GetInverse" );
    Tcl_DStringAppendElement ( &dString, "SetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "SetCompositeIndex" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeIndex" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalLevel" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalLevel" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalIndex" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalIndex" );
    Tcl_DStringAppendElement ( &dString, "SetQueryString" );
    Tcl_DStringAppendElement ( &dString, "GetQueryString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelectionSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddID */
    if ( strcmp ( argv[2], "AddID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddID */
    Tcl_DStringAppendElement ( &dString, " Add a (piece, id) to the selection set. The source will generate\n only the ids for which piece == UPDATE_PIECE_NUMBER.\n If piece == -1, the id applies to all pieces.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddID(vtkIdType piece, vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for AddID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddStringID */
    if ( strcmp ( argv[2], "AddStringID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddStringID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddStringID */
    Tcl_DStringAppendElement ( &dString, " Add a (piece, id) to the selection set. The source will generate\n only the ids for which piece == UPDATE_PIECE_NUMBER.\n If piece == -1, the id applies to all pieces.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddStringID(vtkIdType piece, const char *id);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for AddStringID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLocation */
    if ( strcmp ( argv[2], "AddLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLocation */
    Tcl_DStringAppendElement ( &dString, " Add a point in world space to probe at.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLocation(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for AddLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddThreshold */
    if ( strcmp ( argv[2], "AddThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddThreshold */
    Tcl_DStringAppendElement ( &dString, " Add a value range to threshold within.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddThreshold(double min, double max);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for AddThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddBlock */
    if ( strcmp ( argv[2], "AddBlock" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddBlock" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddBlock */
    Tcl_DStringAppendElement ( &dString, " Add the flat-index/composite index for a block.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddBlock(vtkIdType blockno);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for AddBlock */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllIDs */
    if ( strcmp ( argv[2], "RemoveAllIDs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllIDs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllIDs */
    Tcl_DStringAppendElement ( &dString, " Removes all IDs.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllIDs();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for RemoveAllIDs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllStringIDs */
    if ( strcmp ( argv[2], "RemoveAllStringIDs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllStringIDs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllStringIDs */
    Tcl_DStringAppendElement ( &dString, " Removes all IDs.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllStringIDs();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for RemoveAllStringIDs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllThresholds */
    if ( strcmp ( argv[2], "RemoveAllThresholds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllThresholds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllThresholds */
    Tcl_DStringAppendElement ( &dString, " Remove all thresholds added with AddThreshold.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllThresholds();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for RemoveAllThresholds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllLocations */
    if ( strcmp ( argv[2], "RemoveAllLocations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllLocations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllLocations */
    Tcl_DStringAppendElement ( &dString, " Remove all locations added with AddLocation.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllLocations();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for RemoveAllLocations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllBlocks */
    if ( strcmp ( argv[2], "RemoveAllBlocks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllBlocks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllBlocks */
    Tcl_DStringAppendElement ( &dString, " Remove all blocks added with AddBlock.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllBlocks();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for RemoveAllBlocks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContentType */
    if ( strcmp ( argv[2], "SetContentType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContentType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContentType */
    Tcl_DStringAppendElement ( &dString, " Set the content type for the generated selection.\n Possible values are as defined by \n vtkSelection::SelectionContent.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContentType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetContentType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContentType */
    if ( strcmp ( argv[2], "GetContentType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContentType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContentType */
    Tcl_DStringAppendElement ( &dString, " Set the content type for the generated selection.\n Possible values are as defined by \n vtkSelection::SelectionContent.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetContentType();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetContentType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldType */
    if ( strcmp ( argv[2], "SetFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldType */
    Tcl_DStringAppendElement ( &dString, " Set the field type for the generated selection.\n Possible values are as defined by\n vtkSelection::SelectionField.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldType */
    if ( strcmp ( argv[2], "GetFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldType */
    Tcl_DStringAppendElement ( &dString, " Set the field type for the generated selection.\n Possible values are as defined by\n vtkSelection::SelectionField.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldType();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContainingCells */
    if ( strcmp ( argv[2], "SetContainingCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContainingCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContainingCells */
    Tcl_DStringAppendElement ( &dString, " When extracting by points, extract the cells that contain the \n passing points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContainingCells(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetContainingCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContainingCells */
    if ( strcmp ( argv[2], "GetContainingCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContainingCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContainingCells */
    Tcl_DStringAppendElement ( &dString, " When extracting by points, extract the cells that contain the \n passing points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetContainingCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetContainingCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInverse */
    if ( strcmp ( argv[2], "SetInverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInverse */
    Tcl_DStringAppendElement ( &dString, " Determines whether the selection describes what to include or exclude. \n Default is 0, meaning include.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInverse(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetInverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInverse */
    if ( strcmp ( argv[2], "GetInverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInverse */
    Tcl_DStringAppendElement ( &dString, " Determines whether the selection describes what to include or exclude. \n Default is 0, meaning include.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInverse();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetInverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrayName */
    if ( strcmp ( argv[2], "SetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayName */
    Tcl_DStringAppendElement ( &dString, " Access to the name of the selection's subset description array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayName */
    if ( strcmp ( argv[2], "GetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayName */
    Tcl_DStringAppendElement ( &dString, " Access to the name of the selection's subset description array.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrayComponent */
    if ( strcmp ( argv[2], "SetArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Access to the component number for the array specified by ArrayName.\n Default is component 0. Use -1 for magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrayComponent(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayComponent */
    if ( strcmp ( argv[2], "GetArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Access to the component number for the array specified by ArrayName.\n Default is component 0. Use -1 for magnitude.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompositeIndex */
    if ( strcmp ( argv[2], "SetCompositeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompositeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompositeIndex */
    Tcl_DStringAppendElement ( &dString, " If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompositeIndex(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetCompositeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeIndex */
    if ( strcmp ( argv[2], "GetCompositeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeIndex */
    Tcl_DStringAppendElement ( &dString, " If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCompositeIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetCompositeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchicalLevel */
    if ( strcmp ( argv[2], "SetHierarchicalLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchicalLevel */
    Tcl_DStringAppendElement ( &dString, " If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHierarchicalLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetHierarchicalLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchicalLevel */
    if ( strcmp ( argv[2], "GetHierarchicalLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchicalLevel */
    Tcl_DStringAppendElement ( &dString, " If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHierarchicalLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetHierarchicalLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchicalIndex */
    if ( strcmp ( argv[2], "SetHierarchicalIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchicalIndex */
    Tcl_DStringAppendElement ( &dString, " If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHierarchicalIndex(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetHierarchicalIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchicalIndex */
    if ( strcmp ( argv[2], "GetHierarchicalIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchicalIndex */
    Tcl_DStringAppendElement ( &dString, " If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHierarchicalIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetHierarchicalIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQueryString */
    if ( strcmp ( argv[2], "SetQueryString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQueryString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQueryString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the query expression string.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQueryString(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for SetQueryString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQueryString */
    if ( strcmp ( argv[2], "GetQueryString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQueryString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQueryString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the query expression string.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetQueryString();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelectionSource" );
    /* Closing for GetQueryString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
