// tcl wrapper for vtkSmoothPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSmoothPolyDataFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSmoothPolyDataFilterNewCommand()
{
  vtkSmoothPolyDataFilter *temp = vtkSmoothPolyDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSmoothPolyDataFilterCppCommand(vtkSmoothPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSmoothPolyDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSmoothPolyDataFilterCppCommand(static_cast<vtkSmoothPolyDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSmoothPolyDataFilterCppCommand(vtkSmoothPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSmoothPolyDataFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSmoothPolyDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSmoothPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSmoothPolyDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSmoothPolyDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSmoothPolyDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSmoothPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetConvergence",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetConvergence(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvergenceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConvergenceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetConvergenceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConvergenceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetConvergence",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConvergence();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfIterationsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfIterationsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRelaxationFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRelaxationFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRelaxationFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRelaxationFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFeatureEdgeSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFeatureEdgeSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeatureEdgeSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFeatureEdgeSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FeatureEdgeSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->FeatureEdgeSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FeatureEdgeSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->FeatureEdgeSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFeatureAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeatureAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEdgeAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundarySmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundarySmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundarySmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundarySmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BoundarySmoothingOn",argv[1]))&&(argc == 2))
    {
    op->BoundarySmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoundarySmoothingOff",argv[1]))&&(argc == 2))
    {
    op->BoundarySmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateErrorScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateErrorScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateErrorScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateErrorScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateErrorVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateErrorVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateErrorVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateErrorVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorVectorsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorVectorsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSmoothPolyDataFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSmoothPolyDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetConvergence\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvergenceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetConvergenceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetConvergence\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterationsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterationsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetRelaxationFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRelaxationFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetFeatureEdgeSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureEdgeSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  FeatureEdgeSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  FeatureEdgeSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFeatureAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundarySmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundarySmoothing\n",NULL);
    Tcl_AppendResult(interp,"  BoundarySmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  BoundarySmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateErrorScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateErrorScalars\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateErrorVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateErrorVectors\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetConvergence" );
    Tcl_DStringAppendElement ( &dString, "GetConvergenceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetConvergenceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetConvergence" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetRelaxationFactor" );
    Tcl_DStringAppendElement ( &dString, "GetRelaxationFactor" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureEdgeSmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdgeSmoothing" );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeAngle" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngle" );
    Tcl_DStringAppendElement ( &dString, "SetBoundarySmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetBoundarySmoothing" );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorScalars" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorVectors" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorVectors" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with number of iterations 20; relaxation factor .01;\n feature edge smoothing turned off; feature \n angle 45 degrees; edge angle 15 degrees; and boundary smoothing turned \n on. Error scalars and vectors are not generated (by default). The \n convergence criterion is 0.0 of the bounding box diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSmoothPolyDataFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvergence */
    if ( strcmp ( argv[2], "SetConvergence" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvergence" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvergence */
    Tcl_DStringAppendElement ( &dString, " Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvergence(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetConvergence */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvergenceMinValue */
    if ( strcmp ( argv[2], "GetConvergenceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvergenceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvergenceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetConvergenceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetConvergenceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvergenceMaxValue */
    if ( strcmp ( argv[2], "GetConvergenceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvergenceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvergenceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetConvergenceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetConvergenceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvergence */
    if ( strcmp ( argv[2], "GetConvergence" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvergence" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvergence */
    Tcl_DStringAppendElement ( &dString, " Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetConvergence();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetConvergence */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfIterations */
    if ( strcmp ( argv[2], "SetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations for Laplacian smoothing,\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfIterations(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterationsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations for Laplacian smoothing,\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterationsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetNumberOfIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterationsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations for Laplacian smoothing,\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterationsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetNumberOfIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterations */
    if ( strcmp ( argv[2], "GetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations for Laplacian smoothing,\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterations();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRelaxationFactor */
    if ( strcmp ( argv[2], "SetRelaxationFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRelaxationFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRelaxationFactor */
    Tcl_DStringAppendElement ( &dString, " Specify the relaxation factor for Laplacian smoothing. As in all\n iterative methods, the stability of the process is sensitive to\n this parameter. In general, small relaxation factors and large\n numbers of iterations are more stable than larger relaxation\n factors and smaller numbers of iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRelaxationFactor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetRelaxationFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRelaxationFactor */
    if ( strcmp ( argv[2], "GetRelaxationFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelaxationFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelaxationFactor */
    Tcl_DStringAppendElement ( &dString, " Specify the relaxation factor for Laplacian smoothing. As in all\n iterative methods, the stability of the process is sensitive to\n this parameter. In general, small relaxation factors and large\n numbers of iterations are more stable than larger relaxation\n factors and smaller numbers of iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRelaxationFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetRelaxationFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFeatureEdgeSmoothing */
    if ( strcmp ( argv[2], "SetFeatureEdgeSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureEdgeSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureEdgeSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFeatureEdgeSmoothing(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetFeatureEdgeSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureEdgeSmoothing */
    if ( strcmp ( argv[2], "GetFeatureEdgeSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdgeSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureEdgeSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFeatureEdgeSmoothing();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetFeatureEdgeSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FeatureEdgeSmoothingOn */
    if ( strcmp ( argv[2], "FeatureEdgeSmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FeatureEdgeSmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void FeatureEdgeSmoothingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for FeatureEdgeSmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FeatureEdgeSmoothingOff */
    if ( strcmp ( argv[2], "FeatureEdgeSmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FeatureEdgeSmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void FeatureEdgeSmoothingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for FeatureEdgeSmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFeatureAngle */
    if ( strcmp ( argv[2], "SetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFeatureAngle(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngleMinValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetFeatureAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngleMaxValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetFeatureAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngle */
    if ( strcmp ( argv[2], "GetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeAngle */
    if ( strcmp ( argv[2], "SetEdgeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeAngle(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetEdgeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeAngleMinValue */
    if ( strcmp ( argv[2], "GetEdgeAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeAngleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetEdgeAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeAngleMaxValue */
    if ( strcmp ( argv[2], "GetEdgeAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeAngleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetEdgeAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeAngle */
    if ( strcmp ( argv[2], "GetEdgeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetEdgeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundarySmoothing */
    if ( strcmp ( argv[2], "SetBoundarySmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundarySmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundarySmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundarySmoothing(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetBoundarySmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundarySmoothing */
    if ( strcmp ( argv[2], "GetBoundarySmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundarySmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundarySmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundarySmoothing();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetBoundarySmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundarySmoothingOn */
    if ( strcmp ( argv[2], "BoundarySmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundarySmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundarySmoothingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for BoundarySmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundarySmoothingOff */
    if ( strcmp ( argv[2], "BoundarySmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundarySmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundarySmoothingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for BoundarySmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateErrorScalars */
    if ( strcmp ( argv[2], "SetGenerateErrorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateErrorScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateErrorScalars(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetGenerateErrorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateErrorScalars */
    if ( strcmp ( argv[2], "GetGenerateErrorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateErrorScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateErrorScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetGenerateErrorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorScalarsOn */
    if ( strcmp ( argv[2], "GenerateErrorScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GenerateErrorScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorScalarsOff */
    if ( strcmp ( argv[2], "GenerateErrorScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GenerateErrorScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateErrorVectors */
    if ( strcmp ( argv[2], "SetGenerateErrorVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateErrorVectors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateErrorVectors(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetGenerateErrorVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateErrorVectors */
    if ( strcmp ( argv[2], "GetGenerateErrorVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateErrorVectors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateErrorVectors();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetGenerateErrorVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorVectorsOn */
    if ( strcmp ( argv[2], "GenerateErrorVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorVectorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GenerateErrorVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorVectorsOff */
    if ( strcmp ( argv[2], "GenerateErrorVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorVectorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GenerateErrorVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object which is used to constrain smoothing. The \n source defines a surface that the input (as it is smoothed) is \n constrained to lie upon.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(vtkPolyData *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object which is used to constrain smoothing. The \n source defines a surface that the input (as it is smoothed) is \n constrained to lie upon.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmoothPolyDataFilter" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
