// tcl wrapper for vtkSplineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSplineFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSplineFilterNewCommand()
{
  vtkSplineFilter *temp = vtkSplineFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSplineFilterCppCommand(vtkSplineFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSplineFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSplineFilterCppCommand(static_cast<vtkSplineFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSplineFilterCppCommand(vtkSplineFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSplineFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSplineFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSplineFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSplineFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSplineFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSplineFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSplineFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfSubdivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfSubdivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfSubdivisionsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfSubdivisionsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfSubdivisionsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfSubdivisionsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubdivide",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSubdivide(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubdivideMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubdivideMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubdivideMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubdivideMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubdivide",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubdivide();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubdivideToSpecified",argv[1]))&&(argc == 2))
    {
    op->SetSubdivideToSpecified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSubdivideToLength",argv[1]))&&(argc == 2))
    {
    op->SetSubdivideToLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSubdivideAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSubdivideAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSubdivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSubdivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSubdivisionsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSubdivisionsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSubdivisionsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSubdivisionsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSpline"),interp,error));
    if (!error)
    {
    op->SetSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetSpline();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateTCoordsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoordsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoordsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoordsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToOff",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToNormalizedLength",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToNormalizedLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToUseLength",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToUseLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToUseScalars",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToUseScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoordsAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGenerateTCoordsAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextureLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTextureLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSplineFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSplineFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSubdivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSubdivisionsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSubdivisionsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivide\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivideMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivideMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivide\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivideToSpecified\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivideToLength\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivideAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSubdivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSubdivisionsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSubdivisionsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  SetLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLength\n",NULL);
    Tcl_AppendResult(interp,"  SetSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpline\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToNormalizedLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToUseLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToUseScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLength\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisionsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisionsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivide" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivide" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivideToSpecified" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivideToLength" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideAsString" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisionsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisionsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "SetLength" );
    Tcl_DStringAppendElement ( &dString, "GetLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLength" );
    Tcl_DStringAppendElement ( &dString, "SetSpline" );
    Tcl_DStringAppendElement ( &dString, "GetSpline" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoords" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToNormalizedLength" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseLength" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsAsString" );
    Tcl_DStringAppendElement ( &dString, "SetTextureLength" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLength" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct the class with no limit on the number of subdivisions\n and using an instance of vtkCardinalSpline to perform interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSplineFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfSubdivisions */
    if ( strcmp ( argv[2], "SetMaximumNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of subdivisions that are created for each\n polyline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfSubdivisions(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetMaximumNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfSubdivisionsMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSubdivisionsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisionsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSubdivisionsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of subdivisions that are created for each\n polyline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfSubdivisionsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetMaximumNumberOfSubdivisionsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfSubdivisionsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSubdivisionsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisionsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSubdivisionsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of subdivisions that are created for each\n polyline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfSubdivisionsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetMaximumNumberOfSubdivisionsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfSubdivisions */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of subdivisions that are created for each\n polyline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfSubdivisions();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetMaximumNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubdivide */
    if ( strcmp ( argv[2], "SetSubdivide" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivide" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivide */
    Tcl_DStringAppendElement ( &dString, " Specify how the number of subdivisions is determined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubdivide(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetSubdivide */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivideMinValue */
    if ( strcmp ( argv[2], "GetSubdivideMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivideMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify how the number of subdivisions is determined.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubdivideMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetSubdivideMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivideMaxValue */
    if ( strcmp ( argv[2], "GetSubdivideMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivideMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify how the number of subdivisions is determined.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubdivideMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetSubdivideMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivide */
    if ( strcmp ( argv[2], "GetSubdivide" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivide" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivide */
    Tcl_DStringAppendElement ( &dString, " Specify how the number of subdivisions is determined.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubdivide();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetSubdivide */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubdivideToSpecified */
    if ( strcmp ( argv[2], "SetSubdivideToSpecified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivideToSpecified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivideToSpecified */
    Tcl_DStringAppendElement ( &dString, " Specify how the number of subdivisions is determined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubdivideToSpecified();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetSubdivideToSpecified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubdivideToLength */
    if ( strcmp ( argv[2], "SetSubdivideToLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivideToLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivideToLength */
    Tcl_DStringAppendElement ( &dString, " Specify how the number of subdivisions is determined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubdivideToLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetSubdivideToLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivideAsString */
    if ( strcmp ( argv[2], "GetSubdivideAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivideAsString */
    Tcl_DStringAppendElement ( &dString, " Specify how the number of subdivisions is determined.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSubdivideAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetSubdivideAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSubdivisions */
    if ( strcmp ( argv[2], "SetNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSubdivisions(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSubdivisionsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfSubdivisionsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisionsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSubdivisionsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSubdivisionsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetNumberOfSubdivisionsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSubdivisionsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfSubdivisionsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisionsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSubdivisionsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSubdivisionsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetNumberOfSubdivisionsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSubdivisions */
    if ( strcmp ( argv[2], "GetNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSubdivisions();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLength */
    if ( strcmp ( argv[2], "SetLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLength */
    Tcl_DStringAppendElement ( &dString, " Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLengthMinValue */
    if ( strcmp ( argv[2], "GetLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLengthMaxValue */
    if ( strcmp ( argv[2], "GetLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLength */
    if ( strcmp ( argv[2], "GetLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLength */
    Tcl_DStringAppendElement ( &dString, " Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpline */
    if ( strcmp ( argv[2], "SetSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpline */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkSpline to use to perform the interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSpline(vtkSpline *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpline */
    if ( strcmp ( argv[2], "GetSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpline */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkSpline to use to perform the interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline *GetSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoords */
    if ( strcmp ( argv[2], "SetGenerateTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoords */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoords(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetGenerateTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsMinValue */
    if ( strcmp ( argv[2], "GetGenerateTCoordsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsMinValue */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoordsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetGenerateTCoordsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsMaxValue */
    if ( strcmp ( argv[2], "GetGenerateTCoordsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoordsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetGenerateTCoordsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoords */
    if ( strcmp ( argv[2], "GetGenerateTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoords */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoords();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetGenerateTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToOff */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToOff */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetGenerateTCoordsToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToNormalizedLength */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToNormalizedLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToNormalizedLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToNormalizedLength */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToNormalizedLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetGenerateTCoordsToNormalizedLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToUseLength */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToUseLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToUseLength */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToUseLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetGenerateTCoordsToUseLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToUseScalars */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToUseScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToUseScalars */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToUseScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetGenerateTCoordsToUseScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsAsString */
    if ( strcmp ( argv[2], "GetGenerateTCoordsAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsAsString */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetGenerateTCoordsAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetGenerateTCoordsAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureLength */
    if ( strcmp ( argv[2], "SetTextureLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureLength */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureLength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for SetTextureLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLengthMinValue */
    if ( strcmp ( argv[2], "GetTextureLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetTextureLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLengthMaxValue */
    if ( strcmp ( argv[2], "GetTextureLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetTextureLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLength */
    if ( strcmp ( argv[2], "GetTextureLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLength */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineFilter" );
    /* Closing for GetTextureLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
