// tcl wrapper for vtkStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamTracer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStreamTracerNewCommand()
{
  vtkStreamTracer *temp = vtkStreamTracer::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamTracerCppCommand(vtkStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStreamTracerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStreamTracerCppCommand(static_cast<vtkStreamTracer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamTracerCppCommand(vtkStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStreamTracer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStreamTracer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStreamTracer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamTracer");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStreamTracer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetStartPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
    {
    vtkInitialValueProblemSolver  *temp0;
    error = 0;

    temp0 = (vtkInitialValueProblemSolver *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInitialValueProblemSolver"),interp,error));
    if (!error)
    {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
    {
    vtkInitialValueProblemSolver  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInitialValueProblemSolver");
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegratorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegratorType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegratorType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta2",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta4",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta4();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta45",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta45();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolatorTypeToDataSetPointLocator",argv[1]))&&(argc == 2))
    {
    op->SetInterpolatorTypeToDataSetPointLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolatorTypeToCellLocator",argv[1]))&&(argc == 2))
    {
    op->SetInterpolatorTypeToCellLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumPropagation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumPropagation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationStepUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInitialIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInitialIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInitialIntegrationStep();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumIntegrationStep();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumIntegrationStep();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfSteps",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfSteps",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfSteps();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminalSpeed",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTerminalSpeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerminalSpeed",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalSpeed();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationDirectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToForward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBackward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBoth",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeVorticity",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetComputeVorticity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeVorticity",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetComputeVorticity();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRotationScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRotationScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRotationScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolatorPrototype",argv[1]))&&(argc == 3))
    {
    vtkAbstractInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractInterpolatedVelocityField"),interp,error));
    if (!error)
    {
    op->SetInterpolatorPrototype(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolatorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolatorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStreamTracerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamTracer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStartPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrator\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegratorType\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta2\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta4\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta45\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolatorTypeToDataSetPointLocator\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolatorTypeToCellLocator\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagation\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumError\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminalSpeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalSpeed\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToForward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBackward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBoth\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeVorticity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeVorticity\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationScale\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolatorPrototype\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolatorType\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorType" );
    Tcl_DStringAppendElement ( &dString, "GetIntegratorType" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta2" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta4" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta45" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToDataSetPointLocator" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToCellLocator" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagation" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagation" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumError" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumError" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBoth" );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "SetRotationScale" );
    Tcl_DStringAppendElement ( &dString, "GetRotationScale" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorPrototype" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object to start from position (0,0,0), with forward\n integration, terminal speed 1.0E-12, vorticity computation on,\n integration step size 0.5 (in cell length unit), maximum number\n of steps 2000, using Runge-Kutta2, and maximum propagation 1.0\n (in arc length unit).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkStreamTracer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartPosition */
    if ( strcmp ( argv[2], "GetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetStartPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points (seeds).\n Old style. Do not use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(vtkDataSet *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points (seeds).\n Old style. Do not use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points (seeds).\n New style.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrator */
    if ( strcmp ( argv[2], "SetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrator(vtkInitialValueProblemSolver *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrator */
    if ( strcmp ( argv[2], "GetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver *GetIntegrator();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorType */
    if ( strcmp ( argv[2], "SetIntegratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorType */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegratorType */
    if ( strcmp ( argv[2], "GetIntegratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegratorType */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegratorType();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetIntegratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorTypeToRungeKutta2 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta2 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta2();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegratorTypeToRungeKutta2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorTypeToRungeKutta4 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta4 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta4();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegratorTypeToRungeKutta4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegratorTypeToRungeKutta45 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta45" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta45" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta45 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta45();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegratorTypeToRungeKutta45 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolatorTypeToDataSetPointLocator */
    if ( strcmp ( argv[2], "SetInterpolatorTypeToDataSetPointLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToDataSetPointLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorTypeToDataSetPointLocator */
    Tcl_DStringAppendElement ( &dString, " Set the velocity field interpolator type to the one involving\n a dataset point locator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorTypeToDataSetPointLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetInterpolatorTypeToDataSetPointLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolatorTypeToCellLocator */
    if ( strcmp ( argv[2], "SetInterpolatorTypeToCellLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToCellLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorTypeToCellLocator */
    Tcl_DStringAppendElement ( &dString, " Set the velocity field interpolator type to the one involving\n a cell locator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorTypeToCellLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetInterpolatorTypeToCellLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagation */
    if ( strcmp ( argv[2], "SetMaximumPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagation */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of a streamline expressed in LENGTH_UNIT.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagation(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetMaximumPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagation */
    if ( strcmp ( argv[2], "GetMaximumPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagation */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of a streamline expressed in LENGTH_UNIT.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagation();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetMaximumPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationStepUnit */
    if ( strcmp ( argv[2], "SetIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify a uniform integration step unit for MinimumIntegrationStep,\n InitialIntegrationStep, and MaximumIntegrationStep. NOTE: The valid\n unit is now limited to only LENGTH_UNIT (1) and CELL_LENGTH_UNIT (2),\n EXCLUDING the previously-supported TIME_UNIT.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationStepUnit(int unit);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationStepUnit */
    if ( strcmp ( argv[2], "GetIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify a uniform integration step unit for MinimumIntegrationStep,\n InitialIntegrationStep, and MaximumIntegrationStep. NOTE: The valid\n unit is now limited to only LENGTH_UNIT (1) and CELL_LENGTH_UNIT (2),\n EXCLUDING the previously-supported TIME_UNIT.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationStepUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialIntegrationStep */
    if ( strcmp ( argv[2], "SetInitialIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Initial step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (either the starting size for an adaptive integrator, e.g., RK45,\n or the constant / fixed size for non-adaptive ones, i.e., RK2 and RK4)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialIntegrationStep(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetInitialIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialIntegrationStep */
    if ( strcmp ( argv[2], "GetInitialIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Initial step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (either the starting size for an adaptive integrator, e.g., RK45,\n or the constant / fixed size for non-adaptive ones, i.e., RK2 and RK4)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInitialIntegrationStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetInitialIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumIntegrationStep */
    if ( strcmp ( argv[2], "SetMinimumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Minimum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumIntegrationStep(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetMinimumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumIntegrationStep */
    if ( strcmp ( argv[2], "GetMinimumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Minimum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumIntegrationStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetMinimumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumIntegrationStep */
    if ( strcmp ( argv[2], "SetMaximumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Maximum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumIntegrationStep(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetMaximumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumIntegrationStep */
    if ( strcmp ( argv[2], "GetMaximumIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Maximum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumIntegrationStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetMaximumIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumError */
    if ( strcmp ( argv[2], "SetMaximumError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumError */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumError(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetMaximumError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumError */
    if ( strcmp ( argv[2], "GetMaximumError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumError */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumError();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetMaximumError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "SetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfSteps(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminalSpeed */
    if ( strcmp ( argv[2], "SetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminalSpeed(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalSpeed */
    if ( strcmp ( argv[2], "GetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalSpeed();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirection */
    if ( strcmp ( argv[2], "SetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamline is integrated in the upstream or\n downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirection(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMinValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamline is integrated in the upstream or\n downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetIntegrationDirectionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMaxValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamline is integrated in the upstream or\n downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetIntegrationDirectionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirection */
    if ( strcmp ( argv[2], "GetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamline is integrated in the upstream or\n downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirection();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToForward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToForward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToForward */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamline is integrated in the upstream or\n downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToForward();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegrationDirectionToForward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToBackward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToBackward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToBackward */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamline is integrated in the upstream or\n downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToBackward();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegrationDirectionToBackward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToBoth */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToBoth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBoth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToBoth */
    Tcl_DStringAppendElement ( &dString, " Specify whether the streamline is integrated in the upstream or\n downstream direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToBoth();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetIntegrationDirectionToBoth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeVorticity */
    if ( strcmp ( argv[2], "SetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeVorticity(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeVorticity */
    if ( strcmp ( argv[2], "GetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool GetComputeVorticity();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRotationScale */
    if ( strcmp ( argv[2], "SetRotationScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationScale(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetRotationScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRotationScale */
    if ( strcmp ( argv[2], "GetRotationScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetRotationScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for GetRotationScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolatorPrototype */
    if ( strcmp ( argv[2], "SetInterpolatorPrototype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorPrototype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorPrototype */
    Tcl_DStringAppendElement ( &dString, " The object used to interpolate the velocity field during\n integration is of the same class as this prototype.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorPrototype(vtkAbstractInterpolatedVelocityField *ivf);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetInterpolatorPrototype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolatorType */
    if ( strcmp ( argv[2], "SetInterpolatorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the velocity field interpolator to determine whether\n vtkInterpolatedVelocityField (INTERPOLATOR_WITH_DATASET_POINT_LOCATOR) or\n vtkCellLocatorInterpolatedVelocityField (INTERPOLATOR_WITH_CELL_LOCATOR)\n is employed for locating cells during streamline integration. The latter\n (adopting vtkAbstractCellLocator sub-classes such as vtkCellLocator and\n vtkModifiedBSPTree) is more robust then the former (through vtkDataSet /\n vtkPointSet::FindCell() coupled  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorType(int interpType);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamTracer" );
    /* Closing for SetInterpolatorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
