// tcl wrapper for vtkStreamingTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingTessellator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStreamingTessellatorNewCommand()
{
  vtkStreamingTessellator *temp = vtkStreamingTessellator::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamingTessellatorCppCommand(vtkStreamingTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStreamingTessellatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStreamingTessellatorCppCommand(static_cast<vtkStreamingTessellator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamingTessellatorCppCommand(vtkStreamingTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStreamingTessellator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStreamingTessellator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingTessellator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStreamingTessellator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingTessellator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStreamingTessellator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingTessellator");
    return TCL_OK;
    }
  if ((!strcmp("SetSubdivisionAlgorithm",argv[1]))&&(argc == 3))
    {
    vtkEdgeSubdivisionCriterion  *temp0;
    error = 0;

    temp0 = (vtkEdgeSubdivisionCriterion *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEdgeSubdivisionCriterion"),interp,error));
    if (!error)
    {
    op->SetSubdivisionAlgorithm(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubdivisionAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkEdgeSubdivisionCriterion  *temp20;
    temp20 = (op)->GetSubdivisionAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEdgeSubdivisionCriterion");
    return TCL_OK;
    }
  if ((!strcmp("GetSubdivisionAlgorithm",argv[1]))&&(argc == 2))
    {
    const vtkEdgeSubdivisionCriterion  *temp20;
    temp20 = (op)->GetSubdivisionAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEdgeSubdivisionCriterion");
    return TCL_OK;
    }
  if ((!strcmp("SetEmbeddingDimension",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEmbeddingDimension(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEmbeddingDimension",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEmbeddingDimension(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFieldSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFieldSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFieldSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfSubdivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfSubdivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetCounts",argv[1]))&&(argc == 2))
    {
    op->ResetCounts();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCaseCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCaseCount(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubcaseCount",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSubcaseCount(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStreamingTessellatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamingTessellator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivisionAlgorithm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivisionAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivisionAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  SetEmbeddingDimension\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEmbeddingDimension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSubdivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  ResetCounts\n",NULL);
    Tcl_AppendResult(interp,"  GetCaseCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubcaseCount\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivisionAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivisionAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivisionAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "SetEmbeddingDimension" );
    Tcl_DStringAppendElement ( &dString, "GetEmbeddingDimension" );
    Tcl_DStringAppendElement ( &dString, "SetFieldSize" );
    Tcl_DStringAppendElement ( &dString, "GetFieldSize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "ResetCounts" );
    Tcl_DStringAppendElement ( &dString, "GetCaseCount" );
    Tcl_DStringAppendElement ( &dString, "GetSubcaseCount" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStreamingTessellator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubdivisionAlgorithm */
    if ( strcmp ( argv[2], "SetSubdivisionAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivisionAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeSubdivisionCriterion" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivisionAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Get/Set the algorithm used to determine whether an edge should be\n subdivided or left as-is. This is used once for each call to\n AdaptivelySample1Facet (which is recursive and will call itself\n resulting in additional edges to be checked) or three times for\n each call to AdaptivelySample2Facet (also recursive).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSubdivisionAlgorithm(vtkEdgeSubdivisionCriterion *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for SetSubdivisionAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivisionAlgorithm */
    if ( strcmp ( argv[2], "GetSubdivisionAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivisionAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivisionAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Get/Set the algorithm used to determine whether an edge should be\n subdivided or left as-is. This is used once for each call to\n AdaptivelySample1Facet (which is recursive and will call itself\n resulting in additional edges to be checked) or three times for\n each call to AdaptivelySample2Facet (also recursive).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkEdgeSubdivisionCriterion *GetSubdivisionAlgorithm();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetSubdivisionAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivisionAlgorithm */
    if ( strcmp ( argv[2], "GetSubdivisionAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivisionAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivisionAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Get/Set the algorithm used to determine whether an edge should be\n subdivided or left as-is. This is used once for each call to\n AdaptivelySample1Facet (which is recursive and will call itself\n resulting in additional edges to be checked) or three times for\n each call to AdaptivelySample2Facet (also recursive).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const vtkEdgeSubdivisionCriterion *GetSubdivisionAlgorithm() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetSubdivisionAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEmbeddingDimension */
    if ( strcmp ( argv[2], "SetEmbeddingDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEmbeddingDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEmbeddingDimension */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of parameter-space coordinates associated with each input and output point.\n The default is \\a k for \\a k -facets. You may\n specify a different dimension, \\a d, for each type of \\a k -facet to be processed.\n For example, \\p SetEmbeddingDimension( \\p 2, \\p 3 ) would associate \\a r, \\a s, and\n \\a t coordinates with each input and output point generated by \\p AdaptivelySample2Facet\n but does not say anything about input or output points gener ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEmbeddingDimension(int k, int d);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for SetEmbeddingDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEmbeddingDimension */
    if ( strcmp ( argv[2], "GetEmbeddingDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEmbeddingDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEmbeddingDimension */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of parameter-space coordinates associated with each input and output point.\n The default is \\a k for \\a k -facets. You may\n specify a different dimension, \\a d, for each type of \\a k -facet to be processed.\n For example, \\p SetEmbeddingDimension( \\p 2, \\p 3 ) would associate \\a r, \\a s, and\n \\a t coordinates with each input and output point generated by \\p AdaptivelySample2Facet\n but does not say anything about input or output points gener ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEmbeddingDimension(int k) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetEmbeddingDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldSize */
    if ( strcmp ( argv[2], "SetFieldSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of field value coordinates associated with each input and output point.\n The default is 0; no field values are interpolated.\n You may specify a different size, \\a s, for each type of \\a k -facet to be processed.\n For example, \\p SetFieldSize( \\p 2, \\p 3 ) would associate 3 field value coordinates\n with each input and output point of an \\p AdaptivelySample2Facet call,\n but does not say anything about input or output points of \\p AdaptivelySampl ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFieldSize(int k, int s);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for SetFieldSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldSize */
    if ( strcmp ( argv[2], "GetFieldSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of field value coordinates associated with each input and output point.\n The default is 0; no field values are interpolated.\n You may specify a different size, \\a s, for each type of \\a k -facet to be processed.\n For example, \\p SetFieldSize( \\p 2, \\p 3 ) would associate 3 field value coordinates\n with each input and output point of an \\p AdaptivelySample2Facet call,\n but does not say anything about input or output points of \\p AdaptivelySampl ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldSize(int k) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetFieldSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfSubdivisions */
    if ( strcmp ( argv[2], "SetMaximumNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Get/Set the maximum number of subdivisions that may occur.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfSubdivisions(int num_subdiv_in);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for SetMaximumNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfSubdivisions */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " Get/Set the maximum number of subdivisions that may occur.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfSubdivisions();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetMaximumNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCounts */
    if ( strcmp ( argv[2], "ResetCounts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCounts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCounts */
    Tcl_DStringAppendElement ( &dString, " Reset/access the histogram of subdivision cases encountered.\n The histogram may be used to examine coverage during testing as well as characterizing the\n tessellation algorithm's performance.\n You should call ResetCounts() once, at the beginning of a stream of tetrahedra.\n It must be called before AdaptivelySample3Facet() to prevent uninitialized memory reads.\n\n These functions have no effect (and return 0) when PARAVIEW_DEBUG_TESSELLATOR has not been defined.\n By de ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCounts();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for ResetCounts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaseCount */
    if ( strcmp ( argv[2], "GetCaseCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaseCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaseCount */
    Tcl_DStringAppendElement ( &dString, " Reset/access the histogram of subdivision cases encountered.\n The histogram may be used to examine coverage during testing as well as characterizing the\n tessellation algorithm's performance.\n You should call ResetCounts() once, at the beginning of a stream of tetrahedra.\n It must be called before AdaptivelySample3Facet() to prevent uninitialized memory reads.\n\n These functions have no effect (and return 0) when PARAVIEW_DEBUG_TESSELLATOR has not been defined.\n By de ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCaseCount(int c);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetCaseCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubcaseCount */
    if ( strcmp ( argv[2], "GetSubcaseCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubcaseCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubcaseCount */
    Tcl_DStringAppendElement ( &dString, " Reset/access the histogram of subdivision cases encountered.\n The histogram may be used to examine coverage during testing as well as characterizing the\n tessellation algorithm's performance.\n You should call ResetCounts() once, at the beginning of a stream of tetrahedra.\n It must be called before AdaptivelySample3Facet() to prevent uninitialized memory reads.\n\n These functions have no effect (and return 0) when PARAVIEW_DEBUG_TESSELLATOR has not been defined.\n By de ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetSubcaseCount(int casenum, int sub);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    /* Closing for GetSubcaseCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
