// tcl wrapper for vtkStripper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStripper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStripperNewCommand()
{
  vtkStripper *temp = vtkStripper::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStripperCppCommand(vtkStripper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStripperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStripperCppCommand(static_cast<vtkStripper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStripperCppCommand(vtkStripper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStripper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStripper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStripper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStripper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStripper");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStripper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStripper");
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLengthMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLengthMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLengthMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLengthMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassCellDataAsFieldDataOn",argv[1]))&&(argc == 2))
    {
    op->PassCellDataAsFieldDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassCellDataAsFieldDataOff",argv[1]))&&(argc == 2))
    {
    op->PassCellDataAsFieldDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPassCellDataAsFieldData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassCellDataAsFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassCellDataAsFieldData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassCellDataAsFieldData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPassThroughCellIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassThroughCellIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassThroughCellIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassThroughCellIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughCellIdsOn",argv[1]))&&(argc == 2))
    {
    op->PassThroughCellIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughCellIdsOff",argv[1]))&&(argc == 2))
    {
    op->PassThroughCellIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPassThroughPointIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassThroughPointIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassThroughPointIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassThroughPointIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughPointIdsOn",argv[1]))&&(argc == 2))
    {
    op->PassThroughPointIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughPointIdsOff",argv[1]))&&(argc == 2))
    {
    op->PassThroughPointIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStripperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStripper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLength\n",NULL);
    Tcl_AppendResult(interp,"  PassCellDataAsFieldDataOn\n",NULL);
    Tcl_AppendResult(interp,"  PassCellDataAsFieldDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPassCellDataAsFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassCellDataAsFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetPassThroughCellIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassThroughCellIds\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughCellIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughCellIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPassThroughPointIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassThroughPointIds\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughPointIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughPointIdsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLength" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLength" );
    Tcl_DStringAppendElement ( &dString, "PassCellDataAsFieldDataOn" );
    Tcl_DStringAppendElement ( &dString, "PassCellDataAsFieldDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassCellDataAsFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetPassCellDataAsFieldData" );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughCellIds" );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughCellIds" );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOn" );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughPointIds" );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughPointIds" );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOn" );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with MaximumLength set to 1000.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkStripper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLength */
    if ( strcmp ( argv[2], "SetMaximumLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLength */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumLength(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for SetMaximumLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLengthMinValue */
    if ( strcmp ( argv[2], "GetMaximumLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for GetMaximumLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLengthMaxValue */
    if ( strcmp ( argv[2], "GetMaximumLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for GetMaximumLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLength */
    if ( strcmp ( argv[2], "GetMaximumLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLength */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for GetMaximumLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassCellDataAsFieldDataOn */
    if ( strcmp ( argv[2], "PassCellDataAsFieldDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassCellDataAsFieldDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassCellDataAsFieldDataOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassCellDataAsFieldDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for PassCellDataAsFieldDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassCellDataAsFieldDataOff */
    if ( strcmp ( argv[2], "PassCellDataAsFieldDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassCellDataAsFieldDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassCellDataAsFieldDataOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassCellDataAsFieldDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for PassCellDataAsFieldDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassCellDataAsFieldData */
    if ( strcmp ( argv[2], "SetPassCellDataAsFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassCellDataAsFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassCellDataAsFieldData */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassCellDataAsFieldData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for SetPassCellDataAsFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassCellDataAsFieldData */
    if ( strcmp ( argv[2], "GetPassCellDataAsFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassCellDataAsFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassCellDataAsFieldData */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassCellDataAsFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for GetPassCellDataAsFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassThroughCellIds */
    if ( strcmp ( argv[2], "SetPassThroughCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassThroughCellIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassThroughCellIds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for SetPassThroughCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassThroughCellIds */
    if ( strcmp ( argv[2], "GetPassThroughCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassThroughCellIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassThroughCellIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for GetPassThroughCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughCellIdsOn */
    if ( strcmp ( argv[2], "PassThroughCellIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughCellIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughCellIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for PassThroughCellIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughCellIdsOff */
    if ( strcmp ( argv[2], "PassThroughCellIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughCellIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughCellIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for PassThroughCellIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassThroughPointIds */
    if ( strcmp ( argv[2], "SetPassThroughPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassThroughPointIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassThroughPointIds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for SetPassThroughPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassThroughPointIds */
    if ( strcmp ( argv[2], "GetPassThroughPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassThroughPointIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassThroughPointIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for GetPassThroughPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughPointIdsOn */
    if ( strcmp ( argv[2], "PassThroughPointIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughPointIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughPointIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for PassThroughPointIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughPointIdsOff */
    if ( strcmp ( argv[2], "PassThroughPointIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughPointIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughPointIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStripper" );
    /* Closing for PassThroughPointIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
