// tcl wrapper for vtkTableToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableToPolyData.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTableToPolyDataNewCommand()
{
  vtkTableToPolyData *temp = vtkTableToPolyData::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTableToPolyDataCppCommand(vtkTableToPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTableToPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTableToPolyDataCppCommand(static_cast<vtkTableToPolyData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTableToPolyDataCppCommand(vtkTableToPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTableToPolyData",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTableToPolyData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTableToPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTableToPolyData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTableToPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTableToPolyData  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTableToPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXColumn",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXColumn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXColumn",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXColumn();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXColumnIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXColumnIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXColumnIndexMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXColumnIndexMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXColumnIndexMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXColumnIndexMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXColumnIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXColumnIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXComponentMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXComponentMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXComponentMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXComponentMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYColumn",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYColumn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYColumn",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYColumn();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYColumnIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYColumnIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYColumnIndexMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYColumnIndexMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetYColumnIndexMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYColumnIndexMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetYColumnIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYColumnIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYComponentMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYComponentMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetYComponentMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYComponentMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetYComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZColumn",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZColumn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZColumn",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZColumn();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZColumnIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZColumnIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZColumnIndexMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZColumnIndexMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZColumnIndexMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZColumnIndexMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZColumnIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZColumnIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZComponentMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZComponentMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZComponentMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZComponentMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCreate2DPoints",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCreate2DPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCreate2DPoints",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCreate2DPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Create2DPointsOn",argv[1]))&&(argc == 2))
    {
    op->Create2DPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Create2DPointsOff",argv[1]))&&(argc == 2))
    {
    op->Create2DPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPreserveCoordinateColumnsAsDataArrays",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPreserveCoordinateColumnsAsDataArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreserveCoordinateColumnsAsDataArrays",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPreserveCoordinateColumnsAsDataArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreserveCoordinateColumnsAsDataArraysOn",argv[1]))&&(argc == 2))
    {
    op->PreserveCoordinateColumnsAsDataArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreserveCoordinateColumnsAsDataArraysOff",argv[1]))&&(argc == 2))
    {
    op->PreserveCoordinateColumnsAsDataArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTableToPolyDataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTableToPolyData:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXColumn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXColumn\n",NULL);
    Tcl_AppendResult(interp,"  SetXColumnIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXColumnIndexMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXColumnIndexMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXColumnIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetXComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXComponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXComponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetYColumn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYColumn\n",NULL);
    Tcl_AppendResult(interp,"  SetYColumnIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYColumnIndexMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetYColumnIndexMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetYColumnIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetYComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYComponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetYComponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetYComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetZColumn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZColumn\n",NULL);
    Tcl_AppendResult(interp,"  SetZColumnIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZColumnIndexMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZColumnIndexMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZColumnIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetZComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZComponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZComponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetCreate2DPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCreate2DPoints\n",NULL);
    Tcl_AppendResult(interp,"  Create2DPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  Create2DPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPreserveCoordinateColumnsAsDataArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreserveCoordinateColumnsAsDataArrays\n",NULL);
    Tcl_AppendResult(interp,"  PreserveCoordinateColumnsAsDataArraysOn\n",NULL);
    Tcl_AppendResult(interp,"  PreserveCoordinateColumnsAsDataArraysOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetXColumn" );
    Tcl_DStringAppendElement ( &dString, "GetXColumn" );
    Tcl_DStringAppendElement ( &dString, "SetXColumnIndex" );
    Tcl_DStringAppendElement ( &dString, "GetXColumnIndexMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetXColumnIndexMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetXColumnIndex" );
    Tcl_DStringAppendElement ( &dString, "SetXComponent" );
    Tcl_DStringAppendElement ( &dString, "GetXComponentMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetXComponentMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetXComponent" );
    Tcl_DStringAppendElement ( &dString, "SetYColumn" );
    Tcl_DStringAppendElement ( &dString, "GetYColumn" );
    Tcl_DStringAppendElement ( &dString, "SetYColumnIndex" );
    Tcl_DStringAppendElement ( &dString, "GetYColumnIndexMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetYColumnIndexMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetYColumnIndex" );
    Tcl_DStringAppendElement ( &dString, "SetYComponent" );
    Tcl_DStringAppendElement ( &dString, "GetYComponentMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetYComponentMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetYComponent" );
    Tcl_DStringAppendElement ( &dString, "SetZColumn" );
    Tcl_DStringAppendElement ( &dString, "GetZColumn" );
    Tcl_DStringAppendElement ( &dString, "SetZColumnIndex" );
    Tcl_DStringAppendElement ( &dString, "GetZColumnIndexMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetZColumnIndexMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetZColumnIndex" );
    Tcl_DStringAppendElement ( &dString, "SetZComponent" );
    Tcl_DStringAppendElement ( &dString, "GetZComponentMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetZComponentMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetZComponent" );
    Tcl_DStringAppendElement ( &dString, "SetCreate2DPoints" );
    Tcl_DStringAppendElement ( &dString, "GetCreate2DPoints" );
    Tcl_DStringAppendElement ( &dString, "Create2DPointsOn" );
    Tcl_DStringAppendElement ( &dString, "Create2DPointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPreserveCoordinateColumnsAsDataArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPreserveCoordinateColumnsAsDataArrays" );
    Tcl_DStringAppendElement ( &dString, "PreserveCoordinateColumnsAsDataArraysOn" );
    Tcl_DStringAppendElement ( &dString, "PreserveCoordinateColumnsAsDataArraysOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTableToPolyData *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXColumn */
    if ( strcmp ( argv[2], "SetXColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXColumn */
    Tcl_DStringAppendElement ( &dString, " Set the name of the column to use as the X coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetXColumn(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetXColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXColumn */
    if ( strcmp ( argv[2], "GetXColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXColumn */
    Tcl_DStringAppendElement ( &dString, " Set the name of the column to use as the X coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXColumn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetXColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXColumnIndex */
    if ( strcmp ( argv[2], "SetXColumnIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXColumnIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXColumnIndex */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the X coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetXColumnIndex(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetXColumnIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXColumnIndexMinValue */
    if ( strcmp ( argv[2], "GetXColumnIndexMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXColumnIndexMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXColumnIndexMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the X coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetXColumnIndexMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetXColumnIndexMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXColumnIndexMaxValue */
    if ( strcmp ( argv[2], "GetXColumnIndexMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXColumnIndexMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXColumnIndexMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the X coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetXColumnIndexMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetXColumnIndexMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXColumnIndex */
    if ( strcmp ( argv[2], "GetXColumnIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXColumnIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXColumnIndex */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the X coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetXColumnIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetXColumnIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXComponent */
    if ( strcmp ( argv[2], "SetXComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXComponent(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetXComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXComponentMinValue */
    if ( strcmp ( argv[2], "GetXComponentMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXComponentMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXComponentMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXComponentMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetXComponentMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXComponentMaxValue */
    if ( strcmp ( argv[2], "GetXComponentMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXComponentMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXComponentMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXComponentMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetXComponentMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXComponent */
    if ( strcmp ( argv[2], "GetXComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetXComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYColumn */
    if ( strcmp ( argv[2], "SetYColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYColumn */
    Tcl_DStringAppendElement ( &dString, " Set the name of the column to use as the Y coordinate for the points. \n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYColumn(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetYColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYColumn */
    if ( strcmp ( argv[2], "GetYColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYColumn */
    Tcl_DStringAppendElement ( &dString, " Set the name of the column to use as the Y coordinate for the points. \n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYColumn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetYColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYColumnIndex */
    if ( strcmp ( argv[2], "SetYColumnIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYColumnIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYColumnIndex */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Y coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetYColumnIndex(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetYColumnIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYColumnIndexMinValue */
    if ( strcmp ( argv[2], "GetYColumnIndexMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYColumnIndexMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYColumnIndexMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Y coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetYColumnIndexMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetYColumnIndexMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYColumnIndexMaxValue */
    if ( strcmp ( argv[2], "GetYColumnIndexMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYColumnIndexMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYColumnIndexMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Y coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetYColumnIndexMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetYColumnIndexMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYColumnIndex */
    if ( strcmp ( argv[2], "GetYColumnIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYColumnIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYColumnIndex */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Y coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetYColumnIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetYColumnIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYComponent */
    if ( strcmp ( argv[2], "SetYComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYComponent(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetYComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYComponentMinValue */
    if ( strcmp ( argv[2], "GetYComponentMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYComponentMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYComponentMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYComponentMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetYComponentMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYComponentMaxValue */
    if ( strcmp ( argv[2], "GetYComponentMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYComponentMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYComponentMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYComponentMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetYComponentMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYComponent */
    if ( strcmp ( argv[2], "GetYComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetYComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZColumn */
    if ( strcmp ( argv[2], "SetZColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZColumn */
    Tcl_DStringAppendElement ( &dString, " Set the name of the column to use as the Z coordinate for the points.\n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZColumn(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetZColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZColumn */
    if ( strcmp ( argv[2], "GetZColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZColumn */
    Tcl_DStringAppendElement ( &dString, " Set the name of the column to use as the Z coordinate for the points.\n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZColumn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetZColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZColumnIndex */
    if ( strcmp ( argv[2], "SetZColumnIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZColumnIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZColumnIndex */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Z coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetZColumnIndex(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetZColumnIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZColumnIndexMinValue */
    if ( strcmp ( argv[2], "GetZColumnIndexMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZColumnIndexMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZColumnIndexMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Z coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetZColumnIndexMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetZColumnIndexMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZColumnIndexMaxValue */
    if ( strcmp ( argv[2], "GetZColumnIndexMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZColumnIndexMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZColumnIndexMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Z coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetZColumnIndexMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetZColumnIndexMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZColumnIndex */
    if ( strcmp ( argv[2], "GetZColumnIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZColumnIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZColumnIndex */
    Tcl_DStringAppendElement ( &dString, " Set the index of the column to use as the Z coordinate for the points. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetZColumnIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetZColumnIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZComponent */
    if ( strcmp ( argv[2], "SetZComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZComponent(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetZComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZComponentMinValue */
    if ( strcmp ( argv[2], "GetZComponentMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZComponentMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZComponentMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZComponentMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetZComponentMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZComponentMaxValue */
    if ( strcmp ( argv[2], "GetZComponentMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZComponentMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZComponentMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZComponentMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetZComponentMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZComponent */
    if ( strcmp ( argv[2], "GetZComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetZComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCreate2DPoints */
    if ( strcmp ( argv[2], "SetCreate2DPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCreate2DPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCreate2DPoints */
    Tcl_DStringAppendElement ( &dString, " Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCreate2DPoints(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetCreate2DPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCreate2DPoints */
    if ( strcmp ( argv[2], "GetCreate2DPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCreate2DPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCreate2DPoints */
    Tcl_DStringAppendElement ( &dString, " Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCreate2DPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetCreate2DPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create2DPointsOn */
    if ( strcmp ( argv[2], "Create2DPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create2DPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create2DPointsOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "void Create2DPointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for Create2DPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create2DPointsOff */
    if ( strcmp ( argv[2], "Create2DPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create2DPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create2DPointsOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "void Create2DPointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for Create2DPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreserveCoordinateColumnsAsDataArrays */
    if ( strcmp ( argv[2], "SetPreserveCoordinateColumnsAsDataArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreserveCoordinateColumnsAsDataArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreserveCoordinateColumnsAsDataArrays */
    Tcl_DStringAppendElement ( &dString, " Allow user to keep columns specified as X,Y,Z as Data arrays.\n By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreserveCoordinateColumnsAsDataArrays(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for SetPreserveCoordinateColumnsAsDataArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreserveCoordinateColumnsAsDataArrays */
    if ( strcmp ( argv[2], "GetPreserveCoordinateColumnsAsDataArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreserveCoordinateColumnsAsDataArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreserveCoordinateColumnsAsDataArrays */
    Tcl_DStringAppendElement ( &dString, " Allow user to keep columns specified as X,Y,Z as Data arrays.\n By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPreserveCoordinateColumnsAsDataArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for GetPreserveCoordinateColumnsAsDataArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveCoordinateColumnsAsDataArraysOn */
    if ( strcmp ( argv[2], "PreserveCoordinateColumnsAsDataArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveCoordinateColumnsAsDataArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveCoordinateColumnsAsDataArraysOn */
    Tcl_DStringAppendElement ( &dString, " Allow user to keep columns specified as X,Y,Z as Data arrays.\n By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveCoordinateColumnsAsDataArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for PreserveCoordinateColumnsAsDataArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveCoordinateColumnsAsDataArraysOff */
    if ( strcmp ( argv[2], "PreserveCoordinateColumnsAsDataArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveCoordinateColumnsAsDataArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveCoordinateColumnsAsDataArraysOff */
    Tcl_DStringAppendElement ( &dString, " Allow user to keep columns specified as X,Y,Z as Data arrays.\n By default this will be off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveCoordinateColumnsAsDataArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToPolyData" );
    /* Closing for PreserveCoordinateColumnsAsDataArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
