// tcl wrapper for vtkTemporalPathLineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalPathLineFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTemporalPathLineFilterNewCommand()
{
  vtkTemporalPathLineFilter *temp = vtkTemporalPathLineFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalPathLineFilterCppCommand(vtkTemporalPathLineFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTemporalPathLineFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTemporalPathLineFilterCppCommand(static_cast<vtkTemporalPathLineFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalPathLineFilterCppCommand(vtkTemporalPathLineFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTemporalPathLineFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTemporalPathLineFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalPathLineFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTemporalPathLineFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalPathLineFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTemporalPathLineFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalPathLineFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaskPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaskPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaskPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxTrackLength",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetMaxTrackLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxTrackLength",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetMaxTrackLength();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIdChannelArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetIdChannelArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIdChannelArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetIdChannelArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetScalarArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetScalarArray",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
#endif
  if ((!strcmp("SetMaxStepDistance",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetMaxStepDistance(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaxStepDistance",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetMaxStepDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxStepDistance",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMaxStepDistance();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetKeepDeadTrails",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetKeepDeadTrails(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeepDeadTrails",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetKeepDeadTrails();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Flush",argv[1]))&&(argc == 2))
    {
    op->Flush();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSelectionConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelection",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalPathLineFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalPathLineFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxTrackLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxTrackLength\n",NULL);
    Tcl_AppendResult(interp,"  SetIdChannelArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIdChannelArray\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetScalarArray\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetScalarArray\n",NULL);
#endif
    Tcl_AppendResult(interp,"  SetMaxStepDistance\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxStepDistance\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxStepDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetKeepDeadTrails\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeepDeadTrails\n",NULL);
    Tcl_AppendResult(interp,"  Flush\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelection\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetMaskPoints" );
    Tcl_DStringAppendElement ( &dString, "GetMaskPoints" );
    Tcl_DStringAppendElement ( &dString, "SetMaxTrackLength" );
    Tcl_DStringAppendElement ( &dString, "GetMaxTrackLength" );
    Tcl_DStringAppendElement ( &dString, "SetIdChannelArray" );
    Tcl_DStringAppendElement ( &dString, "GetIdChannelArray" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetScalarArray" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetScalarArray" );
#endif
    Tcl_DStringAppendElement ( &dString, "SetMaxStepDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMaxStepDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaxStepDistance" );
    Tcl_DStringAppendElement ( &dString, "SetKeepDeadTrails" );
    Tcl_DStringAppendElement ( &dString, "GetKeepDeadTrails" );
    Tcl_DStringAppendElement ( &dString, "Flush" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSelection" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalPathLineFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard Type-Macro\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskPoints */
    if ( strcmp ( argv[2], "SetMaskPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskPoints */
    Tcl_DStringAppendElement ( &dString, " Set the number of particles to track as a ratio of the input\n example: setting MaskPoints to 10 will track every 10th point\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskPoints(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetMaskPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskPoints */
    if ( strcmp ( argv[2], "GetMaskPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskPoints */
    Tcl_DStringAppendElement ( &dString, " Set the number of particles to track as a ratio of the input\n example: setting MaskPoints to 10 will track every 10th point\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaskPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for GetMaskPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxTrackLength */
    if ( strcmp ( argv[2], "SetMaxTrackLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxTrackLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxTrackLength */
    Tcl_DStringAppendElement ( &dString, " If the Particles being traced animate for a long time, the\n trails or traces will become long and stringy. Setting\n the MaxTraceTimeLength will limit how much of the trace\n is displayed. Tracks longer then the Max will disappear\n and the trace will apppear like a snake of fixed length\n which progresses as the particle moves\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxTrackLength(unsigned int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetMaxTrackLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxTrackLength */
    if ( strcmp ( argv[2], "GetMaxTrackLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxTrackLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxTrackLength */
    Tcl_DStringAppendElement ( &dString, " If the Particles being traced animate for a long time, the\n trails or traces will become long and stringy. Setting\n the MaxTraceTimeLength will limit how much of the trace\n is displayed. Tracks longer then the Max will disappear\n and the trace will apppear like a snake of fixed length\n which progresses as the particle moves\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetMaxTrackLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for GetMaxTrackLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIdChannelArray */
    if ( strcmp ( argv[2], "SetIdChannelArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIdChannelArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIdChannelArray */
    Tcl_DStringAppendElement ( &dString, " Specify the name of a scalar array which will be used to fetch\n the index of each point. This is necessary only if the particles\n change position (Id order) on each time step. The Id can be used\n to identify particles at each step and hence track them properly.\n If this array is NULL, the global point ids are used.  If an Id\n array cannot otherwise be found, the point index is used as the ID.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIdChannelArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetIdChannelArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIdChannelArray */
    if ( strcmp ( argv[2], "GetIdChannelArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIdChannelArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIdChannelArray */
    Tcl_DStringAppendElement ( &dString, " Specify the name of a scalar array which will be used to fetch\n the index of each point. This is necessary only if the particles\n change position (Id order) on each time step. The Id can be used\n to identify particles at each step and hence track them properly.\n If this array is NULL, the global point ids are used.  If an Id\n array cannot otherwise be found, the point index is used as the ID.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetIdChannelArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for GetIdChannelArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetScalarArray */
    if ( strcmp ( argv[2], "SetScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarArray(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetScalarArray */
    if ( strcmp ( argv[2], "GetScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for GetScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: SetMaxStepDistance */
    if ( strcmp ( argv[2], "SetMaxStepDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxStepDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxStepDistance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxStepDistance(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetMaxStepDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxStepDistance */
    if ( strcmp ( argv[2], "SetMaxStepDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxStepDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxStepDistance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxStepDistance(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetMaxStepDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxStepDistance */
    if ( strcmp ( argv[2], "GetMaxStepDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxStepDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxStepDistance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetMaxStepDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for GetMaxStepDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeepDeadTrails */
    if ( strcmp ( argv[2], "SetKeepDeadTrails" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeepDeadTrails" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeepDeadTrails */
    Tcl_DStringAppendElement ( &dString, " When a particle 'disappears', the trail belonging to it is removed from\n the list. When this flag is enabled, dead trails will persist\n until the next time the list is cleared. Use carefully as it may cause\n excessive memory consumption if left on by mistake.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeepDeadTrails(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetKeepDeadTrails */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeepDeadTrails */
    if ( strcmp ( argv[2], "GetKeepDeadTrails" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeepDeadTrails" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeepDeadTrails */
    Tcl_DStringAppendElement ( &dString, " When a particle 'disappears', the trail belonging to it is removed from\n the list. When this flag is enabled, dead trails will persist\n until the next time the list is cleared. Use carefully as it may cause\n excessive memory consumption if left on by mistake.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetKeepDeadTrails();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for GetKeepDeadTrails */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Flush */
    if ( strcmp ( argv[2], "Flush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Flush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Flush */
    Tcl_DStringAppendElement ( &dString, " Flush will wipe any existing data so that traces can be restarted from\n whatever time step is next supplied.\n" );
    Tcl_DStringAppendElement ( &dString, "void Flush();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for Flush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionConnection */
    if ( strcmp ( argv[2], "SetSelectionConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionConnection */
    Tcl_DStringAppendElement ( &dString, " Set a second input which is a selection. Particles with the same\n Id in the selection as the primary input will be chosen for pathlines\n Note that you must have the same IdChannelArray in the selection as the input\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetSelectionConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelection */
    if ( strcmp ( argv[2], "SetSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelection */
    Tcl_DStringAppendElement ( &dString, " Set a second input which is a selection. Particles with the same\n Id in the selection as the primary input will be chosen for pathlines\n Note that you must have the same IdChannelArray in the selection as the input\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelection(vtkDataSet *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalPathLineFilter" );
    /* Closing for SetSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
