// tcl wrapper for vtkTemporalStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalStatistics.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTemporalStatisticsNewCommand()
{
  vtkTemporalStatistics *temp = vtkTemporalStatistics::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalStatisticsCppCommand(vtkTemporalStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTemporalStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTemporalStatisticsCppCommand(static_cast<vtkTemporalStatistics *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalStatisticsCppCommand(vtkTemporalStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTemporalStatistics",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTemporalStatistics  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTemporalStatistics  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStatistics");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTemporalStatistics  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStatistics");
    return TCL_OK;
    }
  if ((!strcmp("GetComputeAverage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeAverage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeAverage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeAverage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeAverageOn",argv[1]))&&(argc == 2))
    {
    op->ComputeAverageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeAverageOff",argv[1]))&&(argc == 2))
    {
    op->ComputeAverageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComputeMinimum",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeMinimum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeMinimum",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeMinimum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeMinimumOn",argv[1]))&&(argc == 2))
    {
    op->ComputeMinimumOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeMinimumOff",argv[1]))&&(argc == 2))
    {
    op->ComputeMinimumOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComputeMaximum",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeMaximum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeMaximum",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeMaximum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeMaximumOn",argv[1]))&&(argc == 2))
    {
    op->ComputeMaximumOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeMaximumOff",argv[1]))&&(argc == 2))
    {
    op->ComputeMaximumOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComputeStandardDeviation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeStandardDeviation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeStandardDeviation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeStandardDeviation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeStandardDeviationOn",argv[1]))&&(argc == 2))
    {
    op->ComputeStandardDeviationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeStandardDeviationOff",argv[1]))&&(argc == 2))
    {
    op->ComputeStandardDeviationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalStatisticsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalStatistics:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeAverage\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeAverage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeAverageOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeAverageOff\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeMinimum\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeMinimumOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeMinimumOff\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeMaximum\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeMaximumOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeMaximumOff\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeStandardDeviation\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeStandardDeviation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeStandardDeviationOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeStandardDeviationOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetComputeAverage" );
    Tcl_DStringAppendElement ( &dString, "SetComputeAverage" );
    Tcl_DStringAppendElement ( &dString, "ComputeAverageOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeAverageOff" );
    Tcl_DStringAppendElement ( &dString, "GetComputeMinimum" );
    Tcl_DStringAppendElement ( &dString, "SetComputeMinimum" );
    Tcl_DStringAppendElement ( &dString, "ComputeMinimumOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeMinimumOff" );
    Tcl_DStringAppendElement ( &dString, "GetComputeMaximum" );
    Tcl_DStringAppendElement ( &dString, "SetComputeMaximum" );
    Tcl_DStringAppendElement ( &dString, "ComputeMaximumOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeMaximumOff" );
    Tcl_DStringAppendElement ( &dString, "GetComputeStandardDeviation" );
    Tcl_DStringAppendElement ( &dString, "SetComputeStandardDeviation" );
    Tcl_DStringAppendElement ( &dString, "ComputeStandardDeviationOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeStandardDeviationOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalStatistics *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeAverage */
    if ( strcmp ( argv[2], "GetComputeAverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeAverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeAverage */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeAverage();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for GetComputeAverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeAverage */
    if ( strcmp ( argv[2], "SetComputeAverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeAverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeAverage */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeAverage(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for SetComputeAverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeAverageOn */
    if ( strcmp ( argv[2], "ComputeAverageOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeAverageOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeAverageOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeAverageOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeAverageOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeAverageOff */
    if ( strcmp ( argv[2], "ComputeAverageOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeAverageOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeAverageOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeAverageOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeAverageOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeMinimum */
    if ( strcmp ( argv[2], "GetComputeMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeMinimum */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeMinimum();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for GetComputeMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeMinimum */
    if ( strcmp ( argv[2], "SetComputeMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeMinimum */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeMinimum(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for SetComputeMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeMinimumOn */
    if ( strcmp ( argv[2], "ComputeMinimumOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMinimumOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMinimumOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeMinimumOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeMinimumOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeMinimumOff */
    if ( strcmp ( argv[2], "ComputeMinimumOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMinimumOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMinimumOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeMinimumOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeMinimumOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeMaximum */
    if ( strcmp ( argv[2], "GetComputeMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeMaximum */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeMaximum();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for GetComputeMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeMaximum */
    if ( strcmp ( argv[2], "SetComputeMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeMaximum */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeMaximum(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for SetComputeMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeMaximumOn */
    if ( strcmp ( argv[2], "ComputeMaximumOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMaximumOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMaximumOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeMaximumOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeMaximumOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeMaximumOff */
    if ( strcmp ( argv[2], "ComputeMaximumOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMaximumOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMaximumOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeMaximumOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeMaximumOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeStandardDeviation */
    if ( strcmp ( argv[2], "GetComputeStandardDeviation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeStandardDeviation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeStandardDeviation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeStandardDeviation();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for GetComputeStandardDeviation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeStandardDeviation */
    if ( strcmp ( argv[2], "SetComputeStandardDeviation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeStandardDeviation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeStandardDeviation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeStandardDeviation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for SetComputeStandardDeviation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeStandardDeviationOn */
    if ( strcmp ( argv[2], "ComputeStandardDeviationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeStandardDeviationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeStandardDeviationOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ComputeStandardDeviationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeStandardDeviationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeStandardDeviationOff */
    if ( strcmp ( argv[2], "ComputeStandardDeviationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeStandardDeviationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeStandardDeviationOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ComputeStandardDeviationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStatistics" );
    /* Closing for ComputeStandardDeviationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
