// tcl wrapper for vtkTextureMapToCylinder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextureMapToCylinder.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTextureMapToCylinderNewCommand()
{
  vtkTextureMapToCylinder *temp = vtkTextureMapToCylinder::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTextureMapToCylinderCppCommand(vtkTextureMapToCylinder *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTextureMapToCylinderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTextureMapToCylinderCppCommand(static_cast<vtkTextureMapToCylinder *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTextureMapToCylinderCppCommand(vtkTextureMapToCylinder *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTextureMapToCylinder",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTextureMapToCylinder  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureMapToCylinder");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTextureMapToCylinder  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureMapToCylinder");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTextureMapToCylinder  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureMapToCylinder");
    return TCL_OK;
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint1(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPoint1();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPoint2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticCylinderGeneration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticCylinderGeneration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomaticCylinderGeneration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticCylinderGeneration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticCylinderGenerationOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticCylinderGenerationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticCylinderGenerationOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticCylinderGenerationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPreventSeam",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreventSeam(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreventSeam",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreventSeam();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreventSeamOn",argv[1]))&&(argc == 2))
    {
    op->PreventSeamOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreventSeamOff",argv[1]))&&(argc == 2))
    {
    op->PreventSeamOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTextureMapToCylinderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTextureMapToCylinder:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticCylinderGeneration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticCylinderGeneration\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticCylinderGenerationOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticCylinderGenerationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPreventSeam\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreventSeam\n",NULL);
    Tcl_AppendResult(interp,"  PreventSeamOn\n",NULL);
    Tcl_AppendResult(interp,"  PreventSeamOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticCylinderGeneration" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticCylinderGeneration" );
    Tcl_DStringAppendElement ( &dString, "AutomaticCylinderGenerationOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticCylinderGenerationOff" );
    Tcl_DStringAppendElement ( &dString, "SetPreventSeam" );
    Tcl_DStringAppendElement ( &dString, "GetPreventSeam" );
    Tcl_DStringAppendElement ( &dString, "PreventSeamOn" );
    Tcl_DStringAppendElement ( &dString, "PreventSeamOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create object with cylinder axis parallel to z-axis (points (0,0,-0.5) \n and (0,0,0.5)). The PreventSeam ivar is set to true. The cylinder is \n automatically generated.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTextureMapToCylinder *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1 */
    if ( strcmp ( argv[2], "GetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Specify the first point defining the cylinder axis,\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint1();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for GetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2 */
    if ( strcmp ( argv[2], "GetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Specify the second point defining the cylinder axis,\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint2();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for GetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomaticCylinderGeneration */
    if ( strcmp ( argv[2], "SetAutomaticCylinderGeneration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticCylinderGeneration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomaticCylinderGeneration */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomaticCylinderGeneration(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for SetAutomaticCylinderGeneration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticCylinderGeneration */
    if ( strcmp ( argv[2], "GetAutomaticCylinderGeneration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticCylinderGeneration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticCylinderGeneration */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticCylinderGeneration();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for GetAutomaticCylinderGeneration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticCylinderGenerationOn */
    if ( strcmp ( argv[2], "AutomaticCylinderGenerationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticCylinderGenerationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticCylinderGenerationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticCylinderGenerationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for AutomaticCylinderGenerationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticCylinderGenerationOff */
    if ( strcmp ( argv[2], "AutomaticCylinderGenerationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticCylinderGenerationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticCylinderGenerationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticCylinderGenerationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for AutomaticCylinderGenerationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreventSeam */
    if ( strcmp ( argv[2], "SetPreventSeam" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreventSeam" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreventSeam */
    Tcl_DStringAppendElement ( &dString, " Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreventSeam(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for SetPreventSeam */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreventSeam */
    if ( strcmp ( argv[2], "GetPreventSeam" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreventSeam" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreventSeam */
    Tcl_DStringAppendElement ( &dString, " Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreventSeam();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for GetPreventSeam */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreventSeamOn */
    if ( strcmp ( argv[2], "PreventSeamOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreventSeamOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreventSeamOn */
    Tcl_DStringAppendElement ( &dString, " Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreventSeamOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for PreventSeamOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreventSeamOff */
    if ( strcmp ( argv[2], "PreventSeamOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreventSeamOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreventSeamOff */
    Tcl_DStringAppendElement ( &dString, " Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreventSeamOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureMapToCylinder" );
    /* Closing for PreventSeamOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
