// tcl wrapper for vtkTexturedSphereSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTexturedSphereSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTexturedSphereSourceNewCommand()
{
  vtkTexturedSphereSource *temp = vtkTexturedSphereSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTexturedSphereSourceCppCommand(vtkTexturedSphereSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTexturedSphereSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTexturedSphereSourceCppCommand(static_cast<vtkTexturedSphereSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTexturedSphereSourceCppCommand(vtkTexturedSphereSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTexturedSphereSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTexturedSphereSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexturedSphereSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTexturedSphereSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexturedSphereSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTexturedSphereSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexturedSphereSource");
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThetaResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThetaResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThetaResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThetaResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetThetaResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThetaResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetThetaResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThetaResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPhiResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPhiResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPhiResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPhiResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPhiResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPhiResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPhiResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPhiResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTheta",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTheta(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThetaMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThetaMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetThetaMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThetaMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTheta",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTheta();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPhi",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPhi(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPhiMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPhiMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPhiMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPhiMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPhi",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPhi();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTexturedSphereSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTexturedSphereSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetThetaResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThetaResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetThetaResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetThetaResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetPhiResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPhiResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPhiResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPhiResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetTheta\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThetaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetThetaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTheta\n",NULL);
    Tcl_AppendResult(interp,"  SetPhi\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPhiMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPhiMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPhi\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetThetaResolution" );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolution" );
    Tcl_DStringAppendElement ( &dString, "SetPhiResolution" );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolution" );
    Tcl_DStringAppendElement ( &dString, "SetTheta" );
    Tcl_DStringAppendElement ( &dString, "GetThetaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetThetaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTheta" );
    Tcl_DStringAppendElement ( &dString, "SetPhi" );
    Tcl_DStringAppendElement ( &dString, "GetPhiMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPhiMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPhi" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct sphere with radius=0.5 and default resolution 8 in both Phi\n and Theta directions.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTexturedSphereSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set radius of sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThetaResolution */
    if ( strcmp ( argv[2], "SetThetaResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThetaResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThetaResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThetaResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for SetThetaResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThetaResolutionMinValue */
    if ( strcmp ( argv[2], "GetThetaResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThetaResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThetaResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetThetaResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThetaResolutionMaxValue */
    if ( strcmp ( argv[2], "GetThetaResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThetaResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThetaResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetThetaResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThetaResolution */
    if ( strcmp ( argv[2], "GetThetaResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThetaResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the longitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThetaResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetThetaResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPhiResolution */
    if ( strcmp ( argv[2], "SetPhiResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPhiResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPhiResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPhiResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for SetPhiResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPhiResolutionMinValue */
    if ( strcmp ( argv[2], "GetPhiResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhiResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPhiResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetPhiResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPhiResolutionMaxValue */
    if ( strcmp ( argv[2], "GetPhiResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhiResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPhiResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetPhiResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPhiResolution */
    if ( strcmp ( argv[2], "GetPhiResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhiResolution */
    Tcl_DStringAppendElement ( &dString, " Set the number of points in the latitude direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPhiResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetPhiResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTheta */
    if ( strcmp ( argv[2], "SetTheta" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTheta" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTheta */
    Tcl_DStringAppendElement ( &dString, " Set the maximum longitude angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTheta(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for SetTheta */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThetaMinValue */
    if ( strcmp ( argv[2], "GetThetaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThetaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThetaMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum longitude angle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetThetaMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetThetaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThetaMaxValue */
    if ( strcmp ( argv[2], "GetThetaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThetaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThetaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum longitude angle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetThetaMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetThetaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTheta */
    if ( strcmp ( argv[2], "GetTheta" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTheta" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTheta */
    Tcl_DStringAppendElement ( &dString, " Set the maximum longitude angle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTheta();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetTheta */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPhi */
    if ( strcmp ( argv[2], "SetPhi" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPhi" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPhi */
    Tcl_DStringAppendElement ( &dString, " Set the maximum latitude angle (0 is at north pole).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPhi(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for SetPhi */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPhiMinValue */
    if ( strcmp ( argv[2], "GetPhiMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhiMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhiMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum latitude angle (0 is at north pole).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPhiMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetPhiMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPhiMaxValue */
    if ( strcmp ( argv[2], "GetPhiMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhiMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhiMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum latitude angle (0 is at north pole).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPhiMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetPhiMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPhi */
    if ( strcmp ( argv[2], "GetPhi" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhi" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhi */
    Tcl_DStringAppendElement ( &dString, " Set the maximum latitude angle (0 is at north pole).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPhi();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexturedSphereSource" );
    /* Closing for GetPhi */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
