// tcl wrapper for vtkTransformCoordinateSystems object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformCoordinateSystems.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTransformCoordinateSystemsNewCommand()
{
  vtkTransformCoordinateSystems *temp = vtkTransformCoordinateSystems::New();
  return static_cast<ClientData>(temp);
}

int vtkPointSetAlgorithmCppCommand(vtkPointSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTransformCoordinateSystemsCppCommand(vtkTransformCoordinateSystems *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTransformCoordinateSystemsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTransformCoordinateSystemsCppCommand(static_cast<vtkTransformCoordinateSystems *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTransformCoordinateSystemsCppCommand(vtkTransformCoordinateSystems *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTransformCoordinateSystems",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPointSetAlgorithmCppCommand(static_cast<vtkPointSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPointSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTransformCoordinateSystems  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransformCoordinateSystems");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTransformCoordinateSystems  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransformCoordinateSystems");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTransformCoordinateSystems  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransformCoordinateSystems");
    return TCL_OK;
    }
  if ((!strcmp("SetInputCoordinateSystem",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInputCoordinateSystem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputCoordinateSystem",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputCoordinateSystem();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputCoordinateSystemToDisplay",argv[1]))&&(argc == 2))
    {
    op->SetInputCoordinateSystemToDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputCoordinateSystemToViewport",argv[1]))&&(argc == 2))
    {
    op->SetInputCoordinateSystemToViewport();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputCoordinateSystemToWorld",argv[1]))&&(argc == 2))
    {
    op->SetInputCoordinateSystemToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystem",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputCoordinateSystem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputCoordinateSystem",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputCoordinateSystem();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystemToDisplay",argv[1]))&&(argc == 2))
    {
    op->SetOutputCoordinateSystemToDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystemToViewport",argv[1]))&&(argc == 2))
    {
    op->SetOutputCoordinateSystemToViewport();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystemToWorld",argv[1]))&&(argc == 2))
    {
    op->SetOutputCoordinateSystemToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->SetViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewport",argv[1]))&&(argc == 2))
    {
    vtkViewport  *temp20;
    temp20 = (op)->GetViewport();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewport");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTransformCoordinateSystemsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPointSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTransformCoordinateSystems:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetInputCoordinateSystem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputCoordinateSystem\n",NULL);
    Tcl_AppendResult(interp,"  SetInputCoordinateSystemToDisplay\n",NULL);
    Tcl_AppendResult(interp,"  SetInputCoordinateSystemToViewport\n",NULL);
    Tcl_AppendResult(interp,"  SetInputCoordinateSystemToWorld\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputCoordinateSystem\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystemToDisplay\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystemToViewport\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystemToWorld\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewport\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPointSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "GetInputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToDisplay" );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToViewport" );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToWorld" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToDisplay" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToViewport" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToWorld" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPointSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTransformCoordinateSystems *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputCoordinateSystem */
    if ( strcmp ( argv[2], "SetInputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputCoordinateSystem(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetInputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputCoordinateSystem */
    if ( strcmp ( argv[2], "GetInputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputCoordinateSystem();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for GetInputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputCoordinateSystemToDisplay */
    if ( strcmp ( argv[2], "SetInputCoordinateSystemToDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputCoordinateSystemToDisplay */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputCoordinateSystemToDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetInputCoordinateSystemToDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputCoordinateSystemToViewport */
    if ( strcmp ( argv[2], "SetInputCoordinateSystemToViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputCoordinateSystemToViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputCoordinateSystemToViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetInputCoordinateSystemToViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputCoordinateSystemToWorld */
    if ( strcmp ( argv[2], "SetInputCoordinateSystemToWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputCoordinateSystemToWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputCoordinateSystemToWorld */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputCoordinateSystemToWorld();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetInputCoordinateSystemToWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystem */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputCoordinateSystem(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetOutputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputCoordinateSystem */
    if ( strcmp ( argv[2], "GetOutputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputCoordinateSystem();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for GetOutputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystemToDisplay */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystemToDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystemToDisplay */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputCoordinateSystemToDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetOutputCoordinateSystemToDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystemToViewport */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystemToViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystemToViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputCoordinateSystemToViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetOutputCoordinateSystemToViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystemToWorld */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystemToWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystemToWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystemToWorld */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputCoordinateSystemToWorld();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetOutputCoordinateSystemToWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the instance of vtkCoordinate.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewport */
    if ( strcmp ( argv[2], "SetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewport */
    Tcl_DStringAppendElement ( &dString, " In order for successful coordinate transformation to occur, an\n instance of vtkViewport (e.g., a VTK renderer) must be specified.\n NOTE: this is a raw pointer, not a weak pointer not a reference counted\n object to avoid reference cycle loop between rendering classes and filter\n classes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewport(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for SetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewport */
    if ( strcmp ( argv[2], "GetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewport */
    Tcl_DStringAppendElement ( &dString, " In order for successful coordinate transformation to occur, an\n instance of vtkViewport (e.g., a VTK renderer) must be specified.\n NOTE: this is a raw pointer, not a weak pointer not a reference counted\n object to avoid reference cycle loop between rendering classes and filter\n classes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport *GetViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformCoordinateSystems" );
    /* Closing for GetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPointSetAlgorithmCppCommand(static_cast<vtkPointSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
