// tcl wrapper for vtkYoungsMaterialInterface object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkYoungsMaterialInterface.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkYoungsMaterialInterfaceNewCommand()
{
  vtkYoungsMaterialInterface *temp = vtkYoungsMaterialInterface::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkYoungsMaterialInterfaceCppCommand(vtkYoungsMaterialInterface *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkYoungsMaterialInterfaceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkYoungsMaterialInterfaceCppCommand(static_cast<vtkYoungsMaterialInterface *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkYoungsMaterialInterfaceCppCommand(vtkYoungsMaterialInterface *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkYoungsMaterialInterface",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkYoungsMaterialInterface  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkYoungsMaterialInterface");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkYoungsMaterialInterface  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkYoungsMaterialInterface");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkYoungsMaterialInterface  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkYoungsMaterialInterface");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInverseNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInverseNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInverseNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInverseNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InverseNormalOn",argv[1]))&&(argc == 2))
    {
    op->InverseNormalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InverseNormalOff",argv[1]))&&(argc == 2))
    {
    op->InverseNormalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReverseMaterialOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverseMaterialOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverseMaterialOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseMaterialOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseMaterialOrderOn",argv[1]))&&(argc == 2))
    {
    op->ReverseMaterialOrderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseMaterialOrderOff",argv[1]))&&(argc == 2))
    {
    op->ReverseMaterialOrderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOnionPeel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOnionPeel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnionPeel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnionPeel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OnionPeelOn",argv[1]))&&(argc == 2))
    {
    op->OnionPeelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnionPeelOff",argv[1]))&&(argc == 2))
    {
    op->OnionPeelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisSymetric",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxisSymetric(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisSymetric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisSymetric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AxisSymetricOn",argv[1]))&&(argc == 2))
    {
    op->AxisSymetricOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AxisSymetricOff",argv[1]))&&(argc == 2))
    {
    op->AxisSymetricOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseFractionAsDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseFractionAsDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseFractionAsDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseFractionAsDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseFractionAsDistanceOn",argv[1]))&&(argc == 2))
    {
    op->UseFractionAsDistanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseFractionAsDistanceOff",argv[1]))&&(argc == 2))
    {
    op->UseFractionAsDistanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFillMaterial",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFillMaterial(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFillMaterial",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFillMaterial();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FillMaterialOn",argv[1]))&&(argc == 2))
    {
    op->FillMaterialOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FillMaterialOff",argv[1]))&&(argc == 2))
    {
    op->FillMaterialOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVolumeFractionRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetVolumeFractionRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVolumeFractionRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetVolumeFractionRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumeFractionRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetVolumeFractionRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfMaterials",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfMaterials(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfMaterials",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfMaterials();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseAllBlocks",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseAllBlocks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseAllBlocks",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseAllBlocks();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseAllBlocksOn",argv[1]))&&(argc == 2))
    {
    op->UseAllBlocksOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseAllBlocksOff",argv[1]))&&(argc == 2))
    {
    op->UseAllBlocksOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfDomains",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfDomains();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialArrays",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    char    *temp4;
    char    *temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = argv[6];
    temp5 = argv[7];
    if (!error)
    {
    op->SetMaterialArrays(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialArrays",argv[1]))&&(argc == 6))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    op->SetMaterialArrays(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialVolumeFractionArray",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetMaterialVolumeFractionArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialNormalArray",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetMaterialNormalArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialOrderingArray",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetMaterialOrderingArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllMaterials",argv[1]))&&(argc == 2))
    {
    op->RemoveAllMaterials();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialNormalArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetMaterialNormalArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialOrderingArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetMaterialOrderingArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllMaterialBlockMappings",argv[1]))&&(argc == 2))
    {
    op->RemoveAllMaterialBlockMappings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddMaterialBlockMapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddMaterialBlockMapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkYoungsMaterialInterfaceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkYoungsMaterialInterface:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInverseNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInverseNormal\n",NULL);
    Tcl_AppendResult(interp,"  InverseNormalOn\n",NULL);
    Tcl_AppendResult(interp,"  InverseNormalOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReverseMaterialOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseMaterialOrder\n",NULL);
    Tcl_AppendResult(interp,"  ReverseMaterialOrderOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseMaterialOrderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOnionPeel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOnionPeel\n",NULL);
    Tcl_AppendResult(interp,"  OnionPeelOn\n",NULL);
    Tcl_AppendResult(interp,"  OnionPeelOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisSymetric\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisSymetric\n",NULL);
    Tcl_AppendResult(interp,"  AxisSymetricOn\n",NULL);
    Tcl_AppendResult(interp,"  AxisSymetricOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseFractionAsDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseFractionAsDistance\n",NULL);
    Tcl_AppendResult(interp,"  UseFractionAsDistanceOn\n",NULL);
    Tcl_AppendResult(interp,"  UseFractionAsDistanceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFillMaterial\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFillMaterial\n",NULL);
    Tcl_AppendResult(interp,"  FillMaterialOn\n",NULL);
    Tcl_AppendResult(interp,"  FillMaterialOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumeFractionRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumeFractionRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeFractionRange\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfMaterials\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMaterials\n",NULL);
    Tcl_AppendResult(interp,"  SetUseAllBlocks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseAllBlocks\n",NULL);
    Tcl_AppendResult(interp,"  UseAllBlocksOn\n",NULL);
    Tcl_AppendResult(interp,"  UseAllBlocksOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDomains\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialArrays\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialArrays\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialVolumeFractionArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialNormalArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialOrderingArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllMaterials\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialNormalArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialOrderingArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllMaterialBlockMappings\n",NULL);
    Tcl_AppendResult(interp,"  AddMaterialBlockMapping\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInverseNormal" );
    Tcl_DStringAppendElement ( &dString, "GetInverseNormal" );
    Tcl_DStringAppendElement ( &dString, "InverseNormalOn" );
    Tcl_DStringAppendElement ( &dString, "InverseNormalOff" );
    Tcl_DStringAppendElement ( &dString, "SetReverseMaterialOrder" );
    Tcl_DStringAppendElement ( &dString, "GetReverseMaterialOrder" );
    Tcl_DStringAppendElement ( &dString, "ReverseMaterialOrderOn" );
    Tcl_DStringAppendElement ( &dString, "ReverseMaterialOrderOff" );
    Tcl_DStringAppendElement ( &dString, "SetOnionPeel" );
    Tcl_DStringAppendElement ( &dString, "GetOnionPeel" );
    Tcl_DStringAppendElement ( &dString, "OnionPeelOn" );
    Tcl_DStringAppendElement ( &dString, "OnionPeelOff" );
    Tcl_DStringAppendElement ( &dString, "SetAxisSymetric" );
    Tcl_DStringAppendElement ( &dString, "GetAxisSymetric" );
    Tcl_DStringAppendElement ( &dString, "AxisSymetricOn" );
    Tcl_DStringAppendElement ( &dString, "AxisSymetricOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseFractionAsDistance" );
    Tcl_DStringAppendElement ( &dString, "GetUseFractionAsDistance" );
    Tcl_DStringAppendElement ( &dString, "UseFractionAsDistanceOn" );
    Tcl_DStringAppendElement ( &dString, "UseFractionAsDistanceOff" );
    Tcl_DStringAppendElement ( &dString, "SetFillMaterial" );
    Tcl_DStringAppendElement ( &dString, "GetFillMaterial" );
    Tcl_DStringAppendElement ( &dString, "FillMaterialOn" );
    Tcl_DStringAppendElement ( &dString, "FillMaterialOff" );
    Tcl_DStringAppendElement ( &dString, "SetVolumeFractionRange" );
    Tcl_DStringAppendElement ( &dString, "SetVolumeFractionRange" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionRange" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfMaterials" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMaterials" );
    Tcl_DStringAppendElement ( &dString, "SetUseAllBlocks" );
    Tcl_DStringAppendElement ( &dString, "GetUseAllBlocks" );
    Tcl_DStringAppendElement ( &dString, "UseAllBlocksOn" );
    Tcl_DStringAppendElement ( &dString, "UseAllBlocksOff" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDomains" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrays" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrays" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialVolumeFractionArray" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialNormalArray" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialOrderingArray" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllMaterials" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialNormalArray" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialOrderingArray" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllMaterialBlockMappings" );
    Tcl_DStringAppendElement ( &dString, "AddMaterialBlockMapping" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkYoungsMaterialInterface *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInverseNormal */
    if ( strcmp ( argv[2], "SetInverseNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInverseNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInverseNormal */
    Tcl_DStringAppendElement ( &dString, " Set/Get wether the normal vector has to be flipped.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInverseNormal(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetInverseNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInverseNormal */
    if ( strcmp ( argv[2], "GetInverseNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInverseNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInverseNormal */
    Tcl_DStringAppendElement ( &dString, " Set/Get wether the normal vector has to be flipped.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInverseNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetInverseNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InverseNormalOn */
    if ( strcmp ( argv[2], "InverseNormalOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InverseNormalOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InverseNormalOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get wether the normal vector has to be flipped.\n" );
    Tcl_DStringAppendElement ( &dString, "void InverseNormalOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for InverseNormalOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InverseNormalOff */
    if ( strcmp ( argv[2], "InverseNormalOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InverseNormalOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InverseNormalOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get wether the normal vector has to be flipped.\n" );
    Tcl_DStringAppendElement ( &dString, "void InverseNormalOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for InverseNormalOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReverseMaterialOrder */
    if ( strcmp ( argv[2], "SetReverseMaterialOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReverseMaterialOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReverseMaterialOrder */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReverseMaterialOrder(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetReverseMaterialOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseMaterialOrder */
    if ( strcmp ( argv[2], "GetReverseMaterialOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseMaterialOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseMaterialOrder */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseMaterialOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetReverseMaterialOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseMaterialOrderOn */
    if ( strcmp ( argv[2], "ReverseMaterialOrderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseMaterialOrderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseMaterialOrderOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseMaterialOrderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for ReverseMaterialOrderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseMaterialOrderOff */
    if ( strcmp ( argv[2], "ReverseMaterialOrderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseMaterialOrderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseMaterialOrderOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseMaterialOrderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for ReverseMaterialOrderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOnionPeel */
    if ( strcmp ( argv[2], "SetOnionPeel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOnionPeel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOnionPeel */
    Tcl_DStringAppendElement ( &dString, " Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOnionPeel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetOnionPeel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnionPeel */
    if ( strcmp ( argv[2], "GetOnionPeel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnionPeel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnionPeel */
    Tcl_DStringAppendElement ( &dString, " Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnionPeel();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetOnionPeel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnionPeelOn */
    if ( strcmp ( argv[2], "OnionPeelOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnionPeelOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnionPeelOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnionPeelOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for OnionPeelOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnionPeelOff */
    if ( strcmp ( argv[2], "OnionPeelOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnionPeelOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnionPeelOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnionPeelOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for OnionPeelOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisSymetric */
    if ( strcmp ( argv[2], "SetAxisSymetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisSymetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisSymetric */
    Tcl_DStringAppendElement ( &dString, " Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisSymetric(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetAxisSymetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisSymetric */
    if ( strcmp ( argv[2], "GetAxisSymetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisSymetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisSymetric */
    Tcl_DStringAppendElement ( &dString, " Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisSymetric();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetAxisSymetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisSymetricOn */
    if ( strcmp ( argv[2], "AxisSymetricOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisSymetricOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisSymetricOn */
    Tcl_DStringAppendElement ( &dString, " Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisSymetricOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for AxisSymetricOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisSymetricOff */
    if ( strcmp ( argv[2], "AxisSymetricOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisSymetricOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisSymetricOff */
    Tcl_DStringAppendElement ( &dString, " Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisSymetricOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for AxisSymetricOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseFractionAsDistance */
    if ( strcmp ( argv[2], "SetUseFractionAsDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseFractionAsDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseFractionAsDistance */
    Tcl_DStringAppendElement ( &dString, " when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseFractionAsDistance(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetUseFractionAsDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseFractionAsDistance */
    if ( strcmp ( argv[2], "GetUseFractionAsDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseFractionAsDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseFractionAsDistance */
    Tcl_DStringAppendElement ( &dString, " when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseFractionAsDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetUseFractionAsDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFractionAsDistanceOn */
    if ( strcmp ( argv[2], "UseFractionAsDistanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFractionAsDistanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFractionAsDistanceOn */
    Tcl_DStringAppendElement ( &dString, " when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFractionAsDistanceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for UseFractionAsDistanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFractionAsDistanceOff */
    if ( strcmp ( argv[2], "UseFractionAsDistanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFractionAsDistanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFractionAsDistanceOff */
    Tcl_DStringAppendElement ( &dString, " when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFractionAsDistanceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for UseFractionAsDistanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillMaterial */
    if ( strcmp ( argv[2], "SetFillMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillMaterial */
    Tcl_DStringAppendElement ( &dString, " When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFillMaterial(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetFillMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillMaterial */
    if ( strcmp ( argv[2], "GetFillMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillMaterial */
    Tcl_DStringAppendElement ( &dString, " When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFillMaterial();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetFillMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillMaterialOn */
    if ( strcmp ( argv[2], "FillMaterialOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillMaterialOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillMaterialOn */
    Tcl_DStringAppendElement ( &dString, " When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void FillMaterialOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for FillMaterialOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillMaterialOff */
    if ( strcmp ( argv[2], "FillMaterialOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillMaterialOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillMaterialOff */
    Tcl_DStringAppendElement ( &dString, " When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void FillMaterialOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for FillMaterialOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVolumeFractionRange */
    if ( strcmp ( argv[2], "SetVolumeFractionRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolumeFractionRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolumeFractionRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVolumeFractionRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetVolumeFractionRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVolumeFractionRange */
    if ( strcmp ( argv[2], "SetVolumeFractionRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolumeFractionRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolumeFractionRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVolumeFractionRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetVolumeFractionRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeFractionRange */
    if ( strcmp ( argv[2], "GetVolumeFractionRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeFractionRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get minimum and maximum volume fraction value. if a material fills a volume above the minimum value, the material is considered to be void. if a material fills a volume fraction beyond the maximum value it is considered as filling the whole volume.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetVolumeFractionRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetVolumeFractionRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfMaterials */
    if ( strcmp ( argv[2], "SetNumberOfMaterials" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfMaterials" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfMaterials */
    Tcl_DStringAppendElement ( &dString, " Sets/Gets the number of materials.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfMaterials(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetNumberOfMaterials */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfMaterials */
    if ( strcmp ( argv[2], "GetNumberOfMaterials" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMaterials" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfMaterials */
    Tcl_DStringAppendElement ( &dString, " Sets/Gets the number of materials.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfMaterials();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetNumberOfMaterials */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseAllBlocks */
    if ( strcmp ( argv[2], "SetUseAllBlocks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseAllBlocks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseAllBlocks */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether all material blocks should be used, irrespective of the material block mapping.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseAllBlocks(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetUseAllBlocks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseAllBlocks */
    if ( strcmp ( argv[2], "GetUseAllBlocks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseAllBlocks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseAllBlocks */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether all material blocks should be used, irrespective of the material block mapping.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseAllBlocks();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetUseAllBlocks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseAllBlocksOn */
    if ( strcmp ( argv[2], "UseAllBlocksOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseAllBlocksOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseAllBlocksOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether all material blocks should be used, irrespective of the material block mapping.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseAllBlocksOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for UseAllBlocksOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseAllBlocksOff */
    if ( strcmp ( argv[2], "UseAllBlocksOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseAllBlocksOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseAllBlocksOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether all material blocks should be used, irrespective of the material block mapping.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseAllBlocksOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for UseAllBlocksOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfDomains */
    if ( strcmp ( argv[2], "GetNumberOfDomains" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDomains" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfDomains */
    Tcl_DStringAppendElement ( &dString, " Only meaningfull for LOVE software. returns the maximum number of blocks conatining the same material\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfDomains();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for GetNumberOfDomains */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialArrays */
    if ( strcmp ( argv[2], "SetMaterialArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialArrays */
    Tcl_DStringAppendElement ( &dString, " Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialArrays(int i, const char *volume, const char *normalX, const char *normalY, const char *normalZ, const char *ordering);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetMaterialArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialArrays */
    if ( strcmp ( argv[2], "SetMaterialArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialArrays */
    Tcl_DStringAppendElement ( &dString, " Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialArrays(int i, const char *volume, const char *normal, const char *ordering);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetMaterialArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialVolumeFractionArray */
    if ( strcmp ( argv[2], "SetMaterialVolumeFractionArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialVolumeFractionArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialVolumeFractionArray */
    Tcl_DStringAppendElement ( &dString, " Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialVolumeFractionArray(int i, const char *volume);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetMaterialVolumeFractionArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialNormalArray */
    if ( strcmp ( argv[2], "SetMaterialNormalArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialNormalArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialNormalArray */
    Tcl_DStringAppendElement ( &dString, " Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialNormalArray(int i, const char *normal);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetMaterialNormalArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialOrderingArray */
    if ( strcmp ( argv[2], "SetMaterialOrderingArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialOrderingArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialOrderingArray */
    Tcl_DStringAppendElement ( &dString, " Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialOrderingArray(int i, const char *ordering);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetMaterialOrderingArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllMaterials */
    if ( strcmp ( argv[2], "RemoveAllMaterials" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllMaterials" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllMaterials */
    Tcl_DStringAppendElement ( &dString, " Removes all meterials previously added.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllMaterials();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for RemoveAllMaterials */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialNormalArray */
    if ( strcmp ( argv[2], "SetMaterialNormalArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialNormalArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialNormalArray */
    Tcl_DStringAppendElement ( &dString, " Alternative API for associating Normal and Ordering arrays to materials\n identified by its volume-fraction array.\n Note that these mappings are cleared by a call to RemoveAllMaterials() but\n not by SetNumberOfMaterials().\n If one uses the SetMaterial*Array(int, ...) API to set the normal or\n ordering arrays, then that supersedes the values set using this API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialNormalArray(const char *volume, const char *normal);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetMaterialNormalArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialOrderingArray */
    if ( strcmp ( argv[2], "SetMaterialOrderingArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialOrderingArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialOrderingArray */
    Tcl_DStringAppendElement ( &dString, " Alternative API for associating Normal and Ordering arrays to materials\n identified by its volume-fraction array.\n Note that these mappings are cleared by a call to RemoveAllMaterials() but\n not by SetNumberOfMaterials().\n If one uses the SetMaterial*Array(int, ...) API to set the normal or\n ordering arrays, then that supersedes the values set using this API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialOrderingArray(const char *volume, const char *ordering);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for SetMaterialOrderingArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllMaterialBlockMappings */
    if ( strcmp ( argv[2], "RemoveAllMaterialBlockMappings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllMaterialBlockMappings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllMaterialBlockMappings */
    Tcl_DStringAppendElement ( &dString, " select blocks to be processed for each described material.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllMaterialBlockMappings();" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for RemoveAllMaterialBlockMappings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddMaterialBlockMapping */
    if ( strcmp ( argv[2], "AddMaterialBlockMapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddMaterialBlockMapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddMaterialBlockMapping */
    Tcl_DStringAppendElement ( &dString, " select blocks to be processed for each described material.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddMaterialBlockMapping(int b);" );
    Tcl_DStringAppendElement ( &dString, "vtkYoungsMaterialInterface" );
    /* Closing for AddMaterialBlockMapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
