// tcl wrapper for vtkAnnotatedCubeActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnnotatedCubeActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAnnotatedCubeActorNewCommand()
{
  vtkAnnotatedCubeActor *temp = vtkAnnotatedCubeActor::New();
  return static_cast<ClientData>(temp);
}

int vtkProp3DCppCommand(vtkProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAnnotatedCubeActorCppCommand(vtkAnnotatedCubeActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAnnotatedCubeActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAnnotatedCubeActorCppCommand(static_cast<vtkAnnotatedCubeActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAnnotatedCubeActorCppCommand(vtkAnnotatedCubeActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAnnotatedCubeActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProp3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAnnotatedCubeActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotatedCubeActor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAnnotatedCubeActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotatedCubeActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAnnotatedCubeActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotatedCubeActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFaceTextScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFaceTextScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaceTextScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFaceTextScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXPlusFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetXPlusFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetXMinusFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetXMinusFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetYPlusFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetYPlusFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetYMinusFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetYMinusFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetZPlusFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetZPlusFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetZMinusFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetZMinusFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetCubeProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetCubeProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetTextEdgesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetTextEdgesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetXPlusFaceText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXPlusFaceText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXPlusFaceText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXPlusFaceText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXMinusFaceText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXMinusFaceText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMinusFaceText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXMinusFaceText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYPlusFaceText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYPlusFaceText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYPlusFaceText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYPlusFaceText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYMinusFaceText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYMinusFaceText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYMinusFaceText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYMinusFaceText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZPlusFaceText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZPlusFaceText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZPlusFaceText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZPlusFaceText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZMinusFaceText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZMinusFaceText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZMinusFaceText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZMinusFaceText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextEdgesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTextEdgesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextEdgesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextEdgesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCubeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCubeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCubeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCubeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFaceTextVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFaceTextVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaceTextVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFaceTextVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXFaceTextRotation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetXFaceTextRotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXFaceTextRotation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetXFaceTextRotation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYFaceTextRotation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetYFaceTextRotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYFaceTextRotation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetYFaceTextRotation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZFaceTextRotation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetZFaceTextRotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZFaceTextRotation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetZFaceTextRotation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAssembly",argv[1]))&&(argc == 2))
    {
    vtkAssembly  *temp20;
    temp20 = (op)->GetAssembly();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssembly");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAnnotatedCubeActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAnnotatedCubeActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetFaceTextScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceTextScale\n",NULL);
    Tcl_AppendResult(interp,"  GetXPlusFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetXMinusFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetYPlusFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetYMinusFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetZPlusFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetZMinusFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetCubeProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetTextEdgesProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetXPlusFaceText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXPlusFaceText\n",NULL);
    Tcl_AppendResult(interp,"  SetXMinusFaceText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMinusFaceText\n",NULL);
    Tcl_AppendResult(interp,"  SetYPlusFaceText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYPlusFaceText\n",NULL);
    Tcl_AppendResult(interp,"  SetYMinusFaceText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYMinusFaceText\n",NULL);
    Tcl_AppendResult(interp,"  SetZPlusFaceText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZPlusFaceText\n",NULL);
    Tcl_AppendResult(interp,"  SetZMinusFaceText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZMinusFaceText\n",NULL);
    Tcl_AppendResult(interp,"  SetTextEdgesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextEdgesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetCubeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCubeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetFaceTextVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceTextVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetXFaceTextRotation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXFaceTextRotation\n",NULL);
    Tcl_AppendResult(interp,"  SetYFaceTextRotation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYFaceTextRotation\n",NULL);
    Tcl_AppendResult(interp,"  SetZFaceTextRotation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZFaceTextRotation\n",NULL);
    Tcl_AppendResult(interp,"  GetAssembly\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetFaceTextScale" );
    Tcl_DStringAppendElement ( &dString, "GetFaceTextScale" );
    Tcl_DStringAppendElement ( &dString, "GetXPlusFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetXMinusFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetYPlusFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetYMinusFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetZPlusFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetZMinusFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetCubeProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextEdgesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetXPlusFaceText" );
    Tcl_DStringAppendElement ( &dString, "GetXPlusFaceText" );
    Tcl_DStringAppendElement ( &dString, "SetXMinusFaceText" );
    Tcl_DStringAppendElement ( &dString, "GetXMinusFaceText" );
    Tcl_DStringAppendElement ( &dString, "SetYPlusFaceText" );
    Tcl_DStringAppendElement ( &dString, "GetYPlusFaceText" );
    Tcl_DStringAppendElement ( &dString, "SetYMinusFaceText" );
    Tcl_DStringAppendElement ( &dString, "GetYMinusFaceText" );
    Tcl_DStringAppendElement ( &dString, "SetZPlusFaceText" );
    Tcl_DStringAppendElement ( &dString, "GetZPlusFaceText" );
    Tcl_DStringAppendElement ( &dString, "SetZMinusFaceText" );
    Tcl_DStringAppendElement ( &dString, "GetZMinusFaceText" );
    Tcl_DStringAppendElement ( &dString, "SetTextEdgesVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTextEdgesVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetCubeVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetCubeVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetFaceTextVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetFaceTextVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetXFaceTextRotation" );
    Tcl_DStringAppendElement ( &dString, "GetXFaceTextRotation" );
    Tcl_DStringAppendElement ( &dString, "SetYFaceTextRotation" );
    Tcl_DStringAppendElement ( &dString, "GetYFaceTextRotation" );
    Tcl_DStringAppendElement ( &dString, "SetZFaceTextRotation" );
    Tcl_DStringAppendElement ( &dString, "GetZFaceTextRotation" );
    Tcl_DStringAppendElement ( &dString, "GetAssembly" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkProp3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAnnotatedCubeActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of an axes actor. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The\n method GetBounds(double bounds\\[6\\]) is available from the superclass.)\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The\n method GetBounds(double bounds\\[6\\]) is available from the superclass.)\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the actors mtime plus consider its properties and texture if set.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaceTextScale */
    if ( strcmp ( argv[2], "SetFaceTextScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaceTextScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaceTextScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scale factor for the face text\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFaceTextScale(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetFaceTextScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceTextScale */
    if ( strcmp ( argv[2], "GetFaceTextScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceTextScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceTextScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scale factor for the face text\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFaceTextScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetFaceTextScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXPlusFaceProperty */
    if ( strcmp ( argv[2], "GetXPlusFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXPlusFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXPlusFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the individual face text properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetXPlusFaceProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetXPlusFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXMinusFaceProperty */
    if ( strcmp ( argv[2], "GetXMinusFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXMinusFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXMinusFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the individual face text properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetXMinusFaceProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetXMinusFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYPlusFaceProperty */
    if ( strcmp ( argv[2], "GetYPlusFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYPlusFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYPlusFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the individual face text properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetYPlusFaceProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetYPlusFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYMinusFaceProperty */
    if ( strcmp ( argv[2], "GetYMinusFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYMinusFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYMinusFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the individual face text properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetYMinusFaceProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetYMinusFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZPlusFaceProperty */
    if ( strcmp ( argv[2], "GetZPlusFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZPlusFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZPlusFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the individual face text properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetZPlusFaceProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetZPlusFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZMinusFaceProperty */
    if ( strcmp ( argv[2], "GetZMinusFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZMinusFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZMinusFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the individual face text properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetZMinusFaceProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetZMinusFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCubeProperty */
    if ( strcmp ( argv[2], "GetCubeProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCubeProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCubeProperty */
    Tcl_DStringAppendElement ( &dString, " Get the cube properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetCubeProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetCubeProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextEdgesProperty */
    if ( strcmp ( argv[2], "GetTextEdgesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextEdgesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextEdgesProperty */
    Tcl_DStringAppendElement ( &dString, " Get the text edges properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetTextEdgesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetTextEdgesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXPlusFaceText */
    if ( strcmp ( argv[2], "SetXPlusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXPlusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXPlusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXPlusFaceText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetXPlusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXPlusFaceText */
    if ( strcmp ( argv[2], "GetXPlusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXPlusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXPlusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXPlusFaceText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetXPlusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXMinusFaceText */
    if ( strcmp ( argv[2], "SetXMinusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXMinusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXMinusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXMinusFaceText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetXMinusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXMinusFaceText */
    if ( strcmp ( argv[2], "GetXMinusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXMinusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXMinusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXMinusFaceText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetXMinusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYPlusFaceText */
    if ( strcmp ( argv[2], "SetYPlusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYPlusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYPlusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYPlusFaceText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetYPlusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYPlusFaceText */
    if ( strcmp ( argv[2], "GetYPlusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYPlusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYPlusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYPlusFaceText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetYPlusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYMinusFaceText */
    if ( strcmp ( argv[2], "SetYMinusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYMinusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYMinusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYMinusFaceText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetYMinusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYMinusFaceText */
    if ( strcmp ( argv[2], "GetYMinusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYMinusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYMinusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYMinusFaceText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetYMinusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZPlusFaceText */
    if ( strcmp ( argv[2], "SetZPlusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZPlusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZPlusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZPlusFaceText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetZPlusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZPlusFaceText */
    if ( strcmp ( argv[2], "GetZPlusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZPlusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZPlusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZPlusFaceText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetZPlusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZMinusFaceText */
    if ( strcmp ( argv[2], "SetZMinusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZMinusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZMinusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZMinusFaceText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetZMinusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZMinusFaceText */
    if ( strcmp ( argv[2], "GetZMinusFaceText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZMinusFaceText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZMinusFaceText */
    Tcl_DStringAppendElement ( &dString, " Set/get the face text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZMinusFaceText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetZMinusFaceText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextEdgesVisibility */
    if ( strcmp ( argv[2], "SetTextEdgesVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextEdgesVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextEdgesVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the vector text edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextEdgesVisibility(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetTextEdgesVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextEdgesVisibility */
    if ( strcmp ( argv[2], "GetTextEdgesVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextEdgesVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextEdgesVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the vector text edges.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextEdgesVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetTextEdgesVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCubeVisibility */
    if ( strcmp ( argv[2], "SetCubeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCubeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCubeVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCubeVisibility(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetCubeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCubeVisibility */
    if ( strcmp ( argv[2], "GetCubeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCubeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCubeVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCubeVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetCubeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaceTextVisibility */
    if ( strcmp ( argv[2], "SetFaceTextVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaceTextVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaceTextVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the vector text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFaceTextVisibility(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetFaceTextVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceTextVisibility */
    if ( strcmp ( argv[2], "GetFaceTextVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceTextVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceTextVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the vector text.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFaceTextVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetFaceTextVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXFaceTextRotation */
    if ( strcmp ( argv[2], "SetXFaceTextRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXFaceTextRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXFaceTextRotation */
    Tcl_DStringAppendElement ( &dString, " Augment individual face text orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXFaceTextRotation(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetXFaceTextRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXFaceTextRotation */
    if ( strcmp ( argv[2], "GetXFaceTextRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXFaceTextRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXFaceTextRotation */
    Tcl_DStringAppendElement ( &dString, " Augment individual face text orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetXFaceTextRotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetXFaceTextRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYFaceTextRotation */
    if ( strcmp ( argv[2], "SetYFaceTextRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYFaceTextRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYFaceTextRotation */
    Tcl_DStringAppendElement ( &dString, " Augment individual face text orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYFaceTextRotation(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetYFaceTextRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYFaceTextRotation */
    if ( strcmp ( argv[2], "GetYFaceTextRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYFaceTextRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYFaceTextRotation */
    Tcl_DStringAppendElement ( &dString, " Augment individual face text orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetYFaceTextRotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetYFaceTextRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZFaceTextRotation */
    if ( strcmp ( argv[2], "SetZFaceTextRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZFaceTextRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZFaceTextRotation */
    Tcl_DStringAppendElement ( &dString, " Augment individual face text orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZFaceTextRotation(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for SetZFaceTextRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZFaceTextRotation */
    if ( strcmp ( argv[2], "GetZFaceTextRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZFaceTextRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZFaceTextRotation */
    Tcl_DStringAppendElement ( &dString, " Augment individual face text orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetZFaceTextRotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetZFaceTextRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssembly */
    if ( strcmp ( argv[2], "GetAssembly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssembly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssembly */
    Tcl_DStringAppendElement ( &dString, " Get the assembly so that user supplied transforms can be applied\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAssembly *GetAssembly();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotatedCubeActor" );
    /* Closing for GetAssembly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
