// tcl wrapper for vtkAxesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxesActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAxesActorNewCommand()
{
  vtkAxesActor *temp = vtkAxesActor::New();
  return static_cast<ClientData>(temp);
}

int vtkProp3DCppCommand(vtkProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAxesActorCppCommand(vtkAxesActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAxesActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAxesActorCppCommand(static_cast<vtkAxesActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAxesActorCppCommand(vtkAxesActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAxesActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProp3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAxesActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxesActor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAxesActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxesActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAxesActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxesActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRedrawMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetRedrawMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTotalLength",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetTotalLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTotalLength",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTotalLength(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalLength",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTotalLength();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizedShaftLength",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNormalizedShaftLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalizedShaftLength",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNormalizedShaftLength(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizedShaftLength",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNormalizedShaftLength();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizedTipLength",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNormalizedTipLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalizedTipLength",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNormalizedTipLength(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizedTipLength",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNormalizedTipLength();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizedLabelPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNormalizedLabelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalizedLabelPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNormalizedLabelPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizedLabelPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNormalizedLabelPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetConeResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConeResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConeResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConeResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetConeResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConeResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetConeResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConeResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSphereResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSphereResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSphereResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSphereResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSphereResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSphereResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSphereResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSphereResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCylinderResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCylinderResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCylinderResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCylinderResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCylinderResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCylinderResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCylinderResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCylinderResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConeRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetConeRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConeRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConeRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetConeRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConeRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetConeRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConeRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSphereRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSphereRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSphereRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSphereRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSphereRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSphereRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSphereRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSphereRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCylinderRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCylinderRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCylinderRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCylinderRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCylinderRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCylinderRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCylinderRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCylinderRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShaftType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShaftType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShaftTypeToCylinder",argv[1]))&&(argc == 2))
    {
    op->SetShaftTypeToCylinder();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShaftTypeToLine",argv[1]))&&(argc == 2))
    {
    op->SetShaftTypeToLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShaftTypeToUserDefined",argv[1]))&&(argc == 2))
    {
    op->SetShaftTypeToUserDefined();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetShaftType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShaftType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTipType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTipType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTipTypeToCone",argv[1]))&&(argc == 2))
    {
    op->SetTipTypeToCone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTipTypeToSphere",argv[1]))&&(argc == 2))
    {
    op->SetTipTypeToSphere();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTipTypeToUserDefined",argv[1]))&&(argc == 2))
    {
    op->SetTipTypeToUserDefined();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTipType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTipType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUserDefinedTip",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetUserDefinedTip(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserDefinedTip",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetUserDefinedTip();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetUserDefinedShaft",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetUserDefinedShaft(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserDefinedShaft",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetUserDefinedShaft();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetXAxisTipProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetXAxisTipProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetYAxisTipProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetYAxisTipProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetZAxisTipProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetZAxisTipProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetXAxisShaftProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetXAxisShaftProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetYAxisShaftProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetYAxisShaftProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetZAxisShaftProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetZAxisShaftProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetXAxisCaptionActor2D",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->GetXAxisCaptionActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetYAxisCaptionActor2D",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->GetYAxisCaptionActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetZAxisCaptionActor2D",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->GetZAxisCaptionActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetXAxisLabelText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXAxisLabelText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXAxisLabelText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXAxisLabelText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYAxisLabelText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYAxisLabelText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYAxisLabelText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYAxisLabelText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZAxisLabelText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZAxisLabelText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZAxisLabelText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZAxisLabelText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAxisLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxisLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AxisLabelsOn",argv[1]))&&(argc == 2))
    {
    op->AxisLabelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AxisLabelsOff",argv[1]))&&(argc == 2))
    {
    op->AxisLabelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAxesActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAxesActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetRedrawMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetTotalLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTotalLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalLength\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizedShaftLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizedShaftLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizedShaftLength\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizedTipLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizedTipLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizedTipLength\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizedLabelPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizedLabelPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizedLabelPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetConeResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConeResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetConeResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetConeResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetSphereResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetCylinderResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCylinderResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCylinderResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCylinderResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetConeRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConeRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetConeRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetConeRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetSphereRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetCylinderRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCylinderRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCylinderRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCylinderRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetShaftType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetShaftTypeToCylinder\n",NULL);
    Tcl_AppendResult(interp,"  SetShaftTypeToLine\n",NULL);
    Tcl_AppendResult(interp,"  SetShaftTypeToUserDefined\n",NULL);
    Tcl_AppendResult(interp,"  GetShaftType\n",NULL);
    Tcl_AppendResult(interp,"  SetTipType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTipTypeToCone\n",NULL);
    Tcl_AppendResult(interp,"  SetTipTypeToSphere\n",NULL);
    Tcl_AppendResult(interp,"  SetTipTypeToUserDefined\n",NULL);
    Tcl_AppendResult(interp,"  GetTipType\n",NULL);
    Tcl_AppendResult(interp,"  SetUserDefinedTip\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserDefinedTip\n",NULL);
    Tcl_AppendResult(interp,"  SetUserDefinedShaft\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserDefinedShaft\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisTipProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisTipProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisTipProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisShaftProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisShaftProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisShaftProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisCaptionActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisCaptionActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisCaptionActor2D\n",NULL);
    Tcl_AppendResult(interp,"  SetXAxisLabelText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisLabelText\n",NULL);
    Tcl_AppendResult(interp,"  SetYAxisLabelText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisLabelText\n",NULL);
    Tcl_AppendResult(interp,"  SetZAxisLabelText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisLabelText\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabels\n",NULL);
    Tcl_AppendResult(interp,"  AxisLabelsOn\n",NULL);
    Tcl_AppendResult(interp,"  AxisLabelsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    Tcl_DStringAppendElement ( &dString, "SetTotalLength" );
    Tcl_DStringAppendElement ( &dString, "SetTotalLength" );
    Tcl_DStringAppendElement ( &dString, "GetTotalLength" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedShaftLength" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedShaftLength" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedShaftLength" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedTipLength" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedTipLength" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedTipLength" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedLabelPosition" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedLabelPosition" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedLabelPosition" );
    Tcl_DStringAppendElement ( &dString, "SetConeResolution" );
    Tcl_DStringAppendElement ( &dString, "GetConeResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetConeResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetConeResolution" );
    Tcl_DStringAppendElement ( &dString, "SetSphereResolution" );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolution" );
    Tcl_DStringAppendElement ( &dString, "SetCylinderResolution" );
    Tcl_DStringAppendElement ( &dString, "GetCylinderResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCylinderResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCylinderResolution" );
    Tcl_DStringAppendElement ( &dString, "SetConeRadius" );
    Tcl_DStringAppendElement ( &dString, "GetConeRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetConeRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetConeRadius" );
    Tcl_DStringAppendElement ( &dString, "SetSphereRadius" );
    Tcl_DStringAppendElement ( &dString, "GetSphereRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSphereRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSphereRadius" );
    Tcl_DStringAppendElement ( &dString, "SetCylinderRadius" );
    Tcl_DStringAppendElement ( &dString, "GetCylinderRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCylinderRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCylinderRadius" );
    Tcl_DStringAppendElement ( &dString, "SetShaftType" );
    Tcl_DStringAppendElement ( &dString, "SetShaftTypeToCylinder" );
    Tcl_DStringAppendElement ( &dString, "SetShaftTypeToLine" );
    Tcl_DStringAppendElement ( &dString, "SetShaftTypeToUserDefined" );
    Tcl_DStringAppendElement ( &dString, "GetShaftType" );
    Tcl_DStringAppendElement ( &dString, "SetTipType" );
    Tcl_DStringAppendElement ( &dString, "SetTipTypeToCone" );
    Tcl_DStringAppendElement ( &dString, "SetTipTypeToSphere" );
    Tcl_DStringAppendElement ( &dString, "SetTipTypeToUserDefined" );
    Tcl_DStringAppendElement ( &dString, "GetTipType" );
    Tcl_DStringAppendElement ( &dString, "SetUserDefinedTip" );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedTip" );
    Tcl_DStringAppendElement ( &dString, "SetUserDefinedShaft" );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedShaft" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisTipProperty" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisTipProperty" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisTipProperty" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisShaftProperty" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisShaftProperty" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisShaftProperty" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisCaptionActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisCaptionActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisCaptionActor2D" );
    Tcl_DStringAppendElement ( &dString, "SetXAxisLabelText" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisLabelText" );
    Tcl_DStringAppendElement ( &dString, "SetYAxisLabelText" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisLabelText" );
    Tcl_DStringAppendElement ( &dString, "SetZAxisLabelText" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisLabelText" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabels" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabels" );
    Tcl_DStringAppendElement ( &dString, "AxisLabelsOn" );
    Tcl_DStringAppendElement ( &dString, "AxisLabelsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkProp3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAxesActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of an axes actor. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The\n method GetBounds(double bounds\\[6\\]) is available from the superclass.)\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The\n method GetBounds(double bounds\\[6\\]) is available from the superclass.)\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the actors mtime plus consider its properties and texture if set.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRedrawMTime */
    if ( strcmp ( argv[2], "GetRedrawMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRedrawMTime */
    Tcl_DStringAppendElement ( &dString, " Return the mtime of anything that would cause the rendered image to \n appear differently. Usually this involves checking the mtime of the \n prop plus anything else it depends on such as properties, textures\n etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetRedrawMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetRedrawMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTotalLength */
    if ( strcmp ( argv[2], "SetTotalLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTotalLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTotalLength */
    Tcl_DStringAppendElement ( &dString, " Set the total length of the axes in 3 dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTotalLength(double v\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetTotalLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTotalLength */
    if ( strcmp ( argv[2], "SetTotalLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTotalLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTotalLength */
    Tcl_DStringAppendElement ( &dString, " Set the total length of the axes in 3 dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTotalLength(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetTotalLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalLength */
    if ( strcmp ( argv[2], "GetTotalLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalLength */
    Tcl_DStringAppendElement ( &dString, " Set the total length of the axes in 3 dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTotalLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetTotalLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizedShaftLength */
    if ( strcmp ( argv[2], "SetNormalizedShaftLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedShaftLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizedShaftLength */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) length of the shaft.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizedShaftLength(double v\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetNormalizedShaftLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizedShaftLength */
    if ( strcmp ( argv[2], "SetNormalizedShaftLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedShaftLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizedShaftLength */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) length of the shaft.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizedShaftLength(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetNormalizedShaftLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizedShaftLength */
    if ( strcmp ( argv[2], "GetNormalizedShaftLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedShaftLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizedShaftLength */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) length of the shaft.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormalizedShaftLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetNormalizedShaftLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizedTipLength */
    if ( strcmp ( argv[2], "SetNormalizedTipLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedTipLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizedTipLength */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) length of the tip.  Normally, this would be\n 1 - the normalized length of the shaft.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizedTipLength(double v\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetNormalizedTipLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizedTipLength */
    if ( strcmp ( argv[2], "SetNormalizedTipLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedTipLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizedTipLength */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) length of the tip.  Normally, this would be\n 1 - the normalized length of the shaft.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizedTipLength(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetNormalizedTipLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizedTipLength */
    if ( strcmp ( argv[2], "GetNormalizedTipLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedTipLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizedTipLength */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) length of the tip.  Normally, this would be\n 1 - the normalized length of the shaft.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormalizedTipLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetNormalizedTipLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizedLabelPosition */
    if ( strcmp ( argv[2], "SetNormalizedLabelPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedLabelPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizedLabelPosition */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) position of the label along the length of\n the shaft.  A value > 1 is permissible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizedLabelPosition(double v\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetNormalizedLabelPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizedLabelPosition */
    if ( strcmp ( argv[2], "SetNormalizedLabelPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizedLabelPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizedLabelPosition */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) position of the label along the length of\n the shaft.  A value > 1 is permissible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizedLabelPosition(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetNormalizedLabelPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizedLabelPosition */
    if ( strcmp ( argv[2], "GetNormalizedLabelPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedLabelPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizedLabelPosition */
    Tcl_DStringAppendElement ( &dString, " Set the normalized (0-1) position of the label along the length of\n the shaft.  A value > 1 is permissible.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormalizedLabelPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetNormalizedLabelPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConeResolution */
    if ( strcmp ( argv[2], "SetConeResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConeResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConeResolution */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConeResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetConeResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConeResolutionMinValue */
    if ( strcmp ( argv[2], "GetConeResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConeResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConeResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConeResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetConeResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConeResolutionMaxValue */
    if ( strcmp ( argv[2], "GetConeResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConeResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConeResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConeResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetConeResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConeResolution */
    if ( strcmp ( argv[2], "GetConeResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConeResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConeResolution */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConeResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetConeResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSphereResolution */
    if ( strcmp ( argv[2], "SetSphereResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSphereResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSphereResolution */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSphereResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetSphereResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereResolutionMinValue */
    if ( strcmp ( argv[2], "GetSphereResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSphereResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetSphereResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereResolutionMaxValue */
    if ( strcmp ( argv[2], "GetSphereResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSphereResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetSphereResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereResolution */
    if ( strcmp ( argv[2], "GetSphereResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereResolution */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSphereResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetSphereResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCylinderResolution */
    if ( strcmp ( argv[2], "SetCylinderResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCylinderResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCylinderResolution */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCylinderResolution(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetCylinderResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCylinderResolutionMinValue */
    if ( strcmp ( argv[2], "GetCylinderResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCylinderResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCylinderResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCylinderResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetCylinderResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCylinderResolutionMaxValue */
    if ( strcmp ( argv[2], "GetCylinderResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCylinderResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCylinderResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCylinderResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetCylinderResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCylinderResolution */
    if ( strcmp ( argv[2], "GetCylinderResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCylinderResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCylinderResolution */
    Tcl_DStringAppendElement ( &dString, " Set/get the resolution of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCylinderResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetCylinderResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConeRadius */
    if ( strcmp ( argv[2], "SetConeRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConeRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConeRadius */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConeRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetConeRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConeRadiusMinValue */
    if ( strcmp ( argv[2], "GetConeRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConeRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConeRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetConeRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetConeRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConeRadiusMaxValue */
    if ( strcmp ( argv[2], "GetConeRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConeRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConeRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetConeRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetConeRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConeRadius */
    if ( strcmp ( argv[2], "GetConeRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConeRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConeRadius */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetConeRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetConeRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSphereRadius */
    if ( strcmp ( argv[2], "SetSphereRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSphereRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSphereRadius */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSphereRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetSphereRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereRadiusMinValue */
    if ( strcmp ( argv[2], "GetSphereRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSphereRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetSphereRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereRadiusMaxValue */
    if ( strcmp ( argv[2], "GetSphereRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSphereRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetSphereRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereRadius */
    if ( strcmp ( argv[2], "GetSphereRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereRadius */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSphereRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetSphereRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCylinderRadius */
    if ( strcmp ( argv[2], "SetCylinderRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCylinderRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCylinderRadius */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCylinderRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetCylinderRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCylinderRadiusMinValue */
    if ( strcmp ( argv[2], "GetCylinderRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCylinderRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCylinderRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCylinderRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetCylinderRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCylinderRadiusMaxValue */
    if ( strcmp ( argv[2], "GetCylinderRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCylinderRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCylinderRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCylinderRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetCylinderRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCylinderRadius */
    if ( strcmp ( argv[2], "GetCylinderRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCylinderRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCylinderRadius */
    Tcl_DStringAppendElement ( &dString, " Set/get the radius of the pieces of the axes actor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCylinderRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetCylinderRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShaftType */
    if ( strcmp ( argv[2], "SetShaftType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShaftType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShaftType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the shaft to a cylinder, line, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShaftType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetShaftType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShaftTypeToCylinder */
    if ( strcmp ( argv[2], "SetShaftTypeToCylinder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShaftTypeToCylinder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShaftTypeToCylinder */
    Tcl_DStringAppendElement ( &dString, " Set the type of the shaft to a cylinder, line, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShaftTypeToCylinder();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetShaftTypeToCylinder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShaftTypeToLine */
    if ( strcmp ( argv[2], "SetShaftTypeToLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShaftTypeToLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShaftTypeToLine */
    Tcl_DStringAppendElement ( &dString, " Set the type of the shaft to a cylinder, line, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShaftTypeToLine();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetShaftTypeToLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShaftTypeToUserDefined */
    if ( strcmp ( argv[2], "SetShaftTypeToUserDefined" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShaftTypeToUserDefined" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShaftTypeToUserDefined */
    Tcl_DStringAppendElement ( &dString, " Set the type of the shaft to a cylinder, line, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShaftTypeToUserDefined();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetShaftTypeToUserDefined */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaftType */
    if ( strcmp ( argv[2], "GetShaftType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaftType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaftType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the shaft to a cylinder, line, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShaftType();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetShaftType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTipType */
    if ( strcmp ( argv[2], "SetTipType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTipType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTipType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the tip to a cone, sphere, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTipType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetTipType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTipTypeToCone */
    if ( strcmp ( argv[2], "SetTipTypeToCone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTipTypeToCone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTipTypeToCone */
    Tcl_DStringAppendElement ( &dString, " Set the type of the tip to a cone, sphere, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTipTypeToCone();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetTipTypeToCone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTipTypeToSphere */
    if ( strcmp ( argv[2], "SetTipTypeToSphere" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTipTypeToSphere" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTipTypeToSphere */
    Tcl_DStringAppendElement ( &dString, " Set the type of the tip to a cone, sphere, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTipTypeToSphere();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetTipTypeToSphere */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTipTypeToUserDefined */
    if ( strcmp ( argv[2], "SetTipTypeToUserDefined" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTipTypeToUserDefined" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTipTypeToUserDefined */
    Tcl_DStringAppendElement ( &dString, " Set the type of the tip to a cone, sphere, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTipTypeToUserDefined();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetTipTypeToUserDefined */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTipType */
    if ( strcmp ( argv[2], "GetTipType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTipType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTipType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the tip to a cone, sphere, or user defined geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTipType();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetTipType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUserDefinedTip */
    if ( strcmp ( argv[2], "SetUserDefinedTip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUserDefinedTip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUserDefinedTip */
    Tcl_DStringAppendElement ( &dString, " Set the user defined tip polydata.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUserDefinedTip(vtkPolyData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetUserDefinedTip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserDefinedTip */
    if ( strcmp ( argv[2], "GetUserDefinedTip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedTip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserDefinedTip */
    Tcl_DStringAppendElement ( &dString, " Set the user defined tip polydata.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetUserDefinedTip();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetUserDefinedTip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUserDefinedShaft */
    if ( strcmp ( argv[2], "SetUserDefinedShaft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUserDefinedShaft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUserDefinedShaft */
    Tcl_DStringAppendElement ( &dString, " Set the user defined shaft polydata.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUserDefinedShaft(vtkPolyData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetUserDefinedShaft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserDefinedShaft */
    if ( strcmp ( argv[2], "GetUserDefinedShaft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedShaft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserDefinedShaft */
    Tcl_DStringAppendElement ( &dString, " Set the user defined shaft polydata.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetUserDefinedShaft();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetUserDefinedShaft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisTipProperty */
    if ( strcmp ( argv[2], "GetXAxisTipProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisTipProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisTipProperty */
    Tcl_DStringAppendElement ( &dString, " Get the tip properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetXAxisTipProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetXAxisTipProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisTipProperty */
    if ( strcmp ( argv[2], "GetYAxisTipProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisTipProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisTipProperty */
    Tcl_DStringAppendElement ( &dString, " Get the tip properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetYAxisTipProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetYAxisTipProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisTipProperty */
    if ( strcmp ( argv[2], "GetZAxisTipProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisTipProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisTipProperty */
    Tcl_DStringAppendElement ( &dString, " Get the tip properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetZAxisTipProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetZAxisTipProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisShaftProperty */
    if ( strcmp ( argv[2], "GetXAxisShaftProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisShaftProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisShaftProperty */
    Tcl_DStringAppendElement ( &dString, " Get the shaft properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetXAxisShaftProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetXAxisShaftProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisShaftProperty */
    if ( strcmp ( argv[2], "GetYAxisShaftProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisShaftProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisShaftProperty */
    Tcl_DStringAppendElement ( &dString, " Get the shaft properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetYAxisShaftProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetYAxisShaftProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisShaftProperty */
    if ( strcmp ( argv[2], "GetZAxisShaftProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisShaftProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisShaftProperty */
    Tcl_DStringAppendElement ( &dString, " Get the shaft properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetZAxisShaftProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetZAxisShaftProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisCaptionActor2D */
    if ( strcmp ( argv[2], "GetXAxisCaptionActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisCaptionActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisCaptionActor2D */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D *GetXAxisCaptionActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetXAxisCaptionActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisCaptionActor2D */
    if ( strcmp ( argv[2], "GetYAxisCaptionActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisCaptionActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisCaptionActor2D */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D *GetYAxisCaptionActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetYAxisCaptionActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisCaptionActor2D */
    if ( strcmp ( argv[2], "GetZAxisCaptionActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisCaptionActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisCaptionActor2D */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D *GetZAxisCaptionActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetZAxisCaptionActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXAxisLabelText */
    if ( strcmp ( argv[2], "SetXAxisLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXAxisLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXAxisLabelText */
    Tcl_DStringAppendElement ( &dString, " Set/get the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXAxisLabelText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetXAxisLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisLabelText */
    if ( strcmp ( argv[2], "GetXAxisLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisLabelText */
    Tcl_DStringAppendElement ( &dString, " Set/get the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXAxisLabelText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetXAxisLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYAxisLabelText */
    if ( strcmp ( argv[2], "SetYAxisLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYAxisLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYAxisLabelText */
    Tcl_DStringAppendElement ( &dString, " Set/get the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYAxisLabelText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetYAxisLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisLabelText */
    if ( strcmp ( argv[2], "GetYAxisLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisLabelText */
    Tcl_DStringAppendElement ( &dString, " Set/get the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYAxisLabelText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetYAxisLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZAxisLabelText */
    if ( strcmp ( argv[2], "SetZAxisLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZAxisLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZAxisLabelText */
    Tcl_DStringAppendElement ( &dString, " Set/get the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZAxisLabelText(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetZAxisLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisLabelText */
    if ( strcmp ( argv[2], "GetZAxisLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisLabelText */
    Tcl_DStringAppendElement ( &dString, " Set/get the label text.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZAxisLabelText();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetZAxisLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabels */
    if ( strcmp ( argv[2], "SetAxisLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabels */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabels(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for SetAxisLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabels */
    if ( strcmp ( argv[2], "GetAxisLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabels */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for GetAxisLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisLabelsOn */
    if ( strcmp ( argv[2], "AxisLabelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisLabelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisLabelsOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisLabelsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for AxisLabelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisLabelsOff */
    if ( strcmp ( argv[2], "AxisLabelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisLabelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisLabelsOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisLabelsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxesActor" );
    /* Closing for AxisLabelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
