// tcl wrapper for vtkAxisFollower object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxisFollower.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAxisFollowerNewCommand()
{
  vtkAxisFollower *temp = vtkAxisFollower::New();
  return static_cast<ClientData>(temp);
}

int vtkFollowerCppCommand(vtkFollower *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAxisFollowerCppCommand(vtkAxisFollower *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAxisFollowerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAxisFollowerCppCommand(static_cast<vtkAxisFollower *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAxisFollowerCppCommand(vtkAxisFollower *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAxisFollower",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkFollowerCppCommand(static_cast<vtkFollower *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkFollower"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAxisFollower  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisFollower");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAxisFollower  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisFollower");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAxisFollower  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisFollower");
    return TCL_OK;
    }
  if ((!strcmp("SetAxis",argv[1]))&&(argc == 3))
    {
    vtkAxisActor  *temp0;
    error = 0;

    temp0 = (vtkAxisActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAxisActor"),interp,error));
    if (!error)
    {
    op->SetAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxis",argv[1]))&&(argc == 2))
    {
    vtkAxisActor  *temp20;
    temp20 = (op)->GetAxis();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor");
    return TCL_OK;
    }
  if ((!strcmp("SetAutoCenter",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoCenter",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoCenter();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoCenterOn",argv[1]))&&(argc == 2))
    {
    op->AutoCenterOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoCenterOff",argv[1]))&&(argc == 2))
    {
    op->AutoCenterOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableDistanceLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableDistanceLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableDistanceLOD",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableDistanceLOD();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDistanceLODThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistanceLODThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistanceLODThresholdMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceLODThresholdMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceLODThresholdMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceLODThresholdMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceLODThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceLODThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableViewAngleLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableViewAngleLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableViewAngleLOD",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableViewAngleLOD();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewAngleLODThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetViewAngleLODThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewAngleLODThresholdMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngleLODThresholdMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewAngleLODThresholdMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngleLODThresholdMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewAngleLODThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngleLODThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScreenOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScreenOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScreenOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScreenOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->Render(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeTransformMatrix",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->ComputeTransformMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAxisFollowerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFollowerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAxisFollower:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoCenter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoCenter\n",NULL);
    Tcl_AppendResult(interp,"  AutoCenterOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoCenterOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableDistanceLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableDistanceLOD\n",NULL);
    Tcl_AppendResult(interp,"  SetDistanceLODThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceLODThresholdMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceLODThresholdMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceLODThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableViewAngleLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableViewAngleLOD\n",NULL);
    Tcl_AppendResult(interp,"  SetViewAngleLODThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngleLODThresholdMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngleLODThresholdMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngleLODThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetScreenOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScreenOffset\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeTransformMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkFollowerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    Tcl_DStringAppendElement ( &dString, "SetAutoCenter" );
    Tcl_DStringAppendElement ( &dString, "GetAutoCenter" );
    Tcl_DStringAppendElement ( &dString, "AutoCenterOn" );
    Tcl_DStringAppendElement ( &dString, "AutoCenterOff" );
    Tcl_DStringAppendElement ( &dString, "SetEnableDistanceLOD" );
    Tcl_DStringAppendElement ( &dString, "GetEnableDistanceLOD" );
    Tcl_DStringAppendElement ( &dString, "SetDistanceLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetEnableViewAngleLOD" );
    Tcl_DStringAppendElement ( &dString, "GetEnableViewAngleLOD" );
    Tcl_DStringAppendElement ( &dString, "SetViewAngleLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetScreenOffset" );
    Tcl_DStringAppendElement ( &dString, "GetScreenOffset" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ComputeTransformMatrix" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkFollowerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a follower with no camera set\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAxisFollower *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxis */
    if ( strcmp ( argv[2], "SetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxis */
    Tcl_DStringAppendElement ( &dString, " Set axis that needs to be followed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxis(vtkAxisActor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxis */
    if ( strcmp ( argv[2], "GetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis */
    Tcl_DStringAppendElement ( &dString, " Set axis that needs to be followed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAxisActor *GetAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoCenter */
    if ( strcmp ( argv[2], "SetAutoCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoCenter */
    Tcl_DStringAppendElement ( &dString, " Set/Get state of auto center mode where additional\n translation will be added to make sure the underlying\n geometry has its pivot point at the center of its bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoCenter(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SetAutoCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoCenter */
    if ( strcmp ( argv[2], "GetAutoCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoCenter */
    Tcl_DStringAppendElement ( &dString, " Set/Get state of auto center mode where additional\n translation will be added to make sure the underlying\n geometry has its pivot point at the center of its bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetAutoCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCenterOn */
    if ( strcmp ( argv[2], "AutoCenterOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCenterOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCenterOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get state of auto center mode where additional\n translation will be added to make sure the underlying\n geometry has its pivot point at the center of its bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoCenterOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for AutoCenterOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCenterOff */
    if ( strcmp ( argv[2], "AutoCenterOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCenterOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCenterOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get state of auto center mode where additional\n translation will be added to make sure the underlying\n geometry has its pivot point at the center of its bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoCenterOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for AutoCenterOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableDistanceLOD */
    if ( strcmp ( argv[2], "SetEnableDistanceLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableDistanceLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableDistanceLOD */
    Tcl_DStringAppendElement ( &dString, " Enable / disable use of distance based LOD. If enabled the actor\n will not be visible at a certain distance from the camera.\n Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableDistanceLOD(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SetEnableDistanceLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableDistanceLOD */
    if ( strcmp ( argv[2], "GetEnableDistanceLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableDistanceLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableDistanceLOD */
    Tcl_DStringAppendElement ( &dString, " Enable / disable use of distance based LOD. If enabled the actor\n will not be visible at a certain distance from the camera.\n Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableDistanceLOD();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetEnableDistanceLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistanceLODThreshold */
    if ( strcmp ( argv[2], "SetDistanceLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistanceLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistanceLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold (0.0 - 1.0).This determines at what fraction\n of camera far clip range, actor is not visible.\n Default is 0.80.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistanceLODThreshold(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SetDistanceLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceLODThresholdMinValue */
    if ( strcmp ( argv[2], "GetDistanceLODThresholdMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceLODThresholdMinValue */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold (0.0 - 1.0).This determines at what fraction\n of camera far clip range, actor is not visible.\n Default is 0.80.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceLODThresholdMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetDistanceLODThresholdMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceLODThresholdMaxValue */
    if ( strcmp ( argv[2], "GetDistanceLODThresholdMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceLODThresholdMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold (0.0 - 1.0).This determines at what fraction\n of camera far clip range, actor is not visible.\n Default is 0.80.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceLODThresholdMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetDistanceLODThresholdMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceLODThreshold */
    if ( strcmp ( argv[2], "GetDistanceLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold (0.0 - 1.0).This determines at what fraction\n of camera far clip range, actor is not visible.\n Default is 0.80.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceLODThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetDistanceLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableViewAngleLOD */
    if ( strcmp ( argv[2], "SetEnableViewAngleLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableViewAngleLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableViewAngleLOD */
    Tcl_DStringAppendElement ( &dString, " Enable / disable use of view angle based LOD. If enabled the actor\n will not be visible at a certain view angle.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableViewAngleLOD(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SetEnableViewAngleLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableViewAngleLOD */
    if ( strcmp ( argv[2], "GetEnableViewAngleLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableViewAngleLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableViewAngleLOD */
    Tcl_DStringAppendElement ( &dString, " Enable / disable use of view angle based LOD. If enabled the actor\n will not be visible at a certain view angle.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableViewAngleLOD();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetEnableViewAngleLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewAngleLODThreshold */
    if ( strcmp ( argv[2], "SetViewAngleLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewAngleLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewAngleLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold (0.0 - 1.0).This determines at what view\n angle to geometry will make the geometry not visibile.\n Default is 0.34.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewAngleLODThreshold(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SetViewAngleLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngleLODThresholdMinValue */
    if ( strcmp ( argv[2], "GetViewAngleLODThresholdMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngleLODThresholdMinValue */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold (0.0 - 1.0).This determines at what view\n angle to geometry will make the geometry not visibile.\n Default is 0.34.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetViewAngleLODThresholdMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetViewAngleLODThresholdMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngleLODThresholdMaxValue */
    if ( strcmp ( argv[2], "GetViewAngleLODThresholdMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngleLODThresholdMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold (0.0 - 1.0).This determines at what view\n angle to geometry will make the geometry not visibile.\n Default is 0.34.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetViewAngleLODThresholdMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetViewAngleLODThresholdMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngleLODThreshold */
    if ( strcmp ( argv[2], "GetViewAngleLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngleLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold (0.0 - 1.0).This determines at what view\n angle to geometry will make the geometry not visibile.\n Default is 0.34.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetViewAngleLODThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetViewAngleLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScreenOffset */
    if ( strcmp ( argv[2], "SetScreenOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScreenOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScreenOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired screen offset from the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScreenOffset(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for SetScreenOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScreenOffset */
    if ( strcmp ( argv[2], "GetScreenOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScreenOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScreenOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired screen offset from the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScreenOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for GetScreenOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " This causes the actor to be rendered. It in turn will render the actor's\n property, texture map and then mapper. If a property hasn't been\n assigned, then the actor will create one automatically.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " This causes the actor to be rendered. It in turn will render the actor's\n property, texture map and then mapper. If a property hasn't been\n assigned, then the actor will create one automatically.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This causes the actor to be rendered. It in turn will render the actor's\n property, texture map and then mapper. If a property hasn't been\n assigned, then the actor will create one automatically.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeTransformMatrix */
    if ( strcmp ( argv[2], "ComputeTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeTransformMatrix */
    Tcl_DStringAppendElement ( &dString, " Generate the matrix based on ivars. This method overloads its superclasses\n ComputeMatrix() method due to the special vtkFollower matrix operations.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeTransformMatrix(vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for ComputeTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of a follower. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkFollowerCppCommand(static_cast<vtkFollower *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
