// tcl wrapper for vtkBSplineTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBSplineTransform.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBSplineTransformNewCommand()
{
  vtkBSplineTransform *temp = vtkBSplineTransform::New();
  return static_cast<ClientData>(temp);
}

int vtkWarpTransformCppCommand(vtkWarpTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBSplineTransformCppCommand(vtkBSplineTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBSplineTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBSplineTransformCppCommand(static_cast<vtkBSplineTransform *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBSplineTransformCppCommand(vtkBSplineTransform *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBSplineTransform",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWarpTransformCppCommand(static_cast<vtkWarpTransform *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWarpTransform"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBSplineTransform  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBSplineTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBSplineTransform  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBSplineTransform");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBSplineTransform  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBSplineTransform");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCoefficients",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetCoefficients(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCoefficients",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetCoefficients();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetDisplacementScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDisplacementScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBorderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderModeToEdge",argv[1]))&&(argc == 2))
    {
    op->SetBorderModeToEdge();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderModeToZero",argv[1]))&&(argc == 2))
    {
    op->SetBorderModeToZero();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderModeToZeroAtBorder",argv[1]))&&(argc == 2))
    {
    op->SetBorderModeToZeroAtBorder();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetBorderModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("MakeTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->MakeTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBSplineTransformCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWarpTransformCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBSplineTransform:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCoefficients\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCoefficients\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplacementScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderModeToEdge\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderModeToZero\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderModeToZeroAtBorder\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderMode\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  MakeTransform\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWarpTransformCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetCoefficients" );
    Tcl_DStringAppendElement ( &dString, "GetCoefficients" );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementScale" );
    Tcl_DStringAppendElement ( &dString, "SetBorderMode" );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToEdge" );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToZero" );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToZeroAtBorder" );
    Tcl_DStringAppendElement ( &dString, "GetBorderMode" );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeAsString" );
    Tcl_DStringAppendElement ( &dString, "MakeTransform" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWarpTransformCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBSplineTransform *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoefficients */
    if ( strcmp ( argv[2], "SetCoefficients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoefficients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoefficients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the coefficient grid for the b-spline transform.\n The vtkBSplineTransform class will never modify the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCoefficients(vtkImageData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for SetCoefficients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoefficients */
    if ( strcmp ( argv[2], "GetCoefficients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoefficients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoefficients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the coefficient grid for the b-spline transform.\n The vtkBSplineTransform class will never modify the data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetCoefficients();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for GetCoefficients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplacementScale */
    if ( strcmp ( argv[2], "SetDisplacementScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplacementScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get a scale to apply to the transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplacementScale(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for SetDisplacementScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderMode */
    if ( strcmp ( argv[2], "SetBorderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for SetBorderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderModeMinValue */
    if ( strcmp ( argv[2], "GetBorderModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for GetBorderModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderModeMaxValue */
    if ( strcmp ( argv[2], "GetBorderModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for GetBorderModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderModeToEdge */
    if ( strcmp ( argv[2], "SetBorderModeToEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderModeToEdge */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderModeToEdge();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for SetBorderModeToEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderModeToZero */
    if ( strcmp ( argv[2], "SetBorderModeToZero" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToZero" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderModeToZero */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderModeToZero();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for SetBorderModeToZero */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderModeToZeroAtBorder */
    if ( strcmp ( argv[2], "SetBorderModeToZeroAtBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToZeroAtBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderModeToZeroAtBorder */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderModeToZeroAtBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for SetBorderModeToZeroAtBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderMode */
    if ( strcmp ( argv[2], "GetBorderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for GetBorderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderModeAsString */
    if ( strcmp ( argv[2], "GetBorderModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderModeAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the border mode, to alter behavior at the edge of the grid.\n The Edge mode allows the displacement to converge to the edge\n coefficient past the boundary, which is similar to the behavior of\n the vtkGridTransform. The Zero mode allows the displacement to\n smoothly converge to zero two node-spacings past the boundary,\n which is useful when you want to create a localized transform.\n The ZeroAtBorder mode sacrifices smoothness to further localize\n the transform  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetBorderModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for GetBorderModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeTransform */
    if ( strcmp ( argv[2], "MakeTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeTransform */
    Tcl_DStringAppendElement ( &dString, " Make another transform of the same type.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform *MakeTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for MakeTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the MTime.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkBSplineTransform" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWarpTransformCppCommand(static_cast<vtkWarpTransform *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
