// tcl wrapper for vtkCaptionActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCaptionActor2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCaptionActor2DNewCommand()
{
  vtkCaptionActor2D *temp = vtkCaptionActor2D::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCaptionActor2DCppCommand(vtkCaptionActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCaptionActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCaptionActor2DCppCommand(static_cast<vtkCaptionActor2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCaptionActor2DCppCommand(vtkCaptionActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCaptionActor2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCaptionActor2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetCaption",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCaption(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaption",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCaption();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetAttachmentPointCoordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetAttachmentPointCoordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetAttachmentPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAttachmentPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttachmentPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAttachmentPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttachmentPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAttachmentPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BorderOn",argv[1]))&&(argc == 2))
    {
    op->BorderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BorderOff",argv[1]))&&(argc == 2))
    {
    op->BorderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeader",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeader",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeader();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LeaderOn",argv[1]))&&(argc == 2))
    {
    op->LeaderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeaderOff",argv[1]))&&(argc == 2))
    {
    op->LeaderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetThreeDimensionalLeader",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThreeDimensionalLeader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThreeDimensionalLeader",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThreeDimensionalLeader();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ThreeDimensionalLeaderOn",argv[1]))&&(argc == 2))
    {
    op->ThreeDimensionalLeaderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ThreeDimensionalLeaderOff",argv[1]))&&(argc == 2))
    {
    op->ThreeDimensionalLeaderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeaderGlyph",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetLeaderGlyph(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeaderGlyph",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetLeaderGlyph();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetLeaderGlyphSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLeaderGlyphSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeaderGlyphSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeaderGlyphSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeaderGlyphSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeaderGlyphSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeaderGlyphSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeaderGlyphSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLeaderGlyphSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumLeaderGlyphSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLeaderGlyphSizeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLeaderGlyphSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLeaderGlyphSizeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLeaderGlyphSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLeaderGlyphSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLeaderGlyphSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPadding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPadding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPaddingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPaddingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPaddingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPaddingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPadding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPadding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextActor",argv[1]))&&(argc == 2))
    {
    vtkTextActor  *temp20;
    temp20 = (op)->GetTextActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextActor");
    return TCL_OK;
    }
  if ((!strcmp("SetCaptionTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetCaptionTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaptionTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetCaptionTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttachEdgeOnly",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttachEdgeOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttachEdgeOnly",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttachEdgeOnly();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AttachEdgeOnlyOn",argv[1]))&&(argc == 2))
    {
    op->AttachEdgeOnlyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AttachEdgeOnlyOff",argv[1]))&&(argc == 2))
    {
    op->AttachEdgeOnlyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCaptionActor2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCaptionActor2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetCaption\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaption\n",NULL);
    Tcl_AppendResult(interp,"  GetAttachmentPointCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetAttachmentPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAttachmentPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttachmentPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorder\n",NULL);
    Tcl_AppendResult(interp,"  BorderOn\n",NULL);
    Tcl_AppendResult(interp,"  BorderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeader\n",NULL);
    Tcl_AppendResult(interp,"  LeaderOn\n",NULL);
    Tcl_AppendResult(interp,"  LeaderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetThreeDimensionalLeader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThreeDimensionalLeader\n",NULL);
    Tcl_AppendResult(interp,"  ThreeDimensionalLeaderOn\n",NULL);
    Tcl_AppendResult(interp,"  ThreeDimensionalLeaderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeaderGlyph\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyph\n",NULL);
    Tcl_AppendResult(interp,"  SetLeaderGlyphSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyphSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyphSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyphSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLeaderGlyphSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLeaderGlyphSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLeaderGlyphSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLeaderGlyphSize\n",NULL);
    Tcl_AppendResult(interp,"  SetPadding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPaddingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPaddingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPadding\n",NULL);
    Tcl_AppendResult(interp,"  GetTextActor\n",NULL);
    Tcl_AppendResult(interp,"  SetCaptionTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaptionTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttachEdgeOnly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttachEdgeOnly\n",NULL);
    Tcl_AppendResult(interp,"  AttachEdgeOnlyOn\n",NULL);
    Tcl_AppendResult(interp,"  AttachEdgeOnlyOff\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetCaption" );
    Tcl_DStringAppendElement ( &dString, "GetCaption" );
    Tcl_DStringAppendElement ( &dString, "GetAttachmentPointCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetAttachmentPoint" );
    Tcl_DStringAppendElement ( &dString, "SetAttachmentPoint" );
    Tcl_DStringAppendElement ( &dString, "GetAttachmentPoint" );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    Tcl_DStringAppendElement ( &dString, "SetLeader" );
    Tcl_DStringAppendElement ( &dString, "GetLeader" );
    Tcl_DStringAppendElement ( &dString, "LeaderOn" );
    Tcl_DStringAppendElement ( &dString, "LeaderOff" );
    Tcl_DStringAppendElement ( &dString, "SetThreeDimensionalLeader" );
    Tcl_DStringAppendElement ( &dString, "GetThreeDimensionalLeader" );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLeaderOn" );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLeaderOff" );
    Tcl_DStringAppendElement ( &dString, "SetLeaderGlyph" );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyph" );
    Tcl_DStringAppendElement ( &dString, "SetLeaderGlyphSize" );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyphSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyphSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyphSize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLeaderGlyphSize" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLeaderGlyphSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLeaderGlyphSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLeaderGlyphSize" );
    Tcl_DStringAppendElement ( &dString, "SetPadding" );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
    Tcl_DStringAppendElement ( &dString, "GetTextActor" );
    Tcl_DStringAppendElement ( &dString, "SetCaptionTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetCaptionTextProperty" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "SetAttachEdgeOnly" );
    Tcl_DStringAppendElement ( &dString, "GetAttachEdgeOnly" );
    Tcl_DStringAppendElement ( &dString, "AttachEdgeOnlyOn" );
    Tcl_DStringAppendElement ( &dString, "AttachEdgeOnlyOff" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCaptionActor2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaption */
    if ( strcmp ( argv[2], "SetCaption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaption */
    Tcl_DStringAppendElement ( &dString, " Define the text to be placed in the caption. The text can be multiple\n lines (separated by \"\\n\").\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCaption(const char *caption);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetCaption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaption */
    if ( strcmp ( argv[2], "GetCaption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaption */
    Tcl_DStringAppendElement ( &dString, " Define the text to be placed in the caption. The text can be multiple\n lines (separated by \"\\n\").\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetCaption();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetCaption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttachmentPointCoordinate */
    if ( strcmp ( argv[2], "GetAttachmentPointCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttachmentPointCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttachmentPointCoordinate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the attachment point for the caption. By default, the attachment\n point is defined in world coordinates, but this can be changed using\n vtkCoordinate methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetAttachmentPointCoordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetAttachmentPointCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttachmentPoint */
    if ( strcmp ( argv[2], "SetAttachmentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttachmentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttachmentPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the attachment point for the caption. By default, the attachment\n point is defined in world coordinates, but this can be changed using\n vtkCoordinate methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttachmentPoint(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetAttachmentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttachmentPoint */
    if ( strcmp ( argv[2], "SetAttachmentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttachmentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttachmentPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the attachment point for the caption. By default, the attachment\n point is defined in world coordinates, but this can be changed using\n vtkCoordinate methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttachmentPoint(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetAttachmentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttachmentPoint */
    if ( strcmp ( argv[2], "GetAttachmentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttachmentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttachmentPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the attachment point for the caption. By default, the attachment\n point is defined in world coordinates, but this can be changed using\n vtkCoordinate methods.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetAttachmentPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetAttachmentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorder */
    if ( strcmp ( argv[2], "SetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorder */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the placement of a border around the text.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorder(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorder */
    if ( strcmp ( argv[2], "GetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorder */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the placement of a border around the text.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOn */
    if ( strcmp ( argv[2], "BorderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the placement of a border around the text.\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for BorderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOff */
    if ( strcmp ( argv[2], "BorderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the placement of a border around the text.\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for BorderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeader */
    if ( strcmp ( argv[2], "SetLeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeader */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing a \"line\" from the caption to the\n attachment point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeader(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetLeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeader */
    if ( strcmp ( argv[2], "GetLeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeader */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing a \"line\" from the caption to the\n attachment point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeader();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetLeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeaderOn */
    if ( strcmp ( argv[2], "LeaderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeaderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeaderOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing a \"line\" from the caption to the\n attachment point.\n" );
    Tcl_DStringAppendElement ( &dString, "void LeaderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for LeaderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeaderOff */
    if ( strcmp ( argv[2], "LeaderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeaderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeaderOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable drawing a \"line\" from the caption to the\n attachment point.\n" );
    Tcl_DStringAppendElement ( &dString, "void LeaderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for LeaderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThreeDimensionalLeader */
    if ( strcmp ( argv[2], "SetThreeDimensionalLeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThreeDimensionalLeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThreeDimensionalLeader */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThreeDimensionalLeader(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetThreeDimensionalLeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThreeDimensionalLeader */
    if ( strcmp ( argv[2], "GetThreeDimensionalLeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThreeDimensionalLeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThreeDimensionalLeader */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThreeDimensionalLeader();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetThreeDimensionalLeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThreeDimensionalLeaderOn */
    if ( strcmp ( argv[2], "ThreeDimensionalLeaderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLeaderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThreeDimensionalLeaderOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n" );
    Tcl_DStringAppendElement ( &dString, "void ThreeDimensionalLeaderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for ThreeDimensionalLeaderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThreeDimensionalLeaderOff */
    if ( strcmp ( argv[2], "ThreeDimensionalLeaderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThreeDimensionalLeaderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThreeDimensionalLeaderOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n" );
    Tcl_DStringAppendElement ( &dString, "void ThreeDimensionalLeaderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for ThreeDimensionalLeaderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeaderGlyph */
    if ( strcmp ( argv[2], "SetLeaderGlyph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeaderGlyph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeaderGlyph */
    Tcl_DStringAppendElement ( &dString, " Specify a glyph to be used as the leader \"head\". This could be something\n like an arrow or sphere. If not specified, no glyph is drawn. Note that\n the glyph is assumed to be aligned along the x-axis and is rotated about\n the origin.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLeaderGlyph(vtkPolyData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetLeaderGlyph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeaderGlyph */
    if ( strcmp ( argv[2], "GetLeaderGlyph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeaderGlyph */
    Tcl_DStringAppendElement ( &dString, " Specify a glyph to be used as the leader \"head\". This could be something\n like an arrow or sphere. If not specified, no glyph is drawn. Note that\n the glyph is assumed to be aligned along the x-axis and is rotated about\n the origin.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetLeaderGlyph();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetLeaderGlyph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeaderGlyphSize */
    if ( strcmp ( argv[2], "SetLeaderGlyphSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeaderGlyphSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeaderGlyphSize */
    Tcl_DStringAppendElement ( &dString, " Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other\n camera motion results in proportional changes in size to the leader\n glyph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeaderGlyphSize(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetLeaderGlyphSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeaderGlyphSizeMinValue */
    if ( strcmp ( argv[2], "GetLeaderGlyphSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyphSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeaderGlyphSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other\n camera motion results in proportional changes in size to the leader\n glyph.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLeaderGlyphSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetLeaderGlyphSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeaderGlyphSizeMaxValue */
    if ( strcmp ( argv[2], "GetLeaderGlyphSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyphSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeaderGlyphSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other\n camera motion results in proportional changes in size to the leader\n glyph.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLeaderGlyphSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetLeaderGlyphSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeaderGlyphSize */
    if ( strcmp ( argv[2], "GetLeaderGlyphSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeaderGlyphSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeaderGlyphSize */
    Tcl_DStringAppendElement ( &dString, " Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other\n camera motion results in proportional changes in size to the leader\n glyph.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLeaderGlyphSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetLeaderGlyphSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLeaderGlyphSize */
    if ( strcmp ( argv[2], "SetMaximumLeaderGlyphSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLeaderGlyphSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLeaderGlyphSize */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum size of the leader head (if any) in pixels. This\n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumLeaderGlyphSize(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetMaximumLeaderGlyphSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLeaderGlyphSizeMinValue */
    if ( strcmp ( argv[2], "GetMaximumLeaderGlyphSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLeaderGlyphSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLeaderGlyphSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum size of the leader head (if any) in pixels. This\n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLeaderGlyphSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetMaximumLeaderGlyphSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLeaderGlyphSizeMaxValue */
    if ( strcmp ( argv[2], "GetMaximumLeaderGlyphSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLeaderGlyphSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLeaderGlyphSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum size of the leader head (if any) in pixels. This\n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLeaderGlyphSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetMaximumLeaderGlyphSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLeaderGlyphSize */
    if ( strcmp ( argv[2], "GetMaximumLeaderGlyphSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLeaderGlyphSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLeaderGlyphSize */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum size of the leader head (if any) in pixels. This\n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLeaderGlyphSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetMaximumLeaderGlyphSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPadding */
    if ( strcmp ( argv[2], "SetPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPadding */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPadding(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPaddingMinValue */
    if ( strcmp ( argv[2], "GetPaddingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPaddingMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPaddingMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetPaddingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPaddingMaxValue */
    if ( strcmp ( argv[2], "GetPaddingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPaddingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPaddingMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetPaddingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPadding */
    if ( strcmp ( argv[2], "GetPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPadding */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPadding();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextActor */
    if ( strcmp ( argv[2], "GetTextActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextActor */
    Tcl_DStringAppendElement ( &dString, " Get the text actor used by the caption. This is useful if you want to control\n justification and other characteristics of the text actor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor *GetTextActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetTextActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaptionTextProperty */
    if ( strcmp ( argv[2], "SetCaptionTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaptionTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaptionTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCaptionTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetCaptionTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaptionTextProperty */
    if ( strcmp ( argv[2], "GetCaptionTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaptionTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaptionTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetCaptionTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetCaptionTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of this scaled text actor. Overloads the virtual\n vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttachEdgeOnly */
    if ( strcmp ( argv[2], "SetAttachEdgeOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttachEdgeOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttachEdgeOnly */
    Tcl_DStringAppendElement ( &dString, " Enable/disable whether to attach the arrow only to the edge,\n NOT the vertices of the caption border.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttachEdgeOnly(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for SetAttachEdgeOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttachEdgeOnly */
    if ( strcmp ( argv[2], "GetAttachEdgeOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttachEdgeOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttachEdgeOnly */
    Tcl_DStringAppendElement ( &dString, " Enable/disable whether to attach the arrow only to the edge,\n NOT the vertices of the caption border.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttachEdgeOnly();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for GetAttachEdgeOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AttachEdgeOnlyOn */
    if ( strcmp ( argv[2], "AttachEdgeOnlyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AttachEdgeOnlyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AttachEdgeOnlyOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable whether to attach the arrow only to the edge,\n NOT the vertices of the caption border.\n" );
    Tcl_DStringAppendElement ( &dString, "void AttachEdgeOnlyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for AttachEdgeOnlyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AttachEdgeOnlyOff */
    if ( strcmp ( argv[2], "AttachEdgeOnlyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AttachEdgeOnlyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AttachEdgeOnlyOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable whether to attach the arrow only to the edge,\n NOT the vertices of the caption border.\n" );
    Tcl_DStringAppendElement ( &dString, "void AttachEdgeOnlyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for AttachEdgeOnlyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS.\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS.\n Draw the legend box to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS.\n Draw the legend box to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS.\n Draw the legend box to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
