// tcl wrapper for vtkCubeAxesActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCubeAxesActor2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCubeAxesActor2DNewCommand()
{
  vtkCubeAxesActor2D *temp = vtkCubeAxesActor2D::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCubeAxesActor2DCppCommand(vtkCubeAxesActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCubeAxesActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCubeAxesActor2DCppCommand(static_cast<vtkCubeAxesActor2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCubeAxesActor2DCppCommand(vtkCubeAxesActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCubeAxesActor2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCubeAxesActor2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCubeAxesActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCubeAxesActor2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCubeAxesActor2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCubeAxesActor2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCubeAxesActor2D");
    return TCL_OK;
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->SetViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetViewProp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRanges",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetRanges(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRanges",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetRanges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRanges",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRanges();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetRanges",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetRanges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXOrigin",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetXOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetYOrigin",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetYOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZOrigin",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetZOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseRanges",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseRanges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRanges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseRanges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseRangesOn",argv[1]))&&(argc == 2))
    {
    op->UseRangesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseRangesOff",argv[1]))&&(argc == 2))
    {
    op->UseRangesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetFlyMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFlyMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFlyModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlyModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFlyModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlyModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFlyMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlyMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToOuterEdges",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToOuterEdges();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToClosestTriad",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToClosestTriad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToNone",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOn",argv[1]))&&(argc == 2))
    {
    op->ScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOff",argv[1]))&&(argc == 2))
    {
    op->ScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetXAxisActor2D",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetXAxisActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetYAxisActor2D",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetYAxisActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetZAxisActor2D",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetZAxisActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetAxisTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetAxisTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAxisTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetAxisLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetAxisLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAxisLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFontFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFontFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInertia",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInertia(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInertiaMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInertiaMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInertiaMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInertiaMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInertia",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInertia();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShowActualBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowActualBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowActualBoundsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowActualBoundsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShowActualBoundsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowActualBoundsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShowActualBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowActualBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCornerOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCornerOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCornerOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCornerOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->XAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->XAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->YAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->YAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ZAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ZAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkCubeAxesActor2D  *temp0;
    error = 0;

    temp0 = (vtkCubeAxesActor2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCubeAxesActor2D"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->SetProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetProp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCubeAxesActor2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCubeAxesActor2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewProp\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRanges\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRanges\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRanges\n",NULL);
    Tcl_AppendResult(interp,"  GetRanges\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetXOrigin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetYOrigin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetZOrigin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRanges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRanges\n",NULL);
    Tcl_AppendResult(interp,"  UseRangesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseRangesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFlyModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFlyModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFlyMode\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToOuterEdges\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToClosestTriad\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaling\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetXLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetYLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetZLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZLabel\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisActor2D\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetInertia\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInertiaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInertiaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInertia\n",NULL);
    Tcl_AppendResult(interp,"  SetShowActualBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowActualBoundsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShowActualBoundsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShowActualBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerOffset\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  XAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  XAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  YAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  YAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetProp\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetViewProp" );
    Tcl_DStringAppendElement ( &dString, "GetViewProp" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetRanges" );
    Tcl_DStringAppendElement ( &dString, "SetRanges" );
    Tcl_DStringAppendElement ( &dString, "GetRanges" );
    Tcl_DStringAppendElement ( &dString, "GetRanges" );
    Tcl_DStringAppendElement ( &dString, "SetXOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetYOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetZOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetUseRanges" );
    Tcl_DStringAppendElement ( &dString, "GetUseRanges" );
    Tcl_DStringAppendElement ( &dString, "UseRangesOn" );
    Tcl_DStringAppendElement ( &dString, "UseRangesOff" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetFlyMode" );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFlyMode" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToOuterEdges" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToClosestTriad" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToNone" );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "SetXLabel" );
    Tcl_DStringAppendElement ( &dString, "GetXLabel" );
    Tcl_DStringAppendElement ( &dString, "SetYLabel" );
    Tcl_DStringAppendElement ( &dString, "GetYLabel" );
    Tcl_DStringAppendElement ( &dString, "SetZLabel" );
    Tcl_DStringAppendElement ( &dString, "GetZLabel" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisActor2D" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetFontFactor" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactor" );
    Tcl_DStringAppendElement ( &dString, "SetInertia" );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInertia" );
    Tcl_DStringAppendElement ( &dString, "SetShowActualBounds" );
    Tcl_DStringAppendElement ( &dString, "GetShowActualBoundsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowActualBoundsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowActualBounds" );
    Tcl_DStringAppendElement ( &dString, "SetCornerOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffset" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetXAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetYAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetZAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetProp" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetProp" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with bold, italic, and shadow enabled; font family\n set to Arial; and label format \"6.3g\". The number of labels per axis\n is set to 3.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCubeAxesActor2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the axes as per the vtkProp superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axes as per the vtkProp superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axes as per the vtkProp superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Use the bounding box of this input dataset to draw the cube axes. If this\n is not specified, then the class will attempt to determine the bounds from\n the defined Prop or Bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Use the bounding box of this input dataset to draw the cube axes. If this\n is not specified, then the class will attempt to determine the bounds from\n the defined Prop or Bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewProp */
    if ( strcmp ( argv[2], "SetViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewProp */
    Tcl_DStringAppendElement ( &dString, " Use the bounding box of this prop to draw the cube axes. The\n ViewProp is used to determine the bounds only if the Input is not\n defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewProp(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewProp */
    if ( strcmp ( argv[2], "GetViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewProp */
    Tcl_DStringAppendElement ( &dString, " Use the bounding box of this prop to draw the cube axes. The\n ViewProp is used to determine the bounds only if the Input is not\n defined.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProp *GetViewProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRanges */
    if ( strcmp ( argv[2], "SetRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRanges */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRanges(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRanges */
    if ( strcmp ( argv[2], "SetRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRanges */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRanges(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRanges */
    if ( strcmp ( argv[2], "GetRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRanges */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the range of values used on the bounds.\n The ranges are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), \n making sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRanges();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRanges */
    if ( strcmp ( argv[2], "GetRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRanges */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the range of values used on the bounds.\n The ranges are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), \n making sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetRanges(double ranges\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXOrigin */
    if ( strcmp ( argv[2], "SetXOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXOrigin */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify an origin for the axes. These usually intersect at one of the\n corners of the bounding box, however users have the option to override this if\n necessary\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXOrigin(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetXOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYOrigin */
    if ( strcmp ( argv[2], "SetYOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYOrigin */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify an origin for the axes. These usually intersect at one of the\n corners of the bounding box, however users have the option to override this if\n necessary\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYOrigin(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetYOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZOrigin */
    if ( strcmp ( argv[2], "SetZOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZOrigin */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify an origin for the axes. These usually intersect at one of the\n corners of the bounding box, however users have the option to override this if\n necessary\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZOrigin(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetZOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRanges */
    if ( strcmp ( argv[2], "SetUseRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRanges */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes use the data ranges\n or the ranges set by SetRanges. By default the axes use the data\n ranges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRanges(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetUseRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRanges */
    if ( strcmp ( argv[2], "GetUseRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRanges */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes use the data ranges\n or the ranges set by SetRanges. By default the axes use the data\n ranges.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseRanges();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetUseRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRangesOn */
    if ( strcmp ( argv[2], "UseRangesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRangesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRangesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes use the data ranges\n or the ranges set by SetRanges. By default the axes use the data\n ranges.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRangesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for UseRangesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRangesOff */
    if ( strcmp ( argv[2], "UseRangesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRangesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRangesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes use the data ranges\n or the ranges set by SetRanges. By default the axes use the data\n ranges.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRangesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for UseRangesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to perform scaling and translation of the \n vtkCubeAxesActor2D.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to perform scaling and translation of the \n vtkCubeAxesActor2D.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyMode */
    if ( strcmp ( argv[2], "SetFlyMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyMode */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either outer edges\n or closest triad to the camera position, or you may also disable flying \n of the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetFlyMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlyModeMinValue */
    if ( strcmp ( argv[2], "GetFlyModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlyModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either outer edges\n or closest triad to the camera position, or you may also disable flying \n of the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFlyModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetFlyModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlyModeMaxValue */
    if ( strcmp ( argv[2], "GetFlyModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlyModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either outer edges\n or closest triad to the camera position, or you may also disable flying \n of the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFlyModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetFlyModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlyMode */
    if ( strcmp ( argv[2], "GetFlyMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlyMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlyMode */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either outer edges\n or closest triad to the camera position, or you may also disable flying \n of the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFlyMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetFlyMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToOuterEdges */
    if ( strcmp ( argv[2], "SetFlyModeToOuterEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToOuterEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToOuterEdges */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either outer edges\n or closest triad to the camera position, or you may also disable flying \n of the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToOuterEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetFlyModeToOuterEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToClosestTriad */
    if ( strcmp ( argv[2], "SetFlyModeToClosestTriad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToClosestTriad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToClosestTriad */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either outer edges\n or closest triad to the camera position, or you may also disable flying \n of the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToClosestTriad();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetFlyModeToClosestTriad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToNone */
    if ( strcmp ( argv[2], "SetFlyModeToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToNone */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either outer edges\n or closest triad to the camera position, or you may also disable flying \n of the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToNone();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetFlyModeToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaling */
    if ( strcmp ( argv[2], "SetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaling */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes are scaled to fit in\n the viewport. If off, the axes size remains constant (i.e., stay the\n size of the bounding box). By default scaling is on so the axes are\n scaled to fit inside the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaling(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaling */
    if ( strcmp ( argv[2], "GetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaling */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes are scaled to fit in\n the viewport. If off, the axes size remains constant (i.e., stay the\n size of the bounding box). By default scaling is on so the axes are\n scaled to fit inside the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOn */
    if ( strcmp ( argv[2], "ScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes are scaled to fit in\n the viewport. If off, the axes size remains constant (i.e., stay the\n size of the bounding box). By default scaling is on so the axes are\n scaled to fit inside the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for ScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOff */
    if ( strcmp ( argv[2], "ScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls whether the axes are scaled to fit in\n the viewport. If off, the axes size remains constant (i.e., stay the\n size of the bounding box). By default scaling is on so the axes are\n scaled to fit inside the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for ScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfLabels */
    if ( strcmp ( argv[2], "SetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x, y, and \n z axes. This values is a suggestion: the number of labels may vary\n depending on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfLabels(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x, y, and \n z axes. This values is a suggestion: the number of labels may vary\n depending on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetNumberOfLabelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x, y, and \n z axes. This values is a suggestion: the number of labels may vary\n depending on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetNumberOfLabelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabels */
    if ( strcmp ( argv[2], "GetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x, y, and \n z axes. This values is a suggestion: the number of labels may vary\n depending on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXLabel */
    if ( strcmp ( argv[2], "SetXLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X\", \"Y\" and \"Z\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXLabel(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetXLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXLabel */
    if ( strcmp ( argv[2], "GetXLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X\", \"Y\" and \"Z\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetXLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYLabel */
    if ( strcmp ( argv[2], "SetYLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X\", \"Y\" and \"Z\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYLabel(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetYLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYLabel */
    if ( strcmp ( argv[2], "GetYLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X\", \"Y\" and \"Z\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetYLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZLabel */
    if ( strcmp ( argv[2], "SetZLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X\", \"Y\" and \"Z\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZLabel(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetZLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZLabel */
    if ( strcmp ( argv[2], "GetZLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X\", \"Y\" and \"Z\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetZLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisActor2D */
    if ( strcmp ( argv[2], "GetXAxisActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisActor2D */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetXAxisActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetXAxisActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisActor2D */
    if ( strcmp ( argv[2], "GetYAxisActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisActor2D */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetYAxisActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetYAxisActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisActor2D */
    if ( strcmp ( argv[2], "GetZAxisActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisActor2D */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetZAxisActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetZAxisActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisTitleTextProperty */
    if ( strcmp ( argv[2], "SetAxisTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property of all axes. Note that each axis can\n be controlled individually through the GetX/Y/ZAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisTitleTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetAxisTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisTitleTextProperty */
    if ( strcmp ( argv[2], "GetAxisTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property of all axes. Note that each axis can\n be controlled individually through the GetX/Y/ZAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetAxisTitleTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetAxisTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelTextProperty */
    if ( strcmp ( argv[2], "SetAxisLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property of all axes. Note that each axis can\n be controlled individually through the GetX/Y/ZAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetAxisLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabelTextProperty */
    if ( strcmp ( argv[2], "GetAxisLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property of all axes. Note that each axis can\n be controlled individually through the GetX/Y/ZAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetAxisLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetAxisLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFactor */
    if ( strcmp ( argv[2], "SetFontFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFactor(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetFontFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactorMinValue */
    if ( strcmp ( argv[2], "GetFontFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetFontFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactorMaxValue */
    if ( strcmp ( argv[2], "GetFontFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetFontFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactor */
    if ( strcmp ( argv[2], "GetFontFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetFontFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInertia */
    if ( strcmp ( argv[2], "SetInertia" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInertia" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInertia */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInertia(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetInertia */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInertiaMinValue */
    if ( strcmp ( argv[2], "GetInertiaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInertiaMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInertiaMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetInertiaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInertiaMaxValue */
    if ( strcmp ( argv[2], "GetInertiaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInertiaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInertiaMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetInertiaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInertia */
    if ( strcmp ( argv[2], "GetInertia" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInertia" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInertia */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInertia();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetInertia */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowActualBounds */
    if ( strcmp ( argv[2], "SetShowActualBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowActualBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowActualBounds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the variable that controls whether the actual\n bounds of the dataset are always shown. Setting this variable\n to 1 means that clipping is disabled and that the actual\n value of the bounds is displayed even with corner offsets\n Setting this variable to 0 means these axis will clip\n themselves and show variable bounds (legacy mode)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowActualBounds(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetShowActualBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowActualBoundsMinValue */
    if ( strcmp ( argv[2], "GetShowActualBoundsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowActualBoundsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowActualBoundsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the variable that controls whether the actual\n bounds of the dataset are always shown. Setting this variable\n to 1 means that clipping is disabled and that the actual\n value of the bounds is displayed even with corner offsets\n Setting this variable to 0 means these axis will clip\n themselves and show variable bounds (legacy mode)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowActualBoundsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetShowActualBoundsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowActualBoundsMaxValue */
    if ( strcmp ( argv[2], "GetShowActualBoundsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowActualBoundsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowActualBoundsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the variable that controls whether the actual\n bounds of the dataset are always shown. Setting this variable\n to 1 means that clipping is disabled and that the actual\n value of the bounds is displayed even with corner offsets\n Setting this variable to 0 means these axis will clip\n themselves and show variable bounds (legacy mode)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowActualBoundsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetShowActualBoundsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowActualBounds */
    if ( strcmp ( argv[2], "GetShowActualBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowActualBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowActualBounds */
    Tcl_DStringAppendElement ( &dString, " Set/Get the variable that controls whether the actual\n bounds of the dataset are always shown. Setting this variable\n to 1 means that clipping is disabled and that the actual\n value of the bounds is displayed even with corner offsets\n Setting this variable to 0 means these axis will clip\n themselves and show variable bounds (legacy mode)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowActualBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetShowActualBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCornerOffset */
    if ( strcmp ( argv[2], "SetCornerOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCornerOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCornerOffset */
    Tcl_DStringAppendElement ( &dString, " Specify an offset value to \"pull back\" the axes from the corner at\n which they are joined to avoid overlap of axes labels. The \n \"CornerOffset\" is the fraction of the axis length to pull back.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCornerOffset(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetCornerOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerOffset */
    if ( strcmp ( argv[2], "GetCornerOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerOffset */
    Tcl_DStringAppendElement ( &dString, " Specify an offset value to \"pull back\" the axes from the corner at\n which they are joined to avoid overlap of axes labels. The \n \"CornerOffset\" is the fraction of the axis length to pull back.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCornerOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetCornerOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXAxisVisibility */
    if ( strcmp ( argv[2], "SetXAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXAxisVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetXAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisVisibility */
    if ( strcmp ( argv[2], "GetXAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXAxisVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetXAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisVisibilityOn */
    if ( strcmp ( argv[2], "XAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for XAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisVisibilityOff */
    if ( strcmp ( argv[2], "XAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for XAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYAxisVisibility */
    if ( strcmp ( argv[2], "SetYAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYAxisVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetYAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisVisibility */
    if ( strcmp ( argv[2], "GetYAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYAxisVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetYAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisVisibilityOn */
    if ( strcmp ( argv[2], "YAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void YAxisVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for YAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisVisibilityOff */
    if ( strcmp ( argv[2], "YAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void YAxisVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for YAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZAxisVisibility */
    if ( strcmp ( argv[2], "SetZAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZAxisVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetZAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisVisibility */
    if ( strcmp ( argv[2], "GetZAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZAxisVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetZAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisVisibilityOn */
    if ( strcmp ( argv[2], "ZAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for ZAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisVisibilityOff */
    if ( strcmp ( argv[2], "ZAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for ZAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of a CubeAxesActor2D.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkCubeAxesActor2D *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetProp */
    if ( strcmp ( argv[2], "SetProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkCubeAxesActor2D::SetViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProp(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for SetProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetProp */
    if ( strcmp ( argv[2], "GetProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkCubeAxesActor2D::GetViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp *GetProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor2D" );
    /* Closing for GetProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
