// tcl wrapper for vtkGreedyTerrainDecimation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGreedyTerrainDecimation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGreedyTerrainDecimationNewCommand()
{
  vtkGreedyTerrainDecimation *temp = vtkGreedyTerrainDecimation::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGreedyTerrainDecimationCppCommand(vtkGreedyTerrainDecimation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGreedyTerrainDecimationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGreedyTerrainDecimationCppCommand(static_cast<vtkGreedyTerrainDecimation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGreedyTerrainDecimationCppCommand(vtkGreedyTerrainDecimation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGreedyTerrainDecimation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGreedyTerrainDecimation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGreedyTerrainDecimation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGreedyTerrainDecimation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGreedyTerrainDecimation");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGreedyTerrainDecimation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGreedyTerrainDecimation");
    return TCL_OK;
    }
  if ((!strcmp("SetErrorMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetErrorMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErrorMeasureMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErrorMeasureMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetErrorMeasureMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErrorMeasureMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetErrorMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErrorMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorMeasureToNumberOfTriangles",argv[1]))&&(argc == 2))
    {
    op->SetErrorMeasureToNumberOfTriangles();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorMeasureToSpecifiedReduction",argv[1]))&&(argc == 2))
    {
    op->SetErrorMeasureToSpecifiedReduction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorMeasureToAbsoluteError",argv[1]))&&(argc == 2))
    {
    op->SetErrorMeasureToAbsoluteError();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorMeasureToRelativeError",argv[1]))&&(argc == 2))
    {
    op->SetErrorMeasureToRelativeError();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTriangles",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTriangles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTrianglesMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTrianglesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTrianglesMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTrianglesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTriangles",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTriangles();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReduction",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetReduction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReductionMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetReductionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetReductionMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetReductionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetReduction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetReduction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbsoluteError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAbsoluteError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAbsoluteErrorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteErrorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbsoluteErrorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteErrorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbsoluteError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRelativeError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRelativeError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRelativeErrorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRelativeErrorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRelativeErrorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRelativeErrorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRelativeError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRelativeError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundaryVertexDeletion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundaryVertexDeletion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundaryVertexDeletion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundaryVertexDeletion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BoundaryVertexDeletionOn",argv[1]))&&(argc == 2))
    {
    op->BoundaryVertexDeletionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoundaryVertexDeletionOff",argv[1]))&&(argc == 2))
    {
    op->BoundaryVertexDeletionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ComputeNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ComputeNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGreedyTerrainDecimationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGreedyTerrainDecimation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorMeasureMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorMeasureMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorMeasureToNumberOfTriangles\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorMeasureToSpecifiedReduction\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorMeasureToAbsoluteError\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorMeasureToRelativeError\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTriangles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTrianglesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTrianglesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTriangles\n",NULL);
    Tcl_AppendResult(interp,"  SetReduction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReductionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetReductionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetReduction\n",NULL);
    Tcl_AppendResult(interp,"  SetAbsoluteError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteErrorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteErrorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteError\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRelativeErrorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRelativeErrorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRelativeError\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryVertexDeletion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryVertexDeletion\n",NULL);
    Tcl_AppendResult(interp,"  BoundaryVertexDeletionOn\n",NULL);
    Tcl_AppendResult(interp,"  BoundaryVertexDeletionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeNormals\n",NULL);
    Tcl_AppendResult(interp,"  ComputeNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeNormalsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetErrorMeasureMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetErrorMeasureMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetErrorMeasure" );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToNumberOfTriangles" );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToSpecifiedReduction" );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToAbsoluteError" );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToRelativeError" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTriangles" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTrianglesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTrianglesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTriangles" );
    Tcl_DStringAppendElement ( &dString, "SetReduction" );
    Tcl_DStringAppendElement ( &dString, "GetReductionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetReductionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetReduction" );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteError" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteError" );
    Tcl_DStringAppendElement ( &dString, "SetRelativeError" );
    Tcl_DStringAppendElement ( &dString, "GetRelativeErrorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRelativeErrorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRelativeError" );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryVertexDeletion" );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryVertexDeletion" );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOn" );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGreedyTerrainDecimation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErrorMeasure */
    if ( strcmp ( argv[2], "SetErrorMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErrorMeasure */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErrorMeasure(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetErrorMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorMeasureMinValue */
    if ( strcmp ( argv[2], "GetErrorMeasureMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorMeasureMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorMeasureMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErrorMeasureMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetErrorMeasureMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorMeasureMaxValue */
    if ( strcmp ( argv[2], "GetErrorMeasureMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorMeasureMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorMeasureMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErrorMeasureMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetErrorMeasureMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorMeasure */
    if ( strcmp ( argv[2], "GetErrorMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorMeasure */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErrorMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetErrorMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErrorMeasureToNumberOfTriangles */
    if ( strcmp ( argv[2], "SetErrorMeasureToNumberOfTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToNumberOfTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErrorMeasureToNumberOfTriangles */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErrorMeasureToNumberOfTriangles();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetErrorMeasureToNumberOfTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErrorMeasureToSpecifiedReduction */
    if ( strcmp ( argv[2], "SetErrorMeasureToSpecifiedReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToSpecifiedReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErrorMeasureToSpecifiedReduction */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErrorMeasureToSpecifiedReduction();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetErrorMeasureToSpecifiedReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErrorMeasureToAbsoluteError */
    if ( strcmp ( argv[2], "SetErrorMeasureToAbsoluteError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToAbsoluteError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErrorMeasureToAbsoluteError */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErrorMeasureToAbsoluteError();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetErrorMeasureToAbsoluteError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErrorMeasureToRelativeError */
    if ( strcmp ( argv[2], "SetErrorMeasureToRelativeError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErrorMeasureToRelativeError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErrorMeasureToRelativeError */
    Tcl_DStringAppendElement ( &dString, " Specify how to terminate the algorithm: either as an absolute number of\n triangles, a relative number of triangles (normalized by the full\n resolution mesh), an absolute error (in the height field), or relative\n error (normalized by the length of the diagonal of the image).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErrorMeasureToRelativeError();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetErrorMeasureToRelativeError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTriangles */
    if ( strcmp ( argv[2], "SetNumberOfTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTriangles */
    Tcl_DStringAppendElement ( &dString, " Specify the number of triangles to produce on output. (It is a\n good idea to make sure this is less than a tessellated mesh\n at full resolution.) You need to set this value only when\n the error measure is set to NumberOfTriangles.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfTriangles(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetNumberOfTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTrianglesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfTrianglesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTrianglesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTrianglesMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of triangles to produce on output. (It is a\n good idea to make sure this is less than a tessellated mesh\n at full resolution.) You need to set this value only when\n the error measure is set to NumberOfTriangles.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTrianglesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetNumberOfTrianglesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTrianglesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfTrianglesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTrianglesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTrianglesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of triangles to produce on output. (It is a\n good idea to make sure this is less than a tessellated mesh\n at full resolution.) You need to set this value only when\n the error measure is set to NumberOfTriangles.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTrianglesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetNumberOfTrianglesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTriangles */
    if ( strcmp ( argv[2], "GetNumberOfTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTriangles */
    Tcl_DStringAppendElement ( &dString, " Specify the number of triangles to produce on output. (It is a\n good idea to make sure this is less than a tessellated mesh\n at full resolution.) You need to set this value only when\n the error measure is set to NumberOfTriangles.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTriangles();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetNumberOfTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReduction */
    if ( strcmp ( argv[2], "SetReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReduction */
    Tcl_DStringAppendElement ( &dString, " Specify the reduction of the mesh (represented as a fraction).  Note\n that a value of 0.10 means a 10% reduction.  You need to set this value\n only when the error measure is set to SpecifiedReduction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReduction(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReductionMinValue */
    if ( strcmp ( argv[2], "GetReductionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReductionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReductionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the reduction of the mesh (represented as a fraction).  Note\n that a value of 0.10 means a 10% reduction.  You need to set this value\n only when the error measure is set to SpecifiedReduction.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetReductionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetReductionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReductionMaxValue */
    if ( strcmp ( argv[2], "GetReductionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReductionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReductionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the reduction of the mesh (represented as a fraction).  Note\n that a value of 0.10 means a 10% reduction.  You need to set this value\n only when the error measure is set to SpecifiedReduction.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetReductionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetReductionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReduction */
    if ( strcmp ( argv[2], "GetReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReduction */
    Tcl_DStringAppendElement ( &dString, " Specify the reduction of the mesh (represented as a fraction).  Note\n that a value of 0.10 means a 10% reduction.  You need to set this value\n only when the error measure is set to SpecifiedReduction.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetReduction();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAbsoluteError */
    if ( strcmp ( argv[2], "SetAbsoluteError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbsoluteError */
    Tcl_DStringAppendElement ( &dString, " Specify the absolute error of the mesh; that is, the error in height\n between the decimated mesh and the original height field.  You need to\n set this value only when the error measure is set to AbsoluteError.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbsoluteError(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetAbsoluteError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteErrorMinValue */
    if ( strcmp ( argv[2], "GetAbsoluteErrorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteErrorMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the absolute error of the mesh; that is, the error in height\n between the decimated mesh and the original height field.  You need to\n set this value only when the error measure is set to AbsoluteError.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteErrorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetAbsoluteErrorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteErrorMaxValue */
    if ( strcmp ( argv[2], "GetAbsoluteErrorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteErrorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the absolute error of the mesh; that is, the error in height\n between the decimated mesh and the original height field.  You need to\n set this value only when the error measure is set to AbsoluteError.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteErrorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetAbsoluteErrorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteError */
    if ( strcmp ( argv[2], "GetAbsoluteError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteError */
    Tcl_DStringAppendElement ( &dString, " Specify the absolute error of the mesh; that is, the error in height\n between the decimated mesh and the original height field.  You need to\n set this value only when the error measure is set to AbsoluteError.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteError();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetAbsoluteError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRelativeError */
    if ( strcmp ( argv[2], "SetRelativeError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRelativeError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRelativeError */
    Tcl_DStringAppendElement ( &dString, " Specify the relative error of the mesh; that is, the error in height\n between the decimated mesh and the original height field normalized by\n the diagonal of the image.  You need to set this value only when the\n error measure is set to RelativeError.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRelativeError(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetRelativeError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRelativeErrorMinValue */
    if ( strcmp ( argv[2], "GetRelativeErrorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelativeErrorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelativeErrorMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative error of the mesh; that is, the error in height\n between the decimated mesh and the original height field normalized by\n the diagonal of the image.  You need to set this value only when the\n error measure is set to RelativeError.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRelativeErrorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetRelativeErrorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRelativeErrorMaxValue */
    if ( strcmp ( argv[2], "GetRelativeErrorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelativeErrorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelativeErrorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative error of the mesh; that is, the error in height\n between the decimated mesh and the original height field normalized by\n the diagonal of the image.  You need to set this value only when the\n error measure is set to RelativeError.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRelativeErrorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetRelativeErrorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRelativeError */
    if ( strcmp ( argv[2], "GetRelativeError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelativeError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelativeError */
    Tcl_DStringAppendElement ( &dString, " Specify the relative error of the mesh; that is, the error in height\n between the decimated mesh and the original height field normalized by\n the diagonal of the image.  You need to set this value only when the\n error measure is set to RelativeError.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRelativeError();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetRelativeError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundaryVertexDeletion */
    if ( strcmp ( argv[2], "SetBoundaryVertexDeletion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryVertexDeletion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundaryVertexDeletion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundaryVertexDeletion(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetBoundaryVertexDeletion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundaryVertexDeletion */
    if ( strcmp ( argv[2], "GetBoundaryVertexDeletion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryVertexDeletion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundaryVertexDeletion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundaryVertexDeletion();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetBoundaryVertexDeletion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundaryVertexDeletionOn */
    if ( strcmp ( argv[2], "BoundaryVertexDeletionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundaryVertexDeletionOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundaryVertexDeletionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for BoundaryVertexDeletionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundaryVertexDeletionOff */
    if ( strcmp ( argv[2], "BoundaryVertexDeletionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundaryVertexDeletionOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundaryVertexDeletionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for BoundaryVertexDeletionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeNormals */
    if ( strcmp ( argv[2], "SetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Compute normals based on the input image. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeNormals(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for SetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeNormals */
    if ( strcmp ( argv[2], "GetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Compute normals based on the input image. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for GetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeNormalsOn */
    if ( strcmp ( argv[2], "ComputeNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Compute normals based on the input image. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for ComputeNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeNormalsOff */
    if ( strcmp ( argv[2], "ComputeNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Compute normals based on the input image. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGreedyTerrainDecimation" );
    /* Closing for ComputeNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
