// tcl wrapper for vtkImageDataLIC2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDataLIC2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageDataLIC2DNewCommand()
{
  vtkImageDataLIC2D *temp = vtkImageDataLIC2D::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageDataLIC2DCppCommand(vtkImageDataLIC2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageDataLIC2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageDataLIC2DCppCommand(static_cast<vtkImageDataLIC2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageDataLIC2DCppCommand(vtkImageDataLIC2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageDataLIC2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageDataLIC2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataLIC2D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageDataLIC2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataLIC2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageDataLIC2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataLIC2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetContext",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetContext(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContext",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetContext();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStepSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStepSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStepSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStepSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStepSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStepSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStepSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStepSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnification",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMagnification(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnificationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnificationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMagnificationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnificationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMagnification",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnification();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOpenGLExtensionsSupported",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOpenGLExtensionsSupported();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFBOSuccess",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFBOSuccess();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLICSuccess",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLICSuccess();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageDataLIC2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageDataLIC2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetContext\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContext\n",NULL);
    Tcl_AppendResult(interp,"  SetSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetStepSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStepSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStepSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStepSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnification\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnificationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnificationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnification\n",NULL);
    Tcl_AppendResult(interp,"  GetOpenGLExtensionsSupported\n",NULL);
    Tcl_AppendResult(interp,"  GetFBOSuccess\n",NULL);
    Tcl_AppendResult(interp,"  GetLICSuccess\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    Tcl_DStringAppendElement ( &dString, "SetSteps" );
    Tcl_DStringAppendElement ( &dString, "GetSteps" );
    Tcl_DStringAppendElement ( &dString, "SetStepSize" );
    Tcl_DStringAppendElement ( &dString, "GetStepSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetStepSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetStepSize" );
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
    Tcl_DStringAppendElement ( &dString, "GetOpenGLExtensionsSupported" );
    Tcl_DStringAppendElement ( &dString, "GetFBOSuccess" );
    Tcl_DStringAppendElement ( &dString, "GetLICSuccess" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageDataLIC2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContext */
    if ( strcmp ( argv[2], "SetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContext */
    Tcl_DStringAppendElement ( &dString, " Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions. Return 0 upon failure and 1 upon success.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetContext(vtkRenderWindow *context);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for SetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContext */
    if ( strcmp ( argv[2], "GetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContext */
    Tcl_DStringAppendElement ( &dString, " Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions. Return 0 upon failure and 1 upon success.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSteps */
    if ( strcmp ( argv[2], "SetSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSteps */
    Tcl_DStringAppendElement ( &dString, " Number of steps. Initial value is 20.\n class invariant: Steps>0.\n In term of visual quality, the greater the better.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSteps(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for SetSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSteps */
    if ( strcmp ( argv[2], "GetSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSteps */
    Tcl_DStringAppendElement ( &dString, " Number of steps. Initial value is 20.\n class invariant: Steps>0.\n In term of visual quality, the greater the better.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStepSize */
    if ( strcmp ( argv[2], "SetStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStepSize */
    Tcl_DStringAppendElement ( &dString, " Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lengthh is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStepSize(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for SetStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStepSizeMinValue */
    if ( strcmp ( argv[2], "GetStepSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lengthh is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStepSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetStepSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStepSizeMaxValue */
    if ( strcmp ( argv[2], "GetStepSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lengthh is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStepSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetStepSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStepSize */
    if ( strcmp ( argv[2], "GetStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepSize */
    Tcl_DStringAppendElement ( &dString, " Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lengthh is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStepSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnification */
    if ( strcmp ( argv[2], "SetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnification */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor. Default is 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnification(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for SetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnificationMinValue */
    if ( strcmp ( argv[2], "GetMagnificationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnificationMinValue */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor. Default is 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnificationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetMagnificationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnificationMaxValue */
    if ( strcmp ( argv[2], "GetMagnificationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnificationMaxValue */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor. Default is 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnificationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetMagnificationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnification */
    if ( strcmp ( argv[2], "GetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnification */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor. Default is 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnification();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpenGLExtensionsSupported */
    if ( strcmp ( argv[2], "GetOpenGLExtensionsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpenGLExtensionsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpenGLExtensionsSupported */
    Tcl_DStringAppendElement ( &dString, " Check if the required OpenGL extensions / GPU are supported.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOpenGLExtensionsSupported();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetOpenGLExtensionsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFBOSuccess */
    if ( strcmp ( argv[2], "GetFBOSuccess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFBOSuccess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFBOSuccess */
    Tcl_DStringAppendElement ( &dString, " Check if FBO is started properly.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFBOSuccess();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetFBOSuccess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLICSuccess */
    if ( strcmp ( argv[2], "GetLICSuccess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLICSuccess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLICSuccess */
    Tcl_DStringAppendElement ( &dString, " Check if LIC runs properly.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLICSuccess();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataLIC2D" );
    /* Closing for GetLICSuccess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
