// tcl wrapper for vtkImageToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageToPolyDataFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageToPolyDataFilterNewCommand()
{
  vtkImageToPolyDataFilter *temp = vtkImageToPolyDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageToPolyDataFilterCppCommand(vtkImageToPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageToPolyDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageToPolyDataFilterCppCommand(static_cast<vtkImageToPolyDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageToPolyDataFilterCppCommand(vtkImageToPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageToPolyDataFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageToPolyDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageToPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageToPolyDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageToPolyDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageToPolyDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageToPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetOutputStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputStyleMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputStyleMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputStyleMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputStyleMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputStyleToPixelize",argv[1]))&&(argc == 2))
    {
    op->SetOutputStyleToPixelize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputStyleToPolygonalize",argv[1]))&&(argc == 2))
    {
    op->SetOutputStyleToPolygonalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputStyleToRunLength",argv[1]))&&(argc == 2))
    {
    op->SetOutputStyleToRunLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToLUT",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToLUT();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToLinear256",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToLinear256();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SmoothingOn",argv[1]))&&(argc == 2))
    {
    op->SmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SmoothingOff",argv[1]))&&(argc == 2))
    {
    op->SmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSmoothingIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSmoothingIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSmoothingIterationsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSmoothingIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSmoothingIterationsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSmoothingIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSmoothingIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSmoothingIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDecimation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDecimation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDecimation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDecimation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DecimationOn",argv[1]))&&(argc == 2))
    {
    op->DecimationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DecimationOff",argv[1]))&&(argc == 2))
    {
    op->DecimationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDecimationError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDecimationError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDecimationErrorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDecimationErrorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDecimationErrorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDecimationErrorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDecimationError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDecimationError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetError",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErrorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErrorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetErrorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErrorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetError",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetError();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubImageSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSubImageSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubImageSizeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubImageSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubImageSizeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubImageSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubImageSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubImageSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageToPolyDataFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageToPolyDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputStyleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputStyleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputStyleToPixelize\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputStyleToPolygonalize\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputStyleToRunLength\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToLUT\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToLinear256\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  SmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  SmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSmoothingIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSmoothingIterationsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSmoothingIterationsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSmoothingIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetDecimation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDecimation\n",NULL);
    Tcl_AppendResult(interp,"  DecimationOn\n",NULL);
    Tcl_AppendResult(interp,"  DecimationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDecimationError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDecimationErrorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDecimationErrorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDecimationError\n",NULL);
    Tcl_AppendResult(interp,"  SetError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetError\n",NULL);
    Tcl_AppendResult(interp,"  SetSubImageSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubImageSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSubImageSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSubImageSize\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyle" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStyleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStyleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStyle" );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyleToPixelize" );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyleToPolygonalize" );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyleToRunLength" );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToLUT" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToLinear256" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetSmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothing" );
    Tcl_DStringAppendElement ( &dString, "SmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "SmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSmoothingIterations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSmoothingIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSmoothingIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSmoothingIterations" );
    Tcl_DStringAppendElement ( &dString, "SetDecimation" );
    Tcl_DStringAppendElement ( &dString, "GetDecimation" );
    Tcl_DStringAppendElement ( &dString, "DecimationOn" );
    Tcl_DStringAppendElement ( &dString, "DecimationOff" );
    Tcl_DStringAppendElement ( &dString, "SetDecimationError" );
    Tcl_DStringAppendElement ( &dString, "GetDecimationErrorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDecimationErrorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDecimationError" );
    Tcl_DStringAppendElement ( &dString, "SetError" );
    Tcl_DStringAppendElement ( &dString, "GetErrorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetErrorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetError" );
    Tcl_DStringAppendElement ( &dString, "SetSubImageSize" );
    Tcl_DStringAppendElement ( &dString, "GetSubImageSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubImageSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubImageSize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with initial number of colors 256.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageToPolyDataFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputStyle */
    if ( strcmp ( argv[2], "SetOutputStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputStyle */
    Tcl_DStringAppendElement ( &dString, " Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputStyle(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetOutputStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputStyleMinValue */
    if ( strcmp ( argv[2], "GetOutputStyleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStyleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStyleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputStyleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetOutputStyleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputStyleMaxValue */
    if ( strcmp ( argv[2], "GetOutputStyleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStyleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStyleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputStyleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetOutputStyleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputStyle */
    if ( strcmp ( argv[2], "GetOutputStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStyle */
    Tcl_DStringAppendElement ( &dString, " Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetOutputStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputStyleToPixelize */
    if ( strcmp ( argv[2], "SetOutputStyleToPixelize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyleToPixelize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputStyleToPixelize */
    Tcl_DStringAppendElement ( &dString, " Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputStyleToPixelize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetOutputStyleToPixelize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputStyleToPolygonalize */
    if ( strcmp ( argv[2], "SetOutputStyleToPolygonalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyleToPolygonalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputStyleToPolygonalize */
    Tcl_DStringAppendElement ( &dString, " Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputStyleToPolygonalize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetOutputStyleToPolygonalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputStyleToRunLength */
    if ( strcmp ( argv[2], "SetOutputStyleToRunLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputStyleToRunLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputStyleToRunLength */
    Tcl_DStringAppendElement ( &dString, " Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputStyleToRunLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetOutputStyleToRunLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " Specify how to quantize color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorModeMinValue */
    if ( strcmp ( argv[2], "GetColorModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify how to quantize color.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetColorModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorModeMaxValue */
    if ( strcmp ( argv[2], "GetColorModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify how to quantize color.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetColorModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " Specify how to quantize color.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToLUT */
    if ( strcmp ( argv[2], "SetColorModeToLUT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToLUT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToLUT */
    Tcl_DStringAppendElement ( &dString, " Specify how to quantize color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToLUT();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetColorModeToLUT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToLinear256 */
    if ( strcmp ( argv[2], "SetColorModeToLinear256" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToLinear256" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToLinear256 */
    Tcl_DStringAppendElement ( &dString, " Specify how to quantize color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToLinear256();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetColorModeToLinear256 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vtkLookupTable to use. The lookup table is used when the\n color mode is set to LUT and a single component scalar is input.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable(vtkScalarsToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vtkLookupTable to use. The lookup table is used when the\n color mode is set to LUT and a single component scalar is input.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSmoothing */
    if ( strcmp ( argv[2], "SetSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmoothing */
    Tcl_DStringAppendElement ( &dString, " If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSmoothing(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothing */
    if ( strcmp ( argv[2], "GetSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothing */
    Tcl_DStringAppendElement ( &dString, " If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SmoothingOn */
    if ( strcmp ( argv[2], "SmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SmoothingOn */
    Tcl_DStringAppendElement ( &dString, " If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "void SmoothingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SmoothingOff */
    if ( strcmp ( argv[2], "SmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SmoothingOff */
    Tcl_DStringAppendElement ( &dString, " If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "void SmoothingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSmoothingIterations */
    if ( strcmp ( argv[2], "SetNumberOfSmoothingIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSmoothingIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSmoothingIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSmoothingIterations(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetNumberOfSmoothingIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSmoothingIterationsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfSmoothingIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSmoothingIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSmoothingIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSmoothingIterationsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetNumberOfSmoothingIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSmoothingIterationsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfSmoothingIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSmoothingIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSmoothingIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSmoothingIterationsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetNumberOfSmoothingIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSmoothingIterations */
    if ( strcmp ( argv[2], "GetNumberOfSmoothingIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSmoothingIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSmoothingIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSmoothingIterations();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetNumberOfSmoothingIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDecimation */
    if ( strcmp ( argv[2], "SetDecimation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDecimation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDecimation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDecimation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetDecimation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDecimation */
    if ( strcmp ( argv[2], "GetDecimation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDecimation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDecimation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDecimation();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetDecimation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DecimationOn */
    if ( strcmp ( argv[2], "DecimationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DecimationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DecimationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "void DecimationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for DecimationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DecimationOff */
    if ( strcmp ( argv[2], "DecimationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DecimationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DecimationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n" );
    Tcl_DStringAppendElement ( &dString, "void DecimationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for DecimationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDecimationError */
    if ( strcmp ( argv[2], "SetDecimationError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDecimationError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDecimationError */
    Tcl_DStringAppendElement ( &dString, " Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDecimationError(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetDecimationError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDecimationErrorMinValue */
    if ( strcmp ( argv[2], "GetDecimationErrorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDecimationErrorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDecimationErrorMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDecimationErrorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetDecimationErrorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDecimationErrorMaxValue */
    if ( strcmp ( argv[2], "GetDecimationErrorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDecimationErrorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDecimationErrorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDecimationErrorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetDecimationErrorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDecimationError */
    if ( strcmp ( argv[2], "GetDecimationError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDecimationError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDecimationError */
    Tcl_DStringAppendElement ( &dString, " Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDecimationError();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetDecimationError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetError */
    if ( strcmp ( argv[2], "SetError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetError */
    Tcl_DStringAppendElement ( &dString, " Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetError(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorMinValue */
    if ( strcmp ( argv[2], "GetErrorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErrorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetErrorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorMaxValue */
    if ( strcmp ( argv[2], "GetErrorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErrorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetErrorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetError */
    if ( strcmp ( argv[2], "GetError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetError */
    Tcl_DStringAppendElement ( &dString, " Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetError();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubImageSize */
    if ( strcmp ( argv[2], "SetSubImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubImageSize */
    Tcl_DStringAppendElement ( &dString, " Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubImageSize(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for SetSubImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubImageSizeMinValue */
    if ( strcmp ( argv[2], "GetSubImageSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubImageSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubImageSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubImageSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetSubImageSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubImageSizeMaxValue */
    if ( strcmp ( argv[2], "GetSubImageSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubImageSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubImageSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubImageSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetSubImageSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubImageSize */
    if ( strcmp ( argv[2], "GetSubImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubImageSize */
    Tcl_DStringAppendElement ( &dString, " Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubImageSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageToPolyDataFilter" );
    /* Closing for GetSubImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
