// tcl wrapper for vtkPolarAxesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolarAxesActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPolarAxesActorNewCommand()
{
  vtkPolarAxesActor *temp = vtkPolarAxesActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActorCppCommand(vtkActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolarAxesActorCppCommand(vtkPolarAxesActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPolarAxesActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPolarAxesActorCppCommand(static_cast<vtkPolarAxesActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolarAxesActorCppCommand(vtkPolarAxesActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPolarAxesActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPolarAxesActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolarAxesActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPolarAxesActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolarAxesActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPolarAxesActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolarAxesActor");
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPole",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPole(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPole",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPole(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPole",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPole();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfRadialAxes",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfRadialAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRadialAxes",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfRadialAxes();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPolarAxisTicks",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPolarAxisTicks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPolarAxisTicksMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPolarAxisTicksMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPolarAxisTicksMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPolarAxisTicksMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPolarAxisTicks",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPolarAxisTicks();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoSubdividePolarAxis",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAutoSubdividePolarAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoSubdividePolarAxis",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAutoSubdividePolarAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoSubdividePolarAxisOn",argv[1]))&&(argc == 2))
    {
    op->AutoSubdividePolarAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoSubdividePolarAxisOff",argv[1]))&&(argc == 2))
    {
    op->AutoSubdividePolarAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoScaleRadius",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAutoScaleRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoScaleRadius",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAutoScaleRadius();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSmallestVisiblePolarAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSmallestVisiblePolarAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSmallestVisiblePolarAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmallestVisiblePolarAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmallestVisiblePolarAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmallestVisiblePolarAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmallestVisiblePolarAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmallestVisiblePolarAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadialUnits",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRadialUnits(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadialUnits",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRadialUnits();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScreenSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScreenSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScreenSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScreenSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetPolarAxisTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPolarAxisTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarAxisTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPolarAxisTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPolarLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPolarLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPolarLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnableDistanceLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableDistanceLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableDistanceLOD",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableDistanceLOD();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDistanceLODThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistanceLODThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistanceLODThresholdMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceLODThresholdMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceLODThresholdMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceLODThresholdMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceLODThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceLODThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableViewAngleLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableViewAngleLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableViewAngleLOD",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableViewAngleLOD();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewAngleLODThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetViewAngleLODThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewAngleLODThresholdMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngleLODThresholdMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewAngleLODThresholdMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngleLODThresholdMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewAngleLODThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngleLODThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPolarAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPolarAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolarAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PolarAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PolarAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolarAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PolarAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolarTitleVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPolarTitleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarTitleVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolarTitleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PolarTitleVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PolarTitleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolarTitleVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PolarTitleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolarLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPolarLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolarLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PolarLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PolarLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolarLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PolarLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolarTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPolarTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolarTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PolarTickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PolarTickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolarTickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PolarTickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRadialAxesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRadialAxesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadialAxesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRadialAxesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RadialAxesVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->RadialAxesVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RadialAxesVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->RadialAxesVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRadialTitleVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRadialTitleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadialTitleVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRadialTitleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RadialTitleVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->RadialTitleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RadialTitleVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->RadialTitleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolarArcsVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPolarArcsVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarArcsVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolarArcsVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PolarArcsVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PolarArcsVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolarArcsVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PolarArcsVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolarAxisTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetPolarAxisTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarAxisTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetPolarAxisTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetPolarAxisLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetPolarAxisLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarAxisLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetPolarAxisLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetPolarAxisProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetPolarAxisProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarAxisProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetPolarAxisProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetRadialAxesProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetRadialAxesProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadialAxesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetRadialAxesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetPolarArcsProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetPolarArcsProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarArcsProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetPolarArcsProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPolarAxesActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolarAxesActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPole\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPole\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPole\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfRadialAxes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRadialAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPolarAxisTicks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPolarAxisTicksMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPolarAxisTicksMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPolarAxisTicks\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoSubdividePolarAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoSubdividePolarAxis\n",NULL);
    Tcl_AppendResult(interp,"  AutoSubdividePolarAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoSubdividePolarAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoScaleRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoScaleRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetSmallestVisiblePolarAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSmallestVisiblePolarAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmallestVisiblePolarAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmallestVisiblePolarAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetRadialUnits\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialUnits\n",NULL);
    Tcl_AppendResult(interp,"  SetScreenSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScreenSize\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarAxisTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarAxisTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableDistanceLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableDistanceLOD\n",NULL);
    Tcl_AppendResult(interp,"  SetDistanceLODThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceLODThresholdMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceLODThresholdMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceLODThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableViewAngleLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableViewAngleLOD\n",NULL);
    Tcl_AppendResult(interp,"  SetViewAngleLODThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngleLODThresholdMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngleLODThresholdMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngleLODThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PolarAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PolarAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarTitleVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarTitleVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PolarTitleVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PolarTitleVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PolarLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PolarLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PolarTickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PolarTickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRadialAxesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialAxesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  RadialAxesVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  RadialAxesVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRadialTitleVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialTitleVisibility\n",NULL);
    Tcl_AppendResult(interp,"  RadialTitleVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  RadialTitleVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarArcsVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarArcsVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PolarArcsVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PolarArcsVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarAxisTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarAxisTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarAxisLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarAxisLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarAxisProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarAxisProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetRadialAxesProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialAxesProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarArcsProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarArcsProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetPole" );
    Tcl_DStringAppendElement ( &dString, "SetPole" );
    Tcl_DStringAppendElement ( &dString, "GetPole" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRadialAxes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRadialAxes" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPolarAxisTicks" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolarAxisTicksMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolarAxisTicksMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolarAxisTicks" );
    Tcl_DStringAppendElement ( &dString, "SetAutoSubdividePolarAxis" );
    Tcl_DStringAppendElement ( &dString, "GetAutoSubdividePolarAxis" );
    Tcl_DStringAppendElement ( &dString, "AutoSubdividePolarAxisOn" );
    Tcl_DStringAppendElement ( &dString, "AutoSubdividePolarAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumRadius" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumRadius" );
    Tcl_DStringAppendElement ( &dString, "SetAutoScaleRadius" );
    Tcl_DStringAppendElement ( &dString, "GetAutoScaleRadius" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumAngle" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumAngle" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumAngle" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumAngle" );
    Tcl_DStringAppendElement ( &dString, "SetSmallestVisiblePolarAngle" );
    Tcl_DStringAppendElement ( &dString, "GetSmallestVisiblePolarAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmallestVisiblePolarAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmallestVisiblePolarAngle" );
    Tcl_DStringAppendElement ( &dString, "SetRadialUnits" );
    Tcl_DStringAppendElement ( &dString, "GetRadialUnits" );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    Tcl_DStringAppendElement ( &dString, "GetScreenSize" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisTitle" );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisTitle" );
    Tcl_DStringAppendElement ( &dString, "SetPolarLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetPolarLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetEnableDistanceLOD" );
    Tcl_DStringAppendElement ( &dString, "GetEnableDistanceLOD" );
    Tcl_DStringAppendElement ( &dString, "SetDistanceLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetEnableViewAngleLOD" );
    Tcl_DStringAppendElement ( &dString, "GetEnableViewAngleLOD" );
    Tcl_DStringAppendElement ( &dString, "SetViewAngleLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "PolarAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "PolarAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolarTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetPolarTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "PolarTitleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "PolarTitleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolarLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetPolarLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "PolarLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "PolarLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolarTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetPolarTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "PolarTickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "PolarTickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetRadialAxesVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetRadialAxesVisibility" );
    Tcl_DStringAppendElement ( &dString, "RadialAxesVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "RadialAxesVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetRadialTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetRadialTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "RadialTitleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "RadialTitleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolarArcsVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetPolarArcsVisibility" );
    Tcl_DStringAppendElement ( &dString, "PolarArcsVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "PolarArcsVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisProperty" );
    Tcl_DStringAppendElement ( &dString, "SetRadialAxesProperty" );
    Tcl_DStringAppendElement ( &dString, "GetRadialAxesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetPolarArcsProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPolarArcsProperty" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with label format \"6.3g\" and the number of labels\n per axis set to 3.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolarAxesActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the polar axes\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the polar axes\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPole */
    if ( strcmp ( argv[2], "SetPole" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPole" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPole */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the coordinate of the pole.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPole(double\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPole */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPole */
    if ( strcmp ( argv[2], "SetPole" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPole" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPole */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the coordinate of the pole.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPole(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPole */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPole */
    if ( strcmp ( argv[2], "GetPole" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPole" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPole */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetPole();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPole */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfRadialAxes */
    if ( strcmp ( argv[2], "SetNumberOfRadialAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRadialAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfRadialAxes */
    Tcl_DStringAppendElement ( &dString, " Gets/Sets the number of radial axes\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfRadialAxes(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetNumberOfRadialAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRadialAxes */
    if ( strcmp ( argv[2], "GetNumberOfRadialAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRadialAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRadialAxes */
    Tcl_DStringAppendElement ( &dString, " Gets/Sets the number of radial axes\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfRadialAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetNumberOfRadialAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfPolarAxisTicks */
    if ( strcmp ( argv[2], "SetNumberOfPolarAxisTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPolarAxisTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPolarAxisTicks */
    Tcl_DStringAppendElement ( &dString, " Gets/Sets the number of ticks and labels along polar axis\n NB: will be overriden if AutoSubdividePolarAxis is true\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfPolarAxisTicks(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetNumberOfPolarAxisTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPolarAxisTicksMinValue */
    if ( strcmp ( argv[2], "GetNumberOfPolarAxisTicksMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolarAxisTicksMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPolarAxisTicksMinValue */
    Tcl_DStringAppendElement ( &dString, " Gets/Sets the number of ticks and labels along polar axis\n NB: will be overriden if AutoSubdividePolarAxis is true\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfPolarAxisTicksMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetNumberOfPolarAxisTicksMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPolarAxisTicksMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfPolarAxisTicksMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolarAxisTicksMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPolarAxisTicksMaxValue */
    Tcl_DStringAppendElement ( &dString, " Gets/Sets the number of ticks and labels along polar axis\n NB: will be overriden if AutoSubdividePolarAxis is true\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfPolarAxisTicksMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetNumberOfPolarAxisTicksMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPolarAxisTicks */
    if ( strcmp ( argv[2], "GetNumberOfPolarAxisTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolarAxisTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPolarAxisTicks */
    Tcl_DStringAppendElement ( &dString, " Gets/Sets the number of ticks and labels along polar axis\n NB: will be overriden if AutoSubdividePolarAxis is true\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfPolarAxisTicks();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetNumberOfPolarAxisTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoSubdividePolarAxis */
    if ( strcmp ( argv[2], "SetAutoSubdividePolarAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoSubdividePolarAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoSubdividePolarAxis */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the number of polar axis ticks and arcs should be automatically calculated\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoSubdividePolarAxis(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetAutoSubdividePolarAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoSubdividePolarAxis */
    if ( strcmp ( argv[2], "GetAutoSubdividePolarAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoSubdividePolarAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoSubdividePolarAxis */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the number of polar axis ticks and arcs should be automatically calculated\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAutoSubdividePolarAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetAutoSubdividePolarAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoSubdividePolarAxisOn */
    if ( strcmp ( argv[2], "AutoSubdividePolarAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoSubdividePolarAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoSubdividePolarAxisOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the number of polar axis ticks and arcs should be automatically calculated\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoSubdividePolarAxisOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for AutoSubdividePolarAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoSubdividePolarAxisOff */
    if ( strcmp ( argv[2], "AutoSubdividePolarAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoSubdividePolarAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoSubdividePolarAxisOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the number of polar axis ticks and arcs should be automatically calculated\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoSubdividePolarAxisOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for AutoSubdividePolarAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumRadius */
    if ( strcmp ( argv[2], "SetMaximumRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum radius of the polar coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumRadius(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetMaximumRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumRadius */
    if ( strcmp ( argv[2], "GetMaximumRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum radius of the polar coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetMaximumRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoScaleRadius */
    if ( strcmp ( argv[2], "SetAutoScaleRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoScaleRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoScaleRadius */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the auto-scaling of the maximum radius.\n Default: false\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoScaleRadius(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetAutoScaleRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoScaleRadius */
    if ( strcmp ( argv[2], "GetAutoScaleRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoScaleRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoScaleRadius */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the auto-scaling of the maximum radius.\n Default: false\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAutoScaleRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetAutoScaleRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumAngle */
    if ( strcmp ( argv[2], "SetMinimumAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumAngle */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the minimum radius of the polar coordinates (in degrees).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinimumAngle(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetMinimumAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumAngle */
    if ( strcmp ( argv[2], "GetMinimumAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumAngle */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the minimum radius of the polar coordinates (in degrees).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetMinimumAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumAngle */
    if ( strcmp ( argv[2], "SetMaximumAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumAngle */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the maximum radius of the polar coordinates (in degrees).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumAngle(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetMaximumAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumAngle */
    if ( strcmp ( argv[2], "GetMaximumAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumAngle */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the maximum radius of the polar coordinates (in degrees).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetMaximumAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSmallestVisiblePolarAngle */
    if ( strcmp ( argv[2], "SetSmallestVisiblePolarAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmallestVisiblePolarAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmallestVisiblePolarAngle */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the minimum radial angle distinguishable from polar axis\n NB: This is used only when polar axis is visible\n Default: 0.5\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSmallestVisiblePolarAngle(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetSmallestVisiblePolarAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmallestVisiblePolarAngleMinValue */
    if ( strcmp ( argv[2], "GetSmallestVisiblePolarAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmallestVisiblePolarAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmallestVisiblePolarAngleMinValue */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the minimum radial angle distinguishable from polar axis\n NB: This is used only when polar axis is visible\n Default: 0.5\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmallestVisiblePolarAngleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetSmallestVisiblePolarAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmallestVisiblePolarAngleMaxValue */
    if ( strcmp ( argv[2], "GetSmallestVisiblePolarAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmallestVisiblePolarAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmallestVisiblePolarAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the minimum radial angle distinguishable from polar axis\n NB: This is used only when polar axis is visible\n Default: 0.5\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmallestVisiblePolarAngleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetSmallestVisiblePolarAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmallestVisiblePolarAngle */
    if ( strcmp ( argv[2], "GetSmallestVisiblePolarAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmallestVisiblePolarAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmallestVisiblePolarAngle */
    Tcl_DStringAppendElement ( &dString, "  Set/Get the minimum radial angle distinguishable from polar axis\n NB: This is used only when polar axis is visible\n Default: 0.5\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmallestVisiblePolarAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetSmallestVisiblePolarAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadialUnits */
    if ( strcmp ( argv[2], "SetRadialUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadialUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadialUnits */
    Tcl_DStringAppendElement ( &dString, " Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadialUnits(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetRadialUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialUnits */
    if ( strcmp ( argv[2], "GetRadialUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialUnits */
    Tcl_DStringAppendElement ( &dString, " Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetRadialUnits();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetRadialUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScreenSize */
    if ( strcmp ( argv[2], "SetScreenSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScreenSize */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the screen size of title and label text.\n ScreenSize detemines the size of the text in terms of screen\n pixels. \n Default: 10.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScreenSize(double screenSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetScreenSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScreenSize */
    if ( strcmp ( argv[2], "GetScreenSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScreenSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScreenSize */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the screen size of title and label text.\n ScreenSize detemines the size of the text in terms of screen\n pixels. \n Default: 10.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScreenSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetScreenSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to perform scaling and translation of the\n vtkPolarAxesActor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to perform scaling and translation of the\n vtkPolarAxesActor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarAxisTitle */
    if ( strcmp ( argv[2], "SetPolarAxisTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarAxisTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the polar axis.\n Default: \"Radial Distance\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarAxisTitle(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarAxisTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarAxisTitle */
    if ( strcmp ( argv[2], "GetPolarAxisTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarAxisTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the polar axis.\n Default: \"Radial Distance\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPolarAxisTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarAxisTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarLabelFormat */
    if ( strcmp ( argv[2], "SetPolarLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the polar axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarLabelFormat */
    if ( strcmp ( argv[2], "GetPolarLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the polar axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPolarLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableDistanceLOD */
    if ( strcmp ( argv[2], "SetEnableDistanceLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableDistanceLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableDistanceLOD */
    Tcl_DStringAppendElement ( &dString, " Enable and disable the use of distance based LOD for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableDistanceLOD(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetEnableDistanceLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableDistanceLOD */
    if ( strcmp ( argv[2], "GetEnableDistanceLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableDistanceLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableDistanceLOD */
    Tcl_DStringAppendElement ( &dString, " Enable and disable the use of distance based LOD for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableDistanceLOD();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetEnableDistanceLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistanceLODThreshold */
    if ( strcmp ( argv[2], "SetDistanceLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistanceLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistanceLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold \\[0.0 - 1.0\\] for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistanceLODThreshold(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetDistanceLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceLODThresholdMinValue */
    if ( strcmp ( argv[2], "GetDistanceLODThresholdMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceLODThresholdMinValue */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold \\[0.0 - 1.0\\] for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceLODThresholdMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetDistanceLODThresholdMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceLODThresholdMaxValue */
    if ( strcmp ( argv[2], "GetDistanceLODThresholdMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThresholdMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceLODThresholdMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold \\[0.0 - 1.0\\] for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceLODThresholdMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetDistanceLODThresholdMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceLODThreshold */
    if ( strcmp ( argv[2], "GetDistanceLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set distance LOD threshold \\[0.0 - 1.0\\] for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceLODThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetDistanceLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableViewAngleLOD */
    if ( strcmp ( argv[2], "SetEnableViewAngleLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableViewAngleLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableViewAngleLOD */
    Tcl_DStringAppendElement ( &dString, " Enable and disable the use of view angle based LOD for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableViewAngleLOD(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetEnableViewAngleLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableViewAngleLOD */
    if ( strcmp ( argv[2], "GetEnableViewAngleLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableViewAngleLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableViewAngleLOD */
    Tcl_DStringAppendElement ( &dString, " Enable and disable the use of view angle based LOD for titles and labels. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableViewAngleLOD();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetEnableViewAngleLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewAngleLODThreshold */
    if ( strcmp ( argv[2], "SetViewAngleLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewAngleLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewAngleLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold \\[0.0 - 1.0\\] for titles and labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewAngleLODThreshold(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetViewAngleLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngleLODThresholdMinValue */
    if ( strcmp ( argv[2], "GetViewAngleLODThresholdMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngleLODThresholdMinValue */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold \\[0.0 - 1.0\\] for titles and labels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetViewAngleLODThresholdMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetViewAngleLODThresholdMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngleLODThresholdMaxValue */
    if ( strcmp ( argv[2], "GetViewAngleLODThresholdMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThresholdMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngleLODThresholdMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold \\[0.0 - 1.0\\] for titles and labels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetViewAngleLODThresholdMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetViewAngleLODThresholdMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngleLODThreshold */
    if ( strcmp ( argv[2], "GetViewAngleLODThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleLODThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngleLODThreshold */
    Tcl_DStringAppendElement ( &dString, " Set view angle LOD threshold \\[0.0 - 1.0\\] for titles and labels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetViewAngleLODThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetViewAngleLODThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarAxisVisibility */
    if ( strcmp ( argv[2], "SetPolarAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of the polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarAxisVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarAxisVisibility */
    if ( strcmp ( argv[2], "GetPolarAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of the polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolarAxisVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarAxisVisibilityOn */
    if ( strcmp ( argv[2], "PolarAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of the polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarAxisVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarAxisVisibilityOff */
    if ( strcmp ( argv[2], "PolarAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of the polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarAxisVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarTitleVisibility */
    if ( strcmp ( argv[2], "SetPolarTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarTitleVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarTitleVisibility */
    if ( strcmp ( argv[2], "GetPolarTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolarTitleVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarTitleVisibilityOn */
    if ( strcmp ( argv[2], "PolarTitleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarTitleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarTitleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarTitleVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarTitleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarTitleVisibilityOff */
    if ( strcmp ( argv[2], "PolarTitleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarTitleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarTitleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarTitleVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarTitleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarLabelVisibility */
    if ( strcmp ( argv[2], "SetPolarLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarLabelVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarLabelVisibility */
    if ( strcmp ( argv[2], "GetPolarLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolarLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarLabelVisibilityOn */
    if ( strcmp ( argv[2], "PolarLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarLabelVisibilityOff */
    if ( strcmp ( argv[2], "PolarLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarTickVisibility */
    if ( strcmp ( argv[2], "SetPolarTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarTickVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarTickVisibility */
    if ( strcmp ( argv[2], "GetPolarTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolarTickVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarTickVisibilityOn */
    if ( strcmp ( argv[2], "PolarTickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarTickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarTickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarTickVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarTickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarTickVisibilityOff */
    if ( strcmp ( argv[2], "PolarTickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarTickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarTickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarTickVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarTickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadialAxesVisibility */
    if ( strcmp ( argv[2], "SetRadialAxesVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadialAxesVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadialAxesVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadialAxesVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetRadialAxesVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialAxesVisibility */
    if ( strcmp ( argv[2], "GetRadialAxesVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialAxesVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialAxesVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRadialAxesVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetRadialAxesVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RadialAxesVisibilityOn */
    if ( strcmp ( argv[2], "RadialAxesVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RadialAxesVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RadialAxesVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void RadialAxesVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for RadialAxesVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RadialAxesVisibilityOff */
    if ( strcmp ( argv[2], "RadialAxesVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RadialAxesVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RadialAxesVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void RadialAxesVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for RadialAxesVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadialTitleVisibility */
    if ( strcmp ( argv[2], "SetRadialTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadialTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadialTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadialTitleVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetRadialTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialTitleVisibility */
    if ( strcmp ( argv[2], "GetRadialTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRadialTitleVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetRadialTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RadialTitleVisibilityOn */
    if ( strcmp ( argv[2], "RadialTitleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RadialTitleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RadialTitleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void RadialTitleVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for RadialTitleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RadialTitleVisibilityOff */
    if ( strcmp ( argv[2], "RadialTitleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RadialTitleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RadialTitleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of titles for non-polar radial axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void RadialTitleVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for RadialTitleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarArcsVisibility */
    if ( strcmp ( argv[2], "SetPolarArcsVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarArcsVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarArcsVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of arcs for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarArcsVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarArcsVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarArcsVisibility */
    if ( strcmp ( argv[2], "GetPolarArcsVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarArcsVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarArcsVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of arcs for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolarArcsVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarArcsVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarArcsVisibilityOn */
    if ( strcmp ( argv[2], "PolarArcsVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarArcsVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarArcsVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of arcs for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarArcsVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarArcsVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarArcsVisibilityOff */
    if ( strcmp ( argv[2], "PolarArcsVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarArcsVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarArcsVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of arcs for polar axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarArcsVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for PolarArcsVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarAxisTitleTextProperty */
    if ( strcmp ( argv[2], "SetPolarAxisTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarAxisTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polar axis title text property. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPolarAxisTitleTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarAxisTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarAxisTitleTextProperty */
    if ( strcmp ( argv[2], "GetPolarAxisTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarAxisTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polar axis title text property. \n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetPolarAxisTitleTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarAxisTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarAxisLabelTextProperty */
    if ( strcmp ( argv[2], "SetPolarAxisLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarAxisLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polar axis labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPolarAxisLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarAxisLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarAxisLabelTextProperty */
    if ( strcmp ( argv[2], "GetPolarAxisLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarAxisLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polar axis labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetPolarAxisLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarAxisLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarAxisProperty */
    if ( strcmp ( argv[2], "SetPolarAxisProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarAxisProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarAxisProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set polar axis actor properties.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPolarAxisProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarAxisProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarAxisProperty */
    if ( strcmp ( argv[2], "GetPolarAxisProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarAxisProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarAxisProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set polar axis actor properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetPolarAxisProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarAxisProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadialAxesProperty */
    if ( strcmp ( argv[2], "SetRadialAxesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadialAxesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadialAxesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set radial axes actors properties.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRadialAxesProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetRadialAxesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialAxesProperty */
    if ( strcmp ( argv[2], "GetRadialAxesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialAxesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialAxesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set radial axes actors properties.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetRadialAxesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetRadialAxesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarArcsProperty */
    if ( strcmp ( argv[2], "SetPolarArcsProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarArcsProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarArcsProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set polar arcs actors property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPolarArcsProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetPolarArcsProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarArcsProperty */
    if ( strcmp ( argv[2], "GetPolarArcsProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarArcsProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarArcsProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set polar arcs actors property\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetPolarArcsProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetPolarArcsProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds are used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolarAxesActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
