// tcl wrapper for vtkPolyDataSilhouette object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataSilhouette.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPolyDataSilhouetteNewCommand()
{
  vtkPolyDataSilhouette *temp = vtkPolyDataSilhouette::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolyDataSilhouetteCppCommand(vtkPolyDataSilhouette *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPolyDataSilhouetteCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPolyDataSilhouetteCppCommand(static_cast<vtkPolyDataSilhouette *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolyDataSilhouetteCppCommand(vtkPolyDataSilhouette *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPolyDataSilhouette",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPolyDataSilhouette  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataSilhouette");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPolyDataSilhouette  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataSilhouette");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPolyDataSilhouette  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataSilhouette");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnableFeatureAngle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableFeatureAngle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableFeatureAngle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFeatureAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeatureAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderEdges",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorderEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BorderEdgesOn",argv[1]))&&(argc == 2))
    {
    op->BorderEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BorderEdgesOff",argv[1]))&&(argc == 2))
    {
    op->BorderEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPieceInvariant",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPieceInvariant(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPieceInvariant",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPieceInvariant();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PieceInvariantOn",argv[1]))&&(argc == 2))
    {
    op->PieceInvariantOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PieceInvariantOff",argv[1]))&&(argc == 2))
    {
    op->PieceInvariantOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToSpecifiedVector",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToSpecifiedVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToSpecifiedOrigin",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToSpecifiedOrigin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToCameraVector",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToCameraVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToCameraOrigin",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToCameraOrigin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetProp3D",argv[1]))&&(argc == 3))
    {
    vtkProp3D  *temp0;
    error = 0;

    temp0 = (vtkProp3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp3D"),interp,error));
    if (!error)
    {
    op->SetProp3D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProp3D",argv[1]))&&(argc == 2))
    {
    vtkProp3D  *temp20;
    temp20 = (op)->GetProp3D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp3D");
    return TCL_OK;
    }
  if ((!strcmp("SetVector",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetVector(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVector",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetVector(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVector",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetVector();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPolyDataSilhouetteCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolyDataSilhouette:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableFeatureAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableFeatureAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetFeatureAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderEdges\n",NULL);
    Tcl_AppendResult(interp,"  BorderEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  BorderEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPieceInvariant\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPieceInvariant\n",NULL);
    Tcl_AppendResult(interp,"  PieceInvariantOn\n",NULL);
    Tcl_AppendResult(interp,"  PieceInvariantOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToSpecifiedVector\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToSpecifiedOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToCameraVector\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToCameraOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetProp3D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProp3D\n",NULL);
    Tcl_AppendResult(interp,"  SetVector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVector\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnableFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "GetEnableFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "SetBorderEdges" );
    Tcl_DStringAppendElement ( &dString, "GetBorderEdges" );
    Tcl_DStringAppendElement ( &dString, "BorderEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "BorderEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetPieceInvariant" );
    Tcl_DStringAppendElement ( &dString, "GetPieceInvariant" );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOn" );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOff" );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToSpecifiedVector" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToSpecifiedOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToCameraVector" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToCameraOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetProp3D" );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    Tcl_DStringAppendElement ( &dString, "GetVector" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolyDataSilhouette *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableFeatureAngle */
    if ( strcmp ( argv[2], "SetEnableFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables generation of silhouette edges along sharp edges\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableFeatureAngle(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetEnableFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableFeatureAngle */
    if ( strcmp ( argv[2], "GetEnableFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables generation of silhouette edges along sharp edges\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableFeatureAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetEnableFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFeatureAngle */
    if ( strcmp ( argv[2], "SetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Sets/Gets minimal angle for sharp edges detection. Default is 60\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFeatureAngle(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngle */
    if ( strcmp ( argv[2], "GetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Sets/Gets minimal angle for sharp edges detection. Default is 60\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderEdges */
    if ( strcmp ( argv[2], "SetBorderEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderEdges */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderEdges(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetBorderEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderEdges */
    if ( strcmp ( argv[2], "GetBorderEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderEdges */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetBorderEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderEdgesOn */
    if ( strcmp ( argv[2], "BorderEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderEdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for BorderEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderEdgesOff */
    if ( strcmp ( argv[2], "BorderEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables generation of border edges. Note: borders exist only\n in case of non closed surface\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderEdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for BorderEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPieceInvariant */
    if ( strcmp ( argv[2], "SetPieceInvariant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPieceInvariant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPieceInvariant */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables piece invariance. This is useful when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPieceInvariant(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetPieceInvariant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPieceInvariant */
    if ( strcmp ( argv[2], "GetPieceInvariant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPieceInvariant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPieceInvariant */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables piece invariance. This is useful when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPieceInvariant();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetPieceInvariant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PieceInvariantOn */
    if ( strcmp ( argv[2], "PieceInvariantOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PieceInvariantOn */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables piece invariance. This is useful when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n" );
    Tcl_DStringAppendElement ( &dString, "void PieceInvariantOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for PieceInvariantOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PieceInvariantOff */
    if ( strcmp ( argv[2], "PieceInvariantOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PieceInvariantOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PieceInvariantOff */
    Tcl_DStringAppendElement ( &dString, " Enables or Disables piece invariance. This is useful when dealing with\n multi-block data sets. Note: requires one level of ghost cells\n" );
    Tcl_DStringAppendElement ( &dString, "void PieceInvariantOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for PieceInvariantOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirection */
    if ( strcmp ( argv[2], "SetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirection */
    Tcl_DStringAppendElement ( &dString, " Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirection(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirection */
    if ( strcmp ( argv[2], "GetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirection */
    Tcl_DStringAppendElement ( &dString, " Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDirection();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToSpecifiedVector */
    if ( strcmp ( argv[2], "SetDirectionToSpecifiedVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToSpecifiedVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToSpecifiedVector */
    Tcl_DStringAppendElement ( &dString, " Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToSpecifiedVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetDirectionToSpecifiedVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToSpecifiedOrigin */
    if ( strcmp ( argv[2], "SetDirectionToSpecifiedOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToSpecifiedOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToSpecifiedOrigin */
    Tcl_DStringAppendElement ( &dString, " Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToSpecifiedOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetDirectionToSpecifiedOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToCameraVector */
    if ( strcmp ( argv[2], "SetDirectionToCameraVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToCameraVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToCameraVector */
    Tcl_DStringAppendElement ( &dString, " Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToCameraVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetDirectionToCameraVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToCameraOrigin */
    if ( strcmp ( argv[2], "SetDirectionToCameraOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToCameraOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToCameraOrigin */
    Tcl_DStringAppendElement ( &dString, " Specify how view direction is computed. By default, the\n camera origin (eye) is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToCameraOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetDirectionToCameraOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Specify a camera that is used to define the view direction.  This ivar\n only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Specify a camera that is used to define the view direction.  This ivar\n only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProp3D */
    if ( strcmp ( argv[2], "SetProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProp3D */
    Tcl_DStringAppendElement ( &dString, " Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only has\n effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified. Specifying the\n vtkProp3D is optional.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProp3D(vtkProp3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProp3D */
    if ( strcmp ( argv[2], "GetProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProp3D */
    Tcl_DStringAppendElement ( &dString, " Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only has\n effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or\n VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified. Specifying the\n vtkProp3D is optional.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProp3D *GetProp3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVector */
    if ( strcmp ( argv[2], "SetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVector */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVector(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVector */
    if ( strcmp ( argv[2], "SetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVector */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVector(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVector */
    if ( strcmp ( argv[2], "GetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The edge detection\n occurs in the direction of the vector.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetVector();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort origin. This ivar only has effect if the sort direction\n is set to SetDirectionToSpecifiedOrigin(). The edge detection occurs in\n the direction of the origin to each edge's center.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return MTime also considering the dependent objects: the camera\n and/or the prop3D.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataSilhouette" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
