// tcl wrapper for vtkRIBExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRIBExporter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRIBExporterNewCommand()
{
  vtkRIBExporter *temp = vtkRIBExporter::New();
  return static_cast<ClientData>(temp);
}

int vtkExporterCppCommand(vtkExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRIBExporterCppCommand(vtkRIBExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRIBExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRIBExporterCppCommand(static_cast<vtkRIBExporter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRIBExporterCppCommand(vtkRIBExporter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRIBExporter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkExporter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRIBExporter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRIBExporter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRIBExporter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRIBExporter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRIBExporter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRIBExporter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPixelSamples",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPixelSamples(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPixelSamples",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPixelSamples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPixelSamples",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPixelSamples();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFilePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTexturePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTexturePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTexturePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTexturePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBackground",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackground",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BackgroundOn",argv[1]))&&(argc == 2))
    {
    op->BackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BackgroundOff",argv[1]))&&(argc == 2))
    {
    op->BackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExportArrays",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExportArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExportArraysMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExportArraysMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExportArraysMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExportArraysMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExportArraysOn",argv[1]))&&(argc == 2))
    {
    op->ExportArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExportArraysOff",argv[1]))&&(argc == 2))
    {
    op->ExportArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetExportArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExportArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRIBExporterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRIBExporter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelSamples\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelSamples\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelSamples\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetTexturePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTexturePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackground\n",NULL);
    Tcl_AppendResult(interp,"  BackgroundOn\n",NULL);
    Tcl_AppendResult(interp,"  BackgroundOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExportArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExportArraysMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExportArraysMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  ExportArraysOn\n",NULL);
    Tcl_AppendResult(interp,"  ExportArraysOff\n",NULL);
    Tcl_AppendResult(interp,"  GetExportArrays\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "SetPixelSamples" );
    Tcl_DStringAppendElement ( &dString, "SetPixelSamples" );
    Tcl_DStringAppendElement ( &dString, "GetPixelSamples" );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "SetTexturePrefix" );
    Tcl_DStringAppendElement ( &dString, "GetTexturePrefix" );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    Tcl_DStringAppendElement ( &dString, "GetBackground" );
    Tcl_DStringAppendElement ( &dString, "BackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "BackgroundOff" );
    Tcl_DStringAppendElement ( &dString, "SetExportArrays" );
    Tcl_DStringAppendElement ( &dString, "GetExportArraysMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetExportArraysMaxValue" );
    Tcl_DStringAppendElement ( &dString, "ExportArraysOn" );
    Tcl_DStringAppendElement ( &dString, "ExportArraysOff" );
    Tcl_DStringAppendElement ( &dString, "GetExportArrays" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkExporterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRIBExporter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelSamples */
    if ( strcmp ( argv[2], "SetPixelSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelSamples */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPixelSamples(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetPixelSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelSamples */
    if ( strcmp ( argv[2], "SetPixelSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelSamples */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPixelSamples(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetPixelSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelSamples */
    if ( strcmp ( argv[2], "GetPixelSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelSamples */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetPixelSamples();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetPixelSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilePrefix */
    if ( strcmp ( argv[2], "SetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify the prefix of the files to write out. The resulting file names\n will have .RIB appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilePrefix(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilePrefix */
    if ( strcmp ( argv[2], "GetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify the prefix of the files to write out. The resulting file names\n will have .RIB appended to them.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFilePrefix();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTexturePrefix */
    if ( strcmp ( argv[2], "SetTexturePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTexturePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTexturePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify the prefix of any generated texture files.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTexturePrefix(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetTexturePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTexturePrefix */
    if ( strcmp ( argv[2], "GetTexturePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTexturePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTexturePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify the prefix of any generated texture files.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTexturePrefix();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetTexturePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackground */
    if ( strcmp ( argv[2], "SetBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black backgr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackground(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackground */
    if ( strcmp ( argv[2], "GetBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black backgr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBackground();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackgroundOn */
    if ( strcmp ( argv[2], "BackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackgroundOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black backgr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void BackgroundOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for BackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackgroundOff */
    if ( strcmp ( argv[2], "BackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackgroundOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black backgr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void BackgroundOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for BackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExportArrays */
    if ( strcmp ( argv[2], "SetExportArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExportArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExportArrays */
    Tcl_DStringAppendElement ( &dString, " Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExportArrays(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for SetExportArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExportArraysMinValue */
    if ( strcmp ( argv[2], "GetExportArraysMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExportArraysMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExportArraysMinValue */
    Tcl_DStringAppendElement ( &dString, " Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExportArraysMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetExportArraysMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExportArraysMaxValue */
    if ( strcmp ( argv[2], "GetExportArraysMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExportArraysMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExportArraysMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExportArraysMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetExportArraysMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExportArraysOn */
    if ( strcmp ( argv[2], "ExportArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExportArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExportArraysOn */
    Tcl_DStringAppendElement ( &dString, " Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExportArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for ExportArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExportArraysOff */
    if ( strcmp ( argv[2], "ExportArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExportArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExportArraysOff */
    Tcl_DStringAppendElement ( &dString, " Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExportArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for ExportArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExportArrays */
    if ( strcmp ( argv[2], "GetExportArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExportArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExportArrays */
    Tcl_DStringAppendElement ( &dString, " Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExportArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBExporter" );
    /* Closing for GetExportArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
