// tcl wrapper for vtkSpiderPlotActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpiderPlotActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSpiderPlotActorNewCommand()
{
  vtkSpiderPlotActor *temp = vtkSpiderPlotActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSpiderPlotActorCppCommand(vtkSpiderPlotActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSpiderPlotActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSpiderPlotActorCppCommand(static_cast<vtkSpiderPlotActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSpiderPlotActorCppCommand(vtkSpiderPlotActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSpiderPlotActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSpiderPlotActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpiderPlotActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSpiderPlotActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpiderPlotActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSpiderPlotActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpiderPlotActor");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariables",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndependentVariables(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndependentVariablesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariablesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentVariablesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariablesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariablesToColumns",argv[1]))&&(argc == 2))
    {
    op->SetIndependentVariablesToColumns();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariablesToRows",argv[1]))&&(argc == 2))
    {
    op->SetIndependentVariablesToRows();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTitleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TitleVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TitleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TitleVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TitleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfRings",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfRings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRingsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRingsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRingsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRingsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRings",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRings();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisLabel",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetAxisLabel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAxisLabel(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisRange",argv[1]))&&(argc == 5))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAxisRange(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotColor",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetPlotColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegendVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLegendVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegendVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLegendVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LegendVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LegendVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LegendVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LegendVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLegendActor",argv[1]))&&(argc == 2))
    {
    vtkLegendBoxActor  *temp20;
    temp20 = (op)->GetLegendActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLegendBoxActor");
    return TCL_OK;
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSpiderPlotActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSpiderPlotActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariables\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariablesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariablesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariables\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariablesToColumns\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariablesToRows\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TitleVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TitleVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfRings\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRingsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRingsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRings\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisRange\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LegendVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LegendVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendActor\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariables" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariables" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToColumns" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToRows" );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRings" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRingsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRingsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRings" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabel" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabel" );
    Tcl_DStringAppendElement ( &dString, "SetAxisRange" );
    Tcl_DStringAppendElement ( &dString, "SetPlotColor" );
    Tcl_DStringAppendElement ( &dString, "SetLegendVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLegendVisibility" );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "GetLegendActor" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSpiderPlotActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the input to the spider plot actor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get the input data object to this actor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentVariables */
    if ( strcmp ( argv[2], "SetIndependentVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentVariables */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentVariables(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetIndependentVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentVariablesMinValue */
    if ( strcmp ( argv[2], "GetIndependentVariablesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentVariablesMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentVariablesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetIndependentVariablesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentVariablesMaxValue */
    if ( strcmp ( argv[2], "GetIndependentVariablesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentVariablesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentVariablesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetIndependentVariablesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentVariables */
    if ( strcmp ( argv[2], "GetIndependentVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentVariables */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetIndependentVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentVariablesToColumns */
    if ( strcmp ( argv[2], "SetIndependentVariablesToColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentVariablesToColumns */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentVariablesToColumns();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetIndependentVariablesToColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentVariablesToRows */
    if ( strcmp ( argv[2], "SetIndependentVariablesToRows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToRows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentVariablesToRows */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentVariablesToRows();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetIndependentVariablesToRows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleVisibility */
    if ( strcmp ( argv[2], "SetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the display of a plot title.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitleVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleVisibility */
    if ( strcmp ( argv[2], "GetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the display of a plot title.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTitleVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TitleVisibilityOn */
    if ( strcmp ( argv[2], "TitleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the display of a plot title.\n" );
    Tcl_DStringAppendElement ( &dString, "void TitleVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for TitleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TitleVisibilityOff */
    if ( strcmp ( argv[2], "TitleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the display of a plot title.\n" );
    Tcl_DStringAppendElement ( &dString, "void TitleVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for TitleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the spider plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the spider plot.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelVisibility */
    if ( strcmp ( argv[2], "SetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelVisibility */
    if ( strcmp ( argv[2], "GetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOn */
    if ( strcmp ( argv[2], "LabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for LabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOff */
    if ( strcmp ( argv[2], "LabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for LabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfRings */
    if ( strcmp ( argv[2], "SetNumberOfRings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfRings */
    Tcl_DStringAppendElement ( &dString, " Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfRings(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetNumberOfRings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRingsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfRingsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRingsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRingsMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRingsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetNumberOfRingsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRingsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfRingsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRingsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRingsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRingsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetNumberOfRingsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRings */
    if ( strcmp ( argv[2], "GetNumberOfRings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRings */
    Tcl_DStringAppendElement ( &dString, " Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRings();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetNumberOfRings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabel */
    if ( strcmp ( argv[2], "SetAxisLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabel */
    Tcl_DStringAppendElement ( &dString, " Specify the names of the radial spokes (i.e., the radial axes). If\n not specified, then an integer number is automatically generated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabel(const int i, const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetAxisLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabel */
    if ( strcmp ( argv[2], "GetAxisLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabel */
    Tcl_DStringAppendElement ( &dString, " Specify the names of the radial spokes (i.e., the radial axes). If\n not specified, then an integer number is automatically generated.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAxisLabel(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetAxisLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisRange */
    if ( strcmp ( argv[2], "SetAxisRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisRange */
    Tcl_DStringAppendElement ( &dString, " Specify the range of data on each radial axis. If not specified,\n then the range is computed automatically. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisRange(int i, double min, double max);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetAxisRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotColor */
    if ( strcmp ( argv[2], "SetPlotColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotColor */
    Tcl_DStringAppendElement ( &dString, " Specify colors for each plot. If not specified, they are automatically generated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotColor(int i, double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetPlotColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLegendVisibility */
    if ( strcmp ( argv[2], "SetLegendVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegendVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegendVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLegendVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for SetLegendVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendVisibility */
    if ( strcmp ( argv[2], "GetLegendVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendVisibility */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLegendVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetLegendVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LegendVisibilityOn */
    if ( strcmp ( argv[2], "LegendVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "void LegendVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for LegendVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LegendVisibilityOff */
    if ( strcmp ( argv[2], "LegendVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "void LegendVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for LegendVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendActor */
    if ( strcmp ( argv[2], "GetLegendActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendActor */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the legend box. This is useful if you would like \n to manually control the legend appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendBoxActor *GetLegendActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for GetLegendActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the spider plot.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the spider plot.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the spider plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpiderPlotActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
