// tcl wrapper for vtkTemporalShiftScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalShiftScale.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTemporalShiftScaleNewCommand()
{
  vtkTemporalShiftScale *temp = vtkTemporalShiftScale::New();
  return static_cast<ClientData>(temp);
}

int vtkTemporalDataSetAlgorithmCppCommand(vtkTemporalDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalShiftScaleCppCommand(vtkTemporalShiftScale *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTemporalShiftScaleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTemporalShiftScaleCppCommand(static_cast<vtkTemporalShiftScale *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalShiftScaleCppCommand(vtkTemporalShiftScale *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTemporalShiftScale",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTemporalDataSetAlgorithmCppCommand(static_cast<vtkTemporalDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTemporalDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTemporalShiftScale  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalShiftScale");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTemporalShiftScale  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalShiftScale");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTemporalShiftScale  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalShiftScale");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPreShift",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPreShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreShift",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPreShift();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPostShift",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPostShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPostShift",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPostShift();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPeriodic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPeriodic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPeriodic",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPeriodic();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PeriodicOn",argv[1]))&&(argc == 2))
    {
    op->PeriodicOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PeriodicOff",argv[1]))&&(argc == 2))
    {
    op->PeriodicOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPeriodicEndCorrection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPeriodicEndCorrection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPeriodicEndCorrection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPeriodicEndCorrection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PeriodicEndCorrectionOn",argv[1]))&&(argc == 2))
    {
    op->PeriodicEndCorrectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PeriodicEndCorrectionOff",argv[1]))&&(argc == 2))
    {
    op->PeriodicEndCorrectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfPeriods",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumNumberOfPeriods(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPeriods",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumNumberOfPeriods();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalShiftScaleCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTemporalDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalShiftScale:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPreShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreShift\n",NULL);
    Tcl_AppendResult(interp,"  SetPostShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPostShift\n",NULL);
    Tcl_AppendResult(interp,"  SetScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScale\n",NULL);
    Tcl_AppendResult(interp,"  SetPeriodic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPeriodic\n",NULL);
    Tcl_AppendResult(interp,"  PeriodicOn\n",NULL);
    Tcl_AppendResult(interp,"  PeriodicOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPeriodicEndCorrection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPeriodicEndCorrection\n",NULL);
    Tcl_AppendResult(interp,"  PeriodicEndCorrectionOn\n",NULL);
    Tcl_AppendResult(interp,"  PeriodicEndCorrectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPeriods\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPeriods\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTemporalDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPreShift" );
    Tcl_DStringAppendElement ( &dString, "GetPreShift" );
    Tcl_DStringAppendElement ( &dString, "SetPostShift" );
    Tcl_DStringAppendElement ( &dString, "GetPostShift" );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    Tcl_DStringAppendElement ( &dString, "SetPeriodic" );
    Tcl_DStringAppendElement ( &dString, "GetPeriodic" );
    Tcl_DStringAppendElement ( &dString, "PeriodicOn" );
    Tcl_DStringAppendElement ( &dString, "PeriodicOff" );
    Tcl_DStringAppendElement ( &dString, "SetPeriodicEndCorrection" );
    Tcl_DStringAppendElement ( &dString, "GetPeriodicEndCorrection" );
    Tcl_DStringAppendElement ( &dString, "PeriodicEndCorrectionOn" );
    Tcl_DStringAppendElement ( &dString, "PeriodicEndCorrectionOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPeriods" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPeriods" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTemporalDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalShiftScale *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreShift */
    if ( strcmp ( argv[2], "SetPreShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreShift */
    Tcl_DStringAppendElement ( &dString, " Apply a translation to the data before scaling.\n To convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0\n To convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100, PostShift=5\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreShift(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for SetPreShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreShift */
    if ( strcmp ( argv[2], "GetPreShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreShift */
    Tcl_DStringAppendElement ( &dString, " Apply a translation to the data before scaling.\n To convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0\n To convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100, PostShift=5\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPreShift();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for GetPreShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPostShift */
    if ( strcmp ( argv[2], "SetPostShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPostShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPostShift */
    Tcl_DStringAppendElement ( &dString, " Apply a translation to the time\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPostShift(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for SetPostShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPostShift */
    if ( strcmp ( argv[2], "GetPostShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPostShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPostShift */
    Tcl_DStringAppendElement ( &dString, " Apply a translation to the time\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPostShift();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for GetPostShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, " Apply a scale to the time.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScale(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale */
    if ( strcmp ( argv[2], "GetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale */
    Tcl_DStringAppendElement ( &dString, " Apply a scale to the time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for GetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPeriodic */
    if ( strcmp ( argv[2], "SetPeriodic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPeriodic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPeriodic */
    Tcl_DStringAppendElement ( &dString, " If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPeriodic(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for SetPeriodic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPeriodic */
    if ( strcmp ( argv[2], "GetPeriodic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPeriodic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPeriodic */
    Tcl_DStringAppendElement ( &dString, " If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPeriodic();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for GetPeriodic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PeriodicOn */
    if ( strcmp ( argv[2], "PeriodicOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PeriodicOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PeriodicOn */
    Tcl_DStringAppendElement ( &dString, " If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PeriodicOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for PeriodicOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PeriodicOff */
    if ( strcmp ( argv[2], "PeriodicOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PeriodicOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PeriodicOff */
    Tcl_DStringAppendElement ( &dString, " If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PeriodicOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for PeriodicOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPeriodicEndCorrection */
    if ( strcmp ( argv[2], "SetPeriodicEndCorrection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPeriodicEndCorrection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPeriodicEndCorrection */
    Tcl_DStringAppendElement ( &dString, " if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPeriodicEndCorrection(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for SetPeriodicEndCorrection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPeriodicEndCorrection */
    if ( strcmp ( argv[2], "GetPeriodicEndCorrection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPeriodicEndCorrection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPeriodicEndCorrection */
    Tcl_DStringAppendElement ( &dString, " if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPeriodicEndCorrection();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for GetPeriodicEndCorrection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PeriodicEndCorrectionOn */
    if ( strcmp ( argv[2], "PeriodicEndCorrectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PeriodicEndCorrectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PeriodicEndCorrectionOn */
    Tcl_DStringAppendElement ( &dString, " if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PeriodicEndCorrectionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for PeriodicEndCorrectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PeriodicEndCorrectionOff */
    if ( strcmp ( argv[2], "PeriodicEndCorrectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PeriodicEndCorrectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PeriodicEndCorrectionOff */
    Tcl_DStringAppendElement ( &dString, " if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PeriodicEndCorrectionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for PeriodicEndCorrectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPeriods */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPeriods" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPeriods" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPeriods */
    Tcl_DStringAppendElement ( &dString, " if Periodic time is enabled, this controls how many time periods time is reported \n for. A filter cannot output an infinite number of time steps and therefore a finite\n number of periods is generated when reporting time.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfPeriods(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for SetMaximumNumberOfPeriods */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPeriods */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPeriods" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPeriods" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPeriods */
    Tcl_DStringAppendElement ( &dString, " if Periodic time is enabled, this controls how many time periods time is reported \n for. A filter cannot output an infinite number of time steps and therefore a finite\n number of periods is generated when reporting time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumNumberOfPeriods();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalShiftScale" );
    /* Closing for GetMaximumNumberOfPeriods */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTemporalDataSetAlgorithmCppCommand(static_cast<vtkTemporalDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
