// tcl wrapper for vtkWeightedTransformFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWeightedTransformFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkWeightedTransformFilterNewCommand()
{
  vtkWeightedTransformFilter *temp = vtkWeightedTransformFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPointSetAlgorithmCppCommand(vtkPointSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkWeightedTransformFilterCppCommand(vtkWeightedTransformFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkWeightedTransformFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkWeightedTransformFilterCppCommand(static_cast<vtkWeightedTransformFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkWeightedTransformFilterCppCommand(vtkWeightedTransformFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkWeightedTransformFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPointSetAlgorithmCppCommand(static_cast<vtkPointSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPointSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkWeightedTransformFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWeightedTransformFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkWeightedTransformFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWeightedTransformFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkWeightedTransformFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWeightedTransformFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWeightArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWeightArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWeightArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetWeightArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTransformIndexArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTransformIndexArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransformIndexArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTransformIndexArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCellDataWeightArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCellDataWeightArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellDataWeightArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCellDataWeightArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCellDataTransformIndexArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCellDataTransformIndexArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellDataTransformIndexArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCellDataTransformIndexArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 4))
    {
    vtkAbstractTransform  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkAbstractTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractTransform"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAbstractTransform  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTransform(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfTransforms",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTransforms(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTransforms",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTransforms();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddInputValuesOn",argv[1]))&&(argc == 2))
    {
    op->AddInputValuesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddInputValuesOff",argv[1]))&&(argc == 2))
    {
    op->AddInputValuesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAddInputValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAddInputValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAddInputValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAddInputValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkWeightedTransformFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPointSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkWeightedTransformFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetWeightArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWeightArray\n",NULL);
    Tcl_AppendResult(interp,"  SetTransformIndexArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformIndexArray\n",NULL);
    Tcl_AppendResult(interp,"  SetCellDataWeightArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellDataWeightArray\n",NULL);
    Tcl_AppendResult(interp,"  SetCellDataTransformIndexArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellDataTransformIndexArray\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTransforms\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTransforms\n",NULL);
    Tcl_AppendResult(interp,"  AddInputValuesOn\n",NULL);
    Tcl_AppendResult(interp,"  AddInputValuesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAddInputValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAddInputValues\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPointSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetWeightArray" );
    Tcl_DStringAppendElement ( &dString, "GetWeightArray" );
    Tcl_DStringAppendElement ( &dString, "SetTransformIndexArray" );
    Tcl_DStringAppendElement ( &dString, "GetTransformIndexArray" );
    Tcl_DStringAppendElement ( &dString, "SetCellDataWeightArray" );
    Tcl_DStringAppendElement ( &dString, "GetCellDataWeightArray" );
    Tcl_DStringAppendElement ( &dString, "SetCellDataTransformIndexArray" );
    Tcl_DStringAppendElement ( &dString, "GetCellDataTransformIndexArray" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTransforms" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTransforms" );
    Tcl_DStringAppendElement ( &dString, "AddInputValuesOn" );
    Tcl_DStringAppendElement ( &dString, "AddInputValuesOff" );
    Tcl_DStringAppendElement ( &dString, "SetAddInputValues" );
    Tcl_DStringAppendElement ( &dString, "GetAddInputValues" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPointSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkWeightedTransformFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the filter's transforms.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWeightArray */
    if ( strcmp ( argv[2], "SetWeightArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWeightArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWeightArray */
    Tcl_DStringAppendElement ( &dString, " WeightArray is the string name of the DataArray in the input's\n FieldData that holds the weighting coefficients for each point.\n The filter will first look for the array in the input's PointData\n FieldData.  If the array isn't there, the filter looks in the\n input's FieldData.  The WeightArray can have tuples of any length,\n but must have a tuple for every point in the input data set.\n This array transforms points, normals, and vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWeightArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SetWeightArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWeightArray */
    if ( strcmp ( argv[2], "GetWeightArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWeightArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWeightArray */
    Tcl_DStringAppendElement ( &dString, " WeightArray is the string name of the DataArray in the input's\n FieldData that holds the weighting coefficients for each point.\n The filter will first look for the array in the input's PointData\n FieldData.  If the array isn't there, the filter looks in the\n input's FieldData.  The WeightArray can have tuples of any length,\n but must have a tuple for every point in the input data set.\n This array transforms points, normals, and vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetWeightArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetWeightArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransformIndexArray */
    if ( strcmp ( argv[2], "SetTransformIndexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransformIndexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransformIndexArray */
    Tcl_DStringAppendElement ( &dString, " TransformIndexArray is the string name of the DataArray in the input's\n FieldData that holds the indices for the transforms for each point.\n These indices are used to select which transforms each weight of\n the DataArray refers.  If the TransformIndexArray is not specified,\n the weights of each point are assumed to map directly to a transform.\n This DataArray must be of type UnsignedShort, which effectively\n limits the number of transforms to 65536 if a transform inde ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTransformIndexArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SetTransformIndexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformIndexArray */
    if ( strcmp ( argv[2], "GetTransformIndexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformIndexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformIndexArray */
    Tcl_DStringAppendElement ( &dString, " TransformIndexArray is the string name of the DataArray in the input's\n FieldData that holds the indices for the transforms for each point.\n These indices are used to select which transforms each weight of\n the DataArray refers.  If the TransformIndexArray is not specified,\n the weights of each point are assumed to map directly to a transform.\n This DataArray must be of type UnsignedShort, which effectively\n limits the number of transforms to 65536 if a transform inde ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTransformIndexArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetTransformIndexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellDataWeightArray */
    if ( strcmp ( argv[2], "SetCellDataWeightArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellDataWeightArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellDataWeightArray */
    Tcl_DStringAppendElement ( &dString, " The CellDataWeightArray is analogous to the WeightArray, except\n for CellData.  The array is searched for first in the CellData \n FieldData, then in the input's FieldData.  The data array must have\n a tuple for each cell.  This array is used to transform only normals\n and vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellDataWeightArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SetCellDataWeightArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellDataWeightArray */
    if ( strcmp ( argv[2], "GetCellDataWeightArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellDataWeightArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellDataWeightArray */
    Tcl_DStringAppendElement ( &dString, " The CellDataWeightArray is analogous to the WeightArray, except\n for CellData.  The array is searched for first in the CellData \n FieldData, then in the input's FieldData.  The data array must have\n a tuple for each cell.  This array is used to transform only normals\n and vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCellDataWeightArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetCellDataWeightArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellDataTransformIndexArray */
    if ( strcmp ( argv[2], "SetCellDataTransformIndexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellDataTransformIndexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellDataTransformIndexArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCellDataTransformIndexArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SetCellDataTransformIndexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellDataTransformIndexArray */
    if ( strcmp ( argv[2], "GetCellDataTransformIndexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellDataTransformIndexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellDataTransformIndexArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "char *GetCellDataTransformIndexArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetCellDataTransformIndexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Set or Get one of the filter's transforms. The transform number must\n be less than the number of transforms allocated for the object.  Setting\n a transform slot to NULL is equivalent to assigning an overriding weight\n of zero to that filter slot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransform(vtkAbstractTransform *transform, int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Set or Get one of the filter's transforms. The transform number must\n be less than the number of transforms allocated for the object.  Setting\n a transform slot to NULL is equivalent to assigning an overriding weight\n of zero to that filter slot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractTransform *GetTransform(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTransforms */
    if ( strcmp ( argv[2], "SetNumberOfTransforms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTransforms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTransforms */
    Tcl_DStringAppendElement ( &dString, " Set the number of transforms for the filter.  References to non-existent\n filter numbers in the data array is equivalent to a weight of zero\n (i.e., no contribution of that filter or weight).  The maximum number of \n transforms is limited to 65536 if transform index arrays are used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfTransforms(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SetNumberOfTransforms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTransforms */
    if ( strcmp ( argv[2], "GetNumberOfTransforms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTransforms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTransforms */
    Tcl_DStringAppendElement ( &dString, " Set the number of transforms for the filter.  References to non-existent\n filter numbers in the data array is equivalent to a weight of zero\n (i.e., no contribution of that filter or weight).  The maximum number of \n transforms is limited to 65536 if transform index arrays are used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTransforms();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetNumberOfTransforms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInputValuesOn */
    if ( strcmp ( argv[2], "AddInputValuesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputValuesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputValuesOn */
    Tcl_DStringAppendElement ( &dString, " If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputValuesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for AddInputValuesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInputValuesOff */
    if ( strcmp ( argv[2], "AddInputValuesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputValuesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputValuesOff */
    Tcl_DStringAppendElement ( &dString, " If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputValuesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for AddInputValuesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAddInputValues */
    if ( strcmp ( argv[2], "SetAddInputValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAddInputValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAddInputValues */
    Tcl_DStringAppendElement ( &dString, " If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAddInputValues(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for SetAddInputValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAddInputValues */
    if ( strcmp ( argv[2], "GetAddInputValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAddInputValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAddInputValues */
    Tcl_DStringAppendElement ( &dString, " If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAddInputValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkWeightedTransformFilter" );
    /* Closing for GetAddInputValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPointSetAlgorithmCppCommand(static_cast<vtkPointSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
