// tcl wrapper for vtkX3DExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkX3DExporter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkX3DExporterNewCommand()
{
  vtkX3DExporter *temp = vtkX3DExporter::New();
  return static_cast<ClientData>(temp);
}

int vtkExporterCppCommand(vtkExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkX3DExporterCppCommand(vtkX3DExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkX3DExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkX3DExporterCppCommand(static_cast<vtkX3DExporter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkX3DExporterCppCommand(vtkX3DExporter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkX3DExporter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkExporter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkX3DExporter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkX3DExporter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkX3DExporter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkX3DExporter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkX3DExporter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkX3DExporter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSpeed",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSpeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpeed",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpeed();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBinary",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBinary(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBinaryMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBinaryMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBinaryMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBinaryMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BinaryOn",argv[1]))&&(argc == 2))
    {
    op->BinaryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BinaryOff",argv[1]))&&(argc == 2))
    {
    op->BinaryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBinary",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBinary();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFastest",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFastest(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFastestMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFastestMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFastestMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFastestMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FastestOn",argv[1]))&&(argc == 2))
    {
    op->FastestOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FastestOff",argv[1]))&&(argc == 2))
    {
    op->FastestOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFastest",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFastest();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteToOutputString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteToOutputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteToOutputString",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteToOutputString();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteToOutputStringOn",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteToOutputStringOff",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputStringLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputStringLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetOutputString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("RegisterAndGetOutputString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->RegisterAndGetOutputString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkX3DExporterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkX3DExporter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetSpeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpeed\n",NULL);
    Tcl_AppendResult(interp,"  SetBinary\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBinaryMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBinaryMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  BinaryOn\n",NULL);
    Tcl_AppendResult(interp,"  BinaryOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBinary\n",NULL);
    Tcl_AppendResult(interp,"  SetFastest\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFastestMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFastestMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  FastestOn\n",NULL);
    Tcl_AppendResult(interp,"  FastestOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFastest\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteToOutputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteToOutputString\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputStringLength\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputString\n",NULL);
    Tcl_AppendResult(interp,"  RegisterAndGetOutputString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetSpeed" );
    Tcl_DStringAppendElement ( &dString, "GetSpeed" );
    Tcl_DStringAppendElement ( &dString, "SetBinary" );
    Tcl_DStringAppendElement ( &dString, "GetBinaryMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBinaryMaxValue" );
    Tcl_DStringAppendElement ( &dString, "BinaryOn" );
    Tcl_DStringAppendElement ( &dString, "BinaryOff" );
    Tcl_DStringAppendElement ( &dString, "GetBinary" );
    Tcl_DStringAppendElement ( &dString, "SetFastest" );
    Tcl_DStringAppendElement ( &dString, "GetFastestMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFastestMaxValue" );
    Tcl_DStringAppendElement ( &dString, "FastestOn" );
    Tcl_DStringAppendElement ( &dString, "FastestOff" );
    Tcl_DStringAppendElement ( &dString, "GetFastest" );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    Tcl_DStringAppendElement ( &dString, "RegisterAndGetOutputString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkExporterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkX3DExporter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the output file name.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the output file name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpeed */
    if ( strcmp ( argv[2], "SetSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpeed */
    Tcl_DStringAppendElement ( &dString, " Specify the Speed of navigation. Default is 4.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpeed(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for SetSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpeed */
    if ( strcmp ( argv[2], "GetSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpeed */
    Tcl_DStringAppendElement ( &dString, " Specify the Speed of navigation. Default is 4.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpeed();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBinary */
    if ( strcmp ( argv[2], "SetBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBinary */
    Tcl_DStringAppendElement ( &dString, " Turn on binary mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBinary(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for SetBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBinaryMinValue */
    if ( strcmp ( argv[2], "GetBinaryMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBinaryMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBinaryMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on binary mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBinaryMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetBinaryMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBinaryMaxValue */
    if ( strcmp ( argv[2], "GetBinaryMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBinaryMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBinaryMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on binary mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBinaryMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetBinaryMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BinaryOn */
    if ( strcmp ( argv[2], "BinaryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BinaryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BinaryOn */
    Tcl_DStringAppendElement ( &dString, " Turn on binary mode\n" );
    Tcl_DStringAppendElement ( &dString, "void BinaryOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for BinaryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BinaryOff */
    if ( strcmp ( argv[2], "BinaryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BinaryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BinaryOff */
    Tcl_DStringAppendElement ( &dString, " Turn on binary mode\n" );
    Tcl_DStringAppendElement ( &dString, "void BinaryOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for BinaryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBinary */
    if ( strcmp ( argv[2], "GetBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBinary */
    Tcl_DStringAppendElement ( &dString, " Turn on binary mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBinary();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFastest */
    if ( strcmp ( argv[2], "SetFastest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFastest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFastest */
    Tcl_DStringAppendElement ( &dString, " In binary mode use fastest instead of best compression\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFastest(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for SetFastest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFastestMinValue */
    if ( strcmp ( argv[2], "GetFastestMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFastestMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFastestMinValue */
    Tcl_DStringAppendElement ( &dString, " In binary mode use fastest instead of best compression\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFastestMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetFastestMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFastestMaxValue */
    if ( strcmp ( argv[2], "GetFastestMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFastestMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFastestMaxValue */
    Tcl_DStringAppendElement ( &dString, " In binary mode use fastest instead of best compression\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFastestMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetFastestMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FastestOn */
    if ( strcmp ( argv[2], "FastestOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FastestOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FastestOn */
    Tcl_DStringAppendElement ( &dString, " In binary mode use fastest instead of best compression\n" );
    Tcl_DStringAppendElement ( &dString, "void FastestOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for FastestOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FastestOff */
    if ( strcmp ( argv[2], "FastestOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FastestOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FastestOff */
    Tcl_DStringAppendElement ( &dString, " In binary mode use fastest instead of best compression\n" );
    Tcl_DStringAppendElement ( &dString, "void FastestOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for FastestOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFastest */
    if ( strcmp ( argv[2], "GetFastest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFastest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFastest */
    Tcl_DStringAppendElement ( &dString, " In binary mode use fastest instead of best compression\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFastest();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetFastest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteToOutputString */
    if ( strcmp ( argv[2], "SetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteToOutputString(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for SetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteToOutputString */
    if ( strcmp ( argv[2], "GetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWriteToOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOn */
    if ( strcmp ( argv[2], "WriteToOutputStringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOn */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for WriteToOutputStringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOff */
    if ( strcmp ( argv[2], "WriteToOutputStringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOff */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for WriteToOutputStringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputStringLength */
    if ( strcmp ( argv[2], "GetOutputStringLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStringLength */
    Tcl_DStringAppendElement ( &dString, " When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputStringLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetOutputStringLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputString */
    if ( strcmp ( argv[2], "GetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputString */
    Tcl_DStringAppendElement ( &dString, " When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for GetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RegisterAndGetOutputString */
    if ( strcmp ( argv[2], "RegisterAndGetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegisterAndGetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegisterAndGetOutputString */
    Tcl_DStringAppendElement ( &dString, " This convenience method returns the string, sets the IVAR to NULL,\n so that the user is responsible for deleting the string.\n I am not sure what the name should be, so it may change in the future.\n" );
    Tcl_DStringAppendElement ( &dString, "char *RegisterAndGetOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkX3DExporter" );
    /* Closing for RegisterAndGetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
