// tcl wrapper for vtkArrayWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkArrayWriterNewCommand()
{
  vtkArrayWriter *temp = vtkArrayWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkWriterCppCommand(vtkWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkArrayWriterCppCommand(vtkArrayWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkArrayWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkArrayWriterCppCommand(static_cast<vtkArrayWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkArrayWriterCppCommand(vtkArrayWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkArrayWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkArrayWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkArrayWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkArrayWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBinary",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBinary(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBinary",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBinary();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BinaryOn",argv[1]))&&(argc == 2))
    {
    op->BinaryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BinaryOff",argv[1]))&&(argc == 2))
    {
    op->BinaryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputString",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetOutputString();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteToOutputString",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetWriteToOutputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteToOutputString",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetWriteToOutputString();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteToOutputStringOn",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteToOutputStringOff",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Write();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    vtkStdString   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Write(temp0);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 4))
    {
    vtkArray  *temp0;
    bool   temp1;
    vtkStdString   temp20;
    error = 0;

    temp0 = (vtkArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Write(temp0,temp1);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkArrayWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkArrayWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetBinary\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBinary\n",NULL);
    Tcl_AppendResult(interp,"  BinaryOn\n",NULL);
    Tcl_AppendResult(interp,"  BinaryOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputString\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteToOutputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteToOutputString\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOff\n",NULL);
    Tcl_AppendResult(interp,"  Write\n",NULL);
    Tcl_AppendResult(interp,"  Write\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Write\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetBinary" );
    Tcl_DStringAppendElement ( &dString, "GetBinary" );
    Tcl_DStringAppendElement ( &dString, "BinaryOn" );
    Tcl_DStringAppendElement ( &dString, "BinaryOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "Write" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkArrayWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Get / set the filename where data will be stored (when used as a filter).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Get / set the filename where data will be stored (when used as a filter).\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBinary */
    if ( strcmp ( argv[2], "SetBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBinary */
    Tcl_DStringAppendElement ( &dString, " Get / set whether data will be written in binary format (when used as a filter).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBinary(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for SetBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBinary */
    if ( strcmp ( argv[2], "GetBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBinary */
    Tcl_DStringAppendElement ( &dString, " Get / set whether data will be written in binary format (when used as a filter).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBinary();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for GetBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BinaryOn */
    if ( strcmp ( argv[2], "BinaryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BinaryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BinaryOn */
    Tcl_DStringAppendElement ( &dString, " Get / set whether data will be written in binary format (when used as a filter).\n" );
    Tcl_DStringAppendElement ( &dString, "void BinaryOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for BinaryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BinaryOff */
    if ( strcmp ( argv[2], "BinaryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BinaryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BinaryOff */
    Tcl_DStringAppendElement ( &dString, " Get / set whether data will be written in binary format (when used as a filter).\n" );
    Tcl_DStringAppendElement ( &dString, "void BinaryOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for BinaryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputString */
    if ( strcmp ( argv[2], "GetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputString */
    Tcl_DStringAppendElement ( &dString, " The output string. This is only set when WriteToOutputString is set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for GetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteToOutputString */
    if ( strcmp ( argv[2], "SetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Whether to output to a string instead of to a file, which is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteToOutputString(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for SetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteToOutputString */
    if ( strcmp ( argv[2], "GetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Whether to output to a string instead of to a file, which is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetWriteToOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for GetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOn */
    if ( strcmp ( argv[2], "WriteToOutputStringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOn */
    Tcl_DStringAppendElement ( &dString, " Whether to output to a string instead of to a file, which is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for WriteToOutputStringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOff */
    if ( strcmp ( argv[2], "WriteToOutputStringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOff */
    Tcl_DStringAppendElement ( &dString, " Whether to output to a string instead of to a file, which is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for WriteToOutputStringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int Write();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " Write input port 0 data to a string. Note that the WriteBinary argument is not\n optional in order to not clash with the inherited Write() method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString Write(bool WriteBinary);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " Write arbitrary data to a string without using the pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkStdString Write(vtkArray *array, bool WriteBinary=false);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
