// tcl wrapper for vtkBMPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBMPReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBMPReaderNewCommand()
{
  vtkBMPReader *temp = vtkBMPReader::New();
  return static_cast<ClientData>(temp);
}

int vtkImageReaderCppCommand(vtkImageReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBMPReaderCppCommand(vtkBMPReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBMPReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBMPReaderCppCommand(static_cast<vtkBMPReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBMPReaderCppCommand(vtkBMPReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBMPReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageReaderCppCommand(static_cast<vtkImageReader *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageReader"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBMPReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBMPReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBMPReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBMPReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBMPReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBMPReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileExtensions",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileExtensions();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDescriptiveName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDescriptiveName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAllow8BitBMP",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllow8BitBMP(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllow8BitBMP",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllow8BitBMP();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Allow8BitBMPOn",argv[1]))&&(argc == 2))
    {
    op->Allow8BitBMPOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Allow8BitBMPOff",argv[1]))&&(argc == 2))
    {
    op->Allow8BitBMPOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkLookupTable  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLookupTable");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBMPReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageReaderCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBMPReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepth\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileExtensions\n",NULL);
    Tcl_AppendResult(interp,"  GetDescriptiveName\n",NULL);
    Tcl_AppendResult(interp,"  SetAllow8BitBMP\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllow8BitBMP\n",NULL);
    Tcl_AppendResult(interp,"  Allow8BitBMPOn\n",NULL);
    Tcl_AppendResult(interp,"  Allow8BitBMPOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageReaderCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
    Tcl_DStringAppendElement ( &dString, "SetAllow8BitBMP" );
    Tcl_DStringAppendElement ( &dString, "GetAllow8BitBMP" );
    Tcl_DStringAppendElement ( &dString, "Allow8BitBMPOn" );
    Tcl_DStringAppendElement ( &dString, "Allow8BitBMPOff" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageReaderCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBMPReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepth */
    if ( strcmp ( argv[2], "GetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepth */
    Tcl_DStringAppendElement ( &dString, " Returns the depth of the BMP, either 8 or 24.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepth();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for GetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Is the given file a BMP file?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CanReadFile(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileExtensions */
    if ( strcmp ( argv[2], "GetFileExtensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileExtensions */
    Tcl_DStringAppendElement ( &dString, " Get the file extensions for this format.\n Returns a string with a space separated list of extensions in \n the format .extension\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetFileExtensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for GetFileExtensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDescriptiveName */
    if ( strcmp ( argv[2], "GetDescriptiveName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescriptiveName */
    Tcl_DStringAppendElement ( &dString, " Return a descriptive name for the file format that might be useful in a GUI.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDescriptiveName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for GetDescriptiveName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllow8BitBMP */
    if ( strcmp ( argv[2], "SetAllow8BitBMP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllow8BitBMP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllow8BitBMP */
    Tcl_DStringAppendElement ( &dString, " If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllow8BitBMP(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for SetAllow8BitBMP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllow8BitBMP */
    if ( strcmp ( argv[2], "GetAllow8BitBMP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllow8BitBMP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllow8BitBMP */
    Tcl_DStringAppendElement ( &dString, " If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllow8BitBMP();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for GetAllow8BitBMP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allow8BitBMPOn */
    if ( strcmp ( argv[2], "Allow8BitBMPOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allow8BitBMPOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allow8BitBMPOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n" );
    Tcl_DStringAppendElement ( &dString, "void Allow8BitBMPOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for Allow8BitBMPOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allow8BitBMPOff */
    if ( strcmp ( argv[2], "Allow8BitBMPOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allow8BitBMPOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allow8BitBMPOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n" );
    Tcl_DStringAppendElement ( &dString, "void Allow8BitBMPOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for Allow8BitBMPOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkBMPReader" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageReaderCppCommand(static_cast<vtkImageReader *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
