// tcl wrapper for vtkBYUReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBYUReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBYUReaderNewCommand()
{
  vtkBYUReader *temp = vtkBYUReader::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBYUReaderCppCommand(vtkBYUReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBYUReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBYUReaderCppCommand(static_cast<vtkBYUReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBYUReaderCppCommand(vtkBYUReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBYUReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBYUReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBYUReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBYUReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBYUReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBYUReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBYUReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGeometryFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGeometryFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeometryFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGeometryFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDisplacementFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDisplacementFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplacementFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDisplacementFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScalarFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScalarFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextureFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTextureFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTextureFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetReadDisplacement",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadDisplacement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadDisplacement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadDisplacement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadDisplacementOn",argv[1]))&&(argc == 2))
    {
    op->ReadDisplacementOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadDisplacementOff",argv[1]))&&(argc == 2))
    {
    op->ReadDisplacementOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadScalar",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadScalar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadScalar",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadScalar();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadScalarOn",argv[1]))&&(argc == 2))
    {
    op->ReadScalarOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadScalarOff",argv[1]))&&(argc == 2))
    {
    op->ReadScalarOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadTexture",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadTexture",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadTexture();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadTextureOn",argv[1]))&&(argc == 2))
    {
    op->ReadTextureOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadTextureOff",argv[1]))&&(argc == 2))
    {
    op->ReadTextureOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPartNumber",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPartNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartNumberMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPartNumberMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPartNumberMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPartNumberMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPartNumber",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPartNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBYUReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBYUReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometryFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometryFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplacementFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplacementFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetReadDisplacement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadDisplacement\n",NULL);
    Tcl_AppendResult(interp,"  ReadDisplacementOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadDisplacementOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadScalar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadScalar\n",NULL);
    Tcl_AppendResult(interp,"  ReadScalarOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadScalarOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadTexture\n",NULL);
    Tcl_AppendResult(interp,"  ReadTextureOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadTextureOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPartNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartNumberMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPartNumberMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPartNumber\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGeometryFileName" );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementFileName" );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementFileName" );
    Tcl_DStringAppendElement ( &dString, "SetScalarFileName" );
    Tcl_DStringAppendElement ( &dString, "GetScalarFileName" );
    Tcl_DStringAppendElement ( &dString, "SetTextureFileName" );
    Tcl_DStringAppendElement ( &dString, "GetTextureFileName" );
    Tcl_DStringAppendElement ( &dString, "SetReadDisplacement" );
    Tcl_DStringAppendElement ( &dString, "GetReadDisplacement" );
    Tcl_DStringAppendElement ( &dString, "ReadDisplacementOn" );
    Tcl_DStringAppendElement ( &dString, "ReadDisplacementOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadScalar" );
    Tcl_DStringAppendElement ( &dString, "GetReadScalar" );
    Tcl_DStringAppendElement ( &dString, "ReadScalarOn" );
    Tcl_DStringAppendElement ( &dString, "ReadScalarOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadTexture" );
    Tcl_DStringAppendElement ( &dString, "GetReadTexture" );
    Tcl_DStringAppendElement ( &dString, "ReadTextureOn" );
    Tcl_DStringAppendElement ( &dString, "ReadTextureOff" );
    Tcl_DStringAppendElement ( &dString, "SetPartNumber" );
    Tcl_DStringAppendElement ( &dString, "GetPartNumberMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPartNumberMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPartNumber" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBYUReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometryFileName */
    if ( strcmp ( argv[2], "SetGeometryFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometryFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometryFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of geometry FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometryFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetGeometryFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometryFileName */
    if ( strcmp ( argv[2], "GetGeometryFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometryFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of geometry FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetGeometryFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetGeometryFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of geometry FileName (alias).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of geometry FileName (alias).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplacementFileName */
    if ( strcmp ( argv[2], "SetDisplacementFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplacementFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of displacement FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplacementFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetDisplacementFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplacementFileName */
    if ( strcmp ( argv[2], "GetDisplacementFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplacementFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of displacement FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDisplacementFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetDisplacementFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarFileName */
    if ( strcmp ( argv[2], "SetScalarFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of scalar FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetScalarFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarFileName */
    if ( strcmp ( argv[2], "GetScalarFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of scalar FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalarFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetScalarFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureFileName */
    if ( strcmp ( argv[2], "SetTextureFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of texture coordinates FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetTextureFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureFileName */
    if ( strcmp ( argv[2], "GetTextureFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureFileName */
    Tcl_DStringAppendElement ( &dString, " Specify name of texture coordinates FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTextureFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetTextureFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadDisplacement */
    if ( strcmp ( argv[2], "SetReadDisplacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadDisplacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadDisplacement */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadDisplacement(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetReadDisplacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadDisplacement */
    if ( strcmp ( argv[2], "GetReadDisplacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadDisplacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadDisplacement */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadDisplacement();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetReadDisplacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadDisplacementOn */
    if ( strcmp ( argv[2], "ReadDisplacementOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadDisplacementOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadDisplacementOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadDisplacementOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for ReadDisplacementOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadDisplacementOff */
    if ( strcmp ( argv[2], "ReadDisplacementOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadDisplacementOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadDisplacementOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadDisplacementOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for ReadDisplacementOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadScalar */
    if ( strcmp ( argv[2], "SetReadScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadScalar */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadScalar(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetReadScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadScalar */
    if ( strcmp ( argv[2], "GetReadScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadScalar */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadScalar();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetReadScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadScalarOn */
    if ( strcmp ( argv[2], "ReadScalarOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadScalarOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadScalarOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadScalarOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for ReadScalarOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadScalarOff */
    if ( strcmp ( argv[2], "ReadScalarOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadScalarOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadScalarOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadScalarOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for ReadScalarOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadTexture */
    if ( strcmp ( argv[2], "SetReadTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadTexture */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the texture coordinate file.\n Specify name of geometry FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadTexture(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetReadTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadTexture */
    if ( strcmp ( argv[2], "GetReadTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadTexture */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the texture coordinate file.\n Specify name of geometry FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetReadTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadTextureOn */
    if ( strcmp ( argv[2], "ReadTextureOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadTextureOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadTextureOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the texture coordinate file.\n Specify name of geometry FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadTextureOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for ReadTextureOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadTextureOff */
    if ( strcmp ( argv[2], "ReadTextureOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadTextureOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadTextureOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the reading of the texture coordinate file.\n Specify name of geometry FileName.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadTextureOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for ReadTextureOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartNumber */
    if ( strcmp ( argv[2], "SetPartNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartNumber */
    Tcl_DStringAppendElement ( &dString, " Set/Get the part number to be read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPartNumber(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for SetPartNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartNumberMinValue */
    if ( strcmp ( argv[2], "GetPartNumberMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartNumberMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartNumberMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the part number to be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPartNumberMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetPartNumberMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartNumberMaxValue */
    if ( strcmp ( argv[2], "GetPartNumberMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartNumberMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartNumberMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the part number to be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPartNumberMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetPartNumberMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartNumber */
    if ( strcmp ( argv[2], "GetPartNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartNumber */
    Tcl_DStringAppendElement ( &dString, " Set/Get the part number to be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPartNumber();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for GetPartNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Returns 1 if this file can be read and 0 if the file cannot be read.\n Because BYU files do not have anything in the header specifying the file\n type, the result is not definitive.  Invalid files may still return 1\n although a valid file will never return 0.\n" );
    Tcl_DStringAppendElement ( &dString, "static int CanReadFile(const char *filename);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
