// tcl wrapper for vtkBYUWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBYUWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBYUWriterNewCommand()
{
  vtkBYUWriter *temp = vtkBYUWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataWriterCppCommand(vtkPolyDataWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBYUWriterCppCommand(vtkBYUWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBYUWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBYUWriterCppCommand(static_cast<vtkBYUWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBYUWriterCppCommand(vtkBYUWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBYUWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataWriterCppCommand(static_cast<vtkPolyDataWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBYUWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBYUWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBYUWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBYUWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBYUWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBYUWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGeometryFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGeometryFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeometryFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGeometryFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDisplacementFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDisplacementFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplacementFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDisplacementFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScalarFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScalarFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextureFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTextureFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTextureFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWriteDisplacement",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteDisplacement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteDisplacement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteDisplacement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteDisplacementOn",argv[1]))&&(argc == 2))
    {
    op->WriteDisplacementOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteDisplacementOff",argv[1]))&&(argc == 2))
    {
    op->WriteDisplacementOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteScalar",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteScalar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteScalar",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteScalar();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteScalarOn",argv[1]))&&(argc == 2))
    {
    op->WriteScalarOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteScalarOff",argv[1]))&&(argc == 2))
    {
    op->WriteScalarOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteTexture",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteTexture",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteTexture();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteTextureOn",argv[1]))&&(argc == 2))
    {
    op->WriteTextureOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteTextureOff",argv[1]))&&(argc == 2))
    {
    op->WriteTextureOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBYUWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBYUWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometryFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometryFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplacementFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplacementFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteDisplacement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteDisplacement\n",NULL);
    Tcl_AppendResult(interp,"  WriteDisplacementOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteDisplacementOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteScalar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteScalar\n",NULL);
    Tcl_AppendResult(interp,"  WriteScalarOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteScalarOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteTexture\n",NULL);
    Tcl_AppendResult(interp,"  WriteTextureOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteTextureOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGeometryFileName" );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFileName" );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementFileName" );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementFileName" );
    Tcl_DStringAppendElement ( &dString, "SetScalarFileName" );
    Tcl_DStringAppendElement ( &dString, "GetScalarFileName" );
    Tcl_DStringAppendElement ( &dString, "SetTextureFileName" );
    Tcl_DStringAppendElement ( &dString, "GetTextureFileName" );
    Tcl_DStringAppendElement ( &dString, "SetWriteDisplacement" );
    Tcl_DStringAppendElement ( &dString, "GetWriteDisplacement" );
    Tcl_DStringAppendElement ( &dString, "WriteDisplacementOn" );
    Tcl_DStringAppendElement ( &dString, "WriteDisplacementOff" );
    Tcl_DStringAppendElement ( &dString, "SetWriteScalar" );
    Tcl_DStringAppendElement ( &dString, "GetWriteScalar" );
    Tcl_DStringAppendElement ( &dString, "WriteScalarOn" );
    Tcl_DStringAppendElement ( &dString, "WriteScalarOff" );
    Tcl_DStringAppendElement ( &dString, "SetWriteTexture" );
    Tcl_DStringAppendElement ( &dString, "GetWriteTexture" );
    Tcl_DStringAppendElement ( &dString, "WriteTextureOn" );
    Tcl_DStringAppendElement ( &dString, "WriteTextureOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBYUWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometryFileName */
    if ( strcmp ( argv[2], "SetGeometryFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometryFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometryFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the geometry file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometryFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SetGeometryFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometryFileName */
    if ( strcmp ( argv[2], "GetGeometryFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometryFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the geometry file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetGeometryFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetGeometryFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplacementFileName */
    if ( strcmp ( argv[2], "SetDisplacementFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplacementFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the displacement file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplacementFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SetDisplacementFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplacementFileName */
    if ( strcmp ( argv[2], "GetDisplacementFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplacementFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the displacement file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDisplacementFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetDisplacementFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarFileName */
    if ( strcmp ( argv[2], "SetScalarFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the scalar file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SetScalarFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarFileName */
    if ( strcmp ( argv[2], "GetScalarFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the scalar file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalarFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetScalarFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureFileName */
    if ( strcmp ( argv[2], "SetTextureFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the texture file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SetTextureFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureFileName */
    if ( strcmp ( argv[2], "GetTextureFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the texture file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTextureFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetTextureFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteDisplacement */
    if ( strcmp ( argv[2], "SetWriteDisplacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteDisplacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteDisplacement */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteDisplacement(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SetWriteDisplacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteDisplacement */
    if ( strcmp ( argv[2], "GetWriteDisplacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteDisplacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteDisplacement */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWriteDisplacement();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetWriteDisplacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteDisplacementOn */
    if ( strcmp ( argv[2], "WriteDisplacementOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteDisplacementOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteDisplacementOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteDisplacementOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for WriteDisplacementOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteDisplacementOff */
    if ( strcmp ( argv[2], "WriteDisplacementOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteDisplacementOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteDisplacementOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the displacement file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteDisplacementOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for WriteDisplacementOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteScalar */
    if ( strcmp ( argv[2], "SetWriteScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteScalar */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteScalar(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SetWriteScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteScalar */
    if ( strcmp ( argv[2], "GetWriteScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteScalar */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWriteScalar();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetWriteScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteScalarOn */
    if ( strcmp ( argv[2], "WriteScalarOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteScalarOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteScalarOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteScalarOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for WriteScalarOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteScalarOff */
    if ( strcmp ( argv[2], "WriteScalarOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteScalarOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteScalarOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the scalar file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteScalarOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for WriteScalarOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteTexture */
    if ( strcmp ( argv[2], "SetWriteTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteTexture */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the texture file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteTexture(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for SetWriteTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteTexture */
    if ( strcmp ( argv[2], "GetWriteTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteTexture */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the texture file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWriteTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for GetWriteTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteTextureOn */
    if ( strcmp ( argv[2], "WriteTextureOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteTextureOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteTextureOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the texture file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteTextureOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for WriteTextureOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteTextureOff */
    if ( strcmp ( argv[2], "WriteTextureOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteTextureOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteTextureOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing the texture file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteTextureOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBYUWriter" );
    /* Closing for WriteTextureOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataWriterCppCommand(static_cast<vtkPolyDataWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
