// tcl wrapper for vtkDEMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDEMReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDEMReaderNewCommand()
{
  vtkDEMReader *temp = vtkDEMReader::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDEMReaderCppCommand(vtkDEMReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDEMReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDEMReaderCppCommand(static_cast<vtkDEMReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDEMReaderCppCommand(vtkDEMReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDEMReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDEMReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDEMReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDEMReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDEMReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDEMReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDEMReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetElevationReference",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetElevationReference(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElevationReferenceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElevationReferenceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElevationReferenceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElevationReferenceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElevationReference",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElevationReference();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetElevationReferenceToSeaLevel",argv[1]))&&(argc == 2))
    {
    op->SetElevationReferenceToSeaLevel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetElevationReferenceToElevationBounds",argv[1]))&&(argc == 2))
    {
    op->SetElevationReferenceToElevationBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetElevationReferenceAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetElevationReferenceAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMapLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMapLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDEMLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDEMLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElevationPattern",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElevationPattern();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGroundSystem",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGroundSystem();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGroundZone",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGroundZone();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionParameters",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetProjectionParameters();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[6], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[7], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[8], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[9], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[10], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[11], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[12], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[13], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[14], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPlaneUnitOfMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlaneUnitOfMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElevationUnitOfMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElevationUnitOfMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPolygonSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolygonSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElevationBounds",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetElevationBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLocalRotation",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLocalRotation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAccuracyCode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAccuracyCode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSpatialResolution",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetSpatialResolution();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetProfileDimension",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetProfileDimension();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDEMReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDEMReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetElevationReference\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetElevationReferenceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetElevationReferenceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetElevationReference\n",NULL);
    Tcl_AppendResult(interp,"  SetElevationReferenceToSeaLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetElevationReferenceToElevationBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetElevationReferenceAsString\n",NULL);
    Tcl_AppendResult(interp,"  GetMapLabel\n",NULL);
    Tcl_AppendResult(interp,"  GetDEMLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetElevationPattern\n",NULL);
    Tcl_AppendResult(interp,"  GetGroundSystem\n",NULL);
    Tcl_AppendResult(interp,"  GetGroundZone\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionParameters\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneUnitOfMeasure\n",NULL);
    Tcl_AppendResult(interp,"  GetElevationUnitOfMeasure\n",NULL);
    Tcl_AppendResult(interp,"  GetPolygonSize\n",NULL);
    Tcl_AppendResult(interp,"  GetElevationBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetLocalRotation\n",NULL);
    Tcl_AppendResult(interp,"  GetAccuracyCode\n",NULL);
    Tcl_AppendResult(interp,"  GetSpatialResolution\n",NULL);
    Tcl_AppendResult(interp,"  GetProfileDimension\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetElevationReference" );
    Tcl_DStringAppendElement ( &dString, "GetElevationReferenceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetElevationReferenceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetElevationReference" );
    Tcl_DStringAppendElement ( &dString, "SetElevationReferenceToSeaLevel" );
    Tcl_DStringAppendElement ( &dString, "SetElevationReferenceToElevationBounds" );
    Tcl_DStringAppendElement ( &dString, "GetElevationReferenceAsString" );
    Tcl_DStringAppendElement ( &dString, "GetMapLabel" );
    Tcl_DStringAppendElement ( &dString, "GetDEMLevel" );
    Tcl_DStringAppendElement ( &dString, "GetElevationPattern" );
    Tcl_DStringAppendElement ( &dString, "GetGroundSystem" );
    Tcl_DStringAppendElement ( &dString, "GetGroundZone" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionParameters" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneUnitOfMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetElevationUnitOfMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetPolygonSize" );
    Tcl_DStringAppendElement ( &dString, "GetElevationBounds" );
    Tcl_DStringAppendElement ( &dString, "GetLocalRotation" );
    Tcl_DStringAppendElement ( &dString, "GetAccuracyCode" );
    Tcl_DStringAppendElement ( &dString, "GetSpatialResolution" );
    Tcl_DStringAppendElement ( &dString, "GetProfileDimension" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDEMReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of Digital Elevation Model (DEM) file\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of Digital Elevation Model (DEM) file\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElevationReference */
    if ( strcmp ( argv[2], "SetElevationReference" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElevationReference" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElevationReference */
    Tcl_DStringAppendElement ( &dString, " Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds\\[0\\]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetElevationReference(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for SetElevationReference */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElevationReferenceMinValue */
    if ( strcmp ( argv[2], "GetElevationReferenceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElevationReferenceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElevationReferenceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds\\[0\\]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetElevationReferenceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetElevationReferenceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElevationReferenceMaxValue */
    if ( strcmp ( argv[2], "GetElevationReferenceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElevationReferenceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElevationReferenceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds\\[0\\]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetElevationReferenceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetElevationReferenceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElevationReference */
    if ( strcmp ( argv[2], "GetElevationReference" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElevationReference" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElevationReference */
    Tcl_DStringAppendElement ( &dString, " Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds\\[0\\]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetElevationReference();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetElevationReference */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElevationReferenceToSeaLevel */
    if ( strcmp ( argv[2], "SetElevationReferenceToSeaLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElevationReferenceToSeaLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElevationReferenceToSeaLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds\\[0\\]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetElevationReferenceToSeaLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for SetElevationReferenceToSeaLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElevationReferenceToElevationBounds */
    if ( strcmp ( argv[2], "SetElevationReferenceToElevationBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElevationReferenceToElevationBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElevationReferenceToElevationBounds */
    Tcl_DStringAppendElement ( &dString, " Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds\\[0\\]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetElevationReferenceToElevationBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for SetElevationReferenceToElevationBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElevationReferenceAsString */
    if ( strcmp ( argv[2], "GetElevationReferenceAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElevationReferenceAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElevationReferenceAsString */
    Tcl_DStringAppendElement ( &dString, " Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds\\[0\\]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetElevationReferenceAsString(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetElevationReferenceAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMapLabel */
    if ( strcmp ( argv[2], "GetMapLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMapLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMapLabel */
    Tcl_DStringAppendElement ( &dString, " An ASCII description of the map\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetMapLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetMapLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDEMLevel */
    if ( strcmp ( argv[2], "GetDEMLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDEMLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDEMLevel */
    Tcl_DStringAppendElement ( &dString, " Code 1=DEM-1, 2=DEM_2, ...\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDEMLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetDEMLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElevationPattern */
    if ( strcmp ( argv[2], "GetElevationPattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElevationPattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElevationPattern */
    Tcl_DStringAppendElement ( &dString, " Code 1=regular, 2=random, reserved for future use\n" );
    Tcl_DStringAppendElement ( &dString, "int GetElevationPattern();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetElevationPattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGroundSystem */
    if ( strcmp ( argv[2], "GetGroundSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGroundSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGroundSystem */
    Tcl_DStringAppendElement ( &dString, " Ground planimetric reference system\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGroundSystem();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetGroundSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGroundZone */
    if ( strcmp ( argv[2], "GetGroundZone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGroundZone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGroundZone */
    Tcl_DStringAppendElement ( &dString, " Zone in ground planimetric reference system\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGroundZone();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetGroundZone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionParameters */
    if ( strcmp ( argv[2], "GetProjectionParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionParameters */
    Tcl_DStringAppendElement ( &dString, " Map Projection parameters. All are zero.\n" );
    Tcl_DStringAppendElement ( &dString, "float *GetProjectionParameters();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetProjectionParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneUnitOfMeasure */
    if ( strcmp ( argv[2], "GetPlaneUnitOfMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneUnitOfMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneUnitOfMeasure */
    Tcl_DStringAppendElement ( &dString, " Defining unit of measure for ground planimetric coordinates throughout\n the file. 0 = radians, 1 = feet, 2 = meters, 3 = arc-seconds.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlaneUnitOfMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetPlaneUnitOfMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElevationUnitOfMeasure */
    if ( strcmp ( argv[2], "GetElevationUnitOfMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElevationUnitOfMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElevationUnitOfMeasure */
    Tcl_DStringAppendElement ( &dString, " Defining unit of measure for elevation coordinates throughout\n the file. 1 = feet, 2 = meters\n" );
    Tcl_DStringAppendElement ( &dString, "int GetElevationUnitOfMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetElevationUnitOfMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolygonSize */
    if ( strcmp ( argv[2], "GetPolygonSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolygonSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolygonSize */
    Tcl_DStringAppendElement ( &dString, " Number of sides in the polygon which defines the coverage of\n the DEM file. Set to 4.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolygonSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetPolygonSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElevationBounds */
    if ( strcmp ( argv[2], "GetElevationBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElevationBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElevationBounds */
    Tcl_DStringAppendElement ( &dString, " Minimum and maximum elevation for the DEM. The units in the file\n are in ElevationUnitOfMeasure. This class converts them to meters.\n" );
    Tcl_DStringAppendElement ( &dString, "float *GetElevationBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetElevationBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocalRotation */
    if ( strcmp ( argv[2], "GetLocalRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocalRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocalRotation */
    Tcl_DStringAppendElement ( &dString, " Counterclockwise angle (in radians) from the primary axis of the planimetric\n reference to the primary axis of the DEM local reference system.\n IGNORED BY THIS IMPLEMENTATION.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLocalRotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetLocalRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAccuracyCode */
    if ( strcmp ( argv[2], "GetAccuracyCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAccuracyCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAccuracyCode */
    Tcl_DStringAppendElement ( &dString, " Accuracy code for elevations. 0=unknown accuracy\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAccuracyCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetAccuracyCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpatialResolution */
    if ( strcmp ( argv[2], "GetSpatialResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpatialResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpatialResolution */
    Tcl_DStringAppendElement ( &dString, " DEM spatial resolution for x,y,z. Values are expressed in units of resolution.\n Since elevations are read as integers, this permits fractional elevations.\n" );
    Tcl_DStringAppendElement ( &dString, "float *GetSpatialResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetSpatialResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProfileDimension */
    if ( strcmp ( argv[2], "GetProfileDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProfileDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProfileDimension */
    Tcl_DStringAppendElement ( &dString, " The number of rows and columns in the DEM.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetProfileDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkDEMReader" );
    /* Closing for GetProfileDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
