// tcl wrapper for vtkDataObjectWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataObjectWriterNewCommand()
{
  vtkDataObjectWriter *temp = vtkDataObjectWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkWriterCppCommand(vtkWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataObjectWriterCppCommand(vtkDataObjectWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataObjectWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataObjectWriterCppCommand(static_cast<vtkDataObjectWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataObjectWriterCppCommand(vtkDataObjectWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataObjectWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataObjectWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObjectWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataObjectWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObjectWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataObjectWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObjectWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHeader",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHeader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeader",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHeader();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileTypeToASCII",argv[1]))&&(argc == 2))
    {
    op->SetFileTypeToASCII();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileTypeToBinary",argv[1]))&&(argc == 2))
    {
    op->SetFileTypeToBinary();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteToOutputString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteToOutputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WriteToOutputStringOn",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteToOutputStringOff",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWriteToOutputString",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteToOutputString();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetOutputString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOutputStdString",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetOutputStdString();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputStringLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputStringLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldDataName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFieldDataName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDataName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFieldDataName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataObjectWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataObjectWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetHeader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeader\n",NULL);
    Tcl_AppendResult(interp,"  SetFileType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileType\n",NULL);
    Tcl_AppendResult(interp,"  SetFileTypeToASCII\n",NULL);
    Tcl_AppendResult(interp,"  SetFileTypeToBinary\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteToOutputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOff\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteToOutputString\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputString\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputStdString\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputStringLength\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldDataName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataName\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetHeader" );
    Tcl_DStringAppendElement ( &dString, "GetHeader" );
    Tcl_DStringAppendElement ( &dString, "SetFileType" );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToASCII" );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToBinary" );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStdString" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataName" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataObjectWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(const char *filename);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeader */
    if ( strcmp ( argv[2], "SetHeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeader */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeader(const char *header);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SetHeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeader */
    if ( strcmp ( argv[2], "GetHeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeader */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetHeader();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetHeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileType */
    if ( strcmp ( argv[2], "SetFileType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileType */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SetFileType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileType */
    if ( strcmp ( argv[2], "GetFileType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileType */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileType();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetFileType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileTypeToASCII */
    if ( strcmp ( argv[2], "SetFileTypeToASCII" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToASCII" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileTypeToASCII */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileTypeToASCII();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SetFileTypeToASCII */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileTypeToBinary */
    if ( strcmp ( argv[2], "SetFileTypeToBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileTypeToBinary */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileTypeToBinary();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SetFileTypeToBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteToOutputString */
    if ( strcmp ( argv[2], "SetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteToOutputString(int b);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOn */
    if ( strcmp ( argv[2], "WriteToOutputStringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOn */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for WriteToOutputStringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOff */
    if ( strcmp ( argv[2], "WriteToOutputStringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOff */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for WriteToOutputStringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteToOutputString */
    if ( strcmp ( argv[2], "GetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWriteToOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputString */
    if ( strcmp ( argv[2], "GetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputString */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputStdString */
    if ( strcmp ( argv[2], "GetOutputStdString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStdString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStdString */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetOutputStdString();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetOutputStdString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputStringLength */
    if ( strcmp ( argv[2], "GetOutputStringLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStringLength */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputStringLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetOutputStringLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldDataName */
    if ( strcmp ( argv[2], "SetFieldDataName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldDataName */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldDataName(const char *fieldname);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for SetFieldDataName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDataName */
    if ( strcmp ( argv[2], "GetFieldDataName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDataName */
    Tcl_DStringAppendElement ( &dString, " Methods delegated to vtkDataWriter, see vtkDataWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFieldDataName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectWriter" );
    /* Closing for GetFieldDataName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
