// tcl wrapper for vtkFLUENTReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFLUENTReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFLUENTReaderNewCommand()
{
  vtkFLUENTReader *temp = vtkFLUENTReader::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFLUENTReaderCppCommand(vtkFLUENTReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFLUENTReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFLUENTReaderCppCommand(static_cast<vtkFLUENTReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFLUENTReaderCppCommand(vtkFLUENTReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFLUENTReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFLUENTReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFLUENTReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFLUENTReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFLUENTReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFLUENTReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFLUENTReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCellArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetCellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableAllCellArrays",argv[1]))&&(argc == 2))
    {
    op->DisableAllCellArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableAllCellArrays",argv[1]))&&(argc == 2))
    {
    op->EnableAllCellArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataByteOrderAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataByteOrderAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFLUENTReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFLUENTReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DisableAllCellArrays\n",NULL);
    Tcl_AppendResult(interp,"  EnableAllCellArrays\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrderAsString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "DisableAllCellArrays" );
    Tcl_DStringAppendElement ( &dString, "EnableAllCellArrays" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFLUENTReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the file name of the Fluent case file to read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify the file name of the Fluent case file to read.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCells */
    if ( strcmp ( argv[2], "GetNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCells */
    Tcl_DStringAppendElement ( &dString, " Get the total number of cells. The number of cells is only valid after a\n successful read of the data file is performed. Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellArrays */
    if ( strcmp ( argv[2], "GetNumberOfCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of cell arrays available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellArrays(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetNumberOfCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayName */
    if ( strcmp ( argv[2], "GetCellArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the  cell array with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCellArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetCellArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayStatus */
    if ( strcmp ( argv[2], "GetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the cell array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellArrayStatus */
    if ( strcmp ( argv[2], "SetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the cell array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for SetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableAllCellArrays */
    if ( strcmp ( argv[2], "DisableAllCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableAllCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableAllCellArrays */
    Tcl_DStringAppendElement ( &dString, " Turn on/off all cell arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableAllCellArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for DisableAllCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableAllCellArrays */
    if ( strcmp ( argv[2], "EnableAllCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableAllCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableAllCellArrays */
    Tcl_DStringAppendElement ( &dString, " Turn on/off all cell arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableAllCellArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for EnableAllCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToBigEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for SetDataByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToLittleEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for SetDataByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrder */
    if ( strcmp ( argv[2], "GetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataByteOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrder */
    if ( strcmp ( argv[2], "SetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrder(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for SetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrderAsString */
    if ( strcmp ( argv[2], "GetDataByteOrderAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrderAsString */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDataByteOrderAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkFLUENTReader" );
    /* Closing for GetDataByteOrderAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
