// tcl wrapper for vtkGenericEnSightReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericEnSightReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGenericEnSightReaderNewCommand()
{
  vtkGenericEnSightReader *temp = vtkGenericEnSightReader::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericEnSightReaderCppCommand(vtkGenericEnSightReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericEnSightReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericEnSightReaderCppCommand(static_cast<vtkGenericEnSightReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericEnSightReaderCppCommand(vtkGenericEnSightReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericEnSightReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericEnSightReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericEnSightReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericEnSightReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericEnSightReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericEnSightReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericEnSightReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCaseFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCaseFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaseFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCaseFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFilePath",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePath(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePath",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePath();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetEnSightVersion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnSightVersion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComplexVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComplexVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVariables",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfVariables(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfScalarsPerNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarsPerNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorsPerNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorsPerNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTensorsSymmPerNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTensorsSymmPerNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfScalarsPerElement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarsPerElement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorsPerElement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorsPerElement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTensorsSymmPerElement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTensorsSymmPerElement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfScalarsPerMeasuredNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarsPerMeasuredNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorsPerMeasuredNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorsPerMeasuredNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComplexScalarsPerNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComplexScalarsPerNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComplexVectorsPerNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComplexVectorsPerNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComplexScalarsPerElement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComplexScalarsPerElement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComplexVectorsPerElement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComplexVectorsPerElement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDescription",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDescription(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComplexDescription",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetComplexDescription(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDescription",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDescription(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVariableType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVariableType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComplexVariableType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetComplexVariableType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeValue",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetTimeValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumTimeValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumTimeValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumTimeValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumTimeValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeSets",argv[1]))&&(argc == 2))
    {
    vtkDataArrayCollection  *temp20;
    temp20 = (op)->GetTimeSets();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArrayCollection");
    return TCL_OK;
    }
  if ((!strcmp("DetermineEnSightVersion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->DetermineEnSightVersion(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadAllVariablesOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllVariablesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllVariablesOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllVariablesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllVariables",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllVariables(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointDataArraySelection",argv[1]))&&(argc == 2))
    {
    vtkDataArraySelection  *temp20;
    temp20 = (op)->GetPointDataArraySelection();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArraySelection");
    return TCL_OK;
    }
  if ((!strcmp("GetCellDataArraySelection",argv[1]))&&(argc == 2))
    {
    vtkDataArraySelection  *temp20;
    temp20 = (op)->GetCellDataArraySelection();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArraySelection");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPointArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCellArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPointArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetCellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetByteOrderAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetByteOrderAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGeometryFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGeometryFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetParticleCoordinatesByIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParticleCoordinatesByIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleCoordinatesByIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParticleCoordinatesByIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParticleCoordinatesByIndexOn",argv[1]))&&(argc == 2))
    {
    op->ParticleCoordinatesByIndexOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParticleCoordinatesByIndexOff",argv[1]))&&(argc == 2))
    {
    op->ParticleCoordinatesByIndexOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReader",argv[1]))&&(argc == 2))
    {
    vtkGenericEnSightReader  *temp20;
    temp20 = (op)->GetReader();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericEnSightReader");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericEnSightReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericEnSightReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCaseFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaseFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePath\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePath\n",NULL);
    Tcl_AppendResult(interp,"  GetEnSightVersion\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVariables\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComplexVariables\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVariables\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarsPerNode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorsPerNode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTensorsSymmPerNode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarsPerElement\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorsPerElement\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTensorsSymmPerElement\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarsPerMeasuredNode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorsPerMeasuredNode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComplexScalarsPerNode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComplexVectorsPerNode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComplexScalarsPerElement\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComplexVectorsPerElement\n",NULL);
    Tcl_AppendResult(interp,"  GetDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComplexDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDescription\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComplexVariableType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumTimeValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumTimeValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeSets\n",NULL);
    Tcl_AppendResult(interp,"  DetermineEnSightVersion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllVariablesOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllVariablesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllVariables\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllVariables\n",NULL);
    Tcl_AppendResult(interp,"  GetPointDataArraySelection\n",NULL);
    Tcl_AppendResult(interp,"  GetCellDataArraySelection\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrderAsString\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometryFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleCoordinatesByIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleCoordinatesByIndex\n",NULL);
    Tcl_AppendResult(interp,"  ParticleCoordinatesByIndexOn\n",NULL);
    Tcl_AppendResult(interp,"  ParticleCoordinatesByIndexOff\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReader\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetCaseFileName" );
    Tcl_DStringAppendElement ( &dString, "GetCaseFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFilePath" );
    Tcl_DStringAppendElement ( &dString, "GetFilePath" );
    Tcl_DStringAppendElement ( &dString, "GetEnSightVersion" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariables" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexVariables" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariables" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsPerNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsPerNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTensorsSymmPerNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsPerElement" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsPerElement" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTensorsSymmPerElement" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsPerMeasuredNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsPerMeasuredNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexScalarsPerNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexVectorsPerNode" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexScalarsPerElement" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexVectorsPerElement" );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    Tcl_DStringAppendElement ( &dString, "GetComplexDescription" );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    Tcl_DStringAppendElement ( &dString, "GetVariableType" );
    Tcl_DStringAppendElement ( &dString, "GetComplexVariableType" );
    Tcl_DStringAppendElement ( &dString, "SetTimeValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimeValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumTimeValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTimeValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimeSets" );
    Tcl_DStringAppendElement ( &dString, "DetermineEnSightVersion" );
    Tcl_DStringAppendElement ( &dString, "ReadAllVariablesOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllVariablesOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllVariables" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllVariables" );
    Tcl_DStringAppendElement ( &dString, "GetPointDataArraySelection" );
    Tcl_DStringAppendElement ( &dString, "GetCellDataArraySelection" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetByteOrderAsString" );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFileName" );
    Tcl_DStringAppendElement ( &dString, "SetParticleCoordinatesByIndex" );
    Tcl_DStringAppendElement ( &dString, "GetParticleCoordinatesByIndex" );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOn" );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOff" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "GetReader" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericEnSightReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaseFileName */
    if ( strcmp ( argv[2], "SetCaseFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaseFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaseFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Case file name.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCaseFileName(const char *fileName);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetCaseFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaseFileName */
    if ( strcmp ( argv[2], "GetCaseFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaseFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaseFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Case file name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCaseFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetCaseFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilePath */
    if ( strcmp ( argv[2], "SetFilePath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilePath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilePath */
    Tcl_DStringAppendElement ( &dString, " Set/Get the file path.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilePath(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetFilePath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilePath */
    if ( strcmp ( argv[2], "GetFilePath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilePath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilePath */
    Tcl_DStringAppendElement ( &dString, " Set/Get the file path.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFilePath();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetFilePath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnSightVersion */
    if ( strcmp ( argv[2], "GetEnSightVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnSightVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnSightVersion */
    Tcl_DStringAppendElement ( &dString, " Get the EnSight file version being read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnSightVersion();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetEnSightVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVariables */
    if ( strcmp ( argv[2], "GetNumberOfVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVariables */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables listed in the case file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComplexVariables */
    if ( strcmp ( argv[2], "GetNumberOfComplexVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComplexVariables */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables listed in the case file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComplexVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfComplexVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVariables */
    if ( strcmp ( argv[2], "GetNumberOfVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVariables */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVariables(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarsPerNode */
    if ( strcmp ( argv[2], "GetNumberOfScalarsPerNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsPerNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarsPerNode */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarsPerNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfScalarsPerNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVectorsPerNode */
    if ( strcmp ( argv[2], "GetNumberOfVectorsPerNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsPerNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVectorsPerNode */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVectorsPerNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfVectorsPerNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTensorsSymmPerNode */
    if ( strcmp ( argv[2], "GetNumberOfTensorsSymmPerNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTensorsSymmPerNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTensorsSymmPerNode */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTensorsSymmPerNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfTensorsSymmPerNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarsPerElement */
    if ( strcmp ( argv[2], "GetNumberOfScalarsPerElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsPerElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarsPerElement */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarsPerElement();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfScalarsPerElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVectorsPerElement */
    if ( strcmp ( argv[2], "GetNumberOfVectorsPerElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsPerElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVectorsPerElement */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVectorsPerElement();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfVectorsPerElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTensorsSymmPerElement */
    if ( strcmp ( argv[2], "GetNumberOfTensorsSymmPerElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTensorsSymmPerElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTensorsSymmPerElement */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTensorsSymmPerElement();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfTensorsSymmPerElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarsPerMeasuredNode */
    if ( strcmp ( argv[2], "GetNumberOfScalarsPerMeasuredNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsPerMeasuredNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarsPerMeasuredNode */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarsPerMeasuredNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfScalarsPerMeasuredNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVectorsPerMeasuredNode */
    if ( strcmp ( argv[2], "GetNumberOfVectorsPerMeasuredNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsPerMeasuredNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVectorsPerMeasuredNode */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVectorsPerMeasuredNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfVectorsPerMeasuredNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComplexScalarsPerNode */
    if ( strcmp ( argv[2], "GetNumberOfComplexScalarsPerNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexScalarsPerNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComplexScalarsPerNode */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComplexScalarsPerNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfComplexScalarsPerNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComplexVectorsPerNode */
    if ( strcmp ( argv[2], "GetNumberOfComplexVectorsPerNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexVectorsPerNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComplexVectorsPerNode */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComplexVectorsPerNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfComplexVectorsPerNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComplexScalarsPerElement */
    if ( strcmp ( argv[2], "GetNumberOfComplexScalarsPerElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexScalarsPerElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComplexScalarsPerElement */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComplexScalarsPerElement();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfComplexScalarsPerElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComplexVectorsPerElement */
    if ( strcmp ( argv[2], "GetNumberOfComplexVectorsPerElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComplexVectorsPerElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComplexVectorsPerElement */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables of a particular type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComplexVectorsPerElement();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfComplexVectorsPerElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDescription */
    if ( strcmp ( argv[2], "GetDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescription */
    Tcl_DStringAppendElement ( &dString, " Get the nth description for a non-complex variable.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDescription(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComplexDescription */
    if ( strcmp ( argv[2], "GetComplexDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComplexDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComplexDescription */
    Tcl_DStringAppendElement ( &dString, " Get the nth description for a complex variable.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetComplexDescription(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetComplexDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDescription */
    if ( strcmp ( argv[2], "GetDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescription */
    Tcl_DStringAppendElement ( &dString, " Get the nth description of a particular variable type.  Returns NULL if no\n variable of this type exists in this data set.\n SCALAR_PER_NODE = 0; VECTOR_PER_NODE = 1;\n TENSOR_SYMM_PER_NODE = 2; SCALAR_PER_ELEMENT = 3;\n VECTOR_PER_ELEMENT = 4; TENSOR_SYMM_PER_ELEMENT = 5;\n SCALAR_PER_MEASURED_NODE = 6; VECTOR_PER_MEASURED_NODE = 7;\n COMPLEX_SCALAR_PER_NODE = 8; COMPLEX_VECTOR_PER_NODE 9;\n COMPLEX_SCALAR_PER_ELEMENT  = 10; COMPLEX_VECTOR_PER_ELEMENT = 11\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDescription(int n, int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableType */
    if ( strcmp ( argv[2], "GetVariableType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableType */
    Tcl_DStringAppendElement ( &dString, " Get the variable type of variable n.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVariableType(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetVariableType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComplexVariableType */
    if ( strcmp ( argv[2], "GetComplexVariableType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComplexVariableType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComplexVariableType */
    Tcl_DStringAppendElement ( &dString, " Get the variable type of variable n.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComplexVariableType(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetComplexVariableType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeValue */
    if ( strcmp ( argv[2], "SetTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the time value at which to get the value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTimeValue(float value);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeValue */
    if ( strcmp ( argv[2], "GetTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the time value at which to get the value.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetTimeValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumTimeValue */
    if ( strcmp ( argv[2], "GetMinimumTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumTimeValue */
    Tcl_DStringAppendElement ( &dString, " Get the minimum or maximum time value for this data set.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumTimeValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetMinimumTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumTimeValue */
    if ( strcmp ( argv[2], "GetMaximumTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumTimeValue */
    Tcl_DStringAppendElement ( &dString, " Get the minimum or maximum time value for this data set.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumTimeValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetMaximumTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeSets */
    if ( strcmp ( argv[2], "GetTimeSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeSets */
    Tcl_DStringAppendElement ( &dString, " Get the time values per time set\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArrayCollection *GetTimeSets();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetTimeSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DetermineEnSightVersion */
    if ( strcmp ( argv[2], "DetermineEnSightVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DetermineEnSightVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DetermineEnSightVersion */
    Tcl_DStringAppendElement ( &dString, " Reads the FORMAT part of the case file to determine whether this is an\n EnSight6 or EnSightGold data set.  Returns an identifier listed in\n the FileTypes enum or -1 if an error occurred or the file could not\n be indentified as any EnSight type.\n" );
    Tcl_DStringAppendElement ( &dString, "int DetermineEnSightVersion(int quiet=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for DetermineEnSightVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllVariablesOn */
    if ( strcmp ( argv[2], "ReadAllVariablesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllVariablesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllVariablesOn */
    Tcl_DStringAppendElement ( &dString, " Set/get the flag for whether to read all the variables\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllVariablesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for ReadAllVariablesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllVariablesOff */
    if ( strcmp ( argv[2], "ReadAllVariablesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllVariablesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllVariablesOff */
    Tcl_DStringAppendElement ( &dString, " Set/get the flag for whether to read all the variables\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllVariablesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for ReadAllVariablesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllVariables */
    if ( strcmp ( argv[2], "SetReadAllVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllVariables */
    Tcl_DStringAppendElement ( &dString, " Set/get the flag for whether to read all the variables\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllVariables(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetReadAllVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllVariables */
    if ( strcmp ( argv[2], "GetReadAllVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllVariables */
    Tcl_DStringAppendElement ( &dString, " Set/get the flag for whether to read all the variables\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetReadAllVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointDataArraySelection */
    if ( strcmp ( argv[2], "GetPointDataArraySelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointDataArraySelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointDataArraySelection */
    Tcl_DStringAppendElement ( &dString, " Get the data array selection tables used to configure which data\n arrays are loaded by the reader.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArraySelection *GetPointDataArraySelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetPointDataArraySelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellDataArraySelection */
    if ( strcmp ( argv[2], "GetCellDataArraySelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellDataArraySelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellDataArraySelection */
    Tcl_DStringAppendElement ( &dString, " Get the data array selection tables used to configure which data\n arrays are loaded by the reader.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArraySelection *GetCellDataArraySelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetCellDataArraySelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointArrays */
    if ( strcmp ( argv[2], "GetNumberOfPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of point or cell arrays available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellArrays */
    if ( strcmp ( argv[2], "GetNumberOfCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of point or cell arrays available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetNumberOfCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayName */
    if ( strcmp ( argv[2], "GetPointArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the point or cell array with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPointArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetPointArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayName */
    if ( strcmp ( argv[2], "GetCellArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the point or cell array with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCellArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetCellArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayStatus */
    if ( strcmp ( argv[2], "GetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the point or cell array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayStatus */
    if ( strcmp ( argv[2], "GetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the point or cell array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointArrayStatus */
    if ( strcmp ( argv[2], "SetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the point or cell array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellArrayStatus */
    if ( strcmp ( argv[2], "SetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the point or cell array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrderToBigEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrderToLittleEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrder */
    if ( strcmp ( argv[2], "SetByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrder */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrder(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetByteOrder */
    if ( strcmp ( argv[2], "GetByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetByteOrder */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetByteOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetByteOrderAsString */
    if ( strcmp ( argv[2], "GetByteOrderAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetByteOrderAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetByteOrderAsString */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetByteOrderAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetByteOrderAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometryFileName */
    if ( strcmp ( argv[2], "GetGeometryFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometryFileName */
    Tcl_DStringAppendElement ( &dString, " Get the Geometry file name. Made public to allow access from\n apps requiring detailed info about the Data contents\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetGeometryFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetGeometryFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleCoordinatesByIndex */
    if ( strcmp ( argv[2], "SetParticleCoordinatesByIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleCoordinatesByIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleCoordinatesByIndex */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParticleCoordinatesByIndex(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for SetParticleCoordinatesByIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleCoordinatesByIndex */
    if ( strcmp ( argv[2], "GetParticleCoordinatesByIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleCoordinatesByIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleCoordinatesByIndex */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParticleCoordinatesByIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetParticleCoordinatesByIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParticleCoordinatesByIndexOn */
    if ( strcmp ( argv[2], "ParticleCoordinatesByIndexOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParticleCoordinatesByIndexOn */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ParticleCoordinatesByIndexOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for ParticleCoordinatesByIndexOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParticleCoordinatesByIndexOff */
    if ( strcmp ( argv[2], "ParticleCoordinatesByIndexOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParticleCoordinatesByIndexOff */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ParticleCoordinatesByIndexOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for ParticleCoordinatesByIndexOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Returns true if the file pointed to by casefilename appears to be a\n valid EnSight case file.\n" );
    Tcl_DStringAppendElement ( &dString, "static int CanReadFile(const char *casefilename);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReader */
    if ( strcmp ( argv[2], "GetReader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReader */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader *GetReader();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericEnSightReader" );
    /* Closing for GetReader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
