// tcl wrapper for vtkMINCImageAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMINCImageAttributes.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMINCImageAttributesNewCommand()
{
  vtkMINCImageAttributes *temp = vtkMINCImageAttributes::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMINCImageAttributesCppCommand(vtkMINCImageAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMINCImageAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMINCImageAttributesCppCommand(static_cast<vtkMINCImageAttributes *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMINCImageAttributesCppCommand(vtkMINCImageAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMINCImageAttributes",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMINCImageAttributes  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMINCImageAttributes");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMINCImageAttributes  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMINCImageAttributes");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMINCImageAttributes  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMINCImageAttributes");
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddDimension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddDimension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDimension",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkIdType   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddDimension(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensionNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetDimensionNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetDimensionLengths",argv[1]))&&(argc == 2))
    {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetDimensionLengths();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
  if ((!strcmp("GetVariableNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetVariableNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeNames",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkStringArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAttributeNames(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageMin",argv[1]))&&(argc == 3))
    {
    vtkDoubleArray  *temp0;
    error = 0;

    temp0 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->SetImageMin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageMax",argv[1]))&&(argc == 3))
    {
    vtkDoubleArray  *temp0;
    error = 0;

    temp0 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->SetImageMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageMin",argv[1]))&&(argc == 2))
    {
    vtkDoubleArray  *temp20;
    temp20 = (op)->GetImageMin();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDoubleArray");
    return TCL_OK;
    }
  if ((!strcmp("GetImageMax",argv[1]))&&(argc == 2))
    {
    vtkDoubleArray  *temp20;
    temp20 = (op)->GetImageMax();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDoubleArray");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfImageMinMaxDimensions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfImageMinMaxDimensions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfImageMinMaxDimensions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfImageMinMaxDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->HasAttribute(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributeValueAsArray",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    vtkDataArray  *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->SetAttributeValueAsArray(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeValueAsArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetAttributeValueAsArray(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributeValueAsString",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    op->SetAttributeValueAsString(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeValueAsString",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetAttributeValueAsString(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributeValueAsInt",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetAttributeValueAsInt(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeValueAsInt",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetAttributeValueAsInt(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributeValueAsDouble",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    double   temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAttributeValueAsDouble(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeValueAsDouble",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    double   temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetAttributeValueAsDouble(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ValidateAttribute",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    vtkDataArray  *temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->ValidateAttribute(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetValidateAttributes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValidateAttributes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ValidateAttributesOn",argv[1]))&&(argc == 2))
    {
    op->ValidateAttributesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValidateAttributesOff",argv[1]))&&(argc == 2))
    {
    op->ValidateAttributesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetValidateAttributes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValidateAttributes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkMINCImageAttributes  *temp0;
    error = 0;

    temp0 = (vtkMINCImageAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMINCImageAttributes"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindValidRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->FindValidRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindImageRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->FindImageRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintFileHeader",argv[1]))&&(argc == 2))
    {
    op->PrintFileHeader();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMINCImageAttributesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMINCImageAttributes:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetDataType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataType\n",NULL);
    Tcl_AppendResult(interp,"  AddDimension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDimension\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensionNames\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensionLengths\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImageMin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImageMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageMin\n",NULL);
    Tcl_AppendResult(interp,"  GetImageMax\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfImageMinMaxDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfImageMinMaxDimensions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeValueAsArray\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeValueAsArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeValueAsString\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeValueAsString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeValueAsInt\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeValueAsInt\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeValueAsDouble\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeValueAsDouble\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ValidateAttribute\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetValidateAttributes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ValidateAttributesOn\n",NULL);
    Tcl_AppendResult(interp,"  ValidateAttributesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetValidateAttributes\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindValidRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindImageRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PrintFileHeader\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    Tcl_DStringAppendElement ( &dString, "SetDataType" );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    Tcl_DStringAppendElement ( &dString, "AddDimension" );
    Tcl_DStringAppendElement ( &dString, "AddDimension" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionNames" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionLengths" );
    Tcl_DStringAppendElement ( &dString, "GetVariableNames" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeNames" );
    Tcl_DStringAppendElement ( &dString, "SetImageMin" );
    Tcl_DStringAppendElement ( &dString, "SetImageMax" );
    Tcl_DStringAppendElement ( &dString, "GetImageMin" );
    Tcl_DStringAppendElement ( &dString, "GetImageMax" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfImageMinMaxDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfImageMinMaxDimensions" );
    Tcl_DStringAppendElement ( &dString, "HasAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsArray" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsArray" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsString" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsString" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsInt" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsInt" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsDouble" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsDouble" );
    Tcl_DStringAppendElement ( &dString, "ValidateAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetValidateAttributes" );
    Tcl_DStringAppendElement ( &dString, "ValidateAttributesOn" );
    Tcl_DStringAppendElement ( &dString, "ValidateAttributesOff" );
    Tcl_DStringAppendElement ( &dString, "GetValidateAttributes" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "FindValidRange" );
    Tcl_DStringAppendElement ( &dString, "FindImageRange" );
    Tcl_DStringAppendElement ( &dString, "PrintFileHeader" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMINCImageAttributes *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Reset all the attributes in preparation for loading\n new information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Reset();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetName */
    if ( strcmp ( argv[2], "SetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the image, not including the path or\n the extension.  This is only needed for printing the\n header and there is usually no need to set it.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetName */
    if ( strcmp ( argv[2], "GetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the image, not including the path or\n the extension.  This is only needed for printing the\n header and there is usually no need to set it.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataType */
    if ( strcmp ( argv[2], "SetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataType */
    Tcl_DStringAppendElement ( &dString, " Get the image data type, as stored on disk.  This information\n is useful if the file was converted to floating-point when it\n was loaded.  When writing a file from float or double image data,\n you can use this method to prescribe the output type. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataType */
    if ( strcmp ( argv[2], "GetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataType */
    Tcl_DStringAppendElement ( &dString, " Get the image data type, as stored on disk.  This information\n is useful if the file was converted to floating-point when it\n was loaded.  When writing a file from float or double image data,\n you can use this method to prescribe the output type. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataType();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDimension */
    if ( strcmp ( argv[2], "AddDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDimension */
    Tcl_DStringAppendElement ( &dString, " Add the names of up to five dimensions. The ordering of these\n dimensions will determine the dimension order of the file.  If\n no DimensionNames are set, the writer will set the dimension\n order of the file to be the same as the dimension order in memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDimension(const char *dimension);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for AddDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDimension */
    if ( strcmp ( argv[2], "AddDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDimension */
    Tcl_DStringAppendElement ( &dString, " Add the names of up to five dimensions. The ordering of these\n dimensions will determine the dimension order of the file.  If\n no DimensionNames are set, the writer will set the dimension\n order of the file to be the same as the dimension order in memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDimension(const char *dimension, vtkIdType length);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for AddDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensionNames */
    if ( strcmp ( argv[2], "GetDimensionNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionNames */
    Tcl_DStringAppendElement ( &dString, " Get the dimension names.  The dimension names are same order\n as written in the file, starting with the slowest-varying\n dimension.  Use this method to get the array if you need to\n change \"space\" dimensions to \"frequency\" after performing a\n Fourier transform. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetDimensionNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetDimensionNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensionLengths */
    if ( strcmp ( argv[2], "GetDimensionLengths" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionLengths" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionLengths */
    Tcl_DStringAppendElement ( &dString, " Get the lengths of all the dimensions.  The dimension lengths\n are informative, the vtkMINCImageWriter does not look at these values\n but instead uses the dimension sizes of its input.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdTypeArray *GetDimensionLengths();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetDimensionLengths */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableNames */
    if ( strcmp ( argv[2], "GetVariableNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableNames */
    Tcl_DStringAppendElement ( &dString, " Get the names of all the variables.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetVariableNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetVariableNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeNames */
    if ( strcmp ( argv[2], "GetAttributeNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeNames */
    Tcl_DStringAppendElement ( &dString, " List the attribute names for a variable.  Set the variable\n to the empty string to get a list of the global attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetAttributeNames(const char *variable);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetAttributeNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageMin */
    if ( strcmp ( argv[2], "SetImageMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageMin */
    Tcl_DStringAppendElement ( &dString, " Get the image min and max arrays. These are set by the reader,\n but they aren't used by the writer except to compute the full\n real data range of the original file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageMin(vtkDoubleArray *imageMin);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetImageMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageMax */
    if ( strcmp ( argv[2], "SetImageMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageMax */
    Tcl_DStringAppendElement ( &dString, " Get the image min and max arrays. These are set by the reader,\n but they aren't used by the writer except to compute the full\n real data range of the original file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageMax(vtkDoubleArray *imageMax);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetImageMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageMin */
    if ( strcmp ( argv[2], "GetImageMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageMin */
    Tcl_DStringAppendElement ( &dString, " Get the image min and max arrays. These are set by the reader,\n but they aren't used by the writer except to compute the full\n real data range of the original file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDoubleArray *GetImageMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetImageMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageMax */
    if ( strcmp ( argv[2], "GetImageMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageMax */
    Tcl_DStringAppendElement ( &dString, " Get the image min and max arrays. These are set by the reader,\n but they aren't used by the writer except to compute the full\n real data range of the original file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDoubleArray *GetImageMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetImageMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfImageMinMaxDimensions */
    if ( strcmp ( argv[2], "GetNumberOfImageMinMaxDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfImageMinMaxDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfImageMinMaxDimensions */
    Tcl_DStringAppendElement ( &dString, " Get the number of ImageMinMax dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfImageMinMaxDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetNumberOfImageMinMaxDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfImageMinMaxDimensions */
    if ( strcmp ( argv[2], "SetNumberOfImageMinMaxDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfImageMinMaxDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfImageMinMaxDimensions */
    Tcl_DStringAppendElement ( &dString, " Get the number of ImageMinMax dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfImageMinMaxDimensions(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetNumberOfImageMinMaxDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasAttribute */
    if ( strcmp ( argv[2], "HasAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasAttribute */
    Tcl_DStringAppendElement ( &dString, " Check to see if a particular attribute exists.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasAttribute(const char *variable, const char *attribute);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for HasAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeValueAsArray */
    if ( strcmp ( argv[2], "SetAttributeValueAsArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeValueAsArray */
    Tcl_DStringAppendElement ( &dString, " Set attribute values for a variable as a vtkDataArray.\n Set the variable to the empty string to access global attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAttributeValueAsArray(const char *variable, const char *attribute, vtkDataArray *array);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetAttributeValueAsArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeValueAsArray */
    if ( strcmp ( argv[2], "GetAttributeValueAsArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeValueAsArray */
    Tcl_DStringAppendElement ( &dString, " Set attribute values for a variable as a vtkDataArray.\n Set the variable to the empty string to access global attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataArray *GetAttributeValueAsArray(const char *variable, const char *attribute);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetAttributeValueAsArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeValueAsString */
    if ( strcmp ( argv[2], "SetAttributeValueAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeValueAsString */
    Tcl_DStringAppendElement ( &dString, " Set an attribute value as a string.  Set the variable\n to the empty string to access global attributes.\n If you specify a variable that does not exist, it will be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAttributeValueAsString(const char *variable, const char *attribute, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetAttributeValueAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeValueAsString */
    if ( strcmp ( argv[2], "GetAttributeValueAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeValueAsString */
    Tcl_DStringAppendElement ( &dString, " Set an attribute value as a string.  Set the variable\n to the empty string to access global attributes.\n If you specify a variable that does not exist, it will be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetAttributeValueAsString(const char *variable, const char *attribute);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetAttributeValueAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeValueAsInt */
    if ( strcmp ( argv[2], "SetAttributeValueAsInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeValueAsInt */
    Tcl_DStringAppendElement ( &dString, " Set an attribute value as an int. Set the variable\n to the empty string to access global attributes.\n If you specify a variable that does not exist, it will be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAttributeValueAsInt(const char *variable, const char *attribute, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetAttributeValueAsInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeValueAsInt */
    if ( strcmp ( argv[2], "GetAttributeValueAsInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeValueAsInt */
    Tcl_DStringAppendElement ( &dString, " Set an attribute value as an int. Set the variable\n to the empty string to access global attributes.\n If you specify a variable that does not exist, it will be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAttributeValueAsInt(const char *variable, const char *attribute);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetAttributeValueAsInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeValueAsDouble */
    if ( strcmp ( argv[2], "SetAttributeValueAsDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeValueAsDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeValueAsDouble */
    Tcl_DStringAppendElement ( &dString, " Set an attribute value as a double.  Set the variable\n to the empty string to access global attributes.\n If you specify a variable that does not exist, it will be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAttributeValueAsDouble(const char *variable, const char *attribute, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetAttributeValueAsDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeValueAsDouble */
    if ( strcmp ( argv[2], "GetAttributeValueAsDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValueAsDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeValueAsDouble */
    Tcl_DStringAppendElement ( &dString, " Set an attribute value as a double.  Set the variable\n to the empty string to access global attributes.\n If you specify a variable that does not exist, it will be\n created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetAttributeValueAsDouble(const char *variable, const char *attribute);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetAttributeValueAsDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ValidateAttribute */
    if ( strcmp ( argv[2], "ValidateAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ValidateAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ValidateAttribute */
    Tcl_DStringAppendElement ( &dString, " Validate a particular attribute.  This involves checking\n that the attribute is a MINC standard attribute, and checking\n whether it can be set (as opposed to being set automatically\n from the image information).  The return values is 0 if\n the attribute is set automatically and therefore should not\n be copied from here, 1 if this attribute is valid and should\n be set, and 2 if the attribute is non-standard.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ValidateAttribute(const char *varname, const char *attname, vtkDataArray *array);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for ValidateAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValidateAttributes */
    if ( strcmp ( argv[2], "SetValidateAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValidateAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValidateAttributes */
    Tcl_DStringAppendElement ( &dString, " Set this to Off if you do not want to automatically validate\n every attribute that is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValidateAttributes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for SetValidateAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ValidateAttributesOn */
    if ( strcmp ( argv[2], "ValidateAttributesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ValidateAttributesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ValidateAttributesOn */
    Tcl_DStringAppendElement ( &dString, " Set this to Off if you do not want to automatically validate\n every attribute that is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ValidateAttributesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for ValidateAttributesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ValidateAttributesOff */
    if ( strcmp ( argv[2], "ValidateAttributesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ValidateAttributesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ValidateAttributesOff */
    Tcl_DStringAppendElement ( &dString, " Set this to Off if you do not want to automatically validate\n every attribute that is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ValidateAttributesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for ValidateAttributesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValidateAttributes */
    if ( strcmp ( argv[2], "GetValidateAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValidateAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValidateAttributes */
    Tcl_DStringAppendElement ( &dString, " Set this to Off if you do not want to automatically validate\n every attribute that is set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetValidateAttributes();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for GetValidateAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Do a shallow copy.  This will copy all the attributes\n from the source.  It is much more efficient than a DeepCopy\n would be, since it only copies pointers to the attribute values\n instead of copying the arrays themselves.  You must use this\n method to make a copy if you want to modify any MINC attributes\n from a MINCReader before you pass them to a MINCWriter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkMINCImageAttributes *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindValidRange */
    if ( strcmp ( argv[2], "FindValidRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindValidRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindValidRange */
    Tcl_DStringAppendElement ( &dString, " Find the valid range of the data from the information stored\n in the attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FindValidRange(double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for FindValidRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindImageRange */
    if ( strcmp ( argv[2], "FindImageRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindImageRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindImageRange */
    Tcl_DStringAppendElement ( &dString, " Find the image range of the data from the information stored\n in the attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FindImageRange(double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for FindImageRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintFileHeader */
    if ( strcmp ( argv[2], "PrintFileHeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintFileHeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintFileHeader */
    Tcl_DStringAppendElement ( &dString, " A diagnostic function.  Print the header of the file in \n the same format as ncdump or mincheader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrintFileHeader();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    /* Closing for PrintFileHeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
