// tcl wrapper for vtkMedicalImageReader2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMedicalImageReader2.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMedicalImageReader2NewCommand()
{
  vtkMedicalImageReader2 *temp = vtkMedicalImageReader2::New();
  return static_cast<ClientData>(temp);
}

int vtkImageReader2CppCommand(vtkImageReader2 *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMedicalImageReader2CppCommand(vtkMedicalImageReader2 *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMedicalImageReader2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMedicalImageReader2CppCommand(static_cast<vtkMedicalImageReader2 *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMedicalImageReader2CppCommand(vtkMedicalImageReader2 *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMedicalImageReader2",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageReader2CppCommand(static_cast<vtkImageReader2 *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageReader2"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMedicalImageReader2  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMedicalImageReader2");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMedicalImageReader2  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMedicalImageReader2");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMedicalImageReader2  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMedicalImageReader2");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMedicalImageProperties",argv[1]))&&(argc == 2))
    {
    vtkMedicalImageProperties  *temp20;
    temp20 = (op)->GetMedicalImageProperties();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMedicalImageProperties");
    return TCL_OK;
    }
  if ((!strcmp("SetPatientName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPatientName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPatientID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientID",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPatientID();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDate",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDate();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSeries",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSeries(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeries",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSeries();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStudy",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStudy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStudy",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetStudy();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageNumber",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageNumber",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetImageNumber();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetModality",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetModality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModality",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetModality();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMedicalImageReader2Command));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageReader2CppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMedicalImageReader2:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMedicalImageProperties\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientName\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientID\n",NULL);
    Tcl_AppendResult(interp,"  SetDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDate\n",NULL);
    Tcl_AppendResult(interp,"  SetSeries\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeries\n",NULL);
    Tcl_AppendResult(interp,"  SetStudy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStudy\n",NULL);
    Tcl_AppendResult(interp,"  SetImageNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetModality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModality\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageReader2CppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetMedicalImageProperties" );
    Tcl_DStringAppendElement ( &dString, "SetPatientName" );
    Tcl_DStringAppendElement ( &dString, "GetPatientName" );
    Tcl_DStringAppendElement ( &dString, "SetPatientID" );
    Tcl_DStringAppendElement ( &dString, "GetPatientID" );
    Tcl_DStringAppendElement ( &dString, "SetDate" );
    Tcl_DStringAppendElement ( &dString, "GetDate" );
    Tcl_DStringAppendElement ( &dString, "SetSeries" );
    Tcl_DStringAppendElement ( &dString, "GetSeries" );
    Tcl_DStringAppendElement ( &dString, "SetStudy" );
    Tcl_DStringAppendElement ( &dString, "GetStudy" );
    Tcl_DStringAppendElement ( &dString, "SetImageNumber" );
    Tcl_DStringAppendElement ( &dString, "GetImageNumber" );
    Tcl_DStringAppendElement ( &dString, "SetModality" );
    Tcl_DStringAppendElement ( &dString, "GetModality" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageReader2CppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMedicalImageReader2 *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2 *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2 *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMedicalImageProperties */
    if ( strcmp ( argv[2], "GetMedicalImageProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMedicalImageProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMedicalImageProperties */
    Tcl_DStringAppendElement ( &dString, " Get the medical image properties object\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties *GetMedicalImageProperties();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetMedicalImageProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPatientName */
    if ( strcmp ( argv[2], "SetPatientName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatientName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatientName */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPatientName(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SetPatientName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientName */
    if ( strcmp ( argv[2], "GetPatientName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientName */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetPatientName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetPatientName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPatientID */
    if ( strcmp ( argv[2], "SetPatientID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatientID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatientID */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPatientID(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SetPatientID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientID */
    if ( strcmp ( argv[2], "GetPatientID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientID */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetPatientID();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetPatientID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDate */
    if ( strcmp ( argv[2], "SetDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDate */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDate(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SetDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDate */
    if ( strcmp ( argv[2], "GetDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDate */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDate();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSeries */
    if ( strcmp ( argv[2], "SetSeries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeries */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSeries(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SetSeries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeries */
    if ( strcmp ( argv[2], "GetSeries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeries */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetSeries();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetSeries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStudy */
    if ( strcmp ( argv[2], "SetStudy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStudy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStudy */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStudy(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SetStudy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStudy */
    if ( strcmp ( argv[2], "GetStudy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStudy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStudy */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetStudy();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetStudy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageNumber */
    if ( strcmp ( argv[2], "SetImageNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageNumber */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageNumber(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SetImageNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageNumber */
    if ( strcmp ( argv[2], "GetImageNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageNumber */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetImageNumber();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetImageNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModality */
    if ( strcmp ( argv[2], "SetModality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModality */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetModality(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for SetModality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModality */
    if ( strcmp ( argv[2], "GetModality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModality */
    Tcl_DStringAppendElement ( &dString, " For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetModality();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageReader2" );
    /* Closing for GetModality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageReader2CppCommand(static_cast<vtkImageReader2 *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
