// tcl wrapper for vtkMySQLDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMySQLDatabase.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMySQLDatabaseNewCommand()
{
  vtkMySQLDatabase *temp = vtkMySQLDatabase::New();
  return static_cast<ClientData>(temp);
}

int vtkSQLDatabaseCppCommand(vtkSQLDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMySQLDatabaseCppCommand(vtkMySQLDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMySQLDatabaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMySQLDatabaseCppCommand(static_cast<vtkMySQLDatabase *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMySQLDatabaseCppCommand(vtkMySQLDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMySQLDatabase",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSQLDatabaseCppCommand(static_cast<vtkSQLDatabase *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSQLDatabase"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMySQLDatabase  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMySQLDatabase");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMySQLDatabase  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMySQLDatabase");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMySQLDatabase  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMySQLDatabase");
    return TCL_OK;
    }
  if ((!strcmp("Open",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->Open(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsOpen",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsOpen();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetQueryInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLQuery  *temp20;
    temp20 = (op)->GetQueryInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLQuery");
    return TCL_OK;
    }
  if ((!strcmp("GetTables",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetTables();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetRecord",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkStringArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetRecord(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasError",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasError();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastErrorText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLastErrorText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDatabaseType",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDatabaseType();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHostName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHostName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHostName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHostName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUser",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetUser(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUser",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetUser();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPassword",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPassword(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDatabaseName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDatabaseName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDatabaseName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDatabaseName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetReconnect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReconnect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReconnect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReconnect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReconnectOn",argv[1]))&&(argc == 2))
    {
    op->ReconnectOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReconnectOff",argv[1]))&&(argc == 2))
    {
    op->ReconnectOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetServerPort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetServerPort(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetServerPortMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetServerPortMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetServerPortMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetServerPortMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetServerPort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetServerPort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetURL",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetURL();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTablePreamble",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    vtkStdString   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->GetTablePreamble(temp0);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnSpecification",argv[1]))&&(argc == 5))
    {
    vtkSQLDatabaseSchema  *temp0;
    int      temp1;
    int      temp2;
    vtkStdString   temp20;
    error = 0;

    temp0 = (vtkSQLDatabaseSchema *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSQLDatabaseSchema"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnSpecification(temp0,temp1,temp2);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateDatabase",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    bool   temp1;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->CreateDatabase(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DropDatabase",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->DropDatabase(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ParseURL",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->ParseURL(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMySQLDatabaseCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSQLDatabaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMySQLDatabase:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Open\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  IsOpen\n",NULL);
    Tcl_AppendResult(interp,"  GetQueryInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetTables\n",NULL);
    Tcl_AppendResult(interp,"  GetRecord\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasError\n",NULL);
    Tcl_AppendResult(interp,"  GetLastErrorText\n",NULL);
    Tcl_AppendResult(interp,"  GetDatabaseType\n",NULL);
    Tcl_AppendResult(interp,"  SetHostName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHostName\n",NULL);
    Tcl_AppendResult(interp,"  SetUser\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUser\n",NULL);
    Tcl_AppendResult(interp,"  SetPassword\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDatabaseName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDatabaseName\n",NULL);
    Tcl_AppendResult(interp,"  SetReconnect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReconnect\n",NULL);
    Tcl_AppendResult(interp,"  ReconnectOn\n",NULL);
    Tcl_AppendResult(interp,"  ReconnectOff\n",NULL);
    Tcl_AppendResult(interp,"  SetServerPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetServerPortMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetServerPortMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetServerPort\n",NULL);
    Tcl_AppendResult(interp,"  GetURL\n",NULL);
    Tcl_AppendResult(interp,"  GetTablePreamble\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnSpecification\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateDatabase\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DropDatabase\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ParseURL\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSQLDatabaseCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Open" );
    Tcl_DStringAppendElement ( &dString, "Close" );
    Tcl_DStringAppendElement ( &dString, "IsOpen" );
    Tcl_DStringAppendElement ( &dString, "GetQueryInstance" );
    Tcl_DStringAppendElement ( &dString, "GetTables" );
    Tcl_DStringAppendElement ( &dString, "GetRecord" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseType" );
    Tcl_DStringAppendElement ( &dString, "SetHostName" );
    Tcl_DStringAppendElement ( &dString, "GetHostName" );
    Tcl_DStringAppendElement ( &dString, "SetUser" );
    Tcl_DStringAppendElement ( &dString, "GetUser" );
    Tcl_DStringAppendElement ( &dString, "SetPassword" );
    Tcl_DStringAppendElement ( &dString, "SetDatabaseName" );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseName" );
    Tcl_DStringAppendElement ( &dString, "SetReconnect" );
    Tcl_DStringAppendElement ( &dString, "GetReconnect" );
    Tcl_DStringAppendElement ( &dString, "ReconnectOn" );
    Tcl_DStringAppendElement ( &dString, "ReconnectOff" );
    Tcl_DStringAppendElement ( &dString, "SetServerPort" );
    Tcl_DStringAppendElement ( &dString, "GetServerPortMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetServerPortMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetServerPort" );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    Tcl_DStringAppendElement ( &dString, "GetTablePreamble" );
    Tcl_DStringAppendElement ( &dString, "GetColumnSpecification" );
    Tcl_DStringAppendElement ( &dString, "CreateDatabase" );
    Tcl_DStringAppendElement ( &dString, "DropDatabase" );
    Tcl_DStringAppendElement ( &dString, "ParseURL" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSQLDatabaseCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMySQLDatabase *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Open */
    if ( strcmp ( argv[2], "Open" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Open" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Open */
    Tcl_DStringAppendElement ( &dString, " Open a new connection to the database.  You need to set the\n filename before calling this function.  Returns true if the\n database was opened successfully; false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Open(const char *password=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for Open */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Close */
    if ( strcmp ( argv[2], "Close" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Close" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Close */
    Tcl_DStringAppendElement ( &dString, " Close the connection to the database.\n" );
    Tcl_DStringAppendElement ( &dString, "void Close();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for Close */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsOpen */
    if ( strcmp ( argv[2], "IsOpen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsOpen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsOpen */
    Tcl_DStringAppendElement ( &dString, " Return whether the database has an open connection\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsOpen();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for IsOpen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQueryInstance */
    if ( strcmp ( argv[2], "GetQueryInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQueryInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQueryInstance */
    Tcl_DStringAppendElement ( &dString, " Return an empty query on this database.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery *GetQueryInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetQueryInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTables */
    if ( strcmp ( argv[2], "GetTables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTables */
    Tcl_DStringAppendElement ( &dString, " Get the list of tables from the database\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetTables();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetTables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecord */
    if ( strcmp ( argv[2], "GetRecord" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecord" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecord */
    Tcl_DStringAppendElement ( &dString, " Get the list of fields for a particular table\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetRecord(const char *table);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetRecord */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Return whether a feature is supported by the database.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsSupported(int feature);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasError */
    if ( strcmp ( argv[2], "HasError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasError */
    Tcl_DStringAppendElement ( &dString, " Did the last operation generate an error\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasError();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for HasError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastErrorText */
    if ( strcmp ( argv[2], "GetLastErrorText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastErrorText */
    Tcl_DStringAppendElement ( &dString, " Get the last error text from the database\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLastErrorText();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetLastErrorText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDatabaseType */
    if ( strcmp ( argv[2], "GetDatabaseType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDatabaseType */
    Tcl_DStringAppendElement ( &dString, " String representing database type (e.g. \"mysql\").\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDatabaseType();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetDatabaseType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHostName */
    if ( strcmp ( argv[2], "SetHostName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHostName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHostName */
    Tcl_DStringAppendElement ( &dString, " The database server host name.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHostName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for SetHostName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHostName */
    if ( strcmp ( argv[2], "GetHostName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHostName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHostName */
    Tcl_DStringAppendElement ( &dString, " The database server host name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetHostName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetHostName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUser */
    if ( strcmp ( argv[2], "SetUser" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUser" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUser */
    Tcl_DStringAppendElement ( &dString, " The user name for connecting to the database server.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUser(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for SetUser */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUser */
    if ( strcmp ( argv[2], "GetUser" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUser" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUser */
    Tcl_DStringAppendElement ( &dString, " The user name for connecting to the database server.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetUser();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetUser */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassword */
    if ( strcmp ( argv[2], "SetPassword" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassword" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassword */
    Tcl_DStringAppendElement ( &dString, " The user's password for connecting to the database server.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassword(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for SetPassword */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDatabaseName */
    if ( strcmp ( argv[2], "SetDatabaseName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDatabaseName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDatabaseName */
    Tcl_DStringAppendElement ( &dString, " The name of the database to connect to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDatabaseName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for SetDatabaseName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDatabaseName */
    if ( strcmp ( argv[2], "GetDatabaseName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDatabaseName */
    Tcl_DStringAppendElement ( &dString, " The name of the database to connect to.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDatabaseName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetDatabaseName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReconnect */
    if ( strcmp ( argv[2], "SetReconnect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReconnect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReconnect */
    Tcl_DStringAppendElement ( &dString, " Should automatic reconnection be enabled?\n This defaults to true.\n If you change its value, you must do so before any call to Open().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReconnect(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for SetReconnect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReconnect */
    if ( strcmp ( argv[2], "GetReconnect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReconnect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReconnect */
    Tcl_DStringAppendElement ( &dString, " Should automatic reconnection be enabled?\n This defaults to true.\n If you change its value, you must do so before any call to Open().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReconnect();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetReconnect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReconnectOn */
    if ( strcmp ( argv[2], "ReconnectOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReconnectOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReconnectOn */
    Tcl_DStringAppendElement ( &dString, " Should automatic reconnection be enabled?\n This defaults to true.\n If you change its value, you must do so before any call to Open().\n" );
    Tcl_DStringAppendElement ( &dString, "void ReconnectOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for ReconnectOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReconnectOff */
    if ( strcmp ( argv[2], "ReconnectOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReconnectOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReconnectOff */
    Tcl_DStringAppendElement ( &dString, " Should automatic reconnection be enabled?\n This defaults to true.\n If you change its value, you must do so before any call to Open().\n" );
    Tcl_DStringAppendElement ( &dString, "void ReconnectOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for ReconnectOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetServerPort */
    if ( strcmp ( argv[2], "SetServerPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetServerPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetServerPort */
    Tcl_DStringAppendElement ( &dString, " The port used for connecting to the database.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetServerPort(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for SetServerPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetServerPortMinValue */
    if ( strcmp ( argv[2], "GetServerPortMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetServerPortMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetServerPortMinValue */
    Tcl_DStringAppendElement ( &dString, " The port used for connecting to the database.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetServerPortMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetServerPortMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetServerPortMaxValue */
    if ( strcmp ( argv[2], "GetServerPortMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetServerPortMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetServerPortMaxValue */
    Tcl_DStringAppendElement ( &dString, " The port used for connecting to the database.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetServerPortMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetServerPortMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetServerPort */
    if ( strcmp ( argv[2], "GetServerPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetServerPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetServerPort */
    Tcl_DStringAppendElement ( &dString, " The port used for connecting to the database.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetServerPort();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetServerPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetURL */
    if ( strcmp ( argv[2], "GetURL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetURL */
    Tcl_DStringAppendElement ( &dString, " Get the URL of the database.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetURL();" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetURL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTablePreamble */
    if ( strcmp ( argv[2], "GetTablePreamble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTablePreamble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTablePreamble */
    Tcl_DStringAppendElement ( &dString, " Return the SQL string with the syntax of the preamble following a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the MySQL-specific IF NOT EXISTS syntax,\n used when b = false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetTablePreamble(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetTablePreamble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnSpecification */
    if ( strcmp ( argv[2], "GetColumnSpecification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnSpecification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnSpecification */
    Tcl_DStringAppendElement ( &dString, " Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB1: this method implements the MySQL-specific syntax:\n \\verbatim\n `<column name>` <column type> <column attributes>\n \\endverbatim\n NB2: if a column has type SERIAL in the schema, this will be turned\n into INT NOT NULL AUTO_INCREMENT. Therefore, one should not pass\n NOT NULL as an attribute of a column whose type is SERIAL.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetColumnSpecification(vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for GetColumnSpecification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDatabase */
    if ( strcmp ( argv[2], "CreateDatabase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDatabase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDatabase */
    Tcl_DStringAppendElement ( &dString, " Create a new database, optionally dropping any existing database of the same name.\n Returns true when the database is properly created and false on failure.\n" );
    Tcl_DStringAppendElement ( &dString, "bool CreateDatabase(const char *dbName, bool dropExisting);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for CreateDatabase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DropDatabase */
    if ( strcmp ( argv[2], "DropDatabase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DropDatabase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DropDatabase */
    Tcl_DStringAppendElement ( &dString, " Drop a database if it exists.\n Returns true on success and false on failure.\n" );
    Tcl_DStringAppendElement ( &dString, "bool DropDatabase(const char *dbName);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for DropDatabase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParseURL */
    if ( strcmp ( argv[2], "ParseURL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParseURL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParseURL */
    Tcl_DStringAppendElement ( &dString, " Overridden to determine connection parameters given the URL.\n This is called by CreateFromURL() to initialize the instance.\n Look at CreateFromURL() for details about the URL format.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool ParseURL(const char *url);" );
    Tcl_DStringAppendElement ( &dString, "vtkMySQLDatabase" );
    /* Closing for ParseURL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSQLDatabaseCppCommand(static_cast<vtkSQLDatabase *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
