// python wrapper for vtkMySQLQuery
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkVariant.h"
#include "vtkStdString.h"
#include "vtkMySQLQuery.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMySQLQuery(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMySQLQuery(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMySQLQueryNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMySQLQueryNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSQLQueryNew
extern "C" { PyObject *PyVTKClass_vtkSQLQueryNew(const char *); }
#define DECLARED_PyVTKClass_vtkSQLQueryNew
#endif

static const char **PyvtkMySQLQuery_Doc();


static PyObject *
PyvtkMySQLQuery_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkMySQLQuery::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkMySQLQuery::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMySQLQuery *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkMySQLQuery::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkMySQLQuery *tempr = vtkMySQLQuery::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_SetQuery(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetQuery");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    bool tempr = (ap.IsBound() ?
      op->SetQuery(temp0) :
      op->vtkMySQLQuery::SetQuery(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_Execute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Execute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->Execute() :
      op->vtkMySQLQuery::Execute());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_BeginTransaction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BeginTransaction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->BeginTransaction() :
      op->vtkMySQLQuery::BeginTransaction());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_CommitTransaction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CommitTransaction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->CommitTransaction() :
      op->vtkMySQLQuery::CommitTransaction());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_RollbackTransaction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RollbackTransaction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->RollbackTransaction() :
      op->vtkMySQLQuery::RollbackTransaction());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_GetNumberOfFields(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfFields");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfFields() :
      op->vtkMySQLQuery::GetNumberOfFields());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_GetFieldName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetFieldName(temp0) :
      op->vtkMySQLQuery::GetFieldName(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFieldType(temp0) :
      op->vtkMySQLQuery::GetFieldType(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_NextRow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NextRow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->NextRow() :
      op->vtkMySQLQuery::NextRow());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_HasError(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasError");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->HasError() :
      op->vtkMySQLQuery::HasError());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_DataValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DataValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkVariant tempr = (ap.IsBound() ?
      op->DataValue(temp0) :
      op->vtkMySQLQuery::DataValue(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkVariant");
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_GetLastErrorText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastErrorText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetLastErrorText() :
      op->vtkMySQLQuery::GetLastErrorText());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_BindParameter_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BindParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    bool tempr = (ap.IsBound() ?
      op->BindParameter(temp0, temp1) :
      op->vtkMySQLQuery::BindParameter(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMySQLQuery_BindParameter_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BindParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  long temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    bool tempr = (ap.IsBound() ?
      op->BindParameter(temp0, temp1) :
      op->vtkMySQLQuery::BindParameter(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMySQLQuery_BindParameter_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BindParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  long long temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    bool tempr = (ap.IsBound() ?
      op->BindParameter(temp0, temp1) :
      op->vtkMySQLQuery::BindParameter(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMySQLQuery_BindParameter_s4(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BindParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    bool tempr = (ap.IsBound() ?
      op->BindParameter(temp0, temp1) :
      op->vtkMySQLQuery::BindParameter(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMySQLQuery_BindParameter_s5(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BindParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  char *temp1 = NULL;
  size_t temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    bool tempr = (ap.IsBound() ?
      op->BindParameter(temp0, temp1, temp2) :
      op->vtkMySQLQuery::BindParameter(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMySQLQuery_BindParameter_s6(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BindParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  vtkStdString temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    bool tempr = (ap.IsBound() ?
      op->BindParameter(temp0, temp1) :
      op->vtkMySQLQuery::BindParameter(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMySQLQuery_BindParameter_s7(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BindParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  int temp0;
  void  *temp1 = NULL;
  size_t temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    bool tempr = (ap.IsBound() ?
      op->BindParameter(temp0, temp1, temp2) :
      op->vtkMySQLQuery::BindParameter(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMySQLQuery_BindParameter_Methods[] = {
  {NULL, PyvtkMySQLQuery_BindParameter_s1, 1,
   (char*)"@ii"},
  {NULL, PyvtkMySQLQuery_BindParameter_s2, 1,
   (char*)"@il"},
  {NULL, PyvtkMySQLQuery_BindParameter_s3, 1,
   (char*)"@iL"},
  {NULL, PyvtkMySQLQuery_BindParameter_s4, 1,
   (char*)"@id"},
  {NULL, PyvtkMySQLQuery_BindParameter_s5, 1,
   (char*)"@izK"},
  {NULL, PyvtkMySQLQuery_BindParameter_s6, 1,
   (char*)"@is"},
  {NULL, PyvtkMySQLQuery_BindParameter_s7, 1,
   (char*)"@is#K"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkMySQLQuery_BindParameter(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkMySQLQuery_BindParameter_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
    case 3:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "BindParameter");
  return NULL;
}



static PyObject *
PyvtkMySQLQuery_ClearParameterBindings(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearParameterBindings");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->ClearParameterBindings() :
      op->vtkMySQLQuery::ClearParameterBindings());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLQuery_EscapeString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EscapeString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLQuery *op = static_cast<vtkMySQLQuery *>(vp);

  vtkStdString temp0;
  bool temp1 = true;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetValue(temp0) &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->EscapeString(temp0, temp1) :
      op->vtkMySQLQuery::EscapeString(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMySQLQuery_Methods[] = {
  {(char*)"GetClassName", PyvtkMySQLQuery_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMySQLQuery_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMySQLQuery_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMySQLQuery\nC++: vtkMySQLQuery *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMySQLQuery_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMySQLQuery\nC++: vtkMySQLQuery *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetQuery", PyvtkMySQLQuery_SetQuery, 1,
   (char*)"V.SetQuery(string) -> bool\nC++: bool SetQuery(const char *query)\n\nSet the SQL query string.  This must be performed before\nExecute() or BindParameter() can be called.\n"},
  {(char*)"Execute", PyvtkMySQLQuery_Execute, 1,
   (char*)"V.Execute() -> bool\nC++: bool Execute()\n\nExecute the query.  This must be performed before any field name\nor data access functions are used.\n"},
  {(char*)"BeginTransaction", PyvtkMySQLQuery_BeginTransaction, 1,
   (char*)"V.BeginTransaction() -> bool\nC++: virtual bool BeginTransaction()\n\nBegin, commit, or roll back a transaction.\n\nCalling any of these methods will overwrite the current query\ntext and call Execute() so any previous query text and results\nwill be lost.\n"},
  {(char*)"CommitTransaction", PyvtkMySQLQuery_CommitTransaction, 1,
   (char*)"V.CommitTransaction() -> bool\nC++: virtual bool CommitTransaction()\n\nBegin, commit, or roll back a transaction.\n\nCalling any of these methods will overwrite the current query\ntext and call Execute() so any previous query text and results\nwill be lost.\n"},
  {(char*)"RollbackTransaction", PyvtkMySQLQuery_RollbackTransaction, 1,
   (char*)"V.RollbackTransaction() -> bool\nC++: virtual bool RollbackTransaction()\n\nBegin, commit, or roll back a transaction.\n\nCalling any of these methods will overwrite the current query\ntext and call Execute() so any previous query text and results\nwill be lost.\n"},
  {(char*)"GetNumberOfFields", PyvtkMySQLQuery_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: int GetNumberOfFields()\n\nThe number of fields in the query result.\n"},
  {(char*)"GetFieldName", PyvtkMySQLQuery_GetFieldName, 1,
   (char*)"V.GetFieldName(int) -> string\nC++: const char *GetFieldName(int i)\n\nReturn the name of the specified query field.\n"},
  {(char*)"GetFieldType", PyvtkMySQLQuery_GetFieldType, 1,
   (char*)"V.GetFieldType(int) -> int\nC++: int GetFieldType(int i)\n\nReturn the type of the field, using the constants defined in\nvtkType.h.\n"},
  {(char*)"NextRow", PyvtkMySQLQuery_NextRow, 1,
   (char*)"V.NextRow() -> bool\nC++: bool NextRow()\n\nAdvance row, return false if past end.\n"},
  {(char*)"HasError", PyvtkMySQLQuery_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError()\n\nReturn true if there is an error on the current query.\n"},
  {(char*)"DataValue", PyvtkMySQLQuery_DataValue, 1,
   (char*)"V.DataValue(int) -> vtkVariant\nC++: vtkVariant DataValue(vtkIdType c)\n\nReturn data in current row, field c\n"},
  {(char*)"GetLastErrorText", PyvtkMySQLQuery_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText()\n\nGet the last error text from the query\n"},
  {(char*)"BindParameter", PyvtkMySQLQuery_BindParameter, 1,
   (char*)"V.BindParameter(int, int) -> bool\nC++: bool BindParameter(int index, int value)\nV.BindParameter(int, int) -> bool\nC++: bool BindParameter(int index, long value)\nV.BindParameter(int, int) -> bool\nC++: bool BindParameter(int index, vtkTypeInt64 value)\nV.BindParameter(int, float) -> bool\nC++: bool BindParameter(int index, double value)\nV.BindParameter(int, string, int) -> bool\nC++: bool BindParameter(int index, const char *stringValue,\n    size_t length)\nV.BindParameter(int, string) -> bool\nC++: bool BindParameter(int index, const vtkStdString &string)\nV.BindParameter(int, , int) -> bool\nC++: bool BindParameter(int index, const void *data,\n    size_t length)\n\nThe following methods bind a parameter value to a placeholder in\nthe SQL string.  See the documentation for vtkSQLQuery for\nfurther explanation.  The driver makes internal copies of string\nand BLOB parameters so you don't need to worry about keeping them\nin scope until the query finishes executing.\n"},
  {(char*)"ClearParameterBindings", PyvtkMySQLQuery_ClearParameterBindings, 1,
   (char*)"V.ClearParameterBindings() -> bool\nC++: bool ClearParameterBindings()\n\nBind a blob value.  Not all databases support blobs as a data\ntype.  Check vtkSQLDatabase::IsSupported(VTK_SQL_FEATURE_BLOB) to\nmake sure.\n"},
  {(char*)"EscapeString", PyvtkMySQLQuery_EscapeString, 1,
   (char*)"V.EscapeString(string, bool) -> string\nC++: virtual vtkStdString EscapeString(vtkStdString src,\n    bool addSurroundingQuotes=true)\n\nEscape a string for use in a query\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMySQLQuery_StaticNew()
{
  return vtkMySQLQuery::New();
}

PyObject *PyVTKClass_vtkMySQLQueryNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMySQLQuery_StaticNew,
    PyvtkMySQLQuery_Methods,
    "vtkMySQLQuery", modulename,
    NULL, NULL,
    PyvtkMySQLQuery_Doc(),
    PyVTKClass_vtkSQLQueryNew(modulename));
  return cls;
}

const char **PyvtkMySQLQuery_Doc()
{
  static const char *docstring[] = {
    "vtkMySQLQuery - vtkSQLQuery implementation for MySQL databases\n\n",
    "Superclass: vtkSQLQuery\n\n",
    "This is an implementation of vtkSQLQuery for MySQL databases.  See\nthe documentation for vtkSQLQuery for information about what the\nmethods do.\n\nBugs:\n\nSince MySQL requires that all bound parameters be passed in a single\nmysql_stmt_bind_param call, there is no way to determine which one is\ncausing an error when one occurs.\n\nSee Also:\n\nvtkSQLDatabase vtkSQLQuery vtkMySQLDatabase\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMySQLQuery(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMySQLQueryNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMySQLQuery", o) != 0)
    {
    Py_DECREF(o);
    }

}

