// python wrapper for vtkMySQLToTableReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMySQLToTableReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMySQLToTableReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMySQLToTableReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMySQLToTableReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMySQLToTableReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDatabaseToTableReaderNew
extern "C" { PyObject *PyVTKClass_vtkDatabaseToTableReaderNew(const char *); }
#define DECLARED_PyVTKClass_vtkDatabaseToTableReaderNew
#endif

static const char **PyvtkMySQLToTableReader_Doc();


static PyObject *
PyvtkMySQLToTableReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLToTableReader *op = static_cast<vtkMySQLToTableReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkMySQLToTableReader::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLToTableReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLToTableReader *op = static_cast<vtkMySQLToTableReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkMySQLToTableReader::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLToTableReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLToTableReader *op = static_cast<vtkMySQLToTableReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMySQLToTableReader *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkMySQLToTableReader::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLToTableReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkMySQLToTableReader *tempr = vtkMySQLToTableReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMySQLToTableReader_Methods[] = {
  {(char*)"GetClassName", PyvtkMySQLToTableReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMySQLToTableReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMySQLToTableReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMySQLToTableReader\nC++: vtkMySQLToTableReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMySQLToTableReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMySQLToTableReader\nC++: vtkMySQLToTableReader *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMySQLToTableReader_StaticNew()
{
  return vtkMySQLToTableReader::New();
}

PyObject *PyVTKClass_vtkMySQLToTableReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMySQLToTableReader_StaticNew,
    PyvtkMySQLToTableReader_Methods,
    "vtkMySQLToTableReader", modulename,
    NULL, NULL,
    PyvtkMySQLToTableReader_Doc(),
    PyVTKClass_vtkDatabaseToTableReaderNew(modulename));
  return cls;
}

const char **PyvtkMySQLToTableReader_Doc()
{
  static const char *docstring[] = {
    "vtkMySQLToTableReader - Read a MySQL table as a vtkTable\n\n",
    "Superclass: vtkDatabaseToTableReader\n\n",
    "vtkMySQLToTableReader reads a table from a MySQL database and outputs\nit as a vtkTable.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMySQLToTableReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMySQLToTableReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMySQLToTableReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

