// tcl wrapper for vtkNetCDFCFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNetCDFCFReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkNetCDFCFReaderNewCommand()
{
  vtkNetCDFCFReader *temp = vtkNetCDFCFReader::New();
  return static_cast<ClientData>(temp);
}

int vtkNetCDFReaderCppCommand(vtkNetCDFReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkNetCDFCFReaderCppCommand(vtkNetCDFCFReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkNetCDFCFReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkNetCDFCFReaderCppCommand(static_cast<vtkNetCDFCFReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkNetCDFCFReaderCppCommand(vtkNetCDFCFReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkNetCDFCFReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkNetCDFReaderCppCommand(static_cast<vtkNetCDFReader *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkNetCDFReader"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkNetCDFCFReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFCFReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkNetCDFCFReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFCFReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkNetCDFCFReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFCFReader");
    return TCL_OK;
    }
  if ((!strcmp("GetSphericalCoordinates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSphericalCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSphericalCoordinates",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSphericalCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SphericalCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->SphericalCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SphericalCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->SphericalCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVerticalScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVerticalScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVerticalScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVerticalBias",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVerticalBias();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalBias",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVerticalBias(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputTypeToAutomatic",argv[1]))&&(argc == 2))
    {
    op->SetOutputTypeToAutomatic();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputTypeToImage",argv[1]))&&(argc == 2))
    {
    op->SetOutputTypeToImage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputTypeToRectilinear",argv[1]))&&(argc == 2))
    {
    op->SetOutputTypeToRectilinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputTypeToStructured",argv[1]))&&(argc == 2))
    {
    op->SetOutputTypeToStructured();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputTypeToUnstructured",argv[1]))&&(argc == 2))
    {
    op->SetOutputTypeToUnstructured();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkNetCDFCFReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkNetCDFReaderCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkNetCDFCFReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetSphericalCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  SetSphericalCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SphericalCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  SphericalCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalScale\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalBias\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalBias\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTypeToAutomatic\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTypeToImage\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTypeToRectilinear\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTypeToStructured\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTypeToUnstructured\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkNetCDFReaderCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetSphericalCoordinates" );
    Tcl_DStringAppendElement ( &dString, "SetSphericalCoordinates" );
    Tcl_DStringAppendElement ( &dString, "SphericalCoordinatesOn" );
    Tcl_DStringAppendElement ( &dString, "SphericalCoordinatesOff" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalScale" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalScale" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalBias" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalBias" );
    Tcl_DStringAppendElement ( &dString, "GetOutputType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToAutomatic" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToImage" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToRectilinear" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToStructured" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToUnstructured" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkNetCDFReaderCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkNetCDFCFReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphericalCoordinates */
    if ( strcmp ( argv[2], "GetSphericalCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphericalCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphericalCoordinates */
    Tcl_DStringAppendElement ( &dString, " If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSphericalCoordinates();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for GetSphericalCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSphericalCoordinates */
    if ( strcmp ( argv[2], "SetSphericalCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSphericalCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSphericalCoordinates */
    Tcl_DStringAppendElement ( &dString, " If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSphericalCoordinates(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetSphericalCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SphericalCoordinatesOn */
    if ( strcmp ( argv[2], "SphericalCoordinatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SphericalCoordinatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SphericalCoordinatesOn */
    Tcl_DStringAppendElement ( &dString, " If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SphericalCoordinatesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SphericalCoordinatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SphericalCoordinatesOff */
    if ( strcmp ( argv[2], "SphericalCoordinatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SphericalCoordinatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SphericalCoordinatesOff */
    Tcl_DStringAppendElement ( &dString, " If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SphericalCoordinatesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SphericalCoordinatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalScale */
    if ( strcmp ( argv[2], "GetVerticalScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalScale */
    Tcl_DStringAppendElement ( &dString, " The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVerticalScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for GetVerticalScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalScale */
    if ( strcmp ( argv[2], "SetVerticalScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalScale */
    Tcl_DStringAppendElement ( &dString, " The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalScale(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetVerticalScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalBias */
    if ( strcmp ( argv[2], "GetVerticalBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalBias */
    Tcl_DStringAppendElement ( &dString, " The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVerticalBias();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for GetVerticalBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalBias */
    if ( strcmp ( argv[2], "SetVerticalBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalBias */
    Tcl_DStringAppendElement ( &dString, " The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalBias(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetVerticalBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputType */
    if ( strcmp ( argv[2], "GetOutputType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputType */
    Tcl_DStringAppendElement ( &dString, " Set/get the data type of the output.  The index used is taken from the list\n of VTK data types in vtkType.h.  Valid types are VTK_IMAGE_DATA,\n VTK_RECTILINEAR_GRID, VTK_STRUCTURED_GRID, and VTK_UNSTRUCTURED_GRID.  In\n addition you can set the type to -1 (the default), and this reader will\n pick the data type best suited for the dimensions being read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputType();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for GetOutputType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputType */
    if ( strcmp ( argv[2], "SetOutputType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputType */
    Tcl_DStringAppendElement ( &dString, " Set/get the data type of the output.  The index used is taken from the list\n of VTK data types in vtkType.h.  Valid types are VTK_IMAGE_DATA,\n VTK_RECTILINEAR_GRID, VTK_STRUCTURED_GRID, and VTK_UNSTRUCTURED_GRID.  In\n addition you can set the type to -1 (the default), and this reader will\n pick the data type best suited for the dimensions being read.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetOutputType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTypeToAutomatic */
    if ( strcmp ( argv[2], "SetOutputTypeToAutomatic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToAutomatic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTypeToAutomatic */
    Tcl_DStringAppendElement ( &dString, " Set/get the data type of the output.  The index used is taken from the list\n of VTK data types in vtkType.h.  Valid types are VTK_IMAGE_DATA,\n VTK_RECTILINEAR_GRID, VTK_STRUCTURED_GRID, and VTK_UNSTRUCTURED_GRID.  In\n addition you can set the type to -1 (the default), and this reader will\n pick the data type best suited for the dimensions being read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTypeToAutomatic();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetOutputTypeToAutomatic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTypeToImage */
    if ( strcmp ( argv[2], "SetOutputTypeToImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTypeToImage */
    Tcl_DStringAppendElement ( &dString, " Set/get the data type of the output.  The index used is taken from the list\n of VTK data types in vtkType.h.  Valid types are VTK_IMAGE_DATA,\n VTK_RECTILINEAR_GRID, VTK_STRUCTURED_GRID, and VTK_UNSTRUCTURED_GRID.  In\n addition you can set the type to -1 (the default), and this reader will\n pick the data type best suited for the dimensions being read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTypeToImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetOutputTypeToImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTypeToRectilinear */
    if ( strcmp ( argv[2], "SetOutputTypeToRectilinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToRectilinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTypeToRectilinear */
    Tcl_DStringAppendElement ( &dString, " Set/get the data type of the output.  The index used is taken from the list\n of VTK data types in vtkType.h.  Valid types are VTK_IMAGE_DATA,\n VTK_RECTILINEAR_GRID, VTK_STRUCTURED_GRID, and VTK_UNSTRUCTURED_GRID.  In\n addition you can set the type to -1 (the default), and this reader will\n pick the data type best suited for the dimensions being read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTypeToRectilinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetOutputTypeToRectilinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTypeToStructured */
    if ( strcmp ( argv[2], "SetOutputTypeToStructured" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToStructured" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTypeToStructured */
    Tcl_DStringAppendElement ( &dString, " Set/get the data type of the output.  The index used is taken from the list\n of VTK data types in vtkType.h.  Valid types are VTK_IMAGE_DATA,\n VTK_RECTILINEAR_GRID, VTK_STRUCTURED_GRID, and VTK_UNSTRUCTURED_GRID.  In\n addition you can set the type to -1 (the default), and this reader will\n pick the data type best suited for the dimensions being read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTypeToStructured();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetOutputTypeToStructured */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTypeToUnstructured */
    if ( strcmp ( argv[2], "SetOutputTypeToUnstructured" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTypeToUnstructured" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTypeToUnstructured */
    Tcl_DStringAppendElement ( &dString, " Set/get the data type of the output.  The index used is taken from the list\n of VTK data types in vtkType.h.  Valid types are VTK_IMAGE_DATA,\n VTK_RECTILINEAR_GRID, VTK_STRUCTURED_GRID, and VTK_UNSTRUCTURED_GRID.  In\n addition you can set the type to -1 (the default), and this reader will\n pick the data type best suited for the dimensions being read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTypeToUnstructured();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for SetOutputTypeToUnstructured */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Returns true if the given file can be read.\n" );
    Tcl_DStringAppendElement ( &dString, "static int CanReadFile(const char *filename);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCFReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkNetCDFReaderCppCommand(static_cast<vtkNetCDFReader *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
