// tcl wrapper for vtkNetCDFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNetCDFReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkNetCDFReaderNewCommand()
{
  vtkNetCDFReader *temp = vtkNetCDFReader::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkNetCDFReaderCppCommand(vtkNetCDFReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkNetCDFReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkNetCDFReaderCppCommand(static_cast<vtkNetCDFReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkNetCDFReaderCppCommand(vtkNetCDFReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkNetCDFReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkNetCDFReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkNetCDFReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkNetCDFReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFReader");
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("UpdateMetaData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateMetaData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVariableArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVariableArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVariableArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVariableArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVariableArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetVariableArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVariableArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetVariableArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllVariableArrayNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetAllVariableArrayNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetVariableDimensions",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetVariableDimensions();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllDimensions",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetAllDimensions();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetReplaceFillValueWithNan",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceFillValueWithNan();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceFillValueWithNan",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceFillValueWithNan(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReplaceFillValueWithNanOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceFillValueWithNanOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceFillValueWithNanOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceFillValueWithNanOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkNetCDFReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkNetCDFReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  UpdateMetaData\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVariableArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVariableArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAllVariableArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllDimensions\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceFillValueWithNan\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceFillValueWithNan\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceFillValueWithNanOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceFillValueWithNanOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "UpdateMetaData" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetVariableArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetAllVariableArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetVariableDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetAllDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceFillValueWithNan" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceFillValueWithNan" );
    Tcl_DStringAppendElement ( &dString, "ReplaceFillValueWithNanOn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceFillValueWithNanOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkNetCDFReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *filename);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateMetaData */
    if ( strcmp ( argv[2], "UpdateMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateMetaData */
    Tcl_DStringAppendElement ( &dString, " Update the meta data from the current file.  Automatically called\n during the RequestInformation pipeline update stage.\n" );
    Tcl_DStringAppendElement ( &dString, "int UpdateMetaData();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for UpdateMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVariableArrays */
    if ( strcmp ( argv[2], "GetNumberOfVariableArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVariableArrays */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfVariableArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetNumberOfVariableArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableArrayName */
    if ( strcmp ( argv[2], "GetVariableArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableArrayName */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVariableArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetVariableArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableArrayStatus */
    if ( strcmp ( argv[2], "GetVariableArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVariableArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetVariableArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVariableArrayStatus */
    if ( strcmp ( argv[2], "SetVariableArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVariableArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVariableArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVariableArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for SetVariableArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllVariableArrayNames */
    if ( strcmp ( argv[2], "GetAllVariableArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllVariableArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllVariableArrayNames */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get a list of variable arrays.  The length of the\n returned list is the same as GetNumberOfVariableArrays, and the string\n at each index i is the same as returned from GetVariableArrayname(i).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetAllVariableArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetAllVariableArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableDimensions */
    if ( strcmp ( argv[2], "GetVariableDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableDimensions */
    Tcl_DStringAppendElement ( &dString, " Returns an array with string encodings for the dimensions used in each of\n the variables.  The indices in the returned array correspond to those used\n in the GetVariableArrayName method.  Two arrays with the same dimensions\n will have the same encoded string returned by this method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetVariableDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetVariableDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, " Loads the grid with the given dimensions.  The dimensions are encoded in a\n string that conforms to the same format as returned by\n GetVariableDimensions and GetAllDimensions.  This method is really a\n convenience method for SetVariableArrayStatus.  It turns on all variables\n that have the given dimensions and turns off all other variables.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDimensions(const char *dimensions);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllDimensions */
    if ( strcmp ( argv[2], "GetAllDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllDimensions */
    Tcl_DStringAppendElement ( &dString, " Returns an array with string encodings for the dimension combinations used\n in the variables.  The result is the same as GetVariableDimensions except\n that each entry in the array is unique (a set of dimensions is only given\n once even if it occurs for multiple variables) and the order is\n meaningless.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetAllDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetAllDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceFillValueWithNan */
    if ( strcmp ( argv[2], "GetReplaceFillValueWithNan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceFillValueWithNan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceFillValueWithNan */
    Tcl_DStringAppendElement ( &dString, " If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore od ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReplaceFillValueWithNan();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for GetReplaceFillValueWithNan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceFillValueWithNan */
    if ( strcmp ( argv[2], "SetReplaceFillValueWithNan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceFillValueWithNan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceFillValueWithNan */
    Tcl_DStringAppendElement ( &dString, " If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore od ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceFillValueWithNan(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for SetReplaceFillValueWithNan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceFillValueWithNanOn */
    if ( strcmp ( argv[2], "ReplaceFillValueWithNanOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceFillValueWithNanOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceFillValueWithNanOn */
    Tcl_DStringAppendElement ( &dString, " If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore od ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceFillValueWithNanOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for ReplaceFillValueWithNanOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceFillValueWithNanOff */
    if ( strcmp ( argv[2], "ReplaceFillValueWithNanOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceFillValueWithNanOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceFillValueWithNanOff */
    Tcl_DStringAppendElement ( &dString, " If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore od ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceFillValueWithNanOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFReader" );
    /* Closing for ReplaceFillValueWithNanOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
