// tcl wrapper for vtkOggTheoraWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOggTheoraWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOggTheoraWriterNewCommand()
{
  vtkOggTheoraWriter *temp = vtkOggTheoraWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkGenericMovieWriterCppCommand(vtkGenericMovieWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOggTheoraWriterCppCommand(vtkOggTheoraWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOggTheoraWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOggTheoraWriterCppCommand(static_cast<vtkOggTheoraWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOggTheoraWriterCppCommand(vtkOggTheoraWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOggTheoraWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGenericMovieWriterCppCommand(static_cast<vtkGenericMovieWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGenericMovieWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOggTheoraWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOggTheoraWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOggTheoraWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOggTheoraWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOggTheoraWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOggTheoraWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
    {
    op->Write();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("End",argv[1]))&&(argc == 2))
    {
    op->End();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuality",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetQuality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQualityMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetQualityMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetQualityMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetQualityMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetQuality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetQuality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRateMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRateMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRateMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRateMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubsampling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSubsampling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubsampling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubsampling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SubsamplingOn",argv[1]))&&(argc == 2))
    {
    op->SubsamplingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SubsamplingOff",argv[1]))&&(argc == 2))
    {
    op->SubsamplingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOggTheoraWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGenericMovieWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOggTheoraWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Write\n",NULL);
    Tcl_AppendResult(interp,"  End\n",NULL);
    Tcl_AppendResult(interp,"  SetQuality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQualityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetQualityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetQuality\n",NULL);
    Tcl_AppendResult(interp,"  SetRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRate\n",NULL);
    Tcl_AppendResult(interp,"  SetSubsampling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubsampling\n",NULL);
    Tcl_AppendResult(interp,"  SubsamplingOn\n",NULL);
    Tcl_AppendResult(interp,"  SubsamplingOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGenericMovieWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "End" );
    Tcl_DStringAppendElement ( &dString, "SetQuality" );
    Tcl_DStringAppendElement ( &dString, "GetQualityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetQualityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetQuality" );
    Tcl_DStringAppendElement ( &dString, "SetRate" );
    Tcl_DStringAppendElement ( &dString, "GetRateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRate" );
    Tcl_DStringAppendElement ( &dString, "SetSubsampling" );
    Tcl_DStringAppendElement ( &dString, "GetSubsampling" );
    Tcl_DStringAppendElement ( &dString, "SubsamplingOn" );
    Tcl_DStringAppendElement ( &dString, "SubsamplingOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGenericMovieWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOggTheoraWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, " These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n" );
    Tcl_DStringAppendElement ( &dString, "void Start();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n" );
    Tcl_DStringAppendElement ( &dString, "void Write();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: End */
    if ( strcmp ( argv[2], "End" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "End" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for End */
    Tcl_DStringAppendElement ( &dString, " These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n" );
    Tcl_DStringAppendElement ( &dString, "void End();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for End */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuality */
    if ( strcmp ( argv[2], "SetQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuality */
    Tcl_DStringAppendElement ( &dString, " Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuality(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for SetQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQualityMinValue */
    if ( strcmp ( argv[2], "GetQualityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQualityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQualityMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n" );
    Tcl_DStringAppendElement ( &dString, "int GetQualityMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetQualityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQualityMaxValue */
    if ( strcmp ( argv[2], "GetQualityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQualityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQualityMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n" );
    Tcl_DStringAppendElement ( &dString, "int GetQualityMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetQualityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQuality */
    if ( strcmp ( argv[2], "GetQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuality */
    Tcl_DStringAppendElement ( &dString, " Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n" );
    Tcl_DStringAppendElement ( &dString, "int GetQuality();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRate */
    if ( strcmp ( argv[2], "SetRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame rate, in frame/s.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRate(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for SetRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRateMinValue */
    if ( strcmp ( argv[2], "GetRateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRateMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame rate, in frame/s.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRateMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetRateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRateMaxValue */
    if ( strcmp ( argv[2], "GetRateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRateMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame rate, in frame/s.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRateMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetRateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRate */
    if ( strcmp ( argv[2], "GetRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame rate, in frame/s.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubsampling */
    if ( strcmp ( argv[2], "SetSubsampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubsampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubsampling */
    Tcl_DStringAppendElement ( &dString, " Is the video to be encoded using 4:2:0 subsampling?\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubsampling(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for SetSubsampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubsampling */
    if ( strcmp ( argv[2], "GetSubsampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubsampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubsampling */
    Tcl_DStringAppendElement ( &dString, " Is the video to be encoded using 4:2:0 subsampling?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubsampling();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for GetSubsampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SubsamplingOn */
    if ( strcmp ( argv[2], "SubsamplingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SubsamplingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SubsamplingOn */
    Tcl_DStringAppendElement ( &dString, " Is the video to be encoded using 4:2:0 subsampling?\n" );
    Tcl_DStringAppendElement ( &dString, "void SubsamplingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for SubsamplingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SubsamplingOff */
    if ( strcmp ( argv[2], "SubsamplingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SubsamplingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SubsamplingOff */
    Tcl_DStringAppendElement ( &dString, " Is the video to be encoded using 4:2:0 subsampling?\n" );
    Tcl_DStringAppendElement ( &dString, "void SubsamplingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOggTheoraWriter" );
    /* Closing for SubsamplingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGenericMovieWriterCppCommand(static_cast<vtkGenericMovieWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
