// tcl wrapper for vtkParticleReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParticleReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParticleReaderNewCommand()
{
  vtkParticleReader *temp = vtkParticleReader::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParticleReaderCppCommand(vtkParticleReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParticleReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParticleReaderCppCommand(static_cast<vtkParticleReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParticleReaderCppCommand(vtkParticleReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParticleReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParticleReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParticleReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParticleReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParticleReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParticleReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParticleReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataByteOrderAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataByteOrderAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSwapBytes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSwapBytes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwapBytes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSwapBytes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwapBytesOn",argv[1]))&&(argc == 2))
    {
    op->SwapBytesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SwapBytesOff",argv[1]))&&(argc == 2))
    {
    op->SwapBytesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHasScalar",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHasScalar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHasScalar",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHasScalar();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasScalarOn",argv[1]))&&(argc == 2))
    {
    op->HasScalarOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasScalarOff",argv[1]))&&(argc == 2))
    {
    op->HasScalarOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileTypeToUnknown",argv[1]))&&(argc == 2))
    {
    op->SetFileTypeToUnknown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileTypeToText",argv[1]))&&(argc == 2))
    {
    op->SetFileTypeToText();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileTypeToBinary",argv[1]))&&(argc == 2))
    {
    op->SetFileTypeToBinary();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParticleReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParticleReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrderAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSwapBytes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSwapBytes\n",NULL);
    Tcl_AppendResult(interp,"  SwapBytesOn\n",NULL);
    Tcl_AppendResult(interp,"  SwapBytesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHasScalar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHasScalar\n",NULL);
    Tcl_AppendResult(interp,"  HasScalarOn\n",NULL);
    Tcl_AppendResult(interp,"  HasScalarOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFileType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileType\n",NULL);
    Tcl_AppendResult(interp,"  SetFileTypeToUnknown\n",NULL);
    Tcl_AppendResult(interp,"  SetFileTypeToText\n",NULL);
    Tcl_AppendResult(interp,"  SetFileTypeToBinary\n",NULL);
    Tcl_AppendResult(interp,"  SetDataType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataType\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToDouble\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
    Tcl_DStringAppendElement ( &dString, "SetSwapBytes" );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytes" );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOn" );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOff" );
    Tcl_DStringAppendElement ( &dString, "SetHasScalar" );
    Tcl_DStringAppendElement ( &dString, "GetHasScalar" );
    Tcl_DStringAppendElement ( &dString, "HasScalarOn" );
    Tcl_DStringAppendElement ( &dString, "HasScalarOff" );
    Tcl_DStringAppendElement ( &dString, "SetFileType" );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToUnknown" );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToText" );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToBinary" );
    Tcl_DStringAppendElement ( &dString, "SetDataType" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToDouble" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkParticleReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToBigEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetDataByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToLittleEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetDataByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrder */
    if ( strcmp ( argv[2], "GetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataByteOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrder */
    if ( strcmp ( argv[2], "SetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrder(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrderAsString */
    if ( strcmp ( argv[2], "GetDataByteOrderAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrderAsString */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDataByteOrderAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetDataByteOrderAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSwapBytes */
    if ( strcmp ( argv[2], "SetSwapBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSwapBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSwapBytes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSwapBytes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetSwapBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSwapBytes */
    if ( strcmp ( argv[2], "GetSwapBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSwapBytes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSwapBytes();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetSwapBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBytesOn */
    if ( strcmp ( argv[2], "SwapBytesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBytesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBytesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SwapBytesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBytesOff */
    if ( strcmp ( argv[2], "SwapBytesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBytesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBytesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SwapBytesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHasScalar */
    if ( strcmp ( argv[2], "SetHasScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHasScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHasScalar */
    Tcl_DStringAppendElement ( &dString, " Default: 1. If 1 then each particle has a value associated with it.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHasScalar(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetHasScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHasScalar */
    if ( strcmp ( argv[2], "GetHasScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHasScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHasScalar */
    Tcl_DStringAppendElement ( &dString, " Default: 1. If 1 then each particle has a value associated with it.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHasScalar();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetHasScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasScalarOn */
    if ( strcmp ( argv[2], "HasScalarOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasScalarOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasScalarOn */
    Tcl_DStringAppendElement ( &dString, " Default: 1. If 1 then each particle has a value associated with it.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasScalarOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for HasScalarOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasScalarOff */
    if ( strcmp ( argv[2], "HasScalarOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasScalarOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasScalarOff */
    Tcl_DStringAppendElement ( &dString, " Default: 1. If 1 then each particle has a value associated with it.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasScalarOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for HasScalarOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileType */
    if ( strcmp ( argv[2], "SetFileType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetFileType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileTypeMinValue */
    if ( strcmp ( argv[2], "GetFileTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetFileTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileTypeMaxValue */
    if ( strcmp ( argv[2], "GetFileTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetFileTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileType */
    if ( strcmp ( argv[2], "GetFileType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileType();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetFileType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileTypeToUnknown */
    if ( strcmp ( argv[2], "SetFileTypeToUnknown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToUnknown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileTypeToUnknown */
    Tcl_DStringAppendElement ( &dString, " Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileTypeToUnknown();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetFileTypeToUnknown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileTypeToText */
    if ( strcmp ( argv[2], "SetFileTypeToText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileTypeToText */
    Tcl_DStringAppendElement ( &dString, " Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileTypeToText();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetFileTypeToText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileTypeToBinary */
    if ( strcmp ( argv[2], "SetFileTypeToBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileTypeToBinary */
    Tcl_DStringAppendElement ( &dString, " Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileTypeToBinary();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetFileTypeToBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataType */
    if ( strcmp ( argv[2], "SetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeMinValue */
    if ( strcmp ( argv[2], "GetDataTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetDataTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeMaxValue */
    if ( strcmp ( argv[2], "GetDataTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetDataTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataType */
    if ( strcmp ( argv[2], "GetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataType();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for GetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToFloat */
    if ( strcmp ( argv[2], "SetDataTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetDataTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToDouble */
    if ( strcmp ( argv[2], "SetDataTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkParticleReader" );
    /* Closing for SetDataTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
