// python wrapper for vtkPostgreSQLDatabase
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkPostgreSQLDatabase.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPostgreSQLDatabase(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPostgreSQLDatabase(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPostgreSQLDatabaseNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPostgreSQLDatabaseNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSQLDatabaseNew
extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseNew(const char *); }
#define DECLARED_PyVTKClass_vtkSQLDatabaseNew
#endif

static const char **PyvtkPostgreSQLDatabase_Doc();


static PyObject *
PyvtkPostgreSQLDatabase_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkPostgreSQLDatabase::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPostgreSQLDatabase::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPostgreSQLDatabase *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPostgreSQLDatabase::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkPostgreSQLDatabase *tempr = vtkPostgreSQLDatabase::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_Open(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Open");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = 0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0, 1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp0)))
    {
    bool tempr = (ap.IsBound() ?
      op->Open(temp0) :
      op->vtkPostgreSQLDatabase::Open(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_Close(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Close");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Close();
      }
    else
      {
      op->vtkPostgreSQLDatabase::Close();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_IsOpen(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsOpen");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->IsOpen() :
      op->vtkPostgreSQLDatabase::IsOpen());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetQueryInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetQueryInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkSQLQuery *tempr = (ap.IsBound() ?
      op->GetQueryInstance() :
      op->vtkPostgreSQLDatabase::GetQueryInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_HasError(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasError");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->HasError() :
      op->vtkPostgreSQLDatabase::HasError());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetLastErrorText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastErrorText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetLastErrorText() :
      op->vtkPostgreSQLDatabase::GetLastErrorText());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetDatabaseType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDatabaseType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetDatabaseType() :
      op->vtkPostgreSQLDatabase::GetDatabaseType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_SetHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHostName(temp0);
      }
    else
      {
      op->vtkPostgreSQLDatabase::SetHostName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetHostName() :
      op->vtkPostgreSQLDatabase::GetHostName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_SetUser(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUser");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUser(temp0);
      }
    else
      {
      op->vtkPostgreSQLDatabase::SetUser(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetUser(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUser");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetUser() :
      op->vtkPostgreSQLDatabase::GetUser());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_SetPassword(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPassword");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPassword(temp0);
      }
    else
      {
      op->vtkPostgreSQLDatabase::SetPassword(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_SetDatabaseName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDatabaseName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDatabaseName(temp0);
      }
    else
      {
      op->vtkPostgreSQLDatabase::SetDatabaseName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetDatabaseName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDatabaseName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetDatabaseName() :
      op->vtkPostgreSQLDatabase::GetDatabaseName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_SetConnectOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConnectOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetConnectOptions(temp0);
      }
    else
      {
      op->vtkPostgreSQLDatabase::SetConnectOptions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetConnectOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConnectOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetConnectOptions() :
      op->vtkPostgreSQLDatabase::GetConnectOptions());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_SetServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetServerPort(temp0);
      }
    else
      {
      op->vtkPostgreSQLDatabase::SetServerPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetServerPortMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPortMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetServerPortMinValue() :
      op->vtkPostgreSQLDatabase::GetServerPortMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetServerPortMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPortMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetServerPortMaxValue() :
      op->vtkPostgreSQLDatabase::GetServerPortMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetServerPort() :
      op->vtkPostgreSQLDatabase::GetServerPort());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetURL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetURL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->GetURL() :
      op->vtkPostgreSQLDatabase::GetURL());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetTables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetTables() :
      op->vtkPostgreSQLDatabase::GetTables());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetRecord(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRecord");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetRecord(temp0) :
      op->vtkPostgreSQLDatabase::GetRecord(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_IsSupported(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsSupported");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    bool tempr = (ap.IsBound() ?
      op->IsSupported(temp0) :
      op->vtkPostgreSQLDatabase::IsSupported(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetDatabases(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDatabases");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetDatabases() :
      op->vtkPostgreSQLDatabase::GetDatabases());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_CreateDatabase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDatabase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  bool temp1 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetValue(temp0) &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    bool tempr = (ap.IsBound() ?
      op->CreateDatabase(temp0, temp1) :
      op->vtkPostgreSQLDatabase::CreateDatabase(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_DropDatabase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DropDatabase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    bool tempr = (ap.IsBound() ?
      op->DropDatabase(temp0) :
      op->vtkPostgreSQLDatabase::DropDatabase(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_GetColumnSpecification(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnSpecification");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  vtkSQLDatabaseSchema *temp0 = NULL;
  int temp1;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSQLDatabaseSchema") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->GetColumnSpecification(temp0, temp1, temp2) :
      op->vtkPostgreSQLDatabase::GetColumnSpecification(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLDatabase_ParseURL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ParseURL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLDatabase *op = static_cast<vtkPostgreSQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    bool tempr = (ap.IsBound() ?
      op->ParseURL(temp0) :
      op->vtkPostgreSQLDatabase::ParseURL(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPostgreSQLDatabase_Methods[] = {
  {(char*)"GetClassName", PyvtkPostgreSQLDatabase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPostgreSQLDatabase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPostgreSQLDatabase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPostgreSQLDatabase\nC++: vtkPostgreSQLDatabase *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPostgreSQLDatabase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPostgreSQLDatabase\nC++: vtkPostgreSQLDatabase *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Open", PyvtkPostgreSQLDatabase_Open, 1,
   (char*)"V.Open(string) -> bool\nC++: bool Open(const char *password=0)\n\nOpen a new connection to the database.  You need to set the\nfilename before calling this function.  Returns true if the\ndatabase was opened successfully; false otherwise.\n"},
  {(char*)"Close", PyvtkPostgreSQLDatabase_Close, 1,
   (char*)"V.Close()\nC++: void Close()\n\nClose the connection to the database.\n"},
  {(char*)"IsOpen", PyvtkPostgreSQLDatabase_IsOpen, 1,
   (char*)"V.IsOpen() -> bool\nC++: bool IsOpen()\n\nReturn whether the database has an open connection\n"},
  {(char*)"GetQueryInstance", PyvtkPostgreSQLDatabase_GetQueryInstance, 1,
   (char*)"V.GetQueryInstance() -> vtkSQLQuery\nC++: vtkSQLQuery *GetQueryInstance()\n\nReturn an empty query on this database.\n"},
  {(char*)"HasError", PyvtkPostgreSQLDatabase_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: virtual bool HasError()\n\nDid the last operation generate an error\n"},
  {(char*)"GetLastErrorText", PyvtkPostgreSQLDatabase_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText()\n\nGet the last error text from the database\n"},
  {(char*)"GetDatabaseType", PyvtkPostgreSQLDatabase_GetDatabaseType, 1,
   (char*)"V.GetDatabaseType() -> string\nC++: char *GetDatabaseType()\n\nString representing database type (e.g. \"psql\").\n"},
  {(char*)"SetHostName", PyvtkPostgreSQLDatabase_SetHostName, 1,
   (char*)"V.SetHostName(string)\nC++: virtual void SetHostName(const char *)\n\nThe database server host name.\n"},
  {(char*)"GetHostName", PyvtkPostgreSQLDatabase_GetHostName, 1,
   (char*)"V.GetHostName() -> string\nC++: char *GetHostName()\n\nThe database server host name.\n"},
  {(char*)"SetUser", PyvtkPostgreSQLDatabase_SetUser, 1,
   (char*)"V.SetUser(string)\nC++: virtual void SetUser(const char *)\n\nThe user name for connecting to the database server.\n"},
  {(char*)"GetUser", PyvtkPostgreSQLDatabase_GetUser, 1,
   (char*)"V.GetUser() -> string\nC++: char *GetUser()\n\nThe user name for connecting to the database server.\n"},
  {(char*)"SetPassword", PyvtkPostgreSQLDatabase_SetPassword, 1,
   (char*)"V.SetPassword(string)\nC++: virtual void SetPassword(const char *)\n\nThe user's password for connecting to the database server.\n"},
  {(char*)"SetDatabaseName", PyvtkPostgreSQLDatabase_SetDatabaseName, 1,
   (char*)"V.SetDatabaseName(string)\nC++: virtual void SetDatabaseName(const char *)\n\nThe name of the database to connect to.\n"},
  {(char*)"GetDatabaseName", PyvtkPostgreSQLDatabase_GetDatabaseName, 1,
   (char*)"V.GetDatabaseName() -> string\nC++: char *GetDatabaseName()\n\nThe name of the database to connect to.\n"},
  {(char*)"SetConnectOptions", PyvtkPostgreSQLDatabase_SetConnectOptions, 1,
   (char*)"V.SetConnectOptions(string)\nC++: virtual void SetConnectOptions(const char *)\n\nAdditional options for the database.\n"},
  {(char*)"GetConnectOptions", PyvtkPostgreSQLDatabase_GetConnectOptions, 1,
   (char*)"V.GetConnectOptions() -> string\nC++: char *GetConnectOptions()\n\nAdditional options for the database.\n"},
  {(char*)"SetServerPort", PyvtkPostgreSQLDatabase_SetServerPort, 1,
   (char*)"V.SetServerPort(int)\nC++: virtual void SetServerPort(int)\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetServerPortMinValue", PyvtkPostgreSQLDatabase_GetServerPortMinValue, 1,
   (char*)"V.GetServerPortMinValue() -> int\nC++: virtual int GetServerPortMinValue()\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetServerPortMaxValue", PyvtkPostgreSQLDatabase_GetServerPortMaxValue, 1,
   (char*)"V.GetServerPortMaxValue() -> int\nC++: virtual int GetServerPortMaxValue()\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetServerPort", PyvtkPostgreSQLDatabase_GetServerPort, 1,
   (char*)"V.GetServerPort() -> int\nC++: int GetServerPort()\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetURL", PyvtkPostgreSQLDatabase_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: virtual vtkStdString GetURL()\n\nGet a URL referencing the current database connection. This is\nnot well-defined if the HostName and DatabaseName have not been\nset. The URL will be of the form\n'psql://'[username[':'password]'@']hostname[':'port]'/'database.\n"},
  {(char*)"GetTables", PyvtkPostgreSQLDatabase_GetTables, 1,
   (char*)"V.GetTables() -> vtkStringArray\nC++: vtkStringArray *GetTables()\n\nGet the list of tables from the database\n"},
  {(char*)"GetRecord", PyvtkPostgreSQLDatabase_GetRecord, 1,
   (char*)"V.GetRecord(string) -> vtkStringArray\nC++: vtkStringArray *GetRecord(const char *table)\n\nGet the list of fields for a particular table\n"},
  {(char*)"IsSupported", PyvtkPostgreSQLDatabase_IsSupported, 1,
   (char*)"V.IsSupported(int) -> bool\nC++: bool IsSupported(int feature)\n\nReturn whether a feature is supported by the database.\n"},
  {(char*)"GetDatabases", PyvtkPostgreSQLDatabase_GetDatabases, 1,
   (char*)"V.GetDatabases() -> vtkStringArray\nC++: vtkStringArray *GetDatabases()\n\nReturn a list of databases on the server.\n"},
  {(char*)"CreateDatabase", PyvtkPostgreSQLDatabase_CreateDatabase, 1,
   (char*)"V.CreateDatabase(string, bool) -> bool\nC++: bool CreateDatabase(const char *dbName,\n    bool dropExisting=false)\n\nCreate a new database, optionally dropping any existing database\nof the same name. Returns true when the database is properly\ncreated and false on failure.\n"},
  {(char*)"DropDatabase", PyvtkPostgreSQLDatabase_DropDatabase, 1,
   (char*)"V.DropDatabase(string) -> bool\nC++: bool DropDatabase(const char *dbName)\n\nDrop a database if it exists. Returns true on success and false\non failure.\n"},
  {(char*)"GetColumnSpecification", PyvtkPostgreSQLDatabase_GetColumnSpecification, 1,
   (char*)"V.GetColumnSpecification(vtkSQLDatabaseSchema, int, int) -> string\nC++: virtual vtkStdString GetColumnSpecification(\n    vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle)\n\nReturn the SQL string with the syntax to create a column inside a \"CREATE\nTABLE\" SQL statement. NB: this method implements the\nPostgreSQL-specific syntax: <column name> <column type> <column\nattributes>\n"},
  {(char*)"ParseURL", PyvtkPostgreSQLDatabase_ParseURL, 1,
   (char*)"V.ParseURL(string) -> bool\nC++: virtual bool ParseURL(const char *url)\n\nOverridden to determine connection parameters given the URL. This\nis called by CreateFromURL() to initialize the instance. Look at\nCreateFromURL() for details about the URL format.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPostgreSQLDatabase_StaticNew()
{
  return vtkPostgreSQLDatabase::New();
}

PyObject *PyVTKClass_vtkPostgreSQLDatabaseNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPostgreSQLDatabase_StaticNew,
    PyvtkPostgreSQLDatabase_Methods,
    "vtkPostgreSQLDatabase", modulename,
    NULL, NULL,
    PyvtkPostgreSQLDatabase_Doc(),
    PyVTKClass_vtkSQLDatabaseNew(modulename));
  return cls;
}

const char **PyvtkPostgreSQLDatabase_Doc()
{
  static const char *docstring[] = {
    "vtkPostgreSQLDatabase - maintain a connection to a PostgreSQL database\n\n",
    "Superclass: vtkSQLDatabase\n\n",
    "PostgreSQL (http://www.postgres.org) is a BSD-licensed SQL database.\nIt's large, fast, and can not be easily embedded inside other\napplications.  Its databases are stored in files that belong to\nanother process.\n\nThis class provides a VTK interface to PostgreSQL.  You do need to\ndownload external libraries: we need a copy of PostgreSQL 8\n(currently 8.2 or 8.3) so that we can link against the libpq",
    " C\ninterface.\n\nThanks:\n\nThanks to David Thompson and Andy Wilson from Sandia National\nLaboratories for implementing this class.\n\nSee Also:\n\nvtkPostgreSQLQuery\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPostgreSQLDatabase(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPostgreSQLDatabaseNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPostgreSQLDatabase", o) != 0)
    {
    Py_DECREF(o);
    }

}

