// python wrapper for vtkPostgreSQLQuery
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkVariant.h"
#include "vtkStdString.h"
#include "vtkPostgreSQLQuery.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPostgreSQLQuery(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPostgreSQLQuery(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPostgreSQLQueryNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPostgreSQLQueryNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSQLQueryNew
extern "C" { PyObject *PyVTKClass_vtkSQLQueryNew(const char *); }
#define DECLARED_PyVTKClass_vtkSQLQueryNew
#endif

static const char **PyvtkPostgreSQLQuery_Doc();


static PyObject *
PyvtkPostgreSQLQuery_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkPostgreSQLQuery::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPostgreSQLQuery::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPostgreSQLQuery *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPostgreSQLQuery::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkPostgreSQLQuery *tempr = vtkPostgreSQLQuery::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_Execute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Execute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->Execute() :
      op->vtkPostgreSQLQuery::Execute());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_GetNumberOfFields(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfFields");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfFields() :
      op->vtkPostgreSQLQuery::GetNumberOfFields());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_GetFieldName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetFieldName(temp0) :
      op->vtkPostgreSQLQuery::GetFieldName(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFieldType(temp0) :
      op->vtkPostgreSQLQuery::GetFieldType(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_NextRow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NextRow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->NextRow() :
      op->vtkPostgreSQLQuery::NextRow());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_HasError(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasError");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->HasError() :
      op->vtkPostgreSQLQuery::HasError());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_BeginTransaction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BeginTransaction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->BeginTransaction() :
      op->vtkPostgreSQLQuery::BeginTransaction());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_RollbackTransaction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RollbackTransaction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->RollbackTransaction() :
      op->vtkPostgreSQLQuery::RollbackTransaction());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_CommitTransaction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CommitTransaction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->CommitTransaction() :
      op->vtkPostgreSQLQuery::CommitTransaction());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_DataValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DataValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkVariant tempr = (ap.IsBound() ?
      op->DataValue(temp0) :
      op->vtkPostgreSQLQuery::DataValue(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkVariant");
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_GetLastErrorText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastErrorText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetLastErrorText() :
      op->vtkPostgreSQLQuery::GetLastErrorText());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_EscapeString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EscapeString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  vtkStdString temp0;
  bool temp1 = true;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetValue(temp0) &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->EscapeString(temp0, temp1) :
      op->vtkPostgreSQLQuery::EscapeString(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLQuery_GetNumberOfRows(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfRows");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLQuery *op = static_cast<vtkPostgreSQLQuery *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfRows() :
      op->vtkPostgreSQLQuery::GetNumberOfRows());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPostgreSQLQuery_Methods[] = {
  {(char*)"GetClassName", PyvtkPostgreSQLQuery_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPostgreSQLQuery_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPostgreSQLQuery_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPostgreSQLQuery\nC++: vtkPostgreSQLQuery *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPostgreSQLQuery_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPostgreSQLQuery\nC++: vtkPostgreSQLQuery *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Execute", PyvtkPostgreSQLQuery_Execute, 1,
   (char*)"V.Execute() -> bool\nC++: bool Execute()\n\nExecute the query.  This must be performed before any field name\nor data access functions are used.\n"},
  {(char*)"GetNumberOfFields", PyvtkPostgreSQLQuery_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: int GetNumberOfFields()\n\nThe number of fields in the query result.\n"},
  {(char*)"GetFieldName", PyvtkPostgreSQLQuery_GetFieldName, 1,
   (char*)"V.GetFieldName(int) -> string\nC++: const char *GetFieldName(int i)\n\nReturn the name of the specified query field.\n"},
  {(char*)"GetFieldType", PyvtkPostgreSQLQuery_GetFieldType, 1,
   (char*)"V.GetFieldType(int) -> int\nC++: int GetFieldType(int i)\n\nReturn the type of the field, using the constants defined in\nvtkType.h.\n"},
  {(char*)"NextRow", PyvtkPostgreSQLQuery_NextRow, 1,
   (char*)"V.NextRow() -> bool\nC++: bool NextRow()\n\nAdvance row, return false if past end.\n"},
  {(char*)"HasError", PyvtkPostgreSQLQuery_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError()\n\nReturn true if there is an error on the current query.\n"},
  {(char*)"BeginTransaction", PyvtkPostgreSQLQuery_BeginTransaction, 1,
   (char*)"V.BeginTransaction() -> bool\nC++: bool BeginTransaction()\n\nBegin, abort (roll back), or commit a transaction.\n"},
  {(char*)"RollbackTransaction", PyvtkPostgreSQLQuery_RollbackTransaction, 1,
   (char*)"V.RollbackTransaction() -> bool\nC++: bool RollbackTransaction()\n\nBegin, abort (roll back), or commit a transaction.\n"},
  {(char*)"CommitTransaction", PyvtkPostgreSQLQuery_CommitTransaction, 1,
   (char*)"V.CommitTransaction() -> bool\nC++: bool CommitTransaction()\n\nBegin, abort (roll back), or commit a transaction.\n"},
  {(char*)"DataValue", PyvtkPostgreSQLQuery_DataValue, 1,
   (char*)"V.DataValue(int) -> vtkVariant\nC++: vtkVariant DataValue(vtkIdType c)\n\nReturn data in current row, field c\n"},
  {(char*)"GetLastErrorText", PyvtkPostgreSQLQuery_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText()\n\nGet the last error text from the query\n"},
  {(char*)"EscapeString", PyvtkPostgreSQLQuery_EscapeString, 1,
   (char*)"V.EscapeString(string, bool) -> string\nC++: virtual vtkStdString EscapeString(vtkStdString s,\n    bool addSurroundingQuotes=true)\n\nEscape a string for inclusion into an SQL query\n"},
  {(char*)"GetNumberOfRows", PyvtkPostgreSQLQuery_GetNumberOfRows, 1,
   (char*)"V.GetNumberOfRows() -> int\nC++: int GetNumberOfRows()\n\nUnlike some databases, Postgres can tell you right away how many\nrows are in the results of your query.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPostgreSQLQuery_StaticNew()
{
  return vtkPostgreSQLQuery::New();
}

PyObject *PyVTKClass_vtkPostgreSQLQueryNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPostgreSQLQuery_StaticNew,
    PyvtkPostgreSQLQuery_Methods,
    "vtkPostgreSQLQuery", modulename,
    NULL, NULL,
    PyvtkPostgreSQLQuery_Doc(),
    PyVTKClass_vtkSQLQueryNew(modulename));
  return cls;
}

const char **PyvtkPostgreSQLQuery_Doc()
{
  static const char *docstring[] = {
    "vtkPostgreSQLQuery - vtkSQLQuery implementation for PostgreSQL\ndatabases\n\n",
    "Superclass: vtkSQLQuery\n\n",
    "This is an implementation of vtkSQLQuery for PostgreSQL databases. \nSee the documentation for vtkSQLQuery for information about what the\nmethods do.\n\nThanks:\n\nThanks to David Thompson and Andy Wilson from Sandia National\nLaboratories for implementing this class.\n\nSee Also:\n\nvtkSQLDatabase vtkSQLQuery vtkPostgreSQLDatabase\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPostgreSQLQuery(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPostgreSQLQueryNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPostgreSQLQuery", o) != 0)
    {
    Py_DECREF(o);
    }

}

