// python wrapper for vtkPostgreSQLToTableReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPostgreSQLToTableReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPostgreSQLToTableReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPostgreSQLToTableReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPostgreSQLToTableReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPostgreSQLToTableReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDatabaseToTableReaderNew
extern "C" { PyObject *PyVTKClass_vtkDatabaseToTableReaderNew(const char *); }
#define DECLARED_PyVTKClass_vtkDatabaseToTableReaderNew
#endif

static const char **PyvtkPostgreSQLToTableReader_Doc();


static PyObject *
PyvtkPostgreSQLToTableReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLToTableReader *op = static_cast<vtkPostgreSQLToTableReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkPostgreSQLToTableReader::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLToTableReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLToTableReader *op = static_cast<vtkPostgreSQLToTableReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPostgreSQLToTableReader::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLToTableReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPostgreSQLToTableReader *op = static_cast<vtkPostgreSQLToTableReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPostgreSQLToTableReader *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPostgreSQLToTableReader::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPostgreSQLToTableReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkPostgreSQLToTableReader *tempr = vtkPostgreSQLToTableReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPostgreSQLToTableReader_Methods[] = {
  {(char*)"GetClassName", PyvtkPostgreSQLToTableReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPostgreSQLToTableReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPostgreSQLToTableReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPostgreSQLToTableReader\nC++: vtkPostgreSQLToTableReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPostgreSQLToTableReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPostgreSQLToTableReader\nC++: vtkPostgreSQLToTableReader *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPostgreSQLToTableReader_StaticNew()
{
  return vtkPostgreSQLToTableReader::New();
}

PyObject *PyVTKClass_vtkPostgreSQLToTableReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPostgreSQLToTableReader_StaticNew,
    PyvtkPostgreSQLToTableReader_Methods,
    "vtkPostgreSQLToTableReader", modulename,
    NULL, NULL,
    PyvtkPostgreSQLToTableReader_Doc(),
    PyVTKClass_vtkDatabaseToTableReaderNew(modulename));
  return cls;
}

const char **PyvtkPostgreSQLToTableReader_Doc()
{
  static const char *docstring[] = {
    "vtkPostgreSQLToTableReader - Read a PostgreSQL table as a vtkTable\n\n",
    "Superclass: vtkDatabaseToTableReader\n\n",
    "vtkPostgreSQLToTableReader reads a table from a PostgreSQL database\nand outputs it as a vtkTable.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPostgreSQLToTableReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPostgreSQLToTableReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPostgreSQLToTableReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

