// tcl wrapper for vtkSLACReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSLACReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSLACReaderNewCommand()
{
  vtkSLACReader *temp = vtkSLACReader::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSLACReaderCppCommand(vtkSLACReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSLACReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSLACReaderCppCommand(static_cast<vtkSLACReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSLACReaderCppCommand(vtkSLACReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSLACReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSLACReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSLACReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSLACReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSLACReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSLACReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSLACReader");
    return TCL_OK;
    }
  if ((!strcmp("GetMeshFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMeshFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMeshFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMeshFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddModeFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddModeFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllModeFileNames",argv[1]))&&(argc == 2))
    {
    op->RemoveAllModeFileNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfModeFileNames",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfModeFileNames();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetModeFileName",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetModeFileName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadInternalVolume",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadInternalVolume();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReadInternalVolume",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadInternalVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadInternalVolumeOn",argv[1]))&&(argc == 2))
    {
    op->ReadInternalVolumeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadInternalVolumeOff",argv[1]))&&(argc == 2))
    {
    op->ReadInternalVolumeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReadExternalSurface",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadExternalSurface();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReadExternalSurface",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadExternalSurface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadExternalSurfaceOn",argv[1]))&&(argc == 2))
    {
    op->ReadExternalSurfaceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadExternalSurfaceOff",argv[1]))&&(argc == 2))
    {
    op->ReadExternalSurfaceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReadMidpoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadMidpoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReadMidpoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadMidpoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadMidpointsOn",argv[1]))&&(argc == 2))
    {
    op->ReadMidpointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadMidpointsOff",argv[1]))&&(argc == 2))
    {
    op->ReadMidpointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVariableArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVariableArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVariableArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVariableArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVariableArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetVariableArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVariableArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetVariableArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSLACReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSLACReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetMeshFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetMeshFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddModeFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllModeFileNames\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfModeFileNames\n",NULL);
    Tcl_AppendResult(interp,"  GetModeFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadInternalVolume\n",NULL);
    Tcl_AppendResult(interp,"  SetReadInternalVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadInternalVolumeOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadInternalVolumeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetReadExternalSurface\n",NULL);
    Tcl_AppendResult(interp,"  SetReadExternalSurface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadExternalSurfaceOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadExternalSurfaceOff\n",NULL);
    Tcl_AppendResult(interp,"  GetReadMidpoints\n",NULL);
    Tcl_AppendResult(interp,"  SetReadMidpoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadMidpointsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadMidpointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVariableArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVariableArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetMeshFileName" );
    Tcl_DStringAppendElement ( &dString, "SetMeshFileName" );
    Tcl_DStringAppendElement ( &dString, "AddModeFileName" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllModeFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfModeFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetModeFileName" );
    Tcl_DStringAppendElement ( &dString, "GetReadInternalVolume" );
    Tcl_DStringAppendElement ( &dString, "SetReadInternalVolume" );
    Tcl_DStringAppendElement ( &dString, "ReadInternalVolumeOn" );
    Tcl_DStringAppendElement ( &dString, "ReadInternalVolumeOff" );
    Tcl_DStringAppendElement ( &dString, "GetReadExternalSurface" );
    Tcl_DStringAppendElement ( &dString, "SetReadExternalSurface" );
    Tcl_DStringAppendElement ( &dString, "ReadExternalSurfaceOn" );
    Tcl_DStringAppendElement ( &dString, "ReadExternalSurfaceOff" );
    Tcl_DStringAppendElement ( &dString, "GetReadMidpoints" );
    Tcl_DStringAppendElement ( &dString, "SetReadMidpoints" );
    Tcl_DStringAppendElement ( &dString, "ReadMidpointsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadMidpointsOff" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetVariableArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSLACReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeshFileName */
    if ( strcmp ( argv[2], "GetMeshFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeshFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeshFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "char *GetMeshFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetMeshFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMeshFileName */
    if ( strcmp ( argv[2], "SetMeshFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMeshFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMeshFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMeshFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for SetMeshFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddModeFileName */
    if ( strcmp ( argv[2], "AddModeFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddModeFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddModeFileName */
    Tcl_DStringAppendElement ( &dString, " There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddModeFileName(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for AddModeFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllModeFileNames */
    if ( strcmp ( argv[2], "RemoveAllModeFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllModeFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllModeFileNames */
    Tcl_DStringAppendElement ( &dString, " There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllModeFileNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for RemoveAllModeFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfModeFileNames */
    if ( strcmp ( argv[2], "GetNumberOfModeFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfModeFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfModeFileNames */
    Tcl_DStringAppendElement ( &dString, " There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetNumberOfModeFileNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetNumberOfModeFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModeFileName */
    if ( strcmp ( argv[2], "GetModeFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModeFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModeFileName */
    Tcl_DStringAppendElement ( &dString, " There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetModeFileName(unsigned int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetModeFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadInternalVolume */
    if ( strcmp ( argv[2], "GetReadInternalVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadInternalVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadInternalVolume */
    Tcl_DStringAppendElement ( &dString, " If on, reads the internal volume of the data set.  Set to off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadInternalVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetReadInternalVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadInternalVolume */
    if ( strcmp ( argv[2], "SetReadInternalVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadInternalVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadInternalVolume */
    Tcl_DStringAppendElement ( &dString, " If on, reads the internal volume of the data set.  Set to off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadInternalVolume(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for SetReadInternalVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadInternalVolumeOn */
    if ( strcmp ( argv[2], "ReadInternalVolumeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadInternalVolumeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadInternalVolumeOn */
    Tcl_DStringAppendElement ( &dString, " If on, reads the internal volume of the data set.  Set to off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadInternalVolumeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for ReadInternalVolumeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadInternalVolumeOff */
    if ( strcmp ( argv[2], "ReadInternalVolumeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadInternalVolumeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadInternalVolumeOff */
    Tcl_DStringAppendElement ( &dString, " If on, reads the internal volume of the data set.  Set to off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadInternalVolumeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for ReadInternalVolumeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadExternalSurface */
    if ( strcmp ( argv[2], "GetReadExternalSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadExternalSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadExternalSurface */
    Tcl_DStringAppendElement ( &dString, " If on, reads the external surfaces of the data set.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadExternalSurface();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetReadExternalSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadExternalSurface */
    if ( strcmp ( argv[2], "SetReadExternalSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadExternalSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadExternalSurface */
    Tcl_DStringAppendElement ( &dString, " If on, reads the external surfaces of the data set.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadExternalSurface(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for SetReadExternalSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadExternalSurfaceOn */
    if ( strcmp ( argv[2], "ReadExternalSurfaceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadExternalSurfaceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadExternalSurfaceOn */
    Tcl_DStringAppendElement ( &dString, " If on, reads the external surfaces of the data set.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadExternalSurfaceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for ReadExternalSurfaceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadExternalSurfaceOff */
    if ( strcmp ( argv[2], "ReadExternalSurfaceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadExternalSurfaceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadExternalSurfaceOff */
    Tcl_DStringAppendElement ( &dString, " If on, reads the external surfaces of the data set.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadExternalSurfaceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for ReadExternalSurfaceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadMidpoints */
    if ( strcmp ( argv[2], "GetReadMidpoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadMidpoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadMidpoints */
    Tcl_DStringAppendElement ( &dString, " If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadMidpoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetReadMidpoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadMidpoints */
    if ( strcmp ( argv[2], "SetReadMidpoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadMidpoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadMidpoints */
    Tcl_DStringAppendElement ( &dString, " If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadMidpoints(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for SetReadMidpoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadMidpointsOn */
    if ( strcmp ( argv[2], "ReadMidpointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadMidpointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadMidpointsOn */
    Tcl_DStringAppendElement ( &dString, " If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadMidpointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for ReadMidpointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadMidpointsOff */
    if ( strcmp ( argv[2], "ReadMidpointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadMidpointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadMidpointsOff */
    Tcl_DStringAppendElement ( &dString, " If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadMidpointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for ReadMidpointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVariableArrays */
    if ( strcmp ( argv[2], "GetNumberOfVariableArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVariableArrays */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfVariableArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetNumberOfVariableArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableArrayName */
    if ( strcmp ( argv[2], "GetVariableArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableArrayName */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVariableArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetVariableArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableArrayStatus */
    if ( strcmp ( argv[2], "GetVariableArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVariableArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for GetVariableArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVariableArrayStatus */
    if ( strcmp ( argv[2], "SetVariableArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVariableArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVariableArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Variable array selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVariableArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for SetVariableArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Returns true if the given file can be read by this reader.\n" );
    Tcl_DStringAppendElement ( &dString, "static int CanReadFile(const char *filename);" );
    Tcl_DStringAppendElement ( &dString, "vtkSLACReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
