// tcl wrapper for vtkSQLDatabaseSchema object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLDatabaseSchema.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSQLDatabaseSchemaNewCommand()
{
  vtkSQLDatabaseSchema *temp = vtkSQLDatabaseSchema::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSQLDatabaseSchemaCppCommand(vtkSQLDatabaseSchema *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSQLDatabaseSchemaCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSQLDatabaseSchemaCppCommand(static_cast<vtkSQLDatabaseSchema *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSQLDatabaseSchemaCppCommand(vtkSQLDatabaseSchema *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSQLDatabaseSchema",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLDatabaseSchema  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabaseSchema");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSQLDatabaseSchema  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabaseSchema");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSQLDatabaseSchema  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabaseSchema");
    return TCL_OK;
    }
  if ((!strcmp("AddPreamble",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->AddPreamble(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->AddTable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddColumnToTable",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    int      temp3;
    char    *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    temp20 = (op)->AddColumnToTable(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddColumnToTable",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    int      temp1;
    char    *temp2;
    int      temp3;
    char    *temp4;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    temp20 = (op)->AddColumnToTable(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIndexToTable",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->AddIndexToTable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIndexToTable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    int      temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->AddIndexToTable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddColumnToIndex",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddColumnToIndex(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddColumnToIndex",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->AddColumnToIndex(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTriggerToTable",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    char    *temp3;
    char    *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = argv[6];
    if (!error)
    {
    temp20 = (op)->AddTriggerToTable(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTriggerToTable",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    int      temp1;
    char    *temp2;
    char    *temp3;
    char    *temp4;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = argv[6];
    if (!error)
    {
    temp20 = (op)->AddTriggerToTable(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddOptionToTable",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->AddOptionToTable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddOptionToTable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->AddOptionToTable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreambleHandleFromName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPreambleHandleFromName(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreambleNameFromHandle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPreambleNameFromHandle(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreambleActionFromHandle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPreambleActionFromHandle(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreambleBackendFromHandle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPreambleBackendFromHandle(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTableHandleFromName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetTableHandleFromName(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTableNameFromHandle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTableNameFromHandle(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndexHandleFromName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetIndexHandleFromName(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndexNameFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIndexNameFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndexTypeFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIndexTypeFromHandle(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndexColumnNameFromHandle",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIndexColumnNameFromHandle(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnHandleFromName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetColumnHandleFromName(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnNameFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnNameFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnTypeFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnTypeFromHandle(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnSizeFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnSizeFromHandle(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnAttributesFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnAttributesFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriggerHandleFromName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetTriggerHandleFromName(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriggerNameFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTriggerNameFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriggerTypeFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTriggerTypeFromHandle(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriggerActionFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTriggerActionFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriggerBackendFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTriggerBackendFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOptionTextFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOptionTextFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOptionBackendFromHandle",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOptionBackendFromHandle(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPreambles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPreambles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfColumnsInTable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfColumnsInTable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfIndicesInTable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfIndicesInTable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfColumnNamesInIndex",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfColumnNamesInIndex(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTriggersInTable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfTriggersInTable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfOptionsInTable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfOptionsInTable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddTableMultipleArguments",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->AddTableMultipleArguments(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSQLDatabaseSchemaCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSQLDatabaseSchema:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddPreamble\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddColumnToTable\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddColumnToTable\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddIndexToTable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddIndexToTable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddColumnToIndex\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddColumnToIndex\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTriggerToTable\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTriggerToTable\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddOptionToTable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddOptionToTable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPreambleHandleFromName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreambleNameFromHandle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreambleActionFromHandle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreambleBackendFromHandle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTableHandleFromName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTableNameFromHandle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexHandleFromName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexNameFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexTypeFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexColumnNameFromHandle\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnHandleFromName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnNameFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnTypeFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnSizeFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnAttributesFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTriggerHandleFromName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTriggerNameFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTriggerTypeFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTriggerActionFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTriggerBackendFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOptionTextFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOptionBackendFromHandle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPreambles\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTables\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColumnsInTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIndicesInTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColumnNamesInIndex\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTriggersInTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOptionsInTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  AddTableMultipleArguments\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddPreamble" );
    Tcl_DStringAppendElement ( &dString, "AddTable" );
    Tcl_DStringAppendElement ( &dString, "AddColumnToTable" );
    Tcl_DStringAppendElement ( &dString, "AddColumnToTable" );
    Tcl_DStringAppendElement ( &dString, "AddIndexToTable" );
    Tcl_DStringAppendElement ( &dString, "AddIndexToTable" );
    Tcl_DStringAppendElement ( &dString, "AddColumnToIndex" );
    Tcl_DStringAppendElement ( &dString, "AddColumnToIndex" );
    Tcl_DStringAppendElement ( &dString, "AddTriggerToTable" );
    Tcl_DStringAppendElement ( &dString, "AddTriggerToTable" );
    Tcl_DStringAppendElement ( &dString, "AddOptionToTable" );
    Tcl_DStringAppendElement ( &dString, "AddOptionToTable" );
    Tcl_DStringAppendElement ( &dString, "GetPreambleHandleFromName" );
    Tcl_DStringAppendElement ( &dString, "GetPreambleNameFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetPreambleActionFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetPreambleBackendFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetTableHandleFromName" );
    Tcl_DStringAppendElement ( &dString, "GetTableNameFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetIndexHandleFromName" );
    Tcl_DStringAppendElement ( &dString, "GetIndexNameFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetIndexTypeFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetIndexColumnNameFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetColumnHandleFromName" );
    Tcl_DStringAppendElement ( &dString, "GetColumnNameFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetColumnTypeFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetColumnSizeFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetColumnAttributesFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetTriggerHandleFromName" );
    Tcl_DStringAppendElement ( &dString, "GetTriggerNameFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetTriggerTypeFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetTriggerActionFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetTriggerBackendFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetOptionTextFromHandle" );
    Tcl_DStringAppendElement ( &dString, "GetOptionBackendFromHandle" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPreambles" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTables" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnsInTable" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIndicesInTable" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnNamesInIndex" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTriggersInTable" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOptionsInTable" );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    Tcl_DStringAppendElement ( &dString, "AddTableMultipleArguments" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSQLDatabaseSchema *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPreamble */
    if ( strcmp ( argv[2], "AddPreamble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPreamble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPreamble */
    Tcl_DStringAppendElement ( &dString, " Add a preamble to the schema\n This can be used, in particular, to create functions and/or\n load languages in a backend-specific manner.\n Example usage:\n vtkSQLDatabaseSchema* schema = vtkSQLDatabaseSchema::New();\n schema->SetName( \"Example\" );\n schema->AddPreamble( \"dropPLPGSQL\", \"DROP LANGUAGE IF EXISTS PLPGSQL CASCADE\", VTK_SQL_POSTGRESQL );\n schema->AddPreamble( \"loadPLPGSQL\", \"CREATE LANGUAGE PLPGSQL\", VTK_SQL_POSTGRESQL );\n schema->AddPreamble( \"crea ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddPreamble(const char *preName, const char *preAction, const char *preBackend=VTK_SQL_ALLBACKENDS);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddPreamble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTable */
    if ( strcmp ( argv[2], "AddTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTable */
    Tcl_DStringAppendElement ( &dString, " Add a table to the schema\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddTable(const char *tblName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddColumnToTable */
    if ( strcmp ( argv[2], "AddColumnToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddColumnToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddColumnToTable */
    Tcl_DStringAppendElement ( &dString, " Add a column to table.\n\n The returned value is a column handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddColumnToTable(int tblHandle, int colType, const char *colName, int colSize, const char *colAttribs);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddColumnToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddColumnToTable */
    if ( strcmp ( argv[2], "AddColumnToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddColumnToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddColumnToTable */
    Tcl_DStringAppendElement ( &dString, " Add a column to table.\n\n The returned value is a column handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddColumnToTable(const char *tblName, int colType, const char *colName, int colSize, const char *colAttribs);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddColumnToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIndexToTable */
    if ( strcmp ( argv[2], "AddIndexToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIndexToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIndexToTable */
    Tcl_DStringAppendElement ( &dString, " Add an index to table.\n\n The returned value is an index handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddIndexToTable(int tblHandle, int idxType, const char *idxName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddIndexToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIndexToTable */
    if ( strcmp ( argv[2], "AddIndexToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIndexToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIndexToTable */
    Tcl_DStringAppendElement ( &dString, " Add an index to table.\n\n The returned value is an index handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddIndexToTable(const char *tblName, int idxType, const char *idxName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddIndexToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddColumnToIndex */
    if ( strcmp ( argv[2], "AddColumnToIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddColumnToIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddColumnToIndex */
    Tcl_DStringAppendElement ( &dString, " Add a column to a table index.\n\n The returned value is an index-column handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddColumnToIndex(int tblHandle, int idxHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddColumnToIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddColumnToIndex */
    if ( strcmp ( argv[2], "AddColumnToIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddColumnToIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddColumnToIndex */
    Tcl_DStringAppendElement ( &dString, " Add a column to a table index.\n\n The returned value is an index-column handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddColumnToIndex(const char *tblName, const char *idxName, const char *colName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddColumnToIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTriggerToTable */
    if ( strcmp ( argv[2], "AddTriggerToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTriggerToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTriggerToTable */
    Tcl_DStringAppendElement ( &dString, " Add a (possibly backend-specific) trigger action to a table.\n\n Triggers must be given unique, non-NULL names as some database backends require them.\n The returned value is a trigger handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddTriggerToTable(int tblHandle, int trgType, const char *trgName, const char *trgAction, const char *trgBackend=VTK_SQL_ALLBACKENDS);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddTriggerToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTriggerToTable */
    if ( strcmp ( argv[2], "AddTriggerToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTriggerToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTriggerToTable */
    Tcl_DStringAppendElement ( &dString, " Add a (possibly backend-specific) trigger action to a table.\n\n Triggers must be given unique, non-NULL names as some database backends require them.\n The returned value is a trigger handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddTriggerToTable(const char *tblName, int trgType, const char *trgName, const char *trgAction, const char *trgBackend=VTK_SQL_ALLBACKENDS);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddTriggerToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddOptionToTable */
    if ( strcmp ( argv[2], "AddOptionToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddOptionToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddOptionToTable */
    Tcl_DStringAppendElement ( &dString, " Add (possibly backend-specific) text to the end of a\n CREATE TABLE (...) statement.\n\n This is most useful for specifying storage semantics of tables\n that are specific to the backend. For example, table options\n can be used to specify the TABLESPACE of a PostgreSQL table or\n the ENGINE of a MySQL table.\n\n The returned value is an option handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddOptionToTable(int tblHandle, const char *optStr, const char *optBackend=VTK_SQL_ALLBACKENDS);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddOptionToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddOptionToTable */
    if ( strcmp ( argv[2], "AddOptionToTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddOptionToTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddOptionToTable */
    Tcl_DStringAppendElement ( &dString, " Add (possibly backend-specific) text to the end of a\n CREATE TABLE (...) statement.\n\n This is most useful for specifying storage semantics of tables\n that are specific to the backend. For example, table options\n can be used to specify the TABLESPACE of a PostgreSQL table or\n the ENGINE of a MySQL table.\n\n The returned value is an option handle or -1 if an error occurred.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddOptionToTable(const char *tblName, const char *optStr, const char *optBackend=VTK_SQL_ALLBACKENDS);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddOptionToTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreambleHandleFromName */
    if ( strcmp ( argv[2], "GetPreambleHandleFromName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreambleHandleFromName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreambleHandleFromName */
    Tcl_DStringAppendElement ( &dString, " Given a preamble name, get its handle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreambleHandleFromName(const char *preName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetPreambleHandleFromName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreambleNameFromHandle */
    if ( strcmp ( argv[2], "GetPreambleNameFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreambleNameFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreambleNameFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given a preamble handle, get its name.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPreambleNameFromHandle(int preHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetPreambleNameFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreambleActionFromHandle */
    if ( strcmp ( argv[2], "GetPreambleActionFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreambleActionFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreambleActionFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given a preamble handle, get its action.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPreambleActionFromHandle(int preHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetPreambleActionFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreambleBackendFromHandle */
    if ( strcmp ( argv[2], "GetPreambleBackendFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreambleBackendFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreambleBackendFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given a preamble handle, get its backend.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPreambleBackendFromHandle(int preHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetPreambleBackendFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableHandleFromName */
    if ( strcmp ( argv[2], "GetTableHandleFromName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableHandleFromName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableHandleFromName */
    Tcl_DStringAppendElement ( &dString, " Given a table name, get its handle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTableHandleFromName(const char *tblName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetTableHandleFromName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableNameFromHandle */
    if ( strcmp ( argv[2], "GetTableNameFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableNameFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableNameFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given a table hanlde, get its name.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTableNameFromHandle(int tblHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetTableNameFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndexHandleFromName */
    if ( strcmp ( argv[2], "GetIndexHandleFromName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndexHandleFromName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndexHandleFromName */
    Tcl_DStringAppendElement ( &dString, " Given the names of a table and an index, get the handle of the index in this table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndexHandleFromName(const char *tblName, const char *idxName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetIndexHandleFromName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndexNameFromHandle */
    if ( strcmp ( argv[2], "GetIndexNameFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndexNameFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndexNameFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and an index, get the name of the index.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetIndexNameFromHandle(int tblHandle, int idxHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetIndexNameFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndexTypeFromHandle */
    if ( strcmp ( argv[2], "GetIndexTypeFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndexTypeFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndexTypeFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and an index, get the type of the index.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndexTypeFromHandle(int tblHandle, int idxHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetIndexTypeFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndexColumnNameFromHandle */
    if ( strcmp ( argv[2], "GetIndexColumnNameFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndexColumnNameFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndexColumnNameFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table, an index, and a column name, get the column name.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetIndexColumnNameFromHandle(int tblHandle, int idxHandle, int cnmHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetIndexColumnNameFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnHandleFromName */
    if ( strcmp ( argv[2], "GetColumnHandleFromName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnHandleFromName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnHandleFromName */
    Tcl_DStringAppendElement ( &dString, " Given the names of a table and a column, get the handle of the column in this table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColumnHandleFromName(const char *tblName, const char *colName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetColumnHandleFromName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnNameFromHandle */
    if ( strcmp ( argv[2], "GetColumnNameFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnNameFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnNameFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a column, get the name of the column.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetColumnNameFromHandle(int tblHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetColumnNameFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnTypeFromHandle */
    if ( strcmp ( argv[2], "GetColumnTypeFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnTypeFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnTypeFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a column, get the type of the column.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColumnTypeFromHandle(int tblHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetColumnTypeFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnSizeFromHandle */
    if ( strcmp ( argv[2], "GetColumnSizeFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnSizeFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnSizeFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a column, get the size of the column.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColumnSizeFromHandle(int tblHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetColumnSizeFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnAttributesFromHandle */
    if ( strcmp ( argv[2], "GetColumnAttributesFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnAttributesFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnAttributesFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a column, get the attributes of the column.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetColumnAttributesFromHandle(int tblHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetColumnAttributesFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriggerHandleFromName */
    if ( strcmp ( argv[2], "GetTriggerHandleFromName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriggerHandleFromName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriggerHandleFromName */
    Tcl_DStringAppendElement ( &dString, " Given the names of a trigger and a table, get the handle of the trigger in this table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTriggerHandleFromName(const char *tblName, const char *trgName);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetTriggerHandleFromName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriggerNameFromHandle */
    if ( strcmp ( argv[2], "GetTriggerNameFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriggerNameFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriggerNameFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a trigger, get the name of the trigger.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTriggerNameFromHandle(int tblHandle, int trgHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetTriggerNameFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriggerTypeFromHandle */
    if ( strcmp ( argv[2], "GetTriggerTypeFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriggerTypeFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriggerTypeFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a trigger, get the type of the trigger.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTriggerTypeFromHandle(int tblHandle, int trgHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetTriggerTypeFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriggerActionFromHandle */
    if ( strcmp ( argv[2], "GetTriggerActionFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriggerActionFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriggerActionFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a trigger, get the action of the trigger.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTriggerActionFromHandle(int tblHandle, int trgHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetTriggerActionFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriggerBackendFromHandle */
    if ( strcmp ( argv[2], "GetTriggerBackendFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriggerBackendFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriggerBackendFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and a trigger, get the backend of the trigger.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTriggerBackendFromHandle(int tblHandle, int trgHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetTriggerBackendFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOptionTextFromHandle */
    if ( strcmp ( argv[2], "GetOptionTextFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOptionTextFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOptionTextFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and one of its options, return the text of the option.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetOptionTextFromHandle(int tblHandle, int optHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetOptionTextFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOptionBackendFromHandle */
    if ( strcmp ( argv[2], "GetOptionBackendFromHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOptionBackendFromHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOptionBackendFromHandle */
    Tcl_DStringAppendElement ( &dString, " Given the handles of a table and one of its options, get the backend of the option.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetOptionBackendFromHandle(int tblHandle, int trgHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetOptionBackendFromHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Reset the schema to its initial, empty state.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPreambles */
    if ( strcmp ( argv[2], "GetNumberOfPreambles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPreambles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPreambles */
    Tcl_DStringAppendElement ( &dString, " Get the number of preambles.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPreambles();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetNumberOfPreambles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTables */
    if ( strcmp ( argv[2], "GetNumberOfTables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTables */
    Tcl_DStringAppendElement ( &dString, " Get the number of tables.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTables();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetNumberOfTables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColumnsInTable */
    if ( strcmp ( argv[2], "GetNumberOfColumnsInTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnsInTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColumnsInTable */
    Tcl_DStringAppendElement ( &dString, " Get the number of columns in a particular table .\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfColumnsInTable(int tblHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetNumberOfColumnsInTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIndicesInTable */
    if ( strcmp ( argv[2], "GetNumberOfIndicesInTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIndicesInTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIndicesInTable */
    Tcl_DStringAppendElement ( &dString, " Get the number of indices in a particular table .\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIndicesInTable(int tblHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetNumberOfIndicesInTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColumnNamesInIndex */
    if ( strcmp ( argv[2], "GetNumberOfColumnNamesInIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnNamesInIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColumnNamesInIndex */
    Tcl_DStringAppendElement ( &dString, " Get the number of column names associated to a particular index in a particular table .\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfColumnNamesInIndex(int tblHandle, int idxHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetNumberOfColumnNamesInIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTriggersInTable */
    if ( strcmp ( argv[2], "GetNumberOfTriggersInTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTriggersInTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTriggersInTable */
    Tcl_DStringAppendElement ( &dString, " Get the number of triggers defined for a particular table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTriggersInTable(int tblHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetNumberOfTriggersInTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfOptionsInTable */
    if ( strcmp ( argv[2], "GetNumberOfOptionsInTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOptionsInTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfOptionsInTable */
    Tcl_DStringAppendElement ( &dString, " Get the number of options associated with a particular table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfOptionsInTable(int tblHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetNumberOfOptionsInTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetName */
    if ( strcmp ( argv[2], "SetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the schema.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for SetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetName */
    if ( strcmp ( argv[2], "GetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the schema.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for GetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTableMultipleArguments */
    if ( strcmp ( argv[2], "AddTableMultipleArguments" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTableMultipleArguments" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTableMultipleArguments */
    Tcl_DStringAppendElement ( &dString, " An unwrappable but useful routine to construct built-in schema.\n Example usage:\n int main()\n {\n vtkSQLDatabaseSchema* schema = vtkSQLDatabaseSchema::New();\n schema->SetName( \"Example\" );\n schema->AddTableMultipleArguments( \"atable\",\n vtkSQLDatabaseSchema::COLUMN_TOKEN, vtkSQLDatabaseSchema::INTEGER, \"tablekey\",  0, \"\",\n vtkSQLDatabaseSchema::COLUMN_TOKEN, vtkSQLDatabaseSchema::VARCHAR, \"somename\", 11, \"NOT NULL\",\n vtkSQLDatabaseSchema::COLUMN_TOKEN, vtk ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddTableMultipleArguments(const char *tblName, ...);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    /* Closing for AddTableMultipleArguments */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
