// tcl wrapper for vtkSQLQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLQuery.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkRowQueryCppCommand(vtkRowQuery *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSQLQueryCppCommand(vtkSQLQuery *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSQLQueryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSQLQueryCppCommand(static_cast<vtkSQLQuery *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSQLQueryCppCommand(vtkSQLQuery *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSQLQuery",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRowQueryCppCommand(static_cast<vtkRowQuery *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRowQuery"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLQuery  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLQuery");
    return TCL_OK;
    }
  if ((!strcmp("SetQuery",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetQuery(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQuery",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetQuery();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsActive",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsActive();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Execute",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->Execute();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BeginTransaction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->BeginTransaction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CommitTransaction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->CommitTransaction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RollbackTransaction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->RollbackTransaction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDatabase",argv[1]))&&(argc == 2))
    {
    vtkSQLDatabase  *temp20;
    temp20 = (op)->GetDatabase();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabase");
    return TCL_OK;
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned char     temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned short    temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned short>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned int      temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned long     temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    signed char   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    short    temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    long     temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned long long   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long long>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    long long   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    float    temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearParameterBindings",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->ClearParameterBindings();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EscapeString",argv[1]))&&(argc == 4))
    {
    vtkStdString   temp0;
    bool   temp1;
    vtkStdString   temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->EscapeString(temp0,temp1);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("EscapeString",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    bool   temp1;
    char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->EscapeString(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSQLQueryCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRowQueryCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSQLQuery:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetQuery\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQuery\n",NULL);
    Tcl_AppendResult(interp,"  IsActive\n",NULL);
    Tcl_AppendResult(interp,"  Execute\n",NULL);
    Tcl_AppendResult(interp,"  BeginTransaction\n",NULL);
    Tcl_AppendResult(interp,"  CommitTransaction\n",NULL);
    Tcl_AppendResult(interp,"  RollbackTransaction\n",NULL);
    Tcl_AppendResult(interp,"  GetDatabase\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearParameterBindings\n",NULL);
    Tcl_AppendResult(interp,"  EscapeString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EscapeString\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRowQueryCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetQuery" );
    Tcl_DStringAppendElement ( &dString, "GetQuery" );
    Tcl_DStringAppendElement ( &dString, "IsActive" );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    Tcl_DStringAppendElement ( &dString, "BeginTransaction" );
    Tcl_DStringAppendElement ( &dString, "CommitTransaction" );
    Tcl_DStringAppendElement ( &dString, "RollbackTransaction" );
    Tcl_DStringAppendElement ( &dString, "GetDatabase" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "ClearParameterBindings" );
    Tcl_DStringAppendElement ( &dString, "EscapeString" );
    Tcl_DStringAppendElement ( &dString, "EscapeString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRowQueryCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuery */
    if ( strcmp ( argv[2], "SetQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuery */
    Tcl_DStringAppendElement ( &dString, " The query string to be executed.  Since some databases will\n process the query string as soon as it's set, this method returns\n a boolean to indicate success or failure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool SetQuery(const char *query);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for SetQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQuery */
    if ( strcmp ( argv[2], "GetQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuery */
    Tcl_DStringAppendElement ( &dString, " The query string to be executed.  Since some databases will\n process the query string as soon as it's set, this method returns\n a boolean to indicate success or failure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetQuery();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for GetQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsActive */
    if ( strcmp ( argv[2], "IsActive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsActive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsActive */
    Tcl_DStringAppendElement ( &dString, " Return true if the query is active (i.e. execution was successful\n and results are ready to be fetched).  Returns false on error or\n inactive query.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsActive();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for IsActive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Execute */
    if ( strcmp ( argv[2], "Execute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Execute */
    Tcl_DStringAppendElement ( &dString, " Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Execute() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for Execute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BeginTransaction */
    if ( strcmp ( argv[2], "BeginTransaction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BeginTransaction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BeginTransaction */
    Tcl_DStringAppendElement ( &dString, " Begin, commit, or roll back a transaction.  If the underlying\n database does not support transactions these calls will do\n nothing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BeginTransaction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BeginTransaction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CommitTransaction */
    if ( strcmp ( argv[2], "CommitTransaction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CommitTransaction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CommitTransaction */
    Tcl_DStringAppendElement ( &dString, " Begin, commit, or roll back a transaction.  If the underlying\n database does not support transactions these calls will do\n nothing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool CommitTransaction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for CommitTransaction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RollbackTransaction */
    if ( strcmp ( argv[2], "RollbackTransaction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RollbackTransaction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RollbackTransaction */
    Tcl_DStringAppendElement ( &dString, " Begin, commit, or roll back a transaction.  If the underlying\n database does not support transactions these calls will do\n nothing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RollbackTransaction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for RollbackTransaction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDatabase */
    if ( strcmp ( argv[2], "GetDatabase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDatabase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDatabase */
    Tcl_DStringAppendElement ( &dString, " Return the database associated with the query.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase *GetDatabase();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for GetDatabase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " Bind a parameter to a placeholder in a query.  A full discussion\n of this feature is beyond the scope of this header file, but in\n short, here's how it works:\n\n Instead of saying \"SELECT foo FROM mytable WHERE myfield = 12345\"\n you can say \"SELECT foo FROM mytable WHERE myfield = ?\".  The ?\n character is a placeholder for a parameter that must then be\n bound.  Call BindParameter(0, 12345) to bind the integer value\n 12345 to that field.  Placeholders are indexed  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, unsigned char value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " Bind a parameter to a placeholder in a query.  A full discussion\n of this feature is beyond the scope of this header file, but in\n short, here's how it works:\n\n Instead of saying \"SELECT foo FROM mytable WHERE myfield = 12345\"\n you can say \"SELECT foo FROM mytable WHERE myfield = ?\".  The ?\n character is a placeholder for a parameter that must then be\n bound.  Call BindParameter(0, 12345) to bind the integer value\n 12345 to that field.  Placeholders are indexed  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, unsigned short value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " Bind a parameter to a placeholder in a query.  A full discussion\n of this feature is beyond the scope of this header file, but in\n short, here's how it works:\n\n Instead of saying \"SELECT foo FROM mytable WHERE myfield = 12345\"\n you can say \"SELECT foo FROM mytable WHERE myfield = ?\".  The ?\n character is a placeholder for a parameter that must then be\n bound.  Call BindParameter(0, 12345) to bind the integer value\n 12345 to that field.  Placeholders are indexed  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, unsigned int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " Bind a parameter to a placeholder in a query.  A full discussion\n of this feature is beyond the scope of this header file, but in\n short, here's how it works:\n\n Instead of saying \"SELECT foo FROM mytable WHERE myfield = 12345\"\n you can say \"SELECT foo FROM mytable WHERE myfield = ?\".  The ?\n character is a placeholder for a parameter that must then be\n bound.  Call BindParameter(0, 12345) to bind the integer value\n 12345 to that field.  Placeholders are indexed  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, unsigned long value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, signed char value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, short value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, long value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, vtkTypeUInt64 value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, vtkTypeInt64 value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, float value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " Bind a string value -- string must be null-terminated\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool BindParameter(int index, const char *stringValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearParameterBindings */
    if ( strcmp ( argv[2], "ClearParameterBindings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearParameterBindings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearParameterBindings */
    Tcl_DStringAppendElement ( &dString, " Reset all parameter bindings to NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool ClearParameterBindings();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for ClearParameterBindings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EscapeString */
    if ( strcmp ( argv[2], "EscapeString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EscapeString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EscapeString */
    Tcl_DStringAppendElement ( &dString, " Escape a string for inclusion into an SQL query.\n If \\a addSurroundingQuotes is true, then quotation marks appropriate to the\n backend database will be added to enclose the escaped string. This argument\n defaults to true.\n\n A default, simple-minded implementation is provided for\n database backends that do not provde a way to escape\n strings for use inside queries.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString EscapeString(vtkStdString s, bool addSurroundingQuotes=true);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for EscapeString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EscapeString */
    if ( strcmp ( argv[2], "EscapeString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EscapeString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EscapeString */
    Tcl_DStringAppendElement ( &dString, " Escape a string for inclusion into an SQL query.\n This method exists to provide a wrappable version of\n the method that takes and returns vtkStdString objects.\n You are responsible for calling delete \\[\\] on the\n character array returned by this method.\n This method simply calls the vtkStdString variant and thus\n need not be re-implemented by subclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "char *EscapeString(const char *src, bool addSurroundingQuotes);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    /* Closing for EscapeString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRowQueryCppCommand(static_cast<vtkRowQuery *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
