// tcl wrapper for vtkSQLiteDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLiteDatabase.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSQLiteDatabaseNewCommand()
{
  vtkSQLiteDatabase *temp = vtkSQLiteDatabase::New();
  return static_cast<ClientData>(temp);
}

int vtkSQLDatabaseCppCommand(vtkSQLDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSQLiteDatabaseCppCommand(vtkSQLiteDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSQLiteDatabaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSQLiteDatabaseCppCommand(static_cast<vtkSQLiteDatabase *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSQLiteDatabaseCppCommand(vtkSQLiteDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSQLiteDatabase",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSQLDatabaseCppCommand(static_cast<vtkSQLDatabase *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSQLDatabase"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLiteDatabase  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLiteDatabase");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSQLiteDatabase  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLiteDatabase");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSQLiteDatabase  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLiteDatabase");
    return TCL_OK;
    }
  if ((!strcmp("Open",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->Open(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Open",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Open(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsOpen",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsOpen();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetQueryInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLQuery  *temp20;
    temp20 = (op)->GetQueryInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLQuery");
    return TCL_OK;
    }
  if ((!strcmp("GetTables",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetTables();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetRecord",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkStringArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetRecord(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasError",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasError();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastErrorText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLastErrorText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDatabaseType",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDatabaseType();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDatabaseFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDatabaseFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDatabaseFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDatabaseFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetURL",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetURL();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColumnSpecification",argv[1]))&&(argc == 5))
    {
    vtkSQLDatabaseSchema  *temp0;
    int      temp1;
    int      temp2;
    vtkStdString   temp20;
    error = 0;

    temp0 = (vtkSQLDatabaseSchema *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSQLDatabaseSchema"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnSpecification(temp0,temp1,temp2);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSQLiteDatabaseCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSQLDatabaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSQLiteDatabase:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Open\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Open\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  IsOpen\n",NULL);
    Tcl_AppendResult(interp,"  GetQueryInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetTables\n",NULL);
    Tcl_AppendResult(interp,"  GetRecord\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasError\n",NULL);
    Tcl_AppendResult(interp,"  GetLastErrorText\n",NULL);
    Tcl_AppendResult(interp,"  GetDatabaseType\n",NULL);
    Tcl_AppendResult(interp,"  GetDatabaseFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetDatabaseFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetURL\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnSpecification\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSQLDatabaseCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Open" );
    Tcl_DStringAppendElement ( &dString, "Open" );
    Tcl_DStringAppendElement ( &dString, "Close" );
    Tcl_DStringAppendElement ( &dString, "IsOpen" );
    Tcl_DStringAppendElement ( &dString, "GetQueryInstance" );
    Tcl_DStringAppendElement ( &dString, "GetTables" );
    Tcl_DStringAppendElement ( &dString, "GetRecord" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseType" );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseFileName" );
    Tcl_DStringAppendElement ( &dString, "SetDatabaseFileName" );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    Tcl_DStringAppendElement ( &dString, "GetColumnSpecification" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSQLDatabaseCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSQLiteDatabase *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Open */
    if ( strcmp ( argv[2], "Open" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Open" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Open */
    Tcl_DStringAppendElement ( &dString, " Open a new connection to the database.  You need to set the\n filename before calling this function.  Returns true if the\n database was opened successfully; false otherwise.\n - USE_EXISTING (default) - Fail if the file does not exist.\n - USE_EXISTING_OR_CREATE - Create a new file if necessary.\n - CREATE_OR_CLEAR - Create new or clear existing file.\n - CREATE - Create new, fail if file exists.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Open(const char *password);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for Open */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Open */
    if ( strcmp ( argv[2], "Open" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Open" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Open */
    Tcl_DStringAppendElement ( &dString, " Open a new connection to the database.  You need to set the\n filename before calling this function.  Returns true if the\n database was opened successfully; false otherwise.\n - USE_EXISTING (default) - Fail if the file does not exist.\n - USE_EXISTING_OR_CREATE - Create a new file if necessary.\n - CREATE_OR_CLEAR - Create new or clear existing file.\n - CREATE - Create new, fail if file exists.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Open(const char *password, int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for Open */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Close */
    if ( strcmp ( argv[2], "Close" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Close" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Close */
    Tcl_DStringAppendElement ( &dString, " Close the connection to the database.\n" );
    Tcl_DStringAppendElement ( &dString, "void Close();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for Close */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsOpen */
    if ( strcmp ( argv[2], "IsOpen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsOpen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsOpen */
    Tcl_DStringAppendElement ( &dString, " Return whether the database has an open connection\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsOpen();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for IsOpen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQueryInstance */
    if ( strcmp ( argv[2], "GetQueryInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQueryInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQueryInstance */
    Tcl_DStringAppendElement ( &dString, " Return an empty query on this database.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery *GetQueryInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetQueryInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTables */
    if ( strcmp ( argv[2], "GetTables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTables */
    Tcl_DStringAppendElement ( &dString, " Get the list of tables from the database\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetTables();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetTables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecord */
    if ( strcmp ( argv[2], "GetRecord" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecord" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecord */
    Tcl_DStringAppendElement ( &dString, " Get the list of fields for a particular table\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetRecord(const char *table);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetRecord */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Return whether a feature is supported by the database.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsSupported(int feature);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasError */
    if ( strcmp ( argv[2], "HasError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasError */
    Tcl_DStringAppendElement ( &dString, " Did the last operation generate an error\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasError();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for HasError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastErrorText */
    if ( strcmp ( argv[2], "GetLastErrorText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastErrorText */
    Tcl_DStringAppendElement ( &dString, " Get the last error text from the database\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLastErrorText();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetLastErrorText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDatabaseType */
    if ( strcmp ( argv[2], "GetDatabaseType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDatabaseType */
    Tcl_DStringAppendElement ( &dString, " String representing database type (e.g. \"sqlite\").\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDatabaseType();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetDatabaseType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDatabaseFileName */
    if ( strcmp ( argv[2], "GetDatabaseFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDatabaseFileName */
    Tcl_DStringAppendElement ( &dString, " String representing the database filename.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDatabaseFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetDatabaseFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDatabaseFileName */
    if ( strcmp ( argv[2], "SetDatabaseFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDatabaseFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDatabaseFileName */
    Tcl_DStringAppendElement ( &dString, " String representing the database filename.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDatabaseFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for SetDatabaseFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetURL */
    if ( strcmp ( argv[2], "GetURL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetURL */
    Tcl_DStringAppendElement ( &dString, " Get the URL of the database.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetURL();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetURL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnSpecification */
    if ( strcmp ( argv[2], "GetColumnSpecification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnSpecification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnSpecification */
    Tcl_DStringAppendElement ( &dString, " Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the SQLite-specific syntax:\n <column name> <column type> <column attributes>\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetColumnSpecification(vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteDatabase" );
    /* Closing for GetColumnSpecification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSQLDatabaseCppCommand(static_cast<vtkSQLDatabase *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
