// tcl wrapper for vtkSQLiteQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLiteQuery.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSQLiteQueryNewCommand()
{
  vtkSQLiteQuery *temp = vtkSQLiteQuery::New();
  return static_cast<ClientData>(temp);
}

int vtkSQLQueryCppCommand(vtkSQLQuery *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSQLiteQueryCppCommand(vtkSQLiteQuery *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSQLiteQueryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSQLiteQueryCppCommand(static_cast<vtkSQLiteQuery *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSQLiteQueryCppCommand(vtkSQLiteQuery *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSQLiteQuery",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSQLQueryCppCommand(static_cast<vtkSQLQuery *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSQLQuery"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLiteQuery  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLiteQuery");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSQLiteQuery  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLiteQuery");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSQLiteQuery  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLiteQuery");
    return TCL_OK;
    }
  if ((!strcmp("SetQuery",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetQuery(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Execute",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->Execute();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFields",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFields();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFieldName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFieldName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFieldType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NextRow",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->NextRow();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasError",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasError();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BeginTransaction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->BeginTransaction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RollbackTransaction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->RollbackTransaction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CommitTransaction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->CommitTransaction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastErrorText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLastErrorText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned char     temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    signed char   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned short    temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned short>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    short    temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned int      temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned long     temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    long     temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    unsigned long long   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long long>(tempi);
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    long long   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    float    temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BindParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->BindParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearParameterBindings",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->ClearParameterBindings();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSQLiteQueryCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSQLQueryCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSQLiteQuery:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetQuery\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Execute\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFields\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NextRow\n",NULL);
    Tcl_AppendResult(interp,"  HasError\n",NULL);
    Tcl_AppendResult(interp,"  BeginTransaction\n",NULL);
    Tcl_AppendResult(interp,"  RollbackTransaction\n",NULL);
    Tcl_AppendResult(interp,"  CommitTransaction\n",NULL);
    Tcl_AppendResult(interp,"  GetLastErrorText\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BindParameter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearParameterBindings\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSQLQueryCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetQuery" );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFields" );
    Tcl_DStringAppendElement ( &dString, "GetFieldName" );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    Tcl_DStringAppendElement ( &dString, "NextRow" );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    Tcl_DStringAppendElement ( &dString, "BeginTransaction" );
    Tcl_DStringAppendElement ( &dString, "RollbackTransaction" );
    Tcl_DStringAppendElement ( &dString, "CommitTransaction" );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    Tcl_DStringAppendElement ( &dString, "ClearParameterBindings" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSQLQueryCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSQLiteQuery *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuery */
    if ( strcmp ( argv[2], "SetQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuery */
    Tcl_DStringAppendElement ( &dString, " Set the SQL query string.  This must be performed before\n Execute() or BindParameter() can be called.\n" );
    Tcl_DStringAppendElement ( &dString, "bool SetQuery(const char *query);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for SetQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Execute */
    if ( strcmp ( argv[2], "Execute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Execute */
    Tcl_DStringAppendElement ( &dString, " Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Execute();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for Execute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFields */
    if ( strcmp ( argv[2], "GetNumberOfFields" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFields" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFields */
    Tcl_DStringAppendElement ( &dString, " The number of fields in the query result.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFields();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for GetNumberOfFields */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldName */
    if ( strcmp ( argv[2], "GetFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldName */
    Tcl_DStringAppendElement ( &dString, " Return the name of the specified query field.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFieldName(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for GetFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldType */
    if ( strcmp ( argv[2], "GetFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldType */
    Tcl_DStringAppendElement ( &dString, " Return the type of the field, using the constants defined in vtkType.h.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldType(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for GetFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NextRow */
    if ( strcmp ( argv[2], "NextRow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NextRow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NextRow */
    Tcl_DStringAppendElement ( &dString, " Advance row, return false if past end.\n" );
    Tcl_DStringAppendElement ( &dString, "bool NextRow();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for NextRow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasError */
    if ( strcmp ( argv[2], "HasError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasError */
    Tcl_DStringAppendElement ( &dString, " Return true if there is an error on the current query.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasError();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for HasError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BeginTransaction */
    if ( strcmp ( argv[2], "BeginTransaction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BeginTransaction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BeginTransaction */
    Tcl_DStringAppendElement ( &dString, " Begin, abort (roll back), or commit a transaction.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BeginTransaction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BeginTransaction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RollbackTransaction */
    if ( strcmp ( argv[2], "RollbackTransaction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RollbackTransaction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RollbackTransaction */
    Tcl_DStringAppendElement ( &dString, " Begin, abort (roll back), or commit a transaction.\n" );
    Tcl_DStringAppendElement ( &dString, "bool RollbackTransaction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for RollbackTransaction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CommitTransaction */
    if ( strcmp ( argv[2], "CommitTransaction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CommitTransaction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CommitTransaction */
    Tcl_DStringAppendElement ( &dString, " Begin, abort (roll back), or commit a transaction.\n" );
    Tcl_DStringAppendElement ( &dString, "bool CommitTransaction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for CommitTransaction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastErrorText */
    if ( strcmp ( argv[2], "GetLastErrorText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastErrorText */
    Tcl_DStringAppendElement ( &dString, " Get the last error text from the query\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLastErrorText();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for GetLastErrorText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, unsigned char value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, signed char value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, unsigned short value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, short value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, unsigned int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, unsigned long value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, long value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, vtkTypeUInt64 value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, vtkTypeInt64 value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, float value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BindParameter */
    if ( strcmp ( argv[2], "BindParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BindParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BindParameter */
    Tcl_DStringAppendElement ( &dString, " Bind a string value -- string must be null-terminated\n" );
    Tcl_DStringAppendElement ( &dString, "bool BindParameter(int index, const char *stringValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for BindParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearParameterBindings */
    if ( strcmp ( argv[2], "ClearParameterBindings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearParameterBindings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearParameterBindings */
    Tcl_DStringAppendElement ( &dString, " Bind a blob value.  Not all databases support blobs as a data\n type.  Check vtkSQLDatabase::IsSupported(VTK_SQL_FEATURE_BLOB) to\n make sure.\n" );
    Tcl_DStringAppendElement ( &dString, "bool ClearParameterBindings();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLiteQuery" );
    /* Closing for ClearParameterBindings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSQLQueryCppCommand(static_cast<vtkSQLQuery *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
