// tcl wrapper for vtkSortFileNames object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSortFileNames.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSortFileNamesNewCommand()
{
  vtkSortFileNames *temp = vtkSortFileNames::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSortFileNamesCppCommand(vtkSortFileNames *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSortFileNamesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSortFileNamesCppCommand(static_cast<vtkSortFileNames *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSortFileNamesCppCommand(vtkSortFileNames *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSortFileNames",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSortFileNames  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSortFileNames");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSortFileNames  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSortFileNames");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSortFileNames  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSortFileNames");
    return TCL_OK;
    }
  if ((!strcmp("SetGrouping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGrouping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGrouping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGrouping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GroupingOn",argv[1]))&&(argc == 2))
    {
    op->GroupingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GroupingOff",argv[1]))&&(argc == 2))
    {
    op->GroupingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumericSort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumericSort(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumericSort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumericSort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NumericSortOn",argv[1]))&&(argc == 2))
    {
    op->NumericSortOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NumericSortOff",argv[1]))&&(argc == 2))
    {
    op->NumericSortOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIgnoreCase",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIgnoreCase(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIgnoreCase",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIgnoreCase();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IgnoreCaseOn",argv[1]))&&(argc == 2))
    {
    op->IgnoreCaseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IgnoreCaseOff",argv[1]))&&(argc == 2))
    {
    op->IgnoreCaseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSkipDirectories",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSkipDirectories(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSkipDirectories",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSkipDirectories();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SkipDirectoriesOn",argv[1]))&&(argc == 2))
    {
    op->SkipDirectoriesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SkipDirectoriesOff",argv[1]))&&(argc == 2))
    {
    op->SkipDirectoriesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputFileNames",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetInputFileNames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputFileNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetInputFileNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetFileNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetFileNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfGroups",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfGroups();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNthGroup",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkStringArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthGroup(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSortFileNamesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSortFileNames:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetGrouping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGrouping\n",NULL);
    Tcl_AppendResult(interp,"  GroupingOn\n",NULL);
    Tcl_AppendResult(interp,"  GroupingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumericSort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumericSort\n",NULL);
    Tcl_AppendResult(interp,"  NumericSortOn\n",NULL);
    Tcl_AppendResult(interp,"  NumericSortOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIgnoreCase\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnoreCase\n",NULL);
    Tcl_AppendResult(interp,"  IgnoreCaseOn\n",NULL);
    Tcl_AppendResult(interp,"  IgnoreCaseOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSkipDirectories\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSkipDirectories\n",NULL);
    Tcl_AppendResult(interp,"  SkipDirectoriesOn\n",NULL);
    Tcl_AppendResult(interp,"  SkipDirectoriesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInputFileNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputFileNames\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNames\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfGroups\n",NULL);
    Tcl_AppendResult(interp,"  GetNthGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetGrouping" );
    Tcl_DStringAppendElement ( &dString, "GetGrouping" );
    Tcl_DStringAppendElement ( &dString, "GroupingOn" );
    Tcl_DStringAppendElement ( &dString, "GroupingOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumericSort" );
    Tcl_DStringAppendElement ( &dString, "GetNumericSort" );
    Tcl_DStringAppendElement ( &dString, "NumericSortOn" );
    Tcl_DStringAppendElement ( &dString, "NumericSortOff" );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreCase" );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreCase" );
    Tcl_DStringAppendElement ( &dString, "IgnoreCaseOn" );
    Tcl_DStringAppendElement ( &dString, "IgnoreCaseOff" );
    Tcl_DStringAppendElement ( &dString, "SetSkipDirectories" );
    Tcl_DStringAppendElement ( &dString, "GetSkipDirectories" );
    Tcl_DStringAppendElement ( &dString, "SkipDirectoriesOn" );
    Tcl_DStringAppendElement ( &dString, "SkipDirectoriesOff" );
    Tcl_DStringAppendElement ( &dString, "SetInputFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetInputFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGroups" );
    Tcl_DStringAppendElement ( &dString, "GetNthGroup" );
    Tcl_DStringAppendElement ( &dString, "Update" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSortFileNames *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGrouping */
    if ( strcmp ( argv[2], "SetGrouping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGrouping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGrouping */
    Tcl_DStringAppendElement ( &dString, " Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGrouping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SetGrouping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGrouping */
    if ( strcmp ( argv[2], "GetGrouping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGrouping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGrouping */
    Tcl_DStringAppendElement ( &dString, " Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGrouping();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetGrouping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GroupingOn */
    if ( strcmp ( argv[2], "GroupingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GroupingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GroupingOn */
    Tcl_DStringAppendElement ( &dString, " Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void GroupingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GroupingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GroupingOff */
    if ( strcmp ( argv[2], "GroupingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GroupingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GroupingOff */
    Tcl_DStringAppendElement ( &dString, " Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void GroupingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GroupingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumericSort */
    if ( strcmp ( argv[2], "SetNumericSort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumericSort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumericSort */
    Tcl_DStringAppendElement ( &dString, " Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n \\[\"file8.dat\", \"file9.dat\", \"file10.dat\"\\]\n instead of the usual alphabetic sorting order\n \\[\"file10.dat\" \"file8.dat\", \"file9.dat\"\\].\n NumericSort is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumericSort(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SetNumericSort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumericSort */
    if ( strcmp ( argv[2], "GetNumericSort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumericSort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumericSort */
    Tcl_DStringAppendElement ( &dString, " Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n \\[\"file8.dat\", \"file9.dat\", \"file10.dat\"\\]\n instead of the usual alphabetic sorting order\n \\[\"file10.dat\" \"file8.dat\", \"file9.dat\"\\].\n NumericSort is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumericSort();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetNumericSort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NumericSortOn */
    if ( strcmp ( argv[2], "NumericSortOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NumericSortOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NumericSortOn */
    Tcl_DStringAppendElement ( &dString, " Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n \\[\"file8.dat\", \"file9.dat\", \"file10.dat\"\\]\n instead of the usual alphabetic sorting order\n \\[\"file10.dat\" \"file8.dat\", \"file9.dat\"\\].\n NumericSort is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void NumericSortOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for NumericSortOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NumericSortOff */
    if ( strcmp ( argv[2], "NumericSortOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NumericSortOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NumericSortOff */
    Tcl_DStringAppendElement ( &dString, " Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n \\[\"file8.dat\", \"file9.dat\", \"file10.dat\"\\]\n instead of the usual alphabetic sorting order\n \\[\"file10.dat\" \"file8.dat\", \"file9.dat\"\\].\n NumericSort is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void NumericSortOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for NumericSortOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIgnoreCase */
    if ( strcmp ( argv[2], "SetIgnoreCase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreCase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIgnoreCase */
    Tcl_DStringAppendElement ( &dString, " Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIgnoreCase(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SetIgnoreCase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnoreCase */
    if ( strcmp ( argv[2], "GetIgnoreCase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreCase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnoreCase */
    Tcl_DStringAppendElement ( &dString, " Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIgnoreCase();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetIgnoreCase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnoreCaseOn */
    if ( strcmp ( argv[2], "IgnoreCaseOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreCaseOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreCaseOn */
    Tcl_DStringAppendElement ( &dString, " Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnoreCaseOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for IgnoreCaseOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnoreCaseOff */
    if ( strcmp ( argv[2], "IgnoreCaseOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreCaseOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreCaseOff */
    Tcl_DStringAppendElement ( &dString, " Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnoreCaseOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for IgnoreCaseOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSkipDirectories */
    if ( strcmp ( argv[2], "SetSkipDirectories" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSkipDirectories" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSkipDirectories */
    Tcl_DStringAppendElement ( &dString, " Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSkipDirectories(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SetSkipDirectories */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSkipDirectories */
    if ( strcmp ( argv[2], "GetSkipDirectories" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSkipDirectories" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSkipDirectories */
    Tcl_DStringAppendElement ( &dString, " Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSkipDirectories();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetSkipDirectories */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SkipDirectoriesOn */
    if ( strcmp ( argv[2], "SkipDirectoriesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SkipDirectoriesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SkipDirectoriesOn */
    Tcl_DStringAppendElement ( &dString, " Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SkipDirectoriesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SkipDirectoriesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SkipDirectoriesOff */
    if ( strcmp ( argv[2], "SkipDirectoriesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SkipDirectoriesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SkipDirectoriesOff */
    Tcl_DStringAppendElement ( &dString, " Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SkipDirectoriesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SkipDirectoriesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputFileNames */
    if ( strcmp ( argv[2], "SetInputFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputFileNames */
    Tcl_DStringAppendElement ( &dString, " Set a list of file names to group and sort.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputFileNames(vtkStringArray *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for SetInputFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputFileNames */
    if ( strcmp ( argv[2], "GetInputFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputFileNames */
    Tcl_DStringAppendElement ( &dString, " Set a list of file names to group and sort.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetInputFileNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetInputFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNames */
    if ( strcmp ( argv[2], "GetFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNames */
    Tcl_DStringAppendElement ( &dString, " Get the full list of sorted filenames.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetFileNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfGroups */
    if ( strcmp ( argv[2], "GetNumberOfGroups" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGroups" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfGroups */
    Tcl_DStringAppendElement ( &dString, " Get the number of groups that the names were split into, if\n grouping is on.  The filenames are automatically split into\n groups, where the filenames in each group will be identical\n except for their series numbers.  If grouping is not on, this\n method will return zero.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfGroups();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetNumberOfGroups */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNthGroup */
    if ( strcmp ( argv[2], "GetNthGroup" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNthGroup" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNthGroup */
    Tcl_DStringAppendElement ( &dString, " Get the Nth group of file names.  This method should only\n be used if grouping is on.  If grouping is off, it will always\n return null.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetNthGroup(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for GetNthGroup */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Update the output filenames from the input filenames.\n This method is called automatically by GetFileNames()\n and GetNumberOfGroups() if the input names have changed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkSortFileNames" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
