// tcl wrapper for vtkTIFFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTIFFReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTIFFReaderNewCommand()
{
  vtkTIFFReader *temp = vtkTIFFReader::New();
  return static_cast<ClientData>(temp);
}

int vtkImageReader2CppCommand(vtkImageReader2 *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTIFFReaderCppCommand(vtkTIFFReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTIFFReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTIFFReaderCppCommand(static_cast<vtkTIFFReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTIFFReaderCppCommand(vtkTIFFReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTIFFReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageReader2CppCommand(static_cast<vtkImageReader2 *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageReader2"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTIFFReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTIFFReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTIFFReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTIFFReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTIFFReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTIFFReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileExtensions",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileExtensions();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDescriptiveName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDescriptiveName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("InitializeColors",argv[1]))&&(argc == 2))
    {
    op->InitializeColors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationType",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetOrientationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationType",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetOrientationType();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationTypeSpecifiedFlag",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOrientationTypeSpecifiedFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOriginSpecifiedFlag",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOriginSpecifiedFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginSpecifiedFlag",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOriginSpecifiedFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OriginSpecifiedFlagOn",argv[1]))&&(argc == 2))
    {
    op->OriginSpecifiedFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OriginSpecifiedFlagOff",argv[1]))&&(argc == 2))
    {
    op->OriginSpecifiedFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSpacingSpecifiedFlag",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetSpacingSpecifiedFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpacingSpecifiedFlag",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSpacingSpecifiedFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SpacingSpecifiedFlagOn",argv[1]))&&(argc == 2))
    {
    op->SpacingSpecifiedFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SpacingSpecifiedFlagOff",argv[1]))&&(argc == 2))
    {
    op->SpacingSpecifiedFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTIFFReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageReader2CppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTIFFReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileExtensions\n",NULL);
    Tcl_AppendResult(interp,"  GetDescriptiveName\n",NULL);
    Tcl_AppendResult(interp,"  InitializeColors\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationType\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationTypeSpecifiedFlag\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginSpecifiedFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginSpecifiedFlag\n",NULL);
    Tcl_AppendResult(interp,"  OriginSpecifiedFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  OriginSpecifiedFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacingSpecifiedFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpacingSpecifiedFlag\n",NULL);
    Tcl_AppendResult(interp,"  SpacingSpecifiedFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  SpacingSpecifiedFlagOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageReader2CppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
    Tcl_DStringAppendElement ( &dString, "InitializeColors" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationType" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationType" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationTypeSpecifiedFlag" );
    Tcl_DStringAppendElement ( &dString, "SetOriginSpecifiedFlag" );
    Tcl_DStringAppendElement ( &dString, "GetOriginSpecifiedFlag" );
    Tcl_DStringAppendElement ( &dString, "OriginSpecifiedFlagOn" );
    Tcl_DStringAppendElement ( &dString, "OriginSpecifiedFlagOff" );
    Tcl_DStringAppendElement ( &dString, "SetSpacingSpecifiedFlag" );
    Tcl_DStringAppendElement ( &dString, "GetSpacingSpecifiedFlag" );
    Tcl_DStringAppendElement ( &dString, "SpacingSpecifiedFlagOn" );
    Tcl_DStringAppendElement ( &dString, "SpacingSpecifiedFlagOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageReader2CppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTIFFReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Is the given file name a tiff file file?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CanReadFile(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileExtensions */
    if ( strcmp ( argv[2], "GetFileExtensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileExtensions */
    Tcl_DStringAppendElement ( &dString, " Get the file extensions for this format.\n Returns a string with a space separated list of extensions in\n the format .extension\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetFileExtensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for GetFileExtensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDescriptiveName */
    if ( strcmp ( argv[2], "GetDescriptiveName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescriptiveName */
    Tcl_DStringAppendElement ( &dString, " Return a descriptive name for the file format that might be useful\n in a GUI.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDescriptiveName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for GetDescriptiveName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeColors */
    if ( strcmp ( argv[2], "InitializeColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeColors */
    Tcl_DStringAppendElement ( &dString, " Auxilary methods used by the reader internally.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for InitializeColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationType */
    if ( strcmp ( argv[2], "SetOrientationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationType */
    Tcl_DStringAppendElement ( &dString, " Set orientation type\n ORIENTATION_TOPLEFT         1       (row 0 top, col 0 lhs)\n ORIENTATION_TOPRIGHT        2       (row 0 top, col 0 rhs)\n ORIENTATION_BOTRIGHT        3       (row 0 bottom, col 0 rhs)\n ORIENTATION_BOTLEFT         4       (row 0 bottom, col 0 lhs)\n ORIENTATION_LEFTTOP         5       (row 0 lhs, col 0 top)\n ORIENTATION_RIGHTTOP        6       (row 0 rhs, col 0 top)\n ORIENTATION_RIGHTBOT        7       (row 0 rhs, col 0 bottom)\n ORIENTATION_LEFTBOT ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationType(unsigned int orientationType);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for SetOrientationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationType */
    if ( strcmp ( argv[2], "GetOrientationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationType */
    Tcl_DStringAppendElement ( &dString, " Set orientation type\n ORIENTATION_TOPLEFT         1       (row 0 top, col 0 lhs)\n ORIENTATION_TOPRIGHT        2       (row 0 top, col 0 rhs)\n ORIENTATION_BOTRIGHT        3       (row 0 bottom, col 0 rhs)\n ORIENTATION_BOTLEFT         4       (row 0 bottom, col 0 lhs)\n ORIENTATION_LEFTTOP         5       (row 0 lhs, col 0 top)\n ORIENTATION_RIGHTTOP        6       (row 0 rhs, col 0 top)\n ORIENTATION_RIGHTBOT        7       (row 0 rhs, col 0 bottom)\n ORIENTATION_LEFTBOT ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetOrientationType();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for GetOrientationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationTypeSpecifiedFlag */
    if ( strcmp ( argv[2], "GetOrientationTypeSpecifiedFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationTypeSpecifiedFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationTypeSpecifiedFlag */
    Tcl_DStringAppendElement ( &dString, " Get method to check if orientation type is specified\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOrientationTypeSpecifiedFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for GetOrientationTypeSpecifiedFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginSpecifiedFlag */
    if ( strcmp ( argv[2], "SetOriginSpecifiedFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginSpecifiedFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginSpecifiedFlag */
    Tcl_DStringAppendElement ( &dString, " Set/get methods to see if manual Origin/Spacing have\n been set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginSpecifiedFlag(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for SetOriginSpecifiedFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginSpecifiedFlag */
    if ( strcmp ( argv[2], "GetOriginSpecifiedFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginSpecifiedFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginSpecifiedFlag */
    Tcl_DStringAppendElement ( &dString, " Set/get methods to see if manual Origin/Spacing have\n been set.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOriginSpecifiedFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for GetOriginSpecifiedFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OriginSpecifiedFlagOn */
    if ( strcmp ( argv[2], "OriginSpecifiedFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OriginSpecifiedFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OriginSpecifiedFlagOn */
    Tcl_DStringAppendElement ( &dString, " Set/get methods to see if manual Origin/Spacing have\n been set.\n" );
    Tcl_DStringAppendElement ( &dString, "void OriginSpecifiedFlagOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for OriginSpecifiedFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OriginSpecifiedFlagOff */
    if ( strcmp ( argv[2], "OriginSpecifiedFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OriginSpecifiedFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OriginSpecifiedFlagOff */
    Tcl_DStringAppendElement ( &dString, " Set/get methods to see if manual Origin/Spacing have\n been set.\n" );
    Tcl_DStringAppendElement ( &dString, "void OriginSpecifiedFlagOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for OriginSpecifiedFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpacingSpecifiedFlag */
    if ( strcmp ( argv[2], "SetSpacingSpecifiedFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpacingSpecifiedFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpacingSpecifiedFlag */
    Tcl_DStringAppendElement ( &dString, "\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpacingSpecifiedFlag(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for SetSpacingSpecifiedFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpacingSpecifiedFlag */
    if ( strcmp ( argv[2], "GetSpacingSpecifiedFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpacingSpecifiedFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpacingSpecifiedFlag */
    Tcl_DStringAppendElement ( &dString, "\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetSpacingSpecifiedFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for GetSpacingSpecifiedFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpacingSpecifiedFlagOn */
    if ( strcmp ( argv[2], "SpacingSpecifiedFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpacingSpecifiedFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpacingSpecifiedFlagOn */
    Tcl_DStringAppendElement ( &dString, "\n" );
    Tcl_DStringAppendElement ( &dString, "void SpacingSpecifiedFlagOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for SpacingSpecifiedFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpacingSpecifiedFlagOff */
    if ( strcmp ( argv[2], "SpacingSpecifiedFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpacingSpecifiedFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpacingSpecifiedFlagOff */
    Tcl_DStringAppendElement ( &dString, "\n" );
    Tcl_DStringAppendElement ( &dString, "void SpacingSpecifiedFlagOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFReader" );
    /* Closing for SpacingSpecifiedFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageReader2CppCommand(static_cast<vtkImageReader2 *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
