// python wrapper for vtkTableToMySQLWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTableToMySQLWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTableToMySQLWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTableToMySQLWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToMySQLWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToMySQLWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableToDatabaseWriterNew
extern "C" { PyObject *PyVTKClass_vtkTableToDatabaseWriterNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableToDatabaseWriterNew
#endif

static const char **PyvtkTableToMySQLWriter_Doc();


static PyObject *
PyvtkTableToMySQLWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToMySQLWriter *op = static_cast<vtkTableToMySQLWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTableToMySQLWriter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTableToMySQLWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToMySQLWriter *op = static_cast<vtkTableToMySQLWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTableToMySQLWriter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTableToMySQLWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToMySQLWriter *op = static_cast<vtkTableToMySQLWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTableToMySQLWriter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTableToMySQLWriter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTableToMySQLWriter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkTableToMySQLWriter *tempr = vtkTableToMySQLWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTableToMySQLWriter_GetInput_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToMySQLWriter *op = static_cast<vtkTableToMySQLWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTable *tempr = (ap.IsBound() ?
      op->GetInput() :
      op->vtkTableToMySQLWriter::GetInput());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkTableToMySQLWriter_GetInput_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToMySQLWriter *op = static_cast<vtkTableToMySQLWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkTable *tempr = (ap.IsBound() ?
      op->GetInput(temp0) :
      op->vtkTableToMySQLWriter::GetInput(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkTableToMySQLWriter_GetInput(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkTableToMySQLWriter_GetInput_s1(self, args);
    case 1:
      return PyvtkTableToMySQLWriter_GetInput_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetInput");
  return NULL;
}


static PyMethodDef PyvtkTableToMySQLWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkTableToMySQLWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTableToMySQLWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTableToMySQLWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToMySQLWriter\nC++: vtkTableToMySQLWriter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTableToMySQLWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToMySQLWriter\nC++: vtkTableToMySQLWriter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetInput", PyvtkTableToMySQLWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkTable\nC++: vtkTable *GetInput()\nV.GetInput(int) -> vtkTable\nC++: vtkTable *GetInput(int port)\n\nGet the input to this writer.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTableToMySQLWriter_StaticNew()
{
  return vtkTableToMySQLWriter::New();
}

PyObject *PyVTKClass_vtkTableToMySQLWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTableToMySQLWriter_StaticNew,
    PyvtkTableToMySQLWriter_Methods,
    "vtkTableToMySQLWriter", modulename,
    NULL, NULL,
    PyvtkTableToMySQLWriter_Doc(),
    PyVTKClass_vtkTableToDatabaseWriterNew(modulename));
  return cls;
}

const char **PyvtkTableToMySQLWriter_Doc()
{
  static const char *docstring[] = {
    "vtkTableToMySQLWriter - store a vtkTable in a MySQL database\n\n",
    "Superclass: vtkTableToDatabaseWriter\n\n",
    "vtkTableToMySQLWriter reads a vtkTable and inserts it into a MySQL\ndatabase.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTableToMySQLWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTableToMySQLWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTableToMySQLWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

