// python wrapper for vtkTableToPostgreSQLWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTableToPostgreSQLWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTableToPostgreSQLWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTableToPostgreSQLWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToPostgreSQLWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToPostgreSQLWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableToDatabaseWriterNew
extern "C" { PyObject *PyVTKClass_vtkTableToDatabaseWriterNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableToDatabaseWriterNew
#endif

static const char **PyvtkTableToPostgreSQLWriter_Doc();


static PyObject *
PyvtkTableToPostgreSQLWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToPostgreSQLWriter *op = static_cast<vtkTableToPostgreSQLWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTableToPostgreSQLWriter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTableToPostgreSQLWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToPostgreSQLWriter *op = static_cast<vtkTableToPostgreSQLWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTableToPostgreSQLWriter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTableToPostgreSQLWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToPostgreSQLWriter *op = static_cast<vtkTableToPostgreSQLWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTableToPostgreSQLWriter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTableToPostgreSQLWriter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTableToPostgreSQLWriter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkTableToPostgreSQLWriter *tempr = vtkTableToPostgreSQLWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTableToPostgreSQLWriter_GetInput_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToPostgreSQLWriter *op = static_cast<vtkTableToPostgreSQLWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTable *tempr = (ap.IsBound() ?
      op->GetInput() :
      op->vtkTableToPostgreSQLWriter::GetInput());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkTableToPostgreSQLWriter_GetInput_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableToPostgreSQLWriter *op = static_cast<vtkTableToPostgreSQLWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkTable *tempr = (ap.IsBound() ?
      op->GetInput(temp0) :
      op->vtkTableToPostgreSQLWriter::GetInput(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkTableToPostgreSQLWriter_GetInput(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkTableToPostgreSQLWriter_GetInput_s1(self, args);
    case 1:
      return PyvtkTableToPostgreSQLWriter_GetInput_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetInput");
  return NULL;
}


static PyMethodDef PyvtkTableToPostgreSQLWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkTableToPostgreSQLWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTableToPostgreSQLWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTableToPostgreSQLWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToPostgreSQLWriter\nC++: vtkTableToPostgreSQLWriter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTableToPostgreSQLWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToPostgreSQLWriter\nC++: vtkTableToPostgreSQLWriter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetInput", PyvtkTableToPostgreSQLWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkTable\nC++: vtkTable *GetInput()\nV.GetInput(int) -> vtkTable\nC++: vtkTable *GetInput(int port)\n\nGet the input to this writer.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTableToPostgreSQLWriter_StaticNew()
{
  return vtkTableToPostgreSQLWriter::New();
}

PyObject *PyVTKClass_vtkTableToPostgreSQLWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTableToPostgreSQLWriter_StaticNew,
    PyvtkTableToPostgreSQLWriter_Methods,
    "vtkTableToPostgreSQLWriter", modulename,
    NULL, NULL,
    PyvtkTableToPostgreSQLWriter_Doc(),
    PyVTKClass_vtkTableToDatabaseWriterNew(modulename));
  return cls;
}

const char **PyvtkTableToPostgreSQLWriter_Doc()
{
  static const char *docstring[] = {
    "vtkTableToPostgreSQLWriter - store a vtkTable in a PostgreSQL database\n\n",
    "Superclass: vtkTableToDatabaseWriter\n\n",
    "vtkTableToPostgreSQLWriter reads a vtkTable and inserts it into a\nPostgreSQL database.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTableToPostgreSQLWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTableToPostgreSQLWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTableToPostgreSQLWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

