// tcl wrapper for vtkXMLWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLWriterCppCommand(vtkXMLWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLWriterCppCommand(static_cast<vtkXMLWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLWriterCppCommand(vtkXMLWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLWriter");
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIdType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIdType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIdType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIdType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIdTypeToInt32",argv[1]))&&(argc == 2))
    {
    op->SetIdTypeToInt32();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIdTypeToInt64",argv[1]))&&(argc == 2))
    {
    op->SetIdTypeToInt64();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCompressor",argv[1]))&&(argc == 3))
    {
    vtkDataCompressor  *temp0;
    error = 0;

    temp0 = (vtkDataCompressor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataCompressor"),interp,error));
    if (!error)
    {
    op->SetCompressor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompressor",argv[1]))&&(argc == 2))
    {
    vtkDataCompressor  *temp20;
    temp20 = (op)->GetCompressor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataCompressor");
    return TCL_OK;
    }
  if ((!strcmp("SetCompressorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompressorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCompressorTypeToNone",argv[1]))&&(argc == 2))
    {
    op->SetCompressorTypeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCompressorTypeToZLib",argv[1]))&&(argc == 2))
    {
    op->SetCompressorTypeToZLib();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlockSize",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetBlockSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockSize",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetBlockSize();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataModeToAscii",argv[1]))&&(argc == 2))
    {
    op->SetDataModeToAscii();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataModeToBinary",argv[1]))&&(argc == 2))
    {
    op->SetDataModeToBinary();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataModeToAppended",argv[1]))&&(argc == 2))
    {
    op->SetDataModeToAppended();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEncodeAppendedData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEncodeAppendedData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEncodeAppendedData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEncodeAppendedData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EncodeAppendedDataOn",argv[1]))&&(argc == 2))
    {
    op->EncodeAppendedDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EncodeAppendedDataOff",argv[1]))&&(argc == 2))
    {
    op->EncodeAppendedDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetDefaultFileExtension",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDefaultFileExtension();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Write();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStep",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStep",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeStepRange",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTimeStepRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTimeSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTimeSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Stop",argv[1]))&&(argc == 2))
    {
    op->Stop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteNextTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->WriteNextTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXMLWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetIdType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIdType\n",NULL);
    Tcl_AppendResult(interp,"  SetIdTypeToInt32\n",NULL);
    Tcl_AppendResult(interp,"  SetIdTypeToInt64\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompressor\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressorType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressorTypeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressorTypeToZLib\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockSize\n",NULL);
    Tcl_AppendResult(interp,"  SetDataMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataMode\n",NULL);
    Tcl_AppendResult(interp,"  SetDataModeToAscii\n",NULL);
    Tcl_AppendResult(interp,"  SetDataModeToBinary\n",NULL);
    Tcl_AppendResult(interp,"  SetDataModeToAppended\n",NULL);
    Tcl_AppendResult(interp,"  SetEncodeAppendedData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEncodeAppendedData\n",NULL);
    Tcl_AppendResult(interp,"  EncodeAppendedDataOn\n",NULL);
    Tcl_AppendResult(interp,"  EncodeAppendedDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultFileExtension\n",NULL);
    Tcl_AppendResult(interp,"  Write\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStepRange\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTimeSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Stop\n",NULL);
    Tcl_AppendResult(interp,"  WriteNextTime\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetByteOrder" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "SetIdType" );
    Tcl_DStringAppendElement ( &dString, "GetIdType" );
    Tcl_DStringAppendElement ( &dString, "SetIdTypeToInt32" );
    Tcl_DStringAppendElement ( &dString, "SetIdTypeToInt64" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetCompressor" );
    Tcl_DStringAppendElement ( &dString, "GetCompressor" );
    Tcl_DStringAppendElement ( &dString, "SetCompressorType" );
    Tcl_DStringAppendElement ( &dString, "SetCompressorTypeToNone" );
    Tcl_DStringAppendElement ( &dString, "SetCompressorTypeToZLib" );
    Tcl_DStringAppendElement ( &dString, "SetBlockSize" );
    Tcl_DStringAppendElement ( &dString, "GetBlockSize" );
    Tcl_DStringAppendElement ( &dString, "SetDataMode" );
    Tcl_DStringAppendElement ( &dString, "GetDataMode" );
    Tcl_DStringAppendElement ( &dString, "SetDataModeToAscii" );
    Tcl_DStringAppendElement ( &dString, "SetDataModeToBinary" );
    Tcl_DStringAppendElement ( &dString, "SetDataModeToAppended" );
    Tcl_DStringAppendElement ( &dString, "SetEncodeAppendedData" );
    Tcl_DStringAppendElement ( &dString, "GetEncodeAppendedData" );
    Tcl_DStringAppendElement ( &dString, "EncodeAppendedDataOn" );
    Tcl_DStringAppendElement ( &dString, "EncodeAppendedDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultFileExtension" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "Stop" );
    Tcl_DStringAppendElement ( &dString, "WriteNextTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrder */
    if ( strcmp ( argv[2], "SetByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrder */
    Tcl_DStringAppendElement ( &dString, " Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrder(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetByteOrder */
    if ( strcmp ( argv[2], "GetByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetByteOrder */
    Tcl_DStringAppendElement ( &dString, " Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetByteOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrderToBigEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrderToLittleEndian();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIdType */
    if ( strcmp ( argv[2], "SetIdType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIdType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIdType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIdType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetIdType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIdType */
    if ( strcmp ( argv[2], "GetIdType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIdType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIdType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIdType();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetIdType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIdTypeToInt32 */
    if ( strcmp ( argv[2], "SetIdTypeToInt32" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIdTypeToInt32" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIdTypeToInt32 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIdTypeToInt32();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetIdTypeToInt32 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIdTypeToInt64 */
    if ( strcmp ( argv[2], "SetIdTypeToInt64" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIdTypeToInt64" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIdTypeToInt64 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIdTypeToInt64();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetIdTypeToInt64 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the output file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the output file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressor */
    if ( strcmp ( argv[2], "SetCompressor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataCompressor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the compressor used to compress binary and appended data\n before writing to the file.  Default is a vtkZLibDataCompressor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCompressor(vtkDataCompressor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetCompressor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompressor */
    if ( strcmp ( argv[2], "GetCompressor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompressor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompressor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the compressor used to compress binary and appended data\n before writing to the file.  Default is a vtkZLibDataCompressor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataCompressor *GetCompressor();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetCompressor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressorType */
    if ( strcmp ( argv[2], "SetCompressorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressorType */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to set the compressor to certain known types.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressorType(int compressorType);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetCompressorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressorTypeToNone */
    if ( strcmp ( argv[2], "SetCompressorTypeToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressorTypeToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressorTypeToNone */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to set the compressor to certain known types.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressorTypeToNone();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetCompressorTypeToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressorTypeToZLib */
    if ( strcmp ( argv[2], "SetCompressorTypeToZLib" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressorTypeToZLib" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressorTypeToZLib */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to set the compressor to certain known types.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressorTypeToZLib();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetCompressorTypeToZLib */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlockSize */
    if ( strcmp ( argv[2], "SetBlockSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlockSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlockSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the block size used in compression.  When reading, this\n controls the granularity of how much extra information must be\n read when only part of the data are requested.  The value should\n be a multiple of the largest scalar data type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBlockSize(unsigned int blockSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetBlockSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockSize */
    if ( strcmp ( argv[2], "GetBlockSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the block size used in compression.  When reading, this\n controls the granularity of how much extra information must be\n read when only part of the data are requested.  The value should\n be a multiple of the largest scalar data type.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetBlockSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetBlockSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataMode */
    if ( strcmp ( argv[2], "SetDataMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetDataMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataMode */
    if ( strcmp ( argv[2], "GetDataMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetDataMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataModeToAscii */
    if ( strcmp ( argv[2], "SetDataModeToAscii" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataModeToAscii" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataModeToAscii */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataModeToAscii();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetDataModeToAscii */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataModeToBinary */
    if ( strcmp ( argv[2], "SetDataModeToBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataModeToBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataModeToBinary */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataModeToBinary();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetDataModeToBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataModeToAppended */
    if ( strcmp ( argv[2], "SetDataModeToAppended" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataModeToAppended" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataModeToAppended */
    Tcl_DStringAppendElement ( &dString, " Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataModeToAppended();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetDataModeToAppended */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEncodeAppendedData */
    if ( strcmp ( argv[2], "SetEncodeAppendedData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEncodeAppendedData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEncodeAppendedData */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEncodeAppendedData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetEncodeAppendedData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEncodeAppendedData */
    if ( strcmp ( argv[2], "GetEncodeAppendedData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEncodeAppendedData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEncodeAppendedData */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEncodeAppendedData();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetEncodeAppendedData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EncodeAppendedDataOn */
    if ( strcmp ( argv[2], "EncodeAppendedDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EncodeAppendedDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EncodeAppendedDataOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n" );
    Tcl_DStringAppendElement ( &dString, "void EncodeAppendedDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for EncodeAppendedDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EncodeAppendedDataOff */
    if ( strcmp ( argv[2], "EncodeAppendedDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EncodeAppendedDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EncodeAppendedDataOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n" );
    Tcl_DStringAppendElement ( &dString, "void EncodeAppendedDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for EncodeAppendedDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput(int, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultFileExtension */
    if ( strcmp ( argv[2], "GetDefaultFileExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultFileExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultFileExtension */
    Tcl_DStringAppendElement ( &dString, " Get the default file extension for files written by this writer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDefaultFileExtension() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetDefaultFileExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " Invoke the writer.  Returns 1 for success, 0 for failure.\n" );
    Tcl_DStringAppendElement ( &dString, "int Write();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStep */
    if ( strcmp ( argv[2], "SetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Which TimeStep to write.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStep(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStep */
    if ( strcmp ( argv[2], "GetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Which TimeStep to write.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimeStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStepRange */
    if ( strcmp ( argv[2], "GetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetTimeStepRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTimeSteps */
    if ( strcmp ( argv[2], "GetNumberOfTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Set the number of time steps\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTimeSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for GetNumberOfTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTimeSteps */
    if ( strcmp ( argv[2], "SetNumberOfTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Set the number of time steps\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfTimeSteps(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for SetNumberOfTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, " API to interface an outside the VTK pipeline control\n" );
    Tcl_DStringAppendElement ( &dString, "void Start();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Stop */
    if ( strcmp ( argv[2], "Stop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Stop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Stop */
    Tcl_DStringAppendElement ( &dString, " API to interface an outside the VTK pipeline control\n" );
    Tcl_DStringAppendElement ( &dString, "void Stop();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for Stop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteNextTime */
    if ( strcmp ( argv[2], "WriteNextTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteNextTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteNextTime */
    Tcl_DStringAppendElement ( &dString, " API to interface an outside the VTK pipeline control\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteNextTime(double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLWriter" );
    /* Closing for WriteNextTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
