// tcl wrapper for vtkBooleanTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBooleanTexture.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBooleanTextureNewCommand()
{
  vtkBooleanTexture *temp = vtkBooleanTexture::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBooleanTextureCppCommand(vtkBooleanTexture *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBooleanTextureCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBooleanTextureCppCommand(static_cast<vtkBooleanTexture *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBooleanTextureCppCommand(vtkBooleanTexture *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBooleanTexture",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBooleanTexture  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBooleanTexture");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBooleanTexture  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBooleanTexture");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBooleanTexture  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBooleanTexture");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThickness",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickness",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThickness();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInIn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetInIn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInIn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetInIn();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInOut",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetInOut(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInOut",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetInOut();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutIn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetOutIn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutIn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOutIn();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutOut",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetOutOut(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutOut",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOutOut();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOnOn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetOnOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnOn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOnOn();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOnIn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetOnIn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnIn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOnIn();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOnOut",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetOnOut(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnOut",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOnOut();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInOn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetInOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInOn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetInOn();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutOn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetOutOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutOn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOutOn();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBooleanTextureCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBooleanTexture:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXSize\n",NULL);
    Tcl_AppendResult(interp,"  SetYSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYSize\n",NULL);
    Tcl_AppendResult(interp,"  SetThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetInIn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInIn\n",NULL);
    Tcl_AppendResult(interp,"  SetInOut\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInOut\n",NULL);
    Tcl_AppendResult(interp,"  SetOutIn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutIn\n",NULL);
    Tcl_AppendResult(interp,"  SetOutOut\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutOut\n",NULL);
    Tcl_AppendResult(interp,"  SetOnOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOnOn\n",NULL);
    Tcl_AppendResult(interp,"  SetOnIn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOnIn\n",NULL);
    Tcl_AppendResult(interp,"  SetOnOut\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOnOut\n",NULL);
    Tcl_AppendResult(interp,"  SetInOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInOn\n",NULL);
    Tcl_AppendResult(interp,"  SetOutOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutOn\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetXSize" );
    Tcl_DStringAppendElement ( &dString, "GetXSize" );
    Tcl_DStringAppendElement ( &dString, "SetYSize" );
    Tcl_DStringAppendElement ( &dString, "GetYSize" );
    Tcl_DStringAppendElement ( &dString, "SetThickness" );
    Tcl_DStringAppendElement ( &dString, "GetThickness" );
    Tcl_DStringAppendElement ( &dString, "SetInIn" );
    Tcl_DStringAppendElement ( &dString, "GetInIn" );
    Tcl_DStringAppendElement ( &dString, "SetInOut" );
    Tcl_DStringAppendElement ( &dString, "GetInOut" );
    Tcl_DStringAppendElement ( &dString, "SetOutIn" );
    Tcl_DStringAppendElement ( &dString, "GetOutIn" );
    Tcl_DStringAppendElement ( &dString, "SetOutOut" );
    Tcl_DStringAppendElement ( &dString, "GetOutOut" );
    Tcl_DStringAppendElement ( &dString, "SetOnOn" );
    Tcl_DStringAppendElement ( &dString, "GetOnOn" );
    Tcl_DStringAppendElement ( &dString, "SetOnIn" );
    Tcl_DStringAppendElement ( &dString, "GetOnIn" );
    Tcl_DStringAppendElement ( &dString, "SetOnOut" );
    Tcl_DStringAppendElement ( &dString, "GetOnOut" );
    Tcl_DStringAppendElement ( &dString, "SetInOn" );
    Tcl_DStringAppendElement ( &dString, "GetInOn" );
    Tcl_DStringAppendElement ( &dString, "SetOutOn" );
    Tcl_DStringAppendElement ( &dString, "GetOutOn" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBooleanTexture *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXSize */
    if ( strcmp ( argv[2], "SetXSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXSize */
    Tcl_DStringAppendElement ( &dString, " Set the X texture map dimension.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXSize(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetXSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXSize */
    if ( strcmp ( argv[2], "GetXSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXSize */
    Tcl_DStringAppendElement ( &dString, " Set the X texture map dimension.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetXSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYSize */
    if ( strcmp ( argv[2], "SetYSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYSize */
    Tcl_DStringAppendElement ( &dString, " Set the Y texture map dimension.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYSize(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetYSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYSize */
    if ( strcmp ( argv[2], "GetYSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYSize */
    Tcl_DStringAppendElement ( &dString, " Set the Y texture map dimension.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetYSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThickness */
    if ( strcmp ( argv[2], "SetThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThickness */
    Tcl_DStringAppendElement ( &dString, " Set the thickness of the \"on\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThickness(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickness */
    if ( strcmp ( argv[2], "GetThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickness */
    Tcl_DStringAppendElement ( &dString, " Set the thickness of the \"on\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThickness();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInIn */
    if ( strcmp ( argv[2], "SetInIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInIn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInIn(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetInIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInIn */
    if ( strcmp ( argv[2], "GetInIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInIn */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"in/in\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetInIn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetInIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInOut */
    if ( strcmp ( argv[2], "SetInOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInOut */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInOut(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetInOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInOut */
    if ( strcmp ( argv[2], "GetInOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInOut */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"in/out\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetInOut();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetInOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutIn */
    if ( strcmp ( argv[2], "SetOutIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutIn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutIn(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetOutIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutIn */
    if ( strcmp ( argv[2], "GetOutIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutIn */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"out/in\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetOutIn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetOutIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutOut */
    if ( strcmp ( argv[2], "SetOutOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutOut */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutOut(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetOutOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutOut */
    if ( strcmp ( argv[2], "GetOutOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutOut */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"out/out\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetOutOut();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetOutOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOnOn */
    if ( strcmp ( argv[2], "SetOnOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOnOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOnOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOnOn(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetOnOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnOn */
    if ( strcmp ( argv[2], "GetOnOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnOn */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"on/on\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetOnOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetOnOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOnIn */
    if ( strcmp ( argv[2], "SetOnIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOnIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOnIn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOnIn(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetOnIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnIn */
    if ( strcmp ( argv[2], "GetOnIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnIn */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"on/in\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetOnIn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetOnIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOnOut */
    if ( strcmp ( argv[2], "SetOnOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOnOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOnOut */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOnOut(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetOnOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnOut */
    if ( strcmp ( argv[2], "GetOnOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnOut */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"on/out\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetOnOut();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetOnOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInOn */
    if ( strcmp ( argv[2], "SetInOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInOn(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetInOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInOn */
    if ( strcmp ( argv[2], "GetInOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInOn */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"in/on\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetInOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetInOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutOn */
    if ( strcmp ( argv[2], "SetOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutOn(unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for SetOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutOn */
    if ( strcmp ( argv[2], "GetOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutOn */
    Tcl_DStringAppendElement ( &dString, " Specify intensity/transparency for \"out/on\" region.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetOutOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBooleanTexture" );
    /* Closing for GetOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
