// tcl wrapper for vtkImageAnisotropicDiffusion2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageAnisotropicDiffusion2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageAnisotropicDiffusion2DNewCommand()
{
  vtkImageAnisotropicDiffusion2D *temp = vtkImageAnisotropicDiffusion2D::New();
  return static_cast<ClientData>(temp);
}

int vtkImageSpatialAlgorithmCppCommand(vtkImageSpatialAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageAnisotropicDiffusion2DCppCommand(vtkImageAnisotropicDiffusion2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageAnisotropicDiffusion2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageAnisotropicDiffusion2DCppCommand(static_cast<vtkImageAnisotropicDiffusion2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageAnisotropicDiffusion2DCppCommand(vtkImageAnisotropicDiffusion2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageAnisotropicDiffusion2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageSpatialAlgorithmCppCommand(static_cast<vtkImageSpatialAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageSpatialAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageAnisotropicDiffusion2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAnisotropicDiffusion2D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageAnisotropicDiffusion2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAnisotropicDiffusion2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageAnisotropicDiffusion2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAnisotropicDiffusion2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffusionThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffusionThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffusionThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffusionThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffusionFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffusionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffusionFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffusionFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFaces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFaces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FacesOn",argv[1]))&&(argc == 2))
    {
    op->FacesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FacesOff",argv[1]))&&(argc == 2))
    {
    op->FacesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdges",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgesOn",argv[1]))&&(argc == 2))
    {
    op->EdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgesOff",argv[1]))&&(argc == 2))
    {
    op->EdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCorners",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCorners(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCorners",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCorners();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CornersOn",argv[1]))&&(argc == 2))
    {
    op->CornersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CornersOff",argv[1]))&&(argc == 2))
    {
    op->CornersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientMagnitudeThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGradientMagnitudeThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientMagnitudeThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientMagnitudeThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GradientMagnitudeThresholdOn",argv[1]))&&(argc == 2))
    {
    op->GradientMagnitudeThresholdOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientMagnitudeThresholdOff",argv[1]))&&(argc == 2))
    {
    op->GradientMagnitudeThresholdOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageAnisotropicDiffusion2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageSpatialAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageAnisotropicDiffusion2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffusionThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffusionThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffusionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffusionFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetFaces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaces\n",NULL);
    Tcl_AppendResult(interp,"  FacesOn\n",NULL);
    Tcl_AppendResult(interp,"  FacesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdges\n",NULL);
    Tcl_AppendResult(interp,"  EdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCorners\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCorners\n",NULL);
    Tcl_AppendResult(interp,"  CornersOn\n",NULL);
    Tcl_AppendResult(interp,"  CornersOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientMagnitudeThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientMagnitudeThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GradientMagnitudeThresholdOn\n",NULL);
    Tcl_AppendResult(interp,"  GradientMagnitudeThresholdOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageSpatialAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetDiffusionThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetDiffusionThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetDiffusionFactor" );
    Tcl_DStringAppendElement ( &dString, "GetDiffusionFactor" );
    Tcl_DStringAppendElement ( &dString, "SetFaces" );
    Tcl_DStringAppendElement ( &dString, "GetFaces" );
    Tcl_DStringAppendElement ( &dString, "FacesOn" );
    Tcl_DStringAppendElement ( &dString, "FacesOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdges" );
    Tcl_DStringAppendElement ( &dString, "GetEdges" );
    Tcl_DStringAppendElement ( &dString, "EdgesOn" );
    Tcl_DStringAppendElement ( &dString, "EdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetCorners" );
    Tcl_DStringAppendElement ( &dString, "GetCorners" );
    Tcl_DStringAppendElement ( &dString, "CornersOn" );
    Tcl_DStringAppendElement ( &dString, "CornersOff" );
    Tcl_DStringAppendElement ( &dString, "SetGradientMagnitudeThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeThreshold" );
    Tcl_DStringAppendElement ( &dString, "GradientMagnitudeThresholdOn" );
    Tcl_DStringAppendElement ( &dString, "GradientMagnitudeThresholdOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageSpatialAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageAnisotropicDiffusion2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfIterations */
    if ( strcmp ( argv[2], "SetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " This method sets the number of interations which also affects the\n input neighborhood needed to compute one output pixel.  Each iterations\n requires an extra pixel layer on the neighborhood.  This is only relavent\n when you are trying to stream or are requesting a sub extent of the \"wholeExtent\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfIterations(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterations */
    if ( strcmp ( argv[2], "GetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Get the number of iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterations();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffusionThreshold */
    if ( strcmp ( argv[2], "SetDiffusionThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffusionThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffusionThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the difference threshold that stops diffusion. \n when the difference between two pixel is greater than this threshold,\n the pixels are not diffused.  This causes diffusion to avoid sharp edges.\n If the GradientMagnitudeThreshold is set, then gradient magnitude is used \n for comparison instead of pixel differences.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffusionThreshold(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SetDiffusionThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffusionThreshold */
    if ( strcmp ( argv[2], "GetDiffusionThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffusionThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffusionThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the difference threshold that stops diffusion. \n when the difference between two pixel is greater than this threshold,\n the pixels are not diffused.  This causes diffusion to avoid sharp edges.\n If the GradientMagnitudeThreshold is set, then gradient magnitude is used \n for comparison instead of pixel differences.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffusionThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetDiffusionThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffusionFactor */
    if ( strcmp ( argv[2], "SetDiffusionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffusionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffusionFactor */
    Tcl_DStringAppendElement ( &dString, " The diffusion factor specifies  how much neighboring pixels effect each other.\n No diffusion occurs with a factor of 0, and a diffusion factor of 1 causes\n the pixel to become the average of all its neighbors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffusionFactor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SetDiffusionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffusionFactor */
    if ( strcmp ( argv[2], "GetDiffusionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffusionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffusionFactor */
    Tcl_DStringAppendElement ( &dString, " The diffusion factor specifies  how much neighboring pixels effect each other.\n No diffusion occurs with a factor of 0, and a diffusion factor of 1 causes\n the pixel to become the average of all its neighbors.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffusionFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetDiffusionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaces */
    if ( strcmp ( argv[2], "SetFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaces */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFaces(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SetFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaces */
    if ( strcmp ( argv[2], "GetFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaces */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFaces();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FacesOn */
    if ( strcmp ( argv[2], "FacesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FacesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FacesOn */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void FacesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for FacesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FacesOff */
    if ( strcmp ( argv[2], "FacesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FacesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FacesOff */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void FacesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for FacesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdges */
    if ( strcmp ( argv[2], "SetEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdges */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdges(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SetEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdges */
    if ( strcmp ( argv[2], "GetEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdges */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgesOn */
    if ( strcmp ( argv[2], "EdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgesOn */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for EdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgesOff */
    if ( strcmp ( argv[2], "EdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgesOff */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for EdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCorners */
    if ( strcmp ( argv[2], "SetCorners" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCorners" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCorners */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCorners(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SetCorners */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCorners */
    if ( strcmp ( argv[2], "GetCorners" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCorners" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCorners */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCorners();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetCorners */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CornersOn */
    if ( strcmp ( argv[2], "CornersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CornersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CornersOn */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void CornersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for CornersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CornersOff */
    if ( strcmp ( argv[2], "CornersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CornersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CornersOff */
    Tcl_DStringAppendElement ( &dString, " Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n" );
    Tcl_DStringAppendElement ( &dString, "void CornersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for CornersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientMagnitudeThreshold */
    if ( strcmp ( argv[2], "SetGradientMagnitudeThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientMagnitudeThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientMagnitudeThreshold */
    Tcl_DStringAppendElement ( &dString, " Switch between gradient magnitude threshold and pixel gradient threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientMagnitudeThreshold(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for SetGradientMagnitudeThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientMagnitudeThreshold */
    if ( strcmp ( argv[2], "GetGradientMagnitudeThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientMagnitudeThreshold */
    Tcl_DStringAppendElement ( &dString, " Switch between gradient magnitude threshold and pixel gradient threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientMagnitudeThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GetGradientMagnitudeThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientMagnitudeThresholdOn */
    if ( strcmp ( argv[2], "GradientMagnitudeThresholdOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientMagnitudeThresholdOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientMagnitudeThresholdOn */
    Tcl_DStringAppendElement ( &dString, " Switch between gradient magnitude threshold and pixel gradient threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "void GradientMagnitudeThresholdOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GradientMagnitudeThresholdOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientMagnitudeThresholdOff */
    if ( strcmp ( argv[2], "GradientMagnitudeThresholdOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientMagnitudeThresholdOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientMagnitudeThresholdOff */
    Tcl_DStringAppendElement ( &dString, " Switch between gradient magnitude threshold and pixel gradient threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "void GradientMagnitudeThresholdOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAnisotropicDiffusion2D" );
    /* Closing for GradientMagnitudeThresholdOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageSpatialAlgorithmCppCommand(static_cast<vtkImageSpatialAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
