// tcl wrapper for vtkImageAppend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageAppend.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageAppendNewCommand()
{
  vtkImageAppend *temp = vtkImageAppend::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageAppendCppCommand(vtkImageAppend *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageAppendCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageAppendCppCommand(static_cast<vtkImageAppend *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageAppendCppCommand(vtkImageAppend *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageAppend",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageAppend  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAppend");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageAppend  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAppend");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageAppend  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAppend");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReplaceNthInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->ReplaceNthInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInputs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfInputs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAppendAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAppendAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAppendAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAppendAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPreserveExtents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreserveExtents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreserveExtents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreserveExtents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreserveExtentsOn",argv[1]))&&(argc == 2))
    {
    op->PreserveExtentsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreserveExtentsOff",argv[1]))&&(argc == 2))
    {
    op->PreserveExtentsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageAppendCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageAppend:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceNthInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputs\n",NULL);
    Tcl_AppendResult(interp,"  SetAppendAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAppendAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetPreserveExtents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreserveExtents\n",NULL);
    Tcl_AppendResult(interp,"  PreserveExtentsOn\n",NULL);
    Tcl_AppendResult(interp,"  PreserveExtentsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ReplaceNthInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputs" );
    Tcl_DStringAppendElement ( &dString, "SetAppendAxis" );
    Tcl_DStringAppendElement ( &dString, "GetAppendAxis" );
    Tcl_DStringAppendElement ( &dString, "SetPreserveExtents" );
    Tcl_DStringAppendElement ( &dString, "GetPreserveExtents" );
    Tcl_DStringAppendElement ( &dString, "PreserveExtentsOn" );
    Tcl_DStringAppendElement ( &dString, "PreserveExtentsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageAppend *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceNthInputConnection */
    if ( strcmp ( argv[2], "ReplaceNthInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceNthInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceNthInputConnection */
    Tcl_DStringAppendElement ( &dString, " Replace one of the input connections with a new input.  You can\n only replace input connections that you previously created with\n AddInputConnection() or, in the case of the first input,\n with SetInputConnection().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReplaceNthInputConnection(int idx, vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for ReplaceNthInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set an Input of this filter.  This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use SetInputConnection(), AddInputConnection(), and\n ReplaceNthInputConnection() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput(int num, vtkDataObject *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set an Input of this filter.  This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use SetInputConnection(), AddInputConnection(), and\n ReplaceNthInputConnection() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput(vtkDataObject *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get one input to this filter. This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use vtkAlgorithm::GetInputConnection(0, num).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get one input to this filter. This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use vtkAlgorithm::GetInputConnection(0, num).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfInputs */
    if ( strcmp ( argv[2], "GetNumberOfInputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfInputs */
    Tcl_DStringAppendElement ( &dString, " Get the number of inputs to this filter. This method is only for\n support of old-style pipeline connections.  When writing new code\n you should use vtkAlgorithm::GetNumberOfInputConnections(0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfInputs();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for GetNumberOfInputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAppendAxis */
    if ( strcmp ( argv[2], "SetAppendAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAppendAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAppendAxis */
    Tcl_DStringAppendElement ( &dString, " This axis is expanded to hold the multiple images.\n The default AppendAxis is the X axis.\n If you want to create a volue from a series of XY images, then you should\n set the AppendAxis to 2 (Z axis).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAppendAxis(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for SetAppendAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAppendAxis */
    if ( strcmp ( argv[2], "GetAppendAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAppendAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAppendAxis */
    Tcl_DStringAppendElement ( &dString, " This axis is expanded to hold the multiple images.\n The default AppendAxis is the X axis.\n If you want to create a volue from a series of XY images, then you should\n set the AppendAxis to 2 (Z axis).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAppendAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for GetAppendAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreserveExtents */
    if ( strcmp ( argv[2], "SetPreserveExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreserveExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreserveExtents */
    Tcl_DStringAppendElement ( &dString, " By default \"PreserveExtents\" is off and the append axis is used.\n When \"PreseveExtents\" is on, the extent of the inputs is used to\n place the image in the output.  The whole extent of the output is\n the union of the input whole extents.  Any portion of the\n output not covered by the inputs is set to zero.  The origin and\n spacing is taken from the first input.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreserveExtents(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for SetPreserveExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreserveExtents */
    if ( strcmp ( argv[2], "GetPreserveExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreserveExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreserveExtents */
    Tcl_DStringAppendElement ( &dString, " By default \"PreserveExtents\" is off and the append axis is used.\n When \"PreseveExtents\" is on, the extent of the inputs is used to\n place the image in the output.  The whole extent of the output is\n the union of the input whole extents.  Any portion of the\n output not covered by the inputs is set to zero.  The origin and\n spacing is taken from the first input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreserveExtents();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for GetPreserveExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveExtentsOn */
    if ( strcmp ( argv[2], "PreserveExtentsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveExtentsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveExtentsOn */
    Tcl_DStringAppendElement ( &dString, " By default \"PreserveExtents\" is off and the append axis is used.\n When \"PreseveExtents\" is on, the extent of the inputs is used to\n place the image in the output.  The whole extent of the output is\n the union of the input whole extents.  Any portion of the\n output not covered by the inputs is set to zero.  The origin and\n spacing is taken from the first input.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveExtentsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for PreserveExtentsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveExtentsOff */
    if ( strcmp ( argv[2], "PreserveExtentsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveExtentsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveExtentsOff */
    Tcl_DStringAppendElement ( &dString, " By default \"PreserveExtents\" is off and the append axis is used.\n When \"PreseveExtents\" is on, the extent of the inputs is used to\n place the image in the output.  The whole extent of the output is\n the union of the input whole extents.  Any portion of the\n output not covered by the inputs is set to zero.  The origin and\n spacing is taken from the first input.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveExtentsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAppend" );
    /* Closing for PreserveExtentsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
