// tcl wrapper for vtkImageBSplineCoefficients object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageBSplineCoefficients.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageBSplineCoefficientsNewCommand()
{
  vtkImageBSplineCoefficients *temp = vtkImageBSplineCoefficients::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageBSplineCoefficientsCppCommand(vtkImageBSplineCoefficients *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageBSplineCoefficientsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageBSplineCoefficientsCppCommand(static_cast<vtkImageBSplineCoefficients *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageBSplineCoefficientsCppCommand(vtkImageBSplineCoefficients *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageBSplineCoefficients",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageBSplineCoefficients  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageBSplineCoefficients");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageBSplineCoefficients  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageBSplineCoefficients");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageBSplineCoefficients  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageBSplineCoefficients");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSplineDegree",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSplineDegree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSplineDegreeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplineDegreeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSplineDegreeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplineDegreeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSplineDegree",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplineDegree();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderModeToClamp",argv[1]))&&(argc == 2))
    {
    op->SetBorderModeToClamp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderModeToRepeat",argv[1]))&&(argc == 2))
    {
    op->SetBorderModeToRepeat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderModeToMirror",argv[1]))&&(argc == 2))
    {
    op->SetBorderModeToMirror();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetBorderModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputScalarTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputScalarTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetOutputScalarTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBypass",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBypass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BypassOn",argv[1]))&&(argc == 2))
    {
    op->BypassOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BypassOff",argv[1]))&&(argc == 2))
    {
    op->BypassOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBypass",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBypass();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckBounds",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->CheckBounds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Evaluate",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->Evaluate(temp0,temp1,temp2);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Evaluate",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->Evaluate(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageBSplineCoefficientsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageBSplineCoefficients:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSplineDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSplineDegreeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSplineDegreeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSplineDegree\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderModeToClamp\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderModeToRepeat\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderModeToMirror\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderMode\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetBypass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BypassOn\n",NULL);
    Tcl_AppendResult(interp,"  BypassOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBypass\n",NULL);
    Tcl_AppendResult(interp,"  CheckBounds\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Evaluate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Evaluate\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSplineDegree" );
    Tcl_DStringAppendElement ( &dString, "GetSplineDegreeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSplineDegreeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSplineDegree" );
    Tcl_DStringAppendElement ( &dString, "SetBorderMode" );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToClamp" );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToRepeat" );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToMirror" );
    Tcl_DStringAppendElement ( &dString, "GetBorderMode" );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetBypass" );
    Tcl_DStringAppendElement ( &dString, "BypassOn" );
    Tcl_DStringAppendElement ( &dString, "BypassOff" );
    Tcl_DStringAppendElement ( &dString, "GetBypass" );
    Tcl_DStringAppendElement ( &dString, "CheckBounds" );
    Tcl_DStringAppendElement ( &dString, "Evaluate" );
    Tcl_DStringAppendElement ( &dString, "Evaluate" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageBSplineCoefficients *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplineDegree */
    if ( strcmp ( argv[2], "SetSplineDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplineDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplineDegree */
    Tcl_DStringAppendElement ( &dString, " Set the degree of the spline polynomial.  The default value is 3,\n and the maximum is 9.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplineDegree(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetSplineDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplineDegreeMinValue */
    if ( strcmp ( argv[2], "GetSplineDegreeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplineDegreeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplineDegreeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the degree of the spline polynomial.  The default value is 3,\n and the maximum is 9.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSplineDegreeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetSplineDegreeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplineDegreeMaxValue */
    if ( strcmp ( argv[2], "GetSplineDegreeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplineDegreeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplineDegreeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the degree of the spline polynomial.  The default value is 3,\n and the maximum is 9.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSplineDegreeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetSplineDegreeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplineDegree */
    if ( strcmp ( argv[2], "GetSplineDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplineDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplineDegree */
    Tcl_DStringAppendElement ( &dString, " Set the degree of the spline polynomial.  The default value is 3,\n and the maximum is 9.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSplineDegree();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetSplineDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderMode */
    if ( strcmp ( argv[2], "SetBorderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderMode */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetBorderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderModeMinValue */
    if ( strcmp ( argv[2], "GetBorderModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetBorderModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderModeMaxValue */
    if ( strcmp ( argv[2], "GetBorderModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetBorderModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderModeToClamp */
    if ( strcmp ( argv[2], "SetBorderModeToClamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToClamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderModeToClamp */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderModeToClamp();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetBorderModeToClamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderModeToRepeat */
    if ( strcmp ( argv[2], "SetBorderModeToRepeat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToRepeat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderModeToRepeat */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderModeToRepeat();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetBorderModeToRepeat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderModeToMirror */
    if ( strcmp ( argv[2], "SetBorderModeToMirror" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderModeToMirror" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderModeToMirror */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderModeToMirror();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetBorderModeToMirror */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderMode */
    if ( strcmp ( argv[2], "GetBorderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderMode */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetBorderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderModeAsString */
    if ( strcmp ( argv[2], "GetBorderModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderModeAsString */
    Tcl_DStringAppendElement ( &dString, " Set the border mode.  The filter that is used to create the\n coefficients must repeat the image somehow to make a theoritically\n infinite input.  The default is to clamp values that are off the\n edge of the image, to the value at the closest point on the edge.\n The other ways of virtually extending the image are to produce\n mirrored copies, which results in optimal smoothness at the boundary,\n or to repeat the image, which results in a cyclic or periodic spline.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetBorderModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetBorderModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarType */
    if ( strcmp ( argv[2], "SetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type of the output.  Default is float.\n Floating-point output is used to avoid overflow, since the\n range of the output values is larger than the input values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarTypeMinValue */
    if ( strcmp ( argv[2], "GetOutputScalarTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type of the output.  Default is float.\n Floating-point output is used to avoid overflow, since the\n range of the output values is larger than the input values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetOutputScalarTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarTypeMaxValue */
    if ( strcmp ( argv[2], "GetOutputScalarTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type of the output.  Default is float.\n Floating-point output is used to avoid overflow, since the\n range of the output values is larger than the input values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetOutputScalarTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarType */
    if ( strcmp ( argv[2], "GetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type of the output.  Default is float.\n Floating-point output is used to avoid overflow, since the\n range of the output values is larger than the input values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type of the output.  Default is float.\n Floating-point output is used to avoid overflow, since the\n range of the output values is larger than the input values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetOutputScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type of the output.  Default is float.\n Floating-point output is used to avoid overflow, since the\n range of the output values is larger than the input values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetOutputScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarTypeAsString */
    if ( strcmp ( argv[2], "GetOutputScalarTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type of the output.  Default is float.\n Floating-point output is used to avoid overflow, since the\n range of the output values is larger than the input values.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetOutputScalarTypeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetOutputScalarTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBypass */
    if ( strcmp ( argv[2], "SetBypass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBypass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBypass */
    Tcl_DStringAppendElement ( &dString, " Bypass the filter, do not do any processing.  If this is on,\n then the output data will reference the input data directly,\n and the output type will be the same as the input type.  This\n is useful a downstream filter sometimes uses b-spline interpolation\n and sometimes uses other forms of interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBypass(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for SetBypass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BypassOn */
    if ( strcmp ( argv[2], "BypassOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BypassOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BypassOn */
    Tcl_DStringAppendElement ( &dString, " Bypass the filter, do not do any processing.  If this is on,\n then the output data will reference the input data directly,\n and the output type will be the same as the input type.  This\n is useful a downstream filter sometimes uses b-spline interpolation\n and sometimes uses other forms of interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "void BypassOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for BypassOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BypassOff */
    if ( strcmp ( argv[2], "BypassOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BypassOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BypassOff */
    Tcl_DStringAppendElement ( &dString, " Bypass the filter, do not do any processing.  If this is on,\n then the output data will reference the input data directly,\n and the output type will be the same as the input type.  This\n is useful a downstream filter sometimes uses b-spline interpolation\n and sometimes uses other forms of interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "void BypassOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for BypassOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBypass */
    if ( strcmp ( argv[2], "GetBypass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBypass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBypass */
    Tcl_DStringAppendElement ( &dString, " Bypass the filter, do not do any processing.  If this is on,\n then the output data will reference the input data directly,\n and the output type will be the same as the input type.  This\n is useful a downstream filter sometimes uses b-spline interpolation\n and sometimes uses other forms of interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBypass();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for GetBypass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckBounds */
    if ( strcmp ( argv[2], "CheckBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckBounds */
    Tcl_DStringAppendElement ( &dString, " Check a point against the image bounds.  Return 0 if out of bounds,\n and 1 if inside bounds.  Calling Evaluate on a point outside the\n bounds will not generate an error, but the value returned will\n depend on the BorderMode.\n" );
    Tcl_DStringAppendElement ( &dString, "int CheckBounds(const double point\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for CheckBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Evaluate */
    if ( strcmp ( argv[2], "Evaluate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Evaluate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Evaluate */
    Tcl_DStringAppendElement ( &dString, " Interpolate a value from the image.  You must call Update() before\n calling this method for the first time.  The first signature can\n return multiple components, while the second signature is for use\n on single-component images.\n" );
    Tcl_DStringAppendElement ( &dString, "double Evaluate(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for Evaluate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Evaluate */
    if ( strcmp ( argv[2], "Evaluate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Evaluate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Evaluate */
    Tcl_DStringAppendElement ( &dString, " Interpolate a value from the image.  You must call Update() before\n calling this method for the first time.  The first signature can\n return multiple components, while the second signature is for use\n on single-component images.\n" );
    Tcl_DStringAppendElement ( &dString, "double Evaluate(const double point\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageBSplineCoefficients" );
    /* Closing for Evaluate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
