// tcl wrapper for vtkImageCanvasSource2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCanvasSource2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageCanvasSource2DNewCommand()
{
  vtkImageCanvasSource2D *temp = vtkImageCanvasSource2D::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageCanvasSource2DCppCommand(vtkImageCanvasSource2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageCanvasSource2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageCanvasSource2DCppCommand(static_cast<vtkImageCanvasSource2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageCanvasSource2DCppCommand(vtkImageCanvasSource2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageCanvasSource2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageCanvasSource2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCanvasSource2D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageCanvasSource2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCanvasSource2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageCanvasSource2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCanvasSource2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDrawColor",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetDrawColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDrawColor",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetDrawColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDrawColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDrawColor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDrawColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDrawColor",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDrawColor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDrawColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDrawColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillBox",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->FillBox(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillTube",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->FillTube(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillTriangle",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->FillTriangle(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawCircle",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->DrawCircle(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawPoint",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->DrawPoint(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawSegment",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->DrawSegment(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawSegment3D",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->DrawSegment3D(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawImage",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    vtkImageData  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->DrawImage(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawImage",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    vtkImageData  *temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkImageData"),interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->DrawImage(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillPixel",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->FillPixel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultZ",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultZ(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultZ",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDefaultZ();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRatio",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetRatio(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRatio",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRatio",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRatio();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfScalarComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfScalarComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfScalarComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageCanvasSource2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageCanvasSource2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawColor\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawColor\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  FillBox\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  FillTube\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  FillTriangle\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawCircle\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawPoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawSegment\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawSegment3D\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawImage\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawImage\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  FillPixel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultZ\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultZ\n",NULL);
    Tcl_AppendResult(interp,"  SetRatio\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRatio\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfScalarComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarType\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    Tcl_DStringAppendElement ( &dString, "GetDrawColor" );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    Tcl_DStringAppendElement ( &dString, "FillBox" );
    Tcl_DStringAppendElement ( &dString, "FillTube" );
    Tcl_DStringAppendElement ( &dString, "FillTriangle" );
    Tcl_DStringAppendElement ( &dString, "DrawCircle" );
    Tcl_DStringAppendElement ( &dString, "DrawPoint" );
    Tcl_DStringAppendElement ( &dString, "DrawSegment" );
    Tcl_DStringAppendElement ( &dString, "DrawSegment3D" );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    Tcl_DStringAppendElement ( &dString, "FillPixel" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultZ" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultZ" );
    Tcl_DStringAppendElement ( &dString, "SetRatio" );
    Tcl_DStringAppendElement ( &dString, "SetRatio" );
    Tcl_DStringAppendElement ( &dString, "GetRatio" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of vtkImageCanvasSource2D with no data.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageCanvasSource2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawColor */
    if ( strcmp ( argv[2], "SetDrawColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawColor(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetDrawColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawColor */
    if ( strcmp ( argv[2], "SetDrawColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawColor(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetDrawColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawColor */
    if ( strcmp ( argv[2], "GetDrawColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetDrawColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for GetDrawColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawColor */
    if ( strcmp ( argv[2], "SetDrawColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawColor */
    Tcl_DStringAppendElement ( &dString, " Set DrawColor to (a, 0, 0, 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawColor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetDrawColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawColor */
    if ( strcmp ( argv[2], "SetDrawColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawColor */
    Tcl_DStringAppendElement ( &dString, " Set DrawColor to (a, b, 0, 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawColor(double a, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetDrawColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawColor */
    if ( strcmp ( argv[2], "SetDrawColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawColor */
    Tcl_DStringAppendElement ( &dString, " Set DrawColor to (a, b, c, 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawColor(double a, double b, double c);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetDrawColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillBox */
    if ( strcmp ( argv[2], "FillBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillBox */
    Tcl_DStringAppendElement ( &dString, " Set the pixels inside the box (min0, max0, min1, max1) to the current\n DrawColor\n" );
    Tcl_DStringAppendElement ( &dString, "void FillBox(int min0, int max0, int min1, int max1);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for FillBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillTube */
    if ( strcmp ( argv[2], "FillTube" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillTube" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillTube */
    Tcl_DStringAppendElement ( &dString, " Set the pixels inside the box (min0, max0, min1, max1) to the current\n DrawColor\n" );
    Tcl_DStringAppendElement ( &dString, "void FillTube(int x0, int y0, int x1, int y1, double radius);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for FillTube */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillTriangle */
    if ( strcmp ( argv[2], "FillTriangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillTriangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillTriangle */
    Tcl_DStringAppendElement ( &dString, " Set the pixels inside the box (min0, max0, min1, max1) to the current\n DrawColor\n" );
    Tcl_DStringAppendElement ( &dString, "void FillTriangle(int x0, int y0, int x1, int y1, int x2, int y2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for FillTriangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawCircle */
    if ( strcmp ( argv[2], "DrawCircle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawCircle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawCircle */
    Tcl_DStringAppendElement ( &dString, " Set the pixels inside the box (min0, max0, min1, max1) to the current\n DrawColor\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawCircle(int c0, int c1, double radius);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for DrawCircle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPoint */
    if ( strcmp ( argv[2], "DrawPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPoint */
    Tcl_DStringAppendElement ( &dString, " Set the pixels inside the box (min0, max0, min1, max1) to the current\n DrawColor\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPoint(int p0, int p1);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for DrawPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawSegment */
    if ( strcmp ( argv[2], "DrawSegment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawSegment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawSegment */
    Tcl_DStringAppendElement ( &dString, " Set the pixels inside the box (min0, max0, min1, max1) to the current\n DrawColor\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawSegment(int x0, int y0, int x1, int y1);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for DrawSegment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawSegment3D */
    if ( strcmp ( argv[2], "DrawSegment3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawSegment3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawSegment3D */
    Tcl_DStringAppendElement ( &dString, " Set the pixels inside the box (min0, max0, min1, max1) to the current\n DrawColor\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawSegment3D(double x1, double y1, double z1, double x2, double y2, double z2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for DrawSegment3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawImage */
    if ( strcmp ( argv[2], "DrawImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawImage */
    Tcl_DStringAppendElement ( &dString, " Draw subimage of the input image in the canvas at position x0 and\n y0. The subimage is defined with sx, sy, width, and height.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawImage(int x0, int y0, vtkImageData *i);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for DrawImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawImage */
    if ( strcmp ( argv[2], "DrawImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawImage */
    Tcl_DStringAppendElement ( &dString, " Draw subimage of the input image in the canvas at position x0 and\n y0. The subimage is defined with sx, sy, width, and height.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawImage(int x0, int y0, vtkImageData *, int sx, int sy, int width, int height);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for DrawImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillPixel */
    if ( strcmp ( argv[2], "FillPixel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillPixel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillPixel */
    Tcl_DStringAppendElement ( &dString, " Fill a colored area with another color. (like connectivity)\n All pixels connected (and with the same value) to pixel (x, y)\n get replaced by the current \"DrawColor\".\n" );
    Tcl_DStringAppendElement ( &dString, "void FillPixel(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for FillPixel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " These methods set the WholeExtent of the output\n It sets the size of the canvas.\n Extent is a min max 3D box.  Minimums and maximums are inclusive.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent(int x1, int x2, int y1, int y2, int z1, int z2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultZ */
    if ( strcmp ( argv[2], "SetDefaultZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultZ */
    Tcl_DStringAppendElement ( &dString, " The drawing operations can only draw into one 2D XY plane at a time.\n If the canvas is a 3D volume, then this z value is used\n as the default for 2D operations. The default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultZ(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetDefaultZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultZ */
    if ( strcmp ( argv[2], "GetDefaultZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultZ */
    Tcl_DStringAppendElement ( &dString, " The drawing operations can only draw into one 2D XY plane at a time.\n If the canvas is a 3D volume, then this z value is used\n as the default for 2D operations. The default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDefaultZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for GetDefaultZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRatio */
    if ( strcmp ( argv[2], "SetRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRatio */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRatio(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRatio */
    if ( strcmp ( argv[2], "SetRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRatio */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRatio(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRatio */
    if ( strcmp ( argv[2], "GetRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRatio */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for GetRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfScalarComponents */
    if ( strcmp ( argv[2], "SetNumberOfScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Set the number of scalar components\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfScalarComponents(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetNumberOfScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarComponents */
    if ( strcmp ( argv[2], "GetNumberOfScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Set the number of scalar components\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfScalarComponents() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for GetNumberOfScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToInt */
    if ( strcmp ( argv[2], "SetScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToLong */
    if ( strcmp ( argv[2], "SetScalarTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToShort */
    if ( strcmp ( argv[2], "SetScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToChar */
    if ( strcmp ( argv[2], "SetScalarTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarType */
    if ( strcmp ( argv[2], "SetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for SetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarType */
    if ( strcmp ( argv[2], "GetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarType() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCanvasSource2D" );
    /* Closing for GetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
