// tcl wrapper for vtkImageCast object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCast.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageCastNewCommand()
{
  vtkImageCast *temp = vtkImageCast::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageCastCppCommand(vtkImageCast *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageCastCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageCastCppCommand(static_cast<vtkImageCast *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageCastCppCommand(vtkImageCast *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageCast",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageCast  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCast");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageCast  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCast");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageCast  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCast");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClampOverflow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampOverflow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampOverflow",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampOverflow();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampOverflowOn",argv[1]))&&(argc == 2))
    {
    op->ClampOverflowOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampOverflowOff",argv[1]))&&(argc == 2))
    {
    op->ClampOverflowOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageCastCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageCast:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetClampOverflow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampOverflow\n",NULL);
    Tcl_AppendResult(interp,"  ClampOverflowOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampOverflowOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetClampOverflow" );
    Tcl_DStringAppendElement ( &dString, "GetClampOverflow" );
    Tcl_DStringAppendElement ( &dString, "ClampOverflowOn" );
    Tcl_DStringAppendElement ( &dString, "ClampOverflowOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageCast *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarType */
    if ( strcmp ( argv[2], "SetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarType */
    if ( strcmp ( argv[2], "GetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for GetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetOutputScalarTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClampOverflow */
    if ( strcmp ( argv[2], "SetClampOverflow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClampOverflow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClampOverflow */
    Tcl_DStringAppendElement ( &dString, " When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClampOverflow(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for SetClampOverflow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClampOverflow */
    if ( strcmp ( argv[2], "GetClampOverflow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClampOverflow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClampOverflow */
    Tcl_DStringAppendElement ( &dString, " When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClampOverflow();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for GetClampOverflow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampOverflowOn */
    if ( strcmp ( argv[2], "ClampOverflowOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampOverflowOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampOverflowOn */
    Tcl_DStringAppendElement ( &dString, " When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampOverflowOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for ClampOverflowOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampOverflowOff */
    if ( strcmp ( argv[2], "ClampOverflowOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampOverflowOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampOverflowOff */
    Tcl_DStringAppendElement ( &dString, " When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampOverflowOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCast" );
    /* Closing for ClampOverflowOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
