// python wrapper for vtkImageHistogram
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageHistogram.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageHistogram(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageHistogram(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageHistogramNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageHistogramNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageHistogram_Doc();


static PyObject *
PyvtkImageHistogram_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkImageHistogram::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkImageHistogram::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageHistogram *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkImageHistogram::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkImageHistogram *tempr = vtkImageHistogram::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetActiveComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetActiveComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetActiveComponent(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetActiveComponent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetActiveComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetActiveComponent() :
      op->vtkImageHistogram::GetActiveComponent());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetAutomaticBinning(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAutomaticBinning");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAutomaticBinning(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetAutomaticBinning(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_AutomaticBinningOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AutomaticBinningOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AutomaticBinningOn();
      }
    else
      {
      op->vtkImageHistogram::AutomaticBinningOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_AutomaticBinningOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AutomaticBinningOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AutomaticBinningOff();
      }
    else
      {
      op->vtkImageHistogram::AutomaticBinningOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetAutomaticBinning(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAutomaticBinning");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAutomaticBinning() :
      op->vtkImageHistogram::GetAutomaticBinning());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetMaximumNumberOfBins(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumNumberOfBins");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumNumberOfBins(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetMaximumNumberOfBins(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetMaximumNumberOfBins(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumNumberOfBins");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetMaximumNumberOfBins() :
      op->vtkImageHistogram::GetMaximumNumberOfBins());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetNumberOfBins(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfBins");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfBins(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetNumberOfBins(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetNumberOfBins(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfBins");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfBins() :
      op->vtkImageHistogram::GetNumberOfBins());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetBinOrigin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBinOrigin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBinOrigin(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetBinOrigin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetBinOrigin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBinOrigin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetBinOrigin() :
      op->vtkImageHistogram::GetBinOrigin());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetBinSpacing(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBinSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBinSpacing(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetBinSpacing(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetBinSpacing(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBinSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetBinSpacing() :
      op->vtkImageHistogram::GetBinSpacing());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetStencil(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStencil");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  vtkImageStencilData *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImageStencilData"))
    {
    if (ap.IsBound())
      {
      op->SetStencil(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetStencil(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetStencil(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStencil");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageStencilData *tempr = (ap.IsBound() ?
      op->GetStencil() :
      op->vtkImageHistogram::GetStencil());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetGenerateHistogramImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGenerateHistogramImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGenerateHistogramImage(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetGenerateHistogramImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GenerateHistogramImageOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GenerateHistogramImageOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GenerateHistogramImageOn();
      }
    else
      {
      op->vtkImageHistogram::GenerateHistogramImageOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GenerateHistogramImageOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GenerateHistogramImageOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GenerateHistogramImageOff();
      }
    else
      {
      op->vtkImageHistogram::GenerateHistogramImageOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetGenerateHistogramImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGenerateHistogramImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetGenerateHistogramImage() :
      op->vtkImageHistogram::GetGenerateHistogramImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetHistogramImageSize_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramImageSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetHistogramImageSize(temp0, temp1);
      }
    else
      {
      op->vtkImageHistogram::SetHistogramImageSize(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkImageHistogram_SetHistogramImageSize_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramImageSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramImageSize(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetHistogramImageSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkImageHistogram_SetHistogramImageSize(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkImageHistogram_SetHistogramImageSize_s1(self, args);
    case 1:
      return PyvtkImageHistogram_SetHistogramImageSize_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetHistogramImageSize");
  return NULL;
}



static PyObject *
PyvtkImageHistogram_GetHistogramImageSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogramImageSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int *tempr = (ap.IsBound() ?
      op->GetHistogramImageSize() :
      op->vtkImageHistogram::GetHistogramImageSize());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetHistogramImageScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramImageScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramImageScale(temp0);
      }
    else
      {
      op->vtkImageHistogram::SetHistogramImageScale(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetHistogramImageScaleMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogramImageScaleMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetHistogramImageScaleMinValue() :
      op->vtkImageHistogram::GetHistogramImageScaleMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetHistogramImageScaleMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogramImageScaleMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetHistogramImageScaleMaxValue() :
      op->vtkImageHistogram::GetHistogramImageScaleMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetHistogramImageScaleToLinear(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramImageScaleToLinear");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramImageScaleToLinear();
      }
    else
      {
      op->vtkImageHistogram::SetHistogramImageScaleToLinear();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetHistogramImageScaleToLog(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramImageScaleToLog");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramImageScaleToLog();
      }
    else
      {
      op->vtkImageHistogram::SetHistogramImageScaleToLog();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_SetHistogramImageScaleToSqrt(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramImageScaleToSqrt");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramImageScaleToSqrt();
      }
    else
      {
      op->vtkImageHistogram::SetHistogramImageScaleToSqrt();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetHistogramImageScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogramImageScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetHistogramImageScale() :
      op->vtkImageHistogram::GetHistogramImageScale());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetHistogramImageScaleAsString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogramImageScaleAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetHistogramImageScaleAsString() :
      op->vtkImageHistogram::GetHistogramImageScaleAsString());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdTypeArray *tempr = (ap.IsBound() ?
      op->GetHistogram() :
      op->vtkImageHistogram::GetHistogram());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageHistogram_GetTotal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTotal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageHistogram *op = static_cast<vtkImageHistogram *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetTotal() :
      op->vtkImageHistogram::GetTotal());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageHistogram_Methods[] = {
  {(char*)"GetClassName", PyvtkImageHistogram_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageHistogram_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageHistogram_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageHistogram\nC++: vtkImageHistogram *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageHistogram_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageHistogram\nC++: vtkImageHistogram *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetActiveComponent", PyvtkImageHistogram_SetActiveComponent, 1,
   (char*)"V.SetActiveComponent(int)\nC++: void SetActiveComponent(int a)\n\nSet the component for which to generate a histogram.  The default\nvalue is -1, which produces a histogram that is the sum of the\nhistograms of the individual components.\n"},
  {(char*)"GetActiveComponent", PyvtkImageHistogram_GetActiveComponent, 1,
   (char*)"V.GetActiveComponent() -> int\nC++: int GetActiveComponent()\n\nSet the component for which to generate a histogram.  The default\nvalue is -1, which produces a histogram that is the sum of the\nhistograms of the individual components.\n"},
  {(char*)"SetAutomaticBinning", PyvtkImageHistogram_SetAutomaticBinning, 1,
   (char*)"V.SetAutomaticBinning(int)\nC++: void SetAutomaticBinning(int a)\n\nIf this is On, then the histogram binning will be done\nautomatically. For char and unsigned char data, there will be 256\nbins with unit spacing.  For data of type short and larger, there\nwill be between 256 and MaximumNumberOfBins, depending on the\nrange of the data, and the BinOrigin will be set to zero if no\nnegative values are present, or to the smallest negative value if\nnegative values are present. For float data, the\nMaximumNumberOfBins will always be used. The BinOrigin and\nBinSpacing will be set so that they provide a mapping from bin\nindex to scalar value.\n"},
  {(char*)"AutomaticBinningOn", PyvtkImageHistogram_AutomaticBinningOn, 1,
   (char*)"V.AutomaticBinningOn()\nC++: void AutomaticBinningOn()\n\nIf this is On, then the histogram binning will be done\nautomatically. For char and unsigned char data, there will be 256\nbins with unit spacing.  For data of type short and larger, there\nwill be between 256 and MaximumNumberOfBins, depending on the\nrange of the data, and the BinOrigin will be set to zero if no\nnegative values are present, or to the smallest negative value if\nnegative values are present. For float data, the\nMaximumNumberOfBins will always be used. The BinOrigin and\nBinSpacing will be set so that they provide a mapping from bin\nindex to scalar value.\n"},
  {(char*)"AutomaticBinningOff", PyvtkImageHistogram_AutomaticBinningOff, 1,
   (char*)"V.AutomaticBinningOff()\nC++: void AutomaticBinningOff()\n\nIf this is On, then the histogram binning will be done\nautomatically. For char and unsigned char data, there will be 256\nbins with unit spacing.  For data of type short and larger, there\nwill be between 256 and MaximumNumberOfBins, depending on the\nrange of the data, and the BinOrigin will be set to zero if no\nnegative values are present, or to the smallest negative value if\nnegative values are present. For float data, the\nMaximumNumberOfBins will always be used. The BinOrigin and\nBinSpacing will be set so that they provide a mapping from bin\nindex to scalar value.\n"},
  {(char*)"GetAutomaticBinning", PyvtkImageHistogram_GetAutomaticBinning, 1,
   (char*)"V.GetAutomaticBinning() -> int\nC++: int GetAutomaticBinning()\n\nIf this is On, then the histogram binning will be done\nautomatically. For char and unsigned char data, there will be 256\nbins with unit spacing.  For data of type short and larger, there\nwill be between 256 and MaximumNumberOfBins, depending on the\nrange of the data, and the BinOrigin will be set to zero if no\nnegative values are present, or to the smallest negative value if\nnegative values are present. For float data, the\nMaximumNumberOfBins will always be used. The BinOrigin and\nBinSpacing will be set so that they provide a mapping from bin\nindex to scalar value.\n"},
  {(char*)"SetMaximumNumberOfBins", PyvtkImageHistogram_SetMaximumNumberOfBins, 1,
   (char*)"V.SetMaximumNumberOfBins(int)\nC++: void SetMaximumNumberOfBins(int a)\n\nThe maximum number of bins to use when AutomaticBinning is On.\nWhen AutomaticBinning is On, the size of the output histogram\nwill be set to the full range of the input data values, unless\nthe full range is greater than this value.  By default, the max\nvalue is 65536, which is large enough to capture the full range\nof 16-bit integers.\n"},
  {(char*)"GetMaximumNumberOfBins", PyvtkImageHistogram_GetMaximumNumberOfBins, 1,
   (char*)"V.GetMaximumNumberOfBins() -> int\nC++: int GetMaximumNumberOfBins()\n\nThe maximum number of bins to use when AutomaticBinning is On.\nWhen AutomaticBinning is On, the size of the output histogram\nwill be set to the full range of the input data values, unless\nthe full range is greater than this value.  By default, the max\nvalue is 65536, which is large enough to capture the full range\nof 16-bit integers.\n"},
  {(char*)"SetNumberOfBins", PyvtkImageHistogram_SetNumberOfBins, 1,
   (char*)"V.SetNumberOfBins(int)\nC++: void SetNumberOfBins(int a)\n\nThe number of bins in histogram (default 256).  This is\nautomatically computed unless AutomaticBinning is Off.\n"},
  {(char*)"GetNumberOfBins", PyvtkImageHistogram_GetNumberOfBins, 1,
   (char*)"V.GetNumberOfBins() -> int\nC++: int GetNumberOfBins()\n\nThe number of bins in histogram (default 256).  This is\nautomatically computed unless AutomaticBinning is Off.\n"},
  {(char*)"SetBinOrigin", PyvtkImageHistogram_SetBinOrigin, 1,
   (char*)"V.SetBinOrigin(float)\nC++: void SetBinOrigin(double a)\n\nThe value for the center of the first bin (default 0).  This is\nautomatically computed unless AutomaticBinning is Off.\n"},
  {(char*)"GetBinOrigin", PyvtkImageHistogram_GetBinOrigin, 1,
   (char*)"V.GetBinOrigin() -> float\nC++: double GetBinOrigin()\n\nThe value for the center of the first bin (default 0).  This is\nautomatically computed unless AutomaticBinning is Off.\n"},
  {(char*)"SetBinSpacing", PyvtkImageHistogram_SetBinSpacing, 1,
   (char*)"V.SetBinSpacing(float)\nC++: void SetBinSpacing(double a)\n\nThe bin spacing (default 1).  This is automatically computed\nunless AutomaticBinning is Off.\n"},
  {(char*)"GetBinSpacing", PyvtkImageHistogram_GetBinSpacing, 1,
   (char*)"V.GetBinSpacing() -> float\nC++: double GetBinSpacing()\n\nThe bin spacing (default 1).  This is automatically computed\nunless AutomaticBinning is Off.\n"},
  {(char*)"SetStencil", PyvtkImageHistogram_SetStencil, 1,
   (char*)"V.SetStencil(vtkImageStencilData)\nC++: void SetStencil(vtkImageStencilData *stencil)\n\nUse a stencil to compute the histogram for just a part of the\nimage.\n"},
  {(char*)"GetStencil", PyvtkImageHistogram_GetStencil, 1,
   (char*)"V.GetStencil() -> vtkImageStencilData\nC++: vtkImageStencilData *GetStencil()\n\nUse a stencil to compute the histogram for just a part of the\nimage.\n"},
  {(char*)"SetGenerateHistogramImage", PyvtkImageHistogram_SetGenerateHistogramImage, 1,
   (char*)"V.SetGenerateHistogramImage(int)\nC++: void SetGenerateHistogramImage(int a)\n\nIf this is On, then a histogram image will be produced as the\noutput. Regardless of this setting, the histogram is always\navailable as a vtkIdTypeArray from the GetHistogram method.\n"},
  {(char*)"GenerateHistogramImageOn", PyvtkImageHistogram_GenerateHistogramImageOn, 1,
   (char*)"V.GenerateHistogramImageOn()\nC++: void GenerateHistogramImageOn()\n\nIf this is On, then a histogram image will be produced as the\noutput. Regardless of this setting, the histogram is always\navailable as a vtkIdTypeArray from the GetHistogram method.\n"},
  {(char*)"GenerateHistogramImageOff", PyvtkImageHistogram_GenerateHistogramImageOff, 1,
   (char*)"V.GenerateHistogramImageOff()\nC++: void GenerateHistogramImageOff()\n\nIf this is On, then a histogram image will be produced as the\noutput. Regardless of this setting, the histogram is always\navailable as a vtkIdTypeArray from the GetHistogram method.\n"},
  {(char*)"GetGenerateHistogramImage", PyvtkImageHistogram_GetGenerateHistogramImage, 1,
   (char*)"V.GetGenerateHistogramImage() -> int\nC++: int GetGenerateHistogramImage()\n\nIf this is On, then a histogram image will be produced as the\noutput. Regardless of this setting, the histogram is always\navailable as a vtkIdTypeArray from the GetHistogram method.\n"},
  {(char*)"SetHistogramImageSize", PyvtkImageHistogram_SetHistogramImageSize, 1,
   (char*)"V.SetHistogramImageSize(int, int)\nC++: void SetHistogramImageSize(int, int)\nV.SetHistogramImageSize((int, int))\nC++: void SetHistogramImageSize(int a[2])\n\n"},
  {(char*)"GetHistogramImageSize", PyvtkImageHistogram_GetHistogramImageSize, 1,
   (char*)"V.GetHistogramImageSize() -> (int, int)\nC++: int *GetHistogramImageSize()\n\n"},
  {(char*)"SetHistogramImageScale", PyvtkImageHistogram_SetHistogramImageScale, 1,
   (char*)"V.SetHistogramImageScale(int)\nC++: void SetHistogramImageScale(int)\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"GetHistogramImageScaleMinValue", PyvtkImageHistogram_GetHistogramImageScaleMinValue, 1,
   (char*)"V.GetHistogramImageScaleMinValue() -> int\nC++: int GetHistogramImageScaleMinValue()\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"GetHistogramImageScaleMaxValue", PyvtkImageHistogram_GetHistogramImageScaleMaxValue, 1,
   (char*)"V.GetHistogramImageScaleMaxValue() -> int\nC++: int GetHistogramImageScaleMaxValue()\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"SetHistogramImageScaleToLinear", PyvtkImageHistogram_SetHistogramImageScaleToLinear, 1,
   (char*)"V.SetHistogramImageScaleToLinear()\nC++: void SetHistogramImageScaleToLinear()\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"SetHistogramImageScaleToLog", PyvtkImageHistogram_SetHistogramImageScaleToLog, 1,
   (char*)"V.SetHistogramImageScaleToLog()\nC++: void SetHistogramImageScaleToLog()\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"SetHistogramImageScaleToSqrt", PyvtkImageHistogram_SetHistogramImageScaleToSqrt, 1,
   (char*)"V.SetHistogramImageScaleToSqrt()\nC++: void SetHistogramImageScaleToSqrt()\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"GetHistogramImageScale", PyvtkImageHistogram_GetHistogramImageScale, 1,
   (char*)"V.GetHistogramImageScale() -> int\nC++: int GetHistogramImageScale()\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"GetHistogramImageScaleAsString", PyvtkImageHistogram_GetHistogramImageScaleAsString, 1,
   (char*)"V.GetHistogramImageScaleAsString() -> string\nC++: const char *GetHistogramImageScaleAsString()\n\nSet the scale to use for the histogram image.  The default is a\nlinear scale, but sqrt and log provide better visualization.\n"},
  {(char*)"GetHistogram", PyvtkImageHistogram_GetHistogram, 1,
   (char*)"V.GetHistogram() -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetHistogram()\n\nGet the histogram as a vtkIdTypeArray.  You must call Update()\nbefore calling this method.\n"},
  {(char*)"GetTotal", PyvtkImageHistogram_GetTotal, 1,
   (char*)"V.GetTotal() -> int\nC++: vtkIdType GetTotal()\n\nGet the total count of the histogram.  This will be the number of\nvoxels times the number of components.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageHistogram_StaticNew()
{
  return vtkImageHistogram::New();
}

PyObject *PyVTKClass_vtkImageHistogramNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageHistogram_StaticNew,
    PyvtkImageHistogram_Methods,
    "vtkImageHistogram", modulename,
    NULL, NULL,
    PyvtkImageHistogram_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"Linear", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"Log", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"Sqrt", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkImageHistogram_Doc()
{
  static const char *docstring[] = {
    "vtkImageHistogram - Compute the histogram for an image.\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkImageHistogram generates a histogram from its input, and\noptionally produces a 2D black-and-white image of the histogram as\nits output. Unlike the class vtkImageAccumulate, a multi-component\nimage does not result in a multi-dimensional histogram.  Instead, the\nresulting histogram will be the sum of the histograms of each of the\nindividual components, unless SetActiveComponent is used to choose ",
    "a\nsingle component.\n\nThanks:\n\nThanks to David Gobbi at the Seaman Family MR Centre and Dept. of\nClinical Neurosciences, Foothills Medical Centre, Calgary, for\nproviding this class.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageHistogram(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageHistogramNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageHistogram", o) != 0)
    {
    Py_DECREF(o);
    }

}

