// tcl wrapper for vtkImageHistogram object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageHistogram.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageHistogramNewCommand()
{
  vtkImageHistogram *temp = vtkImageHistogram::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageHistogramCppCommand(vtkImageHistogram *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageHistogramCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageHistogramCppCommand(static_cast<vtkImageHistogram *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageHistogramCppCommand(vtkImageHistogram *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageHistogram",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageHistogram  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageHistogram");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageHistogram  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageHistogram");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageHistogram  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageHistogram");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetActiveComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticBinning",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticBinning(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AutomaticBinningOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticBinningOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticBinningOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticBinningOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticBinning",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticBinning();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfBins",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfBins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfBins",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfBins();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfBins",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfBins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfBins",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBins();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBinOrigin",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBinOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBinOrigin",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBinOrigin();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBinSpacing",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBinSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBinSpacing",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBinSpacing();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStencil",argv[1]))&&(argc == 3))
    {
    vtkImageStencilData  *temp0;
    error = 0;

    temp0 = (vtkImageStencilData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageStencilData"),interp,error));
    if (!error)
    {
    op->SetStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStencil",argv[1]))&&(argc == 2))
    {
    vtkImageStencilData  *temp20;
    temp20 = (op)->GetStencil();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageStencilData");
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateHistogramImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateHistogramImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateHistogramImageOn",argv[1]))&&(argc == 2))
    {
    op->GenerateHistogramImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateHistogramImageOff",argv[1]))&&(argc == 2))
    {
    op->GenerateHistogramImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateHistogramImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateHistogramImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramImageSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetHistogramImageSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHistogramImageSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetHistogramImageSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramImageSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetHistogramImageSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramImageScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHistogramImageScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramImageScaleMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHistogramImageScaleMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHistogramImageScaleMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHistogramImageScaleMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramImageScaleToLinear",argv[1]))&&(argc == 2))
    {
    op->SetHistogramImageScaleToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramImageScaleToLog",argv[1]))&&(argc == 2))
    {
    op->SetHistogramImageScaleToLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramImageScaleToSqrt",argv[1]))&&(argc == 2))
    {
    op->SetHistogramImageScaleToSqrt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetHistogramImageScale",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHistogramImageScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHistogramImageScaleAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetHistogramImageScaleAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetHistogram",argv[1]))&&(argc == 2))
    {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetHistogram();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
  if ((!strcmp("GetTotal",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTotal();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageHistogramCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageHistogram:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticBinning\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticBinningOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticBinningOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticBinning\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfBins\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfBins\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfBins\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBins\n",NULL);
    Tcl_AppendResult(interp,"  SetBinOrigin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBinOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetBinSpacing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBinSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStencil\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateHistogramImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateHistogramImageOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateHistogramImageOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateHistogramImage\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramImageSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramImageSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramImageSize\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramImageScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramImageScaleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramImageScaleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramImageScaleToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramImageScaleToLog\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramImageScaleToSqrt\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramImageScale\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramImageScaleAsString\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogram\n",NULL);
    Tcl_AppendResult(interp,"  GetTotal\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetActiveComponent" );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticBinning" );
    Tcl_DStringAppendElement ( &dString, "AutomaticBinningOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticBinningOff" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticBinning" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "SetBinOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetBinOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetBinSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetBinSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateHistogramImage" );
    Tcl_DStringAppendElement ( &dString, "GenerateHistogramImageOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateHistogramImageOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateHistogramImage" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageSize" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageSize" );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageSize" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScale" );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScaleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScaleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScaleToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScaleToLog" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScaleToSqrt" );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScale" );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScaleAsString" );
    Tcl_DStringAppendElement ( &dString, "GetHistogram" );
    Tcl_DStringAppendElement ( &dString, "GetTotal" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageHistogram *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveComponent */
    if ( strcmp ( argv[2], "SetActiveComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveComponent */
    Tcl_DStringAppendElement ( &dString, " Set the component for which to generate a histogram.  The default\n value is -1, which produces a histogram that is the sum of the\n histograms of the individual components.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveComponent(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetActiveComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveComponent */
    if ( strcmp ( argv[2], "GetActiveComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveComponent */
    Tcl_DStringAppendElement ( &dString, " Set the component for which to generate a histogram.  The default\n value is -1, which produces a histogram that is the sum of the\n histograms of the individual components.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetActiveComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomaticBinning */
    if ( strcmp ( argv[2], "SetAutomaticBinning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticBinning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomaticBinning */
    Tcl_DStringAppendElement ( &dString, " If this is On, then the histogram binning will be done automatically.\n For char and unsigned char data, there will be 256 bins with unit\n spacing.  For data of type short and larger, there will be between\n 256 and MaximumNumberOfBins, depending on the range of the data, and\n the BinOrigin will be set to zero if no negative values are present,\n or to the smallest negative value if negative values are present.\n For float data, the MaximumNumberOfBins will always be used ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomaticBinning(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetAutomaticBinning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticBinningOn */
    if ( strcmp ( argv[2], "AutomaticBinningOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticBinningOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticBinningOn */
    Tcl_DStringAppendElement ( &dString, " If this is On, then the histogram binning will be done automatically.\n For char and unsigned char data, there will be 256 bins with unit\n spacing.  For data of type short and larger, there will be between\n 256 and MaximumNumberOfBins, depending on the range of the data, and\n the BinOrigin will be set to zero if no negative values are present,\n or to the smallest negative value if negative values are present.\n For float data, the MaximumNumberOfBins will always be used ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticBinningOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for AutomaticBinningOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticBinningOff */
    if ( strcmp ( argv[2], "AutomaticBinningOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticBinningOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticBinningOff */
    Tcl_DStringAppendElement ( &dString, " If this is On, then the histogram binning will be done automatically.\n For char and unsigned char data, there will be 256 bins with unit\n spacing.  For data of type short and larger, there will be between\n 256 and MaximumNumberOfBins, depending on the range of the data, and\n the BinOrigin will be set to zero if no negative values are present,\n or to the smallest negative value if negative values are present.\n For float data, the MaximumNumberOfBins will always be used ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticBinningOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for AutomaticBinningOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticBinning */
    if ( strcmp ( argv[2], "GetAutomaticBinning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticBinning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticBinning */
    Tcl_DStringAppendElement ( &dString, " If this is On, then the histogram binning will be done automatically.\n For char and unsigned char data, there will be 256 bins with unit\n spacing.  For data of type short and larger, there will be between\n 256 and MaximumNumberOfBins, depending on the range of the data, and\n the BinOrigin will be set to zero if no negative values are present,\n or to the smallest negative value if negative values are present.\n For float data, the MaximumNumberOfBins will always be used ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticBinning();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetAutomaticBinning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfBins */
    if ( strcmp ( argv[2], "SetMaximumNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfBins */
    Tcl_DStringAppendElement ( &dString, " The maximum number of bins to use when AutomaticBinning is On.\n When AutomaticBinning is On, the size of the output histogram\n will be set to the full range of the input data values, unless\n the full range is greater than this value.  By default, the max\n value is 65536, which is large enough to capture the full range\n of 16-bit integers.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfBins(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetMaximumNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfBins */
    if ( strcmp ( argv[2], "GetMaximumNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfBins */
    Tcl_DStringAppendElement ( &dString, " The maximum number of bins to use when AutomaticBinning is On.\n When AutomaticBinning is On, the size of the output histogram\n will be set to the full range of the input data values, unless\n the full range is greater than this value.  By default, the max\n value is 65536, which is large enough to capture the full range\n of 16-bit integers.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfBins();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetMaximumNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfBins */
    if ( strcmp ( argv[2], "SetNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfBins */
    Tcl_DStringAppendElement ( &dString, " The number of bins in histogram (default 256).  This is automatically\n computed unless AutomaticBinning is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfBins(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBins */
    if ( strcmp ( argv[2], "GetNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBins */
    Tcl_DStringAppendElement ( &dString, " The number of bins in histogram (default 256).  This is automatically\n computed unless AutomaticBinning is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfBins();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBinOrigin */
    if ( strcmp ( argv[2], "SetBinOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBinOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBinOrigin */
    Tcl_DStringAppendElement ( &dString, " The value for the center of the first bin (default 0).  This is\n automatically computed unless AutomaticBinning is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBinOrigin(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetBinOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBinOrigin */
    if ( strcmp ( argv[2], "GetBinOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBinOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBinOrigin */
    Tcl_DStringAppendElement ( &dString, " The value for the center of the first bin (default 0).  This is\n automatically computed unless AutomaticBinning is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBinOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetBinOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBinSpacing */
    if ( strcmp ( argv[2], "SetBinSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBinSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBinSpacing */
    Tcl_DStringAppendElement ( &dString, " The bin spacing (default 1).  This is automatically computed unless\n AutomaticBinning is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBinSpacing(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetBinSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBinSpacing */
    if ( strcmp ( argv[2], "GetBinSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBinSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBinSpacing */
    Tcl_DStringAppendElement ( &dString, " The bin spacing (default 1).  This is automatically computed unless\n AutomaticBinning is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBinSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetBinSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStencil */
    if ( strcmp ( argv[2], "SetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStencil */
    Tcl_DStringAppendElement ( &dString, " Use a stencil to compute the histogram for just a part of the image.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStencil(vtkImageStencilData *stencil);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStencil */
    if ( strcmp ( argv[2], "GetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStencil */
    Tcl_DStringAppendElement ( &dString, " Use a stencil to compute the histogram for just a part of the image.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData *GetStencil();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateHistogramImage */
    if ( strcmp ( argv[2], "SetGenerateHistogramImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateHistogramImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateHistogramImage */
    Tcl_DStringAppendElement ( &dString, " If this is On, then a histogram image will be produced as the output.\n Regardless of this setting, the histogram is always available as a\n vtkIdTypeArray from the GetHistogram method.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateHistogramImage(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetGenerateHistogramImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateHistogramImageOn */
    if ( strcmp ( argv[2], "GenerateHistogramImageOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateHistogramImageOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateHistogramImageOn */
    Tcl_DStringAppendElement ( &dString, " If this is On, then a histogram image will be produced as the output.\n Regardless of this setting, the histogram is always available as a\n vtkIdTypeArray from the GetHistogram method.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateHistogramImageOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GenerateHistogramImageOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateHistogramImageOff */
    if ( strcmp ( argv[2], "GenerateHistogramImageOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateHistogramImageOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateHistogramImageOff */
    Tcl_DStringAppendElement ( &dString, " If this is On, then a histogram image will be produced as the output.\n Regardless of this setting, the histogram is always available as a\n vtkIdTypeArray from the GetHistogram method.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateHistogramImageOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GenerateHistogramImageOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateHistogramImage */
    if ( strcmp ( argv[2], "GetGenerateHistogramImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateHistogramImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateHistogramImage */
    Tcl_DStringAppendElement ( &dString, " If this is On, then a histogram image will be produced as the output.\n Regardless of this setting, the histogram is always available as a\n vtkIdTypeArray from the GetHistogram method.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateHistogramImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetGenerateHistogramImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramImageSize */
    if ( strcmp ( argv[2], "SetHistogramImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramImageSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramImageSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetHistogramImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramImageSize */
    if ( strcmp ( argv[2], "SetHistogramImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramImageSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramImageSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetHistogramImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogramImageSize */
    if ( strcmp ( argv[2], "GetHistogramImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogramImageSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetHistogramImageSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetHistogramImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramImageScale */
    if ( strcmp ( argv[2], "SetHistogramImageScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramImageScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramImageScale(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetHistogramImageScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogramImageScaleMinValue */
    if ( strcmp ( argv[2], "GetHistogramImageScaleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScaleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogramImageScaleMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHistogramImageScaleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetHistogramImageScaleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogramImageScaleMaxValue */
    if ( strcmp ( argv[2], "GetHistogramImageScaleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScaleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogramImageScaleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHistogramImageScaleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetHistogramImageScaleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramImageScaleToLinear */
    if ( strcmp ( argv[2], "SetHistogramImageScaleToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScaleToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramImageScaleToLinear */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramImageScaleToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetHistogramImageScaleToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramImageScaleToLog */
    if ( strcmp ( argv[2], "SetHistogramImageScaleToLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScaleToLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramImageScaleToLog */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramImageScaleToLog();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetHistogramImageScaleToLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramImageScaleToSqrt */
    if ( strcmp ( argv[2], "SetHistogramImageScaleToSqrt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramImageScaleToSqrt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramImageScaleToSqrt */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramImageScaleToSqrt();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for SetHistogramImageScaleToSqrt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogramImageScale */
    if ( strcmp ( argv[2], "GetHistogramImageScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogramImageScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHistogramImageScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetHistogramImageScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogramImageScaleAsString */
    if ( strcmp ( argv[2], "GetHistogramImageScaleAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogramImageScaleAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogramImageScaleAsString */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use for the histogram image.  The default is\n a linear scale, but sqrt and log provide better visualization.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetHistogramImageScaleAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetHistogramImageScaleAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogram */
    if ( strcmp ( argv[2], "GetHistogram" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogram" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogram */
    Tcl_DStringAppendElement ( &dString, " Get the histogram as a vtkIdTypeArray.  You must call Update()\n before calling this method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetHistogram();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetHistogram */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotal */
    if ( strcmp ( argv[2], "GetTotal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotal */
    Tcl_DStringAppendElement ( &dString, " Get the total count of the histogram.  This will be the number of\n voxels times the number of components.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTotal();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageHistogram" );
    /* Closing for GetTotal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
