// tcl wrapper for vtkImageIslandRemoval2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageIslandRemoval2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageIslandRemoval2DNewCommand()
{
  vtkImageIslandRemoval2D *temp = vtkImageIslandRemoval2D::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageIslandRemoval2DCppCommand(vtkImageIslandRemoval2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageIslandRemoval2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageIslandRemoval2DCppCommand(static_cast<vtkImageIslandRemoval2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageIslandRemoval2DCppCommand(vtkImageIslandRemoval2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageIslandRemoval2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageIslandRemoval2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageIslandRemoval2D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageIslandRemoval2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageIslandRemoval2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageIslandRemoval2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageIslandRemoval2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAreaThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAreaThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAreaThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSquareNeighborhood",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSquareNeighborhood(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSquareNeighborhood",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSquareNeighborhood();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SquareNeighborhoodOn",argv[1]))&&(argc == 2))
    {
    op->SquareNeighborhoodOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SquareNeighborhoodOff",argv[1]))&&(argc == 2))
    {
    op->SquareNeighborhoodOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIslandValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetIslandValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIslandValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIslandValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetReplaceValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetReplaceValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageIslandRemoval2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageIslandRemoval2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetSquareNeighborhood\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSquareNeighborhood\n",NULL);
    Tcl_AppendResult(interp,"  SquareNeighborhoodOn\n",NULL);
    Tcl_AppendResult(interp,"  SquareNeighborhoodOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIslandValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIslandValue\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetAreaThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetAreaThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetSquareNeighborhood" );
    Tcl_DStringAppendElement ( &dString, "GetSquareNeighborhood" );
    Tcl_DStringAppendElement ( &dString, "SquareNeighborhoodOn" );
    Tcl_DStringAppendElement ( &dString, "SquareNeighborhoodOff" );
    Tcl_DStringAppendElement ( &dString, "SetIslandValue" );
    Tcl_DStringAppendElement ( &dString, "GetIslandValue" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceValue" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Constructor: Sets default filter to be identity.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageIslandRemoval2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Constructor: Sets default filter to be identity.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Constructor: Sets default filter to be identity.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Constructor: Sets default filter to be identity.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Constructor: Sets default filter to be identity.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaThreshold */
    if ( strcmp ( argv[2], "SetAreaThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cutoff area for removal\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaThreshold(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for SetAreaThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaThreshold */
    if ( strcmp ( argv[2], "GetAreaThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cutoff area for removal\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAreaThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for GetAreaThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSquareNeighborhood */
    if ( strcmp ( argv[2], "SetSquareNeighborhood" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSquareNeighborhood" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSquareNeighborhood */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to use 4 or 8 neighbors\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSquareNeighborhood(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for SetSquareNeighborhood */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSquareNeighborhood */
    if ( strcmp ( argv[2], "GetSquareNeighborhood" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSquareNeighborhood" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSquareNeighborhood */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to use 4 or 8 neighbors\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSquareNeighborhood();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for GetSquareNeighborhood */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SquareNeighborhoodOn */
    if ( strcmp ( argv[2], "SquareNeighborhoodOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SquareNeighborhoodOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SquareNeighborhoodOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to use 4 or 8 neighbors\n" );
    Tcl_DStringAppendElement ( &dString, "void SquareNeighborhoodOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for SquareNeighborhoodOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SquareNeighborhoodOff */
    if ( strcmp ( argv[2], "SquareNeighborhoodOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SquareNeighborhoodOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SquareNeighborhoodOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to use 4 or 8 neighbors\n" );
    Tcl_DStringAppendElement ( &dString, "void SquareNeighborhoodOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for SquareNeighborhoodOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIslandValue */
    if ( strcmp ( argv[2], "SetIslandValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIslandValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIslandValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to remove.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIslandValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for SetIslandValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIslandValue */
    if ( strcmp ( argv[2], "GetIslandValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIslandValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIslandValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to remove.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIslandValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for GetIslandValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceValue */
    if ( strcmp ( argv[2], "SetReplaceValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to put in the place of removed pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for SetReplaceValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceValue */
    if ( strcmp ( argv[2], "GetReplaceValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to put in the place of removed pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetReplaceValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageIslandRemoval2D" );
    /* Closing for GetReplaceValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
