// tcl wrapper for vtkImageMask object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMask.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageMaskNewCommand()
{
  vtkImageMask *temp = vtkImageMask::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMaskCppCommand(vtkImageMask *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMaskCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMaskCppCommand(static_cast<vtkImageMask *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMaskCppCommand(vtkImageMask *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMask",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageMask  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMask");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMask  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMask");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageMask  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMask");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaskedOutputValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaskedOutputValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaskedOutputValue",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMaskedOutputValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaskedOutputValue",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetMaskedOutputValue(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskedOutputValueLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaskedOutputValueLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaskAlpha",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaskAlpha(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskAlphaMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaskAlphaMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaskAlphaMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaskAlphaMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaskAlpha",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaskAlpha();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetImageInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaskInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetMaskInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNotMask",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNotMask(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNotMask",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNotMask();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NotMaskOn",argv[1]))&&(argc == 2))
    {
    op->NotMaskOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NotMaskOff",argv[1]))&&(argc == 2))
    {
    op->NotMaskOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput1",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput2",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageMaskCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMask:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskedOutputValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskedOutputValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskedOutputValue\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskedOutputValueLength\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskAlpha\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskAlphaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskAlphaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskAlpha\n",NULL);
    Tcl_AppendResult(interp,"  SetImageInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNotMask\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNotMask\n",NULL);
    Tcl_AppendResult(interp,"  NotMaskOn\n",NULL);
    Tcl_AppendResult(interp,"  NotMaskOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInput1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput2\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetMaskedOutputValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaskedOutputValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaskedOutputValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaskedOutputValueLength" );
    Tcl_DStringAppendElement ( &dString, "SetMaskAlpha" );
    Tcl_DStringAppendElement ( &dString, "GetMaskAlphaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaskAlphaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaskAlpha" );
    Tcl_DStringAppendElement ( &dString, "SetImageInput" );
    Tcl_DStringAppendElement ( &dString, "SetMaskInput" );
    Tcl_DStringAppendElement ( &dString, "SetNotMask" );
    Tcl_DStringAppendElement ( &dString, "GetNotMask" );
    Tcl_DStringAppendElement ( &dString, "NotMaskOn" );
    Tcl_DStringAppendElement ( &dString, "NotMaskOff" );
    Tcl_DStringAppendElement ( &dString, "SetInput1" );
    Tcl_DStringAppendElement ( &dString, "SetInput2" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageMask *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskedOutputValue */
    if ( strcmp ( argv[2], "SetMaskedOutputValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskedOutputValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskedOutputValue */
    Tcl_DStringAppendElement ( &dString, " SetGet the value of the output pixel replaced by mask.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskedOutputValue(double v);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetMaskedOutputValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskedOutputValue */
    if ( strcmp ( argv[2], "SetMaskedOutputValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskedOutputValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskedOutputValue */
    Tcl_DStringAppendElement ( &dString, " SetGet the value of the output pixel replaced by mask.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskedOutputValue(double v1, double v2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetMaskedOutputValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskedOutputValue */
    if ( strcmp ( argv[2], "SetMaskedOutputValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskedOutputValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskedOutputValue */
    Tcl_DStringAppendElement ( &dString, " SetGet the value of the output pixel replaced by mask.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskedOutputValue(double v1, double v2, double v3);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetMaskedOutputValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskedOutputValueLength */
    if ( strcmp ( argv[2], "GetMaskedOutputValueLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskedOutputValueLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskedOutputValueLength */
    Tcl_DStringAppendElement ( &dString, " SetGet the value of the output pixel replaced by mask.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaskedOutputValueLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for GetMaskedOutputValueLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskAlpha */
    if ( strcmp ( argv[2], "SetMaskAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskAlpha */
    Tcl_DStringAppendElement ( &dString, " Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskAlpha(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetMaskAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskAlphaMinValue */
    if ( strcmp ( argv[2], "GetMaskAlphaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskAlphaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskAlphaMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaskAlphaMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for GetMaskAlphaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskAlphaMaxValue */
    if ( strcmp ( argv[2], "GetMaskAlphaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskAlphaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskAlphaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaskAlphaMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for GetMaskAlphaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskAlpha */
    if ( strcmp ( argv[2], "GetMaskAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskAlpha */
    Tcl_DStringAppendElement ( &dString, " Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaskAlpha();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for GetMaskAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageInput */
    if ( strcmp ( argv[2], "SetImageInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageInput */
    Tcl_DStringAppendElement ( &dString, " Set the input to be masked.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageInput(vtkImageData *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetImageInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskInput */
    if ( strcmp ( argv[2], "SetMaskInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskInput */
    Tcl_DStringAppendElement ( &dString, " Set the mask to be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskInput(vtkImageData *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetMaskInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNotMask */
    if ( strcmp ( argv[2], "SetNotMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNotMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNotMask */
    Tcl_DStringAppendElement ( &dString, " When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNotMask(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetNotMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNotMask */
    if ( strcmp ( argv[2], "GetNotMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNotMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNotMask */
    Tcl_DStringAppendElement ( &dString, " When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNotMask();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for GetNotMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NotMaskOn */
    if ( strcmp ( argv[2], "NotMaskOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NotMaskOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NotMaskOn */
    Tcl_DStringAppendElement ( &dString, " When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void NotMaskOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for NotMaskOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NotMaskOff */
    if ( strcmp ( argv[2], "NotMaskOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NotMaskOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NotMaskOff */
    Tcl_DStringAppendElement ( &dString, " When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void NotMaskOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for NotMaskOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput1 */
    if ( strcmp ( argv[2], "SetInput1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput1 */
    Tcl_DStringAppendElement ( &dString, " Set the two inputs to this filter\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput1(vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetInput1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput2 */
    if ( strcmp ( argv[2], "SetInput2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput2 */
    Tcl_DStringAppendElement ( &dString, " Set the two inputs to this filter\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput2(vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMask" );
    /* Closing for SetInput2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
