// tcl wrapper for vtkImageOpenClose3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageOpenClose3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageOpenClose3DNewCommand()
{
  vtkImageOpenClose3D *temp = vtkImageOpenClose3D::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageOpenClose3DCppCommand(vtkImageOpenClose3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageOpenClose3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageOpenClose3DCppCommand(static_cast<vtkImageOpenClose3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageOpenClose3DCppCommand(vtkImageOpenClose3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageOpenClose3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageOpenClose3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageOpenClose3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageOpenClose3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageOpenClose3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageOpenClose3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageOpenClose3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DebugOn",argv[1]))&&(argc == 2))
    {
    op->DebugOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DebugOff",argv[1]))&&(argc == 2))
    {
    op->DebugOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Modified",argv[1]))&&(argc == 2))
    {
    op->Modified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetKernelSize",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetKernelSize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOpenValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpenValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpenValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpenValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCloseValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCloseValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCloseValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCloseValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFilter0",argv[1]))&&(argc == 2))
    {
    vtkImageDilateErode3D  *temp20;
    temp20 = (op)->GetFilter0();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDilateErode3D");
    return TCL_OK;
    }
  if ((!strcmp("GetFilter1",argv[1]))&&(argc == 2))
    {
    vtkImageDilateErode3D  *temp20;
    temp20 = (op)->GetFilter1();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDilateErode3D");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageOpenClose3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageOpenClose3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  DebugOn\n",NULL);
    Tcl_AppendResult(interp,"  DebugOff\n",NULL);
    Tcl_AppendResult(interp,"  Modified\n",NULL);
    Tcl_AppendResult(interp,"  SetKernelSize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOpenValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpenValue\n",NULL);
    Tcl_AppendResult(interp,"  SetCloseValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCloseValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFilter0\n",NULL);
    Tcl_AppendResult(interp,"  GetFilter1\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "DebugOn" );
    Tcl_DStringAppendElement ( &dString, "DebugOff" );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    Tcl_DStringAppendElement ( &dString, "SetKernelSize" );
    Tcl_DStringAppendElement ( &dString, "SetOpenValue" );
    Tcl_DStringAppendElement ( &dString, "GetOpenValue" );
    Tcl_DStringAppendElement ( &dString, "SetCloseValue" );
    Tcl_DStringAppendElement ( &dString, "GetCloseValue" );
    Tcl_DStringAppendElement ( &dString, "GetFilter0" );
    Tcl_DStringAppendElement ( &dString, "GetFilter1" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Default open value is 0, and default close value is 255.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageOpenClose3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Default open value is 0, and default close value is 255.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Default open value is 0, and default close value is 255.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Default open value is 0, and default close value is 255.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Default open value is 0, and default close value is 255.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " This method considers the sub filters MTimes when computing this objects\n modified time.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DebugOn */
    if ( strcmp ( argv[2], "DebugOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DebugOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DebugOn */
    Tcl_DStringAppendElement ( &dString, " Turn debugging output on. (in sub filters also)\n" );
    Tcl_DStringAppendElement ( &dString, "void DebugOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for DebugOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DebugOff */
    if ( strcmp ( argv[2], "DebugOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DebugOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DebugOff */
    Tcl_DStringAppendElement ( &dString, " Turn debugging output on. (in sub filters also)\n" );
    Tcl_DStringAppendElement ( &dString, "void DebugOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for DebugOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Modified */
    if ( strcmp ( argv[2], "Modified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Modified */
    Tcl_DStringAppendElement ( &dString, " Pass modified message to sub filters.\n" );
    Tcl_DStringAppendElement ( &dString, "void Modified();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for Modified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKernelSize */
    if ( strcmp ( argv[2], "SetKernelSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKernelSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKernelSize */
    Tcl_DStringAppendElement ( &dString, " Selects the size of gaps or objects removed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKernelSize(int size0, int size1, int size2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for SetKernelSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpenValue */
    if ( strcmp ( argv[2], "SetOpenValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpenValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpenValue */
    Tcl_DStringAppendElement ( &dString, " Determines the value that will opened.  \n Open value is first eroded, and then dilated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOpenValue(double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for SetOpenValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpenValue */
    if ( strcmp ( argv[2], "GetOpenValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpenValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpenValue */
    Tcl_DStringAppendElement ( &dString, " Determines the value that will opened.  \n Open value is first eroded, and then dilated.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpenValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for GetOpenValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCloseValue */
    if ( strcmp ( argv[2], "SetCloseValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCloseValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCloseValue */
    Tcl_DStringAppendElement ( &dString, " Determines the value that will closed.\n Close value is first dilated, and then eroded\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCloseValue(double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for SetCloseValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCloseValue */
    if ( strcmp ( argv[2], "GetCloseValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCloseValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCloseValue */
    Tcl_DStringAppendElement ( &dString, " Determines the value that will closed.\n Close value is first dilated, and then eroded\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCloseValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for GetCloseValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilter0 */
    if ( strcmp ( argv[2], "GetFilter0" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilter0" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilter0 */
    Tcl_DStringAppendElement ( &dString, " Needed for Progress functions\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDilateErode3D *GetFilter0();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for GetFilter0 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilter1 */
    if ( strcmp ( argv[2], "GetFilter1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilter1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilter1 */
    Tcl_DStringAppendElement ( &dString, " Needed for Progress functions\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDilateErode3D *GetFilter1();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageOpenClose3D" );
    /* Closing for GetFilter1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
