// tcl wrapper for vtkImageRectilinearWipe object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageRectilinearWipe.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageRectilinearWipeNewCommand()
{
  vtkImageRectilinearWipe *temp = vtkImageRectilinearWipe::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageRectilinearWipeCppCommand(vtkImageRectilinearWipe *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageRectilinearWipeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageRectilinearWipeCppCommand(static_cast<vtkImageRectilinearWipe *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageRectilinearWipeCppCommand(vtkImageRectilinearWipe *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageRectilinearWipe",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageRectilinearWipe  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageRectilinearWipe");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageRectilinearWipe  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageRectilinearWipe");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageRectilinearWipe  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageRectilinearWipe");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAxis",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAxis(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxis",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxis",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetAxis();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInput1",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput2",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWipe",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWipe(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWipeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWipeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWipeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWipeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWipe",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWipe();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWipeToQuad",argv[1]))&&(argc == 2))
    {
    op->SetWipeToQuad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWipeToHorizontal",argv[1]))&&(argc == 2))
    {
    op->SetWipeToHorizontal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWipeToVertical",argv[1]))&&(argc == 2))
    {
    op->SetWipeToVertical();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWipeToLowerLeft",argv[1]))&&(argc == 2))
    {
    op->SetWipeToLowerLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWipeToLowerRight",argv[1]))&&(argc == 2))
    {
    op->SetWipeToLowerRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWipeToUpperLeft",argv[1]))&&(argc == 2))
    {
    op->SetWipeToUpperLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWipeToUpperRight",argv[1]))&&(argc == 2))
    {
    op->SetWipeToUpperRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageRectilinearWipeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageRectilinearWipe:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetAxis\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAxis\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetInput1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWipe\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWipeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWipeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWipe\n",NULL);
    Tcl_AppendResult(interp,"  SetWipeToQuad\n",NULL);
    Tcl_AppendResult(interp,"  SetWipeToHorizontal\n",NULL);
    Tcl_AppendResult(interp,"  SetWipeToVertical\n",NULL);
    Tcl_AppendResult(interp,"  SetWipeToLowerLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetWipeToLowerRight\n",NULL);
    Tcl_AppendResult(interp,"  SetWipeToUpperLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetWipeToUpperRight\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    Tcl_DStringAppendElement ( &dString, "SetInput1" );
    Tcl_DStringAppendElement ( &dString, "SetInput2" );
    Tcl_DStringAppendElement ( &dString, "SetWipe" );
    Tcl_DStringAppendElement ( &dString, "GetWipeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetWipeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetWipe" );
    Tcl_DStringAppendElement ( &dString, "SetWipeToQuad" );
    Tcl_DStringAppendElement ( &dString, "SetWipeToHorizontal" );
    Tcl_DStringAppendElement ( &dString, "SetWipeToVertical" );
    Tcl_DStringAppendElement ( &dString, "SetWipeToLowerLeft" );
    Tcl_DStringAppendElement ( &dString, "SetWipeToLowerRight" );
    Tcl_DStringAppendElement ( &dString, "SetWipeToUpperLeft" );
    Tcl_DStringAppendElement ( &dString, "SetWipeToUpperRight" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageRectilinearWipe *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the image transition. Note that position is\n specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxis */
    if ( strcmp ( argv[2], "SetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxis */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxis(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxis */
    if ( strcmp ( argv[2], "SetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxis */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxis(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxis */
    if ( strcmp ( argv[2], "GetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the wipe axes. The default is X,Y (ie vector\n values of 0 and 1).\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for GetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput1 */
    if ( strcmp ( argv[2], "SetInput1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput1 */
    Tcl_DStringAppendElement ( &dString, " Set the two inputs to this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput1(vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetInput1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput2 */
    if ( strcmp ( argv[2], "SetInput2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput2 */
    Tcl_DStringAppendElement ( &dString, " Set the two inputs to this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput2(vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetInput2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipe */
    if ( strcmp ( argv[2], "SetWipe" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipe" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipe */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipe(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipe */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWipeMinValue */
    if ( strcmp ( argv[2], "GetWipeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWipeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWipeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWipeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for GetWipeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWipeMaxValue */
    if ( strcmp ( argv[2], "GetWipeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWipeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWipeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWipeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for GetWipeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWipe */
    if ( strcmp ( argv[2], "GetWipe" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWipe" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWipe */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWipe();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for GetWipe */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipeToQuad */
    if ( strcmp ( argv[2], "SetWipeToQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipeToQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipeToQuad */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipeToQuad();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipeToQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipeToHorizontal */
    if ( strcmp ( argv[2], "SetWipeToHorizontal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipeToHorizontal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipeToHorizontal */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipeToHorizontal();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipeToHorizontal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipeToVertical */
    if ( strcmp ( argv[2], "SetWipeToVertical" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipeToVertical" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipeToVertical */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipeToVertical();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipeToVertical */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipeToLowerLeft */
    if ( strcmp ( argv[2], "SetWipeToLowerLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipeToLowerLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipeToLowerLeft */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipeToLowerLeft();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipeToLowerLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipeToLowerRight */
    if ( strcmp ( argv[2], "SetWipeToLowerRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipeToLowerRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipeToLowerRight */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipeToLowerRight();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipeToLowerRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipeToUpperLeft */
    if ( strcmp ( argv[2], "SetWipeToUpperLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipeToUpperLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipeToUpperLeft */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipeToUpperLeft();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipeToUpperLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWipeToUpperRight */
    if ( strcmp ( argv[2], "SetWipeToUpperRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWipeToUpperRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWipeToUpperRight */
    Tcl_DStringAppendElement ( &dString, " Specify the wipe mode. This mode determnis how input 0 and input\n 1 are combined to produce the output. Each mode uses one or both\n of the values stored in Position.\n   SetWipeToQuad - alternate input 0 and input 1 horizontally and\n     vertically. The Position specifies the location of the quad\n     intersection.\n   SetWipeToLowerLeft{LowerRight,UpperLeft.UpperRight} - 3 of one\n     input and 1 of the other. Select the location of input 0 to the\n     LowerLeft{Lowe ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWipeToUpperRight();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageRectilinearWipe" );
    /* Closing for SetWipeToUpperRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
