// tcl wrapper for vtkImageResize object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageResize.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageResizeNewCommand()
{
  vtkImageResize *temp = vtkImageResize::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageResizeCppCommand(vtkImageResize *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageResizeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageResizeCppCommand(static_cast<vtkImageResize *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageResizeCppCommand(vtkImageResize *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageResize",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageResize  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageResize");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageResize  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageResize");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageResize  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageResize");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResizeMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResizeMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResizeMethodMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResizeMethodMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetResizeMethodMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResizeMethodMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetResizeMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResizeMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResizeMethodToOutputDimensions",argv[1]))&&(argc == 2))
    {
    op->SetResizeMethodToOutputDimensions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResizeMethodToOutputSpacing",argv[1]))&&(argc == 2))
    {
    op->SetResizeMethodToOutputSpacing();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResizeMethodToMagnificationFactors",argv[1]))&&(argc == 2))
    {
    op->SetResizeMethodToMagnificationFactors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetResizeMethodAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetResizeMethodAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetOutputDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetOutputDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOutputDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOutputSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOutputSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOutputSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMagnificationFactors",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetMagnificationFactors(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMagnificationFactors",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetMagnificationFactors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnificationFactors",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMagnificationFactors();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BorderOn",argv[1]))&&(argc == 2))
    {
    op->BorderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BorderOff",argv[1]))&&(argc == 2))
    {
    op->BorderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBorder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCropping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCropping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CroppingOn",argv[1]))&&(argc == 2))
    {
    op->CroppingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CroppingOff",argv[1]))&&(argc == 2))
    {
    op->CroppingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCropping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCropping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegion",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetCroppingRegion(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCroppingRegion",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetCroppingRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCroppingRegion",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCroppingRegion();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateOn",argv[1]))&&(argc == 2))
    {
    op->InterpolateOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InterpolateOff",argv[1]))&&(argc == 2))
    {
    op->InterpolateOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolator",argv[1]))&&(argc == 3))
    {
    vtkAbstractImageInterpolator  *temp0;
    error = 0;

    temp0 = (vtkAbstractImageInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractImageInterpolator"),interp,error));
    if (!error)
    {
    op->SetInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolator",argv[1]))&&(argc == 2))
    {
    vtkAbstractImageInterpolator  *temp20;
    temp20 = (op)->GetInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractImageInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageResizeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageResize:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetResizeMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResizeMethodMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetResizeMethodMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetResizeMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetResizeMethodToOutputDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetResizeMethodToOutputSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetResizeMethodToMagnificationFactors\n",NULL);
    Tcl_AppendResult(interp,"  GetResizeMethodAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnificationFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnificationFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnificationFactors\n",NULL);
    Tcl_AppendResult(interp,"  SetBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BorderOn\n",NULL);
    Tcl_AppendResult(interp,"  BorderOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBorder\n",NULL);
    Tcl_AppendResult(interp,"  SetCropping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CroppingOn\n",NULL);
    Tcl_AppendResult(interp,"  CroppingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCropping\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegion\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegion\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateOn\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateOff\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolate\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethod" );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethodMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethodMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethod" );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethodToOutputDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethodToOutputSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethodToMagnificationFactors" );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethodAsString" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetOutputSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetMagnificationFactors" );
    Tcl_DStringAppendElement ( &dString, "SetMagnificationFactors" );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationFactors" );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    Tcl_DStringAppendElement ( &dString, "CroppingOn" );
    Tcl_DStringAppendElement ( &dString, "CroppingOff" );
    Tcl_DStringAppendElement ( &dString, "GetCropping" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegion" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegion" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegion" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolate" );
    Tcl_DStringAppendElement ( &dString, "InterpolateOn" );
    Tcl_DStringAppendElement ( &dString, "InterpolateOff" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolate" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageResize *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResizeMethod */
    if ( strcmp ( argv[2], "SetResizeMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResizeMethod */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResizeMethod(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetResizeMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResizeMethodMinValue */
    if ( strcmp ( argv[2], "GetResizeMethodMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethodMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResizeMethodMinValue */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResizeMethodMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetResizeMethodMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResizeMethodMaxValue */
    if ( strcmp ( argv[2], "GetResizeMethodMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethodMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResizeMethodMaxValue */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResizeMethodMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetResizeMethodMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResizeMethod */
    if ( strcmp ( argv[2], "GetResizeMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResizeMethod */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResizeMethod();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetResizeMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResizeMethodToOutputDimensions */
    if ( strcmp ( argv[2], "SetResizeMethodToOutputDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethodToOutputDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResizeMethodToOutputDimensions */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResizeMethodToOutputDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetResizeMethodToOutputDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResizeMethodToOutputSpacing */
    if ( strcmp ( argv[2], "SetResizeMethodToOutputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethodToOutputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResizeMethodToOutputSpacing */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResizeMethodToOutputSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetResizeMethodToOutputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResizeMethodToMagnificationFactors */
    if ( strcmp ( argv[2], "SetResizeMethodToMagnificationFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResizeMethodToMagnificationFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResizeMethodToMagnificationFactors */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResizeMethodToMagnificationFactors();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetResizeMethodToMagnificationFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResizeMethodAsString */
    if ( strcmp ( argv[2], "GetResizeMethodAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResizeMethodAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResizeMethodAsString */
    Tcl_DStringAppendElement ( &dString, " The resizing method to use.  The default is to set the output image\n dimensions, and allow the filter to resize the image to these new\n dimensions.  It is also possible to resize the image by setting the\n output image spacing or by setting a magnification factor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetResizeMethodAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetResizeMethodAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDimensions */
    if ( strcmp ( argv[2], "SetOutputDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDimensions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDimensions(int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetOutputDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDimensions */
    if ( strcmp ( argv[2], "SetOutputDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDimensions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDimensions(int a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetOutputDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputDimensions */
    if ( strcmp ( argv[2], "GetOutputDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDimensions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetOutputDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetOutputDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputSpacing */
    if ( strcmp ( argv[2], "SetOutputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputSpacing(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetOutputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputSpacing */
    if ( strcmp ( argv[2], "SetOutputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputSpacing(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetOutputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputSpacing */
    if ( strcmp ( argv[2], "GetOutputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetOutputSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetOutputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnificationFactors */
    if ( strcmp ( argv[2], "SetMagnificationFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnificationFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnificationFactors */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnificationFactors(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetMagnificationFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnificationFactors */
    if ( strcmp ( argv[2], "SetMagnificationFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnificationFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnificationFactors */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnificationFactors(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetMagnificationFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnificationFactors */
    if ( strcmp ( argv[2], "GetMagnificationFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnificationFactors */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetMagnificationFactors();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetMagnificationFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorder */
    if ( strcmp ( argv[2], "SetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorder */
    Tcl_DStringAppendElement ( &dString, " If Border is Off (the default), then the centers of each of the corner\n voxels will be considered to form the rectangular bounds of the image.\n This is the way that VTK normally computes image bounds.  If Border is On,\n then the image bounds will be defined by the outer corners of the voxels.\n This setting impacts how the resizing is done.  For example, if a\n MagnificationFactor of two is applied to a 256x256 image, the output\n image will be 512x512 if Border is On, o ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorder(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOn */
    if ( strcmp ( argv[2], "BorderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOn */
    Tcl_DStringAppendElement ( &dString, " If Border is Off (the default), then the centers of each of the corner\n voxels will be considered to form the rectangular bounds of the image.\n This is the way that VTK normally computes image bounds.  If Border is On,\n then the image bounds will be defined by the outer corners of the voxels.\n This setting impacts how the resizing is done.  For example, if a\n MagnificationFactor of two is applied to a 256x256 image, the output\n image will be 512x512 if Border is On, o ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for BorderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOff */
    if ( strcmp ( argv[2], "BorderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOff */
    Tcl_DStringAppendElement ( &dString, " If Border is Off (the default), then the centers of each of the corner\n voxels will be considered to form the rectangular bounds of the image.\n This is the way that VTK normally computes image bounds.  If Border is On,\n then the image bounds will be defined by the outer corners of the voxels.\n This setting impacts how the resizing is done.  For example, if a\n MagnificationFactor of two is applied to a 256x256 image, the output\n image will be 512x512 if Border is On, o ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for BorderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorder */
    if ( strcmp ( argv[2], "GetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorder */
    Tcl_DStringAppendElement ( &dString, " If Border is Off (the default), then the centers of each of the corner\n voxels will be considered to form the rectangular bounds of the image.\n This is the way that VTK normally computes image bounds.  If Border is On,\n then the image bounds will be defined by the outer corners of the voxels.\n This setting impacts how the resizing is done.  For example, if a\n MagnificationFactor of two is applied to a 256x256 image, the output\n image will be 512x512 if Border is On, o ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCropping */
    if ( strcmp ( argv[2], "SetCropping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCropping */
    Tcl_DStringAppendElement ( &dString, " Whether to crop the input image before resizing (Off by default).  If this\n is On, then the CroppingRegion must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCropping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetCropping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CroppingOn */
    if ( strcmp ( argv[2], "CroppingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CroppingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CroppingOn */
    Tcl_DStringAppendElement ( &dString, " Whether to crop the input image before resizing (Off by default).  If this\n is On, then the CroppingRegion must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "void CroppingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for CroppingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CroppingOff */
    if ( strcmp ( argv[2], "CroppingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CroppingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CroppingOff */
    Tcl_DStringAppendElement ( &dString, " Whether to crop the input image before resizing (Off by default).  If this\n is On, then the CroppingRegion must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "void CroppingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for CroppingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCropping */
    if ( strcmp ( argv[2], "GetCropping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCropping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCropping */
    Tcl_DStringAppendElement ( &dString, " Whether to crop the input image before resizing (Off by default).  If this\n is On, then the CroppingRegion must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCropping();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetCropping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegion */
    if ( strcmp ( argv[2], "SetCroppingRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegion */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegion(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetCroppingRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegion */
    if ( strcmp ( argv[2], "SetCroppingRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegion */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegion(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetCroppingRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingRegion */
    if ( strcmp ( argv[2], "GetCroppingRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingRegion */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCroppingRegion();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetCroppingRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolate */
    if ( strcmp ( argv[2], "SetInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolate */
    Tcl_DStringAppendElement ( &dString, " Turn interpolation on or off (by default, interpolation is on).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolate(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateOn */
    if ( strcmp ( argv[2], "InterpolateOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateOn */
    Tcl_DStringAppendElement ( &dString, " Turn interpolation on or off (by default, interpolation is on).\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for InterpolateOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateOff */
    if ( strcmp ( argv[2], "InterpolateOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateOff */
    Tcl_DStringAppendElement ( &dString, " Turn interpolation on or off (by default, interpolation is on).\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for InterpolateOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolate */
    if ( strcmp ( argv[2], "GetInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolate */
    Tcl_DStringAppendElement ( &dString, " Turn interpolation on or off (by default, interpolation is on).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolate();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolator */
    if ( strcmp ( argv[2], "SetInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractImageInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set the interpolator for resampling the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterpolator(vtkAbstractImageInterpolator *sampler);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for SetInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolator */
    if ( strcmp ( argv[2], "GetInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set the interpolator for resampling the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractImageInterpolator *GetInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the modified time of the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResize" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
