// tcl wrapper for vtkImageSeedConnectivity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSeedConnectivity.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageSeedConnectivityNewCommand()
{
  vtkImageSeedConnectivity *temp = vtkImageSeedConnectivity::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageSeedConnectivityCppCommand(vtkImageSeedConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageSeedConnectivityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageSeedConnectivityCppCommand(static_cast<vtkImageSeedConnectivity *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageSeedConnectivityCppCommand(vtkImageSeedConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageSeedConnectivity",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageSeedConnectivity  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSeedConnectivity");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageSeedConnectivity  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSeedConnectivity");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageSeedConnectivity  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSeedConnectivity");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllSeeds",argv[1]))&&(argc == 2))
    {
    op->RemoveAllSeeds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSeed",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddSeed(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddSeed",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddSeed(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnectValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInputConnectValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputConnectValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputConnectValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputConnectedValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputConnectedValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputConnectedValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputConnectedValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputUnconnectedValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputUnconnectedValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputUnconnectedValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputUnconnectedValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetConnector",argv[1]))&&(argc == 2))
    {
    vtkImageConnector  *temp20;
    temp20 = (op)->GetConnector();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageConnector");
    return TCL_OK;
    }
  if ((!strcmp("SetDimensionality",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDimensionality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageSeedConnectivityCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageSeedConnectivity:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllSeeds\n",NULL);
    Tcl_AppendResult(interp,"  AddSeed\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddSeed\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnectValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputConnectValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputConnectedValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputConnectedValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputUnconnectedValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputUnconnectedValue\n",NULL);
    Tcl_AppendResult(interp,"  GetConnector\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensionality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensionality\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllSeeds" );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnectValue" );
    Tcl_DStringAppendElement ( &dString, "GetInputConnectValue" );
    Tcl_DStringAppendElement ( &dString, "SetOutputConnectedValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputConnectedValue" );
    Tcl_DStringAppendElement ( &dString, "SetOutputUnconnectedValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputUnconnectedValue" );
    Tcl_DStringAppendElement ( &dString, "GetConnector" );
    Tcl_DStringAppendElement ( &dString, "SetDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageSeedConnectivity *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllSeeds */
    if ( strcmp ( argv[2], "RemoveAllSeeds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllSeeds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllSeeds */
    Tcl_DStringAppendElement ( &dString, " Methods for manipulating the seed pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllSeeds();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for RemoveAllSeeds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddSeed */
    if ( strcmp ( argv[2], "AddSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSeed */
    Tcl_DStringAppendElement ( &dString, " Methods for manipulating the seed pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSeed(int i0, int i1, int i2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for AddSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddSeed */
    if ( strcmp ( argv[2], "AddSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSeed */
    Tcl_DStringAppendElement ( &dString, " Methods for manipulating the seed pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSeed(int i0, int i1);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for AddSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnectValue */
    if ( strcmp ( argv[2], "SetInputConnectValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnectValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnectValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get what value is considered as connecting pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputConnectValue(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for SetInputConnectValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputConnectValue */
    if ( strcmp ( argv[2], "GetInputConnectValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputConnectValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputConnectValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get what value is considered as connecting pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputConnectValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for GetInputConnectValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputConnectedValue */
    if ( strcmp ( argv[2], "SetOutputConnectedValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputConnectedValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputConnectedValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to set connected pixels to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputConnectedValue(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for SetOutputConnectedValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputConnectedValue */
    if ( strcmp ( argv[2], "GetOutputConnectedValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputConnectedValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputConnectedValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to set connected pixels to.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputConnectedValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for GetOutputConnectedValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputUnconnectedValue */
    if ( strcmp ( argv[2], "SetOutputUnconnectedValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputUnconnectedValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputUnconnectedValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to set unconnected pixels to.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputUnconnectedValue(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for SetOutputUnconnectedValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputUnconnectedValue */
    if ( strcmp ( argv[2], "GetOutputUnconnectedValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputUnconnectedValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputUnconnectedValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value to set unconnected pixels to.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputUnconnectedValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for GetOutputUnconnectedValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConnector */
    if ( strcmp ( argv[2], "GetConnector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConnector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConnector */
    Tcl_DStringAppendElement ( &dString, " Get the vtkImageCOnnector used by this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConnector *GetConnector();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for GetConnector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensionality */
    if ( strcmp ( argv[2], "SetDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensionality */
    Tcl_DStringAppendElement ( &dString, " Set the number of axes to use in connectivity.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensionality(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for SetDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensionality */
    if ( strcmp ( argv[2], "GetDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionality */
    Tcl_DStringAppendElement ( &dString, " Set the number of axes to use in connectivity.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimensionality();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSeedConnectivity" );
    /* Closing for GetDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
