// tcl wrapper for vtkImageSlabReslice object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSlabReslice.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageSlabResliceNewCommand()
{
  vtkImageSlabReslice *temp = vtkImageSlabReslice::New();
  return static_cast<ClientData>(temp);
}

int vtkImageResliceCppCommand(vtkImageReslice *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageSlabResliceCppCommand(vtkImageSlabReslice *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageSlabResliceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageSlabResliceCppCommand(static_cast<vtkImageSlabReslice *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageSlabResliceCppCommand(vtkImageSlabReslice *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageSlabReslice",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageResliceCppCommand(static_cast<vtkImageReslice *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageReslice"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageSlabReslice  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlabReslice");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageSlabReslice  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlabReslice");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageSlabReslice  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlabReslice");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBlendMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBlendMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlendMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlendMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToMin",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToMax",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToMean",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToMean();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumBlendSamplePoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumBlendSamplePoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlabThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSlabThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlabThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSlabThickness();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlabResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSlabResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlabResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSlabResolution();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageSlabResliceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageResliceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageSlabReslice:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlendMode\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToMin\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToMax\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToMean\n",NULL);
    Tcl_AppendResult(interp,"  GetNumBlendSamplePoints\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabResolution\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageResliceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMin" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMax" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMean" );
    Tcl_DStringAppendElement ( &dString, "GetNumBlendSamplePoints" );
    Tcl_DStringAppendElement ( &dString, "SetSlabThickness" );
    Tcl_DStringAppendElement ( &dString, "GetSlabThickness" );
    Tcl_DStringAppendElement ( &dString, "SetSlabResolution" );
    Tcl_DStringAppendElement ( &dString, "GetSlabResolution" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageResliceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageSlabReslice *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendMode */
    if ( strcmp ( argv[2], "SetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Default is MIP (ie Max)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for SetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlendMode */
    if ( strcmp ( argv[2], "GetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Default is MIP (ie Max)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlendMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for GetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToMin */
    if ( strcmp ( argv[2], "SetBlendModeToMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToMin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Default is MIP (ie Max)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for SetBlendModeToMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToMax */
    if ( strcmp ( argv[2], "SetBlendModeToMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToMax */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Default is MIP (ie Max)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for SetBlendModeToMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToMean */
    if ( strcmp ( argv[2], "SetBlendModeToMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToMean */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Default is MIP (ie Max)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToMean();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for SetBlendModeToMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumBlendSamplePoints */
    if ( strcmp ( argv[2], "GetNumBlendSamplePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumBlendSamplePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumBlendSamplePoints */
    Tcl_DStringAppendElement ( &dString, " Number of sample points used across the slab cross-section. If equal to\n 1, this ends up being a thin reslice through the data a.k.a.\n vtkImageReslice\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumBlendSamplePoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for GetNumBlendSamplePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabThickness */
    if ( strcmp ( argv[2], "SetSlabThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabThickness */
    Tcl_DStringAppendElement ( &dString, " SlabThickness of slab in world coords. SlabThickness must be non-zero and\n positive.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabThickness(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for SetSlabThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabThickness */
    if ( strcmp ( argv[2], "GetSlabThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabThickness */
    Tcl_DStringAppendElement ( &dString, " SlabThickness of slab in world coords. SlabThickness must be non-zero and\n positive.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSlabThickness();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for GetSlabThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabResolution */
    if ( strcmp ( argv[2], "SetSlabResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabResolution */
    Tcl_DStringAppendElement ( &dString, " Spacing between slabs in world units. (Number of Slices, ie samples to\n blend is computed from SlabThickness and SlabResolution).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabResolution(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for SetSlabResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabResolution */
    if ( strcmp ( argv[2], "GetSlabResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabResolution */
    Tcl_DStringAppendElement ( &dString, " Spacing between slabs in world units. (Number of Slices, ie samples to\n blend is computed from SlabThickness and SlabResolution).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSlabResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlabReslice" );
    /* Closing for GetSlabResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageResliceCppCommand(static_cast<vtkImageReslice *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
