// tcl wrapper for vtkImageSlab object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSlab.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageSlabNewCommand()
{
  vtkImageSlab *temp = vtkImageSlab::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageSlabCppCommand(vtkImageSlab *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageSlabCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageSlabCppCommand(static_cast<vtkImageSlab *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageSlabCppCommand(vtkImageSlab *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageSlab",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageSlab  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlab");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageSlab  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlab");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageSlab  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlab");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToX",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToY",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToZ",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSliceRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSliceRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSliceRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceRange",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSliceRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOperation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOperationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOperationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMin",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMax",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMean",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMean();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSum",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOperation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOperationAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetOperationAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTrapezoidIntegration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTrapezoidIntegration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TrapezoidIntegrationOn",argv[1]))&&(argc == 2))
    {
    op->TrapezoidIntegrationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TrapezoidIntegrationOff",argv[1]))&&(argc == 2))
    {
    op->TrapezoidIntegrationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTrapezoidIntegration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTrapezoidIntegration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMultiSliceOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMultiSliceOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MultiSliceOutputOn",argv[1]))&&(argc == 2))
    {
    op->MultiSliceOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MultiSliceOutputOff",argv[1]))&&(argc == 2))
    {
    op->MultiSliceOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMultiSliceOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMultiSliceOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToInputScalarType",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToInputScalarType();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageSlabCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageSlab:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToX\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToY\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToZ\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceRange\n",NULL);
    Tcl_AppendResult(interp,"  SetOperation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOperationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOperationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMin\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMax\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMean\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSum\n",NULL);
    Tcl_AppendResult(interp,"  GetOperation\n",NULL);
    Tcl_AppendResult(interp,"  GetOperationAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetTrapezoidIntegration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TrapezoidIntegrationOn\n",NULL);
    Tcl_AppendResult(interp,"  TrapezoidIntegrationOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTrapezoidIntegration\n",NULL);
    Tcl_AppendResult(interp,"  SetMultiSliceOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MultiSliceOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  MultiSliceOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMultiSliceOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToInputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToX" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToY" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToZ" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRange" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRange" );
    Tcl_DStringAppendElement ( &dString, "GetSliceRange" );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    Tcl_DStringAppendElement ( &dString, "GetOperationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOperationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMin" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMax" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMean" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSum" );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    Tcl_DStringAppendElement ( &dString, "GetOperationAsString" );
    Tcl_DStringAppendElement ( &dString, "SetTrapezoidIntegration" );
    Tcl_DStringAppendElement ( &dString, "TrapezoidIntegrationOn" );
    Tcl_DStringAppendElement ( &dString, "TrapezoidIntegrationOff" );
    Tcl_DStringAppendElement ( &dString, "GetTrapezoidIntegration" );
    Tcl_DStringAppendElement ( &dString, "SetMultiSliceOutput" );
    Tcl_DStringAppendElement ( &dString, "MultiSliceOutputOn" );
    Tcl_DStringAppendElement ( &dString, "MultiSliceOutputOff" );
    Tcl_DStringAppendElement ( &dString, "GetMultiSliceOutput" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInputScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageSlab *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientation */
    if ( strcmp ( argv[2], "SetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientation */
    Tcl_DStringAppendElement ( &dString, " Set the slice direction: zero for x, 1 for y, 2 for z.\n The default is the Z direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientation(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationMinValue */
    if ( strcmp ( argv[2], "GetOrientationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the slice direction: zero for x, 1 for y, 2 for z.\n The default is the Z direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOrientationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationMaxValue */
    if ( strcmp ( argv[2], "GetOrientationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the slice direction: zero for x, 1 for y, 2 for z.\n The default is the Z direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOrientationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationToX */
    if ( strcmp ( argv[2], "SetOrientationToX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationToX */
    Tcl_DStringAppendElement ( &dString, " Set the slice direction: zero for x, 1 for y, 2 for z.\n The default is the Z direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationToX();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOrientationToX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationToY */
    if ( strcmp ( argv[2], "SetOrientationToY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationToY */
    Tcl_DStringAppendElement ( &dString, " Set the slice direction: zero for x, 1 for y, 2 for z.\n The default is the Z direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationToY();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOrientationToY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationToZ */
    if ( strcmp ( argv[2], "SetOrientationToZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationToZ */
    Tcl_DStringAppendElement ( &dString, " Set the slice direction: zero for x, 1 for y, 2 for z.\n The default is the Z direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationToZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOrientationToZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Set the slice direction: zero for x, 1 for y, 2 for z.\n The default is the Z direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRange */
    if ( strcmp ( argv[2], "SetSliceRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRange(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetSliceRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRange */
    if ( strcmp ( argv[2], "SetSliceRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRange(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetSliceRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceRange */
    if ( strcmp ( argv[2], "GetSliceRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetSliceRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetSliceRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperation */
    if ( strcmp ( argv[2], "SetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperation */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperation(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperationMinValue */
    if ( strcmp ( argv[2], "GetOperationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOperationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperationMaxValue */
    if ( strcmp ( argv[2], "GetOperationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOperationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToMin */
    if ( strcmp ( argv[2], "SetOperationToMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToMin */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOperationToMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToMax */
    if ( strcmp ( argv[2], "SetOperationToMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToMax */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOperationToMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToMean */
    if ( strcmp ( argv[2], "SetOperationToMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToMean */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToMean();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOperationToMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToSum */
    if ( strcmp ( argv[2], "SetOperationToSum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToSum */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToSum();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOperationToSum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperation */
    if ( strcmp ( argv[2], "GetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperation */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperation();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperationAsString */
    if ( strcmp ( argv[2], "GetOperationAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperationAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperationAsString */
    Tcl_DStringAppendElement ( &dString, " Set the operation to use when combining slices.  The choices are\n \"Mean\", \"Sum\", \"Min\", \"Max\".  The default is \"Mean\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetOperationAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOperationAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTrapezoidIntegration */
    if ( strcmp ( argv[2], "SetTrapezoidIntegration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTrapezoidIntegration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTrapezoidIntegration */
    Tcl_DStringAppendElement ( &dString, " Use trapezoid integration for slab computation.  This weighs the\n first and last slices by half when doing sum and mean, as compared\n to the default midpoint integration that weighs all slices equally.\n It is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTrapezoidIntegration(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetTrapezoidIntegration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TrapezoidIntegrationOn */
    if ( strcmp ( argv[2], "TrapezoidIntegrationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TrapezoidIntegrationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TrapezoidIntegrationOn */
    Tcl_DStringAppendElement ( &dString, " Use trapezoid integration for slab computation.  This weighs the\n first and last slices by half when doing sum and mean, as compared\n to the default midpoint integration that weighs all slices equally.\n It is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void TrapezoidIntegrationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for TrapezoidIntegrationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TrapezoidIntegrationOff */
    if ( strcmp ( argv[2], "TrapezoidIntegrationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TrapezoidIntegrationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TrapezoidIntegrationOff */
    Tcl_DStringAppendElement ( &dString, " Use trapezoid integration for slab computation.  This weighs the\n first and last slices by half when doing sum and mean, as compared\n to the default midpoint integration that weighs all slices equally.\n It is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void TrapezoidIntegrationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for TrapezoidIntegrationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTrapezoidIntegration */
    if ( strcmp ( argv[2], "GetTrapezoidIntegration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTrapezoidIntegration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTrapezoidIntegration */
    Tcl_DStringAppendElement ( &dString, " Use trapezoid integration for slab computation.  This weighs the\n first and last slices by half when doing sum and mean, as compared\n to the default midpoint integration that weighs all slices equally.\n It is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTrapezoidIntegration();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetTrapezoidIntegration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMultiSliceOutput */
    if ( strcmp ( argv[2], "SetMultiSliceOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMultiSliceOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMultiSliceOutput */
    Tcl_DStringAppendElement ( &dString, " Turn on multi-slice output.  Each slice of the output will be\n a projection through the specified range of input slices, e.g.\n if the SliceRange is \\[0,3\\] then slice 'i' of the output will\n be a projection through slices 'i' through '3+i' of the input.\n This flag is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMultiSliceOutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetMultiSliceOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiSliceOutputOn */
    if ( strcmp ( argv[2], "MultiSliceOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiSliceOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiSliceOutputOn */
    Tcl_DStringAppendElement ( &dString, " Turn on multi-slice output.  Each slice of the output will be\n a projection through the specified range of input slices, e.g.\n if the SliceRange is \\[0,3\\] then slice 'i' of the output will\n be a projection through slices 'i' through '3+i' of the input.\n This flag is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void MultiSliceOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for MultiSliceOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiSliceOutputOff */
    if ( strcmp ( argv[2], "MultiSliceOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiSliceOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiSliceOutputOff */
    Tcl_DStringAppendElement ( &dString, " Turn on multi-slice output.  Each slice of the output will be\n a projection through the specified range of input slices, e.g.\n if the SliceRange is \\[0,3\\] then slice 'i' of the output will\n be a projection through slices 'i' through '3+i' of the input.\n This flag is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void MultiSliceOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for MultiSliceOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMultiSliceOutput */
    if ( strcmp ( argv[2], "GetMultiSliceOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMultiSliceOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMultiSliceOutput */
    Tcl_DStringAppendElement ( &dString, " Turn on multi-slice output.  Each slice of the output will be\n a projection through the specified range of input slices, e.g.\n if the SliceRange is \\[0,3\\] then slice 'i' of the output will\n be a projection through slices 'i' through '3+i' of the input.\n This flag is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMultiSliceOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetMultiSliceOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set the output scalar type to float or double, to avoid\n potential overflow when doing a summation operation.\n The default is to use the scalar type of the input data,\n and clamp the output to the range of the input scalar type.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOutputScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set the output scalar type to float or double, to avoid\n potential overflow when doing a summation operation.\n The default is to use the scalar type of the input data,\n and clamp the output to the range of the input scalar type.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOutputScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToInputScalarType */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToInputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToInputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the output scalar type to float or double, to avoid\n potential overflow when doing a summation operation.\n The default is to use the scalar type of the input data,\n and clamp the output to the range of the input scalar type.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToInputScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for SetOutputScalarTypeToInputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarType */
    if ( strcmp ( argv[2], "GetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the output scalar type to float or double, to avoid\n potential overflow when doing a summation operation.\n The default is to use the scalar type of the input data,\n and clamp the output to the range of the input scalar type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlab" );
    /* Closing for GetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
