// tcl wrapper for vtkImageThresholdConnectivity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageThresholdConnectivity.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageThresholdConnectivityNewCommand()
{
  vtkImageThresholdConnectivity *temp = vtkImageThresholdConnectivity::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageThresholdConnectivityCppCommand(vtkImageThresholdConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageThresholdConnectivityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageThresholdConnectivityCppCommand(static_cast<vtkImageThresholdConnectivity *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageThresholdConnectivityCppCommand(vtkImageThresholdConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageThresholdConnectivity",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageThresholdConnectivity  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageThresholdConnectivity");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageThresholdConnectivity  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageThresholdConnectivity");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageThresholdConnectivity  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageThresholdConnectivity");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSeedPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->SetSeedPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeedPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetSeedPoints();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("ThresholdByUpper",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByUpper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByLower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByLower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdBetween",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->ThresholdBetween(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReplaceIn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceIn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceIn",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceIn();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceInOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceInOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceOut",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceOut",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceOutOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceOutOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOutValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOutValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpperThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUpperThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLowerThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLowerThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceRangeX",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSliceRangeX(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSliceRangeX",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSliceRangeX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceRangeX",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSliceRangeX();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSliceRangeY",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSliceRangeY(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSliceRangeY",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSliceRangeY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceRangeY",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSliceRangeY();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSliceRangeZ",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSliceRangeZ(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSliceRangeZ",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSliceRangeZ(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceRangeZ",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSliceRangeZ();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStencil",argv[1]))&&(argc == 3))
    {
    vtkImageStencilData  *temp0;
    error = 0;

    temp0 = (vtkImageStencilData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageStencilData"),interp,error));
    if (!error)
    {
    op->SetStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStencil",argv[1]))&&(argc == 2))
    {
    vtkImageStencilData  *temp20;
    temp20 = (op)->GetStencil();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageStencilData");
    return TCL_OK;
    }
  if ((!strcmp("SetActiveComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetActiveComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNeighborhoodRadius",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNeighborhoodRadius(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNeighborhoodRadius",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNeighborhoodRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNeighborhoodRadius",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNeighborhoodRadius();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNeighborhoodFraction",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNeighborhoodFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNeighborhoodFractionMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNeighborhoodFractionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNeighborhoodFractionMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNeighborhoodFractionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNeighborhoodFraction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNeighborhoodFraction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInVoxels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfInVoxels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageThresholdConnectivityCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageThresholdConnectivity:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSeedPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeedPoints\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByUpper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByLower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdBetween\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceIn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceIn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInValue\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceOut\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceOut\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceOutOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceOutOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutValue\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRangeX\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRangeX\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceRangeX\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRangeY\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRangeY\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceRangeY\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRangeZ\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceRangeZ\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceRangeZ\n",NULL);
    Tcl_AppendResult(interp,"  SetStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStencil\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetNeighborhoodRadius\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNeighborhoodRadius\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNeighborhoodRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetNeighborhoodFraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNeighborhoodFractionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNeighborhoodFractionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNeighborhoodFraction\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInVoxels\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSeedPoints" );
    Tcl_DStringAppendElement ( &dString, "GetSeedPoints" );
    Tcl_DStringAppendElement ( &dString, "ThresholdByUpper" );
    Tcl_DStringAppendElement ( &dString, "ThresholdByLower" );
    Tcl_DStringAppendElement ( &dString, "ThresholdBetween" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceIn" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceIn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOff" );
    Tcl_DStringAppendElement ( &dString, "SetInValue" );
    Tcl_DStringAppendElement ( &dString, "GetInValue" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceOut" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceOut" );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutValue" );
    Tcl_DStringAppendElement ( &dString, "GetUpperThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetLowerThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeX" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeX" );
    Tcl_DStringAppendElement ( &dString, "GetSliceRangeX" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeY" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeY" );
    Tcl_DStringAppendElement ( &dString, "GetSliceRangeY" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeZ" );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeZ" );
    Tcl_DStringAppendElement ( &dString, "GetSliceRangeZ" );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
    Tcl_DStringAppendElement ( &dString, "SetActiveComponent" );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodRadius" );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodRadius" );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodRadius" );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodFraction" );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodFractionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodFractionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodFraction" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInVoxels" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageThresholdConnectivity *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSeedPoints */
    if ( strcmp ( argv[2], "SetSeedPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeedPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeedPoints */
    Tcl_DStringAppendElement ( &dString, " Set the seeds.  The seeds are in real data coordinates, not in\n voxel index locations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSeedPoints(vtkPoints *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetSeedPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeedPoints */
    if ( strcmp ( argv[2], "GetSeedPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeedPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeedPoints */
    Tcl_DStringAppendElement ( &dString, " Set the seeds.  The seeds are in real data coordinates, not in\n voxel index locations.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetSeedPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetSeedPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdByUpper */
    if ( strcmp ( argv[2], "ThresholdByUpper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdByUpper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdByUpper */
    Tcl_DStringAppendElement ( &dString, " Values greater than or equal to this threshold will be filled.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdByUpper(double thresh);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for ThresholdByUpper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdByLower */
    if ( strcmp ( argv[2], "ThresholdByLower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdByLower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdByLower */
    Tcl_DStringAppendElement ( &dString, " Values less than or equal to this threshold will be filled.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdByLower(double thresh);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for ThresholdByLower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdBetween */
    if ( strcmp ( argv[2], "ThresholdBetween" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdBetween" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdBetween */
    Tcl_DStringAppendElement ( &dString, " Values within this range will be filled, where the range inludes\n values that are exactly equal to the lower and upper thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdBetween(double lower, double upper);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for ThresholdBetween */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceIn */
    if ( strcmp ( argv[2], "SetReplaceIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceIn */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceIn(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetReplaceIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceIn */
    if ( strcmp ( argv[2], "GetReplaceIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceIn */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReplaceIn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetReplaceIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInOn */
    if ( strcmp ( argv[2], "ReplaceInOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInOn */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for ReplaceInOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInOff */
    if ( strcmp ( argv[2], "ReplaceInOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInOff */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for ReplaceInOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInValue */
    if ( strcmp ( argv[2], "SetInValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInValue */
    Tcl_DStringAppendElement ( &dString, " If ReplaceIn is set, the filled region will be replaced by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInValue(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetInValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInValue */
    if ( strcmp ( argv[2], "GetInValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInValue */
    Tcl_DStringAppendElement ( &dString, " If ReplaceIn is set, the filled region will be replaced by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetInValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceOut */
    if ( strcmp ( argv[2], "SetReplaceOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceOut */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceOut(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetReplaceOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceOut */
    if ( strcmp ( argv[2], "GetReplaceOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceOut */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReplaceOut();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetReplaceOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceOutOn */
    if ( strcmp ( argv[2], "ReplaceOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceOutOn */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceOutOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for ReplaceOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceOutOff */
    if ( strcmp ( argv[2], "ReplaceOutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceOutOff */
    Tcl_DStringAppendElement ( &dString, " Replace the filled region by the value set by SetInValue().\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceOutOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for ReplaceOutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutValue */
    if ( strcmp ( argv[2], "SetOutValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutValue */
    Tcl_DStringAppendElement ( &dString, " If ReplaceOut is set, outside the fill will be replaced by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutValue(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetOutValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutValue */
    if ( strcmp ( argv[2], "GetOutValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutValue */
    Tcl_DStringAppendElement ( &dString, " If ReplaceOut is set, outside the fill will be replaced by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOutValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetOutValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpperThreshold */
    if ( strcmp ( argv[2], "GetUpperThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpperThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpperThreshold */
    Tcl_DStringAppendElement ( &dString, " Get the Upper and Lower thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetUpperThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetUpperThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowerThreshold */
    if ( strcmp ( argv[2], "GetLowerThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowerThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowerThreshold */
    Tcl_DStringAppendElement ( &dString, " Get the Upper and Lower thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLowerThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetLowerThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRangeX */
    if ( strcmp ( argv[2], "SetSliceRangeX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRangeX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRangeX(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetSliceRangeX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRangeX */
    if ( strcmp ( argv[2], "SetSliceRangeX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRangeX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRangeX(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetSliceRangeX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceRangeX */
    if ( strcmp ( argv[2], "GetSliceRangeX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceRangeX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceRangeX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetSliceRangeX();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetSliceRangeX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRangeY */
    if ( strcmp ( argv[2], "SetSliceRangeY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRangeY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRangeY(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetSliceRangeY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRangeY */
    if ( strcmp ( argv[2], "SetSliceRangeY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRangeY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRangeY(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetSliceRangeY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceRangeY */
    if ( strcmp ( argv[2], "GetSliceRangeY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceRangeY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceRangeY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetSliceRangeY();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetSliceRangeY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRangeZ */
    if ( strcmp ( argv[2], "SetSliceRangeZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRangeZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRangeZ(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetSliceRangeZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceRangeZ */
    if ( strcmp ( argv[2], "SetSliceRangeZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceRangeZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceRangeZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceRangeZ(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetSliceRangeZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceRangeZ */
    if ( strcmp ( argv[2], "GetSliceRangeZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceRangeZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceRangeZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetSliceRangeZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetSliceRangeZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStencil */
    if ( strcmp ( argv[2], "SetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStencil */
    Tcl_DStringAppendElement ( &dString, " Specify a stencil that will be used to limit the flood fill to\n an arbitrarily-shaped region of the image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStencil(vtkImageStencilData *stencil);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStencil */
    if ( strcmp ( argv[2], "GetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStencil */
    Tcl_DStringAppendElement ( &dString, " Specify a stencil that will be used to limit the flood fill to\n an arbitrarily-shaped region of the image.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData *GetStencil();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveComponent */
    if ( strcmp ( argv[2], "SetActiveComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveComponent */
    Tcl_DStringAppendElement ( &dString, " For multi-component images, you can set which component will be\n used for the threshold checks.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveComponent(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetActiveComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveComponent */
    if ( strcmp ( argv[2], "GetActiveComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveComponent */
    Tcl_DStringAppendElement ( &dString, " For multi-component images, you can set which component will be\n used for the threshold checks.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetActiveComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNeighborhoodRadius */
    if ( strcmp ( argv[2], "SetNeighborhoodRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNeighborhoodRadius */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNeighborhoodRadius(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetNeighborhoodRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNeighborhoodRadius */
    if ( strcmp ( argv[2], "SetNeighborhoodRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNeighborhoodRadius */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNeighborhoodRadius(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetNeighborhoodRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNeighborhoodRadius */
    if ( strcmp ( argv[2], "GetNeighborhoodRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNeighborhoodRadius */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetNeighborhoodRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetNeighborhoodRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNeighborhoodFraction */
    if ( strcmp ( argv[2], "SetNeighborhoodFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNeighborhoodFraction */
    Tcl_DStringAppendElement ( &dString, " The fraction of the neighborhood that must be within the thresholds.\n The default value is 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNeighborhoodFraction(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for SetNeighborhoodFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNeighborhoodFractionMinValue */
    if ( strcmp ( argv[2], "GetNeighborhoodFractionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodFractionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNeighborhoodFractionMinValue */
    Tcl_DStringAppendElement ( &dString, " The fraction of the neighborhood that must be within the thresholds.\n The default value is 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNeighborhoodFractionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetNeighborhoodFractionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNeighborhoodFractionMaxValue */
    if ( strcmp ( argv[2], "GetNeighborhoodFractionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodFractionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNeighborhoodFractionMaxValue */
    Tcl_DStringAppendElement ( &dString, " The fraction of the neighborhood that must be within the thresholds.\n The default value is 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNeighborhoodFractionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetNeighborhoodFractionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNeighborhoodFraction */
    if ( strcmp ( argv[2], "GetNeighborhoodFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNeighborhoodFraction */
    Tcl_DStringAppendElement ( &dString, " The fraction of the neighborhood that must be within the thresholds.\n The default value is 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNeighborhoodFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetNeighborhoodFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Override the MTime to account for the seed points.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfInVoxels */
    if ( strcmp ( argv[2], "GetNumberOfInVoxels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInVoxels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfInVoxels */
    Tcl_DStringAppendElement ( &dString, " After the filter has executed, use GetNumberOfVoxels() to find\n out how many voxels were filled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfInVoxels();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThresholdConnectivity" );
    /* Closing for GetNumberOfInVoxels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
