// tcl wrapper for vtkLassoStencilSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLassoStencilSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLassoStencilSourceNewCommand()
{
  vtkLassoStencilSource *temp = vtkLassoStencilSource::New();
  return static_cast<ClientData>(temp);
}

int vtkImageStencilSourceCppCommand(vtkImageStencilSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLassoStencilSourceCppCommand(vtkLassoStencilSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLassoStencilSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLassoStencilSourceCppCommand(static_cast<vtkLassoStencilSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLassoStencilSourceCppCommand(vtkLassoStencilSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLassoStencilSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageStencilSourceCppCommand(static_cast<vtkImageStencilSource *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageStencilSource"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLassoStencilSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLassoStencilSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLassoStencilSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLassoStencilSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLassoStencilSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLassoStencilSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShape",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShape();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShape",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShapeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShapeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShapeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShapeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShapeToPolygon",argv[1]))&&(argc == 2))
    {
    op->SetShapeToPolygon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShapeToSpline",argv[1]))&&(argc == 2))
    {
    op->SetShapeToSpline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetShapeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetShapeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->SetPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetPoints();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetSliceOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliceOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceOrientationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceOrientationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliceOrientationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceOrientationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlicePoints",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPoints  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->SetSlicePoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlicePoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPoints  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSlicePoints(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllSlicePoints",argv[1]))&&(argc == 2))
    {
    op->RemoveAllSlicePoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLassoStencilSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageStencilSourceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLassoStencilSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShape\n",NULL);
    Tcl_AppendResult(interp,"  SetShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShapeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShapeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetShapeToPolygon\n",NULL);
    Tcl_AppendResult(interp,"  SetShapeToSpline\n",NULL);
    Tcl_AppendResult(interp,"  GetShapeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceOrientationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceOrientationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetSlicePoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSlicePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllSlicePoints\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageStencilSourceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetShape" );
    Tcl_DStringAppendElement ( &dString, "SetShape" );
    Tcl_DStringAppendElement ( &dString, "GetShapeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShapeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetShapeToPolygon" );
    Tcl_DStringAppendElement ( &dString, "SetShapeToSpline" );
    Tcl_DStringAppendElement ( &dString, "GetShapeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetSlicePoints" );
    Tcl_DStringAppendElement ( &dString, "GetSlicePoints" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllSlicePoints" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageStencilSourceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLassoStencilSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShape */
    if ( strcmp ( argv[2], "GetShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShape */
    Tcl_DStringAppendElement ( &dString, " The shape to use, default is \"Polygon\".  The spline is a\n cardinal spline.  Bezier splines are not yet supported.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShape */
    if ( strcmp ( argv[2], "SetShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShape */
    Tcl_DStringAppendElement ( &dString, " The shape to use, default is \"Polygon\".  The spline is a\n cardinal spline.  Bezier splines are not yet supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShape(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for SetShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShapeMinValue */
    if ( strcmp ( argv[2], "GetShapeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShapeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShapeMinValue */
    Tcl_DStringAppendElement ( &dString, " The shape to use, default is \"Polygon\".  The spline is a\n cardinal spline.  Bezier splines are not yet supported.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShapeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetShapeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShapeMaxValue */
    if ( strcmp ( argv[2], "GetShapeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShapeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShapeMaxValue */
    Tcl_DStringAppendElement ( &dString, " The shape to use, default is \"Polygon\".  The spline is a\n cardinal spline.  Bezier splines are not yet supported.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShapeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetShapeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShapeToPolygon */
    if ( strcmp ( argv[2], "SetShapeToPolygon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShapeToPolygon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShapeToPolygon */
    Tcl_DStringAppendElement ( &dString, " The shape to use, default is \"Polygon\".  The spline is a\n cardinal spline.  Bezier splines are not yet supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShapeToPolygon();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for SetShapeToPolygon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShapeToSpline */
    if ( strcmp ( argv[2], "SetShapeToSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShapeToSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShapeToSpline */
    Tcl_DStringAppendElement ( &dString, " The shape to use, default is \"Polygon\".  The spline is a\n cardinal spline.  Bezier splines are not yet supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShapeToSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for SetShapeToSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShapeAsString */
    if ( strcmp ( argv[2], "GetShapeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShapeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShapeAsString */
    Tcl_DStringAppendElement ( &dString, " The shape to use, default is \"Polygon\".  The spline is a\n cardinal spline.  Bezier splines are not yet supported.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetShapeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetShapeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoints */
    if ( strcmp ( argv[2], "SetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoints */
    Tcl_DStringAppendElement ( &dString, " The points that make up the lassoo.  The loop does not\n have to be closed, the last point will automatically be\n connected to the first point by a straight line segment.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoints(vtkPoints *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for SetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoints */
    if ( strcmp ( argv[2], "GetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoints */
    Tcl_DStringAppendElement ( &dString, " The points that make up the lassoo.  The loop does not\n have to be closed, the last point will automatically be\n connected to the first point by a straight line segment.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceOrientation */
    if ( strcmp ( argv[2], "GetSliceOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceOrientation */
    Tcl_DStringAppendElement ( &dString, " The slice orientation.  The default is 2, which is XY.\n Other values are 0, which is YZ, and 1, which is XZ.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetSliceOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientation */
    if ( strcmp ( argv[2], "SetSliceOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientation */
    Tcl_DStringAppendElement ( &dString, " The slice orientation.  The default is 2, which is XY.\n Other values are 0, which is YZ, and 1, which is XZ.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceOrientation(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for SetSliceOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceOrientationMinValue */
    if ( strcmp ( argv[2], "GetSliceOrientationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceOrientationMinValue */
    Tcl_DStringAppendElement ( &dString, " The slice orientation.  The default is 2, which is XY.\n Other values are 0, which is YZ, and 1, which is XZ.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceOrientationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetSliceOrientationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceOrientationMaxValue */
    if ( strcmp ( argv[2], "GetSliceOrientationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceOrientationMaxValue */
    Tcl_DStringAppendElement ( &dString, " The slice orientation.  The default is 2, which is XY.\n Other values are 0, which is YZ, and 1, which is XZ.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceOrientationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetSliceOrientationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlicePoints */
    if ( strcmp ( argv[2], "SetSlicePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlicePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlicePoints */
    Tcl_DStringAppendElement ( &dString, " The points for a particular slice.  This will override the\n points that were set by calling SetPoints() for the slice.\n To clear the setting, call SetSlicePoints(slice, NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSlicePoints(int i, vtkPoints *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for SetSlicePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlicePoints */
    if ( strcmp ( argv[2], "GetSlicePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlicePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlicePoints */
    Tcl_DStringAppendElement ( &dString, " The points for a particular slice.  This will override the\n points that were set by calling SetPoints() for the slice.\n To clear the setting, call SetSlicePoints(slice, NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPoints *GetSlicePoints(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetSlicePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllSlicePoints */
    if ( strcmp ( argv[2], "RemoveAllSlicePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllSlicePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllSlicePoints */
    Tcl_DStringAppendElement ( &dString, " Remove points from all slices.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllSlicePoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for RemoveAllSlicePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Overload GetMTime() to include the timestamp on the points.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkLassoStencilSource" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageStencilSourceCppCommand(static_cast<vtkImageStencilSource *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
