// tcl wrapper for vtkVoxelModeller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVoxelModeller.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVoxelModellerNewCommand()
{
  vtkVoxelModeller *temp = vtkVoxelModeller::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVoxelModellerCppCommand(vtkVoxelModeller *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVoxelModellerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVoxelModellerCppCommand(static_cast<vtkVoxelModeller *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVoxelModellerCppCommand(vtkVoxelModeller *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVoxelModeller",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVoxelModeller  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVoxelModeller");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVoxelModeller  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVoxelModeller");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVoxelModeller  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVoxelModeller");
    return TCL_OK;
    }
  if ((!strcmp("SetSampleDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetSampleDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSampleDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetSampleDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSampleDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumDistanceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModelBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetModelBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToBit",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToBit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForegroundValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetForegroundValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForegroundValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetForegroundValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBackgroundValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackgroundValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVoxelModellerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVoxelModeller:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetModelBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToBit\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetForegroundValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForegroundValue\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetSampleDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistance" );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "GetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToBit" );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetForegroundValue" );
    Tcl_DStringAppendElement ( &dString, "GetForegroundValue" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundValue" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of vtkVoxelModeller with its sample dimensions\n set to (50,50,50), and so that the model bounds are\n automatically computed from its input. The maximum distance is set to \n examine the whole grid. This could be made much faster, and probably\n will be in the future.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkVoxelModeller *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleDimensions */
    if ( strcmp ( argv[2], "SetSampleDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleDimensions */
    Tcl_DStringAppendElement ( &dString, " Set the i-j-k dimensions on which to sample the distance function.\n Default is (50, 50, 50)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleDimensions(int i, int j, int k);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetSampleDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleDimensions */
    if ( strcmp ( argv[2], "SetSampleDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleDimensions */
    Tcl_DStringAppendElement ( &dString, " Set the i-j-k dimensions on which to sample the distance function.\n Default is (50, 50, 50)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleDimensions(int dim\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetSampleDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSampleDimensions */
    if ( strcmp ( argv[2], "GetSampleDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSampleDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSampleDimensions */
    Tcl_DStringAppendElement ( &dString, " Set the i-j-k dimensions on which to sample the distance function.\n Default is (50, 50, 50)\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetSampleDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetSampleDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumDistance */
    if ( strcmp ( argv[2], "SetMaximumDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumDistance */
    Tcl_DStringAppendElement ( &dString, " Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumDistance(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetMaximumDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDistanceMinValue */
    if ( strcmp ( argv[2], "GetMaximumDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetMaximumDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMaximumDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetMaximumDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDistance */
    if ( strcmp ( argv[2], "GetMaximumDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDistance */
    Tcl_DStringAppendElement ( &dString, " Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetMaximumDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelBounds */
    if ( strcmp ( argv[2], "SetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Specify the position in space to perform the voxelization.\n Default is (0, 0, 0, 0, 0, 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModelBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelBounds */
    if ( strcmp ( argv[2], "SetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Specify the position in space to perform the voxelization.\n Default is (0, 0, 0, 0, 0, 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModelBounds(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModelBounds */
    if ( strcmp ( argv[2], "GetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Specify the position in space to perform the voxelization.\n Default is (0, 0, 0, 0, 0, 0)\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetModelBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarType */
    if ( strcmp ( argv[2], "SetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarType */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToInt */
    if ( strcmp ( argv[2], "SetScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToLong */
    if ( strcmp ( argv[2], "SetScalarTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToShort */
    if ( strcmp ( argv[2], "SetScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToChar */
    if ( strcmp ( argv[2], "SetScalarTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToBit */
    if ( strcmp ( argv[2], "SetScalarTypeToBit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToBit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToBit */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToBit();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetScalarTypeToBit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarType */
    if ( strcmp ( argv[2], "GetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarType */
    Tcl_DStringAppendElement ( &dString, " Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForegroundValue */
    if ( strcmp ( argv[2], "SetForegroundValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForegroundValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForegroundValue */
    Tcl_DStringAppendElement ( &dString, " Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForegroundValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetForegroundValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForegroundValue */
    if ( strcmp ( argv[2], "GetForegroundValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForegroundValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForegroundValue */
    Tcl_DStringAppendElement ( &dString, " Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetForegroundValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetForegroundValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundValue */
    if ( strcmp ( argv[2], "SetBackgroundValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundValue */
    Tcl_DStringAppendElement ( &dString, " Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for SetBackgroundValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundValue */
    if ( strcmp ( argv[2], "GetBackgroundValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundValue */
    Tcl_DStringAppendElement ( &dString, " Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBackgroundValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkVoxelModeller" );
    /* Closing for GetBackgroundValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
