// tcl wrapper for vtkApplyColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkApplyColors.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkApplyColorsNewCommand()
{
  vtkApplyColors *temp = vtkApplyColors::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkApplyColorsCppCommand(vtkApplyColors *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkApplyColorsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkApplyColorsCppCommand(static_cast<vtkApplyColors *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkApplyColorsCppCommand(vtkApplyColors *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkApplyColors",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkApplyColors  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkApplyColors");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkApplyColors  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkApplyColors");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkApplyColors  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkApplyColors");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetPointLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetPointLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetUsePointLookupTable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUsePointLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUsePointLookupTable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUsePointLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UsePointLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->UsePointLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UsePointLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->UsePointLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalePointLookupTable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScalePointLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalePointLookupTable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScalePointLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalePointLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->ScalePointLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalePointLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->ScalePointLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultPointColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultPointColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultPointColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultPointColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultPointColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDefaultPointColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultPointOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDefaultPointOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultPointOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDefaultPointOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSelectedPointColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedPointColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSelectedPointColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSelectedPointColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSelectedPointOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSelectedPointOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointColorOutputArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPointColorOutputArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointColorOutputArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPointColorOutputArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCellLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetCellLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetCellLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetUseCellLookupTable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseCellLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseCellLookupTable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseCellLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseCellLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->UseCellLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseCellLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->UseCellLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleCellLookupTable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScaleCellLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleCellLookupTable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScaleCellLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaleCellLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->ScaleCellLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleCellLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->ScaleCellLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultCellColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultCellColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultCellColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultCellColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultCellColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDefaultCellColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultCellOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDefaultCellOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultCellOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDefaultCellOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedCellColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSelectedCellColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedCellColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSelectedCellColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedCellColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSelectedCellColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedCellOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSelectedCellOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedCellOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSelectedCellOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellColorOutputArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCellColorOutputArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellColorOutputArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCellColorOutputArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseCurrentAnnotationColor",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseCurrentAnnotationColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseCurrentAnnotationColor",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseCurrentAnnotationColor();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseCurrentAnnotationColorOn",argv[1]))&&(argc == 2))
    {
    op->UseCurrentAnnotationColorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseCurrentAnnotationColorOff",argv[1]))&&(argc == 2))
    {
    op->UseCurrentAnnotationColorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkApplyColorsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkApplyColors:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetUsePointLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUsePointLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  UsePointLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  UsePointLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalePointLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalePointLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  ScalePointLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalePointLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultPointColor\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultPointOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultPointOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColorOutputArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointColorOutputArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetCellLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetUseCellLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseCellLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  UseCellLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  UseCellLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleCellLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleCellLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  ScaleCellLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleCellLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultCellColor\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultCellOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultCellOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedCellColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedCellOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedCellOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetCellColorOutputArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellColorOutputArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetUseCurrentAnnotationColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseCurrentAnnotationColor\n",NULL);
    Tcl_AppendResult(interp,"  UseCurrentAnnotationColorOn\n",NULL);
    Tcl_AppendResult(interp,"  UseCurrentAnnotationColorOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetPointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetUsePointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetUsePointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "UsePointLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "UsePointLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalePointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetScalePointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultPointColor" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetPointColorOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointColorOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetUseCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetUseCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "UseCellLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "UseCellLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetScaleCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetScaleCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultCellColor" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetCellColorOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellColorOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetUseCurrentAnnotationColor" );
    Tcl_DStringAppendElement ( &dString, "GetUseCurrentAnnotationColor" );
    Tcl_DStringAppendElement ( &dString, "UseCurrentAnnotationColorOn" );
    Tcl_DStringAppendElement ( &dString, "UseCurrentAnnotationColorOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkApplyColors *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointLookupTable */
    if ( strcmp ( argv[2], "SetPointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointLookupTable */
    Tcl_DStringAppendElement ( &dString, " The lookup table to use for point colors. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointLookupTable(vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetPointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointLookupTable */
    if ( strcmp ( argv[2], "GetPointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointLookupTable */
    Tcl_DStringAppendElement ( &dString, " The lookup table to use for point colors. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetPointLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetPointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUsePointLookupTable */
    if ( strcmp ( argv[2], "SetUsePointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUsePointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUsePointLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUsePointLookupTable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetUsePointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUsePointLookupTable */
    if ( strcmp ( argv[2], "GetUsePointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUsePointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUsePointLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUsePointLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetUsePointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UsePointLookupTableOn */
    if ( strcmp ( argv[2], "UsePointLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UsePointLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UsePointLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void UsePointLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for UsePointLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UsePointLookupTableOff */
    if ( strcmp ( argv[2], "UsePointLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UsePointLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UsePointLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void UsePointLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for UsePointLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalePointLookupTable */
    if ( strcmp ( argv[2], "SetScalePointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalePointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalePointLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalePointLookupTable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetScalePointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalePointLookupTable */
    if ( strcmp ( argv[2], "GetScalePointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalePointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalePointLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScalePointLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetScalePointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalePointLookupTableOn */
    if ( strcmp ( argv[2], "ScalePointLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalePointLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalePointLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for ScalePointLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalePointLookupTableOff */
    if ( strcmp ( argv[2], "ScalePointLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalePointLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalePointLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for ScalePointLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultPointColor */
    if ( strcmp ( argv[2], "SetDefaultPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultPointColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetDefaultPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultPointColor */
    if ( strcmp ( argv[2], "SetDefaultPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultPointColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetDefaultPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultPointColor */
    if ( strcmp ( argv[2], "GetDefaultPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetDefaultPointColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetDefaultPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultPointOpacity */
    if ( strcmp ( argv[2], "SetDefaultPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The default point opacity for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultPointOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetDefaultPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultPointOpacity */
    if ( strcmp ( argv[2], "GetDefaultPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The default point opacity for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDefaultPointOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetDefaultPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPointColor */
    if ( strcmp ( argv[2], "SetSelectedPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedPointColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetSelectedPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPointColor */
    if ( strcmp ( argv[2], "SetSelectedPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedPointColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetSelectedPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPointColor */
    if ( strcmp ( argv[2], "GetSelectedPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSelectedPointColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetSelectedPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPointOpacity */
    if ( strcmp ( argv[2], "SetSelectedPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The point opacity for all selected elements of the data.\n This is used if the selection input is available.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedPointOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetSelectedPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPointOpacity */
    if ( strcmp ( argv[2], "GetSelectedPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The point opacity for all selected elements of the data.\n This is used if the selection input is available.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSelectedPointOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetSelectedPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointColorOutputArrayName */
    if ( strcmp ( argv[2], "SetPointColorOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointColorOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointColorOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for the point color RGBA array.\n Default is \"vtkApplyColors color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointColorOutputArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetPointColorOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointColorOutputArrayName */
    if ( strcmp ( argv[2], "GetPointColorOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointColorOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointColorOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for the point color RGBA array.\n Default is \"vtkApplyColors color\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPointColorOutputArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetPointColorOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellLookupTable */
    if ( strcmp ( argv[2], "SetCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " The lookup table to use for cell colors. This is only used if\n input array 1 is set and UseCellLookupTable is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellLookupTable(vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellLookupTable */
    if ( strcmp ( argv[2], "GetCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " The lookup table to use for cell colors. This is only used if\n input array 1 is set and UseCellLookupTable is on.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetCellLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseCellLookupTable */
    if ( strcmp ( argv[2], "SetUseCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseCellLookupTable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetUseCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseCellLookupTable */
    if ( strcmp ( argv[2], "GetUseCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseCellLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetUseCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCellLookupTableOn */
    if ( strcmp ( argv[2], "UseCellLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCellLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCellLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCellLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for UseCellLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCellLookupTableOff */
    if ( strcmp ( argv[2], "UseCellLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCellLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCellLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCellLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for UseCellLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleCellLookupTable */
    if ( strcmp ( argv[2], "SetScaleCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleCellLookupTable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetScaleCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleCellLookupTable */
    if ( strcmp ( argv[2], "GetScaleCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScaleCellLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetScaleCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleCellLookupTableOn */
    if ( strcmp ( argv[2], "ScaleCellLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleCellLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleCellLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for ScaleCellLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleCellLookupTableOff */
    if ( strcmp ( argv[2], "ScaleCellLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleCellLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleCellLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for ScaleCellLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultCellColor */
    if ( strcmp ( argv[2], "SetDefaultCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultCellColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetDefaultCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultCellColor */
    if ( strcmp ( argv[2], "SetDefaultCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultCellColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetDefaultCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultCellColor */
    if ( strcmp ( argv[2], "GetDefaultCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetDefaultCellColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetDefaultCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultCellOpacity */
    if ( strcmp ( argv[2], "SetDefaultCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The default cell opacity for all unannotated, unselected elements\n of the data. This is used if UseCellLookupTable is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultCellOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetDefaultCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultCellOpacity */
    if ( strcmp ( argv[2], "GetDefaultCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The default cell opacity for all unannotated, unselected elements\n of the data. This is used if UseCellLookupTable is off.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDefaultCellOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetDefaultCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedCellColor */
    if ( strcmp ( argv[2], "SetSelectedCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedCellColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetSelectedCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedCellColor */
    if ( strcmp ( argv[2], "SetSelectedCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedCellColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetSelectedCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedCellColor */
    if ( strcmp ( argv[2], "GetSelectedCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSelectedCellColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetSelectedCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedCellOpacity */
    if ( strcmp ( argv[2], "SetSelectedCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The cell opacity for all selected elements of the data.\n This is used if the selection input is available.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedCellOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetSelectedCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedCellOpacity */
    if ( strcmp ( argv[2], "GetSelectedCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The cell opacity for all selected elements of the data.\n This is used if the selection input is available.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSelectedCellOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetSelectedCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellColorOutputArrayName */
    if ( strcmp ( argv[2], "SetCellColorOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellColorOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellColorOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for the cell color RGBA array.\n Default is \"vtkApplyColors color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellColorOutputArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetCellColorOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellColorOutputArrayName */
    if ( strcmp ( argv[2], "GetCellColorOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellColorOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellColorOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for the cell color RGBA array.\n Default is \"vtkApplyColors color\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCellColorOutputArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetCellColorOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseCurrentAnnotationColor */
    if ( strcmp ( argv[2], "SetUseCurrentAnnotationColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseCurrentAnnotationColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseCurrentAnnotationColor */
    Tcl_DStringAppendElement ( &dString, " Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseCurrentAnnotationColor(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for SetUseCurrentAnnotationColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseCurrentAnnotationColor */
    if ( strcmp ( argv[2], "GetUseCurrentAnnotationColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseCurrentAnnotationColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseCurrentAnnotationColor */
    Tcl_DStringAppendElement ( &dString, " Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseCurrentAnnotationColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetUseCurrentAnnotationColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCurrentAnnotationColorOn */
    if ( strcmp ( argv[2], "UseCurrentAnnotationColorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCurrentAnnotationColorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCurrentAnnotationColorOn */
    Tcl_DStringAppendElement ( &dString, " Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCurrentAnnotationColorOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for UseCurrentAnnotationColorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCurrentAnnotationColorOff */
    if ( strcmp ( argv[2], "UseCurrentAnnotationColorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCurrentAnnotationColorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCurrentAnnotationColorOff */
    Tcl_DStringAppendElement ( &dString, " Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCurrentAnnotationColorOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for UseCurrentAnnotationColorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Retrieve the modified time for this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyColors" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
