// tcl wrapper for vtkApplyIcons object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkApplyIcons.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkApplyIconsNewCommand()
{
  vtkApplyIcons *temp = vtkApplyIcons::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkApplyIconsCppCommand(vtkApplyIcons *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkApplyIconsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkApplyIconsCppCommand(static_cast<vtkApplyIcons *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkApplyIconsCppCommand(vtkApplyIcons *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkApplyIcons",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkApplyIcons  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkApplyIcons");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkApplyIcons  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkApplyIcons");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkApplyIcons  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkApplyIcons");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconType",argv[1]))&&(argc == 4))
    {
    double   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetIconType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconType",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetIconType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearAllIconTypes",argv[1]))&&(argc == 2))
    {
    op->ClearAllIconTypes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseLookupTable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseLookupTable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultIcon",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultIcon",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDefaultIcon();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedIcon",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedIcon",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedIcon();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIconOutputArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetIconOutputArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconOutputArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetIconOutputArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToSelectedIcon",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToSelectedIcon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToSelectedOffset",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToSelectedOffset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToAnnotationIcon",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToAnnotationIcon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToIgnoreSelection",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToIgnoreSelection();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkApplyIconsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkApplyIcons:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIconType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetIconType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearAllIconTypes\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetIconOutputArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconOutputArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToSelectedIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToSelectedOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToAnnotationIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToIgnoreSelection\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeType\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetIconType" );
    Tcl_DStringAppendElement ( &dString, "SetIconType" );
    Tcl_DStringAppendElement ( &dString, "ClearAllIconTypes" );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTable" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultIcon" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultIcon" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedIcon" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedIcon" );
    Tcl_DStringAppendElement ( &dString, "SetIconOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetIconOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSelectedIcon" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSelectedOffset" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToAnnotationIcon" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToIgnoreSelection" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeType" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkApplyIcons *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconType */
    if ( strcmp ( argv[2], "SetIconType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconType */
    Tcl_DStringAppendElement ( &dString, " Edits the lookup table to use for point icons. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconType(double v, int icon);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetIconType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconType */
    if ( strcmp ( argv[2], "SetIconType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconType */
    Tcl_DStringAppendElement ( &dString, " Edits the lookup table to use for point icons. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconType(const char *v, int icon);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetIconType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearAllIconTypes */
    if ( strcmp ( argv[2], "ClearAllIconTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearAllIconTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearAllIconTypes */
    Tcl_DStringAppendElement ( &dString, " Edits the lookup table to use for point icons. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearAllIconTypes();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for ClearAllIconTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseLookupTable */
    if ( strcmp ( argv[2], "SetUseLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseLookupTable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetUseLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseLookupTable */
    if ( strcmp ( argv[2], "GetUseLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseLookupTable */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for GetUseLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableOn */
    if ( strcmp ( argv[2], "UseLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for UseLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableOff */
    if ( strcmp ( argv[2], "UseLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for UseLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultIcon */
    if ( strcmp ( argv[2], "SetDefaultIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultIcon */
    Tcl_DStringAppendElement ( &dString, " The default point icon for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultIcon(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetDefaultIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultIcon */
    if ( strcmp ( argv[2], "GetDefaultIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultIcon */
    Tcl_DStringAppendElement ( &dString, " The default point icon for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDefaultIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for GetDefaultIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedIcon */
    if ( strcmp ( argv[2], "SetSelectedIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedIcon */
    Tcl_DStringAppendElement ( &dString, " The point icon for all selected elements of the data.\n This is used if the annotation input has a current selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedIcon(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetSelectedIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedIcon */
    if ( strcmp ( argv[2], "GetSelectedIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedIcon */
    Tcl_DStringAppendElement ( &dString, " The point icon for all selected elements of the data.\n This is used if the annotation input has a current selection.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectedIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for GetSelectedIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconOutputArrayName */
    if ( strcmp ( argv[2], "SetIconOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for the point icon index array.\n Default is \"vtkApplyIcons icon\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconOutputArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetIconOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconOutputArrayName */
    if ( strcmp ( argv[2], "GetIconOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " The output array name for the point icon index array.\n Default is \"vtkApplyIcons icon\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetIconOutputArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for GetIconOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionMode */
    if ( strcmp ( argv[2], "SetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionMode */
    if ( strcmp ( argv[2], "GetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for GetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToSelectedIcon */
    if ( strcmp ( argv[2], "SetSelectionModeToSelectedIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSelectedIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToSelectedIcon */
    Tcl_DStringAppendElement ( &dString, " Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionModeToSelectedIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetSelectionModeToSelectedIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToSelectedOffset */
    if ( strcmp ( argv[2], "SetSelectionModeToSelectedOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSelectedOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToSelectedOffset */
    Tcl_DStringAppendElement ( &dString, " Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionModeToSelectedOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetSelectionModeToSelectedOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToAnnotationIcon */
    if ( strcmp ( argv[2], "SetSelectionModeToAnnotationIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToAnnotationIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToAnnotationIcon */
    Tcl_DStringAppendElement ( &dString, " Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionModeToAnnotationIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetSelectionModeToAnnotationIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToIgnoreSelection */
    if ( strcmp ( argv[2], "SetSelectionModeToIgnoreSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToIgnoreSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToIgnoreSelection */
    Tcl_DStringAppendElement ( &dString, " Changes the behavior of the icon to use for selected items.\n <ul>\n <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.\n <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.\n <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.\n <li>IGNORE_SELECTION does not change the icon based on the current selection.\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionModeToIgnoreSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetSelectionModeToIgnoreSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeType */
    if ( strcmp ( argv[2], "SetAttributeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeType */
    Tcl_DStringAppendElement ( &dString, " The attribute type to append the icon array to, used only if the\n input array is not specified or does not exist. This is set to one\n of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX\n EDGE, FIELD).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for SetAttributeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeType */
    if ( strcmp ( argv[2], "GetAttributeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeType */
    Tcl_DStringAppendElement ( &dString, " The attribute type to append the icon array to, used only if the\n input array is not specified or does not exist. This is set to one\n of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX\n EDGE, FIELD).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeType();" );
    Tcl_DStringAppendElement ( &dString, "vtkApplyIcons" );
    /* Closing for GetAttributeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
