// tcl wrapper for vtkAreaLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAreaLayoutStrategy.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAreaLayoutStrategyCppCommand(vtkAreaLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAreaLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAreaLayoutStrategyCppCommand(static_cast<vtkAreaLayoutStrategy *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAreaLayoutStrategyCppCommand(vtkAreaLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAreaLayoutStrategy",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAreaLayoutStrategy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAreaLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("Layout",argv[1]))&&(argc == 5))
    {
    vtkTree  *temp0;
    vtkDataArray  *temp1;
    vtkDataArray  *temp2;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->Layout(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LayoutEdgePoints",argv[1]))&&(argc == 6))
    {
    vtkTree  *temp0;
    vtkDataArray  *temp1;
    vtkDataArray  *temp2;
    vtkTree  *temp3;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    temp3 = (vtkTree *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkTree"),interp,error));
    if (!error)
    {
    op->LayoutEdgePoints(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShrinkPercentage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetShrinkPercentage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShrinkPercentageMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShrinkPercentageMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShrinkPercentageMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShrinkPercentageMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShrinkPercentage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShrinkPercentage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAreaLayoutStrategyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAreaLayoutStrategy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Layout\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  LayoutEdgePoints\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShrinkPercentage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShrinkPercentageMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShrinkPercentageMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShrinkPercentage\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    Tcl_DStringAppendElement ( &dString, "LayoutEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "SetShrinkPercentage" );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentageMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentageMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentage" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Layout */
    if ( strcmp ( argv[2], "Layout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Layout */
    Tcl_DStringAppendElement ( &dString, " Perform the layout of the input tree, and store the sector\n bounds of each vertex as a tuple in a data array.\n For radial layout, this is\n (innerRadius, outerRadius, startAngle, endAngle).\n For rectangular layout, this is\n (xmin, xmax, ymin, ymax).\n\n The sizeArray may be NULL, or may contain the desired\n size of each vertex in the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Layout(vtkTree *inputTree, vtkDataArray *areaArray, vtkDataArray *sizeArray) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for Layout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LayoutEdgePoints */
    if ( strcmp ( argv[2], "LayoutEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LayoutEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LayoutEdgePoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void LayoutEdgePoints(vtkTree *inputTree, vtkDataArray *areaArray, vtkDataArray *sizeArray, vtkTree *edgeLayoutTree);" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for LayoutEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShrinkPercentage */
    if ( strcmp ( argv[2], "SetShrinkPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShrinkPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShrinkPercentage */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetShrinkPercentage(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for SetShrinkPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShrinkPercentageMinValue */
    if ( strcmp ( argv[2], "GetShrinkPercentageMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentageMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShrinkPercentageMinValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetShrinkPercentageMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for GetShrinkPercentageMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShrinkPercentageMaxValue */
    if ( strcmp ( argv[2], "GetShrinkPercentageMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentageMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShrinkPercentageMaxValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetShrinkPercentageMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for GetShrinkPercentageMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShrinkPercentage */
    if ( strcmp ( argv[2], "GetShrinkPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShrinkPercentage */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetShrinkPercentage();" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    /* Closing for GetShrinkPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
