// tcl wrapper for vtkAttributeClustering2DLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAttributeClustering2DLayoutStrategy.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAttributeClustering2DLayoutStrategyNewCommand()
{
  vtkAttributeClustering2DLayoutStrategy *temp = vtkAttributeClustering2DLayoutStrategy::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphLayoutStrategyCppCommand(vtkGraphLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAttributeClustering2DLayoutStrategyCppCommand(vtkAttributeClustering2DLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAttributeClustering2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAttributeClustering2DLayoutStrategyCppCommand(static_cast<vtkAttributeClustering2DLayoutStrategy *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAttributeClustering2DLayoutStrategyCppCommand(vtkAttributeClustering2DLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAttributeClustering2DLayoutStrategy",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphLayoutStrategyCppCommand(static_cast<vtkGraphLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphLayoutStrategy"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAttributeClustering2DLayoutStrategy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAttributeClustering2DLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAttributeClustering2DLayoutStrategy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAttributeClustering2DLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAttributeClustering2DLayoutStrategy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAttributeClustering2DLayoutStrategy");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexAttribute",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVertexAttribute();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexAttribute",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRandomSeed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRandomSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRandomSeedMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomSeedMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRandomSeedMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomSeedMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRandomSeed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomSeed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxNumberOfIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxNumberOfIterationsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxNumberOfIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxNumberOfIterationsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxNumberOfIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIterationsPerLayout",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIterationsPerLayout(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIterationsPerLayoutMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIterationsPerLayoutMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIterationsPerLayoutMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIterationsPerLayoutMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIterationsPerLayout",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIterationsPerLayout();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialTemperature",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInitialTemperature(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInitialTemperatureMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetInitialTemperatureMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInitialTemperatureMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetInitialTemperatureMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInitialTemperature",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetInitialTemperature();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCoolDownRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCoolDownRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCoolDownRateMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCoolDownRateMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCoolDownRateMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCoolDownRateMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCoolDownRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCoolDownRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRestDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRestDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRestDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetRestDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Layout",argv[1]))&&(argc == 2))
    {
    op->Layout();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsLayoutComplete",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsLayoutComplete();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAttributeClustering2DLayoutStrategyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAttributeClustering2DLayoutStrategy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexAttribute\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRandomSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomSeedMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomSeedMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomSeed\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNumberOfIterationsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNumberOfIterationsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetIterationsPerLayout\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIterationsPerLayoutMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIterationsPerLayoutMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIterationsPerLayout\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialTemperature\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialTemperatureMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialTemperatureMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialTemperature\n",NULL);
    Tcl_AppendResult(interp,"  SetCoolDownRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCoolDownRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCoolDownRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCoolDownRate\n",NULL);
    Tcl_AppendResult(interp,"  SetRestDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRestDistance\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Layout\n",NULL);
    Tcl_AppendResult(interp,"  IsLayoutComplete\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetVertexAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetVertexAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetRandomSeed" );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeedMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeedMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeed" );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetIterationsPerLayout" );
    Tcl_DStringAppendElement ( &dString, "GetIterationsPerLayoutMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIterationsPerLayoutMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIterationsPerLayout" );
    Tcl_DStringAppendElement ( &dString, "SetInitialTemperature" );
    Tcl_DStringAppendElement ( &dString, "GetInitialTemperatureMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInitialTemperatureMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInitialTemperature" );
    Tcl_DStringAppendElement ( &dString, "SetCoolDownRate" );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRate" );
    Tcl_DStringAppendElement ( &dString, "SetRestDistance" );
    Tcl_DStringAppendElement ( &dString, "GetRestDistance" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAttributeClustering2DLayoutStrategy *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexAttribute */
    if ( strcmp ( argv[2], "GetVertexAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexAttribute */
    Tcl_DStringAppendElement ( &dString, " The name of the array on the vertices, whose values will be used for\n determining clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVertexAttribute();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetVertexAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexAttribute */
    if ( strcmp ( argv[2], "SetVertexAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexAttribute */
    Tcl_DStringAppendElement ( &dString, " The name of the array on the vertices, whose values will be used for\n determining clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexAttribute(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SetVertexAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRandomSeed */
    if ( strcmp ( argv[2], "SetRandomSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRandomSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRandomSeed */
    Tcl_DStringAppendElement ( &dString, " Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRandomSeed(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SetRandomSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomSeedMinValue */
    if ( strcmp ( argv[2], "GetRandomSeedMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeedMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomSeedMinValue */
    Tcl_DStringAppendElement ( &dString, " Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomSeedMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetRandomSeedMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomSeedMaxValue */
    if ( strcmp ( argv[2], "GetRandomSeedMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeedMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomSeedMaxValue */
    Tcl_DStringAppendElement ( &dString, " Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomSeedMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetRandomSeedMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomSeed */
    if ( strcmp ( argv[2], "GetRandomSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomSeed */
    Tcl_DStringAppendElement ( &dString, " Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomSeed();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetRandomSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxNumberOfIterations */
    if ( strcmp ( argv[2], "SetMaxNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxNumberOfIterations(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SetMaxNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNumberOfIterationsMinValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxNumberOfIterationsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetMaxNumberOfIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNumberOfIterationsMaxValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxNumberOfIterationsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetMaxNumberOfIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNumberOfIterations */
    if ( strcmp ( argv[2], "GetMaxNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxNumberOfIterations();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetMaxNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIterationsPerLayout */
    if ( strcmp ( argv[2], "SetIterationsPerLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIterationsPerLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIterationsPerLayout */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIterationsPerLayout(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SetIterationsPerLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIterationsPerLayoutMinValue */
    if ( strcmp ( argv[2], "GetIterationsPerLayoutMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIterationsPerLayoutMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIterationsPerLayoutMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIterationsPerLayoutMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetIterationsPerLayoutMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIterationsPerLayoutMaxValue */
    if ( strcmp ( argv[2], "GetIterationsPerLayoutMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIterationsPerLayoutMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIterationsPerLayoutMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIterationsPerLayoutMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetIterationsPerLayoutMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIterationsPerLayout */
    if ( strcmp ( argv[2], "GetIterationsPerLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIterationsPerLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIterationsPerLayout */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIterationsPerLayout();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetIterationsPerLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialTemperature */
    if ( strcmp ( argv[2], "SetInitialTemperature" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialTemperature" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialTemperature */
    Tcl_DStringAppendElement ( &dString, " Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialTemperature(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SetInitialTemperature */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialTemperatureMinValue */
    if ( strcmp ( argv[2], "GetInitialTemperatureMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialTemperatureMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialTemperatureMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetInitialTemperatureMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetInitialTemperatureMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialTemperatureMaxValue */
    if ( strcmp ( argv[2], "GetInitialTemperatureMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialTemperatureMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialTemperatureMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetInitialTemperatureMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetInitialTemperatureMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialTemperature */
    if ( strcmp ( argv[2], "GetInitialTemperature" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialTemperature" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialTemperature */
    Tcl_DStringAppendElement ( &dString, " Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetInitialTemperature();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetInitialTemperature */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoolDownRate */
    if ( strcmp ( argv[2], "SetCoolDownRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoolDownRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoolDownRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoolDownRate(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SetCoolDownRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoolDownRateMinValue */
    if ( strcmp ( argv[2], "GetCoolDownRateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoolDownRateMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCoolDownRateMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetCoolDownRateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoolDownRateMaxValue */
    if ( strcmp ( argv[2], "GetCoolDownRateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoolDownRateMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCoolDownRateMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetCoolDownRateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoolDownRate */
    if ( strcmp ( argv[2], "GetCoolDownRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoolDownRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoolDownRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCoolDownRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetCoolDownRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRestDistance */
    if ( strcmp ( argv[2], "SetRestDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRestDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRestDistance */
    Tcl_DStringAppendElement ( &dString, " Manually set the resting distance. Otherwise the\n distance is computed automatically.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRestDistance(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for SetRestDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRestDistance */
    if ( strcmp ( argv[2], "GetRestDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRestDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRestDistance */
    Tcl_DStringAppendElement ( &dString, " Manually set the resting distance. Otherwise the\n distance is computed automatically.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetRestDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for GetRestDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " This strategy sets up some data structures\n for faster processing of each Layout() call\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Layout */
    if ( strcmp ( argv[2], "Layout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Layout */
    Tcl_DStringAppendElement ( &dString, " This is the layout method where the graph that was\n set in SetGraph() is laid out. The method can either\n entirely layout the graph or iteratively lay out the\n graph. If you have an iterative layout please implement\n the IsLayoutComplete() method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Layout();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for Layout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsLayoutComplete */
    if ( strcmp ( argv[2], "IsLayoutComplete" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLayoutComplete */
    Tcl_DStringAppendElement ( &dString, " I'm an iterative layout so this method lets the caller\n know if I'm done laying out the graph\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsLayoutComplete();" );
    Tcl_DStringAppendElement ( &dString, "vtkAttributeClustering2DLayoutStrategy" );
    /* Closing for IsLayoutComplete */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphLayoutStrategyCppCommand(static_cast<vtkGraphLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
