// tcl wrapper for vtkBivariateLinearTableThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBivariateLinearTableThreshold.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBivariateLinearTableThresholdNewCommand()
{
  vtkBivariateLinearTableThreshold *temp = vtkBivariateLinearTableThreshold::New();
  return static_cast<ClientData>(temp);
}

int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBivariateLinearTableThresholdCppCommand(vtkBivariateLinearTableThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBivariateLinearTableThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBivariateLinearTableThresholdCppCommand(static_cast<vtkBivariateLinearTableThreshold *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBivariateLinearTableThresholdCppCommand(vtkBivariateLinearTableThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBivariateLinearTableThreshold",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBivariateLinearTableThreshold  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBivariateLinearTableThreshold");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBivariateLinearTableThreshold  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBivariateLinearTableThreshold");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBivariateLinearTableThreshold  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBivariateLinearTableThreshold");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInclusive",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInclusive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInclusive",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInclusive();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddColumnToThreshold",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddColumnToThreshold(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfColumnsToThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfColumnsToThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClearColumnsToThreshold",argv[1]))&&(argc == 2))
    {
    op->ClearColumnsToThreshold();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedRowIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdTypeArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSelectedRowIds(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddLineEquation",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->AddLineEquation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLineEquations",argv[1]))&&(argc == 2))
    {
    op->ClearLineEquations();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLinearThresholdType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLinearThresholdType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLinearThresholdType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLinearThresholdType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLinearThresholdTypeToAbove",argv[1]))&&(argc == 2))
    {
    op->SetLinearThresholdTypeToAbove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLinearThresholdTypeToBelow",argv[1]))&&(argc == 2))
    {
    op->SetLinearThresholdTypeToBelow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLinearThresholdTypeToNear",argv[1]))&&(argc == 2))
    {
    op->SetLinearThresholdTypeToNear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLinearThresholdTypeToBetween",argv[1]))&&(argc == 2))
    {
    op->SetLinearThresholdTypeToBetween();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColumnRanges",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetColumnRanges(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColumnRanges",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetColumnRanges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnRanges",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetColumnRanges();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDistanceThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistanceThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistanceThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseNormalizedDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseNormalizedDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseNormalizedDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseNormalizedDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseNormalizedDistanceOn",argv[1]))&&(argc == 2))
    {
    op->UseNormalizedDistanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseNormalizedDistanceOff",argv[1]))&&(argc == 2))
    {
    op->UseNormalizedDistanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBivariateLinearTableThresholdCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBivariateLinearTableThreshold:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInclusive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInclusive\n",NULL);
    Tcl_AppendResult(interp,"  AddColumnToThreshold\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColumnsToThreshold\n",NULL);
    Tcl_AppendResult(interp,"  ClearColumnsToThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedRowIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  AddLineEquation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearLineEquations\n",NULL);
    Tcl_AppendResult(interp,"  GetLinearThresholdType\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearThresholdType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearThresholdTypeToAbove\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearThresholdTypeToBelow\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearThresholdTypeToNear\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearThresholdTypeToBetween\n",NULL);
    Tcl_AppendResult(interp,"  SetColumnRanges\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColumnRanges\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnRanges\n",NULL);
    Tcl_AppendResult(interp,"  SetDistanceThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetUseNormalizedDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseNormalizedDistance\n",NULL);
    Tcl_AppendResult(interp,"  UseNormalizedDistanceOn\n",NULL);
    Tcl_AppendResult(interp,"  UseNormalizedDistanceOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInclusive" );
    Tcl_DStringAppendElement ( &dString, "GetInclusive" );
    Tcl_DStringAppendElement ( &dString, "AddColumnToThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnsToThreshold" );
    Tcl_DStringAppendElement ( &dString, "ClearColumnsToThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedRowIds" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "AddLineEquation" );
    Tcl_DStringAppendElement ( &dString, "ClearLineEquations" );
    Tcl_DStringAppendElement ( &dString, "GetLinearThresholdType" );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdType" );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToAbove" );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToBelow" );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToNear" );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToBetween" );
    Tcl_DStringAppendElement ( &dString, "SetColumnRanges" );
    Tcl_DStringAppendElement ( &dString, "SetColumnRanges" );
    Tcl_DStringAppendElement ( &dString, "GetColumnRanges" );
    Tcl_DStringAppendElement ( &dString, "SetDistanceThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetUseNormalizedDistance" );
    Tcl_DStringAppendElement ( &dString, "GetUseNormalizedDistance" );
    Tcl_DStringAppendElement ( &dString, "UseNormalizedDistanceOn" );
    Tcl_DStringAppendElement ( &dString, "UseNormalizedDistanceOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBivariateLinearTableThreshold *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInclusive */
    if ( strcmp ( argv[2], "SetInclusive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInclusive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInclusive */
    Tcl_DStringAppendElement ( &dString, " Include the line in the threshold.  Essentially whether the threshold operation\n uses > versus >=.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInclusive(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetInclusive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInclusive */
    if ( strcmp ( argv[2], "GetInclusive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInclusive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInclusive */
    Tcl_DStringAppendElement ( &dString, " Include the line in the threshold.  Essentially whether the threshold operation\n uses > versus >=.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInclusive();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetInclusive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddColumnToThreshold */
    if ( strcmp ( argv[2], "AddColumnToThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddColumnToThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddColumnToThreshold */
    Tcl_DStringAppendElement ( &dString, " Add a numeric column to the pair of columns to be thresholded.  Call twice.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddColumnToThreshold(vtkIdType column, vtkIdType component);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for AddColumnToThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColumnsToThreshold */
    if ( strcmp ( argv[2], "GetNumberOfColumnsToThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnsToThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColumnsToThreshold */
    Tcl_DStringAppendElement ( &dString, " Return how many columns have been added.  Hopefully 2.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfColumnsToThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetNumberOfColumnsToThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearColumnsToThreshold */
    if ( strcmp ( argv[2], "ClearColumnsToThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearColumnsToThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearColumnsToThreshold */
    Tcl_DStringAppendElement ( &dString, " Reset the columns to be thresholded.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearColumnsToThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for ClearColumnsToThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedRowIds */
    if ( strcmp ( argv[2], "GetSelectedRowIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedRowIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedRowIds */
    Tcl_DStringAppendElement ( &dString, " Get the output as a table of row ids.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetSelectedRowIds(int selection=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetSelectedRowIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Reset the columns to threshold, column ranges, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLineEquation */
    if ( strcmp ( argv[2], "AddLineEquation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLineEquation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLineEquation */
    Tcl_DStringAppendElement ( &dString, " Add a line for thresholding in implicit form (ax + by + c = 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLineEquation(double a, double b, double c);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for AddLineEquation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLineEquations */
    if ( strcmp ( argv[2], "ClearLineEquations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLineEquations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLineEquations */
    Tcl_DStringAppendElement ( &dString, " Reset the list of line equations.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearLineEquations();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for ClearLineEquations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinearThresholdType */
    if ( strcmp ( argv[2], "GetLinearThresholdType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinearThresholdType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinearThresholdType */
    Tcl_DStringAppendElement ( &dString, " Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLinearThresholdType();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetLinearThresholdType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinearThresholdType */
    if ( strcmp ( argv[2], "SetLinearThresholdType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinearThresholdType */
    Tcl_DStringAppendElement ( &dString, " Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinearThresholdType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetLinearThresholdType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinearThresholdTypeToAbove */
    if ( strcmp ( argv[2], "SetLinearThresholdTypeToAbove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToAbove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinearThresholdTypeToAbove */
    Tcl_DStringAppendElement ( &dString, " Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinearThresholdTypeToAbove();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetLinearThresholdTypeToAbove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinearThresholdTypeToBelow */
    if ( strcmp ( argv[2], "SetLinearThresholdTypeToBelow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToBelow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinearThresholdTypeToBelow */
    Tcl_DStringAppendElement ( &dString, " Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinearThresholdTypeToBelow();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetLinearThresholdTypeToBelow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinearThresholdTypeToNear */
    if ( strcmp ( argv[2], "SetLinearThresholdTypeToNear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToNear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinearThresholdTypeToNear */
    Tcl_DStringAppendElement ( &dString, " Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinearThresholdTypeToNear();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetLinearThresholdTypeToNear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinearThresholdTypeToBetween */
    if ( strcmp ( argv[2], "SetLinearThresholdTypeToBetween" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinearThresholdTypeToBetween" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinearThresholdTypeToBetween */
    Tcl_DStringAppendElement ( &dString, " Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinearThresholdTypeToBetween();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetLinearThresholdTypeToBetween */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColumnRanges */
    if ( strcmp ( argv[2], "SetColumnRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColumnRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColumnRanges */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColumnRanges(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetColumnRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColumnRanges */
    if ( strcmp ( argv[2], "SetColumnRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColumnRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColumnRanges */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColumnRanges(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetColumnRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnRanges */
    if ( strcmp ( argv[2], "GetColumnRanges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnRanges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnRanges */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetColumnRanges();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetColumnRanges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistanceThreshold */
    if ( strcmp ( argv[2], "SetDistanceThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistanceThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistanceThreshold */
    Tcl_DStringAppendElement ( &dString, " The Cartesian distance within which a point will pass the near threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistanceThreshold(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetDistanceThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceThreshold */
    if ( strcmp ( argv[2], "GetDistanceThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceThreshold */
    Tcl_DStringAppendElement ( &dString, " The Cartesian distance within which a point will pass the near threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetDistanceThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseNormalizedDistance */
    if ( strcmp ( argv[2], "SetUseNormalizedDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseNormalizedDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseNormalizedDistance */
    Tcl_DStringAppendElement ( &dString, " Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges\\[1\\]-ColumnRanges\\[0\\] = 1.0 and \n ColumnRanges\\[3\\]-ColumnRanges\\[2\\] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseNormalizedDistance(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for SetUseNormalizedDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseNormalizedDistance */
    if ( strcmp ( argv[2], "GetUseNormalizedDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseNormalizedDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseNormalizedDistance */
    Tcl_DStringAppendElement ( &dString, " Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges\\[1\\]-ColumnRanges\\[0\\] = 1.0 and \n ColumnRanges\\[3\\]-ColumnRanges\\[2\\] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseNormalizedDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for GetUseNormalizedDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseNormalizedDistanceOn */
    if ( strcmp ( argv[2], "UseNormalizedDistanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseNormalizedDistanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseNormalizedDistanceOn */
    Tcl_DStringAppendElement ( &dString, " Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges\\[1\\]-ColumnRanges\\[0\\] = 1.0 and \n ColumnRanges\\[3\\]-ColumnRanges\\[2\\] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseNormalizedDistanceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for UseNormalizedDistanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseNormalizedDistanceOff */
    if ( strcmp ( argv[2], "UseNormalizedDistanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseNormalizedDistanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseNormalizedDistanceOff */
    Tcl_DStringAppendElement ( &dString, " Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges\\[1\\]-ColumnRanges\\[0\\] = 1.0 and \n ColumnRanges\\[3\\]-ColumnRanges\\[2\\] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseNormalizedDistanceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBivariateLinearTableThreshold" );
    /* Closing for UseNormalizedDistanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
