// python wrapper for vtkBoostBetweennessClustering
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostBetweennessClustering.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostBetweennessClustering(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostBetweennessClustering(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBetweennessClusteringNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBetweennessClusteringNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkGraphAlgorithmNew
#endif

static const char **PyvtkBoostBetweennessClustering_Doc();


static PyObject *
PyvtkBoostBetweennessClustering_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostBetweennessClustering::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostBetweennessClustering::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostBetweennessClustering *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostBetweennessClustering::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostBetweennessClustering *tempr = vtkBoostBetweennessClustering::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_SetThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetThreshold(temp0);
      }
    else
      {
      op->vtkBoostBetweennessClustering::SetThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_GetThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetThreshold() :
      op->vtkBoostBetweennessClustering::GetThreshold());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_SetUseEdgeWeightArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseEdgeWeightArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseEdgeWeightArray(temp0);
      }
    else
      {
      op->vtkBoostBetweennessClustering::SetUseEdgeWeightArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_UseEdgeWeightArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseEdgeWeightArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseEdgeWeightArrayOn();
      }
    else
      {
      op->vtkBoostBetweennessClustering::UseEdgeWeightArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_UseEdgeWeightArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseEdgeWeightArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseEdgeWeightArrayOff();
      }
    else
      {
      op->vtkBoostBetweennessClustering::UseEdgeWeightArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_SetInvertEdgeWeightArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInvertEdgeWeightArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInvertEdgeWeightArray(temp0);
      }
    else
      {
      op->vtkBoostBetweennessClustering::SetInvertEdgeWeightArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_InvertEdgeWeightArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InvertEdgeWeightArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InvertEdgeWeightArrayOn();
      }
    else
      {
      op->vtkBoostBetweennessClustering::InvertEdgeWeightArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_InvertEdgeWeightArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InvertEdgeWeightArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InvertEdgeWeightArrayOff();
      }
    else
      {
      op->vtkBoostBetweennessClustering::InvertEdgeWeightArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_GetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEdgeWeightArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetEdgeWeightArrayName() :
      op->vtkBoostBetweennessClustering::GetEdgeWeightArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeWeightArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEdgeWeightArrayName(temp0);
      }
    else
      {
      op->vtkBoostBetweennessClustering::SetEdgeWeightArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBetweennessClustering_SetEdgeCentralityArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeCentralityArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBetweennessClustering *op = static_cast<vtkBoostBetweennessClustering *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEdgeCentralityArrayName(temp0);
      }
    else
      {
      op->vtkBoostBetweennessClustering::SetEdgeCentralityArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostBetweennessClustering_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostBetweennessClustering_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostBetweennessClustering_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostBetweennessClustering_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBetweennessClustering\nC++: vtkBoostBetweennessClustering *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostBetweennessClustering_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBetweennessClustering\nC++: vtkBoostBetweennessClustering *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetThreshold", PyvtkBoostBetweennessClustering_SetThreshold, 1,
   (char*)"V.SetThreshold(float)\nC++: void SetThreshold(double a)\n\nGet/Set the threshold value. Algorithm terminats when the maximum\nedge centrality is below this threshold.\n"},
  {(char*)"GetThreshold", PyvtkBoostBetweennessClustering_GetThreshold, 1,
   (char*)"V.GetThreshold() -> float\nC++: double GetThreshold()\n\nGet/Set the threshold value. Algorithm terminats when the maximum\nedge centrality is below this threshold.\n"},
  {(char*)"SetUseEdgeWeightArray", PyvtkBoostBetweennessClustering_SetUseEdgeWeightArray, 1,
   (char*)"V.SetUseEdgeWeightArray(bool)\nC++: void SetUseEdgeWeightArray(bool a)\n\nGet/Set the flag that sets the rule whether or not to use the\nedge weight array as set using SetEdgeWeightArrayName.\n"},
  {(char*)"UseEdgeWeightArrayOn", PyvtkBoostBetweennessClustering_UseEdgeWeightArrayOn, 1,
   (char*)"V.UseEdgeWeightArrayOn()\nC++: void UseEdgeWeightArrayOn()\n\nGet/Set the flag that sets the rule whether or not to use the\nedge weight array as set using SetEdgeWeightArrayName.\n"},
  {(char*)"UseEdgeWeightArrayOff", PyvtkBoostBetweennessClustering_UseEdgeWeightArrayOff, 1,
   (char*)"V.UseEdgeWeightArrayOff()\nC++: void UseEdgeWeightArrayOff()\n\nGet/Set the flag that sets the rule whether or not to use the\nedge weight array as set using SetEdgeWeightArrayName.\n"},
  {(char*)"SetInvertEdgeWeightArray", PyvtkBoostBetweennessClustering_SetInvertEdgeWeightArray, 1,
   (char*)"V.SetInvertEdgeWeightArray(bool)\nC++: void SetInvertEdgeWeightArray(bool a)\n\n"},
  {(char*)"InvertEdgeWeightArrayOn", PyvtkBoostBetweennessClustering_InvertEdgeWeightArrayOn, 1,
   (char*)"V.InvertEdgeWeightArrayOn()\nC++: void InvertEdgeWeightArrayOn()\n\n"},
  {(char*)"InvertEdgeWeightArrayOff", PyvtkBoostBetweennessClustering_InvertEdgeWeightArrayOff, 1,
   (char*)"V.InvertEdgeWeightArrayOff()\nC++: void InvertEdgeWeightArrayOff()\n\n"},
  {(char*)"GetEdgeWeightArrayName", PyvtkBoostBetweennessClustering_GetEdgeWeightArrayName, 1,
   (char*)"V.GetEdgeWeightArrayName() -> string\nC++: char *GetEdgeWeightArrayName()\n\nGet/Set the name of the array that needs to be used as the edge\nweight. The array should be a vtkDataArray.\n"},
  {(char*)"SetEdgeWeightArrayName", PyvtkBoostBetweennessClustering_SetEdgeWeightArrayName, 1,
   (char*)"V.SetEdgeWeightArrayName(string)\nC++: void SetEdgeWeightArrayName(char *)\n\nGet/Set the name of the array that needs to be used as the edge\nweight. The array should be a vtkDataArray.\n"},
  {(char*)"SetEdgeCentralityArrayName", PyvtkBoostBetweennessClustering_SetEdgeCentralityArrayName, 1,
   (char*)"V.SetEdgeCentralityArrayName(string)\nC++: void SetEdgeCentralityArrayName(char *)\n\nSet the edge centrality array name. If no output array name is\nset then the name \"edge_centrality\" is used.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostBetweennessClustering_StaticNew()
{
  return vtkBoostBetweennessClustering::New();
}

PyObject *PyVTKClass_vtkBoostBetweennessClusteringNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostBetweennessClustering_StaticNew,
    PyvtkBoostBetweennessClustering_Methods,
    "vtkBoostBetweennessClustering", modulename,
    NULL, NULL,
    PyvtkBoostBetweennessClustering_Doc(),
    PyVTKClass_vtkGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostBetweennessClustering_Doc()
{
  static const char *docstring[] = {
    "vtkBoostBetweennessClustering - Implements graph clustering based on\n\n",
    "Superclass: vtkGraphAlgorithm\n\n",
    "This vtk class uses the Boost centrality clustering generic algorithm\nto compute edge betweenness centrality on the input graph (a\nvtkGraph).\n\nSee Also:\n\nvtkGraph vtkBoostGraphAdapter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostBetweennessClustering(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostBetweennessClusteringNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostBetweennessClustering", o) != 0)
    {
    Py_DECREF(o);
    }

}

