// python wrapper for vtkBoostBiconnectedComponents
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostBiconnectedComponents.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostBiconnectedComponents(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostBiconnectedComponents(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBiconnectedComponentsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBiconnectedComponentsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkUndirectedGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkUndirectedGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkUndirectedGraphAlgorithmNew
#endif

static const char **PyvtkBoostBiconnectedComponents_Doc();


static PyObject *
PyvtkBoostBiconnectedComponents_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBiconnectedComponents *op = static_cast<vtkBoostBiconnectedComponents *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostBiconnectedComponents::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBiconnectedComponents_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBiconnectedComponents *op = static_cast<vtkBoostBiconnectedComponents *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostBiconnectedComponents::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBiconnectedComponents_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBiconnectedComponents *op = static_cast<vtkBoostBiconnectedComponents *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostBiconnectedComponents *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostBiconnectedComponents::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBiconnectedComponents_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostBiconnectedComponents *tempr = vtkBoostBiconnectedComponents::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBiconnectedComponents_SetOutputArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBiconnectedComponents *op = static_cast<vtkBoostBiconnectedComponents *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputArrayName(temp0);
      }
    else
      {
      op->vtkBoostBiconnectedComponents::SetOutputArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostBiconnectedComponents_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostBiconnectedComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostBiconnectedComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostBiconnectedComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBiconnectedComponents\nC++: vtkBoostBiconnectedComponents *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostBiconnectedComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBiconnectedComponents\nC++: vtkBoostBiconnectedComponents *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOutputArrayName", PyvtkBoostBiconnectedComponents_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName(char *)\n\nSet the output array name. If no output array name is set then\nthe name \"biconnected component\" is used.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostBiconnectedComponents_StaticNew()
{
  return vtkBoostBiconnectedComponents::New();
}

PyObject *PyVTKClass_vtkBoostBiconnectedComponentsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostBiconnectedComponents_StaticNew,
    PyvtkBoostBiconnectedComponents_Methods,
    "vtkBoostBiconnectedComponents", modulename,
    NULL, NULL,
    PyvtkBoostBiconnectedComponents_Doc(),
    PyVTKClass_vtkUndirectedGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostBiconnectedComponents_Doc()
{
  static const char *docstring[] = {
    "vtkBoostBiconnectedComponents - Find the biconnected components of a\ngraph\n\n",
    "Superclass: vtkUndirectedGraphAlgorithm\n\n",
    "The biconnected components of a graph are maximal regions of the\ngraph where the removal of any single vertex from the region will not\ndisconnect the graph.  Every edge belongs to exactly one biconnected\ncomponent.  The biconnected component of each edge is given in the\nedge array named \"biconnected component\".  The biconnected component\nof each vertex is also given in the vertex array named \"bico",
    "nnected\ncomponent\".  Cut vertices (or articulation points) belong to multiple\nbiconnected components, and break the graph apart if removed.  These\nare indicated by assigning a component value of -1.  To get the\nbiconnected components that a cut vertex belongs to, traverse its\nedge list and collect the distinct component ids for its incident\nedges.\n\nSelf-loop edges that start and end at the same ve",
    "rtex are not\nassigned a biconnected component, and are given component id -1.\n\nCaveats:\n\nThe boost graph bindings currently only support boost version 1.33.1.\nThere are apparently backwards-compatibility issues with later\nversions.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostBiconnectedComponents(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostBiconnectedComponentsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostBiconnectedComponents", o) != 0)
    {
    Py_DECREF(o);
    }

}

