// python wrapper for vtkBoostBrandesCentrality
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostBrandesCentrality.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostBrandesCentrality(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostBrandesCentrality(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBrandesCentralityNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBrandesCentralityNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkGraphAlgorithmNew
#endif

static const char **PyvtkBoostBrandesCentrality_Doc();


static PyObject *
PyvtkBoostBrandesCentrality_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostBrandesCentrality::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostBrandesCentrality::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostBrandesCentrality *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostBrandesCentrality::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostBrandesCentrality *tempr = vtkBoostBrandesCentrality::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_SetUseEdgeWeightArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseEdgeWeightArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseEdgeWeightArray(temp0);
      }
    else
      {
      op->vtkBoostBrandesCentrality::SetUseEdgeWeightArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_UseEdgeWeightArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseEdgeWeightArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseEdgeWeightArrayOn();
      }
    else
      {
      op->vtkBoostBrandesCentrality::UseEdgeWeightArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_UseEdgeWeightArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseEdgeWeightArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseEdgeWeightArrayOff();
      }
    else
      {
      op->vtkBoostBrandesCentrality::UseEdgeWeightArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_SetInvertEdgeWeightArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInvertEdgeWeightArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInvertEdgeWeightArray(temp0);
      }
    else
      {
      op->vtkBoostBrandesCentrality::SetInvertEdgeWeightArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_InvertEdgeWeightArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InvertEdgeWeightArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InvertEdgeWeightArrayOn();
      }
    else
      {
      op->vtkBoostBrandesCentrality::InvertEdgeWeightArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_InvertEdgeWeightArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InvertEdgeWeightArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InvertEdgeWeightArrayOff();
      }
    else
      {
      op->vtkBoostBrandesCentrality::InvertEdgeWeightArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_GetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEdgeWeightArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetEdgeWeightArrayName() :
      op->vtkBoostBrandesCentrality::GetEdgeWeightArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBrandesCentrality_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeWeightArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBrandesCentrality *op = static_cast<vtkBoostBrandesCentrality *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEdgeWeightArrayName(temp0);
      }
    else
      {
      op->vtkBoostBrandesCentrality::SetEdgeWeightArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostBrandesCentrality_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostBrandesCentrality_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostBrandesCentrality_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostBrandesCentrality_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBrandesCentrality\nC++: vtkBoostBrandesCentrality *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostBrandesCentrality_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBrandesCentrality\nC++: vtkBoostBrandesCentrality *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetUseEdgeWeightArray", PyvtkBoostBrandesCentrality_SetUseEdgeWeightArray, 1,
   (char*)"V.SetUseEdgeWeightArray(bool)\nC++: void SetUseEdgeWeightArray(bool a)\n\nGet/Set the flag that sets the rule whether or not to use the\nedge weight array as set using SetEdgeWeightArrayName.\n"},
  {(char*)"UseEdgeWeightArrayOn", PyvtkBoostBrandesCentrality_UseEdgeWeightArrayOn, 1,
   (char*)"V.UseEdgeWeightArrayOn()\nC++: void UseEdgeWeightArrayOn()\n\nGet/Set the flag that sets the rule whether or not to use the\nedge weight array as set using SetEdgeWeightArrayName.\n"},
  {(char*)"UseEdgeWeightArrayOff", PyvtkBoostBrandesCentrality_UseEdgeWeightArrayOff, 1,
   (char*)"V.UseEdgeWeightArrayOff()\nC++: void UseEdgeWeightArrayOff()\n\nGet/Set the flag that sets the rule whether or not to use the\nedge weight array as set using SetEdgeWeightArrayName.\n"},
  {(char*)"SetInvertEdgeWeightArray", PyvtkBoostBrandesCentrality_SetInvertEdgeWeightArray, 1,
   (char*)"V.SetInvertEdgeWeightArray(bool)\nC++: void SetInvertEdgeWeightArray(bool a)\n\n"},
  {(char*)"InvertEdgeWeightArrayOn", PyvtkBoostBrandesCentrality_InvertEdgeWeightArrayOn, 1,
   (char*)"V.InvertEdgeWeightArrayOn()\nC++: void InvertEdgeWeightArrayOn()\n\n"},
  {(char*)"InvertEdgeWeightArrayOff", PyvtkBoostBrandesCentrality_InvertEdgeWeightArrayOff, 1,
   (char*)"V.InvertEdgeWeightArrayOff()\nC++: void InvertEdgeWeightArrayOff()\n\n"},
  {(char*)"GetEdgeWeightArrayName", PyvtkBoostBrandesCentrality_GetEdgeWeightArrayName, 1,
   (char*)"V.GetEdgeWeightArrayName() -> string\nC++: char *GetEdgeWeightArrayName()\n\nGet/Set the name of the array that needs to be used as the edge\nweight. The array should be a vtkDataArray.\n"},
  {(char*)"SetEdgeWeightArrayName", PyvtkBoostBrandesCentrality_SetEdgeWeightArrayName, 1,
   (char*)"V.SetEdgeWeightArrayName(string)\nC++: void SetEdgeWeightArrayName(char *)\n\nGet/Set the name of the array that needs to be used as the edge\nweight. The array should be a vtkDataArray.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostBrandesCentrality_StaticNew()
{
  return vtkBoostBrandesCentrality::New();
}

PyObject *PyVTKClass_vtkBoostBrandesCentralityNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostBrandesCentrality_StaticNew,
    PyvtkBoostBrandesCentrality_Methods,
    "vtkBoostBrandesCentrality", modulename,
    NULL, NULL,
    PyvtkBoostBrandesCentrality_Doc(),
    PyVTKClass_vtkGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostBrandesCentrality_Doc()
{
  static const char *docstring[] = {
    "vtkBoostBrandesCentrality - Compute Brandes betweenness centrality\n\n",
    "Superclass: vtkGraphAlgorithm\n\n",
    "See Also:\n\nvtkGraph vtkBoostGraphAdapter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostBrandesCentrality(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostBrandesCentralityNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostBrandesCentrality", o) != 0)
    {
    Py_DECREF(o);
    }

}

