// python wrapper for vtkBoostBreadthFirstSearch
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkVariant.h"
#include "vtkBoostBreadthFirstSearch.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostBreadthFirstSearch(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostBreadthFirstSearch(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBreadthFirstSearchNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBreadthFirstSearchNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkGraphAlgorithmNew
#endif

static const char **PyvtkBoostBreadthFirstSearch_Doc();


static PyObject *
PyvtkBoostBreadthFirstSearch_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostBreadthFirstSearch::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostBreadthFirstSearch::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostBreadthFirstSearch *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostBreadthFirstSearch::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostBreadthFirstSearch *tempr = vtkBoostBreadthFirstSearch::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SetOriginSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  vtkSelection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSelection"))
    {
    if (ap.IsBound())
      {
      op->SetOriginSelection(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOriginSelection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SetOriginSelectionConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginSelectionConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetOriginSelectionConnection(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOriginSelectionConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SetOriginVertex_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginVertex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOriginVertex(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOriginVertex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkBoostBreadthFirstSearch_SetOriginVertex_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginVertex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  vtkStdString temp0;
  vtkVariant *temp1 = NULL;
  PyObject *pobj1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetSpecialObject(temp1, pobj1, "vtkVariant"))
    {
    if (ap.IsBound())
      {
      op->SetOriginVertex(temp0, *temp1);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOriginVertex(temp0, *temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj1);

  return result;
}

static PyObject *
PyvtkBoostBreadthFirstSearch_SetOriginVertex(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkBoostBreadthFirstSearch_SetOriginVertex_s1(self, args);
    case 2:
      return PyvtkBoostBreadthFirstSearch_SetOriginVertex_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetOriginVertex");
  return NULL;
}



static PyObject *
PyvtkBoostBreadthFirstSearch_SetOriginVertexString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginVertexString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetOriginVertexString(temp0, temp1);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOriginVertexString(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SetOutputArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputArrayName(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOutputArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SetOriginFromSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginFromSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOriginFromSelection(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOriginFromSelection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_GetOriginFromSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOriginFromSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetOriginFromSelection() :
      op->vtkBoostBreadthFirstSearch::GetOriginFromSelection());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_OriginFromSelectionOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OriginFromSelectionOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OriginFromSelectionOn();
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::OriginFromSelectionOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_OriginFromSelectionOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OriginFromSelectionOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OriginFromSelectionOff();
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::OriginFromSelectionOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_GetOutputSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetOutputSelection() :
      op->vtkBoostBreadthFirstSearch::GetOutputSelection());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SetOutputSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputSelection(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOutputSelection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_OutputSelectionOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OutputSelectionOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OutputSelectionOn();
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::OutputSelectionOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_OutputSelectionOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OutputSelectionOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OutputSelectionOff();
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::OutputSelectionOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearch_SetOutputSelectionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputSelectionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearch *op = static_cast<vtkBoostBreadthFirstSearch *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputSelectionType(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearch::SetOutputSelectionType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostBreadthFirstSearch_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostBreadthFirstSearch_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostBreadthFirstSearch_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostBreadthFirstSearch_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBreadthFirstSearch\nC++: vtkBoostBreadthFirstSearch *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostBreadthFirstSearch_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBreadthFirstSearch\nC++: vtkBoostBreadthFirstSearch *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOriginSelection", PyvtkBoostBreadthFirstSearch_SetOriginSelection, 1,
   (char*)"V.SetOriginSelection(vtkSelection)\nC++: void SetOriginSelection(vtkSelection *s)\n\nConvenience methods for setting the origin selection input.\n"},
  {(char*)"SetOriginSelectionConnection", PyvtkBoostBreadthFirstSearch_SetOriginSelectionConnection, 1,
   (char*)"V.SetOriginSelectionConnection(vtkAlgorithmOutput)\nC++: void SetOriginSelectionConnection(\n    vtkAlgorithmOutput *algOutput)\n\nConvenience methods for setting the origin selection input.\n"},
  {(char*)"SetOriginVertex", PyvtkBoostBreadthFirstSearch_SetOriginVertex, 1,
   (char*)"V.SetOriginVertex(int)\nC++: void SetOriginVertex(vtkIdType index)\nV.SetOriginVertex(string, vtkVariant)\nC++: void SetOriginVertex(vtkStdString arrayName,\n    vtkVariant value)\n\nSet the index (into the vertex array) of the breadth first search\n'origin' vertex.\n"},
  {(char*)"SetOriginVertexString", PyvtkBoostBreadthFirstSearch_SetOriginVertexString, 1,
   (char*)"V.SetOriginVertexString(string, string)\nC++: void SetOriginVertexString(char *arrayName, char *value)\n\nConvenience method for setting the origin vertex given an array\nname and string value. This method is primarily for the benefit\nof the VTK Parallel client/server layer, callers should prefer to\nuse SetOriginVertex() whenever possible.\n"},
  {(char*)"SetOutputArrayName", PyvtkBoostBreadthFirstSearch_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName(char *)\n\nSet the output array name. If no output array name is set then\nthe name 'BFS' is used.\n"},
  {(char*)"SetOriginFromSelection", PyvtkBoostBreadthFirstSearch_SetOriginFromSelection, 1,
   (char*)"V.SetOriginFromSelection(bool)\nC++: void SetOriginFromSelection(bool a)\n\nUse the vtkSelection from input port 1 as the origin vertex. The\nselection should be a IDS selection with field type POINTS. The\nfirst ID in the selection will be used for the origin vertex.\nDefault is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"GetOriginFromSelection", PyvtkBoostBreadthFirstSearch_GetOriginFromSelection, 1,
   (char*)"V.GetOriginFromSelection() -> bool\nC++: bool GetOriginFromSelection()\n\nUse the vtkSelection from input port 1 as the origin vertex. The\nselection should be a IDS selection with field type POINTS. The\nfirst ID in the selection will be used for the origin vertex.\nDefault is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"OriginFromSelectionOn", PyvtkBoostBreadthFirstSearch_OriginFromSelectionOn, 1,
   (char*)"V.OriginFromSelectionOn()\nC++: void OriginFromSelectionOn()\n\nUse the vtkSelection from input port 1 as the origin vertex. The\nselection should be a IDS selection with field type POINTS. The\nfirst ID in the selection will be used for the origin vertex.\nDefault is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"OriginFromSelectionOff", PyvtkBoostBreadthFirstSearch_OriginFromSelectionOff, 1,
   (char*)"V.OriginFromSelectionOff()\nC++: void OriginFromSelectionOff()\n\nUse the vtkSelection from input port 1 as the origin vertex. The\nselection should be a IDS selection with field type POINTS. The\nfirst ID in the selection will be used for the origin vertex.\nDefault is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"GetOutputSelection", PyvtkBoostBreadthFirstSearch_GetOutputSelection, 1,
   (char*)"V.GetOutputSelection() -> bool\nC++: bool GetOutputSelection()\n\nCreate an output selection containing the ID of a vertex based on\nthe output selection type. The default is to use the the maximum\ndistance from the starting vertex.  Defaults to off.\n"},
  {(char*)"SetOutputSelection", PyvtkBoostBreadthFirstSearch_SetOutputSelection, 1,
   (char*)"V.SetOutputSelection(bool)\nC++: void SetOutputSelection(bool a)\n\nCreate an output selection containing the ID of a vertex based on\nthe output selection type. The default is to use the the maximum\ndistance from the starting vertex.  Defaults to off.\n"},
  {(char*)"OutputSelectionOn", PyvtkBoostBreadthFirstSearch_OutputSelectionOn, 1,
   (char*)"V.OutputSelectionOn()\nC++: void OutputSelectionOn()\n\nCreate an output selection containing the ID of a vertex based on\nthe output selection type. The default is to use the the maximum\ndistance from the starting vertex.  Defaults to off.\n"},
  {(char*)"OutputSelectionOff", PyvtkBoostBreadthFirstSearch_OutputSelectionOff, 1,
   (char*)"V.OutputSelectionOff()\nC++: void OutputSelectionOff()\n\nCreate an output selection containing the ID of a vertex based on\nthe output selection type. The default is to use the the maximum\ndistance from the starting vertex.  Defaults to off.\n"},
  {(char*)"SetOutputSelectionType", PyvtkBoostBreadthFirstSearch_SetOutputSelectionType, 1,
   (char*)"V.SetOutputSelectionType(string)\nC++: void SetOutputSelectionType(char *)\n\nSet the output selection type. The default is to use the the\nmaximum distance from the starting vertex \"MAX_DIST_FROM_ROOT\".\nBut you can also specify other things like \"ROOT\",\"2D_MAX\", etc\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostBreadthFirstSearch_StaticNew()
{
  return vtkBoostBreadthFirstSearch::New();
}

PyObject *PyVTKClass_vtkBoostBreadthFirstSearchNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostBreadthFirstSearch_StaticNew,
    PyvtkBoostBreadthFirstSearch_Methods,
    "vtkBoostBreadthFirstSearch", modulename,
    NULL, NULL,
    PyvtkBoostBreadthFirstSearch_Doc(),
    PyVTKClass_vtkGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostBreadthFirstSearch_Doc()
{
  static const char *docstring[] = {
    "vtkBoostBreadthFirstSearch - Boost breadth_first_search on a vtkGraph\n\n",
    "Superclass: vtkGraphAlgorithm\n\n",
    "This vtk class uses the Boost breadth_first_search generic algorithm\nto perform a breadth first search from a given a 'source' vertex on\nthe input graph (a vtkGraph).\n\nSee Also:\n\nvtkGraph vtkBoostGraphAdapter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostBreadthFirstSearch(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostBreadthFirstSearchNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostBreadthFirstSearch", o) != 0)
    {
    Py_DECREF(o);
    }

}

