// tcl wrapper for vtkBoostBreadthFirstSearch object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostBreadthFirstSearch.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBoostBreadthFirstSearchNewCommand()
{
  vtkBoostBreadthFirstSearch *temp = vtkBoostBreadthFirstSearch::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBoostBreadthFirstSearchCppCommand(vtkBoostBreadthFirstSearch *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBoostBreadthFirstSearchCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBoostBreadthFirstSearchCppCommand(static_cast<vtkBoostBreadthFirstSearch *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBoostBreadthFirstSearchCppCommand(vtkBoostBreadthFirstSearch *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBoostBreadthFirstSearch",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBoostBreadthFirstSearch  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoostBreadthFirstSearch");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBoostBreadthFirstSearch  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoostBreadthFirstSearch");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBoostBreadthFirstSearch  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoostBreadthFirstSearch");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginSelection",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->SetOriginSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginSelectionConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetOriginSelectionConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginVertex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOriginVertex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginVertexString",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetOriginVertexString(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOutputArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginFromSelection",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOriginFromSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginFromSelection",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOriginFromSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OriginFromSelectionOn",argv[1]))&&(argc == 2))
    {
    op->OriginFromSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OriginFromSelectionOff",argv[1]))&&(argc == 2))
    {
    op->OriginFromSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputSelection",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOutputSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputSelection",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOutputSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OutputSelectionOn",argv[1]))&&(argc == 2))
    {
    op->OutputSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutputSelectionOff",argv[1]))&&(argc == 2))
    {
    op->OutputSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputSelectionType",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOutputSelectionType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBoostBreadthFirstSearchCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBoostBreadthFirstSearch:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginSelectionConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginVertexString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginFromSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginFromSelection\n",NULL);
    Tcl_AppendResult(interp,"  OriginFromSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  OriginFromSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputSelection\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OutputSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  OutputSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputSelectionType\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOriginSelection" );
    Tcl_DStringAppendElement ( &dString, "SetOriginSelectionConnection" );
    Tcl_DStringAppendElement ( &dString, "SetOriginVertex" );
    Tcl_DStringAppendElement ( &dString, "SetOriginVertexString" );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetOriginFromSelection" );
    Tcl_DStringAppendElement ( &dString, "GetOriginFromSelection" );
    Tcl_DStringAppendElement ( &dString, "OriginFromSelectionOn" );
    Tcl_DStringAppendElement ( &dString, "OriginFromSelectionOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutputSelection" );
    Tcl_DStringAppendElement ( &dString, "SetOutputSelection" );
    Tcl_DStringAppendElement ( &dString, "OutputSelectionOn" );
    Tcl_DStringAppendElement ( &dString, "OutputSelectionOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutputSelectionType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBoostBreadthFirstSearch *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginSelection */
    if ( strcmp ( argv[2], "SetOriginSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginSelection */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for setting the origin selection input.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginSelection(vtkSelection *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOriginSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginSelectionConnection */
    if ( strcmp ( argv[2], "SetOriginSelectionConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginSelectionConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginSelectionConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for setting the origin selection input.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginSelectionConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOriginSelectionConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginVertex */
    if ( strcmp ( argv[2], "SetOriginVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginVertex */
    Tcl_DStringAppendElement ( &dString, " Set the index (into the vertex array) of the \n breadth first search 'origin' vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginVertex(vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOriginVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginVertexString */
    if ( strcmp ( argv[2], "SetOriginVertexString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginVertexString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginVertexString */
    Tcl_DStringAppendElement ( &dString, " Convenience method for setting the origin vertex\n given an array name and string value.\n This method is primarily for the benefit of the\n VTK Parallel client/server layer, callers should\n prefer to use SetOriginVertex() whenever possible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginVertexString(char *arrayName, char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOriginVertexString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputArrayName */
    if ( strcmp ( argv[2], "SetOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the output array name. If no output array name is\n set then the name 'BFS' is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginFromSelection */
    if ( strcmp ( argv[2], "SetOriginFromSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginFromSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginFromSelection */
    Tcl_DStringAppendElement ( &dString, " Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginFromSelection(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOriginFromSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginFromSelection */
    if ( strcmp ( argv[2], "GetOriginFromSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginFromSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginFromSelection */
    Tcl_DStringAppendElement ( &dString, " Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOriginFromSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for GetOriginFromSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OriginFromSelectionOn */
    if ( strcmp ( argv[2], "OriginFromSelectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OriginFromSelectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OriginFromSelectionOn */
    Tcl_DStringAppendElement ( &dString, " Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n" );
    Tcl_DStringAppendElement ( &dString, "void OriginFromSelectionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for OriginFromSelectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OriginFromSelectionOff */
    if ( strcmp ( argv[2], "OriginFromSelectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OriginFromSelectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OriginFromSelectionOff */
    Tcl_DStringAppendElement ( &dString, " Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n" );
    Tcl_DStringAppendElement ( &dString, "void OriginFromSelectionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for OriginFromSelectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputSelection */
    if ( strcmp ( argv[2], "GetOutputSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputSelection */
    Tcl_DStringAppendElement ( &dString, " Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOutputSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for GetOutputSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputSelection */
    if ( strcmp ( argv[2], "SetOutputSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputSelection */
    Tcl_DStringAppendElement ( &dString, " Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputSelection(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOutputSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputSelectionOn */
    if ( strcmp ( argv[2], "OutputSelectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputSelectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputSelectionOn */
    Tcl_DStringAppendElement ( &dString, " Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputSelectionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for OutputSelectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputSelectionOff */
    if ( strcmp ( argv[2], "OutputSelectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputSelectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputSelectionOff */
    Tcl_DStringAppendElement ( &dString, " Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputSelectionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for OutputSelectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputSelectionType */
    if ( strcmp ( argv[2], "SetOutputSelectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputSelectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputSelectionType */
    Tcl_DStringAppendElement ( &dString, " Set the output selection type. The default is to use the\n the maximum distance from the starting vertex \"MAX_DIST_FROM_ROOT\". \n But you can also specify other things like \"ROOT\",\"2D_MAX\", etc\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputSelectionType(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostBreadthFirstSearch" );
    /* Closing for SetOutputSelectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
