// python wrapper for vtkBoostBreadthFirstSearchTree
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkVariant.h"
#include "vtkBoostBreadthFirstSearchTree.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostBreadthFirstSearchTree(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostBreadthFirstSearchTree(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBreadthFirstSearchTreeNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBreadthFirstSearchTreeNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTreeAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTreeAlgorithmNew
#endif

static const char **PyvtkBoostBreadthFirstSearchTree_Doc();


static PyObject *
PyvtkBoostBreadthFirstSearchTree_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostBreadthFirstSearchTree::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostBreadthFirstSearchTree::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostBreadthFirstSearchTree *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostBreadthFirstSearchTree::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostBreadthFirstSearchTree *tempr = vtkBoostBreadthFirstSearchTree::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_SetOriginVertex_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginVertex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOriginVertex(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::SetOriginVertex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkBoostBreadthFirstSearchTree_SetOriginVertex_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginVertex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  vtkStdString temp0;
  vtkVariant *temp1 = NULL;
  PyObject *pobj1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetSpecialObject(temp1, pobj1, "vtkVariant"))
    {
    if (ap.IsBound())
      {
      op->SetOriginVertex(temp0, *temp1);
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::SetOriginVertex(temp0, *temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj1);

  return result;
}

static PyObject *
PyvtkBoostBreadthFirstSearchTree_SetOriginVertex(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkBoostBreadthFirstSearchTree_SetOriginVertex_s1(self, args);
    case 2:
      return PyvtkBoostBreadthFirstSearchTree_SetOriginVertex_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetOriginVertex");
  return NULL;
}



static PyObject *
PyvtkBoostBreadthFirstSearchTree_SetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCreateGraphVertexIdArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCreateGraphVertexIdArray(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::SetCreateGraphVertexIdArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_GetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCreateGraphVertexIdArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetCreateGraphVertexIdArray() :
      op->vtkBoostBreadthFirstSearchTree::GetCreateGraphVertexIdArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateGraphVertexIdArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateGraphVertexIdArrayOn();
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::CreateGraphVertexIdArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateGraphVertexIdArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateGraphVertexIdArrayOff();
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::CreateGraphVertexIdArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_SetReverseEdges(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReverseEdges");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetReverseEdges(temp0);
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::SetReverseEdges(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_GetReverseEdges(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReverseEdges");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetReverseEdges() :
      op->vtkBoostBreadthFirstSearchTree::GetReverseEdges());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_ReverseEdgesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReverseEdgesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReverseEdgesOn();
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::ReverseEdgesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostBreadthFirstSearchTree_ReverseEdgesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReverseEdgesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostBreadthFirstSearchTree *op = static_cast<vtkBoostBreadthFirstSearchTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReverseEdgesOff();
      }
    else
      {
      op->vtkBoostBreadthFirstSearchTree::ReverseEdgesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostBreadthFirstSearchTree_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostBreadthFirstSearchTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostBreadthFirstSearchTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostBreadthFirstSearchTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBreadthFirstSearchTree\nC++: vtkBoostBreadthFirstSearchTree *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostBreadthFirstSearchTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBreadthFirstSearchTree\nC++: vtkBoostBreadthFirstSearchTree *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOriginVertex", PyvtkBoostBreadthFirstSearchTree_SetOriginVertex, 1,
   (char*)"V.SetOriginVertex(int)\nC++: void SetOriginVertex(vtkIdType index)\nV.SetOriginVertex(string, vtkVariant)\nC++: void SetOriginVertex(vtkStdString arrayName,\n    vtkVariant value)\n\nSet the index (into the vertex array) of the breadth first search\n'origin' vertex.\n"},
  {(char*)"SetCreateGraphVertexIdArray", PyvtkBoostBreadthFirstSearchTree_SetCreateGraphVertexIdArray, 1,
   (char*)"V.SetCreateGraphVertexIdArray(bool)\nC++: void SetCreateGraphVertexIdArray(bool a)\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"GetCreateGraphVertexIdArray", PyvtkBoostBreadthFirstSearchTree_GetCreateGraphVertexIdArray, 1,
   (char*)"V.GetCreateGraphVertexIdArray() -> bool\nC++: bool GetCreateGraphVertexIdArray()\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOn", PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOn, 1,
   (char*)"V.CreateGraphVertexIdArrayOn()\nC++: void CreateGraphVertexIdArrayOn()\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOff", PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOff, 1,
   (char*)"V.CreateGraphVertexIdArrayOff()\nC++: void CreateGraphVertexIdArrayOff()\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"SetReverseEdges", PyvtkBoostBreadthFirstSearchTree_SetReverseEdges, 1,
   (char*)"V.SetReverseEdges(bool)\nC++: void SetReverseEdges(bool a)\n\nTurn on this option to reverse the edges in the graph.\n"},
  {(char*)"GetReverseEdges", PyvtkBoostBreadthFirstSearchTree_GetReverseEdges, 1,
   (char*)"V.GetReverseEdges() -> bool\nC++: bool GetReverseEdges()\n\nTurn on this option to reverse the edges in the graph.\n"},
  {(char*)"ReverseEdgesOn", PyvtkBoostBreadthFirstSearchTree_ReverseEdgesOn, 1,
   (char*)"V.ReverseEdgesOn()\nC++: void ReverseEdgesOn()\n\nTurn on this option to reverse the edges in the graph.\n"},
  {(char*)"ReverseEdgesOff", PyvtkBoostBreadthFirstSearchTree_ReverseEdgesOff, 1,
   (char*)"V.ReverseEdgesOff()\nC++: void ReverseEdgesOff()\n\nTurn on this option to reverse the edges in the graph.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostBreadthFirstSearchTree_StaticNew()
{
  return vtkBoostBreadthFirstSearchTree::New();
}

PyObject *PyVTKClass_vtkBoostBreadthFirstSearchTreeNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostBreadthFirstSearchTree_StaticNew,
    PyvtkBoostBreadthFirstSearchTree_Methods,
    "vtkBoostBreadthFirstSearchTree", modulename,
    NULL, NULL,
    PyvtkBoostBreadthFirstSearchTree_Doc(),
    PyVTKClass_vtkTreeAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostBreadthFirstSearchTree_Doc()
{
  static const char *docstring[] = {
    "vtkBoostBreadthFirstSearchTree - Contructs a BFS tree from a graph\n\n",
    "Superclass: vtkTreeAlgorithm\n\n",
    "This vtk class uses the Boost breadth_first_search generic algorithm\nto perform a breadth first search from a given a 'source' vertex on\nthe input graph (a vtkGraph). The result is a tree with root node\ncorresponding to the start node of the search.\n\nSee Also:\n\nvtkGraph vtkBoostGraphAdapter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostBreadthFirstSearchTree(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostBreadthFirstSearchTreeNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostBreadthFirstSearchTree", o) != 0)
    {
    Py_DECREF(o);
    }

}

