// python wrapper for vtkBoostConnectedComponents
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostConnectedComponents.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostConnectedComponents(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostConnectedComponents(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostConnectedComponentsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostConnectedComponentsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkGraphAlgorithmNew
#endif

static const char **PyvtkBoostConnectedComponents_Doc();


static PyObject *
PyvtkBoostConnectedComponents_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostConnectedComponents *op = static_cast<vtkBoostConnectedComponents *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostConnectedComponents::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostConnectedComponents_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostConnectedComponents *op = static_cast<vtkBoostConnectedComponents *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostConnectedComponents::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostConnectedComponents_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostConnectedComponents *op = static_cast<vtkBoostConnectedComponents *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostConnectedComponents *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostConnectedComponents::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostConnectedComponents_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostConnectedComponents *tempr = vtkBoostConnectedComponents::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostConnectedComponents_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostConnectedComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostConnectedComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostConnectedComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostConnectedComponents\nC++: vtkBoostConnectedComponents *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostConnectedComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostConnectedComponents\nC++: vtkBoostConnectedComponents *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostConnectedComponents_StaticNew()
{
  return vtkBoostConnectedComponents::New();
}

PyObject *PyVTKClass_vtkBoostConnectedComponentsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostConnectedComponents_StaticNew,
    PyvtkBoostConnectedComponents_Methods,
    "vtkBoostConnectedComponents", modulename,
    NULL, NULL,
    PyvtkBoostConnectedComponents_Doc(),
    PyVTKClass_vtkGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostConnectedComponents_Doc()
{
  static const char *docstring[] = {
    "vtkBoostConnectedComponents - Find the connected components of a graph\n\n",
    "Superclass: vtkGraphAlgorithm\n\n",
    "vtkBoostConnectedComponents discovers the connected regions of a\nvtkGraph. Each vertex is assigned a component ID in the vertex array\n\"component\". If the graph is undirected, this is the natural\nconnected components of the graph.  If the graph is directed, this\nfilter discovers the strongly connected components of the graph (i.e.\nthe maximal sets of vertices where there is a directed path between\n",
    "any pair of vertices within each set).\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostConnectedComponents(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostConnectedComponentsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostConnectedComponents", o) != 0)
    {
    Py_DECREF(o);
    }

}

