// python wrapper for vtkBoostExtractLargestComponent
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostExtractLargestComponent.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostExtractLargestComponent(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostExtractLargestComponent(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostExtractLargestComponentNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostExtractLargestComponentNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkGraphAlgorithmNew
#endif

static const char **PyvtkBoostExtractLargestComponent_Doc();


static PyObject *
PyvtkBoostExtractLargestComponent_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostExtractLargestComponent::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostExtractLargestComponent::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostExtractLargestComponent *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostExtractLargestComponent::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostExtractLargestComponent *tempr = vtkBoostExtractLargestComponent::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_SetInvertSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInvertSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInvertSelection(temp0);
      }
    else
      {
      op->vtkBoostExtractLargestComponent::SetInvertSelection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_GetInvertSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInvertSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetInvertSelection() :
      op->vtkBoostExtractLargestComponent::GetInvertSelection());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostExtractLargestComponent_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostExtractLargestComponent_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostExtractLargestComponent_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostExtractLargestComponent_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostExtractLargestComponent\nC++: vtkBoostExtractLargestComponent *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostExtractLargestComponent_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostExtractLargestComponent\nC++: vtkBoostExtractLargestComponent *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetInvertSelection", PyvtkBoostExtractLargestComponent_SetInvertSelection, 1,
   (char*)"V.SetInvertSelection(bool)\nC++: void SetInvertSelection(bool a)\n\nSet the flag to determine if the selection should be inverted.\n"},
  {(char*)"GetInvertSelection", PyvtkBoostExtractLargestComponent_GetInvertSelection, 1,
   (char*)"V.GetInvertSelection() -> bool\nC++: bool GetInvertSelection()\n\nSet the flag to determine if the selection should be inverted.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostExtractLargestComponent_StaticNew()
{
  return vtkBoostExtractLargestComponent::New();
}

PyObject *PyVTKClass_vtkBoostExtractLargestComponentNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostExtractLargestComponent_StaticNew,
    PyvtkBoostExtractLargestComponent_Methods,
    "vtkBoostExtractLargestComponent", modulename,
    NULL, NULL,
    PyvtkBoostExtractLargestComponent_Doc(),
    PyVTKClass_vtkGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostExtractLargestComponent_Doc()
{
  static const char *docstring[] = {
    "vtkBoostExtractLargestComponent - Extract the largest connected\n\n",
    "Superclass: vtkGraphAlgorithm\n\n",
    "vtkBoostExtractLargestComponent finds the largest connected region of\na vtkGraph. For directed graphs, this returns the largest biconnected\ncomponent. See vtkBoostConnectedComponents for details.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostExtractLargestComponent(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostExtractLargestComponentNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostExtractLargestComponent", o) != 0)
    {
    Py_DECREF(o);
    }

}

