// python wrapper for vtkBoostKruskalMinimumSpanningTree
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostKruskalMinimumSpanningTree.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostKruskalMinimumSpanningTree(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostKruskalMinimumSpanningTree(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostKruskalMinimumSpanningTreeNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostKruskalMinimumSpanningTreeNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
#endif

static const char **PyvtkBoostKruskalMinimumSpanningTree_Doc();


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostKruskalMinimumSpanningTree::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostKruskalMinimumSpanningTree::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostKruskalMinimumSpanningTree *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostKruskalMinimumSpanningTree::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostKruskalMinimumSpanningTree *tempr = vtkBoostKruskalMinimumSpanningTree::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeWeightArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEdgeWeightArrayName(temp0);
      }
    else
      {
      op->vtkBoostKruskalMinimumSpanningTree::SetEdgeWeightArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SetOutputSelectionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputSelectionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputSelectionType(temp0);
      }
    else
      {
      op->vtkBoostKruskalMinimumSpanningTree::SetOutputSelectionType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNegateEdgeWeights");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNegateEdgeWeights(temp0);
      }
    else
      {
      op->vtkBoostKruskalMinimumSpanningTree::SetNegateEdgeWeights(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_GetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNegateEdgeWeights");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetNegateEdgeWeights() :
      op->vtkBoostKruskalMinimumSpanningTree::GetNegateEdgeWeights());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NegateEdgeWeightsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->NegateEdgeWeightsOn();
      }
    else
      {
      op->vtkBoostKruskalMinimumSpanningTree::NegateEdgeWeightsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NegateEdgeWeightsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->NegateEdgeWeightsOff();
      }
    else
      {
      op->vtkBoostKruskalMinimumSpanningTree::NegateEdgeWeightsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostKruskalMinimumSpanningTree_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostKruskalMinimumSpanningTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostKruskalMinimumSpanningTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostKruskalMinimumSpanningTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostKruskalMinimumSpanningTree\nC++: vtkBoostKruskalMinimumSpanningTree *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostKruskalMinimumSpanningTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostKruskalMinimumSpanningTree\nC++: vtkBoostKruskalMinimumSpanningTree *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"SetEdgeWeightArrayName", PyvtkBoostKruskalMinimumSpanningTree_SetEdgeWeightArrayName, 1,
   (char*)"V.SetEdgeWeightArrayName(string)\nC++: void SetEdgeWeightArrayName(char *)\n\nSet the name of the edge-weight input array, which must name an\narray that is part of the edge data of the input graph and\ncontains numeric data. If the edge-weight array is not of type\nvtkDoubleArray, the array will be copied into a temporary\nvtkDoubleArray.\n"},
  {(char*)"SetOutputSelectionType", PyvtkBoostKruskalMinimumSpanningTree_SetOutputSelectionType, 1,
   (char*)"V.SetOutputSelectionType(string)\nC++: void SetOutputSelectionType(char *)\n\nSet the output selection type. The default is to use the the set\nof minimum spanning tree edges \"MINIMUM_SPANNING_TREE_EDGES\". No\nother options are defined.\n"},
  {(char*)"SetNegateEdgeWeights", PyvtkBoostKruskalMinimumSpanningTree_SetNegateEdgeWeights, 1,
   (char*)"V.SetNegateEdgeWeights(bool)\nC++: void SetNegateEdgeWeights(bool value)\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {(char*)"GetNegateEdgeWeights", PyvtkBoostKruskalMinimumSpanningTree_GetNegateEdgeWeights, 1,
   (char*)"V.GetNegateEdgeWeights() -> bool\nC++: bool GetNegateEdgeWeights()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {(char*)"NegateEdgeWeightsOn", PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOn, 1,
   (char*)"V.NegateEdgeWeightsOn()\nC++: void NegateEdgeWeightsOn()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {(char*)"NegateEdgeWeightsOff", PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOff, 1,
   (char*)"V.NegateEdgeWeightsOff()\nC++: void NegateEdgeWeightsOff()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostKruskalMinimumSpanningTree_StaticNew()
{
  return vtkBoostKruskalMinimumSpanningTree::New();
}

PyObject *PyVTKClass_vtkBoostKruskalMinimumSpanningTreeNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostKruskalMinimumSpanningTree_StaticNew,
    PyvtkBoostKruskalMinimumSpanningTree_Methods,
    "vtkBoostKruskalMinimumSpanningTree", modulename,
    NULL, NULL,
    PyvtkBoostKruskalMinimumSpanningTree_Doc(),
    PyVTKClass_vtkSelectionAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostKruskalMinimumSpanningTree_Doc()
{
  static const char *docstring[] = {
    "vtkBoostKruskalMinimumSpanningTree - Contructs a minimum spanning\n\n",
    "Superclass: vtkSelectionAlgorithm\n\n",
    "This vtk class uses the Boost Kruskal Minimum Spanning Tree generic\nalgorithm to perform a minimum spanning tree creation given a\nweighting value for each of the edges in the input graph.\n\nSee Also:\n\nvtkGraph vtkBoostGraphAdapter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostKruskalMinimumSpanningTree(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostKruskalMinimumSpanningTreeNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostKruskalMinimumSpanningTree", o) != 0)
    {
    Py_DECREF(o);
    }

}

