// python wrapper for vtkBoostLogWeighting
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostLogWeighting.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostLogWeighting(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostLogWeighting(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostLogWeightingNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostLogWeightingNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkBoostLogWeighting_Doc();


static PyObject *
PyvtkBoostLogWeighting_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostLogWeighting::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostLogWeighting::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostLogWeighting *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostLogWeighting::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostLogWeighting *tempr = vtkBoostLogWeighting::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_SetBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBase(temp0);
      }
    else
      {
      op->vtkBoostLogWeighting::SetBase(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_GetBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetBase() :
      op->vtkBoostLogWeighting::GetBase());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_SetEmitProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEmitProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEmitProgress(temp0);
      }
    else
      {
      op->vtkBoostLogWeighting::SetEmitProgress(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_GetEmitProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEmitProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetEmitProgress() :
      op->vtkBoostLogWeighting::GetEmitProgress());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_EmitProgressOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EmitProgressOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->EmitProgressOn();
      }
    else
      {
      op->vtkBoostLogWeighting::EmitProgressOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostLogWeighting_EmitProgressOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EmitProgressOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostLogWeighting *op = static_cast<vtkBoostLogWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->EmitProgressOff();
      }
    else
      {
      op->vtkBoostLogWeighting::EmitProgressOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostLogWeighting_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostLogWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostLogWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostLogWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostLogWeighting\nC++: vtkBoostLogWeighting *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostLogWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostLogWeighting\nC++: vtkBoostLogWeighting *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetBase", PyvtkBoostLogWeighting_SetBase, 1,
   (char*)"V.SetBase(int)\nC++: void SetBase(int a)\n\nSpecify the logarithm base to apply\n"},
  {(char*)"GetBase", PyvtkBoostLogWeighting_GetBase, 1,
   (char*)"V.GetBase() -> int\nC++: int GetBase()\n\nSpecify the logarithm base to apply\n"},
  {(char*)"SetEmitProgress", PyvtkBoostLogWeighting_SetEmitProgress, 1,
   (char*)"V.SetEmitProgress(bool)\nC++: void SetEmitProgress(bool a)\n\nSpecify whether this filter should emit progress events\n"},
  {(char*)"GetEmitProgress", PyvtkBoostLogWeighting_GetEmitProgress, 1,
   (char*)"V.GetEmitProgress() -> bool\nC++: bool GetEmitProgress()\n\nSpecify whether this filter should emit progress events\n"},
  {(char*)"EmitProgressOn", PyvtkBoostLogWeighting_EmitProgressOn, 1,
   (char*)"V.EmitProgressOn()\nC++: void EmitProgressOn()\n\nSpecify whether this filter should emit progress events\n"},
  {(char*)"EmitProgressOff", PyvtkBoostLogWeighting_EmitProgressOff, 1,
   (char*)"V.EmitProgressOff()\nC++: void EmitProgressOff()\n\nSpecify whether this filter should emit progress events\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostLogWeighting_StaticNew()
{
  return vtkBoostLogWeighting::New();
}

PyObject *PyVTKClass_vtkBoostLogWeightingNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostLogWeighting_StaticNew,
    PyvtkBoostLogWeighting_Methods,
    "vtkBoostLogWeighting", modulename,
    NULL, NULL,
    PyvtkBoostLogWeighting_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"BASE_E", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"BASE_2", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkBoostLogWeighting_Doc()
{
  static const char *docstring[] = {
    "vtkBoostLogWeighting - Given an arbitrary-dimension array of doubles,\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostLogWeighting(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostLogWeightingNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostLogWeighting", o) != 0)
    {
    Py_DECREF(o);
    }

}

