// python wrapper for vtkBoostPrimMinimumSpanningTree
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkVariant.h"
#include "vtkBoostPrimMinimumSpanningTree.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostPrimMinimumSpanningTree(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostPrimMinimumSpanningTree(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostPrimMinimumSpanningTreeNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostPrimMinimumSpanningTreeNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTreeAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTreeAlgorithmNew
#endif

static const char **PyvtkBoostPrimMinimumSpanningTree_Doc();


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostPrimMinimumSpanningTree::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostPrimMinimumSpanningTree::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostPrimMinimumSpanningTree *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostPrimMinimumSpanningTree::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostPrimMinimumSpanningTree *tempr = vtkBoostPrimMinimumSpanningTree::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeWeightArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEdgeWeightArrayName(temp0);
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::SetEdgeWeightArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginVertex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOriginVertex(temp0);
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::SetOriginVertex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginVertex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  vtkStdString temp0;
  vtkVariant *temp1 = NULL;
  PyObject *pobj1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetSpecialObject(temp1, pobj1, "vtkVariant"))
    {
    if (ap.IsBound())
      {
      op->SetOriginVertex(temp0, *temp1);
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::SetOriginVertex(temp0, *temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj1);

  return result;
}

static PyObject *
PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex_s1(self, args);
    case 2:
      return PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetOriginVertex");
  return NULL;
}



static PyObject *
PyvtkBoostPrimMinimumSpanningTree_SetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCreateGraphVertexIdArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCreateGraphVertexIdArray(temp0);
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::SetCreateGraphVertexIdArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_GetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCreateGraphVertexIdArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetCreateGraphVertexIdArray() :
      op->vtkBoostPrimMinimumSpanningTree::GetCreateGraphVertexIdArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateGraphVertexIdArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateGraphVertexIdArrayOn();
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::CreateGraphVertexIdArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateGraphVertexIdArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateGraphVertexIdArrayOff();
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::CreateGraphVertexIdArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_SetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNegateEdgeWeights");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNegateEdgeWeights(temp0);
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::SetNegateEdgeWeights(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_GetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNegateEdgeWeights");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetNegateEdgeWeights() :
      op->vtkBoostPrimMinimumSpanningTree::GetNegateEdgeWeights());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NegateEdgeWeightsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->NegateEdgeWeightsOn();
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::NegateEdgeWeightsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NegateEdgeWeightsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostPrimMinimumSpanningTree *op = static_cast<vtkBoostPrimMinimumSpanningTree *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->NegateEdgeWeightsOff();
      }
    else
      {
      op->vtkBoostPrimMinimumSpanningTree::NegateEdgeWeightsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostPrimMinimumSpanningTree_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostPrimMinimumSpanningTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostPrimMinimumSpanningTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostPrimMinimumSpanningTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostPrimMinimumSpanningTree\nC++: vtkBoostPrimMinimumSpanningTree *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostPrimMinimumSpanningTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostPrimMinimumSpanningTree\nC++: vtkBoostPrimMinimumSpanningTree *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetEdgeWeightArrayName", PyvtkBoostPrimMinimumSpanningTree_SetEdgeWeightArrayName, 1,
   (char*)"V.SetEdgeWeightArrayName(string)\nC++: void SetEdgeWeightArrayName(char *)\n\nSet the name of the edge-weight input array, which must name an\narray that is part of the edge data of the input graph and\ncontains numeric data. If the edge-weight array is not of type\nvtkDoubleArray, the array will be copied into a temporary\nvtkDoubleArray.\n"},
  {(char*)"SetOriginVertex", PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex, 1,
   (char*)"V.SetOriginVertex(int)\nC++: void SetOriginVertex(vtkIdType index)\nV.SetOriginVertex(string, vtkVariant)\nC++: void SetOriginVertex(vtkStdString arrayName,\n    vtkVariant value)\n\nSet the index (into the vertex array) of the minimum spanning\ntree 'origin' vertex.\n"},
  {(char*)"SetCreateGraphVertexIdArray", PyvtkBoostPrimMinimumSpanningTree_SetCreateGraphVertexIdArray, 1,
   (char*)"V.SetCreateGraphVertexIdArray(bool)\nC++: void SetCreateGraphVertexIdArray(bool a)\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"GetCreateGraphVertexIdArray", PyvtkBoostPrimMinimumSpanningTree_GetCreateGraphVertexIdArray, 1,
   (char*)"V.GetCreateGraphVertexIdArray() -> bool\nC++: bool GetCreateGraphVertexIdArray()\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOn", PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOn, 1,
   (char*)"V.CreateGraphVertexIdArrayOn()\nC++: void CreateGraphVertexIdArrayOn()\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOff", PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOff, 1,
   (char*)"V.CreateGraphVertexIdArrayOff()\nC++: void CreateGraphVertexIdArrayOff()\n\nStores the graph vertex ids for the tree vertices in an array\nnamed \"GraphVertexId\".  Default is off.\n"},
  {(char*)"SetNegateEdgeWeights", PyvtkBoostPrimMinimumSpanningTree_SetNegateEdgeWeights, 1,
   (char*)"V.SetNegateEdgeWeights(bool)\nC++: void SetNegateEdgeWeights(bool value)\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {(char*)"GetNegateEdgeWeights", PyvtkBoostPrimMinimumSpanningTree_GetNegateEdgeWeights, 1,
   (char*)"V.GetNegateEdgeWeights() -> bool\nC++: bool GetNegateEdgeWeights()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {(char*)"NegateEdgeWeightsOn", PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOn, 1,
   (char*)"V.NegateEdgeWeightsOn()\nC++: void NegateEdgeWeightsOn()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {(char*)"NegateEdgeWeightsOff", PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOff, 1,
   (char*)"V.NegateEdgeWeightsOff()\nC++: void NegateEdgeWeightsOff()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostPrimMinimumSpanningTree_StaticNew()
{
  return vtkBoostPrimMinimumSpanningTree::New();
}

PyObject *PyVTKClass_vtkBoostPrimMinimumSpanningTreeNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostPrimMinimumSpanningTree_StaticNew,
    PyvtkBoostPrimMinimumSpanningTree_Methods,
    "vtkBoostPrimMinimumSpanningTree", modulename,
    NULL, NULL,
    PyvtkBoostPrimMinimumSpanningTree_Doc(),
    PyVTKClass_vtkTreeAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostPrimMinimumSpanningTree_Doc()
{
  static const char *docstring[] = {
    "vtkBoostPrimMinimumSpanningTree - Contructs a minimum spanning\n\n",
    "Superclass: vtkTreeAlgorithm\n\n",
    "This vtk class uses the Boost Prim Minimum Spanning Tree generic\nalgorithm to perform a minimum spanning tree creation given a\nweighting value for each of the edges in the input graph and a a\nstarting node for the tree. A couple of caveats to be noted with the\nPrim implementation versus the Kruskal implementation:\n1. The negate edge weights function cannot be utilized to obtain a\n   'maximal' span",
    "ning tree (an exception is thrown when negated edge\n   weights exist), and\n2. the Boost implementation of the Prim algorithm returns a vertex\n   predecessor map which results in some ambiguity about which edge\n   from the original graph should be utilized if parallel edges\n   between nodes exist; therefore, the current VTK implementation\n   does not copy the edge data from the graph to the new tre",
    "e.\n\nSee Also:\n\nvtkGraph vtkBoostGraphAdapter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostPrimMinimumSpanningTree(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostPrimMinimumSpanningTreeNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostPrimMinimumSpanningTree", o) != 0)
    {
    Py_DECREF(o);
    }

}

