// tcl wrapper for vtkBoostPrimMinimumSpanningTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostPrimMinimumSpanningTree.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBoostPrimMinimumSpanningTreeNewCommand()
{
  vtkBoostPrimMinimumSpanningTree *temp = vtkBoostPrimMinimumSpanningTree::New();
  return static_cast<ClientData>(temp);
}

int vtkTreeAlgorithmCppCommand(vtkTreeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBoostPrimMinimumSpanningTreeCppCommand(vtkBoostPrimMinimumSpanningTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBoostPrimMinimumSpanningTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBoostPrimMinimumSpanningTreeCppCommand(static_cast<vtkBoostPrimMinimumSpanningTree *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBoostPrimMinimumSpanningTreeCppCommand(vtkBoostPrimMinimumSpanningTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBoostPrimMinimumSpanningTree",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTreeAlgorithmCppCommand(static_cast<vtkTreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTreeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBoostPrimMinimumSpanningTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoostPrimMinimumSpanningTree");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBoostPrimMinimumSpanningTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoostPrimMinimumSpanningTree");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBoostPrimMinimumSpanningTree  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoostPrimMinimumSpanningTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeWeightArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeWeightArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginVertex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOriginVertex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCreateGraphVertexIdArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCreateGraphVertexIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCreateGraphVertexIdArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCreateGraphVertexIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateGraphVertexIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->CreateGraphVertexIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateGraphVertexIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->CreateGraphVertexIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNegateEdgeWeights",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetNegateEdgeWeights(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNegateEdgeWeights",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetNegateEdgeWeights();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NegateEdgeWeightsOn",argv[1]))&&(argc == 2))
    {
    op->NegateEdgeWeightsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NegateEdgeWeightsOff",argv[1]))&&(argc == 2))
    {
    op->NegateEdgeWeightsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBoostPrimMinimumSpanningTreeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBoostPrimMinimumSpanningTree:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeWeightArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCreateGraphVertexIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCreateGraphVertexIdArray\n",NULL);
    Tcl_AppendResult(interp,"  CreateGraphVertexIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  CreateGraphVertexIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNegateEdgeWeights\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNegateEdgeWeights\n",NULL);
    Tcl_AppendResult(interp,"  NegateEdgeWeightsOn\n",NULL);
    Tcl_AppendResult(interp,"  NegateEdgeWeightsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeWeightArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetOriginVertex" );
    Tcl_DStringAppendElement ( &dString, "SetCreateGraphVertexIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetCreateGraphVertexIdArray" );
    Tcl_DStringAppendElement ( &dString, "CreateGraphVertexIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "CreateGraphVertexIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetNegateEdgeWeights" );
    Tcl_DStringAppendElement ( &dString, "GetNegateEdgeWeights" );
    Tcl_DStringAppendElement ( &dString, "NegateEdgeWeightsOn" );
    Tcl_DStringAppendElement ( &dString, "NegateEdgeWeightsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkBoostPrimMinimumSpanningTree *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeWeightArrayName */
    if ( strcmp ( argv[2], "SetEdgeWeightArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeWeightArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeWeightArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the edge-weight input array, which must name an\n array that is part of the edge data of the input graph and\n contains numeric data. If the edge-weight array is not of type\n vtkDoubleArray, the array will be copied into a temporary\n vtkDoubleArray.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeWeightArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for SetEdgeWeightArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginVertex */
    if ( strcmp ( argv[2], "SetOriginVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginVertex */
    Tcl_DStringAppendElement ( &dString, " Set the index (into the vertex array) of the \n minimum spanning tree 'origin' vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginVertex(vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for SetOriginVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCreateGraphVertexIdArray */
    if ( strcmp ( argv[2], "SetCreateGraphVertexIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCreateGraphVertexIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCreateGraphVertexIdArray */
    Tcl_DStringAppendElement ( &dString, " Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCreateGraphVertexIdArray(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for SetCreateGraphVertexIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCreateGraphVertexIdArray */
    if ( strcmp ( argv[2], "GetCreateGraphVertexIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCreateGraphVertexIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCreateGraphVertexIdArray */
    Tcl_DStringAppendElement ( &dString, " Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCreateGraphVertexIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for GetCreateGraphVertexIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateGraphVertexIdArrayOn */
    if ( strcmp ( argv[2], "CreateGraphVertexIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateGraphVertexIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateGraphVertexIdArrayOn */
    Tcl_DStringAppendElement ( &dString, " Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateGraphVertexIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for CreateGraphVertexIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateGraphVertexIdArrayOff */
    if ( strcmp ( argv[2], "CreateGraphVertexIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateGraphVertexIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateGraphVertexIdArrayOff */
    Tcl_DStringAppendElement ( &dString, " Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateGraphVertexIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for CreateGraphVertexIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNegateEdgeWeights */
    if ( strcmp ( argv[2], "SetNegateEdgeWeights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNegateEdgeWeights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNegateEdgeWeights */
    Tcl_DStringAppendElement ( &dString, " Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNegateEdgeWeights(bool value);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for SetNegateEdgeWeights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNegateEdgeWeights */
    if ( strcmp ( argv[2], "GetNegateEdgeWeights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNegateEdgeWeights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNegateEdgeWeights */
    Tcl_DStringAppendElement ( &dString, " Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetNegateEdgeWeights();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for GetNegateEdgeWeights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NegateEdgeWeightsOn */
    if ( strcmp ( argv[2], "NegateEdgeWeightsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NegateEdgeWeightsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NegateEdgeWeightsOn */
    Tcl_DStringAppendElement ( &dString, " Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n" );
    Tcl_DStringAppendElement ( &dString, "void NegateEdgeWeightsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for NegateEdgeWeightsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NegateEdgeWeightsOff */
    if ( strcmp ( argv[2], "NegateEdgeWeightsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NegateEdgeWeightsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NegateEdgeWeightsOff */
    Tcl_DStringAppendElement ( &dString, " Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n" );
    Tcl_DStringAppendElement ( &dString, "void NegateEdgeWeightsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoostPrimMinimumSpanningTree" );
    /* Closing for NegateEdgeWeightsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTreeAlgorithmCppCommand(static_cast<vtkTreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
