// python wrapper for vtkBoostRandomSparseArraySource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkArrayExtents.h"
#include "vtkBoostRandomSparseArraySource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostRandomSparseArraySource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostRandomSparseArraySource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostRandomSparseArraySourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostRandomSparseArraySourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkBoostRandomSparseArraySource_Doc();


static PyObject *
PyvtkBoostRandomSparseArraySource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostRandomSparseArraySource::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostRandomSparseArraySource::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostRandomSparseArraySource *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostRandomSparseArraySource::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostRandomSparseArraySource *tempr = vtkBoostRandomSparseArraySource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  vtkArrayExtents *temp0 = NULL;
  PyObject *pobj0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkArrayExtents"))
    {
    if (ap.IsBound())
      {
      op->SetExtents(*temp0);
      }
    else
      {
      op->vtkBoostRandomSparseArraySource::SetExtents(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj0);

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkArrayExtents tempr = (ap.IsBound() ?
      op->GetExtents() :
      op->vtkBoostRandomSparseArraySource::GetExtents());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkArrayExtents");
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetElementProbabilitySeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementProbabilitySeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned int tempr = (ap.IsBound() ?
      op->GetElementProbabilitySeed() :
      op->vtkBoostRandomSparseArraySource::GetElementProbabilitySeed());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetElementProbabilitySeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementProbabilitySeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetElementProbabilitySeed(temp0);
      }
    else
      {
      op->vtkBoostRandomSparseArraySource::SetElementProbabilitySeed(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetElementProbability(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementProbability");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetElementProbability() :
      op->vtkBoostRandomSparseArraySource::GetElementProbability());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetElementProbability(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementProbability");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetElementProbability(temp0);
      }
    else
      {
      op->vtkBoostRandomSparseArraySource::SetElementProbability(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetElementValueSeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementValueSeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned int tempr = (ap.IsBound() ?
      op->GetElementValueSeed() :
      op->vtkBoostRandomSparseArraySource::GetElementValueSeed());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetElementValueSeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementValueSeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetElementValueSeed(temp0);
      }
    else
      {
      op->vtkBoostRandomSparseArraySource::SetElementValueSeed(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetMinValue() :
      op->vtkBoostRandomSparseArraySource::GetMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMinValue(temp0);
      }
    else
      {
      op->vtkBoostRandomSparseArraySource::SetMinValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetMaxValue() :
      op->vtkBoostRandomSparseArraySource::GetMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaxValue(temp0);
      }
    else
      {
      op->vtkBoostRandomSparseArraySource::SetMaxValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostRandomSparseArraySource_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostRandomSparseArraySource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostRandomSparseArraySource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostRandomSparseArraySource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostRandomSparseArraySource\nC++: vtkBoostRandomSparseArraySource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostRandomSparseArraySource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostRandomSparseArraySource\nC++: vtkBoostRandomSparseArraySource *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetExtents", PyvtkBoostRandomSparseArraySource_SetExtents, 1,
   (char*)"V.SetExtents(vtkArrayExtents)\nC++: void SetExtents(const vtkArrayExtents &)\n\nSets the extents (dimensionality and size) of the output array\n"},
  {(char*)"GetExtents", PyvtkBoostRandomSparseArraySource_GetExtents, 1,
   (char*)"V.GetExtents() -> vtkArrayExtents\nC++: vtkArrayExtents GetExtents()\n\nReturns the extents (dimensionality and size) of the output array\n"},
  {(char*)"GetElementProbabilitySeed", PyvtkBoostRandomSparseArraySource_GetElementProbabilitySeed, 1,
   (char*)"V.GetElementProbabilitySeed() -> int\nC++: vtkTypeUInt32 GetElementProbabilitySeed()\n\nStores a random-number-seed for determining which elements within\nthe output matrix will have non-zero values\n"},
  {(char*)"SetElementProbabilitySeed", PyvtkBoostRandomSparseArraySource_SetElementProbabilitySeed, 1,
   (char*)"V.SetElementProbabilitySeed(int)\nC++: void SetElementProbabilitySeed(vtkTypeUInt32 a)\n\nStores a random-number-seed for determining which elements within\nthe output matrix will have non-zero values\n"},
  {(char*)"GetElementProbability", PyvtkBoostRandomSparseArraySource_GetElementProbability, 1,
   (char*)"V.GetElementProbability() -> float\nC++: double GetElementProbability()\n\nStores the probability (in the range [0, 1]) that an element\nwithin the output matrix will have a non-zero value\n"},
  {(char*)"SetElementProbability", PyvtkBoostRandomSparseArraySource_SetElementProbability, 1,
   (char*)"V.SetElementProbability(float)\nC++: void SetElementProbability(double a)\n\nStores the probability (in the range [0, 1]) that an element\nwithin the output matrix will have a non-zero value\n"},
  {(char*)"GetElementValueSeed", PyvtkBoostRandomSparseArraySource_GetElementValueSeed, 1,
   (char*)"V.GetElementValueSeed() -> int\nC++: vtkTypeUInt32 GetElementValueSeed()\n\nStores a random-number-seed for computing random element values\n"},
  {(char*)"SetElementValueSeed", PyvtkBoostRandomSparseArraySource_SetElementValueSeed, 1,
   (char*)"V.SetElementValueSeed(int)\nC++: void SetElementValueSeed(vtkTypeUInt32 a)\n\nStores a random-number-seed for computing random element values\n"},
  {(char*)"GetMinValue", PyvtkBoostRandomSparseArraySource_GetMinValue, 1,
   (char*)"V.GetMinValue() -> float\nC++: double GetMinValue()\n\nStores the minimum value of any element\n"},
  {(char*)"SetMinValue", PyvtkBoostRandomSparseArraySource_SetMinValue, 1,
   (char*)"V.SetMinValue(float)\nC++: void SetMinValue(double a)\n\nStores the minimum value of any element\n"},
  {(char*)"GetMaxValue", PyvtkBoostRandomSparseArraySource_GetMaxValue, 1,
   (char*)"V.GetMaxValue() -> float\nC++: double GetMaxValue()\n\nStores the maximum value of any element\n"},
  {(char*)"SetMaxValue", PyvtkBoostRandomSparseArraySource_SetMaxValue, 1,
   (char*)"V.SetMaxValue(float)\nC++: void SetMaxValue(double a)\n\nStores the maximum value of any element\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostRandomSparseArraySource_StaticNew()
{
  return vtkBoostRandomSparseArraySource::New();
}

PyObject *PyVTKClass_vtkBoostRandomSparseArraySourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostRandomSparseArraySource_StaticNew,
    PyvtkBoostRandomSparseArraySource_Methods,
    "vtkBoostRandomSparseArraySource", modulename,
    NULL, NULL,
    PyvtkBoostRandomSparseArraySource_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostRandomSparseArraySource_Doc()
{
  static const char *docstring[] = {
    "vtkBoostRandomSparseArraySource - generates a sparse N-way array\ncontaining random values.\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostRandomSparseArraySource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostRandomSparseArraySourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostRandomSparseArraySource", o) != 0)
    {
    Py_DECREF(o);
    }

}

