// python wrapper for vtkBoostSplitTableField
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBoostSplitTableField.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBoostSplitTableField(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBoostSplitTableField(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostSplitTableFieldNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostSplitTableFieldNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkBoostSplitTableField_Doc();


static PyObject *
PyvtkBoostSplitTableField_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostSplitTableField *op = static_cast<vtkBoostSplitTableField *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBoostSplitTableField::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostSplitTableField_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostSplitTableField *op = static_cast<vtkBoostSplitTableField *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostSplitTableField::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostSplitTableField_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostSplitTableField *op = static_cast<vtkBoostSplitTableField *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBoostSplitTableField *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostSplitTableField::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBoostSplitTableField_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBoostSplitTableField *tempr = vtkBoostSplitTableField::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBoostSplitTableField_ClearFields(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearFields");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostSplitTableField *op = static_cast<vtkBoostSplitTableField *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearFields();
      }
    else
      {
      op->vtkBoostSplitTableField::ClearFields();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBoostSplitTableField_AddField(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddField");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostSplitTableField *op = static_cast<vtkBoostSplitTableField *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddField(temp0, temp1);
      }
    else
      {
      op->vtkBoostSplitTableField::AddField(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkBoostSplitTableField_Methods[] = {
  {(char*)"GetClassName", PyvtkBoostSplitTableField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBoostSplitTableField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBoostSplitTableField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostSplitTableField\nC++: vtkBoostSplitTableField *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBoostSplitTableField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostSplitTableField\nC++: vtkBoostSplitTableField *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"ClearFields", PyvtkBoostSplitTableField_ClearFields, 1,
   (char*)"V.ClearFields()\nC++: void ClearFields()\n\n"},
  {(char*)"AddField", PyvtkBoostSplitTableField_AddField, 1,
   (char*)"V.AddField(string, string)\nC++: void AddField(const char *field, const char *delimiters)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBoostSplitTableField_StaticNew()
{
  return vtkBoostSplitTableField::New();
}

PyObject *PyVTKClass_vtkBoostSplitTableFieldNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBoostSplitTableField_StaticNew,
    PyvtkBoostSplitTableField_Methods,
    "vtkBoostSplitTableField", modulename,
    NULL, NULL,
    PyvtkBoostSplitTableField_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBoostSplitTableField_Doc()
{
  static const char *docstring[] = {
    "vtkBoostSplitTableField - \"Splits\" one-or-more table fields by\nduplicating rows containing delimited data.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Assume the following table:\n\nAuthor                Year     Title Brian; Jeff; Tim      2007    \nFoo Tim                   2003     Bar\n\nIf we produce a graph relating authors to the year in which they\npublish, the string \"Brian; Jeff; Tim\" will be treated (incorrectly)\nas a single author associated with the year 2007. \nvtkBoostSplitTableField addresses this by splitting one-or-more\nfields into \"s",
    "ubvalues\" using a configurable delimiter and placing\neach subvalue on its own row (the other fields in the original row\nare copied).  Using the above example, splitting the \"Author\" field\nwith a \";\" (semicolon) delimiter produces:\n\nAuthor                Year     Title Brian                 2007    \nFoo Jeff                  2007     Foo Tim                   2007    \nFoo Tim                   2003",
    "     Bar\n\nWhen this table is converted to a graph, each author (correctly)\nbecomes a separate node.\n\nUsage:\n\nUse AddField() to specify the field(s) to be split.  If no fields\nhave been specified, vtkBoostSplitTableField will act as a\npassthrough.  By default, no fields are specified.\n\nThe second argument to AddField() is a string containing zero-to-many\nsingle character delimiters (multi-character",
    " delimiters are not\nsupported).\n\nIf the input table is missing a field specified by AddField(), it is\nan error. If no fields are specified, no splitting is performed. If\nthe delimiter for a field is an empty string, no splitting is\nperformed on that field.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBoostSplitTableField(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBoostSplitTableFieldNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBoostSplitTableField", o) != 0)
    {
    Py_DECREF(o);
    }

}

