// python wrapper for vtkCirclePackFrontChainLayoutStrategy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCirclePackFrontChainLayoutStrategy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCirclePackFrontChainLayoutStrategy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCirclePackFrontChainLayoutStrategy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCirclePackFrontChainLayoutStrategyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCirclePackFrontChainLayoutStrategyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCirclePackLayoutStrategyNew
extern "C" { PyObject *PyVTKClass_vtkCirclePackLayoutStrategyNew(const char *); }
#define DECLARED_PyVTKClass_vtkCirclePackLayoutStrategyNew
#endif

static const char **PyvtkCirclePackFrontChainLayoutStrategy_Doc();


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkCirclePackFrontChainLayoutStrategy::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkCirclePackFrontChainLayoutStrategy::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkCirclePackFrontChainLayoutStrategy *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkCirclePackFrontChainLayoutStrategy::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkCirclePackFrontChainLayoutStrategy *tempr = vtkCirclePackFrontChainLayoutStrategy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Layout");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  vtkTree *temp0 = NULL;
  vtkDataArray *temp1 = NULL;
  vtkDataArray *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkTree") &&
      ap.GetVTKObject(temp1, "vtkDataArray") &&
      ap.GetVTKObject(temp2, "vtkDataArray"))
    {
    if (ap.IsBound())
      {
      op->Layout(temp0, temp1, temp2);
      }
    else
      {
      op->vtkCirclePackFrontChainLayoutStrategy::Layout(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_GetWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetWidth() :
      op->vtkCirclePackFrontChainLayoutStrategy::GetWidth());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_SetWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetWidth(temp0);
      }
    else
      {
      op->vtkCirclePackFrontChainLayoutStrategy::SetWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_GetHeight(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHeight");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetHeight() :
      op->vtkCirclePackFrontChainLayoutStrategy::GetHeight());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackFrontChainLayoutStrategy_SetHeight(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHeight");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackFrontChainLayoutStrategy *op = static_cast<vtkCirclePackFrontChainLayoutStrategy *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHeight(temp0);
      }
    else
      {
      op->vtkCirclePackFrontChainLayoutStrategy::SetHeight(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkCirclePackFrontChainLayoutStrategy_Methods[] = {
  {(char*)"GetClassName", PyvtkCirclePackFrontChainLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCirclePackFrontChainLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCirclePackFrontChainLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCirclePackFrontChainLayoutStrategy\nC++: vtkCirclePackFrontChainLayoutStrategy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCirclePackFrontChainLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCirclePackFrontChainLayoutStrategy\nC++: vtkCirclePackFrontChainLayoutStrategy *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"Layout", PyvtkCirclePackFrontChainLayoutStrategy_Layout, 1,
   (char*)"V.Layout(vtkTree, vtkDataArray, vtkDataArray)\nC++: virtual void Layout(vtkTree *inputTree,\n    vtkDataArray *areaArray, vtkDataArray *sizeArray)\n\nPerform the layout of the input tree, and store the circle bounds\nof each vertex as a tuple in a data array. (Xcenter, Ycenter,\nRadius).\n"},
  {(char*)"GetWidth", PyvtkCirclePackFrontChainLayoutStrategy_GetWidth, 1,
   (char*)"V.GetWidth() -> int\nC++: int GetWidth()\n\nWidth and Height define the size of the output window that the\ncircle packing is placed inside.  Defaults to Width 1, Height 1\n"},
  {(char*)"SetWidth", PyvtkCirclePackFrontChainLayoutStrategy_SetWidth, 1,
   (char*)"V.SetWidth(int)\nC++: void SetWidth(int a)\n\nWidth and Height define the size of the output window that the\ncircle packing is placed inside.  Defaults to Width 1, Height 1\n"},
  {(char*)"GetHeight", PyvtkCirclePackFrontChainLayoutStrategy_GetHeight, 1,
   (char*)"V.GetHeight() -> int\nC++: int GetHeight()\n\nWidth and Height define the size of the output window that the\ncircle packing is placed inside.  Defaults to Width 1, Height 1\n"},
  {(char*)"SetHeight", PyvtkCirclePackFrontChainLayoutStrategy_SetHeight, 1,
   (char*)"V.SetHeight(int)\nC++: void SetHeight(int a)\n\nWidth and Height define the size of the output window that the\ncircle packing is placed inside.  Defaults to Width 1, Height 1\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCirclePackFrontChainLayoutStrategy_StaticNew()
{
  return vtkCirclePackFrontChainLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkCirclePackFrontChainLayoutStrategyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCirclePackFrontChainLayoutStrategy_StaticNew,
    PyvtkCirclePackFrontChainLayoutStrategy_Methods,
    "vtkCirclePackFrontChainLayoutStrategy", modulename,
    NULL, NULL,
    PyvtkCirclePackFrontChainLayoutStrategy_Doc(),
    PyVTKClass_vtkCirclePackLayoutStrategyNew(modulename));
  return cls;
}

const char **PyvtkCirclePackFrontChainLayoutStrategy_Doc()
{
  static const char *docstring[] = {
    "vtkCirclePackFrontChainLayoutStrategy - layout a vtkTree into packed\ncircles\n\n",
    "Superclass: vtkCirclePackLayoutStrategy\n\n",
    "vtkCirclePackFrontChainLayoutStrategy assigns circles to each node of\nthe input vtkTree using the front chain algorithm.  The algorithm\npacks circles by searching a \"front chain\" of circles around the\nperimeter of the circles that have already been packed for the\ncurrent level in the tree hierarchy.  Searching the front chain is in\ngeneral faster than searching all of the circles that have been\npa",
    "cked at the current level.\n\nWARNING:  The algorithm tends to break down and produce packings with\noverlapping circles when there is a large difference in the radii of\nthe circles at a given level of the tree hierarchy.  Roughly on the\norder a 1000:1 ratio of circle radii.\n\nPlease see the following reference for more details on the algorithm.\n\nTitle: \"Visualization of large hierarchical data by cir",
    "cle packing\"\nAuthors:  Weixin Wang, Hui Wang, Guozhong Dai, Hongan Wang\nConference: Proceedings of the SIGCHI conference on Human Factors in\ncomputing systems Year: 2006\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCirclePackFrontChainLayoutStrategy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCirclePackFrontChainLayoutStrategyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCirclePackFrontChainLayoutStrategy", o) != 0)
    {
    Py_DECREF(o);
    }

}

