// python wrapper for vtkCirclePackLayout
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCirclePackLayout.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCirclePackLayout(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCirclePackLayout(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCirclePackLayoutNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCirclePackLayoutNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTreeAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTreeAlgorithmNew
#endif

static const char **PyvtkCirclePackLayout_Doc();


static PyObject *
PyvtkCirclePackLayout_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkCirclePackLayout::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkCirclePackLayout::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkCirclePackLayout *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkCirclePackLayout::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkCirclePackLayout *tempr = vtkCirclePackLayout::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_GetCirclesFieldName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCirclesFieldName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetCirclesFieldName() :
      op->vtkCirclePackLayout::GetCirclesFieldName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_SetCirclesFieldName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCirclesFieldName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCirclesFieldName(temp0);
      }
    else
      {
      op->vtkCirclePackLayout::SetCirclesFieldName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_SetSizeArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSizeArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSizeArrayName(temp0);
      }
    else
      {
      op->vtkCirclePackLayout::SetSizeArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLayoutStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkCirclePackLayoutStrategy *tempr = (ap.IsBound() ?
      op->GetLayoutStrategy() :
      op->vtkCirclePackLayout::GetLayoutStrategy());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLayoutStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  vtkCirclePackLayoutStrategy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCirclePackLayoutStrategy"))
    {
    if (ap.IsBound())
      {
      op->SetLayoutStrategy(temp0);
      }
    else
      {
      op->vtkCirclePackLayout::SetLayoutStrategy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackLayout_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackLayout *op = static_cast<vtkCirclePackLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned long tempr = (ap.IsBound() ?
      op->GetMTime() :
      op->vtkCirclePackLayout::GetMTime());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkCirclePackLayout_Methods[] = {
  {(char*)"GetClassName", PyvtkCirclePackLayout_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCirclePackLayout_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCirclePackLayout_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCirclePackLayout\nC++: vtkCirclePackLayout *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCirclePackLayout_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCirclePackLayout\nC++: vtkCirclePackLayout *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetCirclesFieldName", PyvtkCirclePackLayout_GetCirclesFieldName, 1,
   (char*)"V.GetCirclesFieldName() -> string\nC++: char *GetCirclesFieldName()\n\nThe field name to use for storing the circles for each vertex.\nThe rectangles are stored in a triple float array (Xcenter,\nYcenter, Radius).\n"},
  {(char*)"SetCirclesFieldName", PyvtkCirclePackLayout_SetCirclesFieldName, 1,
   (char*)"V.SetCirclesFieldName(string)\nC++: void SetCirclesFieldName(char *)\n\nThe field name to use for storing the circles for each vertex.\nThe rectangles are stored in a triple float array (Xcenter,\nYcenter, Radius).\n"},
  {(char*)"SetSizeArrayName", PyvtkCirclePackLayout_SetSizeArrayName, 1,
   (char*)"V.SetSizeArrayName(string)\nC++: virtual void SetSizeArrayName(const char *name)\n\nThe array to use for the size of each vertex. Default name is\n\"size\".\n"},
  {(char*)"GetLayoutStrategy", PyvtkCirclePackLayout_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkCirclePackLayoutStrategy\nC++: vtkCirclePackLayoutStrategy *GetLayoutStrategy()\n\nThe strategy to use when laying out the tree map.\n"},
  {(char*)"SetLayoutStrategy", PyvtkCirclePackLayout_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkCirclePackLayoutStrategy)\nC++: void SetLayoutStrategy(vtkCirclePackLayoutStrategy *strategy)\n\nThe strategy to use when laying out the tree map.\n"},
  {(char*)"GetMTime", PyvtkCirclePackLayout_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime()\n\nGet the modification time of the layout algorithm.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCirclePackLayout_StaticNew()
{
  return vtkCirclePackLayout::New();
}

PyObject *PyVTKClass_vtkCirclePackLayoutNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCirclePackLayout_StaticNew,
    PyvtkCirclePackLayout_Methods,
    "vtkCirclePackLayout", modulename,
    NULL, NULL,
    PyvtkCirclePackLayout_Doc(),
    PyVTKClass_vtkTreeAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkCirclePackLayout_Doc()
{
  static const char *docstring[] = {
    "vtkCirclePackLayout - layout a vtkTree as a circle packing.\n\n",
    "Superclass: vtkTreeAlgorithm\n\n",
    "vtkCirclePackLayout assigns circle shaped regions to each vertex in\nthe tree, creating a circle packing layout.  The data is added as a\ndata array with three components per tuple representing the center\nand radius of the circle using the format (Xcenter, Ycenter, Radius).\n\nThis algorithm relies on a helper class to perform the actual layout.\nThis helper class is a subclass of vtkCirclePackLayoutSt",
    "rategy.\n\nWARNING: A size array must be in the input vtkTree that specifies the\nsize for each vertex in the vtkTree.  The default name for this array\nis \"size\".\n\nThanks:\n\nThanks to Thomas Otahal from Sandia National Laboratories for help\ndeveloping this class.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCirclePackLayout(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCirclePackLayoutNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCirclePackLayout", o) != 0)
    {
    Py_DECREF(o);
    }

}

