// python wrapper for vtkCirclePackToPolyData
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCirclePackToPolyData.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCirclePackToPolyData(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCirclePackToPolyData(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCirclePackToPolyDataNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCirclePackToPolyDataNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
#endif

static const char **PyvtkCirclePackToPolyData_Doc();


static PyObject *
PyvtkCirclePackToPolyData_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackToPolyData *op = static_cast<vtkCirclePackToPolyData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkCirclePackToPolyData::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackToPolyData_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackToPolyData *op = static_cast<vtkCirclePackToPolyData *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkCirclePackToPolyData::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackToPolyData_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackToPolyData *op = static_cast<vtkCirclePackToPolyData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkCirclePackToPolyData *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkCirclePackToPolyData::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackToPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkCirclePackToPolyData *tempr = vtkCirclePackToPolyData::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackToPolyData_SetCirclesArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCirclesArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackToPolyData *op = static_cast<vtkCirclePackToPolyData *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCirclesArrayName(temp0);
      }
    else
      {
      op->vtkCirclePackToPolyData::SetCirclesArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackToPolyData_SetResolution(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackToPolyData *op = static_cast<vtkCirclePackToPolyData *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetResolution(temp0);
      }
    else
      {
      op->vtkCirclePackToPolyData::SetResolution(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackToPolyData_GetResolution(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackToPolyData *op = static_cast<vtkCirclePackToPolyData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned int tempr = (ap.IsBound() ?
      op->GetResolution() :
      op->vtkCirclePackToPolyData::GetResolution());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCirclePackToPolyData_FillInputPortInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FillInputPortInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCirclePackToPolyData *op = static_cast<vtkCirclePackToPolyData *>(vp);

  int temp0;
  vtkInformation *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkInformation"))
    {
    int tempr = (ap.IsBound() ?
      op->FillInputPortInformation(temp0, temp1) :
      op->vtkCirclePackToPolyData::FillInputPortInformation(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkCirclePackToPolyData_Methods[] = {
  {(char*)"GetClassName", PyvtkCirclePackToPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCirclePackToPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCirclePackToPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCirclePackToPolyData\nC++: vtkCirclePackToPolyData *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCirclePackToPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCirclePackToPolyData\nC++: vtkCirclePackToPolyData *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetCirclesArrayName", PyvtkCirclePackToPolyData_SetCirclesArrayName, 1,
   (char*)"V.SetCirclesArrayName(string)\nC++: virtual void SetCirclesArrayName(const char *name)\n\nThe field containing triples of the form (Xcenter, Ycenter,\nRadius).\n\nThis field may be added to the tree using vtkCirclePackLayout.\nThis array must be set.\n"},
  {(char*)"SetResolution", PyvtkCirclePackToPolyData_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution(unsigned int a)\n\nDefine the number of sides used in output circles. Default is\n100.\n"},
  {(char*)"GetResolution", PyvtkCirclePackToPolyData_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: unsigned int GetResolution()\n\nDefine the number of sides used in output circles. Default is\n100.\n"},
  {(char*)"FillInputPortInformation", PyvtkCirclePackToPolyData_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation(int port, vtkInformation *info)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCirclePackToPolyData_StaticNew()
{
  return vtkCirclePackToPolyData::New();
}

PyObject *PyVTKClass_vtkCirclePackToPolyDataNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCirclePackToPolyData_StaticNew,
    PyvtkCirclePackToPolyData_Methods,
    "vtkCirclePackToPolyData", modulename,
    NULL, NULL,
    PyvtkCirclePackToPolyData_Doc(),
    PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkCirclePackToPolyData_Doc()
{
  static const char *docstring[] = {
    "vtkCirclePackToPolyData - converts a tree to a polygonal data\n\n",
    "Superclass: vtkPolyDataAlgorithm\n\n",
    "This algorithm requires that the vtkCirclePackLayout filter has\nalready been applied to the data in order to create the triple array\n(Xcenter, Ycenter, Radius) of circle bounds or each vertex of the\ntree.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCirclePackToPolyData(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCirclePackToPolyDataNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCirclePackToPolyData", o) != 0)
    {
    Py_DECREF(o);
    }

}

