// tcl wrapper for vtkCollapseVerticesByArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollapseVerticesByArray.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCollapseVerticesByArrayNewCommand()
{
  vtkCollapseVerticesByArray *temp = vtkCollapseVerticesByArray::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCollapseVerticesByArrayCppCommand(vtkCollapseVerticesByArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCollapseVerticesByArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCollapseVerticesByArrayCppCommand(static_cast<vtkCollapseVerticesByArray *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCollapseVerticesByArrayCppCommand(vtkCollapseVerticesByArray *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCollapseVerticesByArray",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCollapseVerticesByArray  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollapseVerticesByArray");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCollapseVerticesByArray  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollapseVerticesByArray");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCollapseVerticesByArray  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollapseVerticesByArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowSelfLoops",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAllowSelfLoops();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAllowSelfLoops",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAllowSelfLoops(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllowSelfLoopsOn",argv[1]))&&(argc == 2))
    {
    op->AllowSelfLoopsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowSelfLoopsOff",argv[1]))&&(argc == 2))
    {
    op->AllowSelfLoopsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddAggregateEdgeArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddAggregateEdgeArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearAggregateEdgeArray",argv[1]))&&(argc == 2))
    {
    op->ClearAggregateEdgeArray();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVertexArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVertexArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCountEdgesCollapsed",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCountEdgesCollapsed();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCountEdgesCollapsed",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCountEdgesCollapsed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CountEdgesCollapsedOn",argv[1]))&&(argc == 2))
    {
    op->CountEdgesCollapsedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CountEdgesCollapsedOff",argv[1]))&&(argc == 2))
    {
    op->CountEdgesCollapsedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgesCollapsedArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEdgesCollapsedArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgesCollapsedArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgesCollapsedArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCountVerticesCollapsed",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCountVerticesCollapsed();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCountVerticesCollapsed",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCountVerticesCollapsed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CountVerticesCollapsedOn",argv[1]))&&(argc == 2))
    {
    op->CountVerticesCollapsedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CountVerticesCollapsedOff",argv[1]))&&(argc == 2))
    {
    op->CountVerticesCollapsedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVerticesCollapsedArray",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVerticesCollapsedArray();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVerticesCollapsedArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVerticesCollapsedArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCollapseVerticesByArrayCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCollapseVerticesByArray:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowSelfLoops\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowSelfLoops\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AllowSelfLoopsOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowSelfLoopsOff\n",NULL);
    Tcl_AppendResult(interp,"  AddAggregateEdgeArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearAggregateEdgeArray\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexArray\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCountEdgesCollapsed\n",NULL);
    Tcl_AppendResult(interp,"  SetCountEdgesCollapsed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CountEdgesCollapsedOn\n",NULL);
    Tcl_AppendResult(interp,"  CountEdgesCollapsedOff\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgesCollapsedArray\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgesCollapsedArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCountVerticesCollapsed\n",NULL);
    Tcl_AppendResult(interp,"  SetCountVerticesCollapsed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CountVerticesCollapsedOn\n",NULL);
    Tcl_AppendResult(interp,"  CountVerticesCollapsedOff\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticesCollapsedArray\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticesCollapsedArray\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetAllowSelfLoops" );
    Tcl_DStringAppendElement ( &dString, "SetAllowSelfLoops" );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOn" );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOff" );
    Tcl_DStringAppendElement ( &dString, "AddAggregateEdgeArray" );
    Tcl_DStringAppendElement ( &dString, "ClearAggregateEdgeArray" );
    Tcl_DStringAppendElement ( &dString, "GetVertexArray" );
    Tcl_DStringAppendElement ( &dString, "SetVertexArray" );
    Tcl_DStringAppendElement ( &dString, "GetCountEdgesCollapsed" );
    Tcl_DStringAppendElement ( &dString, "SetCountEdgesCollapsed" );
    Tcl_DStringAppendElement ( &dString, "CountEdgesCollapsedOn" );
    Tcl_DStringAppendElement ( &dString, "CountEdgesCollapsedOff" );
    Tcl_DStringAppendElement ( &dString, "GetEdgesCollapsedArray" );
    Tcl_DStringAppendElement ( &dString, "SetEdgesCollapsedArray" );
    Tcl_DStringAppendElement ( &dString, "GetCountVerticesCollapsed" );
    Tcl_DStringAppendElement ( &dString, "SetCountVerticesCollapsed" );
    Tcl_DStringAppendElement ( &dString, "CountVerticesCollapsedOn" );
    Tcl_DStringAppendElement ( &dString, "CountVerticesCollapsedOff" );
    Tcl_DStringAppendElement ( &dString, "GetVerticesCollapsedArray" );
    Tcl_DStringAppendElement ( &dString, "SetVerticesCollapsedArray" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCollapseVerticesByArray *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllowSelfLoops */
    if ( strcmp ( argv[2], "GetAllowSelfLoops" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllowSelfLoops" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllowSelfLoops */
    Tcl_DStringAppendElement ( &dString, " Boolean to allow self loops during collapse.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAllowSelfLoops();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for GetAllowSelfLoops */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllowSelfLoops */
    if ( strcmp ( argv[2], "SetAllowSelfLoops" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllowSelfLoops" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllowSelfLoops */
    Tcl_DStringAppendElement ( &dString, " Boolean to allow self loops during collapse.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllowSelfLoops(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for SetAllowSelfLoops */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowSelfLoopsOn */
    if ( strcmp ( argv[2], "AllowSelfLoopsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowSelfLoopsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean to allow self loops during collapse.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowSelfLoopsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for AllowSelfLoopsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowSelfLoopsOff */
    if ( strcmp ( argv[2], "AllowSelfLoopsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowSelfLoopsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean to allow self loops during collapse.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowSelfLoopsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for AllowSelfLoopsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddAggregateEdgeArray */
    if ( strcmp ( argv[2], "AddAggregateEdgeArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddAggregateEdgeArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddAggregateEdgeArray */
    Tcl_DStringAppendElement ( &dString, " Add arrays on which aggregation of data is allowed.\n Default if replaced by the last value.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddAggregateEdgeArray(const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for AddAggregateEdgeArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearAggregateEdgeArray */
    if ( strcmp ( argv[2], "ClearAggregateEdgeArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearAggregateEdgeArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearAggregateEdgeArray */
    Tcl_DStringAppendElement ( &dString, " Clear the list of arrays on which aggregation was set to allow.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearAggregateEdgeArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for ClearAggregateEdgeArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexArray */
    if ( strcmp ( argv[2], "GetVertexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexArray */
    Tcl_DStringAppendElement ( &dString, " Set the array using which perform the collapse.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVertexArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for GetVertexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexArray */
    if ( strcmp ( argv[2], "SetVertexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexArray */
    Tcl_DStringAppendElement ( &dString, " Set the array using which perform the collapse.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for SetVertexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCountEdgesCollapsed */
    if ( strcmp ( argv[2], "GetCountEdgesCollapsed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCountEdgesCollapsed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCountEdgesCollapsed */
    Tcl_DStringAppendElement ( &dString, " Set if count should be made of how many edges collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCountEdgesCollapsed();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for GetCountEdgesCollapsed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCountEdgesCollapsed */
    if ( strcmp ( argv[2], "SetCountEdgesCollapsed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCountEdgesCollapsed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCountEdgesCollapsed */
    Tcl_DStringAppendElement ( &dString, " Set if count should be made of how many edges collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCountEdgesCollapsed(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for SetCountEdgesCollapsed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CountEdgesCollapsedOn */
    if ( strcmp ( argv[2], "CountEdgesCollapsedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CountEdgesCollapsedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CountEdgesCollapsedOn */
    Tcl_DStringAppendElement ( &dString, " Set if count should be made of how many edges collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "void CountEdgesCollapsedOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for CountEdgesCollapsedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CountEdgesCollapsedOff */
    if ( strcmp ( argv[2], "CountEdgesCollapsedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CountEdgesCollapsedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CountEdgesCollapsedOff */
    Tcl_DStringAppendElement ( &dString, " Set if count should be made of how many edges collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "void CountEdgesCollapsedOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for CountEdgesCollapsedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgesCollapsedArray */
    if ( strcmp ( argv[2], "GetEdgesCollapsedArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgesCollapsedArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgesCollapsedArray */
    Tcl_DStringAppendElement ( &dString, " Name of the array where the count of how many edges collapsed will\n be stored.By default the name of array is \"EdgesCollapsedCountArray\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetEdgesCollapsedArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for GetEdgesCollapsedArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgesCollapsedArray */
    if ( strcmp ( argv[2], "SetEdgesCollapsedArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgesCollapsedArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgesCollapsedArray */
    Tcl_DStringAppendElement ( &dString, " Name of the array where the count of how many edges collapsed will\n be stored.By default the name of array is \"EdgesCollapsedCountArray\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgesCollapsedArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for SetEdgesCollapsedArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCountVerticesCollapsed */
    if ( strcmp ( argv[2], "GetCountVerticesCollapsed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCountVerticesCollapsed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCountVerticesCollapsed */
    Tcl_DStringAppendElement ( &dString, " Get/Set if count should be made of how many vertices collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCountVerticesCollapsed();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for GetCountVerticesCollapsed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCountVerticesCollapsed */
    if ( strcmp ( argv[2], "SetCountVerticesCollapsed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCountVerticesCollapsed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCountVerticesCollapsed */
    Tcl_DStringAppendElement ( &dString, " Get/Set if count should be made of how many vertices collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCountVerticesCollapsed(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for SetCountVerticesCollapsed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CountVerticesCollapsedOn */
    if ( strcmp ( argv[2], "CountVerticesCollapsedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CountVerticesCollapsedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CountVerticesCollapsedOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set if count should be made of how many vertices collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "void CountVerticesCollapsedOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for CountVerticesCollapsedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CountVerticesCollapsedOff */
    if ( strcmp ( argv[2], "CountVerticesCollapsedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CountVerticesCollapsedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CountVerticesCollapsedOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set if count should be made of how many vertices collapsed.\n" );
    Tcl_DStringAppendElement ( &dString, "void CountVerticesCollapsedOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for CountVerticesCollapsedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticesCollapsedArray */
    if ( strcmp ( argv[2], "GetVerticesCollapsedArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticesCollapsedArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticesCollapsedArray */
    Tcl_DStringAppendElement ( &dString, " Name of the array where the count of how many vertices collapsed will\n be stored. By default name of the array is \"VerticesCollapsedCountArray\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVerticesCollapsedArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for GetVerticesCollapsedArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticesCollapsedArray */
    if ( strcmp ( argv[2], "SetVerticesCollapsedArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticesCollapsedArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticesCollapsedArray */
    Tcl_DStringAppendElement ( &dString, " Name of the array where the count of how many vertices collapsed will\n be stored. By default name of the array is \"VerticesCollapsedCountArray\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticesCollapsedArray(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollapseVerticesByArray" );
    /* Closing for SetVerticesCollapsedArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
