// tcl wrapper for vtkCosmicTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCosmicTreeLayoutStrategy.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCosmicTreeLayoutStrategyNewCommand()
{
  vtkCosmicTreeLayoutStrategy *temp = vtkCosmicTreeLayoutStrategy::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphLayoutStrategyCppCommand(vtkGraphLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCosmicTreeLayoutStrategyCppCommand(vtkCosmicTreeLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCosmicTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCosmicTreeLayoutStrategyCppCommand(static_cast<vtkCosmicTreeLayoutStrategy *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCosmicTreeLayoutStrategyCppCommand(vtkCosmicTreeLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCosmicTreeLayoutStrategy",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphLayoutStrategyCppCommand(static_cast<vtkGraphLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphLayoutStrategy"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCosmicTreeLayoutStrategy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCosmicTreeLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCosmicTreeLayoutStrategy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCosmicTreeLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCosmicTreeLayoutStrategy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCosmicTreeLayoutStrategy");
    return TCL_OK;
    }
    }
  if ((!strcmp("Layout",argv[1]))&&(argc == 2))
    {
    op->Layout();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSizeLeafNodesOnly",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSizeLeafNodesOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSizeLeafNodesOnly",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSizeLeafNodesOnly();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SizeLeafNodesOnlyOn",argv[1]))&&(argc == 2))
    {
    op->SizeLeafNodesOnlyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SizeLeafNodesOnlyOff",argv[1]))&&(argc == 2))
    {
    op->SizeLeafNodesOnlyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutDepth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLayoutDepth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutDepth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLayoutDepth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutRoot",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLayoutRoot(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutRoot",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetLayoutRoot();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNodeSizeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNodeSizeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNodeSizeArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetNodeSizeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCosmicTreeLayoutStrategyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCosmicTreeLayoutStrategy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Layout\n",NULL);
    Tcl_AppendResult(interp,"  SetSizeLeafNodesOnly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeLeafNodesOnly\n",NULL);
    Tcl_AppendResult(interp,"  SizeLeafNodesOnlyOn\n",NULL);
    Tcl_AppendResult(interp,"  SizeLeafNodesOnlyOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutDepth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutDepth\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutRoot\n",NULL);
    Tcl_AppendResult(interp,"  SetNodeSizeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSizeArrayName\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    Tcl_DStringAppendElement ( &dString, "SetSizeLeafNodesOnly" );
    Tcl_DStringAppendElement ( &dString, "GetSizeLeafNodesOnly" );
    Tcl_DStringAppendElement ( &dString, "SizeLeafNodesOnlyOn" );
    Tcl_DStringAppendElement ( &dString, "SizeLeafNodesOnlyOff" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutDepth" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutDepth" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutRoot" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutRoot" );
    Tcl_DStringAppendElement ( &dString, "SetNodeSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSizeArrayName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCosmicTreeLayoutStrategy *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Layout */
    if ( strcmp ( argv[2], "Layout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Layout */
    Tcl_DStringAppendElement ( &dString, " Perform the layout.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Layout();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for Layout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSizeLeafNodesOnly */
    if ( strcmp ( argv[2], "SetSizeLeafNodesOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSizeLeafNodesOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSizeLeafNodesOnly */
    Tcl_DStringAppendElement ( &dString, " Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSizeLeafNodesOnly(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for SetSizeLeafNodesOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeLeafNodesOnly */
    if ( strcmp ( argv[2], "GetSizeLeafNodesOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeLeafNodesOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeLeafNodesOnly */
    Tcl_DStringAppendElement ( &dString, " Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSizeLeafNodesOnly();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for GetSizeLeafNodesOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SizeLeafNodesOnlyOn */
    if ( strcmp ( argv[2], "SizeLeafNodesOnlyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SizeLeafNodesOnlyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SizeLeafNodesOnlyOn */
    Tcl_DStringAppendElement ( &dString, " Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void SizeLeafNodesOnlyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for SizeLeafNodesOnlyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SizeLeafNodesOnlyOff */
    if ( strcmp ( argv[2], "SizeLeafNodesOnlyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SizeLeafNodesOnlyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SizeLeafNodesOnlyOff */
    Tcl_DStringAppendElement ( &dString, " Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void SizeLeafNodesOnlyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for SizeLeafNodesOnlyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutDepth */
    if ( strcmp ( argv[2], "SetLayoutDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutDepth */
    Tcl_DStringAppendElement ( &dString, " How many levels of the tree should be laid out?\n For large trees, you may wish to set the root and maximum depth\n in order to retrieve the layout for the visible portion of the tree.\n When this value is zero or negative, all nodes below and including\n the LayoutRoot will be presented.\n This defaults to 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutDepth(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for SetLayoutDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutDepth */
    if ( strcmp ( argv[2], "GetLayoutDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutDepth */
    Tcl_DStringAppendElement ( &dString, " How many levels of the tree should be laid out?\n For large trees, you may wish to set the root and maximum depth\n in order to retrieve the layout for the visible portion of the tree.\n When this value is zero or negative, all nodes below and including\n the LayoutRoot will be presented.\n This defaults to 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLayoutDepth();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for GetLayoutDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutRoot */
    if ( strcmp ( argv[2], "SetLayoutRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutRoot */
    Tcl_DStringAppendElement ( &dString, " What is the top-most tree node to lay out?\n This node will become the largest containing circle in the layout.\n Use this in combination with SetLayoutDepth to retrieve the\n layout of a subtree of interest for rendering.\n Setting LayoutRoot to a negative number signals that the root node\n of the tree should be used as the root node of the layout.\n This defaults to -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutRoot(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for SetLayoutRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutRoot */
    if ( strcmp ( argv[2], "GetLayoutRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutRoot */
    Tcl_DStringAppendElement ( &dString, " What is the top-most tree node to lay out?\n This node will become the largest containing circle in the layout.\n Use this in combination with SetLayoutDepth to retrieve the\n layout of a subtree of interest for rendering.\n Setting LayoutRoot to a negative number signals that the root node\n of the tree should be used as the root node of the layout.\n This defaults to -1.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetLayoutRoot();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for GetLayoutRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNodeSizeArrayName */
    if ( strcmp ( argv[2], "SetNodeSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNodeSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNodeSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the array to be used for sizing nodes.\n If this is set to an empty string or NULL (the default),\n then all leaf nodes (or all nodes, when SizeLeafNodesOnly is false)\n will be assigned a unit size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNodeSizeArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for SetNodeSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSizeArrayName */
    if ( strcmp ( argv[2], "GetNodeSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the array to be used for sizing nodes.\n If this is set to an empty string or NULL (the default),\n then all leaf nodes (or all nodes, when SizeLeafNodesOnly is false)\n will be assigned a unit size.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetNodeSizeArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCosmicTreeLayoutStrategy" );
    /* Closing for GetNodeSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphLayoutStrategyCppCommand(static_cast<vtkGraphLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
