// tcl wrapper for vtkDescriptiveStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDescriptiveStatistics.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDescriptiveStatisticsNewCommand()
{
  vtkDescriptiveStatistics *temp = vtkDescriptiveStatistics::New();
  return static_cast<ClientData>(temp);
}

int vtkStatisticsAlgorithmCppCommand(vtkStatisticsAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDescriptiveStatisticsCppCommand(vtkDescriptiveStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDescriptiveStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDescriptiveStatisticsCppCommand(static_cast<vtkDescriptiveStatistics *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDescriptiveStatisticsCppCommand(vtkDescriptiveStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDescriptiveStatistics",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkStatisticsAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDescriptiveStatistics  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDescriptiveStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDescriptiveStatistics  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDescriptiveStatistics");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDescriptiveStatistics  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDescriptiveStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SetUnbiasedVariance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUnbiasedVariance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUnbiasedVariance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUnbiasedVariance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UnbiasedVarianceOn",argv[1]))&&(argc == 2))
    {
    op->UnbiasedVarianceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnbiasedVarianceOff",argv[1]))&&(argc == 2))
    {
    op->UnbiasedVarianceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetG1Skewness",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetG1Skewness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetG1Skewness",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetG1Skewness();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("G1SkewnessOn",argv[1]))&&(argc == 2))
    {
    op->G1SkewnessOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("G1SkewnessOff",argv[1]))&&(argc == 2))
    {
    op->G1SkewnessOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetG2Kurtosis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetG2Kurtosis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetG2Kurtosis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetG2Kurtosis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("G2KurtosisOn",argv[1]))&&(argc == 2))
    {
    op->G2KurtosisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("G2KurtosisOff",argv[1]))&&(argc == 2))
    {
    op->G2KurtosisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSignedDeviations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSignedDeviations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSignedDeviations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSignedDeviations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SignedDeviationsOn",argv[1]))&&(argc == 2))
    {
    op->SignedDeviationsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SignedDeviationsOff",argv[1]))&&(argc == 2))
    {
    op->SignedDeviationsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Aggregate",argv[1]))&&(argc == 4))
    {
    vtkDataObjectCollection  *temp0;
    vtkMultiBlockDataSet  *temp1;
    error = 0;

    temp0 = (vtkDataObjectCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObjectCollection"),interp,error));
    temp1 = (vtkMultiBlockDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMultiBlockDataSet"),interp,error));
    if (!error)
    {
    op->Aggregate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDescriptiveStatisticsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDescriptiveStatistics:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetUnbiasedVariance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUnbiasedVariance\n",NULL);
    Tcl_AppendResult(interp,"  UnbiasedVarianceOn\n",NULL);
    Tcl_AppendResult(interp,"  UnbiasedVarianceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetG1Skewness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetG1Skewness\n",NULL);
    Tcl_AppendResult(interp,"  G1SkewnessOn\n",NULL);
    Tcl_AppendResult(interp,"  G1SkewnessOff\n",NULL);
    Tcl_AppendResult(interp,"  SetG2Kurtosis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetG2Kurtosis\n",NULL);
    Tcl_AppendResult(interp,"  G2KurtosisOn\n",NULL);
    Tcl_AppendResult(interp,"  G2KurtosisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSignedDeviations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSignedDeviations\n",NULL);
    Tcl_AppendResult(interp,"  SignedDeviationsOn\n",NULL);
    Tcl_AppendResult(interp,"  SignedDeviationsOff\n",NULL);
    Tcl_AppendResult(interp,"  Aggregate\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetUnbiasedVariance" );
    Tcl_DStringAppendElement ( &dString, "GetUnbiasedVariance" );
    Tcl_DStringAppendElement ( &dString, "UnbiasedVarianceOn" );
    Tcl_DStringAppendElement ( &dString, "UnbiasedVarianceOff" );
    Tcl_DStringAppendElement ( &dString, "SetG1Skewness" );
    Tcl_DStringAppendElement ( &dString, "GetG1Skewness" );
    Tcl_DStringAppendElement ( &dString, "G1SkewnessOn" );
    Tcl_DStringAppendElement ( &dString, "G1SkewnessOff" );
    Tcl_DStringAppendElement ( &dString, "SetG2Kurtosis" );
    Tcl_DStringAppendElement ( &dString, "GetG2Kurtosis" );
    Tcl_DStringAppendElement ( &dString, "G2KurtosisOn" );
    Tcl_DStringAppendElement ( &dString, "G2KurtosisOff" );
    Tcl_DStringAppendElement ( &dString, "SetSignedDeviations" );
    Tcl_DStringAppendElement ( &dString, "GetSignedDeviations" );
    Tcl_DStringAppendElement ( &dString, "SignedDeviationsOn" );
    Tcl_DStringAppendElement ( &dString, "SignedDeviationsOff" );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDescriptiveStatistics *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUnbiasedVariance */
    if ( strcmp ( argv[2], "SetUnbiasedVariance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUnbiasedVariance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUnbiasedVariance */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUnbiasedVariance(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for SetUnbiasedVariance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUnbiasedVariance */
    if ( strcmp ( argv[2], "GetUnbiasedVariance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnbiasedVariance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnbiasedVariance */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUnbiasedVariance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for GetUnbiasedVariance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnbiasedVarianceOn */
    if ( strcmp ( argv[2], "UnbiasedVarianceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnbiasedVarianceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnbiasedVarianceOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UnbiasedVarianceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for UnbiasedVarianceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnbiasedVarianceOff */
    if ( strcmp ( argv[2], "UnbiasedVarianceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnbiasedVarianceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnbiasedVarianceOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UnbiasedVarianceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for UnbiasedVarianceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetG1Skewness */
    if ( strcmp ( argv[2], "SetG1Skewness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetG1Skewness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetG1Skewness */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G1 estimator for the skewness should be used, or if\n the g1 skewness will be calculated.\n The default is that the g1 skewness estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetG1Skewness(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for SetG1Skewness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetG1Skewness */
    if ( strcmp ( argv[2], "GetG1Skewness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetG1Skewness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetG1Skewness */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G1 estimator for the skewness should be used, or if\n the g1 skewness will be calculated.\n The default is that the g1 skewness estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetG1Skewness();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for GetG1Skewness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: G1SkewnessOn */
    if ( strcmp ( argv[2], "G1SkewnessOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "G1SkewnessOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for G1SkewnessOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G1 estimator for the skewness should be used, or if\n the g1 skewness will be calculated.\n The default is that the g1 skewness estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void G1SkewnessOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for G1SkewnessOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: G1SkewnessOff */
    if ( strcmp ( argv[2], "G1SkewnessOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "G1SkewnessOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for G1SkewnessOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G1 estimator for the skewness should be used, or if\n the g1 skewness will be calculated.\n The default is that the g1 skewness estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void G1SkewnessOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for G1SkewnessOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetG2Kurtosis */
    if ( strcmp ( argv[2], "SetG2Kurtosis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetG2Kurtosis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetG2Kurtosis */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G2 estimator for the kurtosis should be used, or if\n the g2 kurtosis will be calculated.\n The default is that the g2 kurtosis estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetG2Kurtosis(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for SetG2Kurtosis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetG2Kurtosis */
    if ( strcmp ( argv[2], "GetG2Kurtosis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetG2Kurtosis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetG2Kurtosis */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G2 estimator for the kurtosis should be used, or if\n the g2 kurtosis will be calculated.\n The default is that the g2 kurtosis estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetG2Kurtosis();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for GetG2Kurtosis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: G2KurtosisOn */
    if ( strcmp ( argv[2], "G2KurtosisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "G2KurtosisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for G2KurtosisOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G2 estimator for the kurtosis should be used, or if\n the g2 kurtosis will be calculated.\n The default is that the g2 kurtosis estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void G2KurtosisOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for G2KurtosisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: G2KurtosisOff */
    if ( strcmp ( argv[2], "G2KurtosisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "G2KurtosisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for G2KurtosisOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the G2 estimator for the kurtosis should be used, or if\n the g2 kurtosis will be calculated.\n The default is that the g2 kurtosis estimator will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void G2KurtosisOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for G2KurtosisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSignedDeviations */
    if ( strcmp ( argv[2], "SetSignedDeviations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSignedDeviations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSignedDeviations */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSignedDeviations(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for SetSignedDeviations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSignedDeviations */
    if ( strcmp ( argv[2], "GetSignedDeviations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSignedDeviations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSignedDeviations */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSignedDeviations();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for GetSignedDeviations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SignedDeviationsOn */
    if ( strcmp ( argv[2], "SignedDeviationsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SignedDeviationsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SignedDeviationsOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SignedDeviationsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for SignedDeviationsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SignedDeviationsOff */
    if ( strcmp ( argv[2], "SignedDeviationsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SignedDeviationsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SignedDeviationsOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SignedDeviationsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for SignedDeviationsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Aggregate */
    if ( strcmp ( argv[2], "Aggregate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Aggregate */
    Tcl_DStringAppendElement ( &dString, " Given a collection of models, calculate aggregate model\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Aggregate(vtkDataObjectCollection *, vtkMultiBlockDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDescriptiveStatistics" );
    /* Closing for Aggregate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
