// tcl wrapper for vtkDiagonalMatrixSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDiagonalMatrixSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDiagonalMatrixSourceNewCommand()
{
  vtkDiagonalMatrixSource *temp = vtkDiagonalMatrixSource::New();
  return static_cast<ClientData>(temp);
}

int vtkArrayDataAlgorithmCppCommand(vtkArrayDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDiagonalMatrixSourceCppCommand(vtkDiagonalMatrixSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDiagonalMatrixSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDiagonalMatrixSourceCppCommand(static_cast<vtkDiagonalMatrixSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDiagonalMatrixSourceCppCommand(vtkDiagonalMatrixSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDiagonalMatrixSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkArrayDataAlgorithmCppCommand(static_cast<vtkArrayDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkArrayDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDiagonalMatrixSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiagonalMatrixSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDiagonalMatrixSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiagonalMatrixSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDiagonalMatrixSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDiagonalMatrixSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetArrayType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetArrayType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtents",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetExtents();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtents",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiagonal",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiagonal();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiagonal",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiagonal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSuperDiagonal",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSuperDiagonal();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSuperDiagonal",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSuperDiagonal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubDiagonal",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSubDiagonal();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubDiagonal",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSubDiagonal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRowLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetRowLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRowLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRowLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetColumnLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColumnLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetColumnLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDiagonalMatrixSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkArrayDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDiagonalMatrixSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayType\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtents\n",NULL);
    Tcl_AppendResult(interp,"  SetExtents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetDiagonal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetSuperDiagonal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetSubDiagonal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRowLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetRowLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetColumnLabel\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkArrayDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetArrayType" );
    Tcl_DStringAppendElement ( &dString, "SetArrayType" );
    Tcl_DStringAppendElement ( &dString, "GetExtents" );
    Tcl_DStringAppendElement ( &dString, "SetExtents" );
    Tcl_DStringAppendElement ( &dString, "GetDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetDiagonal" );
    Tcl_DStringAppendElement ( &dString, "GetSuperDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetSuperDiagonal" );
    Tcl_DStringAppendElement ( &dString, "GetSubDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetSubDiagonal" );
    Tcl_DStringAppendElement ( &dString, "GetRowLabel" );
    Tcl_DStringAppendElement ( &dString, "SetRowLabel" );
    Tcl_DStringAppendElement ( &dString, "GetColumnLabel" );
    Tcl_DStringAppendElement ( &dString, "SetColumnLabel" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkArrayDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDiagonalMatrixSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayType */
    if ( strcmp ( argv[2], "GetArrayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayType();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetArrayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrayType */
    if ( strcmp ( argv[2], "SetArrayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetArrayType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SetArrayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtents */
    if ( strcmp ( argv[2], "GetExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtents */
    Tcl_DStringAppendElement ( &dString, " Stores the extents of the output matrix (which is square)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetExtents();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtents */
    if ( strcmp ( argv[2], "SetExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtents */
    Tcl_DStringAppendElement ( &dString, " Stores the extents of the output matrix (which is square)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtents(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SetExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiagonal */
    if ( strcmp ( argv[2], "GetDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiagonal */
    Tcl_DStringAppendElement ( &dString, " Stores the value that will be assigned to diagonal elements (default: 1)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiagonal */
    if ( strcmp ( argv[2], "SetDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiagonal */
    Tcl_DStringAppendElement ( &dString, " Stores the value that will be assigned to diagonal elements (default: 1)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiagonal(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SetDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSuperDiagonal */
    if ( strcmp ( argv[2], "GetSuperDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSuperDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSuperDiagonal */
    Tcl_DStringAppendElement ( &dString, " Stores the value that will be assigned to superdiagonal elements (default: 0)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSuperDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetSuperDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSuperDiagonal */
    if ( strcmp ( argv[2], "SetSuperDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSuperDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSuperDiagonal */
    Tcl_DStringAppendElement ( &dString, " Stores the value that will be assigned to superdiagonal elements (default: 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSuperDiagonal(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SetSuperDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubDiagonal */
    if ( strcmp ( argv[2], "GetSubDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubDiagonal */
    Tcl_DStringAppendElement ( &dString, " Stores the value that will be assigned to subdiagonal elements (default: 0)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSubDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetSubDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubDiagonal */
    if ( strcmp ( argv[2], "SetSubDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubDiagonal */
    Tcl_DStringAppendElement ( &dString, " Stores the value that will be assigned to subdiagonal elements (default: 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubDiagonal(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SetSubDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRowLabel */
    if ( strcmp ( argv[2], "GetRowLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRowLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRowLabel */
    Tcl_DStringAppendElement ( &dString, " Controls the output matrix row dimension label.\n Default: \"rows\"\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetRowLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetRowLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRowLabel */
    if ( strcmp ( argv[2], "SetRowLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRowLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRowLabel */
    Tcl_DStringAppendElement ( &dString, " Controls the output matrix row dimension label.\n Default: \"rows\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRowLabel(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SetRowLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnLabel */
    if ( strcmp ( argv[2], "GetColumnLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnLabel */
    Tcl_DStringAppendElement ( &dString, " Controls the output matrix column dimension label.\n Default: \"columns\"\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetColumnLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for GetColumnLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColumnLabel */
    if ( strcmp ( argv[2], "SetColumnLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColumnLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColumnLabel */
    Tcl_DStringAppendElement ( &dString, " Controls the output matrix column dimension label.\n Default: \"columns\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColumnLabel(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDiagonalMatrixSource" );
    /* Closing for SetColumnLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkArrayDataAlgorithmCppCommand(static_cast<vtkArrayDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
