// tcl wrapper for vtkDotProductSimilarity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDotProductSimilarity.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDotProductSimilarityNewCommand()
{
  vtkDotProductSimilarity *temp = vtkDotProductSimilarity::New();
  return static_cast<ClientData>(temp);
}

int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDotProductSimilarityCppCommand(vtkDotProductSimilarity *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDotProductSimilarityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDotProductSimilarityCppCommand(static_cast<vtkDotProductSimilarity *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDotProductSimilarityCppCommand(vtkDotProductSimilarity *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDotProductSimilarity",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDotProductSimilarity  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDotProductSimilarity");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDotProductSimilarity  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDotProductSimilarity");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDotProductSimilarity  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDotProductSimilarity");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorDimension",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetVectorDimension();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorDimension",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorDimension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpperDiagonal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpperDiagonal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpperDiagonal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpperDiagonal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiagonal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDiagonal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiagonal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDiagonal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLowerDiagonal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLowerDiagonal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLowerDiagonal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLowerDiagonal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFirstSecond",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFirstSecond();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFirstSecond",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFirstSecond(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSecondFirst",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSecondFirst();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSecondFirst",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSecondFirst(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumCount",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMinimumCount();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumCount",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimumCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumCount",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumCount();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumCount",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDotProductSimilarityCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDotProductSimilarity:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorDimension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetUpperDiagonal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetDiagonal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetLowerDiagonal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFirstSecond\n",NULL);
    Tcl_AppendResult(interp,"  SetFirstSecond\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondFirst\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondFirst\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumCount\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCount\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumCount\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetVectorDimension" );
    Tcl_DStringAppendElement ( &dString, "SetVectorDimension" );
    Tcl_DStringAppendElement ( &dString, "GetUpperDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetUpperDiagonal" );
    Tcl_DStringAppendElement ( &dString, "GetDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetDiagonal" );
    Tcl_DStringAppendElement ( &dString, "GetLowerDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetLowerDiagonal" );
    Tcl_DStringAppendElement ( &dString, "GetFirstSecond" );
    Tcl_DStringAppendElement ( &dString, "SetFirstSecond" );
    Tcl_DStringAppendElement ( &dString, "GetSecondFirst" );
    Tcl_DStringAppendElement ( &dString, "SetSecondFirst" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumCount" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumCount" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCount" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCount" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDotProductSimilarity *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorDimension */
    if ( strcmp ( argv[2], "GetVectorDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorDimension */
    Tcl_DStringAppendElement ( &dString, " Controls whether to compute similarities for row-vectors or column-vectors.\n 0 = rows, 1 = columns.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetVectorDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetVectorDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorDimension */
    if ( strcmp ( argv[2], "SetVectorDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorDimension */
    Tcl_DStringAppendElement ( &dString, " Controls whether to compute similarities for row-vectors or column-vectors.\n 0 = rows, 1 = columns.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorDimension(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetVectorDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpperDiagonal */
    if ( strcmp ( argv[2], "GetUpperDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpperDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpperDiagonal */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for a single input matrix, controls whether the\n results will include the upper diagonal of the similarity matrix.  Default: true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpperDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetUpperDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpperDiagonal */
    if ( strcmp ( argv[2], "SetUpperDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpperDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpperDiagonal */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for a single input matrix, controls whether the\n results will include the upper diagonal of the similarity matrix.  Default: true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpperDiagonal(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetUpperDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiagonal */
    if ( strcmp ( argv[2], "GetDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiagonal */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for a single input matrix, controls whether the\n results will include the diagonal of the similarity matrix.  Default: false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiagonal */
    if ( strcmp ( argv[2], "SetDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiagonal */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for a single input matrix, controls whether the\n results will include the diagonal of the similarity matrix.  Default: false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiagonal(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowerDiagonal */
    if ( strcmp ( argv[2], "GetLowerDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowerDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowerDiagonal */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for a single input matrix, controls whether the\n results will include the lower diagonal of the similarity matrix.  Default: false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLowerDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetLowerDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLowerDiagonal */
    if ( strcmp ( argv[2], "SetLowerDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLowerDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLowerDiagonal */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for a single input matrix, controls whether the\n results will include the lower diagonal of the similarity matrix.  Default: false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLowerDiagonal(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetLowerDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFirstSecond */
    if ( strcmp ( argv[2], "GetFirstSecond" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFirstSecond" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFirstSecond */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for two input matrices, controls whether the results\n will include comparisons from the first matrix to the second matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFirstSecond();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetFirstSecond */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFirstSecond */
    if ( strcmp ( argv[2], "SetFirstSecond" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFirstSecond" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFirstSecond */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for two input matrices, controls whether the results\n will include comparisons from the first matrix to the second matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFirstSecond(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetFirstSecond */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSecondFirst */
    if ( strcmp ( argv[2], "GetSecondFirst" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondFirst" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondFirst */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for two input matrices, controls whether the results\n will include comparisons from the second matrix to the first matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSecondFirst();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetSecondFirst */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSecondFirst */
    if ( strcmp ( argv[2], "SetSecondFirst" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSecondFirst" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSecondFirst */
    Tcl_DStringAppendElement ( &dString, " When computing similarities for two input matrices, controls whether the results\n will include comparisons from the second matrix to the first matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSecondFirst(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetSecondFirst */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumThreshold */
    if ( strcmp ( argv[2], "GetMinimumThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumThreshold */
    Tcl_DStringAppendElement ( &dString, " Specifies a minimum threshold that a similarity must exceed to be included in\n the output.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetMinimumThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumThreshold */
    if ( strcmp ( argv[2], "SetMinimumThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumThreshold */
    Tcl_DStringAppendElement ( &dString, " Specifies a minimum threshold that a similarity must exceed to be included in\n the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumThreshold(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetMinimumThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumCount */
    if ( strcmp ( argv[2], "GetMinimumCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumCount */
    Tcl_DStringAppendElement ( &dString, " Specifies a minimum number of edges to include for each vector.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMinimumCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetMinimumCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumCount */
    if ( strcmp ( argv[2], "SetMinimumCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumCount */
    Tcl_DStringAppendElement ( &dString, " Specifies a minimum number of edges to include for each vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumCount(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetMinimumCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCount */
    if ( strcmp ( argv[2], "GetMaximumCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCount */
    Tcl_DStringAppendElement ( &dString, " Specifies a maximum number of edges to include for each vector.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for GetMaximumCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumCount */
    if ( strcmp ( argv[2], "SetMaximumCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumCount */
    Tcl_DStringAppendElement ( &dString, " Specifies a maximum number of edges to include for each vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumCount(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDotProductSimilarity" );
    /* Closing for SetMaximumCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
