// tcl wrapper for vtkExpandSelectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExpandSelectedGraph.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExpandSelectedGraphNewCommand()
{
  vtkExpandSelectedGraph *temp = vtkExpandSelectedGraph::New();
  return static_cast<ClientData>(temp);
}

int vtkSelectionAlgorithmCppCommand(vtkSelectionAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExpandSelectedGraphCppCommand(vtkExpandSelectedGraph *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExpandSelectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExpandSelectedGraphCppCommand(static_cast<vtkExpandSelectedGraph *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExpandSelectedGraphCppCommand(vtkExpandSelectedGraph *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExpandSelectedGraph",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSelectionAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExpandSelectedGraph  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExpandSelectedGraph");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExpandSelectedGraph  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExpandSelectedGraph");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExpandSelectedGraph  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExpandSelectedGraph");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetGraphConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillInputPortInformation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->FillInputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBFSDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBFSDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBFSDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBFSDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIncludeShortestPaths",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetIncludeShortestPaths(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIncludeShortestPaths",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetIncludeShortestPaths();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IncludeShortestPathsOn",argv[1]))&&(argc == 2))
    {
    op->IncludeShortestPathsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncludeShortestPathsOff",argv[1]))&&(argc == 2))
    {
    op->IncludeShortestPathsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDomain",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDomain(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDomain",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDomain();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseDomain",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseDomain(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseDomain",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseDomain();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseDomainOn",argv[1]))&&(argc == 2))
    {
    op->UseDomainOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseDomainOff",argv[1]))&&(argc == 2))
    {
    op->UseDomainOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExpandSelectedGraphCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExpandSelectedGraph:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FillInputPortInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBFSDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBFSDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetIncludeShortestPaths\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIncludeShortestPaths\n",NULL);
    Tcl_AppendResult(interp,"  IncludeShortestPathsOn\n",NULL);
    Tcl_AppendResult(interp,"  IncludeShortestPathsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDomain\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDomain\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDomain\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDomain\n",NULL);
    Tcl_AppendResult(interp,"  UseDomainOn\n",NULL);
    Tcl_AppendResult(interp,"  UseDomainOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGraphConnection" );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "SetBFSDistance" );
    Tcl_DStringAppendElement ( &dString, "GetBFSDistance" );
    Tcl_DStringAppendElement ( &dString, "SetIncludeShortestPaths" );
    Tcl_DStringAppendElement ( &dString, "GetIncludeShortestPaths" );
    Tcl_DStringAppendElement ( &dString, "IncludeShortestPathsOn" );
    Tcl_DStringAppendElement ( &dString, "IncludeShortestPathsOff" );
    Tcl_DStringAppendElement ( &dString, "SetDomain" );
    Tcl_DStringAppendElement ( &dString, "GetDomain" );
    Tcl_DStringAppendElement ( &dString, "SetUseDomain" );
    Tcl_DStringAppendElement ( &dString, "GetUseDomain" );
    Tcl_DStringAppendElement ( &dString, "UseDomainOn" );
    Tcl_DStringAppendElement ( &dString, "UseDomainOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExpandSelectedGraph *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphConnection */
    if ( strcmp ( argv[2], "SetGraphConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphConnection */
    Tcl_DStringAppendElement ( &dString, " A convenience method for setting the second input (i.e. the graph).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGraphConnection(vtkAlgorithmOutput *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for SetGraphConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillInputPortInformation */
    if ( strcmp ( argv[2], "FillInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillInputPortInformation */
    Tcl_DStringAppendElement ( &dString, " Specify the first vtkSelection input and the second vtkGraph input.\n" );
    Tcl_DStringAppendElement ( &dString, "int FillInputPortInformation(int port, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for FillInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBFSDistance */
    if ( strcmp ( argv[2], "SetBFSDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBFSDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBFSDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get BFSDistance which controls how many 'hops' the selection \n is grown from each seed point in the selection set (defaults to 1)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBFSDistance(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for SetBFSDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBFSDistance */
    if ( strcmp ( argv[2], "GetBFSDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBFSDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBFSDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get BFSDistance which controls how many 'hops' the selection \n is grown from each seed point in the selection set (defaults to 1)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBFSDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for GetBFSDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIncludeShortestPaths */
    if ( strcmp ( argv[2], "SetIncludeShortestPaths" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIncludeShortestPaths" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIncludeShortestPaths */
    Tcl_DStringAppendElement ( &dString, " Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIncludeShortestPaths(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for SetIncludeShortestPaths */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncludeShortestPaths */
    if ( strcmp ( argv[2], "GetIncludeShortestPaths" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncludeShortestPaths" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncludeShortestPaths */
    Tcl_DStringAppendElement ( &dString, " Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetIncludeShortestPaths();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for GetIncludeShortestPaths */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeShortestPathsOn */
    if ( strcmp ( argv[2], "IncludeShortestPathsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeShortestPathsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeShortestPathsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n" );
    Tcl_DStringAppendElement ( &dString, "void IncludeShortestPathsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for IncludeShortestPathsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeShortestPathsOff */
    if ( strcmp ( argv[2], "IncludeShortestPathsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeShortestPathsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeShortestPathsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n" );
    Tcl_DStringAppendElement ( &dString, "void IncludeShortestPathsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for IncludeShortestPathsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDomain */
    if ( strcmp ( argv[2], "SetDomain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDomain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDomain */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertex domain to use in the expansion.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDomain(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for SetDomain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDomain */
    if ( strcmp ( argv[2], "GetDomain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDomain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDomain */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertex domain to use in the expansion.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDomain();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for GetDomain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDomain */
    if ( strcmp ( argv[2], "SetUseDomain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDomain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDomain */
    Tcl_DStringAppendElement ( &dString, " Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDomain(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for SetUseDomain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDomain */
    if ( strcmp ( argv[2], "GetUseDomain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDomain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDomain */
    Tcl_DStringAppendElement ( &dString, " Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseDomain();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for GetUseDomain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDomainOn */
    if ( strcmp ( argv[2], "UseDomainOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDomainOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDomainOn */
    Tcl_DStringAppendElement ( &dString, " Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n" );
    Tcl_DStringAppendElement ( &dString, "void UseDomainOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for UseDomainOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDomainOff */
    if ( strcmp ( argv[2], "UseDomainOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDomainOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDomainOff */
    Tcl_DStringAppendElement ( &dString, " Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n" );
    Tcl_DStringAppendElement ( &dString, "void UseDomainOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExpandSelectedGraph" );
    /* Closing for UseDomainOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
