// tcl wrapper for vtkGraphAnnotationLayersFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphAnnotationLayersFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGraphAnnotationLayersFilterNewCommand()
{
  vtkGraphAnnotationLayersFilter *temp = vtkGraphAnnotationLayersFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphAnnotationLayersFilterCppCommand(vtkGraphAnnotationLayersFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphAnnotationLayersFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphAnnotationLayersFilterCppCommand(static_cast<vtkGraphAnnotationLayersFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphAnnotationLayersFilterCppCommand(vtkGraphAnnotationLayersFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraphAnnotationLayersFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGraphAnnotationLayersFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphAnnotationLayersFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraphAnnotationLayersFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphAnnotationLayersFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGraphAnnotationLayersFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphAnnotationLayersFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("OutlineOn",argv[1]))&&(argc == 2))
    {
    op->OutlineOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineOff",argv[1]))&&(argc == 2))
    {
    op->OutlineOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutline",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOutline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHullShapeToBoundingRectangle",argv[1]))&&(argc == 2))
    {
    op->SetHullShapeToBoundingRectangle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHullShapeToConvexHull",argv[1]))&&(argc == 2))
    {
    op->SetHullShapeToConvexHull();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinHullSizeInWorld",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinHullSizeInWorld(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinHullSizeInDisplay",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinHullSizeInDisplay(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphAnnotationLayersFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraphAnnotationLayersFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHullShapeToBoundingRectangle\n",NULL);
    Tcl_AppendResult(interp,"  SetHullShapeToConvexHull\n",NULL);
    Tcl_AppendResult(interp,"  SetMinHullSizeInWorld\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMinHullSizeInDisplay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetHullShapeToBoundingRectangle" );
    Tcl_DStringAppendElement ( &dString, "SetHullShapeToConvexHull" );
    Tcl_DStringAppendElement ( &dString, "SetMinHullSizeInWorld" );
    Tcl_DStringAppendElement ( &dString, "SetMinHullSizeInDisplay" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraphAnnotationLayersFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOn */
    if ( strcmp ( argv[2], "OutlineOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOn */
    Tcl_DStringAppendElement ( &dString, " Produce outlines of the hulls on output port 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for OutlineOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOff */
    if ( strcmp ( argv[2], "OutlineOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOff */
    Tcl_DStringAppendElement ( &dString, " Produce outlines of the hulls on output port 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for OutlineOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutline */
    if ( strcmp ( argv[2], "SetOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutline */
    Tcl_DStringAppendElement ( &dString, " Produce outlines of the hulls on output port 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutline(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SetOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleFactor */
    if ( strcmp ( argv[2], "SetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Scale each hull by the amount specified. Defaults to 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleFactor(double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHullShapeToBoundingRectangle */
    if ( strcmp ( argv[2], "SetHullShapeToBoundingRectangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHullShapeToBoundingRectangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHullShapeToBoundingRectangle */
    Tcl_DStringAppendElement ( &dString, " Set the shape of the hulls to bounding rectangle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHullShapeToBoundingRectangle();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SetHullShapeToBoundingRectangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHullShapeToConvexHull */
    if ( strcmp ( argv[2], "SetHullShapeToConvexHull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHullShapeToConvexHull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHullShapeToConvexHull */
    Tcl_DStringAppendElement ( &dString, " Set the shape of the hulls to convex hull. Default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHullShapeToConvexHull();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SetHullShapeToConvexHull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinHullSizeInWorld */
    if ( strcmp ( argv[2], "SetMinHullSizeInWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinHullSizeInWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinHullSizeInWorld */
    Tcl_DStringAppendElement ( &dString, " Set the minimum x,y-dimensions of each hull in world coordinates. Defaults\n to 1.0. Set to 0.0 to disable.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinHullSizeInWorld(double size);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SetMinHullSizeInWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinHullSizeInDisplay */
    if ( strcmp ( argv[2], "SetMinHullSizeInDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinHullSizeInDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinHullSizeInDisplay */
    Tcl_DStringAppendElement ( &dString, " Set the minimum x,y-dimensions of each hull in pixels. You must also set a\n vtkRenderer. Defaults to 1. Set to 0 to disable.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinHullSizeInDisplay(int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SetMinHullSizeInDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " Renderer needed for MinHullSizeInDisplay calculation. Not reference counted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderer(vtkRenderer *renderer);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " The modified time of this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphAnnotationLayersFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
