// tcl wrapper for vtkGraphHierarchicalBundleEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphHierarchicalBundleEdges.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGraphHierarchicalBundleEdgesNewCommand()
{
  vtkGraphHierarchicalBundleEdges *temp = vtkGraphHierarchicalBundleEdges::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphHierarchicalBundleEdgesCppCommand(vtkGraphHierarchicalBundleEdges *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphHierarchicalBundleEdgesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphHierarchicalBundleEdgesCppCommand(static_cast<vtkGraphHierarchicalBundleEdges *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphHierarchicalBundleEdgesCppCommand(vtkGraphHierarchicalBundleEdges *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraphHierarchicalBundleEdges",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGraphHierarchicalBundleEdges  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphHierarchicalBundleEdges");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraphHierarchicalBundleEdges  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphHierarchicalBundleEdges");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGraphHierarchicalBundleEdges  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphHierarchicalBundleEdges");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBundlingStrength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBundlingStrength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBundlingStrengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBundlingStrengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBundlingStrengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBundlingStrengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBundlingStrength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBundlingStrength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectMapping",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDirectMapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirectMapping",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDirectMapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DirectMappingOn",argv[1]))&&(argc == 2))
    {
    op->DirectMappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DirectMappingOff",argv[1]))&&(argc == 2))
    {
    op->DirectMappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FillInputPortInformation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->FillInputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphHierarchicalBundleEdgesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraphHierarchicalBundleEdges:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBundlingStrength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBundlingStrengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBundlingStrengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBundlingStrength\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectMapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectMapping\n",NULL);
    Tcl_AppendResult(interp,"  DirectMappingOn\n",NULL);
    Tcl_AppendResult(interp,"  DirectMappingOff\n",NULL);
    Tcl_AppendResult(interp,"  FillInputPortInformation\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "SetDirectMapping" );
    Tcl_DStringAppendElement ( &dString, "GetDirectMapping" );
    Tcl_DStringAppendElement ( &dString, "DirectMappingOn" );
    Tcl_DStringAppendElement ( &dString, "DirectMappingOff" );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraphHierarchicalBundleEdges *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBundlingStrength */
    if ( strcmp ( argv[2], "SetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBundlingStrength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for SetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBundlingStrengthMinValue */
    if ( strcmp ( argv[2], "GetBundlingStrengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBundlingStrengthMinValue */
    Tcl_DStringAppendElement ( &dString, " The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBundlingStrengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for GetBundlingStrengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBundlingStrengthMaxValue */
    if ( strcmp ( argv[2], "GetBundlingStrengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBundlingStrengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBundlingStrengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for GetBundlingStrengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBundlingStrength */
    if ( strcmp ( argv[2], "GetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBundlingStrength();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for GetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectMapping */
    if ( strcmp ( argv[2], "SetDirectMapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectMapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectMapping */
    Tcl_DStringAppendElement ( &dString, " If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectMapping(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for SetDirectMapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirectMapping */
    if ( strcmp ( argv[2], "GetDirectMapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirectMapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirectMapping */
    Tcl_DStringAppendElement ( &dString, " If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDirectMapping();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for GetDirectMapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectMappingOn */
    if ( strcmp ( argv[2], "DirectMappingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectMappingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectMappingOn */
    Tcl_DStringAppendElement ( &dString, " If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectMappingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for DirectMappingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectMappingOff */
    if ( strcmp ( argv[2], "DirectMappingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectMappingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectMappingOff */
    Tcl_DStringAppendElement ( &dString, " If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectMappingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for DirectMappingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillInputPortInformation */
    if ( strcmp ( argv[2], "FillInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillInputPortInformation */
    Tcl_DStringAppendElement ( &dString, " Set the input type of the algorithm to vtkGraph.\n" );
    Tcl_DStringAppendElement ( &dString, "int FillInputPortInformation(int port, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphHierarchicalBundleEdges" );
    /* Closing for FillInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
