// tcl wrapper for vtkGraphLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayout.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGraphLayoutNewCommand()
{
  vtkGraphLayout *temp = vtkGraphLayout::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphLayoutCppCommand(vtkGraphLayout *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphLayoutCppCommand(static_cast<vtkGraphLayout *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphLayoutCppCommand(vtkGraphLayout *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraphLayout",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGraphLayout  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayout");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraphLayout  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayout");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGraphLayout  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayout");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkGraphLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkGraphLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraphLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutStrategy",argv[1]))&&(argc == 2))
    {
    vtkGraphLayoutStrategy  *temp20;
    temp20 = (op)->GetLayoutStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("IsLayoutComplete",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsLayoutComplete();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZRange",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetZRange();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZRange",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetZRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkAbstractTransform  *temp0;
    error = 0;

    temp0 = (vtkAbstractTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractTransform"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseTransform",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseTransform",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseTransform();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseTransformOn",argv[1]))&&(argc == 2))
    {
    op->UseTransformOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseTransformOff",argv[1]))&&(argc == 2))
    {
    op->UseTransformOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphLayoutCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraphLayout:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  IsLayoutComplete\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetZRange\n",NULL);
    Tcl_AppendResult(interp,"  SetZRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTransform\n",NULL);
    Tcl_AppendResult(interp,"  UseTransformOn\n",NULL);
    Tcl_AppendResult(interp,"  UseTransformOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetZRange" );
    Tcl_DStringAppendElement ( &dString, "SetZRange" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "SetUseTransform" );
    Tcl_DStringAppendElement ( &dString, "GetUseTransform" );
    Tcl_DStringAppendElement ( &dString, "UseTransformOn" );
    Tcl_DStringAppendElement ( &dString, "UseTransformOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraphLayout *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use during graph layout.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategy(vtkGraphLayoutStrategy *strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategy */
    if ( strcmp ( argv[2], "GetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use during graph layout.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutStrategy *GetLayoutStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for GetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsLayoutComplete */
    if ( strcmp ( argv[2], "IsLayoutComplete" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLayoutComplete */
    Tcl_DStringAppendElement ( &dString, " Ask the layout algorithm if the layout is complete\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsLayoutComplete();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for IsLayoutComplete */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the modification time of the layout algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZRange */
    if ( strcmp ( argv[2], "GetZRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZRange */
    Tcl_DStringAppendElement ( &dString, " Set the ZRange for the output data.\n If the initial layout is planar (i.e. all z coordinates are zero),\n the coordinates will be evenly spaced from 0.0 to ZRange.\n The default is zero, which has no effect.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetZRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for GetZRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZRange */
    if ( strcmp ( argv[2], "SetZRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZRange */
    Tcl_DStringAppendElement ( &dString, " Set the ZRange for the output data.\n If the initial layout is planar (i.e. all z coordinates are zero),\n the coordinates will be evenly spaced from 0.0 to ZRange.\n The default is zero, which has no effect.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZRange(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for SetZRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Transform the graph vertices after the layout.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Transform the graph vertices after the layout.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransform(vtkAbstractTransform *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseTransform */
    if ( strcmp ( argv[2], "SetUseTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseTransform */
    Tcl_DStringAppendElement ( &dString, " Whether to use the specified transform after layout.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseTransform(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for SetUseTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseTransform */
    if ( strcmp ( argv[2], "GetUseTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseTransform */
    Tcl_DStringAppendElement ( &dString, " Whether to use the specified transform after layout.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for GetUseTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTransformOn */
    if ( strcmp ( argv[2], "UseTransformOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTransformOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTransformOn */
    Tcl_DStringAppendElement ( &dString, " Whether to use the specified transform after layout.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTransformOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for UseTransformOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTransformOff */
    if ( strcmp ( argv[2], "UseTransformOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTransformOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTransformOff */
    Tcl_DStringAppendElement ( &dString, " Whether to use the specified transform after layout.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTransformOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayout" );
    /* Closing for UseTransformOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
