// tcl wrapper for vtkKCoreDecomposition object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKCoreDecomposition.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkKCoreDecompositionNewCommand()
{
  vtkKCoreDecomposition *temp = vtkKCoreDecomposition::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKCoreDecompositionCppCommand(vtkKCoreDecomposition *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKCoreDecompositionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKCoreDecompositionCppCommand(static_cast<vtkKCoreDecomposition *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKCoreDecompositionCppCommand(vtkKCoreDecomposition *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKCoreDecomposition",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKCoreDecomposition  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKCoreDecomposition");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKCoreDecomposition  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKCoreDecomposition");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKCoreDecomposition  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKCoreDecomposition");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOutputArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseInDegreeNeighbors",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseInDegreeNeighbors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseInDegreeNeighbors",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseInDegreeNeighbors();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseInDegreeNeighborsOn",argv[1]))&&(argc == 2))
    {
    op->UseInDegreeNeighborsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseInDegreeNeighborsOff",argv[1]))&&(argc == 2))
    {
    op->UseInDegreeNeighborsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseOutDegreeNeighbors",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseOutDegreeNeighbors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseOutDegreeNeighbors",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseOutDegreeNeighbors();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseOutDegreeNeighborsOn",argv[1]))&&(argc == 2))
    {
    op->UseOutDegreeNeighborsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseOutDegreeNeighborsOff",argv[1]))&&(argc == 2))
    {
    op->UseOutDegreeNeighborsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCheckInputGraph",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCheckInputGraph(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCheckInputGraph",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCheckInputGraph();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckInputGraphOn",argv[1]))&&(argc == 2))
    {
    op->CheckInputGraphOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CheckInputGraphOff",argv[1]))&&(argc == 2))
    {
    op->CheckInputGraphOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkKCoreDecompositionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKCoreDecomposition:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseInDegreeNeighbors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseInDegreeNeighbors\n",NULL);
    Tcl_AppendResult(interp,"  UseInDegreeNeighborsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseInDegreeNeighborsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseOutDegreeNeighbors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseOutDegreeNeighbors\n",NULL);
    Tcl_AppendResult(interp,"  UseOutDegreeNeighborsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseOutDegreeNeighborsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckInputGraph\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckInputGraph\n",NULL);
    Tcl_AppendResult(interp,"  CheckInputGraphOn\n",NULL);
    Tcl_AppendResult(interp,"  CheckInputGraphOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetUseInDegreeNeighbors" );
    Tcl_DStringAppendElement ( &dString, "GetUseInDegreeNeighbors" );
    Tcl_DStringAppendElement ( &dString, "UseInDegreeNeighborsOn" );
    Tcl_DStringAppendElement ( &dString, "UseInDegreeNeighborsOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseOutDegreeNeighbors" );
    Tcl_DStringAppendElement ( &dString, "GetUseOutDegreeNeighbors" );
    Tcl_DStringAppendElement ( &dString, "UseOutDegreeNeighborsOn" );
    Tcl_DStringAppendElement ( &dString, "UseOutDegreeNeighborsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCheckInputGraph" );
    Tcl_DStringAppendElement ( &dString, "GetCheckInputGraph" );
    Tcl_DStringAppendElement ( &dString, "CheckInputGraphOn" );
    Tcl_DStringAppendElement ( &dString, "CheckInputGraphOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkKCoreDecomposition *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputArrayName */
    if ( strcmp ( argv[2], "SetOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the output array name. If no output array name is\n set then the name 'KCoreDecompositionNumbers' is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for SetOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseInDegreeNeighbors */
    if ( strcmp ( argv[2], "SetUseInDegreeNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseInDegreeNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseInDegreeNeighbors */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the in edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseInDegreeNeighbors(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for SetUseInDegreeNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseInDegreeNeighbors */
    if ( strcmp ( argv[2], "GetUseInDegreeNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseInDegreeNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseInDegreeNeighbors */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the in edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseInDegreeNeighbors();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for GetUseInDegreeNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseInDegreeNeighborsOn */
    if ( strcmp ( argv[2], "UseInDegreeNeighborsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInDegreeNeighborsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInDegreeNeighborsOn */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the in edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseInDegreeNeighborsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for UseInDegreeNeighborsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseInDegreeNeighborsOff */
    if ( strcmp ( argv[2], "UseInDegreeNeighborsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInDegreeNeighborsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInDegreeNeighborsOff */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the in edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseInDegreeNeighborsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for UseInDegreeNeighborsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseOutDegreeNeighbors */
    if ( strcmp ( argv[2], "SetUseOutDegreeNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseOutDegreeNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseOutDegreeNeighbors */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the out edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseOutDegreeNeighbors(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for SetUseOutDegreeNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseOutDegreeNeighbors */
    if ( strcmp ( argv[2], "GetUseOutDegreeNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseOutDegreeNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseOutDegreeNeighbors */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the out edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseOutDegreeNeighbors();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for GetUseOutDegreeNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseOutDegreeNeighborsOn */
    if ( strcmp ( argv[2], "UseOutDegreeNeighborsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseOutDegreeNeighborsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseOutDegreeNeighborsOn */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the out edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseOutDegreeNeighborsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for UseOutDegreeNeighborsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseOutDegreeNeighborsOff */
    if ( strcmp ( argv[2], "UseOutDegreeNeighborsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseOutDegreeNeighborsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseOutDegreeNeighborsOff */
    Tcl_DStringAppendElement ( &dString, " Directed graphs only.  Use only the out edges to\n compute the vertex degree of a vertex.  The default\n is to use both in and out edges to compute vertex\n degree.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseOutDegreeNeighborsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for UseOutDegreeNeighborsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckInputGraph */
    if ( strcmp ( argv[2], "SetCheckInputGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckInputGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckInputGraph */
    Tcl_DStringAppendElement ( &dString, " Check the input graph for self loops and parallel\n edges.  The k-core is not defined for graphs that\n contain either of these.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckInputGraph(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for SetCheckInputGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCheckInputGraph */
    if ( strcmp ( argv[2], "GetCheckInputGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckInputGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckInputGraph */
    Tcl_DStringAppendElement ( &dString, " Check the input graph for self loops and parallel\n edges.  The k-core is not defined for graphs that\n contain either of these.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCheckInputGraph();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for GetCheckInputGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckInputGraphOn */
    if ( strcmp ( argv[2], "CheckInputGraphOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckInputGraphOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckInputGraphOn */
    Tcl_DStringAppendElement ( &dString, " Check the input graph for self loops and parallel\n edges.  The k-core is not defined for graphs that\n contain either of these.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void CheckInputGraphOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for CheckInputGraphOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckInputGraphOff */
    if ( strcmp ( argv[2], "CheckInputGraphOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckInputGraphOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckInputGraphOff */
    Tcl_DStringAppendElement ( &dString, " Check the input graph for self loops and parallel\n edges.  The k-core is not defined for graphs that\n contain either of these.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void CheckInputGraphOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreDecomposition" );
    /* Closing for CheckInputGraphOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
