// python wrapper for vtkKCoreLayout
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkKCoreLayout.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkKCoreLayout(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkKCoreLayout(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKCoreLayoutNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKCoreLayoutNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGraphAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkGraphAlgorithmNew
#endif

static const char **PyvtkKCoreLayout_Doc();


static PyObject *
PyvtkKCoreLayout_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkKCoreLayout::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkKCoreLayout::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkKCoreLayout *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkKCoreLayout::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkKCoreLayout *tempr = vtkKCoreLayout::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetGraphConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGraphConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetGraphConnection(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetGraphConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_FillInputPortInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FillInputPortInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  int temp0;
  vtkInformation *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkInformation"))
    {
    int tempr = (ap.IsBound() ?
      op->FillInputPortInformation(temp0, temp1) :
      op->vtkKCoreLayout::FillInputPortInformation(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetKCoreLabelArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKCoreLabelArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKCoreLabelArrayName(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetKCoreLabelArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetPolar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPolar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetPolar() :
      op->vtkKCoreLayout::GetPolar());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetPolar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPolar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPolar(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetPolar(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_PolarOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PolarOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PolarOn();
      }
    else
      {
      op->vtkKCoreLayout::PolarOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_PolarOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PolarOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PolarOff();
      }
    else
      {
      op->vtkKCoreLayout::PolarOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetCartesian(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCartesian");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetCartesian() :
      op->vtkKCoreLayout::GetCartesian());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetCartesian(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCartesian");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCartesian(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetCartesian(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_CartesianOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CartesianOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CartesianOn();
      }
    else
      {
      op->vtkKCoreLayout::CartesianOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_CartesianOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CartesianOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CartesianOff();
      }
    else
      {
      op->vtkKCoreLayout::CartesianOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetPolarCoordsRadiusArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPolarCoordsRadiusArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPolarCoordsRadiusArrayName(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetPolarCoordsRadiusArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetPolarCoordsRadiusArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPolarCoordsRadiusArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetPolarCoordsRadiusArrayName() :
      op->vtkKCoreLayout::GetPolarCoordsRadiusArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetPolarCoordsAngleArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPolarCoordsAngleArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPolarCoordsAngleArrayName(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetPolarCoordsAngleArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetPolarCoordsAngleArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPolarCoordsAngleArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetPolarCoordsAngleArrayName() :
      op->vtkKCoreLayout::GetPolarCoordsAngleArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetCartesianCoordsXArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCartesianCoordsXArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCartesianCoordsXArrayName(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetCartesianCoordsXArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetCartesianCoordsXArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCartesianCoordsXArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetCartesianCoordsXArrayName() :
      op->vtkKCoreLayout::GetCartesianCoordsXArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetCartesianCoordsYArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCartesianCoordsYArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCartesianCoordsYArrayName(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetCartesianCoordsYArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetCartesianCoordsYArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCartesianCoordsYArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetCartesianCoordsYArrayName() :
      op->vtkKCoreLayout::GetCartesianCoordsYArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetEpsilon(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEpsilon");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  float temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEpsilon(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetEpsilon(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetEpsilon(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEpsilon");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float tempr = (ap.IsBound() ?
      op->GetEpsilon() :
      op->vtkKCoreLayout::GetEpsilon());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_SetUnitRadius(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUnitRadius");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  float temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUnitRadius(temp0);
      }
    else
      {
      op->vtkKCoreLayout::SetUnitRadius(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKCoreLayout_GetUnitRadius(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUnitRadius");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKCoreLayout *op = static_cast<vtkKCoreLayout *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float tempr = (ap.IsBound() ?
      op->GetUnitRadius() :
      op->vtkKCoreLayout::GetUnitRadius());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkKCoreLayout_Methods[] = {
  {(char*)"GetClassName", PyvtkKCoreLayout_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkKCoreLayout_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkKCoreLayout_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKCoreLayout\nC++: vtkKCoreLayout *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkKCoreLayout_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKCoreLayout\nC++: vtkKCoreLayout *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetGraphConnection", PyvtkKCoreLayout_SetGraphConnection, 1,
   (char*)"V.SetGraphConnection(vtkAlgorithmOutput)\nC++: void SetGraphConnection(vtkAlgorithmOutput *)\n\n"},
  {(char*)"FillInputPortInformation", PyvtkKCoreLayout_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation(int port, vtkInformation *info)\n\n"},
  {(char*)"SetKCoreLabelArrayName", PyvtkKCoreLayout_SetKCoreLabelArrayName, 1,
   (char*)"V.SetKCoreLabelArrayName(string)\nC++: void SetKCoreLabelArrayName(char *)\n\nSet the name of the vertex attribute array storing k-core labels.\nDefault: kcore\n"},
  {(char*)"GetPolar", PyvtkKCoreLayout_GetPolar, 1,
   (char*)"V.GetPolar() -> bool\nC++: bool GetPolar()\n\nOutput polar coordinates for vertices if True.  Default column\nnames are coord_radius, coord_angle. Default: False\n"},
  {(char*)"SetPolar", PyvtkKCoreLayout_SetPolar, 1,
   (char*)"V.SetPolar(bool)\nC++: void SetPolar(bool a)\n\nOutput polar coordinates for vertices if True.  Default column\nnames are coord_radius, coord_angle. Default: False\n"},
  {(char*)"PolarOn", PyvtkKCoreLayout_PolarOn, 1,
   (char*)"V.PolarOn()\nC++: void PolarOn()\n\nOutput polar coordinates for vertices if True.  Default column\nnames are coord_radius, coord_angle. Default: False\n"},
  {(char*)"PolarOff", PyvtkKCoreLayout_PolarOff, 1,
   (char*)"V.PolarOff()\nC++: void PolarOff()\n\nOutput polar coordinates for vertices if True.  Default column\nnames are coord_radius, coord_angle. Default: False\n"},
  {(char*)"GetCartesian", PyvtkKCoreLayout_GetCartesian, 1,
   (char*)"V.GetCartesian() -> bool\nC++: bool GetCartesian()\n\nSet whether or not to convert output to cartesian coordinates. \nIf false, coordinates will be returned in polar coordinates\n(radius, angle). Default: True\n"},
  {(char*)"SetCartesian", PyvtkKCoreLayout_SetCartesian, 1,
   (char*)"V.SetCartesian(bool)\nC++: void SetCartesian(bool a)\n\nSet whether or not to convert output to cartesian coordinates. \nIf false, coordinates will be returned in polar coordinates\n(radius, angle). Default: True\n"},
  {(char*)"CartesianOn", PyvtkKCoreLayout_CartesianOn, 1,
   (char*)"V.CartesianOn()\nC++: void CartesianOn()\n\nSet whether or not to convert output to cartesian coordinates. \nIf false, coordinates will be returned in polar coordinates\n(radius, angle). Default: True\n"},
  {(char*)"CartesianOff", PyvtkKCoreLayout_CartesianOff, 1,
   (char*)"V.CartesianOff()\nC++: void CartesianOff()\n\nSet whether or not to convert output to cartesian coordinates. \nIf false, coordinates will be returned in polar coordinates\n(radius, angle). Default: True\n"},
  {(char*)"SetPolarCoordsRadiusArrayName", PyvtkKCoreLayout_SetPolarCoordsRadiusArrayName, 1,
   (char*)"V.SetPolarCoordsRadiusArrayName(string)\nC++: void SetPolarCoordsRadiusArrayName(char *)\n\nPolar coordinates array name for radius values. This is only used\nif OutputCartesianCoordinates is False. Default: coord_radius\n"},
  {(char*)"GetPolarCoordsRadiusArrayName", PyvtkKCoreLayout_GetPolarCoordsRadiusArrayName, 1,
   (char*)"V.GetPolarCoordsRadiusArrayName() -> string\nC++: char *GetPolarCoordsRadiusArrayName()\n\nPolar coordinates array name for radius values. This is only used\nif OutputCartesianCoordinates is False. Default: coord_radius\n"},
  {(char*)"SetPolarCoordsAngleArrayName", PyvtkKCoreLayout_SetPolarCoordsAngleArrayName, 1,
   (char*)"V.SetPolarCoordsAngleArrayName(string)\nC++: void SetPolarCoordsAngleArrayName(char *)\n\nPolar coordinates array name for angle values in radians. This is\nonly used if OutputCartesianCoordinates is False. Default:\ncoord_angle\n"},
  {(char*)"GetPolarCoordsAngleArrayName", PyvtkKCoreLayout_GetPolarCoordsAngleArrayName, 1,
   (char*)"V.GetPolarCoordsAngleArrayName() -> string\nC++: char *GetPolarCoordsAngleArrayName()\n\nPolar coordinates array name for angle values in radians. This is\nonly used if OutputCartesianCoordinates is False. Default:\ncoord_angle\n"},
  {(char*)"SetCartesianCoordsXArrayName", PyvtkKCoreLayout_SetCartesianCoordsXArrayName, 1,
   (char*)"V.SetCartesianCoordsXArrayName(string)\nC++: void SetCartesianCoordsXArrayName(char *)\n\nCartesian coordinates array name for the X coordinates. This is\nonly used if OutputCartesianCoordinates is True. Default: coord_x\n"},
  {(char*)"GetCartesianCoordsXArrayName", PyvtkKCoreLayout_GetCartesianCoordsXArrayName, 1,
   (char*)"V.GetCartesianCoordsXArrayName() -> string\nC++: char *GetCartesianCoordsXArrayName()\n\nCartesian coordinates array name for the X coordinates. This is\nonly used if OutputCartesianCoordinates is True. Default: coord_x\n"},
  {(char*)"SetCartesianCoordsYArrayName", PyvtkKCoreLayout_SetCartesianCoordsYArrayName, 1,
   (char*)"V.SetCartesianCoordsYArrayName(string)\nC++: void SetCartesianCoordsYArrayName(char *)\n\nCartesian coordinates array name for the Y coordinates. This is\nonly used if OutputCartesianCoordinates is True. Default: coord_y\n"},
  {(char*)"GetCartesianCoordsYArrayName", PyvtkKCoreLayout_GetCartesianCoordsYArrayName, 1,
   (char*)"V.GetCartesianCoordsYArrayName() -> string\nC++: char *GetCartesianCoordsYArrayName()\n\nCartesian coordinates array name for the Y coordinates. This is\nonly used if OutputCartesianCoordinates is True. Default: coord_y\n"},
  {(char*)"SetEpsilon", PyvtkKCoreLayout_SetEpsilon, 1,
   (char*)"V.SetEpsilon(float)\nC++: void SetEpsilon(float a)\n\nEpsilon value used in the algorithm. Default = 0.2\n"},
  {(char*)"GetEpsilon", PyvtkKCoreLayout_GetEpsilon, 1,
   (char*)"V.GetEpsilon() -> float\nC++: float GetEpsilon()\n\nEpsilon value used in the algorithm. Default = 0.2\n"},
  {(char*)"SetUnitRadius", PyvtkKCoreLayout_SetUnitRadius, 1,
   (char*)"V.SetUnitRadius(float)\nC++: void SetUnitRadius(float a)\n\nUnit Radius value used in the algorithm. Default = 1.0\n"},
  {(char*)"GetUnitRadius", PyvtkKCoreLayout_GetUnitRadius, 1,
   (char*)"V.GetUnitRadius() -> float\nC++: float GetUnitRadius()\n\nUnit Radius value used in the algorithm. Default = 1.0\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkKCoreLayout_StaticNew()
{
  return vtkKCoreLayout::New();
}

PyObject *PyVTKClass_vtkKCoreLayoutNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkKCoreLayout_StaticNew,
    PyvtkKCoreLayout_Methods,
    "vtkKCoreLayout", modulename,
    NULL, NULL,
    PyvtkKCoreLayout_Doc(),
    PyVTKClass_vtkGraphAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkKCoreLayout_Doc()
{
  static const char *docstring[] = {
    "vtkKCoreLayout - Produces a layout for a graph labeled with K-Core\n\n",
    "Superclass: vtkGraphAlgorithm\n\n",
    "vtkKCoreLayout creates coordinates for each vertex that can be used\nto perform a layout for a k-core view. Prerequisite:  Vertices must\nhave an attribute array containing their\n               k-core number.  This layout is based on the algorithm\n               described in the paper: \"k-core decomposition: a tool\n               for the visualization of large scale networks\", by\n               Igna",
    "cio Alvarez-Hamelin et. al.\n\n\n               This graph algorithm appends either polar coordinates\nor cartesian coordinates\n               as vertex attributes to the graph giving the position\nof the vertex in a layout.\n               Input graphs must have the k-core number assigned to\neach vertex (default\n               attribute array storing kcore numbers is \"kcore\").\n\n\n               Epsilon ",
    "- this factor is used to adjust the amount\nvertices are 'pulled' out of\n                         their default ring radius based on the\nnumber of neighbors in higher\n                         cores.  Default=0.2\n               UnitRadius - Tweaks the base unit radius value. \nDefault=1.0\n\n\n               Still TODO: Still need to work on the\nconnected-components within each shell and\n               ",
    "            associated layout issues with that.\n\nInput port 0: graph\n\nThanks:\n\nThanks to William McLendon from Sandia National Laboratories for\nproviding this implementation.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkKCoreLayout(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkKCoreLayoutNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkKCoreLayout", o) != 0)
    {
    Py_DECREF(o);
    }

}

