// tcl wrapper for vtkKCoreLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKCoreLayout.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkKCoreLayoutNewCommand()
{
  vtkKCoreLayout *temp = vtkKCoreLayout::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKCoreLayoutCppCommand(vtkKCoreLayout *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKCoreLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKCoreLayoutCppCommand(static_cast<vtkKCoreLayout *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKCoreLayoutCppCommand(vtkKCoreLayout *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKCoreLayout",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKCoreLayout  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKCoreLayout");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKCoreLayout  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKCoreLayout");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKCoreLayout  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKCoreLayout");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetGraphConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FillInputPortInformation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->FillInputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKCoreLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetKCoreLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolar",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPolar();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPolar",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPolar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PolarOn",argv[1]))&&(argc == 2))
    {
    op->PolarOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolarOff",argv[1]))&&(argc == 2))
    {
    op->PolarOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCartesian",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCartesian();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCartesian",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCartesian(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CartesianOn",argv[1]))&&(argc == 2))
    {
    op->CartesianOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CartesianOff",argv[1]))&&(argc == 2))
    {
    op->CartesianOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolarCoordsRadiusArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPolarCoordsRadiusArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarCoordsRadiusArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPolarCoordsRadiusArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPolarCoordsAngleArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPolarCoordsAngleArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolarCoordsAngleArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPolarCoordsAngleArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCartesianCoordsXArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCartesianCoordsXArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCartesianCoordsXArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCartesianCoordsXArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCartesianCoordsYArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCartesianCoordsYArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCartesianCoordsYArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCartesianCoordsYArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEpsilon",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEpsilon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEpsilon",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetEpsilon();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUnitRadius",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetUnitRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUnitRadius",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetUnitRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkKCoreLayoutCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKCoreLayout:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FillInputPortInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKCoreLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolar\n",NULL);
    Tcl_AppendResult(interp,"  SetPolar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PolarOn\n",NULL);
    Tcl_AppendResult(interp,"  PolarOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCartesian\n",NULL);
    Tcl_AppendResult(interp,"  SetCartesian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CartesianOn\n",NULL);
    Tcl_AppendResult(interp,"  CartesianOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarCoordsRadiusArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarCoordsRadiusArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetPolarCoordsAngleArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolarCoordsAngleArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetCartesianCoordsXArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCartesianCoordsXArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetCartesianCoordsYArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCartesianCoordsYArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEpsilon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEpsilon\n",NULL);
    Tcl_AppendResult(interp,"  SetUnitRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUnitRadius\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGraphConnection" );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "SetKCoreLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPolar" );
    Tcl_DStringAppendElement ( &dString, "SetPolar" );
    Tcl_DStringAppendElement ( &dString, "PolarOn" );
    Tcl_DStringAppendElement ( &dString, "PolarOff" );
    Tcl_DStringAppendElement ( &dString, "GetCartesian" );
    Tcl_DStringAppendElement ( &dString, "SetCartesian" );
    Tcl_DStringAppendElement ( &dString, "CartesianOn" );
    Tcl_DStringAppendElement ( &dString, "CartesianOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolarCoordsRadiusArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPolarCoordsRadiusArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetPolarCoordsAngleArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPolarCoordsAngleArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCartesianCoordsXArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCartesianCoordsXArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCartesianCoordsYArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCartesianCoordsYArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEpsilon" );
    Tcl_DStringAppendElement ( &dString, "GetEpsilon" );
    Tcl_DStringAppendElement ( &dString, "SetUnitRadius" );
    Tcl_DStringAppendElement ( &dString, "GetUnitRadius" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkKCoreLayout *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphConnection */
    if ( strcmp ( argv[2], "SetGraphConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphConnection */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGraphConnection(vtkAlgorithmOutput *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetGraphConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FillInputPortInformation */
    if ( strcmp ( argv[2], "FillInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillInputPortInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int FillInputPortInformation(int port, vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for FillInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKCoreLabelArrayName */
    if ( strcmp ( argv[2], "SetKCoreLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKCoreLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKCoreLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the vertex attribute array storing k-core labels.\n Default: kcore\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKCoreLabelArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetKCoreLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolar */
    if ( strcmp ( argv[2], "GetPolar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolar */
    Tcl_DStringAppendElement ( &dString, " Output polar coordinates for vertices if True.  Default column names are\n coord_radius, coord_angle.\n Default: False\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPolar();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetPolar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolar */
    if ( strcmp ( argv[2], "SetPolar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolar */
    Tcl_DStringAppendElement ( &dString, " Output polar coordinates for vertices if True.  Default column names are\n coord_radius, coord_angle.\n Default: False\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolar(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetPolar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarOn */
    if ( strcmp ( argv[2], "PolarOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarOn */
    Tcl_DStringAppendElement ( &dString, " Output polar coordinates for vertices if True.  Default column names are\n coord_radius, coord_angle.\n Default: False\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for PolarOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolarOff */
    if ( strcmp ( argv[2], "PolarOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolarOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolarOff */
    Tcl_DStringAppendElement ( &dString, " Output polar coordinates for vertices if True.  Default column names are\n coord_radius, coord_angle.\n Default: False\n" );
    Tcl_DStringAppendElement ( &dString, "void PolarOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for PolarOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCartesian */
    if ( strcmp ( argv[2], "GetCartesian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCartesian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCartesian */
    Tcl_DStringAppendElement ( &dString, " Set whether or not to convert output to cartesian coordinates.  If false, coordinates\n will be returned in polar coordinates (radius, angle).\n Default: True\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCartesian();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetCartesian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCartesian */
    if ( strcmp ( argv[2], "SetCartesian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCartesian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCartesian */
    Tcl_DStringAppendElement ( &dString, " Set whether or not to convert output to cartesian coordinates.  If false, coordinates\n will be returned in polar coordinates (radius, angle).\n Default: True\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCartesian(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetCartesian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CartesianOn */
    if ( strcmp ( argv[2], "CartesianOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CartesianOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CartesianOn */
    Tcl_DStringAppendElement ( &dString, " Set whether or not to convert output to cartesian coordinates.  If false, coordinates\n will be returned in polar coordinates (radius, angle).\n Default: True\n" );
    Tcl_DStringAppendElement ( &dString, "void CartesianOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for CartesianOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CartesianOff */
    if ( strcmp ( argv[2], "CartesianOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CartesianOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CartesianOff */
    Tcl_DStringAppendElement ( &dString, " Set whether or not to convert output to cartesian coordinates.  If false, coordinates\n will be returned in polar coordinates (radius, angle).\n Default: True\n" );
    Tcl_DStringAppendElement ( &dString, "void CartesianOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for CartesianOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarCoordsRadiusArrayName */
    if ( strcmp ( argv[2], "SetPolarCoordsRadiusArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarCoordsRadiusArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarCoordsRadiusArrayName */
    Tcl_DStringAppendElement ( &dString, " Polar coordinates array name for radius values.\n This is only used if OutputCartesianCoordinates is False.\n Default: coord_radius\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarCoordsRadiusArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetPolarCoordsRadiusArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarCoordsRadiusArrayName */
    if ( strcmp ( argv[2], "GetPolarCoordsRadiusArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarCoordsRadiusArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarCoordsRadiusArrayName */
    Tcl_DStringAppendElement ( &dString, " Polar coordinates array name for radius values.\n This is only used if OutputCartesianCoordinates is False.\n Default: coord_radius\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPolarCoordsRadiusArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetPolarCoordsRadiusArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolarCoordsAngleArrayName */
    if ( strcmp ( argv[2], "SetPolarCoordsAngleArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolarCoordsAngleArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolarCoordsAngleArrayName */
    Tcl_DStringAppendElement ( &dString, " Polar coordinates array name for angle values in radians.\n This is only used if OutputCartesianCoordinates is False.\n Default: coord_angle\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolarCoordsAngleArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetPolarCoordsAngleArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolarCoordsAngleArrayName */
    if ( strcmp ( argv[2], "GetPolarCoordsAngleArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolarCoordsAngleArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolarCoordsAngleArrayName */
    Tcl_DStringAppendElement ( &dString, " Polar coordinates array name for angle values in radians.\n This is only used if OutputCartesianCoordinates is False.\n Default: coord_angle\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPolarCoordsAngleArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetPolarCoordsAngleArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCartesianCoordsXArrayName */
    if ( strcmp ( argv[2], "SetCartesianCoordsXArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCartesianCoordsXArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCartesianCoordsXArrayName */
    Tcl_DStringAppendElement ( &dString, " Cartesian coordinates array name for the X coordinates.\n This is only used if OutputCartesianCoordinates is True.\n Default: coord_x\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCartesianCoordsXArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetCartesianCoordsXArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCartesianCoordsXArrayName */
    if ( strcmp ( argv[2], "GetCartesianCoordsXArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCartesianCoordsXArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCartesianCoordsXArrayName */
    Tcl_DStringAppendElement ( &dString, " Cartesian coordinates array name for the X coordinates.\n This is only used if OutputCartesianCoordinates is True.\n Default: coord_x\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCartesianCoordsXArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetCartesianCoordsXArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCartesianCoordsYArrayName */
    if ( strcmp ( argv[2], "SetCartesianCoordsYArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCartesianCoordsYArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCartesianCoordsYArrayName */
    Tcl_DStringAppendElement ( &dString, " Cartesian coordinates array name for the Y coordinates.\n This is only used if OutputCartesianCoordinates is True.\n Default: coord_y\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCartesianCoordsYArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetCartesianCoordsYArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCartesianCoordsYArrayName */
    if ( strcmp ( argv[2], "GetCartesianCoordsYArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCartesianCoordsYArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCartesianCoordsYArrayName */
    Tcl_DStringAppendElement ( &dString, " Cartesian coordinates array name for the Y coordinates.\n This is only used if OutputCartesianCoordinates is True.\n Default: coord_y\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCartesianCoordsYArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetCartesianCoordsYArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEpsilon */
    if ( strcmp ( argv[2], "SetEpsilon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEpsilon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEpsilon */
    Tcl_DStringAppendElement ( &dString, " Epsilon value used in the algorithm.\n Default = 0.2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEpsilon(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetEpsilon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEpsilon */
    if ( strcmp ( argv[2], "GetEpsilon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEpsilon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEpsilon */
    Tcl_DStringAppendElement ( &dString, " Epsilon value used in the algorithm.\n Default = 0.2\n" );
    Tcl_DStringAppendElement ( &dString, "float GetEpsilon();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetEpsilon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUnitRadius */
    if ( strcmp ( argv[2], "SetUnitRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUnitRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUnitRadius */
    Tcl_DStringAppendElement ( &dString, " Unit Radius value used in the algorithm.\n Default = 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUnitRadius(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for SetUnitRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUnitRadius */
    if ( strcmp ( argv[2], "GetUnitRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnitRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnitRadius */
    Tcl_DStringAppendElement ( &dString, " Unit Radius value used in the algorithm.\n Default = 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "float GetUnitRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkKCoreLayout" );
    /* Closing for GetUnitRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
