// tcl wrapper for vtkPCAStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCAStatistics.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPCAStatisticsNewCommand()
{
  vtkPCAStatistics *temp = vtkPCAStatistics::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiCorrelativeStatisticsCppCommand(vtkMultiCorrelativeStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPCAStatisticsCppCommand(vtkPCAStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPCAStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPCAStatisticsCppCommand(static_cast<vtkPCAStatistics *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPCAStatisticsCppCommand(vtkPCAStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPCAStatistics",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiCorrelativeStatisticsCppCommand(static_cast<vtkMultiCorrelativeStatistics *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiCorrelativeStatistics"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPCAStatistics  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPCAStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPCAStatistics  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPCAStatistics");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPCAStatistics  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPCAStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizationScheme",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalizationScheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizationScheme",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalizationScheme();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizationSchemeByName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNormalizationSchemeByName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizationSchemeName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalizationSchemeName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecifiedNormalization",argv[1]))&&(argc == 2))
    {
    vtkTable  *temp20;
    temp20 = (op)->GetSpecifiedNormalization();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
    }
  if ((!strcmp("SetSpecifiedNormalization",argv[1]))&&(argc == 3))
    {
    vtkTable  *temp0;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    if (!error)
    {
    op->SetSpecifiedNormalization(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvalues",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDoubleArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->GetEigenvalues(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvalues",argv[1]))&&(argc == 3))
    {
    vtkDoubleArray  *temp0;
    error = 0;

    temp0 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->GetEigenvalues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvalue",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEigenvalue(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvalue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEigenvalue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvectors",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDoubleArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->GetEigenvectors(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvectors",argv[1]))&&(argc == 3))
    {
    vtkDoubleArray  *temp0;
    error = 0;

    temp0 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->GetEigenvectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvector",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDoubleArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->GetEigenvector(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEigenvector",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    vtkDoubleArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    op->GetEigenvector(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBasisScheme",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBasisScheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBasisScheme",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBasisScheme();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBasisSchemeName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBasisSchemeName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBasisSchemeByName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBasisSchemeByName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFixedBasisSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFixedBasisSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFixedBasisSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFixedBasisSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFixedBasisEnergy",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFixedBasisEnergy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFixedBasisEnergyMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFixedBasisEnergyMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFixedBasisEnergyMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFixedBasisEnergyMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFixedBasisEnergy",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFixedBasisEnergy();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPCAStatisticsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiCorrelativeStatisticsCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPCAStatistics:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizationScheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizationScheme\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizationSchemeByName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizationSchemeName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecifiedNormalization\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecifiedNormalization\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvalues\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvalues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvalue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvalue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvectors\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvector\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEigenvector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBasisScheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBasisScheme\n",NULL);
    Tcl_AppendResult(interp,"  GetBasisSchemeName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBasisSchemeByName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFixedBasisSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFixedBasisSize\n",NULL);
    Tcl_AppendResult(interp,"  SetFixedBasisEnergy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFixedBasisEnergyMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFixedBasisEnergyMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFixedBasisEnergy\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiCorrelativeStatisticsCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizationScheme" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizationScheme" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizationSchemeByName" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizationSchemeName" );
    Tcl_DStringAppendElement ( &dString, "GetSpecifiedNormalization" );
    Tcl_DStringAppendElement ( &dString, "SetSpecifiedNormalization" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalues" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalues" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalue" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalue" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvectors" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvectors" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvector" );
    Tcl_DStringAppendElement ( &dString, "GetEigenvector" );
    Tcl_DStringAppendElement ( &dString, "SetBasisScheme" );
    Tcl_DStringAppendElement ( &dString, "GetBasisScheme" );
    Tcl_DStringAppendElement ( &dString, "GetBasisSchemeName" );
    Tcl_DStringAppendElement ( &dString, "SetBasisSchemeByName" );
    Tcl_DStringAppendElement ( &dString, "SetFixedBasisSize" );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisSize" );
    Tcl_DStringAppendElement ( &dString, "SetFixedBasisEnergy" );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisEnergyMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisEnergyMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisEnergy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiCorrelativeStatisticsCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPCAStatistics *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizationScheme */
    if ( strcmp ( argv[2], "SetNormalizationScheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizationScheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizationScheme */
    Tcl_DStringAppendElement ( &dString, " This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizationScheme(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SetNormalizationScheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizationScheme */
    if ( strcmp ( argv[2], "GetNormalizationScheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizationScheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizationScheme */
    Tcl_DStringAppendElement ( &dString, " This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalizationScheme();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetNormalizationScheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizationSchemeByName */
    if ( strcmp ( argv[2], "SetNormalizationSchemeByName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizationSchemeByName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizationSchemeByName */
    Tcl_DStringAppendElement ( &dString, " This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNormalizationSchemeByName(const char *sname);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SetNormalizationSchemeByName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizationSchemeName */
    if ( strcmp ( argv[2], "GetNormalizationSchemeName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizationSchemeName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizationSchemeName */
    Tcl_DStringAppendElement ( &dString, " This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetNormalizationSchemeName(int scheme);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetNormalizationSchemeName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecifiedNormalization */
    if ( strcmp ( argv[2], "GetSpecifiedNormalization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecifiedNormalization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecifiedNormalization */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to set/get values used to normalize the covariance matrix before PCA.\n The normalization values apply to all requests, so you do not specify a single\n vector but a 3-column table.\n\n The first two columns contain the names of columns from input 0 and the third column contains\n the value to normalize the corresponding entry in the covariance matrix.\n The table must always have 3 columns even when the NormalizationScheme is DIAGONAL_SPECIFIED.\n W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTable *GetSpecifiedNormalization();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetSpecifiedNormalization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecifiedNormalization */
    if ( strcmp ( argv[2], "SetSpecifiedNormalization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecifiedNormalization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecifiedNormalization */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to set/get values used to normalize the covariance matrix before PCA.\n The normalization values apply to all requests, so you do not specify a single\n vector but a 3-column table.\n\n The first two columns contain the names of columns from input 0 and the third column contains\n the value to normalize the corresponding entry in the covariance matrix.\n The table must always have 3 columns even when the NormalizationScheme is DIAGONAL_SPECIFIED.\n W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSpecifiedNormalization(vtkTable *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SetSpecifiedNormalization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvalues */
    if ( strcmp ( argv[2], "GetEigenvalues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvalues */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvalues. The eigenvalues are ordered according from largest to smallest.\n This function:\n void GetEigenvalues(int request, int i, vtkDoubleArray*);\n does all of the work. The other functions simply call this function with the appropriate\n parameters. These functions are not valid unless Update() has been called and the Derive\n option is turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetEigenvalues(int request, vtkDoubleArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvalues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvalues */
    if ( strcmp ( argv[2], "GetEigenvalues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvalues */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvalues. The eigenvalues are ordered according from largest to smallest.\n This function:\n void GetEigenvalues(int request, int i, vtkDoubleArray*);\n does all of the work. The other functions simply call this function with the appropriate\n parameters. These functions are not valid unless Update() has been called and the Derive\n option is turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetEigenvalues(vtkDoubleArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvalues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvalue */
    if ( strcmp ( argv[2], "GetEigenvalue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvalue */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvalues. The eigenvalues are ordered according from largest to smallest.\n This function:\n void GetEigenvalues(int request, int i, vtkDoubleArray*);\n does all of the work. The other functions simply call this function with the appropriate\n parameters. These functions are not valid unless Update() has been called and the Derive\n option is turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEigenvalue(int request, int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvalue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvalue */
    if ( strcmp ( argv[2], "GetEigenvalue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvalue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvalue */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvalues. The eigenvalues are ordered according from largest to smallest.\n This function:\n void GetEigenvalues(int request, int i, vtkDoubleArray*);\n does all of the work. The other functions simply call this function with the appropriate\n parameters. These functions are not valid unless Update() has been called and the Derive\n option is turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEigenvalue(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvalue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvectors */
    if ( strcmp ( argv[2], "GetEigenvectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvectors */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvectors. The eigenvectors are ordered according to the magnitude of their\n associated eigenvalues, sorted from largest to smallest. That is, eigenvector 0 corresponds\n to the largest eigenvalue.\n This function:\n void GetEigenvectors(int request, vtkDoubleArray* eigenvectors)\n does all of the work. The other functions are convenience functions that call this function\n with default arguments. These functions are not valid unless Update() has been called and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GetEigenvectors(int request, vtkDoubleArray *eigenvectors);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvectors */
    if ( strcmp ( argv[2], "GetEigenvectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvectors */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvectors. The eigenvectors are ordered according to the magnitude of their\n associated eigenvalues, sorted from largest to smallest. That is, eigenvector 0 corresponds\n to the largest eigenvalue.\n This function:\n void GetEigenvectors(int request, vtkDoubleArray* eigenvectors)\n does all of the work. The other functions are convenience functions that call this function\n with default arguments. These functions are not valid unless Update() has been called and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GetEigenvectors(vtkDoubleArray *eigenvectors);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvector */
    if ( strcmp ( argv[2], "GetEigenvector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvector */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvectors. The eigenvectors are ordered according to the magnitude of their\n associated eigenvalues, sorted from largest to smallest. That is, eigenvector 0 corresponds\n to the largest eigenvalue.\n This function:\n void GetEigenvectors(int request, vtkDoubleArray* eigenvectors)\n does all of the work. The other functions are convenience functions that call this function\n with default arguments. These functions are not valid unless Update() has been called and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GetEigenvector(int i, vtkDoubleArray *eigenvector);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEigenvector */
    if ( strcmp ( argv[2], "GetEigenvector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEigenvector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEigenvector */
    Tcl_DStringAppendElement ( &dString, " Get the eigenvectors. The eigenvectors are ordered according to the magnitude of their\n associated eigenvalues, sorted from largest to smallest. That is, eigenvector 0 corresponds\n to the largest eigenvalue.\n This function:\n void GetEigenvectors(int request, vtkDoubleArray* eigenvectors)\n does all of the work. The other functions are convenience functions that call this function\n with default arguments. These functions are not valid unless Update() has been called and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GetEigenvector(int request, int i, vtkDoubleArray *eigenvector);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetEigenvector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBasisScheme */
    if ( strcmp ( argv[2], "SetBasisScheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBasisScheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBasisScheme */
    Tcl_DStringAppendElement ( &dString, " This variable controls the dimensionality of output tuples in Assess operation.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBasisScheme(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SetBasisScheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBasisScheme */
    if ( strcmp ( argv[2], "GetBasisScheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBasisScheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBasisScheme */
    Tcl_DStringAppendElement ( &dString, " This variable controls the dimensionality of output tuples in Assess operation.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBasisScheme();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetBasisScheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBasisSchemeName */
    if ( strcmp ( argv[2], "GetBasisSchemeName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBasisSchemeName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBasisSchemeName */
    Tcl_DStringAppendElement ( &dString, " This variable controls the dimensionality of output tuples in Assess operation.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetBasisSchemeName(int schemeIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetBasisSchemeName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBasisSchemeByName */
    if ( strcmp ( argv[2], "SetBasisSchemeByName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBasisSchemeByName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBasisSchemeByName */
    Tcl_DStringAppendElement ( &dString, " This variable controls the dimensionality of output tuples in Assess operation.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBasisSchemeByName(const char *schemeName);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SetBasisSchemeByName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFixedBasisSize */
    if ( strcmp ( argv[2], "SetFixedBasisSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedBasisSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedBasisSize */
    Tcl_DStringAppendElement ( &dString, " The number of basis vectors to use. See SetBasisScheme() for more information.\n When FixedBasisSize <= 0 (the default), the fixed basis size scheme is equivalent to the full basis scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFixedBasisSize(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SetFixedBasisSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFixedBasisSize */
    if ( strcmp ( argv[2], "GetFixedBasisSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedBasisSize */
    Tcl_DStringAppendElement ( &dString, " The number of basis vectors to use. See SetBasisScheme() for more information.\n When FixedBasisSize <= 0 (the default), the fixed basis size scheme is equivalent to the full basis scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFixedBasisSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetFixedBasisSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFixedBasisEnergy */
    if ( strcmp ( argv[2], "SetFixedBasisEnergy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedBasisEnergy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedBasisEnergy */
    Tcl_DStringAppendElement ( &dString, " The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFixedBasisEnergy(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for SetFixedBasisEnergy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFixedBasisEnergyMinValue */
    if ( strcmp ( argv[2], "GetFixedBasisEnergyMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisEnergyMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedBasisEnergyMinValue */
    Tcl_DStringAppendElement ( &dString, " The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFixedBasisEnergyMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetFixedBasisEnergyMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFixedBasisEnergyMaxValue */
    if ( strcmp ( argv[2], "GetFixedBasisEnergyMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisEnergyMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedBasisEnergyMaxValue */
    Tcl_DStringAppendElement ( &dString, " The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFixedBasisEnergyMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetFixedBasisEnergyMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFixedBasisEnergy */
    if ( strcmp ( argv[2], "GetFixedBasisEnergy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedBasisEnergy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedBasisEnergy */
    Tcl_DStringAppendElement ( &dString, " The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFixedBasisEnergy();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCAStatistics" );
    /* Closing for GetFixedBasisEnergy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiCorrelativeStatisticsCppCommand(static_cast<vtkMultiCorrelativeStatistics *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
