// tcl wrapper for vtkPairwiseExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPairwiseExtractHistogram2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPairwiseExtractHistogram2DNewCommand()
{
  vtkPairwiseExtractHistogram2D *temp = vtkPairwiseExtractHistogram2D::New();
  return static_cast<ClientData>(temp);
}

int vtkStatisticsAlgorithmCppCommand(vtkStatisticsAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPairwiseExtractHistogram2DCppCommand(vtkPairwiseExtractHistogram2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPairwiseExtractHistogram2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPairwiseExtractHistogram2DCppCommand(static_cast<vtkPairwiseExtractHistogram2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPairwiseExtractHistogram2DCppCommand(vtkPairwiseExtractHistogram2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPairwiseExtractHistogram2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkStatisticsAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPairwiseExtractHistogram2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPairwiseExtractHistogram2D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPairwiseExtractHistogram2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPairwiseExtractHistogram2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPairwiseExtractHistogram2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPairwiseExtractHistogram2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfBins",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNumberOfBins(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfBins",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetNumberOfBins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfBins",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetNumberOfBins();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCustomColumnRangeIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCustomColumnRangeIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCustomColumnRangeByIndex",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetCustomColumnRangeByIndex(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCustomColumnRange",argv[1]))&&(argc == 5))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCustomColumnRange(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumBinCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMaximumBinCount(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumBinCount",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumBinCount();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputHistogramImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkImageData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputHistogramImage(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramFilter",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkExtractHistogram2D  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHistogramFilter(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractHistogram2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("Aggregate",argv[1]))&&(argc == 4))
    {
    vtkDataObjectCollection  *temp0;
    vtkMultiBlockDataSet  *temp1;
    error = 0;

    temp0 = (vtkDataObjectCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObjectCollection"),interp,error));
    temp1 = (vtkMultiBlockDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMultiBlockDataSet"),interp,error));
    if (!error)
    {
    op->Aggregate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPairwiseExtractHistogram2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPairwiseExtractHistogram2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfBins\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfBins\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBins\n",NULL);
    Tcl_AppendResult(interp,"  SetCustomColumnRangeIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCustomColumnRangeByIndex\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCustomColumnRange\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarType\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumBinCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumBinCount\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputHistogramImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Aggregate\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBins" );
    Tcl_DStringAppendElement ( &dString, "SetCustomColumnRangeIndex" );
    Tcl_DStringAppendElement ( &dString, "SetCustomColumnRangeByIndex" );
    Tcl_DStringAppendElement ( &dString, "SetCustomColumnRange" );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumBinCount" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumBinCount" );
    Tcl_DStringAppendElement ( &dString, "GetOutputHistogramImage" );
    Tcl_DStringAppendElement ( &dString, "GetHistogramFilter" );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPairwiseExtractHistogram2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfBins */
    if ( strcmp ( argv[2], "SetNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfBins */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfBins(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfBins */
    if ( strcmp ( argv[2], "SetNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfBins */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfBins(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBins */
    if ( strcmp ( argv[2], "GetNumberOfBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBins */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetNumberOfBins();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for GetNumberOfBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCustomColumnRangeIndex */
    if ( strcmp ( argv[2], "SetCustomColumnRangeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCustomColumnRangeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCustomColumnRangeIndex */
    Tcl_DStringAppendElement ( &dString, " Strange method for setting an index to be used for setting custom \n column range. This was (probably) necessary to get this class\n to interact with the ParaView client/server message passing interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCustomColumnRangeIndex(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetCustomColumnRangeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCustomColumnRangeByIndex */
    if ( strcmp ( argv[2], "SetCustomColumnRangeByIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCustomColumnRangeByIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCustomColumnRangeByIndex */
    Tcl_DStringAppendElement ( &dString, " Strange method for setting an index to be used for setting custom \n column range. This was (probably) necessary to get this class\n to interact with the ParaView client/server message passing interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCustomColumnRangeByIndex(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetCustomColumnRangeByIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCustomColumnRange */
    if ( strcmp ( argv[2], "SetCustomColumnRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCustomColumnRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCustomColumnRange */
    Tcl_DStringAppendElement ( &dString, " More standard way to set the custom range for a particular column.\n This makes sure that only the affected histograms know that they\n need to be updated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCustomColumnRange(int col, double rmin, double rmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetCustomColumnRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarType */
    if ( strcmp ( argv[2], "SetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type for each of the computed histograms.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type for each of the computed histograms.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type for each of the computed histograms.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type for each of the computed histograms.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type for each of the computed histograms.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for SetScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarType */
    if ( strcmp ( argv[2], "GetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the scalar type for each of the computed histograms.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for GetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumBinCount */
    if ( strcmp ( argv[2], "GetMaximumBinCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumBinCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumBinCount */
    Tcl_DStringAppendElement ( &dString, " Get the maximum bin count for a single histogram\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumBinCount(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for GetMaximumBinCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumBinCount */
    if ( strcmp ( argv[2], "GetMaximumBinCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumBinCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumBinCount */
    Tcl_DStringAppendElement ( &dString, " Get the maximum bin count over all histograms\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumBinCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for GetMaximumBinCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputHistogramImage */
    if ( strcmp ( argv[2], "GetOutputHistogramImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputHistogramImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputHistogramImage */
    Tcl_DStringAppendElement ( &dString, " Get the vtkImageData output of the idx'th histogram filter\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetOutputHistogramImage(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for GetOutputHistogramImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogramFilter */
    if ( strcmp ( argv[2], "GetHistogramFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogramFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogramFilter */
    Tcl_DStringAppendElement ( &dString, " Get a pointer to the idx'th histogram filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractHistogram2D *GetHistogramFilter(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for GetHistogramFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Aggregate */
    if ( strcmp ( argv[2], "Aggregate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Aggregate */
    Tcl_DStringAppendElement ( &dString, " Given a collection of models, calculate aggregate model.  Not used\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Aggregate(vtkDataObjectCollection *, vtkMultiBlockDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPairwiseExtractHistogram2D" );
    /* Closing for Aggregate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
