// tcl wrapper for vtkPassArrays object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPassArrays.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPassArraysNewCommand()
{
  vtkPassArrays *temp = vtkPassArrays::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPassArraysCppCommand(vtkPassArrays *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPassArraysCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPassArraysCppCommand(static_cast<vtkPassArrays *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPassArraysCppCommand(vtkPassArrays *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPassArrays",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPassArrays  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPassArrays");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPassArrays  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPassArrays");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPassArrays  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPassArrays");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddArray",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->AddArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearArrays",argv[1]))&&(argc == 2))
    {
    op->ClearArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRemoveArrays",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRemoveArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRemoveArrays",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRemoveArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveArraysOn",argv[1]))&&(argc == 2))
    {
    op->RemoveArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveArraysOff",argv[1]))&&(argc == 2))
    {
    op->RemoveArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseFieldTypes",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseFieldTypes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseFieldTypes",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseFieldTypes();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseFieldTypesOn",argv[1]))&&(argc == 2))
    {
    op->UseFieldTypesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseFieldTypesOff",argv[1]))&&(argc == 2))
    {
    op->UseFieldTypesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddFieldType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddFieldType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearFieldTypes",argv[1]))&&(argc == 2))
    {
    op->ClearFieldTypes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPassArraysCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPassArrays:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearArrays\n",NULL);
    Tcl_AppendResult(interp,"  SetRemoveArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRemoveArrays\n",NULL);
    Tcl_AppendResult(interp,"  RemoveArraysOn\n",NULL);
    Tcl_AppendResult(interp,"  RemoveArraysOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseFieldTypes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseFieldTypes\n",NULL);
    Tcl_AppendResult(interp,"  UseFieldTypesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseFieldTypesOff\n",NULL);
    Tcl_AppendResult(interp,"  AddFieldType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearFieldTypes\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "AddArray" );
    Tcl_DStringAppendElement ( &dString, "ClearArrays" );
    Tcl_DStringAppendElement ( &dString, "SetRemoveArrays" );
    Tcl_DStringAppendElement ( &dString, "GetRemoveArrays" );
    Tcl_DStringAppendElement ( &dString, "RemoveArraysOn" );
    Tcl_DStringAppendElement ( &dString, "RemoveArraysOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseFieldTypes" );
    Tcl_DStringAppendElement ( &dString, "GetUseFieldTypes" );
    Tcl_DStringAppendElement ( &dString, "UseFieldTypesOn" );
    Tcl_DStringAppendElement ( &dString, "UseFieldTypesOff" );
    Tcl_DStringAppendElement ( &dString, "AddFieldType" );
    Tcl_DStringAppendElement ( &dString, "ClearFieldTypes" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPassArrays *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddArray */
    if ( strcmp ( argv[2], "AddArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddArray */
    Tcl_DStringAppendElement ( &dString, " Adds an array to pass through.\n fieldType where the array that should be passed (point data, cell data, etc.).\n It should be one of the constants defined in the vtkDataObject::AttributeTypes\n enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddArray(int fieldType, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for AddArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearArrays */
    if ( strcmp ( argv[2], "ClearArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearArrays */
    Tcl_DStringAppendElement ( &dString, " Clear all arrays to pass through.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for ClearArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRemoveArrays */
    if ( strcmp ( argv[2], "SetRemoveArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRemoveArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRemoveArrays */
    Tcl_DStringAppendElement ( &dString, " Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRemoveArrays(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for SetRemoveArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRemoveArrays */
    if ( strcmp ( argv[2], "GetRemoveArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRemoveArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRemoveArrays */
    Tcl_DStringAppendElement ( &dString, " Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetRemoveArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for GetRemoveArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveArraysOn */
    if ( strcmp ( argv[2], "RemoveArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveArraysOn */
    Tcl_DStringAppendElement ( &dString, " Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for RemoveArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveArraysOff */
    if ( strcmp ( argv[2], "RemoveArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveArraysOff */
    Tcl_DStringAppendElement ( &dString, " Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for RemoveArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseFieldTypes */
    if ( strcmp ( argv[2], "SetUseFieldTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseFieldTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseFieldTypes */
    Tcl_DStringAppendElement ( &dString, " Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseFieldTypes(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for SetUseFieldTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseFieldTypes */
    if ( strcmp ( argv[2], "GetUseFieldTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseFieldTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseFieldTypes */
    Tcl_DStringAppendElement ( &dString, " Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseFieldTypes();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for GetUseFieldTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFieldTypesOn */
    if ( strcmp ( argv[2], "UseFieldTypesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFieldTypesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFieldTypesOn */
    Tcl_DStringAppendElement ( &dString, " Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFieldTypesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for UseFieldTypesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFieldTypesOff */
    if ( strcmp ( argv[2], "UseFieldTypesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFieldTypesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFieldTypesOff */
    Tcl_DStringAppendElement ( &dString, " Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFieldTypesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for UseFieldTypesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFieldType */
    if ( strcmp ( argv[2], "AddFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFieldType */
    Tcl_DStringAppendElement ( &dString, " Add a field type to process.\n fieldType where the array that should be passed (point data, cell data, etc.).\n It should be one of the constants defined in the vtkDataObject::AttributeTypes\n enumeration.\n NOTE: These are only used if UseFieldType is turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddFieldType(int fieldType);" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for AddFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearFieldTypes */
    if ( strcmp ( argv[2], "ClearFieldTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearFieldTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearFieldTypes */
    Tcl_DStringAppendElement ( &dString, " Clear all field types to process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearFieldTypes();" );
    Tcl_DStringAppendElement ( &dString, "vtkPassArrays" );
    /* Closing for ClearFieldTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
