// tcl wrapper for vtkSQLDatabaseGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLDatabaseGraphSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSQLDatabaseGraphSourceNewCommand()
{
  vtkSQLDatabaseGraphSource *temp = vtkSQLDatabaseGraphSource::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSQLDatabaseGraphSourceCppCommand(vtkSQLDatabaseGraphSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSQLDatabaseGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSQLDatabaseGraphSourceCppCommand(static_cast<vtkSQLDatabaseGraphSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSQLDatabaseGraphSourceCppCommand(vtkSQLDatabaseGraphSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSQLDatabaseGraphSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSQLDatabaseGraphSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabaseGraphSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLDatabaseGraphSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabaseGraphSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSQLDatabaseGraphSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabaseGraphSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetURL",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetURL();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeQuery",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetEdgeQuery();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertexQuery",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetVertexQuery();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddLinkVertex",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddLinkVertex(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLinkVertices",argv[1]))&&(argc == 2))
    {
    op->ClearLinkVertices();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddLinkEdge",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->AddLinkEdge(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLinkEdges",argv[1]))&&(argc == 2))
    {
    op->ClearLinkEdges();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateEdgePedigreeIds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGenerateEdgePedigreeIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateEdgePedigreeIds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGenerateEdgePedigreeIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateEdgePedigreeIdsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgePedigreeIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateEdgePedigreeIdsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgePedigreeIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgePedigreeIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgePedigreeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgePedigreeIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEdgePedigreeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDirected",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDirected(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirected",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDirected();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOn",argv[1]))&&(argc == 2))
    {
    op->DirectedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOff",argv[1]))&&(argc == 2))
    {
    op->DirectedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSQLDatabaseGraphSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSQLDatabaseGraphSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetURL\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeQuery\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexQuery\n",NULL);
    Tcl_AppendResult(interp,"  AddLinkVertex\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearLinkVertices\n",NULL);
    Tcl_AppendResult(interp,"  AddLinkEdge\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearLinkEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateEdgePedigreeIds\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateEdgePedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgePedigreeIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgePedigreeIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgePedigreeIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgePedigreeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetDirected\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirected\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOn\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeQuery" );
    Tcl_DStringAppendElement ( &dString, "GetVertexQuery" );
    Tcl_DStringAppendElement ( &dString, "AddLinkVertex" );
    Tcl_DStringAppendElement ( &dString, "ClearLinkVertices" );
    Tcl_DStringAppendElement ( &dString, "AddLinkEdge" );
    Tcl_DStringAppendElement ( &dString, "ClearLinkEdges" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgePedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgePedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgePedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgePedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSQLDatabaseGraphSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetURL */
    if ( strcmp ( argv[2], "GetURL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetURL */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetURL();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GetURL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeQuery */
    if ( strcmp ( argv[2], "GetEdgeQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeQuery */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetEdgeQuery();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GetEdgeQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexQuery */
    if ( strcmp ( argv[2], "GetVertexQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexQuery */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetVertexQuery();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GetVertexQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLinkVertex */
    if ( strcmp ( argv[2], "AddLinkVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLinkVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLinkVertex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddLinkVertex(const char *column, const char *domain=0, int hidden=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for AddLinkVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLinkVertices */
    if ( strcmp ( argv[2], "ClearLinkVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLinkVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLinkVertices */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ClearLinkVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for ClearLinkVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLinkEdge */
    if ( strcmp ( argv[2], "AddLinkEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLinkEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLinkEdge */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddLinkEdge(const char *column1, const char *column2);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for AddLinkEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLinkEdges */
    if ( strcmp ( argv[2], "ClearLinkEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLinkEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLinkEdges */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ClearLinkEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for ClearLinkEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateEdgePedigreeIds */
    if ( strcmp ( argv[2], "GetGenerateEdgePedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgePedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateEdgePedigreeIds */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGenerateEdgePedigreeIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GetGenerateEdgePedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateEdgePedigreeIds */
    if ( strcmp ( argv[2], "SetGenerateEdgePedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgePedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateEdgePedigreeIds */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateEdgePedigreeIds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for SetGenerateEdgePedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgePedigreeIdsOn */
    if ( strcmp ( argv[2], "GenerateEdgePedigreeIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgePedigreeIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgePedigreeIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GenerateEdgePedigreeIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgePedigreeIdsOff */
    if ( strcmp ( argv[2], "GenerateEdgePedigreeIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgePedigreeIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgePedigreeIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GenerateEdgePedigreeIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgePedigreeIdArrayName */
    if ( strcmp ( argv[2], "SetEdgePedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgePedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgePedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Use this array name for setting or generating edge pedigree ids.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgePedigreeIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for SetEdgePedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgePedigreeIdArrayName */
    if ( strcmp ( argv[2], "GetEdgePedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgePedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgePedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Use this array name for setting or generating edge pedigree ids.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetEdgePedigreeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GetEdgePedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirected */
    if ( strcmp ( argv[2], "SetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirected */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirected(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for SetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirected */
    if ( strcmp ( argv[2], "GetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirected */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDirected();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for GetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOn */
    if ( strcmp ( argv[2], "DirectedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOn */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for DirectedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOff */
    if ( strcmp ( argv[2], "DirectedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOff */
    Tcl_DStringAppendElement ( &dString, " If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseGraphSource" );
    /* Closing for DirectedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
