// tcl wrapper for vtkSimple3DCirclesStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimple3DCirclesStrategy.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSimple3DCirclesStrategyNewCommand()
{
  vtkSimple3DCirclesStrategy *temp = vtkSimple3DCirclesStrategy::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphLayoutStrategyCppCommand(vtkGraphLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSimple3DCirclesStrategyCppCommand(vtkSimple3DCirclesStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSimple3DCirclesStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSimple3DCirclesStrategyCppCommand(static_cast<vtkSimple3DCirclesStrategy *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSimple3DCirclesStrategyCppCommand(vtkSimple3DCirclesStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSimple3DCirclesStrategy",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphLayoutStrategyCppCommand(static_cast<vtkGraphLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphLayoutStrategy"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSimple3DCirclesStrategy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimple3DCirclesStrategy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSimple3DCirclesStrategy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimple3DCirclesStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSimple3DCirclesStrategy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimple3DCirclesStrategy");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDirection",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDirection(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDirection",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirection",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDirection();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMarkedStartVertices",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->SetMarkedStartVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMarkedStartVertices",argv[1]))&&(argc == 2))
    {
    vtkAbstractArray  *temp20;
    temp20 = (op)->GetMarkedStartVertices();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
  if ((!strcmp("SetForceToUseUniversalStartPointsFinder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetForceToUseUniversalStartPointsFinder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceToUseUniversalStartPointsFinder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetForceToUseUniversalStartPointsFinder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ForceToUseUniversalStartPointsFinderOn",argv[1]))&&(argc == 2))
    {
    op->ForceToUseUniversalStartPointsFinderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceToUseUniversalStartPointsFinderOff",argv[1]))&&(argc == 2))
    {
    op->ForceToUseUniversalStartPointsFinderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoHeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoHeightOn",argv[1]))&&(argc == 2))
    {
    op->AutoHeightOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoHeightOff",argv[1]))&&(argc == 2))
    {
    op->AutoHeightOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumRadian",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumRadian(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumRadian",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumRadian();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumDegree",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumDegree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumDegree",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumDegree();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHierarchicalLayers",argv[1]))&&(argc == 3))
    {
    vtkIntArray  *temp0;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIntArray"),interp,error));
    if (!error)
    {
    op->SetHierarchicalLayers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchicalLayers",argv[1]))&&(argc == 2))
    {
    vtkIntArray  *temp20;
    temp20 = (op)->GetHierarchicalLayers();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntArray");
    return TCL_OK;
    }
  if ((!strcmp("SetHierarchicalOrder",argv[1]))&&(argc == 3))
    {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->SetHierarchicalOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchicalOrder",argv[1]))&&(argc == 2))
    {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetHierarchicalOrder();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
  if ((!strcmp("Layout",argv[1]))&&(argc == 2))
    {
    op->Layout();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGraph",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    op->SetGraph(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSimple3DCirclesStrategyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSimple3DCirclesStrategy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetDirection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDirection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetMarkedStartVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMarkedStartVertices\n",NULL);
    Tcl_AppendResult(interp,"  SetForceToUseUniversalStartPointsFinder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceToUseUniversalStartPointsFinder\n",NULL);
    Tcl_AppendResult(interp,"  ForceToUseUniversalStartPointsFinderOn\n",NULL);
    Tcl_AppendResult(interp,"  ForceToUseUniversalStartPointsFinderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoHeight\n",NULL);
    Tcl_AppendResult(interp,"  AutoHeightOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoHeightOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumRadian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumRadian\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumDegree\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchicalLayers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchicalLayers\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchicalOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchicalOrder\n",NULL);
    Tcl_AppendResult(interp,"  Layout\n",NULL);
    Tcl_AppendResult(interp,"  SetGraph\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetMethod" );
    Tcl_DStringAppendElement ( &dString, "GetMethod" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    Tcl_DStringAppendElement ( &dString, "SetMarkedStartVertices" );
    Tcl_DStringAppendElement ( &dString, "GetMarkedStartVertices" );
    Tcl_DStringAppendElement ( &dString, "SetForceToUseUniversalStartPointsFinder" );
    Tcl_DStringAppendElement ( &dString, "GetForceToUseUniversalStartPointsFinder" );
    Tcl_DStringAppendElement ( &dString, "ForceToUseUniversalStartPointsFinderOn" );
    Tcl_DStringAppendElement ( &dString, "ForceToUseUniversalStartPointsFinderOff" );
    Tcl_DStringAppendElement ( &dString, "SetAutoHeight" );
    Tcl_DStringAppendElement ( &dString, "GetAutoHeight" );
    Tcl_DStringAppendElement ( &dString, "AutoHeightOn" );
    Tcl_DStringAppendElement ( &dString, "AutoHeightOff" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumRadian" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumRadian" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumDegree" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumDegree" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalLayers" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalLayers" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalOrder" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalOrder" );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    Tcl_DStringAppendElement ( &dString, "SetGraph" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphLayoutStrategyCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSimple3DCirclesStrategy *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMethod */
    if ( strcmp ( argv[2], "SetMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMethod */
    Tcl_DStringAppendElement ( &dString, " Set or get cicrle generating method (FixedRadiusMethod/FixedDistanceMethod). Default is FixedRadiusMethod.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMethod(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMethod */
    if ( strcmp ( argv[2], "GetMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMethod */
    Tcl_DStringAppendElement ( &dString, " Set or get cicrle generating method (FixedRadiusMethod/FixedDistanceMethod). Default is FixedRadiusMethod.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMethod();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " If Method is FixedRadiusMethod: Set or get the radius of the circles.\n If Method is FixedDistanceMethod: Set or get the distance of the points in the circle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " If Method is FixedRadiusMethod: Set or get the radius of the circles.\n If Method is FixedDistanceMethod: Set or get the distance of the points in the circle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeight */
    if ( strcmp ( argv[2], "SetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeight */
    Tcl_DStringAppendElement ( &dString, " Set or get the vertical (local z) distance between the circles. If AutoHeight is on, this is the minimal height between\n the circle layers\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeight(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeight */
    if ( strcmp ( argv[2], "GetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeight */
    Tcl_DStringAppendElement ( &dString, " Set or get the vertical (local z) distance between the circles. If AutoHeight is on, this is the minimal height between\n the circle layers\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirection */
    if ( strcmp ( argv[2], "SetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirection */
    Tcl_DStringAppendElement ( &dString, " Set or get the normal vector of the circles plain. The height is growing in this direction. The direction must not be zero vector.\n The default vector is (0.0,0.0,1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDirection(double dx, double dy, double dz);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirection */
    if ( strcmp ( argv[2], "SetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirection */
    Tcl_DStringAppendElement ( &dString, " Set or get the normal vector of the circles plain. The height is growing in this direction. The direction must not be zero vector.\n The default vector is (0.0,0.0,1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDirection(double d\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirection */
    if ( strcmp ( argv[2], "GetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirection */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetDirection();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMarkedStartVertices */
    if ( strcmp ( argv[2], "SetMarkedStartVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMarkedStartVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMarkedStartVertices */
    Tcl_DStringAppendElement ( &dString, " Set or get initial vertices. If MarkedStartVertices is added, loop is accepted in the graph. (If all of the loop start vertices are\n marked in MarkedStartVertices array.) MarkedStartVertices size must be equal with the number of the vertices in the graph. Start\n vertices must be marked by MarkedValue. (E.g.: if MarkedValue=3 and MarkedStartPoints is { 0, 3, 5, 3 }, the start points ids will\n be {1,3}.) )\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMarkedStartVertices(vtkAbstractArray *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetMarkedStartVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarkedStartVertices */
    if ( strcmp ( argv[2], "GetMarkedStartVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarkedStartVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarkedStartVertices */
    Tcl_DStringAppendElement ( &dString, " Set or get initial vertices. If MarkedStartVertices is added, loop is accepted in the graph. (If all of the loop start vertices are\n marked in MarkedStartVertices array.) MarkedStartVertices size must be equal with the number of the vertices in the graph. Start\n vertices must be marked by MarkedValue. (E.g.: if MarkedValue=3 and MarkedStartPoints is { 0, 3, 5, 3 }, the start points ids will\n be {1,3}.) )\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *GetMarkedStartVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetMarkedStartVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceToUseUniversalStartPointsFinder */
    if ( strcmp ( argv[2], "SetForceToUseUniversalStartPointsFinder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceToUseUniversalStartPointsFinder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceToUseUniversalStartPointsFinder */
    Tcl_DStringAppendElement ( &dString, " Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceToUseUniversalStartPointsFinder(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetForceToUseUniversalStartPointsFinder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceToUseUniversalStartPointsFinder */
    if ( strcmp ( argv[2], "GetForceToUseUniversalStartPointsFinder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceToUseUniversalStartPointsFinder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceToUseUniversalStartPointsFinder */
    Tcl_DStringAppendElement ( &dString, " Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetForceToUseUniversalStartPointsFinder();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetForceToUseUniversalStartPointsFinder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceToUseUniversalStartPointsFinderOn */
    if ( strcmp ( argv[2], "ForceToUseUniversalStartPointsFinderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceToUseUniversalStartPointsFinderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceToUseUniversalStartPointsFinderOn */
    Tcl_DStringAppendElement ( &dString, " Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceToUseUniversalStartPointsFinderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for ForceToUseUniversalStartPointsFinderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceToUseUniversalStartPointsFinderOff */
    if ( strcmp ( argv[2], "ForceToUseUniversalStartPointsFinderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceToUseUniversalStartPointsFinderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceToUseUniversalStartPointsFinderOff */
    Tcl_DStringAppendElement ( &dString, " Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceToUseUniversalStartPointsFinderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for ForceToUseUniversalStartPointsFinderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoHeight */
    if ( strcmp ( argv[2], "SetAutoHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoHeight */
    Tcl_DStringAppendElement ( &dString, " Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoHeight(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetAutoHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoHeight */
    if ( strcmp ( argv[2], "GetAutoHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoHeight */
    Tcl_DStringAppendElement ( &dString, " Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetAutoHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoHeightOn */
    if ( strcmp ( argv[2], "AutoHeightOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoHeightOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoHeightOn */
    Tcl_DStringAppendElement ( &dString, " Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoHeightOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for AutoHeightOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoHeightOff */
    if ( strcmp ( argv[2], "AutoHeightOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoHeightOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoHeightOff */
    Tcl_DStringAppendElement ( &dString, " Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoHeightOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for AutoHeightOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumRadian */
    if ( strcmp ( argv[2], "SetMinimumRadian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumRadian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumRadian */
    Tcl_DStringAppendElement ( &dString, " Set or get minimum radian (used by auto height).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumRadian(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetMinimumRadian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumRadian */
    if ( strcmp ( argv[2], "GetMinimumRadian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumRadian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumRadian */
    Tcl_DStringAppendElement ( &dString, " Set or get minimum radian (used by auto height).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumRadian();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetMinimumRadian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumDegree */
    if ( strcmp ( argv[2], "SetMinimumDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumDegree */
    Tcl_DStringAppendElement ( &dString, " Set or get minimum degree (used by auto height). There is no separated minimum degree, so minimum radian will be changed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinimumDegree(double degree);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetMinimumDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumDegree */
    if ( strcmp ( argv[2], "GetMinimumDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumDegree */
    Tcl_DStringAppendElement ( &dString, " Set or get minimum degree (used by auto height). There is no separated minimum degree, so minimum radian will be changed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMinimumDegree(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetMinimumDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchicalLayers */
    if ( strcmp ( argv[2], "SetHierarchicalLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchicalLayers */
    Tcl_DStringAppendElement ( &dString, " Set or get hierarchical layers id by vertices (An usual vertex's layer id is greater or equal to zero. If a vertex is standalone, its\n layer id is -2.) If no HierarchicalLayers array is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHierarchicalLayers(vtkIntArray *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetHierarchicalLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchicalLayers */
    if ( strcmp ( argv[2], "GetHierarchicalLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchicalLayers */
    Tcl_DStringAppendElement ( &dString, " Set or get hierarchical layers id by vertices (An usual vertex's layer id is greater or equal to zero. If a vertex is standalone, its\n layer id is -2.) If no HierarchicalLayers array is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray *GetHierarchicalLayers();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetHierarchicalLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchicalOrder */
    if ( strcmp ( argv[2], "SetHierarchicalOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchicalOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchicalOrder */
    Tcl_DStringAppendElement ( &dString, " Set or get hierarchical ordering of vertices (The array starts from the first vertex's id. All id must be greater or equal to zero!)\n If no HierarchicalOrder is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHierarchicalOrder(vtkIdTypeArray *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetHierarchicalOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchicalOrder */
    if ( strcmp ( argv[2], "GetHierarchicalOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchicalOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchicalOrder */
    Tcl_DStringAppendElement ( &dString, " Set or get hierarchical ordering of vertices (The array starts from the first vertex's id. All id must be greater or equal to zero!)\n If no HierarchicalOrder is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetHierarchicalOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for GetHierarchicalOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Layout */
    if ( strcmp ( argv[2], "Layout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Layout */
    Tcl_DStringAppendElement ( &dString, " Standard layout method\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Layout(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for Layout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraph */
    if ( strcmp ( argv[2], "SetGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraph */
    Tcl_DStringAppendElement ( &dString, " Set graph (warning: HierarchicalOrder and HierarchicalLayers will set to zero. These reference counts will be decreased!)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraph(vtkGraph *graph);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimple3DCirclesStrategy" );
    /* Closing for SetGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphLayoutStrategyCppCommand(static_cast<vtkGraphLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
