// tcl wrapper for vtkStackedTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStackedTreeLayoutStrategy.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStackedTreeLayoutStrategyNewCommand()
{
  vtkStackedTreeLayoutStrategy *temp = vtkStackedTreeLayoutStrategy::New();
  return static_cast<ClientData>(temp);
}

int vtkAreaLayoutStrategyCppCommand(vtkAreaLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStackedTreeLayoutStrategyCppCommand(vtkStackedTreeLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStackedTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStackedTreeLayoutStrategyCppCommand(static_cast<vtkStackedTreeLayoutStrategy *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStackedTreeLayoutStrategyCppCommand(vtkStackedTreeLayoutStrategy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStackedTreeLayoutStrategy",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAreaLayoutStrategyCppCommand(static_cast<vtkAreaLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAreaLayoutStrategy"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStackedTreeLayoutStrategy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStackedTreeLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStackedTreeLayoutStrategy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStackedTreeLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStackedTreeLayoutStrategy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStackedTreeLayoutStrategy");
    return TCL_OK;
    }
    }
  if ((!strcmp("Layout",argv[1]))&&(argc == 5))
    {
    vtkTree  *temp0;
    vtkDataArray  *temp1;
    vtkDataArray  *temp2;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->Layout(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LayoutEdgePoints",argv[1]))&&(argc == 6))
    {
    vtkTree  *temp0;
    vtkDataArray  *temp1;
    vtkDataArray  *temp2;
    vtkTree  *temp3;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    temp3 = (vtkTree *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkTree"),interp,error));
    if (!error)
    {
    op->LayoutEdgePoints(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteriorRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteriorRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteriorRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteriorRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRingThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRingThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRingThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRingThickness();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRootStartAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRootStartAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRootStartAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRootStartAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRootEndAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRootEndAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRootEndAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRootEndAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseRectangularCoordinates",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseRectangularCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRectangularCoordinates",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseRectangularCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReverse",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetReverse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverse",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetReverse();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseOn",argv[1]))&&(argc == 2))
    {
    op->ReverseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseOff",argv[1]))&&(argc == 2))
    {
    op->ReverseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteriorLogSpacingValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteriorLogSpacingValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteriorLogSpacingValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteriorLogSpacingValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStackedTreeLayoutStrategyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAreaLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStackedTreeLayoutStrategy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Layout\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  LayoutEdgePoints\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInteriorRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteriorRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetRingThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRingThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetRootStartAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRootStartAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetRootEndAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRootEndAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRectangularCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRectangularCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReverse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverse\n",NULL);
    Tcl_AppendResult(interp,"  ReverseOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInteriorLogSpacingValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteriorLogSpacingValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAreaLayoutStrategyCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    Tcl_DStringAppendElement ( &dString, "LayoutEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "SetInteriorRadius" );
    Tcl_DStringAppendElement ( &dString, "GetInteriorRadius" );
    Tcl_DStringAppendElement ( &dString, "SetRingThickness" );
    Tcl_DStringAppendElement ( &dString, "GetRingThickness" );
    Tcl_DStringAppendElement ( &dString, "SetRootStartAngle" );
    Tcl_DStringAppendElement ( &dString, "GetRootStartAngle" );
    Tcl_DStringAppendElement ( &dString, "SetRootEndAngle" );
    Tcl_DStringAppendElement ( &dString, "GetRootEndAngle" );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    Tcl_DStringAppendElement ( &dString, "SetReverse" );
    Tcl_DStringAppendElement ( &dString, "GetReverse" );
    Tcl_DStringAppendElement ( &dString, "ReverseOn" );
    Tcl_DStringAppendElement ( &dString, "ReverseOff" );
    Tcl_DStringAppendElement ( &dString, "SetInteriorLogSpacingValue" );
    Tcl_DStringAppendElement ( &dString, "GetInteriorLogSpacingValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAreaLayoutStrategyCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStackedTreeLayoutStrategy *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Layout */
    if ( strcmp ( argv[2], "Layout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Layout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Layout */
    Tcl_DStringAppendElement ( &dString, " Perform the layout of the input tree, and store the sector\n bounds of each vertex as a tuple\n (innerRadius, outerRadius, startAngle, endAngle)\n in a data array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Layout(vtkTree *inputTree, vtkDataArray *sectorArray, vtkDataArray *sizeArray);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for Layout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LayoutEdgePoints */
    if ( strcmp ( argv[2], "LayoutEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LayoutEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LayoutEdgePoints */
    Tcl_DStringAppendElement ( &dString, " Fill edgeRoutingTree with points suitable for routing edges of\n an overlaid graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LayoutEdgePoints(vtkTree *inputTree, vtkDataArray *sectorArray, vtkDataArray *sizeArray, vtkTree *edgeRoutingTree);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for LayoutEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteriorRadius */
    if ( strcmp ( argv[2], "SetInteriorRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteriorRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteriorRadius */
    Tcl_DStringAppendElement ( &dString, " Define the tree ring's interior radius.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteriorRadius(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SetInteriorRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteriorRadius */
    if ( strcmp ( argv[2], "GetInteriorRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteriorRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteriorRadius */
    Tcl_DStringAppendElement ( &dString, " Define the tree ring's interior radius.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInteriorRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetInteriorRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRingThickness */
    if ( strcmp ( argv[2], "SetRingThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRingThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRingThickness */
    Tcl_DStringAppendElement ( &dString, " Define the thickness of each of the tree rings.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRingThickness(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SetRingThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRingThickness */
    if ( strcmp ( argv[2], "GetRingThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRingThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRingThickness */
    Tcl_DStringAppendElement ( &dString, " Define the thickness of each of the tree rings.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRingThickness();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetRingThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootStartAngle */
    if ( strcmp ( argv[2], "SetRootStartAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootStartAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootStartAngle */
    Tcl_DStringAppendElement ( &dString, " Define the start angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRootStartAngle(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SetRootStartAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootStartAngle */
    if ( strcmp ( argv[2], "GetRootStartAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootStartAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootStartAngle */
    Tcl_DStringAppendElement ( &dString, " Define the start angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRootStartAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetRootStartAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootEndAngle */
    if ( strcmp ( argv[2], "SetRootEndAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootEndAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootEndAngle */
    Tcl_DStringAppendElement ( &dString, " Define the end angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRootEndAngle(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SetRootEndAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootEndAngle */
    if ( strcmp ( argv[2], "GetRootEndAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootEndAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootEndAngle */
    Tcl_DStringAppendElement ( &dString, " Define the end angle for the root node.\n NOTE: It is assumed that the root end angle is greater than the\n root start angle and subtends no more than 360 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRootEndAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetRootEndAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "SetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRectangularCoordinates(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "GetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseRectangularCoordinates();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOn */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOn */
    Tcl_DStringAppendElement ( &dString, " Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for UseRectangularCoordinatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOff */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOff */
    Tcl_DStringAppendElement ( &dString, " Define whether or not rectangular coordinates are being used\n (as opposed to polar coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for UseRectangularCoordinatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReverse */
    if ( strcmp ( argv[2], "SetReverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReverse */
    Tcl_DStringAppendElement ( &dString, " Define whether to reverse the order of the tree stacks from\n low to high.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReverse(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SetReverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverse */
    if ( strcmp ( argv[2], "GetReverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverse */
    Tcl_DStringAppendElement ( &dString, " Define whether to reverse the order of the tree stacks from\n low to high.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetReverse();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetReverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseOn */
    if ( strcmp ( argv[2], "ReverseOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseOn */
    Tcl_DStringAppendElement ( &dString, " Define whether to reverse the order of the tree stacks from\n low to high.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for ReverseOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseOff */
    if ( strcmp ( argv[2], "ReverseOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseOff */
    Tcl_DStringAppendElement ( &dString, " Define whether to reverse the order of the tree stacks from\n low to high.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for ReverseOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteriorLogSpacingValue */
    if ( strcmp ( argv[2], "SetInteriorLogSpacingValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteriorLogSpacingValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteriorLogSpacingValue */
    Tcl_DStringAppendElement ( &dString, " The spacing of tree levels in the edge routing tree.\n Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteriorLogSpacingValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for SetInteriorLogSpacingValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteriorLogSpacingValue */
    if ( strcmp ( argv[2], "GetInteriorLogSpacingValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteriorLogSpacingValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteriorLogSpacingValue */
    Tcl_DStringAppendElement ( &dString, " The spacing of tree levels in the edge routing tree.\n Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInteriorLogSpacingValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStackedTreeLayoutStrategy" );
    /* Closing for GetInteriorLogSpacingValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAreaLayoutStrategyCppCommand(static_cast<vtkAreaLayoutStrategy *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
