// tcl wrapper for vtkStringToNumeric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStringToNumeric.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStringToNumericNewCommand()
{
  vtkStringToNumeric *temp = vtkStringToNumeric::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStringToNumericCppCommand(vtkStringToNumeric *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStringToNumericCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStringToNumericCppCommand(static_cast<vtkStringToNumeric *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStringToNumericCppCommand(vtkStringToNumeric *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStringToNumeric",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStringToNumeric  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringToNumeric");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStringToNumeric  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringToNumeric");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStringToNumeric  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringToNumeric");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetForceDouble",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetForceDouble(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceDouble",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetForceDouble();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ForceDoubleOn",argv[1]))&&(argc == 2))
    {
    op->ForceDoubleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceDoubleOff",argv[1]))&&(argc == 2))
    {
    op->ForceDoubleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultIntegerValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultIntegerValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultIntegerValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDefaultIntegerValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultDoubleValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDefaultDoubleValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultDoubleValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDefaultDoubleValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTrimWhitespacePriorToNumericConversion",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetTrimWhitespacePriorToNumericConversion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTrimWhitespacePriorToNumericConversion",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetTrimWhitespacePriorToNumericConversion();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TrimWhitespacePriorToNumericConversionOn",argv[1]))&&(argc == 2))
    {
    op->TrimWhitespacePriorToNumericConversionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TrimWhitespacePriorToNumericConversionOff",argv[1]))&&(argc == 2))
    {
    op->TrimWhitespacePriorToNumericConversionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertFieldData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertFieldData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertFieldData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertFieldDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertFieldDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertFieldDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertFieldDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertPointData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertPointData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertPointData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertPointData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertPointDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertPointDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertPointDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertPointDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertCellData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertCellData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertCellData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertCellData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertCellDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertCellDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertCellDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertCellDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertVertexData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertVertexData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertVertexData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertVertexData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertVertexDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertVertexDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertVertexDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertVertexDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertEdgeData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertEdgeData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertEdgeData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertEdgeData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertEdgeDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertEdgeDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertEdgeDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertEdgeDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertRowData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertRowData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertRowData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertRowData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertRowDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertRowDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertRowDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertRowDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStringToNumericCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStringToNumeric:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetForceDouble\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceDouble\n",NULL);
    Tcl_AppendResult(interp,"  ForceDoubleOn\n",NULL);
    Tcl_AppendResult(interp,"  ForceDoubleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultIntegerValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultIntegerValue\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultDoubleValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultDoubleValue\n",NULL);
    Tcl_AppendResult(interp,"  SetTrimWhitespacePriorToNumericConversion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTrimWhitespacePriorToNumericConversion\n",NULL);
    Tcl_AppendResult(interp,"  TrimWhitespacePriorToNumericConversionOn\n",NULL);
    Tcl_AppendResult(interp,"  TrimWhitespacePriorToNumericConversionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertFieldData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertFieldDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertFieldDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertPointData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertPointData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertPointDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertPointDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertCellData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertCellData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertCellDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertCellDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertVertexData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertVertexData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertVertexDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertVertexDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertEdgeData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertEdgeData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertEdgeDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertEdgeDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertRowData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertRowData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertRowDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertRowDataOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetForceDouble" );
    Tcl_DStringAppendElement ( &dString, "GetForceDouble" );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOn" );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOff" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultIntegerValue" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultIntegerValue" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDoubleValue" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDoubleValue" );
    Tcl_DStringAppendElement ( &dString, "SetTrimWhitespacePriorToNumericConversion" );
    Tcl_DStringAppendElement ( &dString, "GetTrimWhitespacePriorToNumericConversion" );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOn" );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertFieldData" );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertPointData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertPointData" );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertCellData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertCellData" );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertVertexData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertVertexData" );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertEdgeData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertEdgeData" );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertRowData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertRowData" );
    Tcl_DStringAppendElement ( &dString, "ConvertRowDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertRowDataOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStringToNumeric *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceDouble */
    if ( strcmp ( argv[2], "SetForceDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceDouble */
    Tcl_DStringAppendElement ( &dString, " Convert all numeric columns to vtkDoubleArray, even if they\n contain only integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceDouble(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetForceDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceDouble */
    if ( strcmp ( argv[2], "GetForceDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceDouble */
    Tcl_DStringAppendElement ( &dString, " Convert all numeric columns to vtkDoubleArray, even if they\n contain only integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetForceDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetForceDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceDoubleOn */
    if ( strcmp ( argv[2], "ForceDoubleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceDoubleOn */
    Tcl_DStringAppendElement ( &dString, " Convert all numeric columns to vtkDoubleArray, even if they\n contain only integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceDoubleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ForceDoubleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceDoubleOff */
    if ( strcmp ( argv[2], "ForceDoubleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceDoubleOff */
    Tcl_DStringAppendElement ( &dString, " Convert all numeric columns to vtkDoubleArray, even if they\n contain only integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceDoubleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ForceDoubleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultIntegerValue */
    if ( strcmp ( argv[2], "SetDefaultIntegerValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultIntegerValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultIntegerValue */
    Tcl_DStringAppendElement ( &dString, " Set the default integer value assigned to arrays.  Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultIntegerValue(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetDefaultIntegerValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultIntegerValue */
    if ( strcmp ( argv[2], "GetDefaultIntegerValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultIntegerValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultIntegerValue */
    Tcl_DStringAppendElement ( &dString, " Set the default integer value assigned to arrays.  Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDefaultIntegerValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetDefaultIntegerValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultDoubleValue */
    if ( strcmp ( argv[2], "SetDefaultDoubleValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDoubleValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultDoubleValue */
    Tcl_DStringAppendElement ( &dString, " Set the default double value assigned to arrays.  Default is 0.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultDoubleValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetDefaultDoubleValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultDoubleValue */
    if ( strcmp ( argv[2], "GetDefaultDoubleValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDoubleValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultDoubleValue */
    Tcl_DStringAppendElement ( &dString, " Set the default double value assigned to arrays.  Default is 0.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDefaultDoubleValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetDefaultDoubleValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTrimWhitespacePriorToNumericConversion */
    if ( strcmp ( argv[2], "SetTrimWhitespacePriorToNumericConversion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTrimWhitespacePriorToNumericConversion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTrimWhitespacePriorToNumericConversion */
    Tcl_DStringAppendElement ( &dString, " Whether to trim whitespace from strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToDouble() == NaN <-- any whitespace is a probl ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTrimWhitespacePriorToNumericConversion(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetTrimWhitespacePriorToNumericConversion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTrimWhitespacePriorToNumericConversion */
    if ( strcmp ( argv[2], "GetTrimWhitespacePriorToNumericConversion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTrimWhitespacePriorToNumericConversion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTrimWhitespacePriorToNumericConversion */
    Tcl_DStringAppendElement ( &dString, " Whether to trim whitespace from strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToDouble() == NaN <-- any whitespace is a probl ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetTrimWhitespacePriorToNumericConversion();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetTrimWhitespacePriorToNumericConversion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TrimWhitespacePriorToNumericConversionOn */
    if ( strcmp ( argv[2], "TrimWhitespacePriorToNumericConversionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TrimWhitespacePriorToNumericConversionOn */
    Tcl_DStringAppendElement ( &dString, " Whether to trim whitespace from strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToDouble() == NaN <-- any whitespace is a probl ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TrimWhitespacePriorToNumericConversionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for TrimWhitespacePriorToNumericConversionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TrimWhitespacePriorToNumericConversionOff */
    if ( strcmp ( argv[2], "TrimWhitespacePriorToNumericConversionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TrimWhitespacePriorToNumericConversionOff */
    Tcl_DStringAppendElement ( &dString, " Whether to trim whitespace from strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToDouble() == NaN <-- any whitespace is a probl ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TrimWhitespacePriorToNumericConversionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for TrimWhitespacePriorToNumericConversionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertFieldData */
    if ( strcmp ( argv[2], "SetConvertFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertFieldData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertFieldData(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertFieldData */
    if ( strcmp ( argv[2], "GetConvertFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertFieldData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetConvertFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertFieldDataOn */
    if ( strcmp ( argv[2], "ConvertFieldDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertFieldDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertFieldDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertFieldDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertFieldDataOff */
    if ( strcmp ( argv[2], "ConvertFieldDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertFieldDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertFieldDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertFieldDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertPointData */
    if ( strcmp ( argv[2], "SetConvertPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertPointData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertPointData(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertPointData */
    if ( strcmp ( argv[2], "GetConvertPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertPointData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetConvertPointData();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertPointDataOn */
    if ( strcmp ( argv[2], "ConvertPointDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertPointDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertPointDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertPointDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertPointDataOff */
    if ( strcmp ( argv[2], "ConvertPointDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertPointDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertPointDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertPointDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertCellData */
    if ( strcmp ( argv[2], "SetConvertCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertCellData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertCellData(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertCellData */
    if ( strcmp ( argv[2], "GetConvertCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertCellData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetConvertCellData();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertCellDataOn */
    if ( strcmp ( argv[2], "ConvertCellDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertCellDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertCellDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertCellDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertCellDataOff */
    if ( strcmp ( argv[2], "ConvertCellDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertCellDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertCellDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertCellDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertVertexData */
    if ( strcmp ( argv[2], "SetConvertVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertVertexData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetConvertVertexData(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertVertexData */
    if ( strcmp ( argv[2], "GetConvertVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertVertexData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetConvertVertexData();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertVertexDataOn */
    if ( strcmp ( argv[2], "ConvertVertexDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertVertexDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertVertexDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertVertexDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertVertexDataOff */
    if ( strcmp ( argv[2], "ConvertVertexDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertVertexDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertVertexDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertVertexDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertEdgeData */
    if ( strcmp ( argv[2], "SetConvertEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertEdgeData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetConvertEdgeData(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertEdgeData */
    if ( strcmp ( argv[2], "GetConvertEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertEdgeData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetConvertEdgeData();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertEdgeDataOn */
    if ( strcmp ( argv[2], "ConvertEdgeDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertEdgeDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertEdgeDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertEdgeDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertEdgeDataOff */
    if ( strcmp ( argv[2], "ConvertEdgeDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertEdgeDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertEdgeDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertEdgeDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertRowData */
    if ( strcmp ( argv[2], "SetConvertRowData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertRowData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertRowData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert row data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetConvertRowData(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertRowData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertRowData */
    if ( strcmp ( argv[2], "GetConvertRowData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertRowData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertRowData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert row data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetConvertRowData();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertRowData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertRowDataOn */
    if ( strcmp ( argv[2], "ConvertRowDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertRowDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertRowDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert row data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertRowDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertRowDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertRowDataOff */
    if ( strcmp ( argv[2], "ConvertRowDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertRowDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertRowDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert row data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertRowDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertRowDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
