// tcl wrapper for vtkTableToGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableToGraph.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTableToGraphNewCommand()
{
  vtkTableToGraph *temp = vtkTableToGraph::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTableToGraphCppCommand(vtkTableToGraph *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTableToGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTableToGraphCppCommand(static_cast<vtkTableToGraph *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTableToGraphCppCommand(vtkTableToGraph *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTableToGraph",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTableToGraph  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTableToGraph");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTableToGraph  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTableToGraph");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTableToGraph  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTableToGraph");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLinkVertex",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddLinkVertex(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLinkVertices",argv[1]))&&(argc == 2))
    {
    op->ClearLinkVertices();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddLinkEdge",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->AddLinkEdge(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLinkEdges",argv[1]))&&(argc == 2))
    {
    op->ClearLinkEdges();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLinkGraph",argv[1]))&&(argc == 2))
    {
    vtkMutableDirectedGraph  *temp20;
    temp20 = (op)->GetLinkGraph();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMutableDirectedGraph");
    return TCL_OK;
    }
  if ((!strcmp("SetLinkGraph",argv[1]))&&(argc == 3))
    {
    vtkMutableDirectedGraph  *temp0;
    error = 0;

    temp0 = (vtkMutableDirectedGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMutableDirectedGraph"),interp,error));
    if (!error)
    {
    op->SetLinkGraph(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LinkColumnPath",argv[1]))&&(argc == 5))
    {
    vtkStringArray  *temp0;
    vtkStringArray  *temp1;
    vtkBitArray  *temp2;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    temp1 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkStringArray"),interp,error));
    temp2 = (vtkBitArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkBitArray"),interp,error));
    if (!error)
    {
    op->LinkColumnPath(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDirected",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDirected(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirected",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDirected();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOn",argv[1]))&&(argc == 2))
    {
    op->DirectedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOff",argv[1]))&&(argc == 2))
    {
    op->DirectedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexTableConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetVertexTableConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTableToGraphCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTableToGraph:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddLinkVertex\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearLinkVertices\n",NULL);
    Tcl_AppendResult(interp,"  AddLinkEdge\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearLinkEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetLinkGraph\n",NULL);
    Tcl_AppendResult(interp,"  SetLinkGraph\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LinkColumnPath\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDirected\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirected\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOn\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexTableConnection\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "AddLinkVertex" );
    Tcl_DStringAppendElement ( &dString, "ClearLinkVertices" );
    Tcl_DStringAppendElement ( &dString, "AddLinkEdge" );
    Tcl_DStringAppendElement ( &dString, "ClearLinkEdges" );
    Tcl_DStringAppendElement ( &dString, "GetLinkGraph" );
    Tcl_DStringAppendElement ( &dString, "SetLinkGraph" );
    Tcl_DStringAppendElement ( &dString, "LinkColumnPath" );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetVertexTableConnection" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTableToGraph *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLinkVertex */
    if ( strcmp ( argv[2], "AddLinkVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLinkVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLinkVertex */
    Tcl_DStringAppendElement ( &dString, " Add a vertex to the link graph.  Specify the column name, the domain name\n for the column, and whether the column is hidden.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLinkVertex(const char *column, const char *domain=0, int hidden=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for AddLinkVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLinkVertices */
    if ( strcmp ( argv[2], "ClearLinkVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLinkVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLinkVertices */
    Tcl_DStringAppendElement ( &dString, " Clear the link graph vertices.  This also clears all edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearLinkVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for ClearLinkVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLinkEdge */
    if ( strcmp ( argv[2], "AddLinkEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLinkEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLinkEdge */
    Tcl_DStringAppendElement ( &dString, " Add an edge to the link graph.  Specify the names of the columns to link.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLinkEdge(const char *column1, const char *column2);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for AddLinkEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLinkEdges */
    if ( strcmp ( argv[2], "ClearLinkEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLinkEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLinkEdges */
    Tcl_DStringAppendElement ( &dString, " Clear the link graph edges.  The graph vertices will remain.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearLinkEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for ClearLinkEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinkGraph */
    if ( strcmp ( argv[2], "GetLinkGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinkGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinkGraph */
    Tcl_DStringAppendElement ( &dString, " The graph describing how to link the columns in the table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMutableDirectedGraph *GetLinkGraph();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for GetLinkGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinkGraph */
    if ( strcmp ( argv[2], "SetLinkGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinkGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMutableDirectedGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinkGraph */
    Tcl_DStringAppendElement ( &dString, " The graph describing how to link the columns in the table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinkGraph(vtkMutableDirectedGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for SetLinkGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LinkColumnPath */
    if ( strcmp ( argv[2], "LinkColumnPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LinkColumnPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringAppendElement ( &dString, "vtkBitArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LinkColumnPath */
    Tcl_DStringAppendElement ( &dString, " Links the columns in a specific order.\n This creates a simple path as the link graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void LinkColumnPath(vtkStringArray *column, vtkStringArray *domain=0, vtkBitArray *hidden=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for LinkColumnPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirected */
    if ( strcmp ( argv[2], "SetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirected */
    Tcl_DStringAppendElement ( &dString, " Specify the directedness of the output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirected(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for SetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirected */
    if ( strcmp ( argv[2], "GetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirected */
    Tcl_DStringAppendElement ( &dString, " Specify the directedness of the output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDirected();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for GetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOn */
    if ( strcmp ( argv[2], "DirectedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOn */
    Tcl_DStringAppendElement ( &dString, " Specify the directedness of the output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for DirectedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOff */
    if ( strcmp ( argv[2], "DirectedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOff */
    Tcl_DStringAppendElement ( &dString, " Specify the directedness of the output graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for DirectedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the current modified time.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexTableConnection */
    if ( strcmp ( argv[2], "SetVertexTableConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexTableConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexTableConnection */
    Tcl_DStringAppendElement ( &dString, " A convenience method for setting the vertex table input.  This\n is mainly for the benefit of the VTK client/server layer,\n vanilla VTK code should use e.g:\n\n table_to_graph->SetInputConnection(1, vertex_table->output());\n\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexTableConnection(vtkAlgorithmOutput *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkTableToGraph" );
    /* Closing for SetVertexTableConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
