// tcl wrapper for vtkTreeFieldAggregator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeFieldAggregator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTreeFieldAggregatorNewCommand()
{
  vtkTreeFieldAggregator *temp = vtkTreeFieldAggregator::New();
  return static_cast<ClientData>(temp);
}

int vtkTreeAlgorithmCppCommand(vtkTreeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTreeFieldAggregatorCppCommand(vtkTreeFieldAggregator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTreeFieldAggregatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTreeFieldAggregatorCppCommand(static_cast<vtkTreeFieldAggregator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTreeFieldAggregatorCppCommand(vtkTreeFieldAggregator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTreeFieldAggregator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTreeAlgorithmCppCommand(static_cast<vtkTreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTreeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTreeFieldAggregator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeFieldAggregator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTreeFieldAggregator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeFieldAggregator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTreeFieldAggregator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeFieldAggregator");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLeafVertexUnitSize",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLeafVertexUnitSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeafVertexUnitSize",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLeafVertexUnitSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LeafVertexUnitSizeOn",argv[1]))&&(argc == 2))
    {
    op->LeafVertexUnitSizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeafVertexUnitSizeOff",argv[1]))&&(argc == 2))
    {
    op->LeafVertexUnitSizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLogScale",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLogScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogScale",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLogScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LogScaleOn",argv[1]))&&(argc == 2))
    {
    op->LogScaleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LogScaleOff",argv[1]))&&(argc == 2))
    {
    op->LogScaleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTreeFieldAggregatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTreeFieldAggregator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetField\n",NULL);
    Tcl_AppendResult(interp,"  SetField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMinValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLeafVertexUnitSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeafVertexUnitSize\n",NULL);
    Tcl_AppendResult(interp,"  LeafVertexUnitSizeOn\n",NULL);
    Tcl_AppendResult(interp,"  LeafVertexUnitSizeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLogScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogScale\n",NULL);
    Tcl_AppendResult(interp,"  LogScaleOn\n",NULL);
    Tcl_AppendResult(interp,"  LogScaleOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetField" );
    Tcl_DStringAppendElement ( &dString, "SetField" );
    Tcl_DStringAppendElement ( &dString, "GetMinValue" );
    Tcl_DStringAppendElement ( &dString, "SetMinValue" );
    Tcl_DStringAppendElement ( &dString, "SetLeafVertexUnitSize" );
    Tcl_DStringAppendElement ( &dString, "GetLeafVertexUnitSize" );
    Tcl_DStringAppendElement ( &dString, "LeafVertexUnitSizeOn" );
    Tcl_DStringAppendElement ( &dString, "LeafVertexUnitSizeOff" );
    Tcl_DStringAppendElement ( &dString, "SetLogScale" );
    Tcl_DStringAppendElement ( &dString, "GetLogScale" );
    Tcl_DStringAppendElement ( &dString, "LogScaleOn" );
    Tcl_DStringAppendElement ( &dString, "LogScaleOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTreeFieldAggregator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetField */
    if ( strcmp ( argv[2], "GetField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetField */
    Tcl_DStringAppendElement ( &dString, " The field to aggregate.  If this is a string array, the entries are converted to double.\n TODO: Remove this field and use the ArrayToProcess in vtkAlgorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetField();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for GetField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetField */
    if ( strcmp ( argv[2], "SetField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetField */
    Tcl_DStringAppendElement ( &dString, " The field to aggregate.  If this is a string array, the entries are converted to double.\n TODO: Remove this field and use the ArrayToProcess in vtkAlgorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetField(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for SetField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinValue */
    if ( strcmp ( argv[2], "GetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinValue */
    Tcl_DStringAppendElement ( &dString, " If the value of the vertex is less than MinValue then consider it's value to be minVal.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for GetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinValue */
    if ( strcmp ( argv[2], "SetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinValue */
    Tcl_DStringAppendElement ( &dString, " If the value of the vertex is less than MinValue then consider it's value to be minVal.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for SetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeafVertexUnitSize */
    if ( strcmp ( argv[2], "SetLeafVertexUnitSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeafVertexUnitSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeafVertexUnitSize */
    Tcl_DStringAppendElement ( &dString, " If set, the algorithm will assume a size of 1 for each leaf vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeafVertexUnitSize(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for SetLeafVertexUnitSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeafVertexUnitSize */
    if ( strcmp ( argv[2], "GetLeafVertexUnitSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeafVertexUnitSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeafVertexUnitSize */
    Tcl_DStringAppendElement ( &dString, " If set, the algorithm will assume a size of 1 for each leaf vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLeafVertexUnitSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for GetLeafVertexUnitSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeafVertexUnitSizeOn */
    if ( strcmp ( argv[2], "LeafVertexUnitSizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeafVertexUnitSizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeafVertexUnitSizeOn */
    Tcl_DStringAppendElement ( &dString, " If set, the algorithm will assume a size of 1 for each leaf vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void LeafVertexUnitSizeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for LeafVertexUnitSizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeafVertexUnitSizeOff */
    if ( strcmp ( argv[2], "LeafVertexUnitSizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeafVertexUnitSizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeafVertexUnitSizeOff */
    Tcl_DStringAppendElement ( &dString, " If set, the algorithm will assume a size of 1 for each leaf vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void LeafVertexUnitSizeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for LeafVertexUnitSizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLogScale */
    if ( strcmp ( argv[2], "SetLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLogScale */
    Tcl_DStringAppendElement ( &dString, " If set, the leaf values in the tree will be logarithmically scaled (base 10).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLogScale(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for SetLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLogScale */
    if ( strcmp ( argv[2], "GetLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLogScale */
    Tcl_DStringAppendElement ( &dString, " If set, the leaf values in the tree will be logarithmically scaled (base 10).\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLogScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for GetLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogScaleOn */
    if ( strcmp ( argv[2], "LogScaleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogScaleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogScaleOn */
    Tcl_DStringAppendElement ( &dString, " If set, the leaf values in the tree will be logarithmically scaled (base 10).\n" );
    Tcl_DStringAppendElement ( &dString, "void LogScaleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for LogScaleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogScaleOff */
    if ( strcmp ( argv[2], "LogScaleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogScaleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogScaleOff */
    Tcl_DStringAppendElement ( &dString, " If set, the leaf values in the tree will be logarithmically scaled (base 10).\n" );
    Tcl_DStringAppendElement ( &dString, "void LogScaleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeFieldAggregator" );
    /* Closing for LogScaleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTreeAlgorithmCppCommand(static_cast<vtkTreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
