// tcl wrapper for vtkXMLTreeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLTreeReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXMLTreeReaderNewCommand()
{
  vtkXMLTreeReader *temp = vtkXMLTreeReader::New();
  return static_cast<ClientData>(temp);
}

int vtkTreeAlgorithmCppCommand(vtkTreeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLTreeReaderCppCommand(vtkXMLTreeReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLTreeReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLTreeReaderCppCommand(static_cast<vtkXMLTreeReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLTreeReaderCppCommand(vtkXMLTreeReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLTreeReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTreeAlgorithmCppCommand(static_cast<vtkTreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTreeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXMLTreeReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLTreeReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLTreeReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLTreeReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXMLTreeReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLTreeReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMLString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXMLString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXMLString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXMLString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgePedigreeIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEdgePedigreeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgePedigreeIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgePedigreeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexPedigreeIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVertexPedigreeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexPedigreeIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexPedigreeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGenerateEdgePedigreeIds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGenerateEdgePedigreeIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateEdgePedigreeIds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGenerateEdgePedigreeIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateEdgePedigreeIdsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgePedigreeIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateEdgePedigreeIdsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgePedigreeIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateVertexPedigreeIds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGenerateVertexPedigreeIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateVertexPedigreeIds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGenerateVertexPedigreeIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVertexPedigreeIdsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateVertexPedigreeIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVertexPedigreeIdsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateVertexPedigreeIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaskArrays",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetMaskArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaskArrays",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetMaskArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MaskArraysOn",argv[1]))&&(argc == 2))
    {
    op->MaskArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaskArraysOff",argv[1]))&&(argc == 2))
    {
    op->MaskArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReadCharData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetReadCharData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReadCharData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetReadCharData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadCharDataOn",argv[1]))&&(argc == 2))
    {
    op->ReadCharDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadCharDataOff",argv[1]))&&(argc == 2))
    {
    op->ReadCharDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReadTagName",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetReadTagName();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReadTagName",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetReadTagName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadTagNameOn",argv[1]))&&(argc == 2))
    {
    op->ReadTagNameOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadTagNameOff",argv[1]))&&(argc == 2))
    {
    op->ReadTagNameOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXMLTreeReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLTreeReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMLString\n",NULL);
    Tcl_AppendResult(interp,"  SetXMLString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgePedigreeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgePedigreeIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexPedigreeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexPedigreeIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateEdgePedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateEdgePedigreeIds\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgePedigreeIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgePedigreeIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateVertexPedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateVertexPedigreeIds\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVertexPedigreeIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVertexPedigreeIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskArrays\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MaskArraysOn\n",NULL);
    Tcl_AppendResult(interp,"  MaskArraysOff\n",NULL);
    Tcl_AppendResult(interp,"  GetReadCharData\n",NULL);
    Tcl_AppendResult(interp,"  SetReadCharData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadCharDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadCharDataOff\n",NULL);
    Tcl_AppendResult(interp,"  GetReadTagName\n",NULL);
    Tcl_AppendResult(interp,"  SetReadTagName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadTagNameOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadTagNameOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetXMLString" );
    Tcl_DStringAppendElement ( &dString, "SetXMLString" );
    Tcl_DStringAppendElement ( &dString, "GetEdgePedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgePedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexPedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexPedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgePedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgePedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertexPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertexPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPedigreeIdsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPedigreeIdsOff" );
    Tcl_DStringAppendElement ( &dString, "GetMaskArrays" );
    Tcl_DStringAppendElement ( &dString, "SetMaskArrays" );
    Tcl_DStringAppendElement ( &dString, "MaskArraysOn" );
    Tcl_DStringAppendElement ( &dString, "MaskArraysOff" );
    Tcl_DStringAppendElement ( &dString, "GetReadCharData" );
    Tcl_DStringAppendElement ( &dString, "SetReadCharData" );
    Tcl_DStringAppendElement ( &dString, "ReadCharDataOn" );
    Tcl_DStringAppendElement ( &dString, "ReadCharDataOff" );
    Tcl_DStringAppendElement ( &dString, "GetReadTagName" );
    Tcl_DStringAppendElement ( &dString, "SetReadTagName" );
    Tcl_DStringAppendElement ( &dString, "ReadTagNameOn" );
    Tcl_DStringAppendElement ( &dString, "ReadTagNameOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTreeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLTreeReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " If set, reads in the XML file specified.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " If set, reads in the XML file specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXMLString */
    if ( strcmp ( argv[2], "GetXMLString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXMLString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXMLString */
    Tcl_DStringAppendElement ( &dString, " If set, and FileName is not set, reads in the XML string.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXMLString();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetXMLString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXMLString */
    if ( strcmp ( argv[2], "SetXMLString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXMLString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXMLString */
    Tcl_DStringAppendElement ( &dString, " If set, and FileName is not set, reads in the XML string.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXMLString(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetXMLString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgePedigreeIdArrayName */
    if ( strcmp ( argv[2], "GetEdgePedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgePedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgePedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the edge pedigree ids. Default is \"edge id\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetEdgePedigreeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetEdgePedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgePedigreeIdArrayName */
    if ( strcmp ( argv[2], "SetEdgePedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgePedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgePedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the edge pedigree ids. Default is \"edge id\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgePedigreeIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetEdgePedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexPedigreeIdArrayName */
    if ( strcmp ( argv[2], "GetVertexPedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexPedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexPedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the vertex pedigree ids. Default is \"vertex id\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVertexPedigreeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetVertexPedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexPedigreeIdArrayName */
    if ( strcmp ( argv[2], "SetVertexPedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexPedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexPedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the vertex pedigree ids. Default is \"vertex id\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexPedigreeIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetVertexPedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateEdgePedigreeIds */
    if ( strcmp ( argv[2], "SetGenerateEdgePedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgePedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateEdgePedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateEdgePedigreeIds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetGenerateEdgePedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateEdgePedigreeIds */
    if ( strcmp ( argv[2], "GetGenerateEdgePedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgePedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateEdgePedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGenerateEdgePedigreeIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetGenerateEdgePedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgePedigreeIdsOn */
    if ( strcmp ( argv[2], "GenerateEdgePedigreeIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgePedigreeIdsOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgePedigreeIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GenerateEdgePedigreeIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgePedigreeIdsOff */
    if ( strcmp ( argv[2], "GenerateEdgePedigreeIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePedigreeIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgePedigreeIdsOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgePedigreeIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GenerateEdgePedigreeIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateVertexPedigreeIds */
    if ( strcmp ( argv[2], "SetGenerateVertexPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertexPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateVertexPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateVertexPedigreeIds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetGenerateVertexPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateVertexPedigreeIds */
    if ( strcmp ( argv[2], "GetGenerateVertexPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertexPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateVertexPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGenerateVertexPedigreeIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetGenerateVertexPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVertexPedigreeIdsOn */
    if ( strcmp ( argv[2], "GenerateVertexPedigreeIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPedigreeIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVertexPedigreeIdsOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVertexPedigreeIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GenerateVertexPedigreeIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVertexPedigreeIdsOff */
    if ( strcmp ( argv[2], "GenerateVertexPedigreeIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPedigreeIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVertexPedigreeIdsOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to use an property from the XML file as pedigree ids (off),\n or generate a new array with integer values starting at zero (on).\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVertexPedigreeIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GenerateVertexPedigreeIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskArrays */
    if ( strcmp ( argv[2], "GetMaskArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskArrays */
    Tcl_DStringAppendElement ( &dString, " If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetMaskArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetMaskArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskArrays */
    if ( strcmp ( argv[2], "SetMaskArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskArrays */
    Tcl_DStringAppendElement ( &dString, " If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskArrays(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetMaskArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaskArraysOn */
    if ( strcmp ( argv[2], "MaskArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaskArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaskArraysOn */
    Tcl_DStringAppendElement ( &dString, " If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaskArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for MaskArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaskArraysOff */
    if ( strcmp ( argv[2], "MaskArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaskArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaskArraysOff */
    Tcl_DStringAppendElement ( &dString, " If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaskArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for MaskArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadCharData */
    if ( strcmp ( argv[2], "GetReadCharData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadCharData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadCharData */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetReadCharData();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetReadCharData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadCharData */
    if ( strcmp ( argv[2], "SetReadCharData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadCharData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadCharData */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadCharData(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetReadCharData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadCharDataOn */
    if ( strcmp ( argv[2], "ReadCharDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadCharDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadCharDataOn */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadCharDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for ReadCharDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadCharDataOff */
    if ( strcmp ( argv[2], "ReadCharDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadCharDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadCharDataOff */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadCharDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for ReadCharDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadTagName */
    if ( strcmp ( argv[2], "GetReadTagName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadTagName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadTagName */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML tag name data in a field called .tagname\n otherwise this field is skipped.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetReadTagName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for GetReadTagName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadTagName */
    if ( strcmp ( argv[2], "SetReadTagName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadTagName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadTagName */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML tag name data in a field called .tagname\n otherwise this field is skipped.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadTagName(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for SetReadTagName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadTagNameOn */
    if ( strcmp ( argv[2], "ReadTagNameOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadTagNameOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadTagNameOn */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML tag name data in a field called .tagname\n otherwise this field is skipped.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadTagNameOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for ReadTagNameOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadTagNameOff */
    if ( strcmp ( argv[2], "ReadTagNameOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadTagNameOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadTagNameOff */
    Tcl_DStringAppendElement ( &dString, " If on, stores the XML tag name data in a field called .tagname\n otherwise this field is skipped.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadTagNameOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLTreeReader" );
    /* Closing for ReadTagNameOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTreeAlgorithmCppCommand(static_cast<vtkTreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
