// tcl wrapper for vtkClientServerCompositePass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClientServerCompositePass.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkClientServerCompositePassNewCommand()
{
  vtkClientServerCompositePass *temp = vtkClientServerCompositePass::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderPassCppCommand(vtkRenderPass *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkClientServerCompositePassCppCommand(vtkClientServerCompositePass *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkClientServerCompositePassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkClientServerCompositePassCppCommand(static_cast<vtkClientServerCompositePass *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkClientServerCompositePassCppCommand(vtkClientServerCompositePass *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkClientServerCompositePass",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderPassCppCommand(static_cast<vtkRenderPass *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderPass"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkClientServerCompositePass  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClientServerCompositePass");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkClientServerCompositePass  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClientServerCompositePass");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkClientServerCompositePass  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClientServerCompositePass");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderPass",argv[1]))&&(argc == 3))
    {
    vtkRenderPass  *temp0;
    error = 0;

    temp0 = (vtkRenderPass *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderPass"),interp,error));
    if (!error)
    {
    op->SetRenderPass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderPass",argv[1]))&&(argc == 2))
    {
    vtkRenderPass  *temp20;
    temp20 = (op)->GetRenderPass();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderPass");
    return TCL_OK;
    }
  if ((!strcmp("SetPostProcessingRenderPass",argv[1]))&&(argc == 3))
    {
    vtkRenderPass  *temp0;
    error = 0;

    temp0 = (vtkRenderPass *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderPass"),interp,error));
    if (!error)
    {
    op->SetPostProcessingRenderPass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPostProcessingRenderPass",argv[1]))&&(argc == 2))
    {
    vtkRenderPass  *temp20;
    temp20 = (op)->GetPostProcessingRenderPass();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderPass");
    return TCL_OK;
    }
  if ((!strcmp("SetProcessIsServer",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetProcessIsServer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ProcessIsServerOn",argv[1]))&&(argc == 2))
    {
    op->ProcessIsServerOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ProcessIsServerOff",argv[1]))&&(argc == 2))
    {
    op->ProcessIsServerOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessIsServer",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetProcessIsServer();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetServerSideRendering",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetServerSideRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ServerSideRenderingOn",argv[1]))&&(argc == 2))
    {
    op->ServerSideRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ServerSideRenderingOff",argv[1]))&&(argc == 2))
    {
    op->ServerSideRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetServerSideRendering",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetServerSideRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkClientServerCompositePassCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderPassCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkClientServerCompositePass:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderPass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderPass\n",NULL);
    Tcl_AppendResult(interp,"  SetPostProcessingRenderPass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPostProcessingRenderPass\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessIsServer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ProcessIsServerOn\n",NULL);
    Tcl_AppendResult(interp,"  ProcessIsServerOff\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessIsServer\n",NULL);
    Tcl_AppendResult(interp,"  SetServerSideRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ServerSideRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ServerSideRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetServerSideRendering\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderPassCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "SetRenderPass" );
    Tcl_DStringAppendElement ( &dString, "GetRenderPass" );
    Tcl_DStringAppendElement ( &dString, "SetPostProcessingRenderPass" );
    Tcl_DStringAppendElement ( &dString, "GetPostProcessingRenderPass" );
    Tcl_DStringAppendElement ( &dString, "SetProcessIsServer" );
    Tcl_DStringAppendElement ( &dString, "ProcessIsServerOn" );
    Tcl_DStringAppendElement ( &dString, "ProcessIsServerOff" );
    Tcl_DStringAppendElement ( &dString, "GetProcessIsServer" );
    Tcl_DStringAppendElement ( &dString, "SetServerSideRendering" );
    Tcl_DStringAppendElement ( &dString, "ServerSideRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "ServerSideRenderingOff" );
    Tcl_DStringAppendElement ( &dString, "GetServerSideRendering" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderPassCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkClientServerCompositePass *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *w);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Controller\n If it is NULL, nothing will be rendered and a warning will be emitted.\n Initial value is a NULL pointer.\n This must be set to the socket controller used for communicating between\n the client and the server.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Controller\n If it is NULL, nothing will be rendered and a warning will be emitted.\n Initial value is a NULL pointer.\n This must be set to the socket controller used for communicating between\n the client and the server.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController(vtkMultiProcessController *controller);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderPass */
    if ( strcmp ( argv[2], "SetRenderPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderPass */
    Tcl_DStringAppendElement ( &dString, " Get/Set the render pass used to do the actual rendering.\n When ServerSideRendering is true, the rendering-pass is called only on the\n server side.  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderPass(vtkRenderPass *);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for SetRenderPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderPass */
    if ( strcmp ( argv[2], "GetRenderPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderPass */
    Tcl_DStringAppendElement ( &dString, " Get/Set the render pass used to do the actual rendering.\n When ServerSideRendering is true, the rendering-pass is called only on the\n server side.  \n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass *GetRenderPass();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for GetRenderPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPostProcessingRenderPass */
    if ( strcmp ( argv[2], "SetPostProcessingRenderPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPostProcessingRenderPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPostProcessingRenderPass */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional post-fetch render pass.\n On the client-process this is called after the server-side image is fetched\n (if ServerSideRendering is true). On server-process, this is called after the\n image rendered by this->RenderPass is delivered to the client (if\n ServerSideRendering is true). This is optional, so you can set this either on\n one of the two processes or both or neither.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPostProcessingRenderPass(vtkRenderPass *);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for SetPostProcessingRenderPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPostProcessingRenderPass */
    if ( strcmp ( argv[2], "GetPostProcessingRenderPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPostProcessingRenderPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPostProcessingRenderPass */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional post-fetch render pass.\n On the client-process this is called after the server-side image is fetched\n (if ServerSideRendering is true). On server-process, this is called after the\n image rendered by this->RenderPass is delivered to the client (if\n ServerSideRendering is true). This is optional, so you can set this either on\n one of the two processes or both or neither.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass *GetPostProcessingRenderPass();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for GetPostProcessingRenderPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProcessIsServer */
    if ( strcmp ( argv[2], "SetProcessIsServer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessIsServer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessIsServer */
    Tcl_DStringAppendElement ( &dString, " Set the current process type. This is needed since when using the socket\n communicator there's no easy way of determining which process is the server\n and which one is the client. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetProcessIsServer(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for SetProcessIsServer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProcessIsServerOn */
    if ( strcmp ( argv[2], "ProcessIsServerOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessIsServerOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessIsServerOn */
    Tcl_DStringAppendElement ( &dString, " Set the current process type. This is needed since when using the socket\n communicator there's no easy way of determining which process is the server\n and which one is the client. \n" );
    Tcl_DStringAppendElement ( &dString, "void ProcessIsServerOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for ProcessIsServerOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProcessIsServerOff */
    if ( strcmp ( argv[2], "ProcessIsServerOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessIsServerOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessIsServerOff */
    Tcl_DStringAppendElement ( &dString, " Set the current process type. This is needed since when using the socket\n communicator there's no easy way of determining which process is the server\n and which one is the client. \n" );
    Tcl_DStringAppendElement ( &dString, "void ProcessIsServerOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for ProcessIsServerOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessIsServer */
    if ( strcmp ( argv[2], "GetProcessIsServer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessIsServer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessIsServer */
    Tcl_DStringAppendElement ( &dString, " Set the current process type. This is needed since when using the socket\n communicator there's no easy way of determining which process is the server\n and which one is the client. \n" );
    Tcl_DStringAppendElement ( &dString, "bool GetProcessIsServer();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for GetProcessIsServer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetServerSideRendering */
    if ( strcmp ( argv[2], "SetServerSideRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetServerSideRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetServerSideRendering */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable fetching of the image from the server side to the client. If\n this flag is disabled, then this pass just acts as a \"pass-through\" pass.\n This flag must be set to the same value on both the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetServerSideRendering(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for SetServerSideRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ServerSideRenderingOn */
    if ( strcmp ( argv[2], "ServerSideRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ServerSideRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ServerSideRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable fetching of the image from the server side to the client. If\n this flag is disabled, then this pass just acts as a \"pass-through\" pass.\n This flag must be set to the same value on both the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void ServerSideRenderingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for ServerSideRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ServerSideRenderingOff */
    if ( strcmp ( argv[2], "ServerSideRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ServerSideRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ServerSideRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable fetching of the image from the server side to the client. If\n this flag is disabled, then this pass just acts as a \"pass-through\" pass.\n This flag must be set to the same value on both the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void ServerSideRenderingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for ServerSideRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetServerSideRendering */
    if ( strcmp ( argv[2], "GetServerSideRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetServerSideRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetServerSideRendering */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable fetching of the image from the server side to the client. If\n this flag is disabled, then this pass just acts as a \"pass-through\" pass.\n This flag must be set to the same value on both the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetServerSideRendering();" );
    Tcl_DStringAppendElement ( &dString, "vtkClientServerCompositePass" );
    /* Closing for GetServerSideRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderPassCppCommand(static_cast<vtkRenderPass *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
