// tcl wrapper for vtkExtractCTHPart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractCTHPart.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExtractCTHPartNewCommand()
{
  vtkExtractCTHPart *temp = vtkExtractCTHPart::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractCTHPartCppCommand(vtkExtractCTHPart *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExtractCTHPartCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExtractCTHPartCppCommand(static_cast<vtkExtractCTHPart *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractCTHPartCppCommand(vtkExtractCTHPart *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExtractCTHPart",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExtractCTHPart  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractCTHPart");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExtractCTHPart  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractCTHPart");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExtractCTHPart  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractCTHPart");
    return TCL_OK;
    }
  if ((!strcmp("RemoveDoubleVolumeArrayNames",argv[1]))&&(argc == 2))
    {
    op->RemoveDoubleVolumeArrayNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveFloatVolumeArrayNames",argv[1]))&&(argc == 2))
    {
    op->RemoveFloatVolumeArrayNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveUnsignedCharVolumeArrayNames",argv[1]))&&(argc == 2))
    {
    op->RemoveUnsignedCharVolumeArrayNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVolumeArrayNames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVolumeArrayNames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumeArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVolumeArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllVolumeArrayNames",argv[1]))&&(argc == 2))
    {
    op->RemoveAllVolumeArrayNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddDoubleVolumeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddDoubleVolumeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFloatVolumeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddFloatVolumeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUnsignedCharVolumeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddUnsignedCharVolumeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVolumeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddVolumeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClipPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->SetClipPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClipPlane",argv[1]))&&(argc == 2))
    {
    vtkPlane  *temp20;
    temp20 = (op)->GetClipPlane();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlane");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetVolumeFractionSurfaceValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVolumeFractionSurfaceValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumeFractionSurfaceValueMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeFractionSurfaceValueMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumeFractionSurfaceValueMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeFractionSurfaceValueMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumeFractionSurfaceValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeFractionSurfaceValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExtractCTHPartCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractCTHPart:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDoubleVolumeArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFloatVolumeArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUnsignedCharVolumeArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVolumeArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllVolumeArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  AddDoubleVolumeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFloatVolumeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddUnsignedCharVolumeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddVolumeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetClipPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClipPlane\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumeFractionSurfaceValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeFractionSurfaceValueMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeFractionSurfaceValueMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeFractionSurfaceValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RemoveDoubleVolumeArrayNames" );
    Tcl_DStringAppendElement ( &dString, "RemoveFloatVolumeArrayNames" );
    Tcl_DStringAppendElement ( &dString, "RemoveUnsignedCharVolumeArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVolumeArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeArrayName" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVolumeArrayNames" );
    Tcl_DStringAppendElement ( &dString, "AddDoubleVolumeArrayName" );
    Tcl_DStringAppendElement ( &dString, "AddFloatVolumeArrayName" );
    Tcl_DStringAppendElement ( &dString, "AddUnsignedCharVolumeArrayName" );
    Tcl_DStringAppendElement ( &dString, "AddVolumeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetClipPlane" );
    Tcl_DStringAppendElement ( &dString, "GetClipPlane" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetVolumeFractionSurfaceValue" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionSurfaceValueMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionSurfaceValueMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionSurfaceValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with initial range (0,1) and single contour value\n of 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractCTHPart *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDoubleVolumeArrayNames */
    if ( strcmp ( argv[2], "RemoveDoubleVolumeArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDoubleVolumeArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDoubleVolumeArrayNames */
    Tcl_DStringAppendElement ( &dString, " Names of cell volume fraction arrays to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveDoubleVolumeArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for RemoveDoubleVolumeArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveFloatVolumeArrayNames */
    if ( strcmp ( argv[2], "RemoveFloatVolumeArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveFloatVolumeArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveFloatVolumeArrayNames */
    Tcl_DStringAppendElement ( &dString, " Names of cell volume fraction arrays to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveFloatVolumeArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for RemoveFloatVolumeArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveUnsignedCharVolumeArrayNames */
    if ( strcmp ( argv[2], "RemoveUnsignedCharVolumeArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveUnsignedCharVolumeArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveUnsignedCharVolumeArrayNames */
    Tcl_DStringAppendElement ( &dString, " Names of cell volume fraction arrays to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveUnsignedCharVolumeArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for RemoveUnsignedCharVolumeArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVolumeArrayNames */
    if ( strcmp ( argv[2], "GetNumberOfVolumeArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVolumeArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVolumeArrayNames */
    Tcl_DStringAppendElement ( &dString, " Names of cell volume fraction arrays to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVolumeArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetNumberOfVolumeArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeArrayName */
    if ( strcmp ( argv[2], "GetVolumeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeArrayName */
    Tcl_DStringAppendElement ( &dString, " Names of cell volume fraction arrays to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVolumeArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetVolumeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllVolumeArrayNames */
    if ( strcmp ( argv[2], "RemoveAllVolumeArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVolumeArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllVolumeArrayNames */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllVolumeArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for RemoveAllVolumeArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDoubleVolumeArrayName */
    if ( strcmp ( argv[2], "AddDoubleVolumeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDoubleVolumeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDoubleVolumeArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddDoubleVolumeArrayName(char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for AddDoubleVolumeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFloatVolumeArrayName */
    if ( strcmp ( argv[2], "AddFloatVolumeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFloatVolumeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFloatVolumeArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFloatVolumeArrayName(char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for AddFloatVolumeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddUnsignedCharVolumeArrayName */
    if ( strcmp ( argv[2], "AddUnsignedCharVolumeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddUnsignedCharVolumeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddUnsignedCharVolumeArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddUnsignedCharVolumeArrayName(char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for AddUnsignedCharVolumeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddVolumeArrayName */
    if ( strcmp ( argv[2], "AddVolumeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVolumeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVolumeArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddVolumeArrayName(char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for AddVolumeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipPlane */
    if ( strcmp ( argv[2], "SetClipPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipPlane */
    Tcl_DStringAppendElement ( &dString, " Set, get or maninpulate the implicit clipping plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClipPlane(vtkPlane *clipPlane);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for SetClipPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipPlane */
    if ( strcmp ( argv[2], "GetClipPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipPlane */
    Tcl_DStringAppendElement ( &dString, " Set, get or maninpulate the implicit clipping plane.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlane *GetClipPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetClipPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Look at clip plane to compute MTime.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Set the controller used to coordinate parallel processing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetController(vtkMultiProcessController *controller);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Return the controller used to coordinate parallel processing. By default,\n it is the global controller.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVolumeFractionSurfaceValue */
    if ( strcmp ( argv[2], "SetVolumeFractionSurfaceValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolumeFractionSurfaceValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolumeFractionSurfaceValue */
    Tcl_DStringAppendElement ( &dString, " Set and get the volume fraction surface value. This value should be\n between 0 and 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVolumeFractionSurfaceValue(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for SetVolumeFractionSurfaceValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeFractionSurfaceValueMinValue */
    if ( strcmp ( argv[2], "GetVolumeFractionSurfaceValueMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionSurfaceValueMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeFractionSurfaceValueMinValue */
    Tcl_DStringAppendElement ( &dString, " Set and get the volume fraction surface value. This value should be\n between 0 and 1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeFractionSurfaceValueMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetVolumeFractionSurfaceValueMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeFractionSurfaceValueMaxValue */
    if ( strcmp ( argv[2], "GetVolumeFractionSurfaceValueMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionSurfaceValueMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeFractionSurfaceValueMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set and get the volume fraction surface value. This value should be\n between 0 and 1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeFractionSurfaceValueMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetVolumeFractionSurfaceValueMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeFractionSurfaceValue */
    if ( strcmp ( argv[2], "GetVolumeFractionSurfaceValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeFractionSurfaceValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeFractionSurfaceValue */
    Tcl_DStringAppendElement ( &dString, " Set and get the volume fraction surface value. This value should be\n between 0 and 1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeFractionSurfaceValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractCTHPart" );
    /* Closing for GetVolumeFractionSurfaceValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
