// tcl wrapper for vtkPCosmoHaloFinder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCosmoHaloFinder.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPCosmoHaloFinderNewCommand()
{
  vtkPCosmoHaloFinder *temp = vtkPCosmoHaloFinder::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPCosmoHaloFinderCppCommand(vtkPCosmoHaloFinder *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPCosmoHaloFinderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPCosmoHaloFinderCppCommand(static_cast<vtkPCosmoHaloFinder *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPCosmoHaloFinderCppCommand(vtkPCosmoHaloFinder *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPCosmoHaloFinder",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPCosmoHaloFinder  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPCosmoHaloFinder");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPCosmoHaloFinder  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPCosmoHaloFinder");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPCosmoHaloFinder  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPCosmoHaloFinder");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNP",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNP(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNP",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNP();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRL",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRL(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRL",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetRL();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOverlap",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOverlap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverlap",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetOverlap();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPMin",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPMin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPMin",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPMin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBB",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBB(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBB",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetBB();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyHaloDataToParticles",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyHaloDataToParticles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyHaloDataToParticles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyHaloDataToParticles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeMostBoundParticle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeMostBoundParticle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeMostBoundParticle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeMostBoundParticle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeMostConnectedParticle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeMostConnectedParticle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeMostConnectedParticle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeMostConnectedParticle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeSOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeSOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeSOD",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeSOD();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSODCenterType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSODCenterType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSODCenterType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSODCenterType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRhoC",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRhoC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRhoC",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetRhoC();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSODMass",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSODMass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSODMass",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetSODMass();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinRadiusFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinRadiusFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinRadiusFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinRadiusFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxRadiusFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxRadiusFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxRadiusFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxRadiusFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSODBins",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSODBins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSODBins",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSODBins();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinFOFSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinFOFSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinFOFSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinFOFSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinFOFMass",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinFOFMass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinFOFMass",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinFOFMass();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPCosmoHaloFinderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPCosmoHaloFinder:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNP\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNP\n",NULL);
    Tcl_AppendResult(interp,"  SetRL\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRL\n",NULL);
    Tcl_AppendResult(interp,"  SetOverlap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverlap\n",NULL);
    Tcl_AppendResult(interp,"  SetPMin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPMin\n",NULL);
    Tcl_AppendResult(interp,"  SetBB\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBB\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyHaloDataToParticles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyHaloDataToParticles\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeMostBoundParticle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeMostBoundParticle\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeMostConnectedParticle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeMostConnectedParticle\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeSOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeSOD\n",NULL);
    Tcl_AppendResult(interp,"  SetSODCenterType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSODCenterType\n",NULL);
    Tcl_AppendResult(interp,"  SetRhoC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRhoC\n",NULL);
    Tcl_AppendResult(interp,"  SetSODMass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSODMass\n",NULL);
    Tcl_AppendResult(interp,"  SetMinRadiusFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinRadiusFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxRadiusFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxRadiusFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetSODBins\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSODBins\n",NULL);
    Tcl_AppendResult(interp,"  SetMinFOFSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinFOFSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMinFOFMass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinFOFMass\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "SetNP" );
    Tcl_DStringAppendElement ( &dString, "GetNP" );
    Tcl_DStringAppendElement ( &dString, "SetRL" );
    Tcl_DStringAppendElement ( &dString, "GetRL" );
    Tcl_DStringAppendElement ( &dString, "SetOverlap" );
    Tcl_DStringAppendElement ( &dString, "GetOverlap" );
    Tcl_DStringAppendElement ( &dString, "SetPMin" );
    Tcl_DStringAppendElement ( &dString, "GetPMin" );
    Tcl_DStringAppendElement ( &dString, "SetBB" );
    Tcl_DStringAppendElement ( &dString, "GetBB" );
    Tcl_DStringAppendElement ( &dString, "SetCopyHaloDataToParticles" );
    Tcl_DStringAppendElement ( &dString, "GetCopyHaloDataToParticles" );
    Tcl_DStringAppendElement ( &dString, "SetComputeMostBoundParticle" );
    Tcl_DStringAppendElement ( &dString, "GetComputeMostBoundParticle" );
    Tcl_DStringAppendElement ( &dString, "SetComputeMostConnectedParticle" );
    Tcl_DStringAppendElement ( &dString, "GetComputeMostConnectedParticle" );
    Tcl_DStringAppendElement ( &dString, "SetComputeSOD" );
    Tcl_DStringAppendElement ( &dString, "GetComputeSOD" );
    Tcl_DStringAppendElement ( &dString, "SetSODCenterType" );
    Tcl_DStringAppendElement ( &dString, "GetSODCenterType" );
    Tcl_DStringAppendElement ( &dString, "SetRhoC" );
    Tcl_DStringAppendElement ( &dString, "GetRhoC" );
    Tcl_DStringAppendElement ( &dString, "SetSODMass" );
    Tcl_DStringAppendElement ( &dString, "GetSODMass" );
    Tcl_DStringAppendElement ( &dString, "SetMinRadiusFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMinRadiusFactor" );
    Tcl_DStringAppendElement ( &dString, "SetMaxRadiusFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMaxRadiusFactor" );
    Tcl_DStringAppendElement ( &dString, "SetSODBins" );
    Tcl_DStringAppendElement ( &dString, "GetSODBins" );
    Tcl_DStringAppendElement ( &dString, "SetMinFOFSize" );
    Tcl_DStringAppendElement ( &dString, "GetMinFOFSize" );
    Tcl_DStringAppendElement ( &dString, "SetMinFOFMass" );
    Tcl_DStringAppendElement ( &dString, "GetMinFOFMass" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPCosmoHaloFinder *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Set the communicator object for interprocess communication\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Set the communicator object for interprocess communication\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController(vtkMultiProcessController *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNP */
    if ( strcmp ( argv[2], "SetNP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNP */
    Tcl_DStringAppendElement ( &dString, " Specify the number of seeded particles in one dimension (total = np^3)\n (default 256)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNP(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetNP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNP */
    if ( strcmp ( argv[2], "GetNP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNP */
    Tcl_DStringAppendElement ( &dString, " Specify the number of seeded particles in one dimension (total = np^3)\n (default 256)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNP();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetNP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRL */
    if ( strcmp ( argv[2], "SetRL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRL */
    Tcl_DStringAppendElement ( &dString, " Specify the physical box dimensions size (rL)\n (default 100.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRL(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetRL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRL */
    if ( strcmp ( argv[2], "GetRL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRL */
    Tcl_DStringAppendElement ( &dString, " Specify the physical box dimensions size (rL)\n (default 100.0)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetRL();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetRL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOverlap */
    if ( strcmp ( argv[2], "SetOverlap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOverlap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOverlap */
    Tcl_DStringAppendElement ( &dString, " Specify the ghost cell spacing (in rL units)\n (edge boundary of processor box)\n (default 5)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOverlap(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetOverlap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverlap */
    if ( strcmp ( argv[2], "GetOverlap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverlap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverlap */
    Tcl_DStringAppendElement ( &dString, " Specify the ghost cell spacing (in rL units)\n (edge boundary of processor box)\n (default 5)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetOverlap();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetOverlap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPMin */
    if ( strcmp ( argv[2], "SetPMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPMin */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum number of particles for a halo (pmin)\n (default 100)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPMin(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetPMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPMin */
    if ( strcmp ( argv[2], "GetPMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPMin */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum number of particles for a halo (pmin)\n (default 100)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetPMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBB */
    if ( strcmp ( argv[2], "SetBB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBB */
    Tcl_DStringAppendElement ( &dString, " Specify the linking length (bb)\n (default .2)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBB(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetBB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBB */
    if ( strcmp ( argv[2], "GetBB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBB */
    Tcl_DStringAppendElement ( &dString, " Specify the linking length (bb)\n (default .2)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetBB();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetBB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyHaloDataToParticles */
    if ( strcmp ( argv[2], "SetCopyHaloDataToParticles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyHaloDataToParticles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyHaloDataToParticles */
    Tcl_DStringAppendElement ( &dString, " Copy the halo information to the original particles\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyHaloDataToParticles(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetCopyHaloDataToParticles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyHaloDataToParticles */
    if ( strcmp ( argv[2], "GetCopyHaloDataToParticles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyHaloDataToParticles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyHaloDataToParticles */
    Tcl_DStringAppendElement ( &dString, " Copy the halo information to the original particles\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyHaloDataToParticles();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetCopyHaloDataToParticles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeMostBoundParticle */
    if ( strcmp ( argv[2], "SetComputeMostBoundParticle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeMostBoundParticle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeMostBoundParticle */
    Tcl_DStringAppendElement ( &dString, " Turn on calculation of the most bound particle (center finding)\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeMostBoundParticle(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetComputeMostBoundParticle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeMostBoundParticle */
    if ( strcmp ( argv[2], "GetComputeMostBoundParticle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeMostBoundParticle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeMostBoundParticle */
    Tcl_DStringAppendElement ( &dString, " Turn on calculation of the most bound particle (center finding)\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeMostBoundParticle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetComputeMostBoundParticle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeMostConnectedParticle */
    if ( strcmp ( argv[2], "SetComputeMostConnectedParticle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeMostConnectedParticle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeMostConnectedParticle */
    Tcl_DStringAppendElement ( &dString, " Turn on calculation of the most connect particle (center finding)\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeMostConnectedParticle(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetComputeMostConnectedParticle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeMostConnectedParticle */
    if ( strcmp ( argv[2], "GetComputeMostConnectedParticle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeMostConnectedParticle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeMostConnectedParticle */
    Tcl_DStringAppendElement ( &dString, " Turn on calculation of the most connect particle (center finding)\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeMostConnectedParticle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetComputeMostConnectedParticle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeSOD */
    if ( strcmp ( argv[2], "SetComputeSOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeSOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeSOD */
    Tcl_DStringAppendElement ( &dString, " Turn on calculation of SOD halos\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeSOD(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetComputeSOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeSOD */
    if ( strcmp ( argv[2], "GetComputeSOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeSOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeSOD */
    Tcl_DStringAppendElement ( &dString, " Turn on calculation of SOD halos\n (default off)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeSOD();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetComputeSOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSODCenterType */
    if ( strcmp ( argv[2], "SetSODCenterType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSODCenterType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSODCenterType */
    Tcl_DStringAppendElement ( &dString, " Specify the FOF center to use in SOD calculations\n (0 = default, center of mass, 1 = average, 2 = MBP, 3 = MCP)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSODCenterType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetSODCenterType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSODCenterType */
    if ( strcmp ( argv[2], "GetSODCenterType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSODCenterType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSODCenterType */
    Tcl_DStringAppendElement ( &dString, " Specify the FOF center to use in SOD calculations\n (0 = default, center of mass, 1 = average, 2 = MBP, 3 = MCP)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSODCenterType();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetSODCenterType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRhoC */
    if ( strcmp ( argv[2], "SetRhoC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRhoC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRhoC */
    Tcl_DStringAppendElement ( &dString, " Specify rho_c (critical density)\n (default 2.77536627e11)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRhoC(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetRhoC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRhoC */
    if ( strcmp ( argv[2], "GetRhoC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRhoC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRhoC */
    Tcl_DStringAppendElement ( &dString, " Specify rho_c (critical density)\n (default 2.77536627e11)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetRhoC();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetRhoC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSODMass */
    if ( strcmp ( argv[2], "SetSODMass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSODMass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSODMass */
    Tcl_DStringAppendElement ( &dString, " Specify the initial SOD mass\n (default 1.0e14)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSODMass(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetSODMass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSODMass */
    if ( strcmp ( argv[2], "GetSODMass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSODMass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSODMass */
    Tcl_DStringAppendElement ( &dString, " Specify the initial SOD mass\n (default 1.0e14)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetSODMass();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetSODMass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinRadiusFactor */
    if ( strcmp ( argv[2], "SetMinRadiusFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinRadiusFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinRadiusFactor */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum radius factor \n (default 0.5)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinRadiusFactor(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetMinRadiusFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinRadiusFactor */
    if ( strcmp ( argv[2], "GetMinRadiusFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinRadiusFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinRadiusFactor */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum radius factor \n (default 0.5)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinRadiusFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetMinRadiusFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxRadiusFactor */
    if ( strcmp ( argv[2], "SetMaxRadiusFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxRadiusFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxRadiusFactor */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum radius factor\n (default 2.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxRadiusFactor(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetMaxRadiusFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxRadiusFactor */
    if ( strcmp ( argv[2], "GetMaxRadiusFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxRadiusFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxRadiusFactor */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum radius factor\n (default 2.0)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxRadiusFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetMaxRadiusFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSODBins */
    if ( strcmp ( argv[2], "SetSODBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSODBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSODBins */
    Tcl_DStringAppendElement ( &dString, " Specify the number of bins for SOD finding\n (default 20)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSODBins(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetSODBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSODBins */
    if ( strcmp ( argv[2], "GetSODBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSODBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSODBins */
    Tcl_DStringAppendElement ( &dString, " Specify the number of bins for SOD finding\n (default 20)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSODBins();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetSODBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinFOFSize */
    if ( strcmp ( argv[2], "SetMinFOFSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinFOFSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinFOFSize */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum FOF size for an SOD halo\n (default 1000)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinFOFSize(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetMinFOFSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinFOFSize */
    if ( strcmp ( argv[2], "GetMinFOFSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinFOFSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinFOFSize */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum FOF size for an SOD halo\n (default 1000)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinFOFSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetMinFOFSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinFOFMass */
    if ( strcmp ( argv[2], "SetMinFOFMass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinFOFMass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinFOFMass */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum FOF mass for an SOD halo\n (default 5.0e12)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinFOFMass(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for SetMinFOFMass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinFOFMass */
    if ( strcmp ( argv[2], "GetMinFOFMass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinFOFMass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinFOFMass */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum FOF mass for an SOD halo\n (default 5.0e12)\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinFOFMass();" );
    Tcl_DStringAppendElement ( &dString, "vtkPCosmoHaloFinder" );
    /* Closing for GetMinFOFMass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
