// tcl wrapper for vtkSynchronizedRenderWindows object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSynchronizedRenderWindows.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSynchronizedRenderWindowsNewCommand()
{
  vtkSynchronizedRenderWindows *temp = vtkSynchronizedRenderWindows::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSynchronizedRenderWindowsCppCommand(vtkSynchronizedRenderWindows *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSynchronizedRenderWindowsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSynchronizedRenderWindowsCppCommand(static_cast<vtkSynchronizedRenderWindows *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSynchronizedRenderWindowsCppCommand(vtkSynchronizedRenderWindows *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSynchronizedRenderWindows",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSynchronizedRenderWindows  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSynchronizedRenderWindows");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSynchronizedRenderWindows  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSynchronizedRenderWindows");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSynchronizedRenderWindows  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSynchronizedRenderWindows");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetParallelController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetParallelController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetParallelController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetIdentifier",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetIdentifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIdentifier",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetIdentifier();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParallelRendering",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetParallelRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelRendering",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetParallelRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOn",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOff",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderEventPropagation",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRenderEventPropagation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderEventPropagation",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRenderEventPropagation();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderEventPropagationOn",argv[1]))&&(argc == 2))
    {
    op->RenderEventPropagationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderEventPropagationOff",argv[1]))&&(argc == 2))
    {
    op->RenderEventPropagationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AbortRender",argv[1]))&&(argc == 2))
    {
    op->AbortRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRootProcessId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRootProcessId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRootProcessId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRootProcessId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSynchronizedRenderWindowsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSynchronizedRenderWindows:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelController\n",NULL);
    Tcl_AppendResult(interp,"  SetIdentifier\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIdentifier\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelRendering\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderEventPropagation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderEventPropagation\n",NULL);
    Tcl_AppendResult(interp,"  RenderEventPropagationOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderEventPropagationOff\n",NULL);
    Tcl_AppendResult(interp,"  AbortRender\n",NULL);
    Tcl_AppendResult(interp,"  SetRootProcessId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRootProcessId\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetParallelController" );
    Tcl_DStringAppendElement ( &dString, "GetParallelController" );
    Tcl_DStringAppendElement ( &dString, "SetIdentifier" );
    Tcl_DStringAppendElement ( &dString, "GetIdentifier" );
    Tcl_DStringAppendElement ( &dString, "SetParallelRendering" );
    Tcl_DStringAppendElement ( &dString, "GetParallelRendering" );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOff" );
    Tcl_DStringAppendElement ( &dString, "SetRenderEventPropagation" );
    Tcl_DStringAppendElement ( &dString, "GetRenderEventPropagation" );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOn" );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOff" );
    Tcl_DStringAppendElement ( &dString, "AbortRender" );
    Tcl_DStringAppendElement ( &dString, "SetRootProcessId" );
    Tcl_DStringAppendElement ( &dString, "GetRootProcessId" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSynchronizedRenderWindows *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set the render window to be synchronized by this\n vtkSynchronizedRenderWindows instance. A vtkSynchronizedRenderWindows can\n be used to synchronize exactly 1 vtkRenderWindow on each process.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderWindow(vtkRenderWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set the render window to be synchronized by this\n vtkSynchronizedRenderWindows instance. A vtkSynchronizedRenderWindows can\n be used to synchronize exactly 1 vtkRenderWindow on each process.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelController */
    if ( strcmp ( argv[2], "SetParallelController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelController */
    Tcl_DStringAppendElement ( &dString, " Set the parallel message communicator. This is used to communicate among\n processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParallelController(vtkMultiProcessController *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for SetParallelController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelController */
    if ( strcmp ( argv[2], "GetParallelController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelController */
    Tcl_DStringAppendElement ( &dString, " Set the parallel message communicator. This is used to communicate among\n processes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetParallelController();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for GetParallelController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIdentifier */
    if ( strcmp ( argv[2], "SetIdentifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIdentifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIdentifier */
    Tcl_DStringAppendElement ( &dString, " It's acceptable to have multiple instances on vtkSynchronizedRenderWindows\n on each processes to synchronize different render windows. In that case\n there's no way to each of the vtkSynchronizedRenderWindows instance to know\n how they correspond across processes. To enable that identification, a\n vtkSynchronizedRenderWindows can be assigned a unique id. All\n vtkSynchronizedRenderWindows across different processes that have the same\n id are \"linked\" together for sync ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIdentifier(unsigned int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for SetIdentifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIdentifier */
    if ( strcmp ( argv[2], "GetIdentifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIdentifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIdentifier */
    Tcl_DStringAppendElement ( &dString, " It's acceptable to have multiple instances on vtkSynchronizedRenderWindows\n on each processes to synchronize different render windows. In that case\n there's no way to each of the vtkSynchronizedRenderWindows instance to know\n how they correspond across processes. To enable that identification, a\n vtkSynchronizedRenderWindows can be assigned a unique id. All\n vtkSynchronizedRenderWindows across different processes that have the same\n id are \"linked\" together for sync ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetIdentifier();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for GetIdentifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelRendering */
    if ( strcmp ( argv[2], "SetParallelRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelRendering */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless ParallelRendering is ON, no\n synchronization of vtkRenderWindow::Render() calls between processes\n happens. ON by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParallelRendering(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for SetParallelRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelRendering */
    if ( strcmp ( argv[2], "GetParallelRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelRendering */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless ParallelRendering is ON, no\n synchronization of vtkRenderWindow::Render() calls between processes\n happens. ON by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetParallelRendering();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for GetParallelRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelRenderingOn */
    if ( strcmp ( argv[2], "ParallelRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless ParallelRendering is ON, no\n synchronization of vtkRenderWindow::Render() calls between processes\n happens. ON by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelRenderingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for ParallelRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelRenderingOff */
    if ( strcmp ( argv[2], "ParallelRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless ParallelRendering is ON, no\n synchronization of vtkRenderWindow::Render() calls between processes\n happens. ON by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelRenderingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for ParallelRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderEventPropagation */
    if ( strcmp ( argv[2], "SetRenderEventPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderEventPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderEventPropagation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderEventPropagation(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for SetRenderEventPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderEventPropagation */
    if ( strcmp ( argv[2], "GetRenderEventPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderEventPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderEventPropagation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool GetRenderEventPropagation();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for GetRenderEventPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderEventPropagationOn */
    if ( strcmp ( argv[2], "RenderEventPropagationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderEventPropagationOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RenderEventPropagationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for RenderEventPropagationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderEventPropagationOff */
    if ( strcmp ( argv[2], "RenderEventPropagationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderEventPropagationOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RenderEventPropagationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for RenderEventPropagationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AbortRender */
    if ( strcmp ( argv[2], "AbortRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AbortRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AbortRender */
    Tcl_DStringAppendElement ( &dString, " This method call be called while a render is in progress to abort the\n rendering. It should be called on the root node (or client).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AbortRender();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for AbortRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootProcessId */
    if ( strcmp ( argv[2], "SetRootProcessId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootProcessId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootProcessId */
    Tcl_DStringAppendElement ( &dString, " Get/Set the root-process id. This is required when the ParallelController\n is a vtkSocketController. Set to 0 by default (which will not work when\n using a vtkSocketController but will work for vtkMPIController).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRootProcessId(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for SetRootProcessId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootProcessId */
    if ( strcmp ( argv[2], "GetRootProcessId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootProcessId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootProcessId */
    Tcl_DStringAppendElement ( &dString, " Get/Set the root-process id. This is required when the ParallelController\n is a vtkSocketController. Set to 0 by default (which will not work when\n using a vtkSocketController but will work for vtkMPIController).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRootProcessId();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderWindows" );
    /* Closing for GetRootProcessId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
