// tcl wrapper for vtkSynchronizedRenderers object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSynchronizedRenderers.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSynchronizedRenderersNewCommand()
{
  vtkSynchronizedRenderers *temp = vtkSynchronizedRenderers::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSynchronizedRenderersCppCommand(vtkSynchronizedRenderers *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSynchronizedRenderersCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSynchronizedRenderersCppCommand(static_cast<vtkSynchronizedRenderers *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSynchronizedRenderersCppCommand(vtkSynchronizedRenderers *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSynchronizedRenderers",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSynchronizedRenderers  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSynchronizedRenderers");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSynchronizedRenderers  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSynchronizedRenderers");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSynchronizedRenderers  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSynchronizedRenderers");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetParallelController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetParallelController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetParallelController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetParallelRendering",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetParallelRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelRendering",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetParallelRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOn",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOff",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetImageReductionFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImageReductionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageReductionFactorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageReductionFactorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageReductionFactorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageReductionFactorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageReductionFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageReductionFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteBackImages",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetWriteBackImages(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteBackImages",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetWriteBackImages();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteBackImagesOn",argv[1]))&&(argc == 2))
    {
    op->WriteBackImagesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteBackImagesOff",argv[1]))&&(argc == 2))
    {
    op->WriteBackImagesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRootProcessId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRootProcessId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRootProcessId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRootProcessId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CollectiveExpandForVisiblePropBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->CollectiveExpandForVisiblePropBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCaptureDelegate",argv[1]))&&(argc == 3))
    {
    vtkSynchronizedRenderers  *temp0;
    error = 0;

    temp0 = (vtkSynchronizedRenderers *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSynchronizedRenderers"),interp,error));
    if (!error)
    {
    op->SetCaptureDelegate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaptureDelegate",argv[1]))&&(argc == 2))
    {
    vtkSynchronizedRenderers  *temp20;
    temp20 = (op)->GetCaptureDelegate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSynchronizedRenderers");
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticEventHandling",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAutomaticEventHandling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomaticEventHandling",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAutomaticEventHandling();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticEventHandlingOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticEventHandlingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticEventHandlingOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticEventHandlingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSynchronizedRenderersCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSynchronizedRenderers:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelController\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelRendering\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetImageReductionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageReductionFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageReductionFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageReductionFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteBackImages\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteBackImages\n",NULL);
    Tcl_AppendResult(interp,"  WriteBackImagesOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteBackImagesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRootProcessId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRootProcessId\n",NULL);
    Tcl_AppendResult(interp,"  CollectiveExpandForVisiblePropBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCaptureDelegate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaptureDelegate\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticEventHandling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticEventHandling\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticEventHandlingOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticEventHandlingOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetParallelController" );
    Tcl_DStringAppendElement ( &dString, "GetParallelController" );
    Tcl_DStringAppendElement ( &dString, "SetParallelRendering" );
    Tcl_DStringAppendElement ( &dString, "GetParallelRendering" );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOff" );
    Tcl_DStringAppendElement ( &dString, "SetImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "SetWriteBackImages" );
    Tcl_DStringAppendElement ( &dString, "GetWriteBackImages" );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOn" );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOff" );
    Tcl_DStringAppendElement ( &dString, "SetRootProcessId" );
    Tcl_DStringAppendElement ( &dString, "GetRootProcessId" );
    Tcl_DStringAppendElement ( &dString, "CollectiveExpandForVisiblePropBounds" );
    Tcl_DStringAppendElement ( &dString, "SetCaptureDelegate" );
    Tcl_DStringAppendElement ( &dString, "GetCaptureDelegate" );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticEventHandling" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticEventHandling" );
    Tcl_DStringAppendElement ( &dString, "AutomaticEventHandlingOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticEventHandlingOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSynchronizedRenderers *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " Set the renderer to be synchronized by this instance. A\n vtkSynchronizedRenderers instance can be used to synchronize exactly 1\n renderer on each processes. You can create multiple instances on\n vtkSynchronizedRenderers to synchronize multiple renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderer */
    if ( strcmp ( argv[2], "GetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderer */
    Tcl_DStringAppendElement ( &dString, " Set the renderer to be synchronized by this instance. A\n vtkSynchronizedRenderers instance can be used to synchronize exactly 1\n renderer on each processes. You can create multiple instances on\n vtkSynchronizedRenderers to synchronize multiple renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *GetRenderer();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelController */
    if ( strcmp ( argv[2], "SetParallelController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelController */
    Tcl_DStringAppendElement ( &dString, " Set the parallel message communicator. This is used to communicate among\n processes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParallelController(vtkMultiProcessController *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetParallelController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelController */
    if ( strcmp ( argv[2], "GetParallelController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelController */
    Tcl_DStringAppendElement ( &dString, " Set the parallel message communicator. This is used to communicate among\n processes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetParallelController();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetParallelController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelRendering */
    if ( strcmp ( argv[2], "SetParallelRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelRendering */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless Parallel rendering is on, the\n cameras won't be synchronized across processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParallelRendering(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetParallelRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelRendering */
    if ( strcmp ( argv[2], "GetParallelRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelRendering */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless Parallel rendering is on, the\n cameras won't be synchronized across processes.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetParallelRendering();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetParallelRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelRenderingOn */
    if ( strcmp ( argv[2], "ParallelRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless Parallel rendering is on, the\n cameras won't be synchronized across processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelRenderingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for ParallelRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelRenderingOff */
    if ( strcmp ( argv[2], "ParallelRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable parallel rendering. Unless Parallel rendering is on, the\n cameras won't be synchronized across processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelRenderingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for ParallelRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageReductionFactor */
    if ( strcmp ( argv[2], "SetImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the image reduction factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageReductionFactor(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageReductionFactorMinValue */
    if ( strcmp ( argv[2], "GetImageReductionFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageReductionFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the image reduction factor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageReductionFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetImageReductionFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageReductionFactorMaxValue */
    if ( strcmp ( argv[2], "GetImageReductionFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageReductionFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the image reduction factor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageReductionFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetImageReductionFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageReductionFactor */
    if ( strcmp ( argv[2], "GetImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the image reduction factor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageReductionFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteBackImages */
    if ( strcmp ( argv[2], "SetWriteBackImages" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteBackImages" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteBackImages */
    Tcl_DStringAppendElement ( &dString, " If on (default), the rendered images are pasted back on to the screen. You\n should turn this flag off on processes that are not meant to be visible to\n the user.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteBackImages(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetWriteBackImages */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteBackImages */
    if ( strcmp ( argv[2], "GetWriteBackImages" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteBackImages" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteBackImages */
    Tcl_DStringAppendElement ( &dString, " If on (default), the rendered images are pasted back on to the screen. You\n should turn this flag off on processes that are not meant to be visible to\n the user.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetWriteBackImages();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetWriteBackImages */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteBackImagesOn */
    if ( strcmp ( argv[2], "WriteBackImagesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteBackImagesOn */
    Tcl_DStringAppendElement ( &dString, " If on (default), the rendered images are pasted back on to the screen. You\n should turn this flag off on processes that are not meant to be visible to\n the user.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteBackImagesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for WriteBackImagesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteBackImagesOff */
    if ( strcmp ( argv[2], "WriteBackImagesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteBackImagesOff */
    Tcl_DStringAppendElement ( &dString, " If on (default), the rendered images are pasted back on to the screen. You\n should turn this flag off on processes that are not meant to be visible to\n the user.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteBackImagesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for WriteBackImagesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootProcessId */
    if ( strcmp ( argv[2], "SetRootProcessId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootProcessId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootProcessId */
    Tcl_DStringAppendElement ( &dString, " Get/Set the root-process id. This is required when the ParallelController\n is a vtkSocketController. Set to 0 by default (which will not work when\n using a vtkSocketController but will work for vtkMPIController).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRootProcessId(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetRootProcessId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootProcessId */
    if ( strcmp ( argv[2], "GetRootProcessId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootProcessId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootProcessId */
    Tcl_DStringAppendElement ( &dString, " Get/Set the root-process id. This is required when the ParallelController\n is a vtkSocketController. Set to 0 by default (which will not work when\n using a vtkSocketController but will work for vtkMPIController).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRootProcessId();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetRootProcessId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CollectiveExpandForVisiblePropBounds */
    if ( strcmp ( argv[2], "CollectiveExpandForVisiblePropBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CollectiveExpandForVisiblePropBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CollectiveExpandForVisiblePropBounds */
    Tcl_DStringAppendElement ( &dString, " Computes visible prob bounds. This must be called on all processes at the\n same time. The collective result is made available on all processes once\n this method returns.\n Note that this method requires that bounds is initialized to some value.\n This expands the bounds to include the prop bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void CollectiveExpandForVisiblePropBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for CollectiveExpandForVisiblePropBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaptureDelegate */
    if ( strcmp ( argv[2], "SetCaptureDelegate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaptureDelegate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaptureDelegate */
    Tcl_DStringAppendElement ( &dString, " When set, this->CaptureRenderedImage() does not capture image from the\n screen instead passes the call to the delegate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCaptureDelegate(vtkSynchronizedRenderers *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetCaptureDelegate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaptureDelegate */
    if ( strcmp ( argv[2], "GetCaptureDelegate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaptureDelegate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaptureDelegate */
    Tcl_DStringAppendElement ( &dString, " When set, this->CaptureRenderedImage() does not capture image from the\n screen instead passes the call to the delegate.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers *GetCaptureDelegate();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetCaptureDelegate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomaticEventHandling */
    if ( strcmp ( argv[2], "SetAutomaticEventHandling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticEventHandling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomaticEventHandling */
    Tcl_DStringAppendElement ( &dString, " When multiple groups of processes are synchronized together using different\n controllers, one needs to specify the order in which the various\n synchronizers execute. In such cases one starts with the outer most\n vtkSynchronizedRenderers, sets the dependent one as a CaptureDelegate on it\n and the turn off AutomaticEventHandling on the delegate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomaticEventHandling(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for SetAutomaticEventHandling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticEventHandling */
    if ( strcmp ( argv[2], "GetAutomaticEventHandling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticEventHandling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticEventHandling */
    Tcl_DStringAppendElement ( &dString, " When multiple groups of processes are synchronized together using different\n controllers, one needs to specify the order in which the various\n synchronizers execute. In such cases one starts with the outer most\n vtkSynchronizedRenderers, sets the dependent one as a CaptureDelegate on it\n and the turn off AutomaticEventHandling on the delegate.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAutomaticEventHandling();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for GetAutomaticEventHandling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticEventHandlingOn */
    if ( strcmp ( argv[2], "AutomaticEventHandlingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticEventHandlingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticEventHandlingOn */
    Tcl_DStringAppendElement ( &dString, " When multiple groups of processes are synchronized together using different\n controllers, one needs to specify the order in which the various\n synchronizers execute. In such cases one starts with the outer most\n vtkSynchronizedRenderers, sets the dependent one as a CaptureDelegate on it\n and the turn off AutomaticEventHandling on the delegate.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticEventHandlingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for AutomaticEventHandlingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticEventHandlingOff */
    if ( strcmp ( argv[2], "AutomaticEventHandlingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticEventHandlingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticEventHandlingOff */
    Tcl_DStringAppendElement ( &dString, " When multiple groups of processes are synchronized together using different\n controllers, one needs to specify the order in which the various\n synchronizers execute. In such cases one starts with the outer most\n vtkSynchronizedRenderers, sets the dependent one as a CaptureDelegate on it\n and the turn off AutomaticEventHandling on the delegate.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticEventHandlingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSynchronizedRenderers" );
    /* Closing for AutomaticEventHandlingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
