// tcl wrapper for vtkTemporalFractal object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalFractal.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTemporalFractalNewCommand()
{
  vtkTemporalFractal *temp = vtkTemporalFractal::New();
  return static_cast<ClientData>(temp);
}

int vtkTemporalDataSetAlgorithmCppCommand(vtkTemporalDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalFractalCppCommand(vtkTemporalFractal *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTemporalFractalCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTemporalFractalCppCommand(static_cast<vtkTemporalFractal *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalFractalCppCommand(vtkTemporalFractal *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTemporalFractal",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTemporalDataSetAlgorithmCppCommand(static_cast<vtkTemporalDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTemporalDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTemporalFractal  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalFractal");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTemporalFractal  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalFractal");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTemporalFractal  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalFractal");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFractalValue",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFractalValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFractalValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFractalValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimensions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGhostLevels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGhostLevels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostLevels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGhostLevels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GhostLevelsOn",argv[1]))&&(argc == 2))
    {
    op->GhostLevelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GhostLevelsOff",argv[1]))&&(argc == 2))
    {
    op->GhostLevelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateRectilinearGrids",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateRectilinearGrids(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateRectilinearGrids",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateRectilinearGrids();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRectilinearGridsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateRectilinearGridsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRectilinearGridsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateRectilinearGridsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDiscreteTimeSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDiscreteTimeSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiscreteTimeSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDiscreteTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DiscreteTimeStepsOn",argv[1]))&&(argc == 2))
    {
    op->DiscreteTimeStepsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DiscreteTimeStepsOff",argv[1]))&&(argc == 2))
    {
    op->DiscreteTimeStepsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTwoDimensional",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwoDimensional(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTwoDimensional",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwoDimensional();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TwoDimensionalOn",argv[1]))&&(argc == 2))
    {
    op->TwoDimensionalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwoDimensionalOff",argv[1]))&&(argc == 2))
    {
    op->TwoDimensionalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAsymetric",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAsymetric(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAsymetric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAsymetric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAdaptiveSubdivision",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdaptiveSubdivision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdaptiveSubdivision",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdaptiveSubdivision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AdaptiveSubdivisionOn",argv[1]))&&(argc == 2))
    {
    op->AdaptiveSubdivisionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AdaptiveSubdivisionOff",argv[1]))&&(argc == 2))
    {
    op->AdaptiveSubdivisionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalFractalCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTemporalDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalFractal:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFractalValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFractalValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetGhostLevels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostLevels\n",NULL);
    Tcl_AppendResult(interp,"  GhostLevelsOn\n",NULL);
    Tcl_AppendResult(interp,"  GhostLevelsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateRectilinearGrids\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateRectilinearGrids\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRectilinearGridsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRectilinearGridsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDiscreteTimeSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiscreteTimeSteps\n",NULL);
    Tcl_AppendResult(interp,"  DiscreteTimeStepsOn\n",NULL);
    Tcl_AppendResult(interp,"  DiscreteTimeStepsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTwoDimensional\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTwoDimensional\n",NULL);
    Tcl_AppendResult(interp,"  TwoDimensionalOn\n",NULL);
    Tcl_AppendResult(interp,"  TwoDimensionalOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAsymetric\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAsymetric\n",NULL);
    Tcl_AppendResult(interp,"  SetAdaptiveSubdivision\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdaptiveSubdivision\n",NULL);
    Tcl_AppendResult(interp,"  AdaptiveSubdivisionOn\n",NULL);
    Tcl_AppendResult(interp,"  AdaptiveSubdivisionOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTemporalDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFractalValue" );
    Tcl_DStringAppendElement ( &dString, "GetFractalValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLevel" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevels" );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevels" );
    Tcl_DStringAppendElement ( &dString, "GhostLevelsOn" );
    Tcl_DStringAppendElement ( &dString, "GhostLevelsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateRectilinearGrids" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateRectilinearGrids" );
    Tcl_DStringAppendElement ( &dString, "GenerateRectilinearGridsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateRectilinearGridsOff" );
    Tcl_DStringAppendElement ( &dString, "SetDiscreteTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "GetDiscreteTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "DiscreteTimeStepsOn" );
    Tcl_DStringAppendElement ( &dString, "DiscreteTimeStepsOff" );
    Tcl_DStringAppendElement ( &dString, "SetTwoDimensional" );
    Tcl_DStringAppendElement ( &dString, "GetTwoDimensional" );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalOn" );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalOff" );
    Tcl_DStringAppendElement ( &dString, "SetAsymetric" );
    Tcl_DStringAppendElement ( &dString, "GetAsymetric" );
    Tcl_DStringAppendElement ( &dString, "SetAdaptiveSubdivision" );
    Tcl_DStringAppendElement ( &dString, "GetAdaptiveSubdivision" );
    Tcl_DStringAppendElement ( &dString, "AdaptiveSubdivisionOn" );
    Tcl_DStringAppendElement ( &dString, "AdaptiveSubdivisionOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTemporalDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalFractal *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFractalValue */
    if ( strcmp ( argv[2], "SetFractalValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFractalValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFractalValue */
    Tcl_DStringAppendElement ( &dString, " Essentially the iso surface value.\n The fractal array is scaled to map this value to 0.5 for use as a volume\n fraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFractalValue(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetFractalValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFractalValue */
    if ( strcmp ( argv[2], "GetFractalValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFractalValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFractalValue */
    Tcl_DStringAppendElement ( &dString, " Essentially the iso surface value.\n The fractal array is scaled to map this value to 0.5 for use as a volume\n fraction.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFractalValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetFractalValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLevel */
    if ( strcmp ( argv[2], "SetMaximumLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLevel */
    Tcl_DStringAppendElement ( &dString, " Any blocks touching a predefined line will be subdivided to this level.\n Other blocks are subdivided so that neighboring blocks only differ\n by one level.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetMaximumLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLevel */
    if ( strcmp ( argv[2], "GetMaximumLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLevel */
    Tcl_DStringAppendElement ( &dString, " Any blocks touching a predefined line will be subdivided to this level.\n Other blocks are subdivided so that neighboring blocks only differ\n by one level.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetMaximumLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, " XYZ dimensions of cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensions(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensions */
    if ( strcmp ( argv[2], "GetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensions */
    Tcl_DStringAppendElement ( &dString, " XYZ dimensions of cells.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGhostLevels */
    if ( strcmp ( argv[2], "SetGhostLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGhostLevels */
    Tcl_DStringAppendElement ( &dString, " For testing ghost levels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGhostLevels(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetGhostLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostLevels */
    if ( strcmp ( argv[2], "GetGhostLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostLevels */
    Tcl_DStringAppendElement ( &dString, " For testing ghost levels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGhostLevels();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetGhostLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GhostLevelsOn */
    if ( strcmp ( argv[2], "GhostLevelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GhostLevelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GhostLevelsOn */
    Tcl_DStringAppendElement ( &dString, " For testing ghost levels.\n" );
    Tcl_DStringAppendElement ( &dString, "void GhostLevelsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GhostLevelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GhostLevelsOff */
    if ( strcmp ( argv[2], "GhostLevelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GhostLevelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GhostLevelsOff */
    Tcl_DStringAppendElement ( &dString, " For testing ghost levels.\n" );
    Tcl_DStringAppendElement ( &dString, "void GhostLevelsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GhostLevelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateRectilinearGrids */
    if ( strcmp ( argv[2], "SetGenerateRectilinearGrids" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateRectilinearGrids" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateRectilinearGrids */
    Tcl_DStringAppendElement ( &dString, " Generate either rectilinear grids either uniform grids.\n Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateRectilinearGrids(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetGenerateRectilinearGrids */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateRectilinearGrids */
    if ( strcmp ( argv[2], "GetGenerateRectilinearGrids" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateRectilinearGrids" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateRectilinearGrids */
    Tcl_DStringAppendElement ( &dString, " Generate either rectilinear grids either uniform grids.\n Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateRectilinearGrids();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetGenerateRectilinearGrids */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRectilinearGridsOn */
    if ( strcmp ( argv[2], "GenerateRectilinearGridsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRectilinearGridsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRectilinearGridsOn */
    Tcl_DStringAppendElement ( &dString, " Generate either rectilinear grids either uniform grids.\n Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateRectilinearGridsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GenerateRectilinearGridsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRectilinearGridsOff */
    if ( strcmp ( argv[2], "GenerateRectilinearGridsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRectilinearGridsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRectilinearGridsOff */
    Tcl_DStringAppendElement ( &dString, " Generate either rectilinear grids either uniform grids.\n Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateRectilinearGridsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GenerateRectilinearGridsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiscreteTimeSteps */
    if ( strcmp ( argv[2], "SetDiscreteTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiscreteTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiscreteTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Limit this source to discrete integer time steps\n Default is off (continuous)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiscreteTimeSteps(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetDiscreteTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiscreteTimeSteps */
    if ( strcmp ( argv[2], "GetDiscreteTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiscreteTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiscreteTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Limit this source to discrete integer time steps\n Default is off (continuous)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDiscreteTimeSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetDiscreteTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DiscreteTimeStepsOn */
    if ( strcmp ( argv[2], "DiscreteTimeStepsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DiscreteTimeStepsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DiscreteTimeStepsOn */
    Tcl_DStringAppendElement ( &dString, " Limit this source to discrete integer time steps\n Default is off (continuous)\n" );
    Tcl_DStringAppendElement ( &dString, "void DiscreteTimeStepsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for DiscreteTimeStepsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DiscreteTimeStepsOff */
    if ( strcmp ( argv[2], "DiscreteTimeStepsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DiscreteTimeStepsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DiscreteTimeStepsOff */
    Tcl_DStringAppendElement ( &dString, " Limit this source to discrete integer time steps\n Default is off (continuous)\n" );
    Tcl_DStringAppendElement ( &dString, "void DiscreteTimeStepsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for DiscreteTimeStepsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTwoDimensional */
    if ( strcmp ( argv[2], "SetTwoDimensional" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTwoDimensional" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTwoDimensional */
    Tcl_DStringAppendElement ( &dString, " Make a 2D data set to test.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTwoDimensional(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetTwoDimensional */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTwoDimensional */
    if ( strcmp ( argv[2], "GetTwoDimensional" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTwoDimensional" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTwoDimensional */
    Tcl_DStringAppendElement ( &dString, " Make a 2D data set to test.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTwoDimensional();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetTwoDimensional */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwoDimensionalOn */
    if ( strcmp ( argv[2], "TwoDimensionalOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwoDimensionalOn */
    Tcl_DStringAppendElement ( &dString, " Make a 2D data set to test.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwoDimensionalOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for TwoDimensionalOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwoDimensionalOff */
    if ( strcmp ( argv[2], "TwoDimensionalOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwoDimensionalOff */
    Tcl_DStringAppendElement ( &dString, " Make a 2D data set to test.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwoDimensionalOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for TwoDimensionalOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAsymetric */
    if ( strcmp ( argv[2], "SetAsymetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAsymetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAsymetric */
    Tcl_DStringAppendElement ( &dString, " Test the case when the blocks do not have the same sizes.\n Adds 2 to the x extent of the far x blocks (level 1).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAsymetric(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetAsymetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAsymetric */
    if ( strcmp ( argv[2], "GetAsymetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAsymetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAsymetric */
    Tcl_DStringAppendElement ( &dString, " Test the case when the blocks do not have the same sizes.\n Adds 2 to the x extent of the far x blocks (level 1).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAsymetric();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetAsymetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAdaptiveSubdivision */
    if ( strcmp ( argv[2], "SetAdaptiveSubdivision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdaptiveSubdivision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdaptiveSubdivision */
    Tcl_DStringAppendElement ( &dString, " Make the division adaptive or not, defaults to Adaptive\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAdaptiveSubdivision(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for SetAdaptiveSubdivision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdaptiveSubdivision */
    if ( strcmp ( argv[2], "GetAdaptiveSubdivision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdaptiveSubdivision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdaptiveSubdivision */
    Tcl_DStringAppendElement ( &dString, " Make the division adaptive or not, defaults to Adaptive\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAdaptiveSubdivision();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for GetAdaptiveSubdivision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdaptiveSubdivisionOn */
    if ( strcmp ( argv[2], "AdaptiveSubdivisionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdaptiveSubdivisionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdaptiveSubdivisionOn */
    Tcl_DStringAppendElement ( &dString, " Make the division adaptive or not, defaults to Adaptive\n" );
    Tcl_DStringAppendElement ( &dString, "void AdaptiveSubdivisionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for AdaptiveSubdivisionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdaptiveSubdivisionOff */
    if ( strcmp ( argv[2], "AdaptiveSubdivisionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdaptiveSubdivisionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdaptiveSubdivisionOff */
    Tcl_DStringAppendElement ( &dString, " Make the division adaptive or not, defaults to Adaptive\n" );
    Tcl_DStringAppendElement ( &dString, "void AdaptiveSubdivisionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalFractal" );
    /* Closing for AdaptiveSubdivisionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTemporalDataSetAlgorithmCppCommand(static_cast<vtkTemporalDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
