// tcl wrapper for vtkTemporalStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalStreamTracer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTemporalStreamTracerNewCommand()
{
  vtkTemporalStreamTracer *temp = vtkTemporalStreamTracer::New();
  return static_cast<ClientData>(temp);
}

int vtkStreamTracerCppCommand(vtkStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalStreamTracerCppCommand(vtkTemporalStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTemporalStreamTracerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTemporalStreamTracerCppCommand(static_cast<vtkTemporalStreamTracer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalStreamTracerCppCommand(vtkTemporalStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTemporalStreamTracer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkStreamTracerCppCommand(static_cast<vtkStreamTracer *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkStreamTracer"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTemporalStreamTracer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTemporalStreamTracer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStreamTracer");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTemporalStreamTracer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStep",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStep",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIgnorePipelineTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIgnorePipelineTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIgnorePipelineTime",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIgnorePipelineTime();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IgnorePipelineTimeOn",argv[1]))&&(argc == 2))
    {
    op->IgnorePipelineTimeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IgnorePipelineTimeOff",argv[1]))&&(argc == 2))
    {
    op->IgnorePipelineTimeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStepResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeStepResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStepResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTimeStepResolution();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForceReinjectionEveryNSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetForceReinjectionEveryNSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceReinjectionEveryNSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetForceReinjectionEveryNSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminationTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTerminationTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerminationTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminationTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminationTimeUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTerminationTimeUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerminationTimeUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTerminationTimeUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminationTimeUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetTerminationTimeUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminationTimeUnitToStepUnit",argv[1]))&&(argc == 2))
    {
    op->SetTerminationTimeUnitToStepUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStaticSeeds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStaticSeeds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStaticSeeds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStaticSeeds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StaticSeedsOn",argv[1]))&&(argc == 2))
    {
    op->StaticSeedsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StaticSeedsOff",argv[1]))&&(argc == 2))
    {
    op->StaticSeedsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStaticMesh",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStaticMesh(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStaticMesh",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStaticMesh();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StaticMeshOn",argv[1]))&&(argc == 2))
    {
    op->StaticMeshOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StaticMeshOff",argv[1]))&&(argc == 2))
    {
    op->StaticMeshOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetParticleWriter",argv[1]))&&(argc == 3))
    {
    vtkAbstractParticleWriter  *temp0;
    error = 0;

    temp0 = (vtkAbstractParticleWriter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractParticleWriter"),interp,error));
    if (!error)
    {
    op->SetParticleWriter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleWriter",argv[1]))&&(argc == 2))
    {
    vtkAbstractParticleWriter  *temp20;
    temp20 = (op)->GetParticleWriter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractParticleWriter");
    return TCL_OK;
    }
  if ((!strcmp("SetParticleFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParticleFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetParticleFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEnableParticleWriting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableParticleWriting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableParticleWriting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableParticleWriting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableParticleWritingOn",argv[1]))&&(argc == 2))
    {
    op->EnableParticleWritingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableParticleWritingOff",argv[1]))&&(argc == 2))
    {
    op->EnableParticleWritingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->AddSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllSources",argv[1]))&&(argc == 2))
    {
    op->RemoveAllSources();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalStreamTracerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStreamTracerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalStreamTracer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  SetIgnorePipelineTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnorePipelineTime\n",NULL);
    Tcl_AppendResult(interp,"  IgnorePipelineTimeOn\n",NULL);
    Tcl_AppendResult(interp,"  IgnorePipelineTimeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStepResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetForceReinjectionEveryNSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceReinjectionEveryNSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminationTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminationTime\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminationTimeUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminationTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminationTimeUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminationTimeUnitToStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetStaticSeeds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStaticSeeds\n",NULL);
    Tcl_AppendResult(interp,"  StaticSeedsOn\n",NULL);
    Tcl_AppendResult(interp,"  StaticSeedsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStaticMesh\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStaticMesh\n",NULL);
    Tcl_AppendResult(interp,"  StaticMeshOn\n",NULL);
    Tcl_AppendResult(interp,"  StaticMeshOff\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleWriter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleWriter\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableParticleWriting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableParticleWriting\n",NULL);
    Tcl_AppendResult(interp,"  EnableParticleWritingOn\n",NULL);
    Tcl_AppendResult(interp,"  EnableParticleWritingOff\n",NULL);
    Tcl_AppendResult(interp,"  AddSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllSources\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkStreamTracerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "SetIgnorePipelineTime" );
    Tcl_DStringAppendElement ( &dString, "GetIgnorePipelineTime" );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOn" );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOff" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepResolution" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepResolution" );
    Tcl_DStringAppendElement ( &dString, "SetForceReinjectionEveryNSteps" );
    Tcl_DStringAppendElement ( &dString, "GetForceReinjectionEveryNSteps" );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTime" );
    Tcl_DStringAppendElement ( &dString, "GetTerminationTime" );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTimeUnit" );
    Tcl_DStringAppendElement ( &dString, "GetTerminationTimeUnit" );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTimeUnitToTimeUnit" );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTimeUnitToStepUnit" );
    Tcl_DStringAppendElement ( &dString, "SetStaticSeeds" );
    Tcl_DStringAppendElement ( &dString, "GetStaticSeeds" );
    Tcl_DStringAppendElement ( &dString, "StaticSeedsOn" );
    Tcl_DStringAppendElement ( &dString, "StaticSeedsOff" );
    Tcl_DStringAppendElement ( &dString, "SetStaticMesh" );
    Tcl_DStringAppendElement ( &dString, "GetStaticMesh" );
    Tcl_DStringAppendElement ( &dString, "StaticMeshOn" );
    Tcl_DStringAppendElement ( &dString, "StaticMeshOff" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetParticleWriter" );
    Tcl_DStringAppendElement ( &dString, "GetParticleWriter" );
    Tcl_DStringAppendElement ( &dString, "SetParticleFileName" );
    Tcl_DStringAppendElement ( &dString, "GetParticleFileName" );
    Tcl_DStringAppendElement ( &dString, "SetEnableParticleWriting" );
    Tcl_DStringAppendElement ( &dString, "GetEnableParticleWriting" );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOn" );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOff" );
    Tcl_DStringAppendElement ( &dString, "AddSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllSources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkStreamTracerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object using 2nd order Runge Kutta \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalStreamTracer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStep */
    if ( strcmp ( argv[2], "SetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Set/Get the TimeStep. This is the primary means of advancing \n the particles. The TimeStep should be animated and this will drive\n the pipeline forcing timesteps to be fetched from upstream.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStep(unsigned int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStep */
    if ( strcmp ( argv[2], "GetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Set/Get the TimeStep. This is the primary means of advancing \n the particles. The TimeStep should be animated and this will drive\n the pipeline forcing timesteps to be fetched from upstream.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetTimeStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIgnorePipelineTime */
    if ( strcmp ( argv[2], "SetIgnorePipelineTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIgnorePipelineTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIgnorePipelineTime */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIgnorePipelineTime(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetIgnorePipelineTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnorePipelineTime */
    if ( strcmp ( argv[2], "GetIgnorePipelineTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnorePipelineTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnorePipelineTime */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIgnorePipelineTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetIgnorePipelineTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnorePipelineTimeOn */
    if ( strcmp ( argv[2], "IgnorePipelineTimeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnorePipelineTimeOn */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnorePipelineTimeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for IgnorePipelineTimeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnorePipelineTimeOff */
    if ( strcmp ( argv[2], "IgnorePipelineTimeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnorePipelineTimeOff */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnorePipelineTimeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for IgnorePipelineTimeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepResolution */
    if ( strcmp ( argv[2], "SetTimeStepResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepResolution */
    Tcl_DStringAppendElement ( &dString, " If the data source does not have the correct time values \n present on each time step - setting this value to non unity can\n be used to adjust the time step size from 1s pre step to\n 1x_TimeStepResolution : Not functional in this version. \n Broke it @todo, put back time scaling\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepResolution(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTimeStepResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStepResolution */
    if ( strcmp ( argv[2], "GetTimeStepResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepResolution */
    Tcl_DStringAppendElement ( &dString, " If the data source does not have the correct time values \n present on each time step - setting this value to non unity can\n be used to adjust the time step size from 1s pre step to\n 1x_TimeStepResolution : Not functional in this version. \n Broke it @todo, put back time scaling\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTimeStepResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetTimeStepResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceReinjectionEveryNSteps */
    if ( strcmp ( argv[2], "SetForceReinjectionEveryNSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceReinjectionEveryNSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceReinjectionEveryNSteps */
    Tcl_DStringAppendElement ( &dString, " When animating particles, it is nice to inject new ones every Nth step\n to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a \n non zero value will cause the particle source to reinject particles\n every Nth step even if it is otherwise unchanged.\n Note that if the particle source is also animated, this flag will be\n redundant as the particles will be reinjected whenever the source changes \n anyway\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceReinjectionEveryNSteps(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetForceReinjectionEveryNSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceReinjectionEveryNSteps */
    if ( strcmp ( argv[2], "GetForceReinjectionEveryNSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceReinjectionEveryNSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceReinjectionEveryNSteps */
    Tcl_DStringAppendElement ( &dString, " When animating particles, it is nice to inject new ones every Nth step\n to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a \n non zero value will cause the particle source to reinject particles\n every Nth step even if it is otherwise unchanged.\n Note that if the particle source is also animated, this flag will be\n redundant as the particles will be reinjected whenever the source changes \n anyway\n" );
    Tcl_DStringAppendElement ( &dString, "int GetForceReinjectionEveryNSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetForceReinjectionEveryNSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminationTime */
    if ( strcmp ( argv[2], "SetTerminationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminationTime */
    Tcl_DStringAppendElement ( &dString, " Setting TerminationTime to a positive value will cause particles\n to terminate when the time is reached. Use a vlue of zero to\n diable termination. The units of time should be consistent with the \n primary time variable.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminationTime(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTerminationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminationTime */
    if ( strcmp ( argv[2], "GetTerminationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminationTime */
    Tcl_DStringAppendElement ( &dString, " Setting TerminationTime to a positive value will cause particles\n to terminate when the time is reached. Use a vlue of zero to\n diable termination. The units of time should be consistent with the \n primary time variable.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminationTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetTerminationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminationTimeUnit */
    if ( strcmp ( argv[2], "SetTerminationTimeUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTimeUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminationTimeUnit */
    Tcl_DStringAppendElement ( &dString, " The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminationTimeUnit(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTerminationTimeUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminationTimeUnit */
    if ( strcmp ( argv[2], "GetTerminationTimeUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminationTimeUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminationTimeUnit */
    Tcl_DStringAppendElement ( &dString, " The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTerminationTimeUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetTerminationTimeUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminationTimeUnitToTimeUnit */
    if ( strcmp ( argv[2], "SetTerminationTimeUnitToTimeUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTimeUnitToTimeUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminationTimeUnitToTimeUnit */
    Tcl_DStringAppendElement ( &dString, " The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminationTimeUnitToTimeUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTerminationTimeUnitToTimeUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminationTimeUnitToStepUnit */
    if ( strcmp ( argv[2], "SetTerminationTimeUnitToStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminationTimeUnitToStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminationTimeUnitToStepUnit */
    Tcl_DStringAppendElement ( &dString, " The units of TerminationTime may be actual 'Time' units as described\n by the data, or just TimeSteps of iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminationTimeUnitToStepUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTerminationTimeUnitToStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStaticSeeds */
    if ( strcmp ( argv[2], "SetStaticSeeds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStaticSeeds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStaticSeeds */
    Tcl_DStringAppendElement ( &dString, " if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStaticSeeds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetStaticSeeds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStaticSeeds */
    if ( strcmp ( argv[2], "GetStaticSeeds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStaticSeeds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStaticSeeds */
    Tcl_DStringAppendElement ( &dString, " if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStaticSeeds();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetStaticSeeds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticSeedsOn */
    if ( strcmp ( argv[2], "StaticSeedsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticSeedsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticSeedsOn */
    Tcl_DStringAppendElement ( &dString, " if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticSeedsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for StaticSeedsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticSeedsOff */
    if ( strcmp ( argv[2], "StaticSeedsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticSeedsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticSeedsOff */
    Tcl_DStringAppendElement ( &dString, " if StaticSeeds is set and the mesh is static, \n then every time particles are injected we can re-use the same \n injection information. We classify particles according to\n processor just once before start.\n If StaticSeeds is set and a moving seed source is specified\n the motion will be ignored and results will not be as expected.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticSeedsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for StaticSeedsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStaticMesh */
    if ( strcmp ( argv[2], "SetStaticMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStaticMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStaticMesh */
    Tcl_DStringAppendElement ( &dString, " if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStaticMesh(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetStaticMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStaticMesh */
    if ( strcmp ( argv[2], "GetStaticMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStaticMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStaticMesh */
    Tcl_DStringAppendElement ( &dString, " if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStaticMesh();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetStaticMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticMeshOn */
    if ( strcmp ( argv[2], "StaticMeshOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticMeshOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticMeshOn */
    Tcl_DStringAppendElement ( &dString, " if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticMeshOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for StaticMeshOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticMeshOff */
    if ( strcmp ( argv[2], "StaticMeshOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticMeshOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticMeshOff */
    Tcl_DStringAppendElement ( &dString, " if StaticMesh is set, many optimizations for cell caching\n can be assumed. if StaticMesh is not set, the algorithm\n will attempt to find out if optimizations can be used, but\n setting it to true will force all optimizations.\n Do not Set StaticMesh to true if a dynamic mesh is being used\n as this will invalidate all results.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticMeshOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for StaticMeshOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the controller used when sending particles between processes\n The controller must be an instance of vtkMPIController.\n If VTK was compiled without VTK_USE_MPI on, then the Controller is simply\n ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController(vtkMultiProcessController *controller);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the controller used when sending particles between processes\n The controller must be an instance of vtkMPIController.\n If VTK was compiled without VTK_USE_MPI on, then the Controller is simply\n ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleWriter */
    if ( strcmp ( argv[2], "SetParticleWriter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleWriter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractParticleWriter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleWriter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Writer associated with this Particle Tracer\n Ideally a parallel IO capable vtkH5PartWriter should be used\n which will collect particles from all parallel processes\n and write them to a single HDF5 file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParticleWriter(vtkAbstractParticleWriter *pw);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetParticleWriter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleWriter */
    if ( strcmp ( argv[2], "GetParticleWriter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleWriter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleWriter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Writer associated with this Particle Tracer\n Ideally a parallel IO capable vtkH5PartWriter should be used\n which will collect particles from all parallel processes\n and write them to a single HDF5 file.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractParticleWriter *GetParticleWriter();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetParticleWriter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleFileName */
    if ( strcmp ( argv[2], "SetParticleFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void SetParticleFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetParticleFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleFileName */
    if ( strcmp ( argv[2], "GetParticleFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "char *GetParticleFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetParticleFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableParticleWriting */
    if ( strcmp ( argv[2], "SetEnableParticleWriting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableParticleWriting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableParticleWriting */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableParticleWriting(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetEnableParticleWriting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableParticleWriting */
    if ( strcmp ( argv[2], "GetEnableParticleWriting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableParticleWriting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableParticleWriting */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableParticleWriting();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetEnableParticleWriting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableParticleWritingOn */
    if ( strcmp ( argv[2], "EnableParticleWritingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableParticleWritingOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void EnableParticleWritingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableParticleWritingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableParticleWritingOff */
    if ( strcmp ( argv[2], "EnableParticleWritingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableParticleWritingOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void EnableParticleWritingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableParticleWritingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddSourceConnection */
    if ( strcmp ( argv[2], "AddSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Provide support for multiple see sources\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSourceConnection(vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for AddSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllSources */
    if ( strcmp ( argv[2], "RemoveAllSources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllSources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllSources */
    Tcl_DStringAppendElement ( &dString, " Provide support for multiple see sources\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllSources();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for RemoveAllSources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkStreamTracerCppCommand(static_cast<vtkStreamTracer *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
