// tcl wrapper for vtkAbstractPropPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractPropPicker.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkAbstractPickerCppCommand(vtkAbstractPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractPropPickerCppCommand(vtkAbstractPropPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAbstractPropPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractPropPickerCppCommand(static_cast<vtkAbstractPropPicker *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractPropPickerCppCommand(vtkAbstractPropPicker *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractPropPicker",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractPickerCppCommand(static_cast<vtkAbstractPicker *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractPicker"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractPropPicker  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractPropPicker");
    return TCL_OK;
    }
  if ((!strcmp("SetPath",argv[1]))&&(argc == 3))
    {
    vtkAssemblyPath  *temp0;
    error = 0;

    temp0 = (vtkAssemblyPath *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAssemblyPath"),interp,error));
    if (!error)
    {
    op->SetPath(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPath",argv[1]))&&(argc == 2))
    {
    vtkAssemblyPath  *temp20;
    temp20 = (op)->GetPath();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyPath");
    return TCL_OK;
    }
  if ((!strcmp("GetViewProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetViewProp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
  if ((!strcmp("GetProp3D",argv[1]))&&(argc == 2))
    {
    vtkProp3D  *temp20;
    temp20 = (op)->GetProp3D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp3D");
    return TCL_OK;
    }
  if ((!strcmp("GetActor",argv[1]))&&(argc == 2))
    {
    vtkActor  *temp20;
    temp20 = (op)->GetActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkActor");
    return TCL_OK;
    }
  if ((!strcmp("GetActor2D",argv[1]))&&(argc == 2))
    {
    vtkActor2D  *temp20;
    temp20 = (op)->GetActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetVolume",argv[1]))&&(argc == 2))
    {
    vtkVolume  *temp20;
    temp20 = (op)->GetVolume();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolume");
    return TCL_OK;
    }
  if ((!strcmp("GetAssembly",argv[1]))&&(argc == 2))
    {
    vtkAssembly  *temp20;
    temp20 = (op)->GetAssembly();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssembly");
    return TCL_OK;
    }
  if ((!strcmp("GetPropAssembly",argv[1]))&&(argc == 2))
    {
    vtkPropAssembly  *temp20;
    temp20 = (op)->GetPropAssembly();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPropAssembly");
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetProp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractPropPickerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractPickerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractPropPicker:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetPath\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPath\n",NULL);
    Tcl_AppendResult(interp,"  GetViewProp\n",NULL);
    Tcl_AppendResult(interp,"  GetProp3D\n",NULL);
    Tcl_AppendResult(interp,"  GetActor\n",NULL);
    Tcl_AppendResult(interp,"  GetActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetVolume\n",NULL);
    Tcl_AppendResult(interp,"  GetAssembly\n",NULL);
    Tcl_AppendResult(interp,"  GetPropAssembly\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetProp\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractPickerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetPath" );
    Tcl_DStringAppendElement ( &dString, "GetPath" );
    Tcl_DStringAppendElement ( &dString, "GetViewProp" );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    Tcl_DStringAppendElement ( &dString, "GetActor" );
    Tcl_DStringAppendElement ( &dString, "GetActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    Tcl_DStringAppendElement ( &dString, "GetAssembly" );
    Tcl_DStringAppendElement ( &dString, "GetPropAssembly" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetProp" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractPickerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPath */
    if ( strcmp ( argv[2], "SetPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyPath" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPath */
    Tcl_DStringAppendElement ( &dString, " Return the vtkAssemblyPath that has been picked. The assembly path lists\n all the vtkProps that form an assembly. If no assembly is present, then\n the assembly path will have one node (which is the picked prop). The\n set method is used internally to set the path. (Note: the structure of\n an assembly path is a collection of vtkAssemblyNode, each node pointing\n to a vtkProp and (possibly) a transformation matrix.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPath(vtkAssemblyPath *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for SetPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPath */
    if ( strcmp ( argv[2], "GetPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPath */
    Tcl_DStringAppendElement ( &dString, " Return the vtkAssemblyPath that has been picked. The assembly path lists\n all the vtkProps that form an assembly. If no assembly is present, then\n the assembly path will have one node (which is the picked prop). The\n set method is used internally to set the path. (Note: the structure of\n an assembly path is a collection of vtkAssemblyNode, each node pointing\n to a vtkProp and (possibly) a transformation matrix.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyPath *GetPath();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewProp */
    if ( strcmp ( argv[2], "GetViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewProp */
    Tcl_DStringAppendElement ( &dString, " Return the vtkProp that has been picked. If NULL, nothing was picked.\n If anything at all was picked, this method will return something.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp *GetViewProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProp3D */
    if ( strcmp ( argv[2], "GetProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProp3D */
    Tcl_DStringAppendElement ( &dString, " Return the vtkProp that has been picked. If NULL, no vtkProp3D was picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp3D *GetProp3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActor */
    if ( strcmp ( argv[2], "GetActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActor */
    Tcl_DStringAppendElement ( &dString, " Return the vtkActor that has been picked. If NULL, no actor was picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkActor *GetActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActor2D */
    if ( strcmp ( argv[2], "GetActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActor2D */
    Tcl_DStringAppendElement ( &dString, " Return the vtkActor2D that has been picked. If NULL, no actor2D was \n picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkActor2D *GetActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolume */
    if ( strcmp ( argv[2], "GetVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolume */
    Tcl_DStringAppendElement ( &dString, " Return the vtkVolume that has been picked. If NULL, no volume was picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkVolume *GetVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssembly */
    if ( strcmp ( argv[2], "GetAssembly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssembly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssembly */
    Tcl_DStringAppendElement ( &dString, " Return the vtkAssembly that has been picked. If NULL, no assembly \n was picked. (Note: the returned assembly is the first node in the\n assembly path. If the path is one node long, then the assembly and\n the prop are the same, assuming that the first node is a vtkAssembly.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAssembly *GetAssembly();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetAssembly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPropAssembly */
    if ( strcmp ( argv[2], "GetPropAssembly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPropAssembly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPropAssembly */
    Tcl_DStringAppendElement ( &dString, " Return the vtkPropAssembly that has been picked. If NULL, no prop\n assembly was picked. (Note: the returned prop assembly is the first node\n in the assembly path. If the path is one node long, then the prop\n assembly and the prop are the same, assuming that the first node is a\n vtkPropAssembly.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPropAssembly *GetPropAssembly();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetPropAssembly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetProp */
    if ( strcmp ( argv[2], "GetProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkAbstractPicker::GetViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp *GetProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    /* Closing for GetProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractPickerCppCommand(static_cast<vtkAbstractPicker *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
