// tcl wrapper for vtkAbstractVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractVolumeMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkAbstractMapper3DCppCommand(vtkAbstractMapper3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractVolumeMapperCppCommand(vtkAbstractVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAbstractVolumeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractVolumeMapperCppCommand(static_cast<vtkAbstractVolumeMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractVolumeMapperCppCommand(vtkAbstractVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractVolumeMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractMapper3DCppCommand(static_cast<vtkAbstractMapper3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractMapper3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractVolumeMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSetInput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetDataObjectInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectScalarArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectScalarArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectScalarArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectScalarArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetArrayId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayAccessMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayAccessMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGradientMagnitudeScale",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGradientMagnitudeScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientMagnitudeBias",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGradientMagnitudeBias();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientMagnitudeScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGradientMagnitudeScale(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientMagnitudeBias",argv[1]))&&(argc == 3))
    {
    int      temp0;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGradientMagnitudeBias(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractVolumeMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractVolumeMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectInput\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SelectScalarArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectScalarArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayId\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayAccessMode\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientMagnitudeScale\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientMagnitudeBias\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientMagnitudeScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientMagnitudeBias\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetDataSetInput" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectInput" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointFieldData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellFieldData" );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeScale" );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeBias" );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeScale" );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeBias" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSetInput */
    if ( strcmp ( argv[2], "GetDataSetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input data\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetDataSetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetDataSetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectInput */
    if ( strcmp ( argv[2], "GetDataObjectInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input data\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetDataObjectInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetDataObjectInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMode */
    if ( strcmp ( argv[2], "GetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToDefault */
    if ( strcmp ( argv[2], "SetScalarModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SetScalarModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUsePointData */
    if ( strcmp ( argv[2], "SetScalarModeToUsePointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUsePointData */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUsePointData();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SetScalarModeToUsePointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUseCellData */
    if ( strcmp ( argv[2], "SetScalarModeToUseCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUseCellData */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUseCellData();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SetScalarModeToUseCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUsePointFieldData */
    if ( strcmp ( argv[2], "SetScalarModeToUsePointFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUsePointFieldData */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUsePointFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SetScalarModeToUsePointFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUseCellFieldData */
    if ( strcmp ( argv[2], "SetScalarModeToUseCellFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUseCellFieldData */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUseCellFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SetScalarModeToUseCellFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectScalarArray */
    if ( strcmp ( argv[2], "SelectScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectScalarArray */
    Tcl_DStringAppendElement ( &dString, " When ScalarMode is set to UsePointFieldData or UseCellFieldData,\n you can specify which scalar array to use during rendering.\n The transfer function in the vtkVolumeProperty (attached to the calling\n vtkVolume) will decide how to convert vectors to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectScalarArray(int arrayNum);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SelectScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectScalarArray */
    if ( strcmp ( argv[2], "SelectScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectScalarArray */
    Tcl_DStringAppendElement ( &dString, " When ScalarMode is set to UsePointFieldData or UseCellFieldData,\n you can specify which scalar array to use during rendering.\n The transfer function in the vtkVolumeProperty (attached to the calling\n vtkVolume) will decide how to convert vectors to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectScalarArray(const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for SelectScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayName */
    if ( strcmp ( argv[2], "GetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to use for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayId */
    if ( strcmp ( argv[2], "GetArrayId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayId */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to use for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetArrayId();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetArrayId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayAccessMode */
    if ( strcmp ( argv[2], "GetArrayAccessMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayAccessMode */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to use for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetArrayAccessMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetArrayAccessMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeAsString */
    if ( strcmp ( argv[2], "GetScalarModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeAsString */
    Tcl_DStringAppendElement ( &dString, " Return the method for obtaining scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetScalarModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientMagnitudeScale */
    if ( strcmp ( argv[2], "GetGradientMagnitudeScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientMagnitudeScale */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetGradientMagnitudeScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetGradientMagnitudeScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientMagnitudeBias */
    if ( strcmp ( argv[2], "GetGradientMagnitudeBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientMagnitudeBias */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetGradientMagnitudeBias();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetGradientMagnitudeBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientMagnitudeScale */
    if ( strcmp ( argv[2], "GetGradientMagnitudeScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientMagnitudeScale */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetGradientMagnitudeScale(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetGradientMagnitudeScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientMagnitudeBias */
    if ( strcmp ( argv[2], "GetGradientMagnitudeBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientMagnitudeBias */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetGradientMagnitudeBias(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for GetGradientMagnitudeBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Render the volume\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *ren, vtkVolume *vol) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractMapper3DCppCommand(static_cast<vtkAbstractMapper3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
