// tcl wrapper for vtkCameraInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCameraInterpolator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCameraInterpolatorNewCommand()
{
  vtkCameraInterpolator *temp = vtkCameraInterpolator::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCameraInterpolatorCppCommand(vtkCameraInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCameraInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCameraInterpolatorCppCommand(static_cast<vtkCameraInterpolator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCameraInterpolatorCppCommand(vtkCameraInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCameraInterpolator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCameraInterpolator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCameraInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCameraInterpolator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCameraInterpolator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCameraInterpolator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCameraInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCameras",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCameras();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddCamera",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkCamera  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->AddCamera(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveCamera",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->RemoveCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateCamera",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkCamera  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->InterpolateCamera(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToSpline",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToSpline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToManual",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToManual();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPositionInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetPositionInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPositionInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetPositionInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetFocalPointInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetFocalPointInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFocalPointInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetFocalPointInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetViewUpInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetViewUpInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewUpInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetViewUpInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetViewAngleInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetViewAngleInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewAngleInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetViewAngleInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetParallelScaleInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetParallelScaleInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelScaleInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetParallelScaleInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetClippingRangeInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetClippingRangeInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClippingRangeInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetClippingRangeInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCameraInterpolatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCameraInterpolator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCameras\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumT\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumT\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  AddCamera\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateCamera\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationType\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToSpline\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToManual\n",NULL);
    Tcl_AppendResult(interp,"  SetPositionInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPositionInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPointInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFocalPointInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetViewUpInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewUpInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetViewAngleInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngleInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelScaleInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelScaleInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetClippingRangeInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClippingRangeInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCameras" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumT" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumT" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "AddCamera" );
    Tcl_DStringAppendElement ( &dString, "RemoveCamera" );
    Tcl_DStringAppendElement ( &dString, "InterpolateCamera" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToSpline" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToManual" );
    Tcl_DStringAppendElement ( &dString, "SetPositionInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetPositionInterpolator" );
    Tcl_DStringAppendElement ( &dString, "SetFocalPointInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetFocalPointInterpolator" );
    Tcl_DStringAppendElement ( &dString, "SetViewUpInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetViewUpInterpolator" );
    Tcl_DStringAppendElement ( &dString, "SetViewAngleInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleInterpolator" );
    Tcl_DStringAppendElement ( &dString, "SetParallelScaleInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetParallelScaleInterpolator" );
    Tcl_DStringAppendElement ( &dString, "SetClippingRangeInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetClippingRangeInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCameraInterpolator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCameras */
    if ( strcmp ( argv[2], "GetNumberOfCameras" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCameras" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCameras */
    Tcl_DStringAppendElement ( &dString, " Return the number of cameras in the list of cameras.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCameras();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetNumberOfCameras */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumT */
    if ( strcmp ( argv[2], "GetMinimumT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumT */
    Tcl_DStringAppendElement ( &dString, " Obtain some information about the interpolation range. The numbers\n returned are undefined if the list of cameras is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumT();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetMinimumT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumT */
    if ( strcmp ( argv[2], "GetMaximumT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumT */
    Tcl_DStringAppendElement ( &dString, " Obtain some information about the interpolation range. The numbers\n returned are undefined if the list of cameras is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumT();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetMaximumT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Clear the list of cameras.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddCamera */
    if ( strcmp ( argv[2], "AddCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddCamera */
    Tcl_DStringAppendElement ( &dString, " Add another camera to the list of cameras defining\n the camera function. Note that using the same time t value\n more than once replaces the previous camera value at t.\n At least one camera must be added to define a function.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddCamera(double t, vtkCamera *camera);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for AddCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveCamera */
    if ( strcmp ( argv[2], "RemoveCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveCamera */
    Tcl_DStringAppendElement ( &dString, " Delete the camera at a particular parameter t. If there is no\n camera defined at location t, then the method does nothing.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveCamera(double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for RemoveCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateCamera */
    if ( strcmp ( argv[2], "InterpolateCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateCamera */
    Tcl_DStringAppendElement ( &dString, " Interpolate the list of cameras and determine a new camera (i.e.,\n fill in the camera provided). If t is outside the range of\n (min,max) values, then t is clamped to lie within this range.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateCamera(double t, vtkCamera *camera);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for InterpolateCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationType */
    if ( strcmp ( argv[2], "SetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMinValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetInterpolationTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMaxValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetInterpolationTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationType */
    if ( strcmp ( argv[2], "GetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationType();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationTypeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToLinear */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetInterpolationTypeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToSpline */
    if ( strcmp ( argv[2], "SetInterpolationTypeToSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToSpline */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetInterpolationTypeToSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToManual */
    if ( strcmp ( argv[2], "SetInterpolationTypeToManual" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToManual" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToManual */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToManual();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetInterpolationTypeToManual */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPositionInterpolator */
    if ( strcmp ( argv[2], "SetPositionInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPositionInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPositionInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the position portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPositionInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetPositionInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPositionInterpolator */
    if ( strcmp ( argv[2], "GetPositionInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositionInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositionInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the position portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetPositionInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetPositionInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalPointInterpolator */
    if ( strcmp ( argv[2], "SetFocalPointInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalPointInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalPointInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the focal point portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFocalPointInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetFocalPointInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFocalPointInterpolator */
    if ( strcmp ( argv[2], "GetFocalPointInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFocalPointInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFocalPointInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the focal point portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetFocalPointInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetFocalPointInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewUpInterpolator */
    if ( strcmp ( argv[2], "SetViewUpInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewUpInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewUpInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the view up portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetViewUpInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetViewUpInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewUpInterpolator */
    if ( strcmp ( argv[2], "GetViewUpInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewUpInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewUpInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the view up portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetViewUpInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetViewUpInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewAngleInterpolator */
    if ( strcmp ( argv[2], "SetViewAngleInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewAngleInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewAngleInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the view angle portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetViewAngleInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetViewAngleInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngleInterpolator */
    if ( strcmp ( argv[2], "GetViewAngleInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngleInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngleInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the view angle portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetViewAngleInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetViewAngleInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelScaleInterpolator */
    if ( strcmp ( argv[2], "SetParallelScaleInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelScaleInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelScaleInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the parallel scale portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParallelScaleInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetParallelScaleInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelScaleInterpolator */
    if ( strcmp ( argv[2], "GetParallelScaleInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelScaleInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelScaleInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the parallel scale portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetParallelScaleInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetParallelScaleInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClippingRangeInterpolator */
    if ( strcmp ( argv[2], "SetClippingRangeInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClippingRangeInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClippingRangeInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the clipping range portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClippingRangeInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for SetClippingRangeInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClippingRangeInterpolator */
    if ( strcmp ( argv[2], "GetClippingRangeInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClippingRangeInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClippingRangeInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the clipping range portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetClippingRangeInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetClippingRangeInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Override GetMTime() because we depend on the interpolators which may be\n modified outside of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkCameraInterpolator" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
