// tcl wrapper for vtkChooserPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChooserPainter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkChooserPainterNewCommand()
{
  vtkChooserPainter *temp = vtkChooserPainter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataPainterCppCommand(vtkPolyDataPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkChooserPainterCppCommand(vtkChooserPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkChooserPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkChooserPainterCppCommand(static_cast<vtkChooserPainter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkChooserPainterCppCommand(vtkChooserPainter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkChooserPainter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataPainterCppCommand(static_cast<vtkPolyDataPainter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataPainter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkChooserPainter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChooserPainter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkChooserPainter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChooserPainter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkChooserPainter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChooserPainter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertPainter",argv[1]))&&(argc == 3))
    {
    vtkPolyDataPainter  *temp0;
    error = 0;

    temp0 = (vtkPolyDataPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataPainter"),interp,error));
    if (!error)
    {
    op->SetVertPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLinePainter",argv[1]))&&(argc == 3))
    {
    vtkPolyDataPainter  *temp0;
    error = 0;

    temp0 = (vtkPolyDataPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataPainter"),interp,error));
    if (!error)
    {
    op->SetLinePainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPolyPainter",argv[1]))&&(argc == 3))
    {
    vtkPolyDataPainter  *temp0;
    error = 0;

    temp0 = (vtkPolyDataPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataPainter"),interp,error));
    if (!error)
    {
    op->SetPolyPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStripPainter",argv[1]))&&(argc == 3))
    {
    vtkPolyDataPainter  *temp0;
    error = 0;

    temp0 = (vtkPolyDataPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataPainter"),interp,error));
    if (!error)
    {
    op->SetStripPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseLinesPainterForWireframes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLinesPainterForWireframes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseLinesPainterForWireframes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseLinesPainterForWireframes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseLinesPainterForWireframesOn",argv[1]))&&(argc == 2))
    {
    op->UseLinesPainterForWireframesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseLinesPainterForWireframesOff",argv[1]))&&(argc == 2))
    {
    op->UseLinesPainterForWireframesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkChooserPainterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataPainterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkChooserPainter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVertPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLinePainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPolyPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetStripPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLinesPainterForWireframes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseLinesPainterForWireframes\n",NULL);
    Tcl_AppendResult(interp,"  UseLinesPainterForWireframesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseLinesPainterForWireframesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataPainterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetVertPainter" );
    Tcl_DStringAppendElement ( &dString, "SetLinePainter" );
    Tcl_DStringAppendElement ( &dString, "SetPolyPainter" );
    Tcl_DStringAppendElement ( &dString, "SetStripPainter" );
    Tcl_DStringAppendElement ( &dString, "SetUseLinesPainterForWireframes" );
    Tcl_DStringAppendElement ( &dString, "GetUseLinesPainterForWireframes" );
    Tcl_DStringAppendElement ( &dString, "UseLinesPainterForWireframesOn" );
    Tcl_DStringAppendElement ( &dString, "UseLinesPainterForWireframesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataPainterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkChooserPainter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertPainter */
    if ( strcmp ( argv[2], "SetVertPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertPainter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVertPainter(vtkPolyDataPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for SetVertPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinePainter */
    if ( strcmp ( argv[2], "SetLinePainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinePainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinePainter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLinePainter(vtkPolyDataPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for SetLinePainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolyPainter */
    if ( strcmp ( argv[2], "SetPolyPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolyPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolyPainter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPolyPainter(vtkPolyDataPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for SetPolyPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStripPainter */
    if ( strcmp ( argv[2], "SetStripPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStripPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStripPainter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetStripPainter(vtkPolyDataPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for SetStripPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseLinesPainterForWireframes */
    if ( strcmp ( argv[2], "SetUseLinesPainterForWireframes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseLinesPainterForWireframes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseLinesPainterForWireframes */
    Tcl_DStringAppendElement ( &dString, " When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseLinesPainterForWireframes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for SetUseLinesPainterForWireframes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseLinesPainterForWireframes */
    if ( strcmp ( argv[2], "GetUseLinesPainterForWireframes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseLinesPainterForWireframes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseLinesPainterForWireframes */
    Tcl_DStringAppendElement ( &dString, " When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseLinesPainterForWireframes();" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for GetUseLinesPainterForWireframes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLinesPainterForWireframesOn */
    if ( strcmp ( argv[2], "UseLinesPainterForWireframesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLinesPainterForWireframesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLinesPainterForWireframesOn */
    Tcl_DStringAppendElement ( &dString, " When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLinesPainterForWireframesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for UseLinesPainterForWireframesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLinesPainterForWireframesOff */
    if ( strcmp ( argv[2], "UseLinesPainterForWireframesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLinesPainterForWireframesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLinesPainterForWireframesOff */
    Tcl_DStringAppendElement ( &dString, " When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLinesPainterForWireframesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChooserPainter" );
    /* Closing for UseLinesPainterForWireframesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataPainterCppCommand(static_cast<vtkPolyDataPainter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
