// tcl wrapper for vtkDefaultPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDefaultPainter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDefaultPainterNewCommand()
{
  vtkDefaultPainter *temp = vtkDefaultPainter::New();
  return static_cast<ClientData>(temp);
}

int vtkPainterCppCommand(vtkPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDefaultPainterCppCommand(vtkDefaultPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDefaultPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDefaultPainterCppCommand(static_cast<vtkDefaultPainter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDefaultPainterCppCommand(vtkDefaultPainter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDefaultPainter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPainterCppCommand(static_cast<vtkPainter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPainter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDefaultPainter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDefaultPainter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDefaultPainter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDefaultPainter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDefaultPainter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDefaultPainter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarsToColorsPainter",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColorsPainter  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColorsPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColorsPainter"),interp,error));
    if (!error)
    {
    op->SetScalarsToColorsPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsToColorsPainter",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColorsPainter  *temp20;
    temp20 = (op)->GetScalarsToColorsPainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColorsPainter");
    return TCL_OK;
    }
  if ((!strcmp("SetClipPlanesPainter",argv[1]))&&(argc == 3))
    {
    vtkClipPlanesPainter  *temp0;
    error = 0;

    temp0 = (vtkClipPlanesPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkClipPlanesPainter"),interp,error));
    if (!error)
    {
    op->SetClipPlanesPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClipPlanesPainter",argv[1]))&&(argc == 2))
    {
    vtkClipPlanesPainter  *temp20;
    temp20 = (op)->GetClipPlanesPainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipPlanesPainter");
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayListPainter",argv[1]))&&(argc == 3))
    {
    vtkDisplayListPainter  *temp0;
    error = 0;

    temp0 = (vtkDisplayListPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDisplayListPainter"),interp,error));
    if (!error)
    {
    op->SetDisplayListPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayListPainter",argv[1]))&&(argc == 2))
    {
    vtkDisplayListPainter  *temp20;
    temp20 = (op)->GetDisplayListPainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDisplayListPainter");
    return TCL_OK;
    }
  if ((!strcmp("SetCompositePainter",argv[1]))&&(argc == 3))
    {
    vtkCompositePainter  *temp0;
    error = 0;

    temp0 = (vtkCompositePainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCompositePainter"),interp,error));
    if (!error)
    {
    op->SetCompositePainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositePainter",argv[1]))&&(argc == 2))
    {
    vtkCompositePainter  *temp20;
    temp20 = (op)->GetCompositePainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositePainter");
    return TCL_OK;
    }
  if ((!strcmp("SetCoincidentTopologyResolutionPainter",argv[1]))&&(argc == 3))
    {
    vtkCoincidentTopologyResolutionPainter  *temp0;
    error = 0;

    temp0 = (vtkCoincidentTopologyResolutionPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCoincidentTopologyResolutionPainter"),interp,error));
    if (!error)
    {
    op->SetCoincidentTopologyResolutionPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCoincidentTopologyResolutionPainter",argv[1]))&&(argc == 2))
    {
    vtkCoincidentTopologyResolutionPainter  *temp20;
    temp20 = (op)->GetCoincidentTopologyResolutionPainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoincidentTopologyResolutionPainter");
    return TCL_OK;
    }
  if ((!strcmp("SetLightingPainter",argv[1]))&&(argc == 3))
    {
    vtkLightingPainter  *temp0;
    error = 0;

    temp0 = (vtkLightingPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLightingPainter"),interp,error));
    if (!error)
    {
    op->SetLightingPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLightingPainter",argv[1]))&&(argc == 2))
    {
    vtkLightingPainter  *temp20;
    temp20 = (op)->GetLightingPainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLightingPainter");
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationPainter",argv[1]))&&(argc == 3))
    {
    vtkRepresentationPainter  *temp0;
    error = 0;

    temp0 = (vtkRepresentationPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRepresentationPainter"),interp,error));
    if (!error)
    {
    op->SetRepresentationPainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepresentationPainter",argv[1]))&&(argc == 2))
    {
    vtkRepresentationPainter  *temp20;
    temp20 = (op)->GetRepresentationPainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRepresentationPainter");
    return TCL_OK;
    }
  if ((!strcmp("SetDelegatePainter",argv[1]))&&(argc == 3))
    {
    vtkPainter  *temp0;
    error = 0;

    temp0 = (vtkPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPainter"),interp,error));
    if (!error)
    {
    op->SetDelegatePainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDelegatePainter",argv[1]))&&(argc == 2))
    {
    vtkPainter  *temp20;
    temp20 = (op)->GetDelegatePainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPainter");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 6))
    {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    unsigned long     temp2;
    bool   temp3;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned long>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi ? true : false;
    if (!error)
    {
    op->Render(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->UpdateBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDefaultPainterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPainterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDefaultPainter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsToColorsPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsToColorsPainter\n",NULL);
    Tcl_AppendResult(interp,"  SetClipPlanesPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClipPlanesPainter\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayListPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayListPainter\n",NULL);
    Tcl_AppendResult(interp,"  SetCompositePainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositePainter\n",NULL);
    Tcl_AppendResult(interp,"  SetCoincidentTopologyResolutionPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCoincidentTopologyResolutionPainter\n",NULL);
    Tcl_AppendResult(interp,"  SetLightingPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLightingPainter\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationPainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationPainter\n",NULL);
    Tcl_AppendResult(interp,"  SetDelegatePainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDelegatePainter\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateBounds\t with 6 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPainterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetScalarsToColorsPainter" );
    Tcl_DStringAppendElement ( &dString, "GetScalarsToColorsPainter" );
    Tcl_DStringAppendElement ( &dString, "SetClipPlanesPainter" );
    Tcl_DStringAppendElement ( &dString, "GetClipPlanesPainter" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayListPainter" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayListPainter" );
    Tcl_DStringAppendElement ( &dString, "SetCompositePainter" );
    Tcl_DStringAppendElement ( &dString, "GetCompositePainter" );
    Tcl_DStringAppendElement ( &dString, "SetCoincidentTopologyResolutionPainter" );
    Tcl_DStringAppendElement ( &dString, "GetCoincidentTopologyResolutionPainter" );
    Tcl_DStringAppendElement ( &dString, "SetLightingPainter" );
    Tcl_DStringAppendElement ( &dString, "GetLightingPainter" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationPainter" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationPainter" );
    Tcl_DStringAppendElement ( &dString, "SetDelegatePainter" );
    Tcl_DStringAppendElement ( &dString, "GetDelegatePainter" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "UpdateBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPainterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDefaultPainter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarsToColorsPainter */
    if ( strcmp ( argv[2], "SetScalarsToColorsPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarsToColorsPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarsToColorsPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that maps scalars to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarsToColorsPainter(vtkScalarsToColorsPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetScalarsToColorsPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarsToColorsPainter */
    if ( strcmp ( argv[2], "GetScalarsToColorsPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarsToColorsPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarsToColorsPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that maps scalars to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter *GetScalarsToColorsPainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetScalarsToColorsPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipPlanesPainter */
    if ( strcmp ( argv[2], "SetClipPlanesPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipPlanesPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkClipPlanesPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipPlanesPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that handles clipping.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClipPlanesPainter(vtkClipPlanesPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetClipPlanesPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipPlanesPainter */
    if ( strcmp ( argv[2], "GetClipPlanesPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipPlanesPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipPlanesPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that handles clipping.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPlanesPainter *GetClipPlanesPainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetClipPlanesPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayListPainter */
    if ( strcmp ( argv[2], "SetDisplayListPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayListPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDisplayListPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayListPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that builds display lists.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayListPainter(vtkDisplayListPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetDisplayListPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayListPainter */
    if ( strcmp ( argv[2], "GetDisplayListPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayListPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayListPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that builds display lists.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDisplayListPainter *GetDisplayListPainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetDisplayListPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompositePainter */
    if ( strcmp ( argv[2], "SetCompositePainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompositePainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCompositePainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompositePainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter used to handle composite datasets.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompositePainter(vtkCompositePainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetCompositePainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositePainter */
    if ( strcmp ( argv[2], "GetCompositePainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositePainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositePainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter used to handle composite datasets.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositePainter *GetCompositePainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetCompositePainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoincidentTopologyResolutionPainter */
    if ( strcmp ( argv[2], "SetCoincidentTopologyResolutionPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoincidentTopologyResolutionPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoincidentTopologyResolutionPainter */
    Tcl_DStringAppendElement ( &dString, " Painter used to resolve coincident topology.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoincidentTopologyResolutionPainter(vtkCoincidentTopologyResolutionPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetCoincidentTopologyResolutionPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoincidentTopologyResolutionPainter */
    if ( strcmp ( argv[2], "GetCoincidentTopologyResolutionPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoincidentTopologyResolutionPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoincidentTopologyResolutionPainter */
    Tcl_DStringAppendElement ( &dString, " Painter used to resolve coincident topology.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter *GetCoincidentTopologyResolutionPainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetCoincidentTopologyResolutionPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightingPainter */
    if ( strcmp ( argv[2], "SetLightingPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightingPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLightingPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightingPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that controls lighting.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightingPainter(vtkLightingPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetLightingPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLightingPainter */
    if ( strcmp ( argv[2], "GetLightingPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLightingPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLightingPainter */
    Tcl_DStringAppendElement ( &dString, " Get/Set the painter that controls lighting.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLightingPainter *GetLightingPainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetLightingPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationPainter */
    if ( strcmp ( argv[2], "SetRepresentationPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRepresentationPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationPainter */
    Tcl_DStringAppendElement ( &dString, " Painter used to convert polydata to Wireframe/Points representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationPainter(vtkRepresentationPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetRepresentationPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationPainter */
    if ( strcmp ( argv[2], "GetRepresentationPainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationPainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationPainter */
    Tcl_DStringAppendElement ( &dString, " Painter used to convert polydata to Wireframe/Points representation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRepresentationPainter *GetRepresentationPainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetRepresentationPainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDelegatePainter */
    if ( strcmp ( argv[2], "SetDelegatePainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDelegatePainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDelegatePainter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the painter to which this painter should propagare its draw calls.\n These methods are overridden so that the delegate is set\n to the end of the Painter Chain.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDelegatePainter(vtkPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for SetDelegatePainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDelegatePainter */
    if ( strcmp ( argv[2], "GetDelegatePainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDelegatePainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDelegatePainter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the painter to which this painter should propagare its draw calls.\n These methods are overridden so that the delegate is set\n to the end of the Painter Chain.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPainter *GetDelegatePainter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for GetDelegatePainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Overridden to setup the chain of painter depending on the \n actor representation. The chain is rebuilt if\n this->MTime has changed \n since last BuildPainterChain();\n Building of the chain does not depend on input polydata,\n hence it does not check if the input has changed at all.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags, bool forceCompileOnly);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this painter.\n The parameter window could be used to determine which graphic\n resources to release. \n The call is propagated to the delegate painter, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateBounds */
    if ( strcmp ( argv[2], "UpdateBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateBounds */
    Tcl_DStringAppendElement ( &dString, " Expand or shrink the estimated bounds based on the geometric\n transformations applied in the painter. The bounds are left unchanged\n if the painter does not change the geometry.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDefaultPainter" );
    /* Closing for UpdateBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPainterCppCommand(static_cast<vtkPainter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
