// tcl wrapper for vtkDepthPeelingPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDepthPeelingPass.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDepthPeelingPassNewCommand()
{
  vtkDepthPeelingPass *temp = vtkDepthPeelingPass::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderPassCppCommand(vtkRenderPass *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDepthPeelingPassCppCommand(vtkDepthPeelingPass *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDepthPeelingPassCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDepthPeelingPassCppCommand(static_cast<vtkDepthPeelingPass *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDepthPeelingPassCppCommand(vtkDepthPeelingPass *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDepthPeelingPass",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderPassCppCommand(static_cast<vtkRenderPass *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderPass"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDepthPeelingPass  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthPeelingPass");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDepthPeelingPass  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthPeelingPass");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDepthPeelingPass  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthPeelingPass");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslucentPass",argv[1]))&&(argc == 2))
    {
    vtkRenderPass  *temp20;
    temp20 = (op)->GetTranslucentPass();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderPass");
    return TCL_OK;
    }
  if ((!strcmp("SetTranslucentPass",argv[1]))&&(argc == 3))
    {
    vtkRenderPass  *temp0;
    error = 0;

    temp0 = (vtkRenderPass *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderPass"),interp,error));
    if (!error)
    {
    op->SetTranslucentPass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOcclusionRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOcclusionRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOcclusionRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOcclusionRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOcclusionRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOcclusionRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOcclusionRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOcclusionRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfPeels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfPeels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPeels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfPeels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastRenderingUsedDepthPeeling",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLastRenderingUsedDepthPeeling();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDepthPeelingPassCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderPassCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDepthPeelingPass:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslucentPass\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslucentPass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOcclusionRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPeels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPeels\n",NULL);
    Tcl_AppendResult(interp,"  GetLastRenderingUsedDepthPeeling\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderPassCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetTranslucentPass" );
    Tcl_DStringAppendElement ( &dString, "SetTranslucentPass" );
    Tcl_DStringAppendElement ( &dString, "SetOcclusionRatio" );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatio" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPeels" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPeels" );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderingUsedDepthPeeling" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderPassCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDepthPeelingPass *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *w);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslucentPass */
    if ( strcmp ( argv[2], "GetTranslucentPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslucentPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslucentPass */
    Tcl_DStringAppendElement ( &dString, " Delegate for rendering the translucent polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass *GetTranslucentPass();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for GetTranslucentPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslucentPass */
    if ( strcmp ( argv[2], "SetTranslucentPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslucentPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslucentPass */
    Tcl_DStringAppendElement ( &dString, " Delegate for rendering the translucent polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTranslucentPass(vtkRenderPass *translucentPass);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for SetTranslucentPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOcclusionRatio */
    if ( strcmp ( argv[2], "SetOcclusionRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOcclusionRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOcclusionRatio */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOcclusionRatio(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for SetOcclusionRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOcclusionRatioMinValue */
    if ( strcmp ( argv[2], "GetOcclusionRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOcclusionRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOcclusionRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for GetOcclusionRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOcclusionRatioMaxValue */
    if ( strcmp ( argv[2], "GetOcclusionRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOcclusionRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOcclusionRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for GetOcclusionRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOcclusionRatio */
    if ( strcmp ( argv[2], "GetOcclusionRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOcclusionRatio */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOcclusionRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for GetOcclusionRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPeels */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPeels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPeels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPeels */
    Tcl_DStringAppendElement ( &dString, " In case of depth peeling, define the maximum number of peeling layers.\n Initial value is 4. A special value of 0 means no maximum limit.\n It has to be a positive value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfPeels(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for SetMaximumNumberOfPeels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPeels */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPeels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPeels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPeels */
    Tcl_DStringAppendElement ( &dString, " In case of depth peeling, define the maximum number of peeling layers.\n Initial value is 4. A special value of 0 means no maximum limit.\n It has to be a positive value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfPeels();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for GetMaximumNumberOfPeels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastRenderingUsedDepthPeeling */
    if ( strcmp ( argv[2], "GetLastRenderingUsedDepthPeeling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderingUsedDepthPeeling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastRenderingUsedDepthPeeling */
    Tcl_DStringAppendElement ( &dString, " Tells if the last time this pass was executed, the depth peeling\n algorithm was actually used. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLastRenderingUsedDepthPeeling();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthPeelingPass" );
    /* Closing for GetLastRenderingUsedDepthPeeling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderPassCppCommand(static_cast<vtkRenderPass *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
