// tcl wrapper for vtkDynamic2DLabelMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDynamic2DLabelMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDynamic2DLabelMapperNewCommand()
{
  vtkDynamic2DLabelMapper *temp = vtkDynamic2DLabelMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkLabeledDataMapperCppCommand(vtkLabeledDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDynamic2DLabelMapperCppCommand(vtkDynamic2DLabelMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDynamic2DLabelMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDynamic2DLabelMapperCppCommand(static_cast<vtkDynamic2DLabelMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDynamic2DLabelMapperCppCommand(vtkDynamic2DLabelMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDynamic2DLabelMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLabeledDataMapperCppCommand(static_cast<vtkLabeledDataMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLabeledDataMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDynamic2DLabelMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDynamic2DLabelMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDynamic2DLabelMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDynamic2DLabelMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDynamic2DLabelMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDynamic2DLabelMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReversePriority",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetReversePriority(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReversePriority",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetReversePriority();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReversePriorityOn",argv[1]))&&(argc == 2))
    {
    op->ReversePriorityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReversePriorityOff",argv[1]))&&(argc == 2))
    {
    op->ReversePriorityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelHeightPadding",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLabelHeightPadding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelHeightPadding",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLabelHeightPadding();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelWidthPadding",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLabelWidthPadding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelWidthPadding",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLabelWidthPadding();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkActor2D  *temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->RenderOpaqueGeometry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkActor2D  *temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->RenderOverlay(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDynamic2DLabelMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLabeledDataMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDynamic2DLabelMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetReversePriority\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReversePriority\n",NULL);
    Tcl_AppendResult(interp,"  ReversePriorityOn\n",NULL);
    Tcl_AppendResult(interp,"  ReversePriorityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelHeightPadding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelHeightPadding\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelWidthPadding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelWidthPadding\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLabeledDataMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetReversePriority" );
    Tcl_DStringAppendElement ( &dString, "GetReversePriority" );
    Tcl_DStringAppendElement ( &dString, "ReversePriorityOn" );
    Tcl_DStringAppendElement ( &dString, "ReversePriorityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelHeightPadding" );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeightPadding" );
    Tcl_DStringAppendElement ( &dString, "SetLabelWidthPadding" );
    Tcl_DStringAppendElement ( &dString, "GetLabelWidthPadding" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLabeledDataMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDynamic2DLabelMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPriorityArrayName */
    if ( strcmp ( argv[2], "SetPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the points array name to use to give priority to labels.\n Defaults to \"priority\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for SetPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReversePriority */
    if ( strcmp ( argv[2], "SetReversePriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReversePriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReversePriority */
    Tcl_DStringAppendElement ( &dString, " Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReversePriority(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for SetReversePriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReversePriority */
    if ( strcmp ( argv[2], "GetReversePriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReversePriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReversePriority */
    Tcl_DStringAppendElement ( &dString, " Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetReversePriority();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for GetReversePriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReversePriorityOn */
    if ( strcmp ( argv[2], "ReversePriorityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReversePriorityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReversePriorityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReversePriorityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for ReversePriorityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReversePriorityOff */
    if ( strcmp ( argv[2], "ReversePriorityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReversePriorityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReversePriorityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReversePriorityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for ReversePriorityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelHeightPadding */
    if ( strcmp ( argv[2], "SetLabelHeightPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelHeightPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelHeightPadding */
    Tcl_DStringAppendElement ( &dString, " Set the label height padding as a percentage. The percentage \n is a percentage of your label height. \n Default is 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelHeightPadding(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for SetLabelHeightPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelHeightPadding */
    if ( strcmp ( argv[2], "GetLabelHeightPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeightPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelHeightPadding */
    Tcl_DStringAppendElement ( &dString, " Set the label height padding as a percentage. The percentage \n is a percentage of your label height. \n Default is 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLabelHeightPadding();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for GetLabelHeightPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelWidthPadding */
    if ( strcmp ( argv[2], "SetLabelWidthPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelWidthPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelWidthPadding */
    Tcl_DStringAppendElement ( &dString, " Set the label width padding as a percentage. The percentage \n is a percentage of your label ^height^ (yes, not a typo). \n Default is 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelWidthPadding(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for SetLabelWidthPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelWidthPadding */
    if ( strcmp ( argv[2], "GetLabelWidthPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelWidthPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelWidthPadding */
    Tcl_DStringAppendElement ( &dString, " Set the label width padding as a percentage. The percentage \n is a percentage of your label ^height^ (yes, not a typo). \n Default is 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLabelWidthPadding();" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for GetLabelWidthPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw non-overlapping labels to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderOpaqueGeometry(vtkViewport *viewport, vtkActor2D *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw non-overlapping labels to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderOverlay(vtkViewport *viewport, vtkActor2D *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkDynamic2DLabelMapper" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLabeledDataMapperCppCommand(static_cast<vtkLabeledDataMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
