// tcl wrapper for vtkExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExporter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExporterCppCommand(vtkExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExporterCppCommand(static_cast<vtkExporter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExporterCppCommand(vtkExporter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExporter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExporter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExporter");
    return TCL_OK;
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
    {
    op->Write();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetStartWrite",argv[1]))&&(argc == 3))
    {
    vtkTclVoidFuncArg *temp0 = new vtkTclVoidFuncArg;
    error = 0;

    temp0->interp = interp;
    temp0->command = strcpy(new char [strlen(argv[2])+1],argv[2]);
    if (!error)
    {
    op->SetStartWrite(vtkTclVoidFunc,static_cast<void *>(temp0));
    op->SetStartWriteArgDelete(vtkTclVoidFuncArgDelete);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEndWrite",argv[1]))&&(argc == 3))
    {
    vtkTclVoidFuncArg *temp0 = new vtkTclVoidFuncArg;
    error = 0;

    temp0->interp = interp;
    temp0->command = strcpy(new char [strlen(argv[2])+1],argv[2]);
    if (!error)
    {
    op->SetEndWrite(vtkTclVoidFunc,static_cast<void *>(temp0));
    op->SetEndWriteArgDelete(vtkTclVoidFuncArgDelete);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExporterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExporter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Write\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetStartWrite\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEndWrite\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetStartWrite" );
    Tcl_DStringAppendElement ( &dString, "SetEndWrite" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " Write data to output. Method executes subclasses WriteData() method, as \n well as StartWrite() and EndWrite() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Write();" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Convenient alias for Write() method.\n" );
    Tcl_DStringAppendElement ( &dString, "void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rendering window that contains the scene to be written.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow(vtkRenderWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rendering window that contains the scene to be written.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " These methods are provided for backward compatibility. Will disappear\n soon.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput(vtkRenderWindow *renWin);" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " These methods are provided for backward compatibility. Will disappear\n soon.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartWrite */
    if ( strcmp ( argv[2], "SetStartWrite" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartWrite" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "function" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartWrite */
    Tcl_DStringAppendElement ( &dString, " Specify a function to be called before data is written.  Function will\n be called with argument provided.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartWrite(void (*f)(void *) , void *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for SetStartWrite */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndWrite */
    if ( strcmp ( argv[2], "SetEndWrite" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndWrite" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "function" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndWrite */
    Tcl_DStringAppendElement ( &dString, " Specify a function to be called after data is written.\n Function will be called with argument provided.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndWrite(void (*f)(void *) , void *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for SetEndWrite */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Returns the MTime also considering the RenderWindow.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkExporter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
