// tcl wrapper for vtkFrameBufferObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFrameBufferObject.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFrameBufferObjectNewCommand()
{
  vtkFrameBufferObject *temp = vtkFrameBufferObject::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFrameBufferObjectCppCommand(vtkFrameBufferObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFrameBufferObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFrameBufferObjectCppCommand(static_cast<vtkFrameBufferObject *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFrameBufferObjectCppCommand(vtkFrameBufferObject *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFrameBufferObject",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFrameBufferObject  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrameBufferObject");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFrameBufferObject  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrameBufferObject");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFrameBufferObject  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrameBufferObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetContext",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetContext(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContext",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetContext();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    bool   temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Start(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartNonOrtho",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    bool   temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->StartNonOrtho(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderQuad",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->RenderQuad(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Bind",argv[1]))&&(argc == 2))
    {
    op->Bind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnBind",argv[1]))&&(argc == 2))
    {
    op->UnBind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetActiveBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetActiveBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorBuffer",argv[1]))&&(argc == 5))
    {
    unsigned int      temp0;
    vtkTextureObject  *temp1;
    unsigned int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    temp1 = (vtkTextureObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTextureObject"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetColorBuffer(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkTextureObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetColorBuffer(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveColorBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->RemoveColorBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllColorBuffers",argv[1]))&&(argc == 2))
    {
    op->RemoveAllColorBuffers();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthBuffer",argv[1]))&&(argc == 3))
    {
    vtkTextureObject  *temp0;
    error = 0;

    temp0 = (vtkTextureObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextureObject"),interp,error));
    if (!error)
    {
    op->SetDepthBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDepthBuffer",argv[1]))&&(argc == 2))
    {
    op->RemoveDepthBuffer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthBufferNeeded",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDepthBufferNeeded(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthBufferNeeded",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDepthBufferNeeded();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfRenderTargets",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetNumberOfRenderTargets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRenderTargets",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfRenderTargets();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfActiveTargets",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetMaximumNumberOfActiveTargets();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfRenderTargets",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetMaximumNumberOfRenderTargets();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetLastSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFrameBufferObjectCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFrameBufferObject:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetContext\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContext\n",NULL);
    Tcl_AppendResult(interp,"  Start\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  StartNonOrtho\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderQuad\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Bind\n",NULL);
    Tcl_AppendResult(interp,"  UnBind\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorBuffer\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColorBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveColorBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllColorBuffers\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDepthBuffer\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthBufferNeeded\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthBufferNeeded\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfRenderTargets\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRenderTargets\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfActiveTargets\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfRenderTargets\n",NULL);
    Tcl_AppendResult(interp,"  GetLastSize\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "StartNonOrtho" );
    Tcl_DStringAppendElement ( &dString, "RenderQuad" );
    Tcl_DStringAppendElement ( &dString, "Bind" );
    Tcl_DStringAppendElement ( &dString, "UnBind" );
    Tcl_DStringAppendElement ( &dString, "SetActiveBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetColorBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetColorBuffer" );
    Tcl_DStringAppendElement ( &dString, "RemoveColorBuffer" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllColorBuffers" );
    Tcl_DStringAppendElement ( &dString, "SetDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "RemoveDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetDepthBufferNeeded" );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferNeeded" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRenderTargets" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRenderTargets" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfActiveTargets" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfRenderTargets" );
    Tcl_DStringAppendElement ( &dString, "GetLastSize" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFrameBufferObject *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContext */
    if ( strcmp ( argv[2], "SetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContext */
    Tcl_DStringAppendElement ( &dString, " Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContext(vtkRenderWindow *context);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for SetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContext */
    if ( strcmp ( argv[2], "GetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContext */
    Tcl_DStringAppendElement ( &dString, " Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, " User must take care that width/height match the dimensions of \n the user defined texture attachments.\n This method makes the \"active buffers\" the buffers that will get drawn\n into by subsequent drawing calls.\n Note that this does not clear the render buffers i.e. no glClear() calls\n are made by either of these methods. It's up to the caller to clear the\n buffers if needed.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Start(int width, int height, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartNonOrtho */
    if ( strcmp ( argv[2], "StartNonOrtho" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartNonOrtho" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartNonOrtho */
    Tcl_DStringAppendElement ( &dString, " User must take care that width/height match the dimensions of \n the user defined texture attachments.\n This method makes the \"active buffers\" the buffers that will get drawn\n into by subsequent drawing calls.\n Note that this does not clear the render buffers i.e. no glClear() calls\n are made by either of these methods. It's up to the caller to clear the\n buffers if needed.\n" );
    Tcl_DStringAppendElement ( &dString, "bool StartNonOrtho(int width, int height, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for StartNonOrtho */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderQuad */
    if ( strcmp ( argv[2], "RenderQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderQuad */
    Tcl_DStringAppendElement ( &dString, " Renders a quad at the given location with pixel coordinates. This method\n is provided as a convenience, since we often render quads in a FBO.\n \\pre positive_minX: minX>=0\n \\pre increasing_x: minX<=maxX\n \\pre valid_maxX: maxX<LastSize\\[0\\]\n \\pre positive_minY: minY>=0\n \\pre increasing_y: minY<=maxY\n \\pre valid_maxY: maxY<LastSize\\[1\\]\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderQuad(int minX, int maxX, int minY, int maxY);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for RenderQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Bind */
    if ( strcmp ( argv[2], "Bind" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Bind" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Bind */
    Tcl_DStringAppendElement ( &dString, " Save the current framebuffer and make the frame buffer active.\n Multiple calls to Bind has no effect.\n" );
    Tcl_DStringAppendElement ( &dString, "void Bind();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for Bind */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnBind */
    if ( strcmp ( argv[2], "UnBind" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnBind" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnBind */
    Tcl_DStringAppendElement ( &dString, " Restore the framebuffer saved with the call to Bind().\n Multiple calls to UnBind has no effect.\n" );
    Tcl_DStringAppendElement ( &dString, "void UnBind();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for UnBind */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveBuffer */
    if ( strcmp ( argv[2], "SetActiveBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveBuffer */
    Tcl_DStringAppendElement ( &dString, " Choose the buffer to render into.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveBuffer(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for SetActiveBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorBuffer */
    if ( strcmp ( argv[2], "SetColorBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColorBuffer(unsigned int index, vtkTextureObject *texture, unsigned int zslice=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for SetColorBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorBuffer */
    if ( strcmp ( argv[2], "GetColorBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject *GetColorBuffer(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetColorBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveColorBuffer */
    if ( strcmp ( argv[2], "RemoveColorBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveColorBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveColorBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RemoveColorBuffer(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for RemoveColorBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllColorBuffers */
    if ( strcmp ( argv[2], "RemoveAllColorBuffers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllColorBuffers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllColorBuffers */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllColorBuffers();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for RemoveAllColorBuffers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthBuffer */
    if ( strcmp ( argv[2], "SetDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Set the texture to use as depth buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthBuffer(vtkTextureObject *depthTexture);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for SetDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDepthBuffer */
    if ( strcmp ( argv[2], "RemoveDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Set the texture to use as depth buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveDepthBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for RemoveDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthBufferNeeded */
    if ( strcmp ( argv[2], "SetDepthBufferNeeded" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthBufferNeeded" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthBufferNeeded */
    Tcl_DStringAppendElement ( &dString, " If true, the frame buffer object will be initialized with a depth buffer.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthBufferNeeded(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for SetDepthBufferNeeded */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthBufferNeeded */
    if ( strcmp ( argv[2], "GetDepthBufferNeeded" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferNeeded" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthBufferNeeded */
    Tcl_DStringAppendElement ( &dString, " If true, the frame buffer object will be initialized with a depth buffer.\n Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDepthBufferNeeded();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetDepthBufferNeeded */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfRenderTargets */
    if ( strcmp ( argv[2], "SetNumberOfRenderTargets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRenderTargets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfRenderTargets */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of render targets to render into at once.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfRenderTargets(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for SetNumberOfRenderTargets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRenderTargets */
    if ( strcmp ( argv[2], "GetNumberOfRenderTargets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRenderTargets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRenderTargets */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of render targets to render into at once.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfRenderTargets();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetNumberOfRenderTargets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfActiveTargets */
    if ( strcmp ( argv[2], "GetMaximumNumberOfActiveTargets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfActiveTargets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfActiveTargets */
    Tcl_DStringAppendElement ( &dString, " Returns the maximum number of targets that can be rendered to at one time.\n This limits the active targets set by SetActiveTargets().\n The return value is valid only if GetContext is non-null.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetMaximumNumberOfActiveTargets();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetMaximumNumberOfActiveTargets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfRenderTargets */
    if ( strcmp ( argv[2], "GetMaximumNumberOfRenderTargets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfRenderTargets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfRenderTargets */
    Tcl_DStringAppendElement ( &dString, " Returns the maximum number of render targets available. This limits the\n available attachement points for SetColorAttachment().\n The return value is valid only if GetContext is non-null.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetMaximumNumberOfRenderTargets();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetMaximumNumberOfRenderTargets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastSize */
    if ( strcmp ( argv[2], "GetLastSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetLastSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for GetLastSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Returns if the context supports the required extensions.\n" );
    Tcl_DStringAppendElement ( &dString, "static bool IsSupported(vtkRenderWindow *renWin);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrameBufferObject" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
