// python wrapper for vtkGL2PSExporter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGL2PSExporter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGL2PSExporter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGL2PSExporter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGL2PSExporterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGL2PSExporterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkExporterNew
extern "C" { PyObject *PyVTKClass_vtkExporterNew(const char *); }
#define DECLARED_PyVTKClass_vtkExporterNew
#endif

static const char **PyvtkGL2PSExporter_Doc();


static PyObject *
PyvtkGL2PSExporter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGL2PSExporter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGL2PSExporter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGL2PSExporter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGL2PSExporter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGL2PSExporter *tempr = vtkGL2PSExporter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetFilePrefix(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFilePrefix");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFilePrefix(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetFilePrefix(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetFilePrefix(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFilePrefix");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetFilePrefix() :
      op->vtkGL2PSExporter::GetFilePrefix());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetFileFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileFormat(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetFileFormat(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetFileFormatMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileFormatMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFileFormatMinValue() :
      op->vtkGL2PSExporter::GetFileFormatMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetFileFormatMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileFormatMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFileFormatMaxValue() :
      op->vtkGL2PSExporter::GetFileFormatMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetFileFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFileFormat() :
      op->vtkGL2PSExporter::GetFileFormat());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetFileFormatToPS(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileFormatToPS");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetFileFormatToPS();
      }
    else
      {
      op->vtkGL2PSExporter::SetFileFormatToPS();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetFileFormatToEPS(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileFormatToEPS");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetFileFormatToEPS();
      }
    else
      {
      op->vtkGL2PSExporter::SetFileFormatToEPS();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetFileFormatToPDF(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileFormatToPDF");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetFileFormatToPDF();
      }
    else
      {
      op->vtkGL2PSExporter::SetFileFormatToPDF();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetFileFormatToTeX(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileFormatToTeX");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetFileFormatToTeX();
      }
    else
      {
      op->vtkGL2PSExporter::SetFileFormatToTeX();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetFileFormatToSVG(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileFormatToSVG");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetFileFormatToSVG();
      }
    else
      {
      op->vtkGL2PSExporter::SetFileFormatToSVG();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetFileFormatAsString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileFormatAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetFileFormatAsString() :
      op->vtkGL2PSExporter::GetFileFormatAsString());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetSort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSort(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetSort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetSortMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSortMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetSortMinValue() :
      op->vtkGL2PSExporter::GetSortMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetSortMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSortMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetSortMaxValue() :
      op->vtkGL2PSExporter::GetSortMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetSort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetSort() :
      op->vtkGL2PSExporter::GetSort());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetSortToOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSortToOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetSortToOff();
      }
    else
      {
      op->vtkGL2PSExporter::SetSortToOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetSortToSimple(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSortToSimple");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetSortToSimple();
      }
    else
      {
      op->vtkGL2PSExporter::SetSortToSimple();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetSortToBSP(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSortToBSP");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetSortToBSP();
      }
    else
      {
      op->vtkGL2PSExporter::SetSortToBSP();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetSortAsString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSortAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetSortAsString() :
      op->vtkGL2PSExporter::GetSortAsString());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetCompress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCompress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCompress(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetCompress(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetCompress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCompress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetCompress() :
      op->vtkGL2PSExporter::GetCompress());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_CompressOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CompressOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CompressOn();
      }
    else
      {
      op->vtkGL2PSExporter::CompressOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_CompressOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CompressOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CompressOff();
      }
    else
      {
      op->vtkGL2PSExporter::CompressOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetDrawBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDrawBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDrawBackground(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetDrawBackground(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetDrawBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDrawBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetDrawBackground() :
      op->vtkGL2PSExporter::GetDrawBackground());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_DrawBackgroundOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DrawBackgroundOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DrawBackgroundOn();
      }
    else
      {
      op->vtkGL2PSExporter::DrawBackgroundOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_DrawBackgroundOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DrawBackgroundOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DrawBackgroundOff();
      }
    else
      {
      op->vtkGL2PSExporter::DrawBackgroundOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetSimpleLineOffset(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSimpleLineOffset");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSimpleLineOffset(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetSimpleLineOffset(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetSimpleLineOffset(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSimpleLineOffset");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetSimpleLineOffset() :
      op->vtkGL2PSExporter::GetSimpleLineOffset());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SimpleLineOffsetOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SimpleLineOffsetOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SimpleLineOffsetOn();
      }
    else
      {
      op->vtkGL2PSExporter::SimpleLineOffsetOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SimpleLineOffsetOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SimpleLineOffsetOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SimpleLineOffsetOff();
      }
    else
      {
      op->vtkGL2PSExporter::SimpleLineOffsetOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetSilent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSilent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSilent(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetSilent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetSilent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSilent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetSilent() :
      op->vtkGL2PSExporter::GetSilent());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SilentOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SilentOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SilentOn();
      }
    else
      {
      op->vtkGL2PSExporter::SilentOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SilentOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SilentOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SilentOff();
      }
    else
      {
      op->vtkGL2PSExporter::SilentOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetBestRoot(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBestRoot");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBestRoot(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetBestRoot(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetBestRoot(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBestRoot");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetBestRoot() :
      op->vtkGL2PSExporter::GetBestRoot());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_BestRootOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BestRootOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->BestRootOn();
      }
    else
      {
      op->vtkGL2PSExporter::BestRootOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_BestRootOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BestRootOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->BestRootOff();
      }
    else
      {
      op->vtkGL2PSExporter::BestRootOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetText(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetText(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetText() :
      op->vtkGL2PSExporter::GetText());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_TextOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "TextOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->TextOn();
      }
    else
      {
      op->vtkGL2PSExporter::TextOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_TextOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "TextOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->TextOff();
      }
    else
      {
      op->vtkGL2PSExporter::TextOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetLandscape(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLandscape");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLandscape(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetLandscape(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetLandscape(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLandscape");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetLandscape() :
      op->vtkGL2PSExporter::GetLandscape());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_LandscapeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LandscapeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LandscapeOn();
      }
    else
      {
      op->vtkGL2PSExporter::LandscapeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_LandscapeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LandscapeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LandscapeOff();
      }
    else
      {
      op->vtkGL2PSExporter::LandscapeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetPS3Shading(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPS3Shading");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPS3Shading(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetPS3Shading(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetPS3Shading(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPS3Shading");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetPS3Shading() :
      op->vtkGL2PSExporter::GetPS3Shading());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_PS3ShadingOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PS3ShadingOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PS3ShadingOn();
      }
    else
      {
      op->vtkGL2PSExporter::PS3ShadingOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_PS3ShadingOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PS3ShadingOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PS3ShadingOff();
      }
    else
      {
      op->vtkGL2PSExporter::PS3ShadingOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetOcclusionCull(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOcclusionCull");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOcclusionCull(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetOcclusionCull(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetOcclusionCull(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOcclusionCull");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetOcclusionCull() :
      op->vtkGL2PSExporter::GetOcclusionCull());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_OcclusionCullOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OcclusionCullOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OcclusionCullOn();
      }
    else
      {
      op->vtkGL2PSExporter::OcclusionCullOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_OcclusionCullOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OcclusionCullOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OcclusionCullOff();
      }
    else
      {
      op->vtkGL2PSExporter::OcclusionCullOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetWrite3DPropsAsRasterImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWrite3DPropsAsRasterImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetWrite3DPropsAsRasterImage(temp0);
      }
    else
      {
      op->vtkGL2PSExporter::SetWrite3DPropsAsRasterImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetWrite3DPropsAsRasterImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWrite3DPropsAsRasterImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetWrite3DPropsAsRasterImage() :
      op->vtkGL2PSExporter::GetWrite3DPropsAsRasterImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_Write3DPropsAsRasterImageOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Write3DPropsAsRasterImageOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Write3DPropsAsRasterImageOn();
      }
    else
      {
      op->vtkGL2PSExporter::Write3DPropsAsRasterImageOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_Write3DPropsAsRasterImageOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Write3DPropsAsRasterImageOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGL2PSExporter *op = static_cast<vtkGL2PSExporter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Write3DPropsAsRasterImageOff();
      }
    else
      {
      op->vtkGL2PSExporter::Write3DPropsAsRasterImageOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetGlobalPointSizeFactor(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SetGlobalPointSizeFactor");

  float temp0;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkGL2PSExporter::SetGlobalPointSizeFactor(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetGlobalPointSizeFactor(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetGlobalPointSizeFactor");

  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    float tempr = vtkGL2PSExporter::GetGlobalPointSizeFactor();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_SetGlobalLineWidthFactor(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SetGlobalLineWidthFactor");

  float temp0;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkGL2PSExporter::SetGlobalLineWidthFactor(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGL2PSExporter_GetGlobalLineWidthFactor(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetGlobalLineWidthFactor");

  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    float tempr = vtkGL2PSExporter::GetGlobalLineWidthFactor();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkGL2PSExporter_Methods[] = {
  {(char*)"GetClassName", PyvtkGL2PSExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGL2PSExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGL2PSExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGL2PSExporter\nC++: vtkGL2PSExporter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGL2PSExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGL2PSExporter\nC++: vtkGL2PSExporter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFilePrefix", PyvtkGL2PSExporter_SetFilePrefix, 1,
   (char*)"V.SetFilePrefix(string)\nC++: void SetFilePrefix(char *)\n\nSpecify the prefix of the files to write out. The resulting\nfilenames will have .ps or .eps or .tex appended to them\ndepending on the other options chosen.\n"},
  {(char*)"GetFilePrefix", PyvtkGL2PSExporter_GetFilePrefix, 1,
   (char*)"V.GetFilePrefix() -> string\nC++: char *GetFilePrefix()\n\nSpecify the prefix of the files to write out. The resulting\nfilenames will have .ps or .eps or .tex appended to them\ndepending on the other options chosen.\n"},
  {(char*)"SetFileFormat", PyvtkGL2PSExporter_SetFileFormat, 1,
   (char*)"V.SetFileFormat(int)\nC++: void SetFileFormat(int)\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormatMinValue", PyvtkGL2PSExporter_GetFileFormatMinValue, 1,
   (char*)"V.GetFileFormatMinValue() -> int\nC++: int GetFileFormatMinValue()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormatMaxValue", PyvtkGL2PSExporter_GetFileFormatMaxValue, 1,
   (char*)"V.GetFileFormatMaxValue() -> int\nC++: int GetFileFormatMaxValue()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormat", PyvtkGL2PSExporter_GetFileFormat, 1,
   (char*)"V.GetFileFormat() -> int\nC++: int GetFileFormat()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToPS", PyvtkGL2PSExporter_SetFileFormatToPS, 1,
   (char*)"V.SetFileFormatToPS()\nC++: void SetFileFormatToPS()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToEPS", PyvtkGL2PSExporter_SetFileFormatToEPS, 1,
   (char*)"V.SetFileFormatToEPS()\nC++: void SetFileFormatToEPS()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToPDF", PyvtkGL2PSExporter_SetFileFormatToPDF, 1,
   (char*)"V.SetFileFormatToPDF()\nC++: void SetFileFormatToPDF()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToTeX", PyvtkGL2PSExporter_SetFileFormatToTeX, 1,
   (char*)"V.SetFileFormatToTeX()\nC++: void SetFileFormatToTeX()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToSVG", PyvtkGL2PSExporter_SetFileFormatToSVG, 1,
   (char*)"V.SetFileFormatToSVG()\nC++: void SetFileFormatToSVG()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormatAsString", PyvtkGL2PSExporter_GetFileFormatAsString, 1,
   (char*)"V.GetFileFormatAsString() -> string\nC++: const char *GetFileFormatAsString()\n\nSpecify the format of file to write out.  This can be one of:\nPS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\nDepending on the option chosen it generates the appropriate file\n(with correct extension) when the Write function is called.\n"},
  {(char*)"SetSort", PyvtkGL2PSExporter_SetSort, 1,
   (char*)"V.SetSort(int)\nC++: void SetSort(int)\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSortMinValue", PyvtkGL2PSExporter_GetSortMinValue, 1,
   (char*)"V.GetSortMinValue() -> int\nC++: int GetSortMinValue()\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSortMaxValue", PyvtkGL2PSExporter_GetSortMaxValue, 1,
   (char*)"V.GetSortMaxValue() -> int\nC++: int GetSortMaxValue()\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSort", PyvtkGL2PSExporter_GetSort, 1,
   (char*)"V.GetSort() -> int\nC++: int GetSort()\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetSortToOff", PyvtkGL2PSExporter_SetSortToOff, 1,
   (char*)"V.SetSortToOff()\nC++: void SetSortToOff()\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetSortToSimple", PyvtkGL2PSExporter_SetSortToSimple, 1,
   (char*)"V.SetSortToSimple()\nC++: void SetSortToSimple()\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetSortToBSP", PyvtkGL2PSExporter_SetSortToBSP, 1,
   (char*)"V.SetSortToBSP()\nC++: void SetSortToBSP()\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSortAsString", PyvtkGL2PSExporter_GetSortAsString, 1,
   (char*)"V.GetSortAsString() -> string\nC++: const char *GetSortAsString()\n\nSet the the type of sorting algorithm to order primitives from\nback to front.  Successive algorithms are more memory intensive. \nSimple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetCompress", PyvtkGL2PSExporter_SetCompress, 1,
   (char*)"V.SetCompress(int)\nC++: void SetCompress(int a)\n\nTurn on/off compression when generating PostScript or PDF output.\nBy default compression is on.\n"},
  {(char*)"GetCompress", PyvtkGL2PSExporter_GetCompress, 1,
   (char*)"V.GetCompress() -> int\nC++: int GetCompress()\n\nTurn on/off compression when generating PostScript or PDF output.\nBy default compression is on.\n"},
  {(char*)"CompressOn", PyvtkGL2PSExporter_CompressOn, 1,
   (char*)"V.CompressOn()\nC++: void CompressOn()\n\nTurn on/off compression when generating PostScript or PDF output.\nBy default compression is on.\n"},
  {(char*)"CompressOff", PyvtkGL2PSExporter_CompressOff, 1,
   (char*)"V.CompressOff()\nC++: void CompressOff()\n\nTurn on/off compression when generating PostScript or PDF output.\nBy default compression is on.\n"},
  {(char*)"SetDrawBackground", PyvtkGL2PSExporter_SetDrawBackground, 1,
   (char*)"V.SetDrawBackground(int)\nC++: void SetDrawBackground(int a)\n\nTurn on/off drawing the background frame.  If off the background\nis treated as white.  By default the background is drawn.\n"},
  {(char*)"GetDrawBackground", PyvtkGL2PSExporter_GetDrawBackground, 1,
   (char*)"V.GetDrawBackground() -> int\nC++: int GetDrawBackground()\n\nTurn on/off drawing the background frame.  If off the background\nis treated as white.  By default the background is drawn.\n"},
  {(char*)"DrawBackgroundOn", PyvtkGL2PSExporter_DrawBackgroundOn, 1,
   (char*)"V.DrawBackgroundOn()\nC++: void DrawBackgroundOn()\n\nTurn on/off drawing the background frame.  If off the background\nis treated as white.  By default the background is drawn.\n"},
  {(char*)"DrawBackgroundOff", PyvtkGL2PSExporter_DrawBackgroundOff, 1,
   (char*)"V.DrawBackgroundOff()\nC++: void DrawBackgroundOff()\n\nTurn on/off drawing the background frame.  If off the background\nis treated as white.  By default the background is drawn.\n"},
  {(char*)"SetSimpleLineOffset", PyvtkGL2PSExporter_SetSimpleLineOffset, 1,
   (char*)"V.SetSimpleLineOffset(int)\nC++: void SetSimpleLineOffset(int a)\n\nTurn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\nsmall offset is added in the z-buffer to all the lines in the\nplot.  This results in an anti-aliasing like solution.  Defaults\nto on.\n"},
  {(char*)"GetSimpleLineOffset", PyvtkGL2PSExporter_GetSimpleLineOffset, 1,
   (char*)"V.GetSimpleLineOffset() -> int\nC++: int GetSimpleLineOffset()\n\nTurn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\nsmall offset is added in the z-buffer to all the lines in the\nplot.  This results in an anti-aliasing like solution.  Defaults\nto on.\n"},
  {(char*)"SimpleLineOffsetOn", PyvtkGL2PSExporter_SimpleLineOffsetOn, 1,
   (char*)"V.SimpleLineOffsetOn()\nC++: void SimpleLineOffsetOn()\n\nTurn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\nsmall offset is added in the z-buffer to all the lines in the\nplot.  This results in an anti-aliasing like solution.  Defaults\nto on.\n"},
  {(char*)"SimpleLineOffsetOff", PyvtkGL2PSExporter_SimpleLineOffsetOff, 1,
   (char*)"V.SimpleLineOffsetOff()\nC++: void SimpleLineOffsetOff()\n\nTurn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\nsmall offset is added in the z-buffer to all the lines in the\nplot.  This results in an anti-aliasing like solution.  Defaults\nto on.\n"},
  {(char*)"SetSilent", PyvtkGL2PSExporter_SetSilent, 1,
   (char*)"V.SetSilent(int)\nC++: void SetSilent(int a)\n\nTurn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\nenabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"GetSilent", PyvtkGL2PSExporter_GetSilent, 1,
   (char*)"V.GetSilent() -> int\nC++: int GetSilent()\n\nTurn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\nenabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"SilentOn", PyvtkGL2PSExporter_SilentOn, 1,
   (char*)"V.SilentOn()\nC++: void SilentOn()\n\nTurn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\nenabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"SilentOff", PyvtkGL2PSExporter_SilentOff, 1,
   (char*)"V.SilentOff()\nC++: void SilentOff()\n\nTurn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\nenabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"SetBestRoot", PyvtkGL2PSExporter_SetBestRoot, 1,
   (char*)"V.SetBestRoot(int)\nC++: void SetBestRoot(int a)\n\nTurn on/off the GL2PS_BEST_ROOT option.  When enabled the\nconstruction of the BSP tree is optimized by choosing the root\nprimitives leading to the minimum number of splits.  Defaults to\non.\n"},
  {(char*)"GetBestRoot", PyvtkGL2PSExporter_GetBestRoot, 1,
   (char*)"V.GetBestRoot() -> int\nC++: int GetBestRoot()\n\nTurn on/off the GL2PS_BEST_ROOT option.  When enabled the\nconstruction of the BSP tree is optimized by choosing the root\nprimitives leading to the minimum number of splits.  Defaults to\non.\n"},
  {(char*)"BestRootOn", PyvtkGL2PSExporter_BestRootOn, 1,
   (char*)"V.BestRootOn()\nC++: void BestRootOn()\n\nTurn on/off the GL2PS_BEST_ROOT option.  When enabled the\nconstruction of the BSP tree is optimized by choosing the root\nprimitives leading to the minimum number of splits.  Defaults to\non.\n"},
  {(char*)"BestRootOff", PyvtkGL2PSExporter_BestRootOff, 1,
   (char*)"V.BestRootOff()\nC++: void BestRootOff()\n\nTurn on/off the GL2PS_BEST_ROOT option.  When enabled the\nconstruction of the BSP tree is optimized by choosing the root\nprimitives leading to the minimum number of splits.  Defaults to\non.\n"},
  {(char*)"SetText", PyvtkGL2PSExporter_SetText, 1,
   (char*)"V.SetText(int)\nC++: void SetText(int a)\n\nTurn on/off drawing the text.  If on (default) the text is drawn.\nIf the FileFormat is set to TeX output then a LaTeX picture is\ngenerated with the text strings.  If off text output is\nsuppressed.\n"},
  {(char*)"GetText", PyvtkGL2PSExporter_GetText, 1,
   (char*)"V.GetText() -> int\nC++: int GetText()\n\nTurn on/off drawing the text.  If on (default) the text is drawn.\nIf the FileFormat is set to TeX output then a LaTeX picture is\ngenerated with the text strings.  If off text output is\nsuppressed.\n"},
  {(char*)"TextOn", PyvtkGL2PSExporter_TextOn, 1,
   (char*)"V.TextOn()\nC++: void TextOn()\n\nTurn on/off drawing the text.  If on (default) the text is drawn.\nIf the FileFormat is set to TeX output then a LaTeX picture is\ngenerated with the text strings.  If off text output is\nsuppressed.\n"},
  {(char*)"TextOff", PyvtkGL2PSExporter_TextOff, 1,
   (char*)"V.TextOff()\nC++: void TextOff()\n\nTurn on/off drawing the text.  If on (default) the text is drawn.\nIf the FileFormat is set to TeX output then a LaTeX picture is\ngenerated with the text strings.  If off text output is\nsuppressed.\n"},
  {(char*)"SetLandscape", PyvtkGL2PSExporter_SetLandscape, 1,
   (char*)"V.SetLandscape(int)\nC++: void SetLandscape(int a)\n\nTurn on/off landscape orientation.  If off (default) the\norientation is set to portrait.\n"},
  {(char*)"GetLandscape", PyvtkGL2PSExporter_GetLandscape, 1,
   (char*)"V.GetLandscape() -> int\nC++: int GetLandscape()\n\nTurn on/off landscape orientation.  If off (default) the\norientation is set to portrait.\n"},
  {(char*)"LandscapeOn", PyvtkGL2PSExporter_LandscapeOn, 1,
   (char*)"V.LandscapeOn()\nC++: void LandscapeOn()\n\nTurn on/off landscape orientation.  If off (default) the\norientation is set to portrait.\n"},
  {(char*)"LandscapeOff", PyvtkGL2PSExporter_LandscapeOff, 1,
   (char*)"V.LandscapeOff()\nC++: void LandscapeOff()\n\nTurn on/off landscape orientation.  If off (default) the\norientation is set to portrait.\n"},
  {(char*)"SetPS3Shading", PyvtkGL2PSExporter_SetPS3Shading, 1,
   (char*)"V.SetPS3Shading(int)\nC++: void SetPS3Shading(int a)\n\nTurn on/off the GL2PS_PS3_SHADING option.  When enabled the\nshfill PostScript level 3 operator is used.  Read the GL2PS\ndocumentation for more details.  Defaults to on.\n"},
  {(char*)"GetPS3Shading", PyvtkGL2PSExporter_GetPS3Shading, 1,
   (char*)"V.GetPS3Shading() -> int\nC++: int GetPS3Shading()\n\nTurn on/off the GL2PS_PS3_SHADING option.  When enabled the\nshfill PostScript level 3 operator is used.  Read the GL2PS\ndocumentation for more details.  Defaults to on.\n"},
  {(char*)"PS3ShadingOn", PyvtkGL2PSExporter_PS3ShadingOn, 1,
   (char*)"V.PS3ShadingOn()\nC++: void PS3ShadingOn()\n\nTurn on/off the GL2PS_PS3_SHADING option.  When enabled the\nshfill PostScript level 3 operator is used.  Read the GL2PS\ndocumentation for more details.  Defaults to on.\n"},
  {(char*)"PS3ShadingOff", PyvtkGL2PSExporter_PS3ShadingOff, 1,
   (char*)"V.PS3ShadingOff()\nC++: void PS3ShadingOff()\n\nTurn on/off the GL2PS_PS3_SHADING option.  When enabled the\nshfill PostScript level 3 operator is used.  Read the GL2PS\ndocumentation for more details.  Defaults to on.\n"},
  {(char*)"SetOcclusionCull", PyvtkGL2PSExporter_SetOcclusionCull, 1,
   (char*)"V.SetOcclusionCull(int)\nC++: void SetOcclusionCull(int a)\n\nTurn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\nWhen enabled hidden polygons are removed.  This reduces file size\nconsiderably.  Defaults to on.\n"},
  {(char*)"GetOcclusionCull", PyvtkGL2PSExporter_GetOcclusionCull, 1,
   (char*)"V.GetOcclusionCull() -> int\nC++: int GetOcclusionCull()\n\nTurn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\nWhen enabled hidden polygons are removed.  This reduces file size\nconsiderably.  Defaults to on.\n"},
  {(char*)"OcclusionCullOn", PyvtkGL2PSExporter_OcclusionCullOn, 1,
   (char*)"V.OcclusionCullOn()\nC++: void OcclusionCullOn()\n\nTurn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\nWhen enabled hidden polygons are removed.  This reduces file size\nconsiderably.  Defaults to on.\n"},
  {(char*)"OcclusionCullOff", PyvtkGL2PSExporter_OcclusionCullOff, 1,
   (char*)"V.OcclusionCullOff()\nC++: void OcclusionCullOff()\n\nTurn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\nWhen enabled hidden polygons are removed.  This reduces file size\nconsiderably.  Defaults to on.\n"},
  {(char*)"SetWrite3DPropsAsRasterImage", PyvtkGL2PSExporter_SetWrite3DPropsAsRasterImage, 1,
   (char*)"V.SetWrite3DPropsAsRasterImage(int)\nC++: void SetWrite3DPropsAsRasterImage(int a)\n\nTurn on/off writing 3D props as raster images.  2D props are\nrendered using vector graphics primitives.  If you have hi-res\nactors and are using transparency you probably need to turn this\non.  Defaults to Off.\n"},
  {(char*)"GetWrite3DPropsAsRasterImage", PyvtkGL2PSExporter_GetWrite3DPropsAsRasterImage, 1,
   (char*)"V.GetWrite3DPropsAsRasterImage() -> int\nC++: int GetWrite3DPropsAsRasterImage()\n\nTurn on/off writing 3D props as raster images.  2D props are\nrendered using vector graphics primitives.  If you have hi-res\nactors and are using transparency you probably need to turn this\non.  Defaults to Off.\n"},
  {(char*)"Write3DPropsAsRasterImageOn", PyvtkGL2PSExporter_Write3DPropsAsRasterImageOn, 1,
   (char*)"V.Write3DPropsAsRasterImageOn()\nC++: void Write3DPropsAsRasterImageOn()\n\nTurn on/off writing 3D props as raster images.  2D props are\nrendered using vector graphics primitives.  If you have hi-res\nactors and are using transparency you probably need to turn this\non.  Defaults to Off.\n"},
  {(char*)"Write3DPropsAsRasterImageOff", PyvtkGL2PSExporter_Write3DPropsAsRasterImageOff, 1,
   (char*)"V.Write3DPropsAsRasterImageOff()\nC++: void Write3DPropsAsRasterImageOff()\n\nTurn on/off writing 3D props as raster images.  2D props are\nrendered using vector graphics primitives.  If you have hi-res\nactors and are using transparency you probably need to turn this\non.  Defaults to Off.\n"},
  {(char*)"SetGlobalPointSizeFactor", PyvtkGL2PSExporter_SetGlobalPointSizeFactor, 1,
   (char*)"V.SetGlobalPointSizeFactor(float)\nC++: static void SetGlobalPointSizeFactor(float val)\n\nSet the ratio between the OpenGL PointSize and that used by GL2PS\nto generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {(char*)"GetGlobalPointSizeFactor", PyvtkGL2PSExporter_GetGlobalPointSizeFactor, 1,
   (char*)"V.GetGlobalPointSizeFactor() -> float\nC++: static float GetGlobalPointSizeFactor()\n\nSet the ratio between the OpenGL PointSize and that used by GL2PS\nto generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {(char*)"SetGlobalLineWidthFactor", PyvtkGL2PSExporter_SetGlobalLineWidthFactor, 1,
   (char*)"V.SetGlobalLineWidthFactor(float)\nC++: static void SetGlobalLineWidthFactor(float val)\n\nSet the ratio between the OpenGL LineWidth and that used by GL2PS\nto generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {(char*)"GetGlobalLineWidthFactor", PyvtkGL2PSExporter_GetGlobalLineWidthFactor, 1,
   (char*)"V.GetGlobalLineWidthFactor() -> float\nC++: static float GetGlobalLineWidthFactor()\n\nSet the ratio between the OpenGL LineWidth and that used by GL2PS\nto generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGL2PSExporter_StaticNew()
{
  return vtkGL2PSExporter::New();
}

PyObject *PyVTKClass_vtkGL2PSExporterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGL2PSExporter_StaticNew,
    PyvtkGL2PSExporter_Methods,
    "vtkGL2PSExporter", modulename,
    NULL, NULL,
    PyvtkGL2PSExporter_Doc(),
    PyVTKClass_vtkExporterNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"PS_FILE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"EPS_FILE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"PDF_FILE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"TEX_FILE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"SVG_FILE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"NO_SORT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"SIMPLE_SORT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"BSP_SORT", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkGL2PSExporter_Doc()
{
  static const char *docstring[] = {
    "vtkGL2PSExporter - export a scene as a PostScript file using GL2PS.\n\n",
    "Superclass: vtkExporter\n\n",
    "vtkGL2PSExporter is a concrete subclass of vtkExporter that writes\nhigh quality vector PostScript (PS/EPS), PDF or SVG files by using\nGL2PS.  GL2PS can be obtained at: http://www.geuz.org/gl2ps/.  This\ncan be very useful when one requires publication quality pictures.\nThis class works best with simple 3D scenes and most 2D plots. Please\nnote that GL2PS has its limitations since PostScript is not a",
    "n ideal\nlanguage to represent complex 3D scenes.  However, this class does\nallow one to write mixed vector/raster files by using the\nWrite3DPropsAsRasterImage ivar.  Please do read the caveats section\nof this documentation.\n\nBy default vtkGL2PSExporter generates Encapsulated PostScript (EPS)\noutput along with the text in portrait orientation with the\nbackground color of the window being drawn.  Th",
    "e generated output is\nalso compressed using zlib. The various other options are set to\nsensible defaults.\n\nThe output file format (FileFormat) can be either PostScript (PS),\nEncapsulated PostScript (EPS), PDF, SVG or TeX.  The file extension\nis generated automatically depending on the FileFormat.  The default\nis EPS.  When TeX output is chosen, only the text strings in the plot\nare generated and p",
    "ut into a picture environment.  One can turn on\nand off the text when generating PS/EPS/PDF/SVG files by using the\nText boolean variable.  By default the text is drawn. The background\ncolor of the renderwindow is drawn by default.  To make the\nbackground white instead use the DrawBackgroundOff function. \nLandscape figures can be generated by using the LandscapeOn function.\n Portrait orientation is",
    " used by default. Several of the GL2PS\noptions can be set.  The names of the ivars for these options are\nsimilar to the ones that GL2PS provides. Compress, SimpleLineOffset,\nSilent, BestRoot, PS3Shading and OcclusionCull are similar to the\noptions provided by GL2PS.  Please read the function documentation or\nthe GL2PS documentation for more details.  The ivar\nWrite3DPropsAsRasterImage allows one t",
    "o generate mixed vector/raster\nimages.  All the 3D props in the scene will be written as a raster\nimage and all 2D actors will be written as vector graphic primitives.\n This makes it possible to handle transparency and complex 3D scenes.\n This ivar is set to Off by default.  When drawing lines and points\nthe OpenGL point size and line width are multiplied by a factor in\norder to generate PostScrip",
    "t lines and points of the right size.  The\nGet/SetGlobalPointSizeFactor and Get/SetGlobalLineWidthFactor let one\ncustomize this ratio.  The default value is such that the PostScript\noutput looks close to what is seen on screen.\n\nTo use this class you need to turn on VTK_USE_GL2PS when configuring\nVTK.\n\nCaveats:\n\nBy default (with Write3DPropsAsRasterImage set to Off) exporting\ncomplex 3D scenes can",
    " take a long while and result in huge output\nfiles.  Generating correct vector graphics output for scenes with\ntransparency is almost impossible.  However, one can set\nWrite3DPropsAsRasterImageOn and generate mixed vector/raster files.\nThis should work fine with complex scenes along with transparent\nactors.\n\nSee Also:\n\nvtkExporter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGL2PSExporter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGL2PSExporterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGL2PSExporter", o) != 0)
    {
    Py_DECREF(o);
    }

}

