// tcl wrapper for vtkGenericOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericOpenGLRenderWindow.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGenericOpenGLRenderWindowNewCommand()
{
  vtkGenericOpenGLRenderWindow *temp = vtkGenericOpenGLRenderWindow::New();
  return static_cast<ClientData>(temp);
}

int vtkOpenGLRenderWindowCppCommand(vtkOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericOpenGLRenderWindowCppCommand(vtkGenericOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericOpenGLRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericOpenGLRenderWindowCppCommand(static_cast<vtkGenericOpenGLRenderWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericOpenGLRenderWindowCppCommand(vtkGenericOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericOpenGLRenderWindow",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkOpenGLRenderWindow"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericOpenGLRenderWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericOpenGLRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericOpenGLRenderWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericOpenGLRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericOpenGLRenderWindow  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericOpenGLRenderWindow");
    return TCL_OK;
    }
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
    {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Frame",argv[1]))&&(argc == 2))
    {
    op->Frame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MakeCurrent",argv[1]))&&(argc == 2))
    {
    op->MakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsCurrent",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsCurrent();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportsOpenGL",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->SupportsOpenGL();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsDirect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDirect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrontBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetFrontBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFrontLeftBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetFrontLeftBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFrontRightBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetFrontRightBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetBackBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackLeftBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetBackLeftBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackRightBuffer",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetBackRightBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PushState",argv[1]))&&(argc == 2))
    {
    op->PushState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PopState",argv[1]))&&(argc == 2))
    {
    op->PopState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParentInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParentInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HideCursor",argv[1]))&&(argc == 2))
    {
    op->HideCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCursor",argv[1]))&&(argc == 2))
    {
    op->ShowCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFullScreen",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFullScreen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WindowRemap",argv[1]))&&(argc == 2))
    {
    op->WindowRemap();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEventPending",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEventPending();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNextWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNextWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateAWindow",argv[1]))&&(argc == 2))
    {
    op->CreateAWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DestroyWindow",argv[1]))&&(argc == 2))
    {
    op->DestroyWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericOpenGLRenderWindowCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericOpenGLRenderWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\n",NULL);
    Tcl_AppendResult(interp,"  Frame\n",NULL);
    Tcl_AppendResult(interp,"  MakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  IsCurrent\n",NULL);
    Tcl_AppendResult(interp,"  SupportsOpenGL\n",NULL);
    Tcl_AppendResult(interp,"  IsDirect\n",NULL);
    Tcl_AppendResult(interp,"  SetFrontBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFrontLeftBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFrontRightBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBackBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBackLeftBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBackRightBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PushState\n",NULL);
    Tcl_AppendResult(interp,"  PopState\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParentInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  HideCursor\n",NULL);
    Tcl_AppendResult(interp,"  ShowCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetFullScreen\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WindowRemap\n",NULL);
    Tcl_AppendResult(interp,"  GetEventPending\n",NULL);
    Tcl_AppendResult(interp,"  SetNextWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateAWindow\n",NULL);
    Tcl_AppendResult(interp,"  DestroyWindow\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    Tcl_DStringAppendElement ( &dString, "SetFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetFrontLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetFrontRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetBackBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetBackLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetBackRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "PushState" );
    Tcl_DStringAppendElement ( &dString, "PopState" );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "CreateAWindow" );
    Tcl_DStringAppendElement ( &dString, "DestroyWindow" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericOpenGLRenderWindow *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Finalize */
    if ( strcmp ( argv[2], "Finalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Finalize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Finalize();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for Finalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Frame */
    if ( strcmp ( argv[2], "Frame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Frame */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Frame();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for Frame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeCurrent */
    if ( strcmp ( argv[2], "MakeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeCurrent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MakeCurrent();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for MakeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsCurrent */
    if ( strcmp ( argv[2], "IsCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsCurrent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool IsCurrent();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for IsCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SupportsOpenGL */
    if ( strcmp ( argv[2], "SupportsOpenGL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SupportsOpenGL */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int SupportsOpenGL();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SupportsOpenGL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsDirect */
    if ( strcmp ( argv[2], "IsDirect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDirect */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsDirect();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for IsDirect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrontBuffer */
    if ( strcmp ( argv[2], "SetFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrontLeftBuffer */
    if ( strcmp ( argv[2], "SetFrontLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontLeftBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontLeftBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFrontLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrontRightBuffer */
    if ( strcmp ( argv[2], "SetFrontRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontRightBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontRightBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFrontRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackBuffer */
    if ( strcmp ( argv[2], "SetBackBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetBackBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackLeftBuffer */
    if ( strcmp ( argv[2], "SetBackLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackLeftBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackLeftBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetBackLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackRightBuffer */
    if ( strcmp ( argv[2], "SetBackRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackRightBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackRightBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetBackRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PushState */
    if ( strcmp ( argv[2], "PushState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PushState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PushState */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PushState();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for PushState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PopState */
    if ( strcmp ( argv[2], "PopState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PopState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PopState */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PopState();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for PopState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowInfo */
    if ( strcmp ( argv[2], "SetWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowInfo(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParentInfo */
    if ( strcmp ( argv[2], "SetParentInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParentInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetParentInfo(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetParentInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Start();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideCursor */
    if ( strcmp ( argv[2], "HideCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideCursor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void HideCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for HideCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowCursor */
    if ( strcmp ( argv[2], "ShowCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowCursor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ShowCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for ShowCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFullScreen */
    if ( strcmp ( argv[2], "SetFullScreen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFullScreen */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFullScreen(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFullScreen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WindowRemap */
    if ( strcmp ( argv[2], "WindowRemap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WindowRemap */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void WindowRemap();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for WindowRemap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventPending */
    if ( strcmp ( argv[2], "GetEventPending" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventPending */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetEventPending();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetEventPending */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNextWindowInfo */
    if ( strcmp ( argv[2], "SetNextWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNextWindowInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNextWindowInfo(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetNextWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateAWindow */
    if ( strcmp ( argv[2], "CreateAWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateAWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateAWindow */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void CreateAWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for CreateAWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DestroyWindow */
    if ( strcmp ( argv[2], "DestroyWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DestroyWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DestroyWindow */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DestroyWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for DestroyWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
