// tcl wrapper for vtkGlyph3DMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlyph3DMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGlyph3DMapperNewCommand()
{
  vtkGlyph3DMapper *temp = vtkGlyph3DMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkMapperCppCommand(vtkMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGlyph3DMapperCppCommand(vtkGlyph3DMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGlyph3DMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGlyph3DMapperCppCommand(static_cast<vtkGlyph3DMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGlyph3DMapperCppCommand(vtkGlyph3DMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGlyph3DMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMapperCppCommand(static_cast<vtkMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGlyph3DMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyph3DMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGlyph3DMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyph3DMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGlyph3DMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyph3DMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetSource(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPolyData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSource(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaling",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ScalingOn",argv[1]))&&(argc == 2))
    {
    op->ScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOff",argv[1]))&&(argc == 2))
    {
    op->ScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScaling",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaleMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByMagnitude",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByMagnitude();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByVectorComponents",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByVectorComponents();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToNoDataScaling",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToNoDataScaling();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScaleModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScaleModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrient",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOrient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrient",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOrient();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OrientOn",argv[1]))&&(argc == 2))
    {
    op->OrientOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OrientOff",argv[1]))&&(argc == 2))
    {
    op->OrientOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationModeToDirection",argv[1]))&&(argc == 2))
    {
    op->SetOrientationModeToDirection();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationModeToRotation",argv[1]))&&(argc == 2))
    {
    op->SetOrientationModeToRotation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetOrientationModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetClamping",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetClamping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClamping",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetClamping();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOn",argv[1]))&&(argc == 2))
    {
    op->ClampingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOff",argv[1]))&&(argc == 2))
    {
    op->ClampingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSourceIndexing",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetSourceIndexing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceIndexing",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSourceIndexing();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SourceIndexingOn",argv[1]))&&(argc == 2))
    {
    op->SourceIndexingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SourceIndexingOff",argv[1]))&&(argc == 2))
    {
    op->SourceIndexingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseSelectionIds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseSelectionIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseSelectionIdsOn",argv[1]))&&(argc == 2))
    {
    op->UseSelectionIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseSelectionIdsOff",argv[1]))&&(argc == 2))
    {
    op->UseSelectionIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUseSelectionIds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseSelectionIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNestedDisplayLists",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetNestedDisplayLists(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNestedDisplayLists",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetNestedDisplayLists();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NestedDisplayListsOn",argv[1]))&&(argc == 2))
    {
    op->NestedDisplayListsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NestedDisplayListsOff",argv[1]))&&(argc == 2))
    {
    op->NestedDisplayListsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMasking",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetMasking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMasking",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetMasking();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MaskingOn",argv[1]))&&(argc == 2))
    {
    op->MaskingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaskingOff",argv[1]))&&(argc == 2))
    {
    op->MaskingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaskArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMaskArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaskArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaskArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrientationArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOrientationArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrientationArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientationArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaleArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScaleArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaleArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceIndexArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSourceIndexArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceIndexArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSourceIndexArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionIdArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSelectionIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionColorId",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetSelectionColorId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionColorId",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetSelectionColorId();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportsSelection",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSupportsSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGlyph3DMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGlyph3DMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetScaling\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByMagnitude\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByVectorComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToNoDataScaling\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetOrient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrient\n",NULL);
    Tcl_AppendResult(interp,"  OrientOn\n",NULL);
    Tcl_AppendResult(interp,"  OrientOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationMode\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationModeToDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationModeToRotation\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetClamping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClamping\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceIndexing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceIndexing\n",NULL);
    Tcl_AppendResult(interp,"  SourceIndexingOn\n",NULL);
    Tcl_AppendResult(interp,"  SourceIndexingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseSelectionIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseSelectionIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseSelectionIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUseSelectionIds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNestedDisplayLists\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNestedDisplayLists\n",NULL);
    Tcl_AppendResult(interp,"  NestedDisplayListsOn\n",NULL);
    Tcl_AppendResult(interp,"  NestedDisplayListsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMasking\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMasking\n",NULL);
    Tcl_AppendResult(interp,"  MaskingOn\n",NULL);
    Tcl_AppendResult(interp,"  MaskingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceIndexArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceIndexArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionColorId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionColorId\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportsSelection\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    Tcl_DStringAppendElement ( &dString, "SetScaleMode" );
    Tcl_DStringAppendElement ( &dString, "GetScaleMode" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByMagnitude" );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByVectorComponents" );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToNoDataScaling" );
    Tcl_DStringAppendElement ( &dString, "GetScaleModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "SetOrient" );
    Tcl_DStringAppendElement ( &dString, "GetOrient" );
    Tcl_DStringAppendElement ( &dString, "OrientOn" );
    Tcl_DStringAppendElement ( &dString, "OrientOff" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationMode" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMode" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationModeToDirection" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationModeToRotation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    Tcl_DStringAppendElement ( &dString, "SetSourceIndexing" );
    Tcl_DStringAppendElement ( &dString, "GetSourceIndexing" );
    Tcl_DStringAppendElement ( &dString, "SourceIndexingOn" );
    Tcl_DStringAppendElement ( &dString, "SourceIndexingOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseSelectionIds" );
    Tcl_DStringAppendElement ( &dString, "UseSelectionIdsOn" );
    Tcl_DStringAppendElement ( &dString, "UseSelectionIdsOff" );
    Tcl_DStringAppendElement ( &dString, "GetUseSelectionIds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetNestedDisplayLists" );
    Tcl_DStringAppendElement ( &dString, "GetNestedDisplayLists" );
    Tcl_DStringAppendElement ( &dString, "NestedDisplayListsOn" );
    Tcl_DStringAppendElement ( &dString, "NestedDisplayListsOff" );
    Tcl_DStringAppendElement ( &dString, "SetMasking" );
    Tcl_DStringAppendElement ( &dString, "GetMasking" );
    Tcl_DStringAppendElement ( &dString, "MaskingOn" );
    Tcl_DStringAppendElement ( &dString, "MaskingOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaskArray" );
    Tcl_DStringAppendElement ( &dString, "SetMaskArray" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationArray" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationArray" );
    Tcl_DStringAppendElement ( &dString, "SetScaleArray" );
    Tcl_DStringAppendElement ( &dString, "SetScaleArray" );
    Tcl_DStringAppendElement ( &dString, "SetSourceIndexArray" );
    Tcl_DStringAppendElement ( &dString, "SetSourceIndexArray" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionIdArray" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionIdArray" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionColorId" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionColorId" );
    Tcl_DStringAppendElement ( &dString, "SetSelectMode" );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGlyph3DMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify a source object at a specified table location. New style.\n Source connection is stored in port 1. This method is equivalent\n to SetInputConnection(1, id, outputPort).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(int idx, vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify a source object at a specified table location. New style.\n Source connection is stored in port 1. This method is equivalent\n to SetInputConnection(1, id, outputPort).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify a source object at a specified table location.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(int idx, vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Set the source to use for he glyph. Old style. See SetSourceConnection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Get a pointer to a source object at a specified table location.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetSource(int idx=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaling */
    if ( strcmp ( argv[2], "SetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry. When turned on, ScaleFactor\n controls the scale applied. To scale with some data array, ScaleMode should\n be set accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaling(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOn */
    if ( strcmp ( argv[2], "ScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry. When turned on, ScaleFactor\n controls the scale applied. To scale with some data array, ScaleMode should\n be set accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for ScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOff */
    if ( strcmp ( argv[2], "ScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry. When turned on, ScaleFactor\n controls the scale applied. To scale with some data array, ScaleMode should\n be set accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for ScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaling */
    if ( strcmp ( argv[2], "GetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of source geometry. When turned on, ScaleFactor\n controls the scale applied. To scale with some data array, ScaleMode should\n be set accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleMode */
    if ( strcmp ( argv[2], "SetScaleMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleMode */
    Tcl_DStringAppendElement ( &dString, " Either scale by individual components (SCALE_BY_COMPONENTS) or magnitude\n (SCALE_BY_MAGNITUDE) of the chosen array to SCALE with or disable scaling\n using data array all together (NO_DATA_SCALING). Default is\n NO_DATA_SCALING.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaleMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleMode */
    if ( strcmp ( argv[2], "GetScaleMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleMode */
    Tcl_DStringAppendElement ( &dString, " Either scale by individual components (SCALE_BY_COMPONENTS) or magnitude\n (SCALE_BY_MAGNITUDE) of the chosen array to SCALE with or disable scaling\n using data array all together (NO_DATA_SCALING). Default is\n NO_DATA_SCALING.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaleMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetScaleMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleFactor */
    if ( strcmp ( argv[2], "SetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Specify scale factor to scale object by. This is used only when Scaling is\n On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleFactor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleFactor */
    if ( strcmp ( argv[2], "GetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Specify scale factor to scale object by. This is used only when Scaling is\n On.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleModeToScaleByMagnitude */
    if ( strcmp ( argv[2], "SetScaleModeToScaleByMagnitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByMagnitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleModeToScaleByMagnitude */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleModeToScaleByMagnitude();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaleModeToScaleByMagnitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleModeToScaleByVectorComponents */
    if ( strcmp ( argv[2], "SetScaleModeToScaleByVectorComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToScaleByVectorComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleModeToScaleByVectorComponents */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleModeToScaleByVectorComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaleModeToScaleByVectorComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleModeToNoDataScaling */
    if ( strcmp ( argv[2], "SetScaleModeToNoDataScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleModeToNoDataScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleModeToNoDataScaling */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleModeToNoDataScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaleModeToNoDataScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleModeAsString */
    if ( strcmp ( argv[2], "GetScaleModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleModeAsString */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScaleModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetScaleModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Specify range to map scalar values into.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrient */
    if ( strcmp ( argv[2], "SetOrient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrient */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry.\n When turned on, the orientation array specified\n using SetOrientationArray() will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrient(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetOrient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrient */
    if ( strcmp ( argv[2], "GetOrient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrient */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry.\n When turned on, the orientation array specified\n using SetOrientationArray() will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOrient();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetOrient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientOn */
    if ( strcmp ( argv[2], "OrientOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry.\n When turned on, the orientation array specified\n using SetOrientationArray() will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for OrientOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientOff */
    if ( strcmp ( argv[2], "OrientOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off orienting of input geometry.\n When turned on, the orientation array specified\n using SetOrientationArray() will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for OrientOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationMode */
    if ( strcmp ( argv[2], "SetOrientationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationMode */
    Tcl_DStringAppendElement ( &dString, " Orientation mode indicates if the OrientationArray provides the direction\n vector for the orientation or the rotations around each axes. Default is\n DIRECTION\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetOrientationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationModeMinValue */
    if ( strcmp ( argv[2], "GetOrientationModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Orientation mode indicates if the OrientationArray provides the direction\n vector for the orientation or the rotations around each axes. Default is\n DIRECTION\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetOrientationModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationModeMaxValue */
    if ( strcmp ( argv[2], "GetOrientationModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Orientation mode indicates if the OrientationArray provides the direction\n vector for the orientation or the rotations around each axes. Default is\n DIRECTION\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetOrientationModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationMode */
    if ( strcmp ( argv[2], "GetOrientationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationMode */
    Tcl_DStringAppendElement ( &dString, " Orientation mode indicates if the OrientationArray provides the direction\n vector for the orientation or the rotations around each axes. Default is\n DIRECTION\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetOrientationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationModeToDirection */
    if ( strcmp ( argv[2], "SetOrientationModeToDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationModeToDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationModeToDirection */
    Tcl_DStringAppendElement ( &dString, " Orientation mode indicates if the OrientationArray provides the direction\n vector for the orientation or the rotations around each axes. Default is\n DIRECTION\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationModeToDirection();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetOrientationModeToDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationModeToRotation */
    if ( strcmp ( argv[2], "SetOrientationModeToRotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationModeToRotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationModeToRotation */
    Tcl_DStringAppendElement ( &dString, " Orientation mode indicates if the OrientationArray provides the direction\n vector for the orientation or the rotations around each axes. Default is\n DIRECTION\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationModeToRotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetOrientationModeToRotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationModeAsString */
    if ( strcmp ( argv[2], "GetOrientationModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationModeAsString */
    Tcl_DStringAppendElement ( &dString, " Orientation mode indicates if the OrientationArray provides the direction\n vector for the orientation or the rotations around each axes. Default is\n DIRECTION\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetOrientationModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetOrientationModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClamping */
    if ( strcmp ( argv[2], "SetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClamping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of data values to scale with to the specified range.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClamping(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClamping */
    if ( strcmp ( argv[2], "GetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClamping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of data values to scale with to the specified range.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetClamping();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOn */
    if ( strcmp ( argv[2], "ClampingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of data values to scale with to the specified range.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for ClampingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOff */
    if ( strcmp ( argv[2], "ClampingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off clamping of data values to scale with to the specified range.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for ClampingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceIndexing */
    if ( strcmp ( argv[2], "SetSourceIndexing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceIndexing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceIndexing */
    Tcl_DStringAppendElement ( &dString, " Enable/disable indexing into table of the glyph sources. When disabled,\n only the 1st source input will be used to generate the glyph. Otherwise the\n source index array will be used to select the glyph source. The source\n index array can be specified using SetSourceIndexArray().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceIndexing(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSourceIndexing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSourceIndexing */
    if ( strcmp ( argv[2], "GetSourceIndexing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSourceIndexing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSourceIndexing */
    Tcl_DStringAppendElement ( &dString, " Enable/disable indexing into table of the glyph sources. When disabled,\n only the 1st source input will be used to generate the glyph. Otherwise the\n source index array will be used to select the glyph source. The source\n index array can be specified using SetSourceIndexArray().\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetSourceIndexing();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetSourceIndexing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SourceIndexingOn */
    if ( strcmp ( argv[2], "SourceIndexingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SourceIndexingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SourceIndexingOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable indexing into table of the glyph sources. When disabled,\n only the 1st source input will be used to generate the glyph. Otherwise the\n source index array will be used to select the glyph source. The source\n index array can be specified using SetSourceIndexArray().\n" );
    Tcl_DStringAppendElement ( &dString, "void SourceIndexingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SourceIndexingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SourceIndexingOff */
    if ( strcmp ( argv[2], "SourceIndexingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SourceIndexingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SourceIndexingOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable indexing into table of the glyph sources. When disabled,\n only the 1st source input will be used to generate the glyph. Otherwise the\n source index array will be used to select the glyph source. The source\n index array can be specified using SetSourceIndexArray().\n" );
    Tcl_DStringAppendElement ( &dString, "void SourceIndexingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SourceIndexingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseSelectionIds */
    if ( strcmp ( argv[2], "SetUseSelectionIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseSelectionIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseSelectionIds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off custom selection ids. If enabled, the id values set with\n SetSelectionIdArray are returned from pick events.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseSelectionIds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetUseSelectionIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseSelectionIdsOn */
    if ( strcmp ( argv[2], "UseSelectionIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseSelectionIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseSelectionIdsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off custom selection ids. If enabled, the id values set with\n SetSelectionIdArray are returned from pick events.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseSelectionIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for UseSelectionIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseSelectionIdsOff */
    if ( strcmp ( argv[2], "UseSelectionIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseSelectionIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseSelectionIdsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off custom selection ids. If enabled, the id values set with\n SetSelectionIdArray are returned from pick events.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseSelectionIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for UseSelectionIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseSelectionIds */
    if ( strcmp ( argv[2], "GetUseSelectionIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseSelectionIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseSelectionIds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off custom selection ids. If enabled, the id values set with\n SetSelectionIdArray are returned from pick events.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseSelectionIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetUseSelectionIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Same as superclass. Appear again to stop warnings about hidden method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " All the work is done is derived classes. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *ren, vtkActor *act);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNestedDisplayLists */
    if ( strcmp ( argv[2], "SetNestedDisplayLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNestedDisplayLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNestedDisplayLists */
    Tcl_DStringAppendElement ( &dString, " If immediate mode is off, if NestedDisplayLists is false,\n only the mappers of each glyph use display lists. If true,\n in addition, matrices transforms and color per glyph are also\n in a parent display list.\n Not relevant if immediate mode is on.\n For debugging/profiling purpose. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNestedDisplayLists(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetNestedDisplayLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNestedDisplayLists */
    if ( strcmp ( argv[2], "GetNestedDisplayLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNestedDisplayLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNestedDisplayLists */
    Tcl_DStringAppendElement ( &dString, " If immediate mode is off, if NestedDisplayLists is false,\n only the mappers of each glyph use display lists. If true,\n in addition, matrices transforms and color per glyph are also\n in a parent display list.\n Not relevant if immediate mode is on.\n For debugging/profiling purpose. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetNestedDisplayLists();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetNestedDisplayLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NestedDisplayListsOn */
    if ( strcmp ( argv[2], "NestedDisplayListsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NestedDisplayListsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NestedDisplayListsOn */
    Tcl_DStringAppendElement ( &dString, " If immediate mode is off, if NestedDisplayLists is false,\n only the mappers of each glyph use display lists. If true,\n in addition, matrices transforms and color per glyph are also\n in a parent display list.\n Not relevant if immediate mode is on.\n For debugging/profiling purpose. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void NestedDisplayListsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for NestedDisplayListsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NestedDisplayListsOff */
    if ( strcmp ( argv[2], "NestedDisplayListsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NestedDisplayListsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NestedDisplayListsOff */
    Tcl_DStringAppendElement ( &dString, " If immediate mode is off, if NestedDisplayLists is false,\n only the mappers of each glyph use display lists. If true,\n in addition, matrices transforms and color per glyph are also\n in a parent display list.\n Not relevant if immediate mode is on.\n For debugging/profiling purpose. Initial value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void NestedDisplayListsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for NestedDisplayListsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMasking */
    if ( strcmp ( argv[2], "SetMasking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMasking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMasking */
    Tcl_DStringAppendElement ( &dString, " Tells the mapper to skip glyphing input points that haves false values\n in the mask array. If there is no mask array (id access mode is set\n and there is no such id, or array name access mode is set and\n the there is no such name), masking is silently ignored.\n A mask array is a vtkBitArray with only one component.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMasking(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetMasking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMasking */
    if ( strcmp ( argv[2], "GetMasking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMasking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMasking */
    Tcl_DStringAppendElement ( &dString, " Tells the mapper to skip glyphing input points that haves false values\n in the mask array. If there is no mask array (id access mode is set\n and there is no such id, or array name access mode is set and\n the there is no such name), masking is silently ignored.\n A mask array is a vtkBitArray with only one component.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetMasking();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetMasking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaskingOn */
    if ( strcmp ( argv[2], "MaskingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaskingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaskingOn */
    Tcl_DStringAppendElement ( &dString, " Tells the mapper to skip glyphing input points that haves false values\n in the mask array. If there is no mask array (id access mode is set\n and there is no such id, or array name access mode is set and\n the there is no such name), masking is silently ignored.\n A mask array is a vtkBitArray with only one component.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaskingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for MaskingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaskingOff */
    if ( strcmp ( argv[2], "MaskingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaskingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaskingOff */
    Tcl_DStringAppendElement ( &dString, " Tells the mapper to skip glyphing input points that haves false values\n in the mask array. If there is no mask array (id access mode is set\n and there is no such id, or array name access mode is set and\n the there is no such name), masking is silently ignored.\n A mask array is a vtkBitArray with only one component.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaskingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for MaskingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskArray */
    if ( strcmp ( argv[2], "SetMaskArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskArray */
    Tcl_DStringAppendElement ( &dString, " Set the name of the point array to use as a mask for generating the glyphs.\n This is a convenience method. The same effect can be achieved by using\n SetInputArrayToProcess(vtkGlyph3DMapper::MASK, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, maskarrayname)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskArray(const char *maskarrayname);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetMaskArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskArray */
    if ( strcmp ( argv[2], "SetMaskArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskArray */
    Tcl_DStringAppendElement ( &dString, " Set the point attribute to use as a mask for generating the glyphs.\n \\c fieldAttributeType is one of the following:\n \\li vtkDataSetAttributes::SCALARS\n \\li vtkDataSetAttributes::VECTORS\n \\li vtkDataSetAttributes::NORMALS\n \\li vtkDataSetAttributes::TCOORDS\n \\li vtkDataSetAttributes::TENSORS\n This is a convenience method. The same effect can be achieved by using\n SetInputArrayToProcess(vtkGlyph3DMapper::MASK, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, f ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskArray(int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetMaskArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationArray */
    if ( strcmp ( argv[2], "SetOrientationArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationArray */
    Tcl_DStringAppendElement ( &dString, " Tells the mapper to use an orientation array if Orient is true.\n An orientation array is a vtkDataArray with 3 components. The first\n component is the angle of rotation along the X axis. The second\n component is the angle of rotation along the Y axis. The third\n component is the angle of rotation along the Z axis. Orientation is\n specified in X,Y,Z order but the rotations are performed in Z,X an Y.\n This definition is compliant with SetOrientation method on vtkProp3D. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationArray(const char *orientationarrayname);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetOrientationArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationArray */
    if ( strcmp ( argv[2], "SetOrientationArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationArray */
    Tcl_DStringAppendElement ( &dString, " Tells the mapper to use an orientation array if Orient is true.\n An orientation array is a vtkDataArray with 3 components. The first\n component is the angle of rotation along the X axis. The second\n component is the angle of rotation along the Y axis. The third\n component is the angle of rotation along the Z axis. Orientation is\n specified in X,Y,Z order but the rotations are performed in Z,X an Y.\n This definition is compliant with SetOrientation method on vtkProp3D. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationArray(int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetOrientationArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleArray */
    if ( strcmp ( argv[2], "SetScaleArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array to scale with. This is same as calling\n SetInputArrayToProcess(vtkGlyph3DMapper::SCALE, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, scalarsarrayname).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleArray(const char *scalarsarrayname);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaleArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleArray */
    if ( strcmp ( argv[2], "SetScaleArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array to scale with. This is same as calling\n SetInputArrayToProcess(vtkGlyph3DMapper::SCALE, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, fieldAttributeType).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleArray(int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetScaleArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceIndexArray */
    if ( strcmp ( argv[2], "SetSourceIndexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceIndexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceIndexArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array to use as index within the sources.\n This is same as calling\n SetInputArrayToProcess(vtkGlyph3DMapper::SOURCE_INDEX, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, arrayname).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceIndexArray(const char *arrayname);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSourceIndexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceIndexArray */
    if ( strcmp ( argv[2], "SetSourceIndexArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceIndexArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceIndexArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array to use as index within the sources.\n This is same as calling\n SetInputArrayToProcess(vtkGlyph3DMapper::SOURCE_INDEX, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, fieldAttributeType).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceIndexArray(int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSourceIndexArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionIdArray */
    if ( strcmp ( argv[2], "SetSelectionIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionIdArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array used for selection IDs. This is same\n as calling\n SetInputArrayToProcess(vtkGlyph3DMapper::SELECTIONID, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, selectionidarrayname).\n\n If no selection id array is specified, the index of the glyph point is\n used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionIdArray(const char *selectionIdArrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSelectionIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionIdArray */
    if ( strcmp ( argv[2], "SetSelectionIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionIdArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array used for selection IDs. This is same\n as calling\n SetInputArrayToProcess(vtkGlyph3DMapper::SELECTIONID, 0, 0,\n    vtkDataObject::FIELD_ASSOCIATION_POINTS, fieldAttributeType).\n\n If no selection id array is specified, the index of the glyph point is\n used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionIdArray(int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSelectionIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionColorId */
    if ( strcmp ( argv[2], "SetSelectionColorId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionColorId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionColorId */
    Tcl_DStringAppendElement ( &dString, " For selection by color id mode (not for end-user, called by\n vtkGlyphSelectionRenderMode). 0 is reserved for miss. it has to\n start at 1. Initial value is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionColorId(unsigned int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSelectionColorId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionColorId */
    if ( strcmp ( argv[2], "GetSelectionColorId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionColorId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionColorId */
    Tcl_DStringAppendElement ( &dString, " For selection by color id mode (not for end-user, called by\n vtkGlyphSelectionRenderMode). 0 is reserved for miss. it has to\n start at 1. Initial value is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetSelectionColorId();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetSelectionColorId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectMode */
    if ( strcmp ( argv[2], "SetSelectMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectMode */
    Tcl_DStringAppendElement ( &dString, " Called by vtkGlyphSelectionRenderMode.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for SetSelectMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSupportsSelection */
    if ( strcmp ( argv[2], "GetSupportsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSupportsSelection */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Used by vtkHardwareSelector to determine if the prop supports hardware\n selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetSupportsSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyph3DMapper" );
    /* Closing for GetSupportsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMapperCppCommand(static_cast<vtkMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
