// tcl wrapper for vtkHardwareSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHardwareSelector.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkHardwareSelectorNewCommand()
{
  vtkHardwareSelector *temp = vtkHardwareSelector::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHardwareSelectorCppCommand(vtkHardwareSelector *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkHardwareSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkHardwareSelectorCppCommand(static_cast<vtkHardwareSelector *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHardwareSelectorCppCommand(vtkHardwareSelector *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkHardwareSelector",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkHardwareSelector  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHardwareSelector");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkHardwareSelector  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHardwareSelector");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkHardwareSelector  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHardwareSelector");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetArea",argv[1]))&&(argc == 6))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    unsigned int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetArea(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArea",argv[1]))&&(argc == 2))
    {
    unsigned int     *temp20;
    temp20 = (op)->GetArea();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u %u %u ",temp20[0],temp20[1],temp20[2],temp20[3]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFieldAssociation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFieldAssociation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldAssociation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldAssociation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 2))
    {
    vtkSelection  *temp20;
    temp20 = (op)->Select();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
  if ((!strcmp("CaptureBuffers",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->CaptureBuffers();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClearBuffers",argv[1]))&&(argc == 2))
    {
    op->ClearBuffers();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderCompositeIndex",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->RenderCompositeIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderAttributeId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RenderAttributeId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BeginRenderProp",argv[1]))&&(argc == 2))
    {
    op->BeginRenderProp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndRenderProp",argv[1]))&&(argc == 2))
    {
    op->EndRenderProp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProcessID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProcessID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentPass",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentPass();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateSelection",argv[1]))&&(argc == 2))
    {
    vtkSelection  *temp20;
    temp20 = (op)->GenerateSelection();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
  if ((!strcmp("GenerateSelection",argv[1]))&&(argc == 6))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    unsigned int      temp3;
    vtkSelection  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GenerateSelection(temp0,temp1,temp2,temp3);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPropFromID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkProp  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPropFromID(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkHardwareSelectorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHardwareSelector:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer\n",NULL);
    Tcl_AppendResult(interp,"  SetArea\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetArea\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldAssociation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldAssociation\n",NULL);
    Tcl_AppendResult(interp,"  Select\n",NULL);
    Tcl_AppendResult(interp,"  CaptureBuffers\n",NULL);
    Tcl_AppendResult(interp,"  ClearBuffers\n",NULL);
    Tcl_AppendResult(interp,"  RenderCompositeIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderAttributeId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BeginRenderProp\n",NULL);
    Tcl_AppendResult(interp,"  EndRenderProp\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessID\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentPass\n",NULL);
    Tcl_AppendResult(interp,"  GenerateSelection\n",NULL);
    Tcl_AppendResult(interp,"  GenerateSelection\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPropFromID\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetArea" );
    Tcl_DStringAppendElement ( &dString, "GetArea" );
    Tcl_DStringAppendElement ( &dString, "SetFieldAssociation" );
    Tcl_DStringAppendElement ( &dString, "GetFieldAssociation" );
    Tcl_DStringAppendElement ( &dString, "Select" );
    Tcl_DStringAppendElement ( &dString, "CaptureBuffers" );
    Tcl_DStringAppendElement ( &dString, "ClearBuffers" );
    Tcl_DStringAppendElement ( &dString, "RenderCompositeIndex" );
    Tcl_DStringAppendElement ( &dString, "RenderAttributeId" );
    Tcl_DStringAppendElement ( &dString, "BeginRenderProp" );
    Tcl_DStringAppendElement ( &dString, "EndRenderProp" );
    Tcl_DStringAppendElement ( &dString, "SetProcessID" );
    Tcl_DStringAppendElement ( &dString, "GetProcessID" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentPass" );
    Tcl_DStringAppendElement ( &dString, "GenerateSelection" );
    Tcl_DStringAppendElement ( &dString, "GenerateSelection" );
    Tcl_DStringAppendElement ( &dString, "GetPropFromID" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHardwareSelector *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " Get/Set the renderer to perform the selection on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderer */
    if ( strcmp ( argv[2], "GetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderer */
    Tcl_DStringAppendElement ( &dString, " Get/Set the renderer to perform the selection on.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *GetRenderer();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArea */
    if ( strcmp ( argv[2], "SetArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArea */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetArea(unsigned int, unsigned int, unsigned int, unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for SetArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArea */
    if ( strcmp ( argv[2], "GetArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArea */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned int *GetArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GetArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldAssociation */
    if ( strcmp ( argv[2], "SetFieldAssociation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldAssociation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldAssociation */
    Tcl_DStringAppendElement ( &dString, " Set the field type to select. Valid values are \n \\li vtkDataObject::FIELD_ASSOCIATION_POINTS\n \\li vtkDataObject::FIELD_ASSOCIATION_CELLS\n \\li vtkDataObject::FIELD_ASSOCIATION_VERTICES\n \\li vtkDataObject::FIELD_ASSOCIATION_EDGES\n \\li vtkDataObject::FIELD_ASSOCIATION_ROWS\n Currently only FIELD_ASSOCIATION_POINTS and FIELD_ASSOCIATION_CELLS are\n supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldAssociation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for SetFieldAssociation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldAssociation */
    if ( strcmp ( argv[2], "GetFieldAssociation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldAssociation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldAssociation */
    Tcl_DStringAppendElement ( &dString, " Set the field type to select. Valid values are \n \\li vtkDataObject::FIELD_ASSOCIATION_POINTS\n \\li vtkDataObject::FIELD_ASSOCIATION_CELLS\n \\li vtkDataObject::FIELD_ASSOCIATION_VERTICES\n \\li vtkDataObject::FIELD_ASSOCIATION_EDGES\n \\li vtkDataObject::FIELD_ASSOCIATION_ROWS\n Currently only FIELD_ASSOCIATION_POINTS and FIELD_ASSOCIATION_CELLS are\n supported.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldAssociation();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GetFieldAssociation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Select */
    if ( strcmp ( argv[2], "Select" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Select" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Select */
    Tcl_DStringAppendElement ( &dString, " Perform the selection. Returns  a new instance of vtkSelection containing\n the selection on success.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection *Select();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for Select */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CaptureBuffers */
    if ( strcmp ( argv[2], "CaptureBuffers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CaptureBuffers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CaptureBuffers */
    Tcl_DStringAppendElement ( &dString, " It is possible to use the vtkHardwareSelector for a custom picking. (Look\n at vtkScenePicker). In that case instead of Select() on can use\n CaptureBuffers() to render the selection buffers and then get information\n about pixel locations suing GetPixelInformation(). Use ClearBuffers() to\n clear buffers after one's done with the scene.\n The optional final parameter maxDist will look for a cell within the specified\n number of pixels from display_position.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool CaptureBuffers();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for CaptureBuffers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearBuffers */
    if ( strcmp ( argv[2], "ClearBuffers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearBuffers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearBuffers */
    Tcl_DStringAppendElement ( &dString, " It is possible to use the vtkHardwareSelector for a custom picking. (Look\n at vtkScenePicker). In that case instead of Select() on can use\n CaptureBuffers() to render the selection buffers and then get information\n about pixel locations suing GetPixelInformation(). Use ClearBuffers() to\n clear buffers after one's done with the scene.\n The optional final parameter maxDist will look for a cell within the specified\n number of pixels from display_position.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearBuffers();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for ClearBuffers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderCompositeIndex */
    if ( strcmp ( argv[2], "RenderCompositeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderCompositeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderCompositeIndex */
    Tcl_DStringAppendElement ( &dString, " Called by any vtkMapper or vtkProp subclass to render a composite-index.\n Currently indices > 0xffffff are not supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderCompositeIndex(unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for RenderCompositeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderAttributeId */
    if ( strcmp ( argv[2], "RenderAttributeId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderAttributeId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderAttributeId */
    Tcl_DStringAppendElement ( &dString, " Called by any vtkMapper or vtkProp subclass to render an attribute's id.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderAttributeId(vtkIdType attribid);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for RenderAttributeId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BeginRenderProp */
    if ( strcmp ( argv[2], "BeginRenderProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BeginRenderProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BeginRenderProp */
    Tcl_DStringAppendElement ( &dString, " Called by the mapper (vtkHardwareSelectionPolyDataPainter) before and after\n rendering each prop.\n" );
    Tcl_DStringAppendElement ( &dString, "void BeginRenderProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for BeginRenderProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndRenderProp */
    if ( strcmp ( argv[2], "EndRenderProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndRenderProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndRenderProp */
    Tcl_DStringAppendElement ( &dString, " Called by the mapper (vtkHardwareSelectionPolyDataPainter) before and after\n rendering each prop.\n" );
    Tcl_DStringAppendElement ( &dString, "void EndRenderProp();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for EndRenderProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProcessID */
    if ( strcmp ( argv[2], "SetProcessID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessID */
    Tcl_DStringAppendElement ( &dString, " Get/Set the process id. If process id < 0 (default -1), then the\n PROCESS_PASS is not rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProcessID(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for SetProcessID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessID */
    if ( strcmp ( argv[2], "GetProcessID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessID */
    Tcl_DStringAppendElement ( &dString, " Get/Set the process id. If process id < 0 (default -1), then the\n PROCESS_PASS is not rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessID();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GetProcessID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentPass */
    if ( strcmp ( argv[2], "GetCurrentPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentPass */
    Tcl_DStringAppendElement ( &dString, " Get the current pass number.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentPass();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GetCurrentPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateSelection */
    if ( strcmp ( argv[2], "GenerateSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateSelection */
    Tcl_DStringAppendElement ( &dString, " Generates the vtkSelection from pixel buffers.\n Requires that CaptureBuffers() has already been called.\n Optionally you may pass a screen region (xmin, ymin, xmax, ymax)\n to generate a selection from. The region must be a subregion\n of the region specified by SetArea(), otherwise it will be\n clipped to that region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSelection *GenerateSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GenerateSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateSelection */
    if ( strcmp ( argv[2], "GenerateSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateSelection */
    Tcl_DStringAppendElement ( &dString, " Generates the vtkSelection from pixel buffers.\n Requires that CaptureBuffers() has already been called.\n Optionally you may pass a screen region (xmin, ymin, xmax, ymax)\n to generate a selection from. The region must be a subregion\n of the region specified by SetArea(), otherwise it will be\n clipped to that region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSelection *GenerateSelection(unsigned int x1, unsigned int y1, unsigned int x2, unsigned int y2);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GenerateSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPropFromID */
    if ( strcmp ( argv[2], "GetPropFromID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPropFromID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPropFromID */
    Tcl_DStringAppendElement ( &dString, " returns the prop associated with a ID. This is valid only until\n ReleasePixBuffers() gets called.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProp *GetPropFromID(int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector" );
    /* Closing for GetPropFromID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
