// tcl wrapper for vtkImageMapper3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMapper3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkAbstractMapper3DCppCommand(vtkAbstractMapper3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMapper3DCppCommand(vtkImageMapper3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMapper3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMapper3DCppCommand(static_cast<vtkImageMapper3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMapper3DCppCommand(vtkImageMapper3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMapper3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractMapper3DCppCommand(static_cast<vtkAbstractMapper3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractMapper3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMapper3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapper3D");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkImageSlice  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkImageSlice *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkImageSlice"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("GetDataSetInput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetDataObjectInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SetBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BorderOn",argv[1]))&&(argc == 2))
    {
    op->BorderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BorderOff",argv[1]))&&(argc == 2))
    {
    op->BorderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBorder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackground",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BackgroundOn",argv[1]))&&(argc == 2))
    {
    op->BackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BackgroundOff",argv[1]))&&(argc == 2))
    {
    op->BackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBackground",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceAtFocalPoint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliceAtFocalPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SliceAtFocalPointOn",argv[1]))&&(argc == 2))
    {
    op->SliceAtFocalPointOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SliceAtFocalPointOff",argv[1]))&&(argc == 2))
    {
    op->SliceAtFocalPointOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSliceAtFocalPoint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceAtFocalPoint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceFacesCamera",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliceFacesCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SliceFacesCameraOn",argv[1]))&&(argc == 2))
    {
    op->SliceFacesCameraOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SliceFacesCameraOff",argv[1]))&&(argc == 2))
    {
    op->SliceFacesCameraOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSliceFacesCamera",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceFacesCamera();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSlicePlane",argv[1]))&&(argc == 2))
    {
    vtkPlane  *temp20;
    temp20 = (op)->GetSlicePlane();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlane");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreadsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreadsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfThreadsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreadsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageMapper3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMapper3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectInput\n",NULL);
    Tcl_AppendResult(interp,"  SetBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BorderOn\n",NULL);
    Tcl_AppendResult(interp,"  BorderOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBorder\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BackgroundOn\n",NULL);
    Tcl_AppendResult(interp,"  BackgroundOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBackground\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceAtFocalPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SliceAtFocalPointOn\n",NULL);
    Tcl_AppendResult(interp,"  SliceAtFocalPointOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceAtFocalPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceFacesCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SliceFacesCameraOn\n",NULL);
    Tcl_AppendResult(interp,"  SliceFacesCameraOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceFacesCamera\n",NULL);
    Tcl_AppendResult(interp,"  GetSlicePlane\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreadsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreadsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetDataSetInput" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectInput" );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    Tcl_DStringAppendElement ( &dString, "BackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "BackgroundOff" );
    Tcl_DStringAppendElement ( &dString, "GetBackground" );
    Tcl_DStringAppendElement ( &dString, "SetSliceAtFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SliceAtFocalPointOn" );
    Tcl_DStringAppendElement ( &dString, "SliceAtFocalPointOff" );
    Tcl_DStringAppendElement ( &dString, "GetSliceAtFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetSliceFacesCamera" );
    Tcl_DStringAppendElement ( &dString, "SliceFacesCameraOn" );
    Tcl_DStringAppendElement ( &dString, "SliceFacesCameraOff" );
    Tcl_DStringAppendElement ( &dString, "GetSliceFacesCamera" );
    Tcl_DStringAppendElement ( &dString, "GetSlicePlane" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This should only be called by the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *renderer, vtkImageSlice *prop) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by\n this mapper.  The parameter window is used to determine\n which graphic resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " The input data for this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput(vtkImageData *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " The input data for this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSetInput */
    if ( strcmp ( argv[2], "GetDataSetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSetInput */
    Tcl_DStringAppendElement ( &dString, " The input data for this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetDataSetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetDataSetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectInput */
    if ( strcmp ( argv[2], "GetDataObjectInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectInput */
    Tcl_DStringAppendElement ( &dString, " The input data for this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetDataObjectInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetDataObjectInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorder */
    if ( strcmp ( argv[2], "SetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorder */
    Tcl_DStringAppendElement ( &dString, " Instead of displaying the image only out to the image\n bounds, include a half-voxel border around the image.\n Within this border, the image values will be extrapolated\n rather than interpolated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorder(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOn */
    if ( strcmp ( argv[2], "BorderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOn */
    Tcl_DStringAppendElement ( &dString, " Instead of displaying the image only out to the image\n bounds, include a half-voxel border around the image.\n Within this border, the image values will be extrapolated\n rather than interpolated.\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for BorderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOff */
    if ( strcmp ( argv[2], "BorderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOff */
    Tcl_DStringAppendElement ( &dString, " Instead of displaying the image only out to the image\n bounds, include a half-voxel border around the image.\n Within this border, the image values will be extrapolated\n rather than interpolated.\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for BorderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorder */
    if ( strcmp ( argv[2], "GetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorder */
    Tcl_DStringAppendElement ( &dString, " Instead of displaying the image only out to the image\n bounds, include a half-voxel border around the image.\n Within this border, the image values will be extrapolated\n rather than interpolated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackground */
    if ( strcmp ( argv[2], "SetBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackground */
    Tcl_DStringAppendElement ( &dString, " Instead of rendering only to the image border, render out\n to the viewport boundary with the background color.  The\n background color will be the lowest color on the lookup\n table that is being used for the image.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackground(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SetBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackgroundOn */
    if ( strcmp ( argv[2], "BackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackgroundOn */
    Tcl_DStringAppendElement ( &dString, " Instead of rendering only to the image border, render out\n to the viewport boundary with the background color.  The\n background color will be the lowest color on the lookup\n table that is being used for the image.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackgroundOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for BackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackgroundOff */
    if ( strcmp ( argv[2], "BackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackgroundOff */
    Tcl_DStringAppendElement ( &dString, " Instead of rendering only to the image border, render out\n to the viewport boundary with the background color.  The\n background color will be the lowest color on the lookup\n table that is being used for the image.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackgroundOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for BackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackground */
    if ( strcmp ( argv[2], "GetBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackground */
    Tcl_DStringAppendElement ( &dString, " Instead of rendering only to the image border, render out\n to the viewport boundary with the background color.  The\n background color will be the lowest color on the lookup\n table that is being used for the image.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBackground();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceAtFocalPoint */
    if ( strcmp ( argv[2], "SetSliceAtFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceAtFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceAtFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice position to the camera focal point.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceAtFocalPoint(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SetSliceAtFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SliceAtFocalPointOn */
    if ( strcmp ( argv[2], "SliceAtFocalPointOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SliceAtFocalPointOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SliceAtFocalPointOn */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice position to the camera focal point.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void SliceAtFocalPointOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SliceAtFocalPointOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SliceAtFocalPointOff */
    if ( strcmp ( argv[2], "SliceAtFocalPointOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SliceAtFocalPointOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SliceAtFocalPointOff */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice position to the camera focal point.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void SliceAtFocalPointOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SliceAtFocalPointOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceAtFocalPoint */
    if ( strcmp ( argv[2], "GetSliceAtFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceAtFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceAtFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice position to the camera focal point.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceAtFocalPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetSliceAtFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceFacesCamera */
    if ( strcmp ( argv[2], "SetSliceFacesCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceFacesCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceFacesCamera */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice orientation so that it faces the camera.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceFacesCamera(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SetSliceFacesCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SliceFacesCameraOn */
    if ( strcmp ( argv[2], "SliceFacesCameraOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SliceFacesCameraOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SliceFacesCameraOn */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice orientation so that it faces the camera.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void SliceFacesCameraOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SliceFacesCameraOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SliceFacesCameraOff */
    if ( strcmp ( argv[2], "SliceFacesCameraOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SliceFacesCameraOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SliceFacesCameraOff */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice orientation so that it faces the camera.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void SliceFacesCameraOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SliceFacesCameraOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceFacesCamera */
    if ( strcmp ( argv[2], "GetSliceFacesCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceFacesCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceFacesCamera */
    Tcl_DStringAppendElement ( &dString, " Automatically set the slice orientation so that it faces the camera.\n This provides a convenient way to interact with the image, since\n most Interactors directly control the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceFacesCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetSliceFacesCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlicePlane */
    if ( strcmp ( argv[2], "GetSlicePlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlicePlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlicePlane */
    Tcl_DStringAppendElement ( &dString, " A plane that describes what slice of the input is being\n rendered by the mapper.  This plane is in world coordinates,\n not data coordinates.  Before using this plane, call Update\n or UpdateInformation to make sure the plane is up-to-date.\n These methods are automatically called by Render.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlane *GetSlicePlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetSlicePlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfThreads */
    if ( strcmp ( argv[2], "SetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " The number of threads to create when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfThreads(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for SetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreadsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfThreadsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreadsMinValue */
    Tcl_DStringAppendElement ( &dString, " The number of threads to create when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreadsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetNumberOfThreadsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreadsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfThreadsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreadsMaxValue */
    Tcl_DStringAppendElement ( &dString, " The number of threads to create when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreadsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetNumberOfThreadsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreads */
    if ( strcmp ( argv[2], "GetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " The number of threads to create when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreads();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    /* Closing for GetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractMapper3DCppCommand(static_cast<vtkAbstractMapper3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
