// tcl wrapper for vtkImageMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageMapperNewCommand()
{
  vtkImageMapper *temp = vtkImageMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkMapper2DCppCommand(vtkMapper2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMapperCppCommand(vtkImageMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMapperCppCommand(static_cast<vtkImageMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMapperCppCommand(vtkImageMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMapper2DCppCommand(static_cast<vtkMapper2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMapper2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorWindow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorLevel",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZSlice",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZSlice();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWholeZMin",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeZMin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWholeZMax",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeZMax();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderStart",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkActor2D  *temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->RenderStart(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderData",argv[1]))&&(argc == 5))
    {
    vtkViewport  *temp0;
    vtkImageData  *temp1;
    vtkActor2D  *temp2;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkImageData"),interp,error));
    temp2 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->RenderData(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorShift",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorShift();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderToRectangle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderToRectangle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderToRectangle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderToRectangle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderToRectangleOn",argv[1]))&&(argc == 2))
    {
    op->RenderToRectangleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderToRectangleOff",argv[1]))&&(argc == 2))
    {
    op->RenderToRectangleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseCustomExtents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseCustomExtents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseCustomExtents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseCustomExtents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseCustomExtentsOn",argv[1]))&&(argc == 2))
    {
    op->UseCustomExtentsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseCustomExtentsOff",argv[1]))&&(argc == 2))
    {
    op->UseCustomExtentsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCustomDisplayExtents",argv[1]))&&(argc == 6))
    {
    int    temp0[4];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (!error)
    {
    op->SetCustomDisplayExtents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCustomDisplayExtents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetCustomDisplayExtents();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMapper2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetColorLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetZSlice\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZSlice\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeZMin\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeZMax\n",NULL);
    Tcl_AppendResult(interp,"  RenderStart\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderData\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColorShift\n",NULL);
    Tcl_AppendResult(interp,"  GetColorScale\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderToRectangle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderToRectangle\n",NULL);
    Tcl_AppendResult(interp,"  RenderToRectangleOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderToRectangleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseCustomExtents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseCustomExtents\n",NULL);
    Tcl_AppendResult(interp,"  UseCustomExtentsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseCustomExtentsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCustomDisplayExtents\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCustomDisplayExtents\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMapper2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    Tcl_DStringAppendElement ( &dString, "GetColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetColorLevel" );
    Tcl_DStringAppendElement ( &dString, "SetZSlice" );
    Tcl_DStringAppendElement ( &dString, "GetZSlice" );
    Tcl_DStringAppendElement ( &dString, "GetWholeZMin" );
    Tcl_DStringAppendElement ( &dString, "GetWholeZMax" );
    Tcl_DStringAppendElement ( &dString, "RenderStart" );
    Tcl_DStringAppendElement ( &dString, "RenderData" );
    Tcl_DStringAppendElement ( &dString, "GetColorShift" );
    Tcl_DStringAppendElement ( &dString, "GetColorScale" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetRenderToRectangle" );
    Tcl_DStringAppendElement ( &dString, "GetRenderToRectangle" );
    Tcl_DStringAppendElement ( &dString, "RenderToRectangleOn" );
    Tcl_DStringAppendElement ( &dString, "RenderToRectangleOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseCustomExtents" );
    Tcl_DStringAppendElement ( &dString, "GetUseCustomExtents" );
    Tcl_DStringAppendElement ( &dString, "UseCustomExtentsOn" );
    Tcl_DStringAppendElement ( &dString, "UseCustomExtentsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCustomDisplayExtents" );
    Tcl_DStringAppendElement ( &dString, "GetCustomDisplayExtents" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMapper2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Override Modifiedtime as we have added a lookuptable\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorWindow */
    if ( strcmp ( argv[2], "SetColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window value for window/level\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorWindow(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SetColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorWindow */
    if ( strcmp ( argv[2], "GetColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window value for window/level\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColorWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorLevel */
    if ( strcmp ( argv[2], "SetColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the level value for window/level\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorLevel(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SetColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorLevel */
    if ( strcmp ( argv[2], "GetColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the level value for window/level\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColorLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZSlice */
    if ( strcmp ( argv[2], "SetZSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZSlice */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZSlice(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SetZSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZSlice */
    if ( strcmp ( argv[2], "GetZSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZSlice */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZSlice();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetZSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeZMin */
    if ( strcmp ( argv[2], "GetWholeZMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeZMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeZMin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWholeZMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetWholeZMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeZMax */
    if ( strcmp ( argv[2], "GetWholeZMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeZMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeZMax */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWholeZMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetWholeZMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderStart */
    if ( strcmp ( argv[2], "RenderStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderStart */
    Tcl_DStringAppendElement ( &dString, " Draw the image to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderStart(vtkViewport *viewport, vtkActor2D *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for RenderStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderData */
    if ( strcmp ( argv[2], "RenderData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderData */
    Tcl_DStringAppendElement ( &dString, " Function called by Render to actually draw the image to to the screen\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderData(vtkViewport *, vtkImageData *, vtkActor2D *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for RenderData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorShift */
    if ( strcmp ( argv[2], "GetColorShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorShift */
    Tcl_DStringAppendElement ( &dString, " Methods used internally for performing the Window/Level mapping.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColorShift();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetColorShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorScale */
    if ( strcmp ( argv[2], "GetColorScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorScale */
    Tcl_DStringAppendElement ( &dString, " Methods used internally for performing the Window/Level mapping.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColorScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetColorScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the Input of a filter. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkImageData *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set the Input of a filter. \n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderToRectangle */
    if ( strcmp ( argv[2], "SetRenderToRectangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderToRectangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderToRectangle */
    Tcl_DStringAppendElement ( &dString, " If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderToRectangle(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SetRenderToRectangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderToRectangle */
    if ( strcmp ( argv[2], "GetRenderToRectangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderToRectangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderToRectangle */
    Tcl_DStringAppendElement ( &dString, " If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRenderToRectangle();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetRenderToRectangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderToRectangleOn */
    if ( strcmp ( argv[2], "RenderToRectangleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderToRectangleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderToRectangleOn */
    Tcl_DStringAppendElement ( &dString, " If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderToRectangleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for RenderToRectangleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderToRectangleOff */
    if ( strcmp ( argv[2], "RenderToRectangleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderToRectangleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderToRectangleOff */
    Tcl_DStringAppendElement ( &dString, " If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderToRectangleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for RenderToRectangleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseCustomExtents */
    if ( strcmp ( argv[2], "SetUseCustomExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseCustomExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseCustomExtents */
    Tcl_DStringAppendElement ( &dString, " Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseCustomExtents(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SetUseCustomExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseCustomExtents */
    if ( strcmp ( argv[2], "GetUseCustomExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseCustomExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseCustomExtents */
    Tcl_DStringAppendElement ( &dString, " Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseCustomExtents();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetUseCustomExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCustomExtentsOn */
    if ( strcmp ( argv[2], "UseCustomExtentsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCustomExtentsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCustomExtentsOn */
    Tcl_DStringAppendElement ( &dString, " Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCustomExtentsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for UseCustomExtentsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCustomExtentsOff */
    if ( strcmp ( argv[2], "UseCustomExtentsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCustomExtentsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCustomExtentsOff */
    Tcl_DStringAppendElement ( &dString, " Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCustomExtentsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for UseCustomExtentsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCustomDisplayExtents */
    if ( strcmp ( argv[2], "SetCustomDisplayExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCustomDisplayExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCustomDisplayExtents */
    Tcl_DStringAppendElement ( &dString, " The image extents which should be displayed with UseCustomExtents\n Note that the Custom extents are x,y only and the zslice is still\n applied\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCustomDisplayExtents(int a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for SetCustomDisplayExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCustomDisplayExtents */
    if ( strcmp ( argv[2], "GetCustomDisplayExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCustomDisplayExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCustomDisplayExtents */
    Tcl_DStringAppendElement ( &dString, " The image extents which should be displayed with UseCustomExtents\n Note that the Custom extents are x,y only and the zslice is still\n applied\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetCustomDisplayExtents();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper" );
    /* Closing for GetCustomDisplayExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMapper2DCppCommand(static_cast<vtkMapper2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
