// tcl wrapper for vtkImageProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageProperty.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImagePropertyNewCommand()
{
  vtkImageProperty *temp = vtkImageProperty::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImagePropertyCppCommand(vtkImageProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImagePropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImagePropertyCppCommand(static_cast<vtkImageProperty *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImagePropertyCppCommand(vtkImageProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageProperty",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageProperty");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageProperty  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageProperty");
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkImageProperty  *temp0;
    error = 0;

    temp0 = (vtkImageProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageProperty"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorWindow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorLevel",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetUseLookupTableScalarRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLookupTableScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseLookupTableScalarRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseLookupTableScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOn",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOff",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpacityMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOpacityMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbientMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbientMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAmbientMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbientMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbient();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffuse",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffuse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuseMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuseMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiffuseMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuseMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiffuse",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuse();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToNearest",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToNearest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToCubic",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToCubic();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetInterpolationTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLayerNumber",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLayerNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayerNumber",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLayerNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCheckerboard",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCheckerboard(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckerboardOn",argv[1]))&&(argc == 2))
    {
    op->CheckerboardOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CheckerboardOff",argv[1]))&&(argc == 2))
    {
    op->CheckerboardOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCheckerboard",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCheckerboard();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCheckerboardSpacing",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetCheckerboardSpacing(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCheckerboardSpacing",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetCheckerboardSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCheckerboardSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCheckerboardSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCheckerboardOffset",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetCheckerboardOffset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCheckerboardOffset",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetCheckerboardOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCheckerboardOffset",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCheckerboardOffset();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBacking",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBacking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BackingOn",argv[1]))&&(argc == 2))
    {
    op->BackingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BackingOff",argv[1]))&&(argc == 2))
    {
    op->BackingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBacking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBacking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackingColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackingColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackingColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackingColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackingColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackingColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImagePropertyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageProperty:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetColorLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLookupTableScalarRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseLookupTableScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOn\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbientMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbientMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuseMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuseMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationType\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToNearest\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToCubic\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetLayerNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayerNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckerboard\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CheckerboardOn\n",NULL);
    Tcl_AppendResult(interp,"  CheckerboardOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckerboard\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckerboardSpacing\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckerboardSpacing\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckerboardSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckerboardOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckerboardOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckerboardOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetBacking\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BackingOn\n",NULL);
    Tcl_AppendResult(interp,"  BackingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBacking\n",NULL);
    Tcl_AppendResult(interp,"  SetBackingColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackingColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackingColor\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    Tcl_DStringAppendElement ( &dString, "GetColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetColorLevel" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTableScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTableScalarRange" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOn" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOff" );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToNearest" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToCubic" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetLayerNumber" );
    Tcl_DStringAppendElement ( &dString, "GetLayerNumber" );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboard" );
    Tcl_DStringAppendElement ( &dString, "CheckerboardOn" );
    Tcl_DStringAppendElement ( &dString, "CheckerboardOff" );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboard" );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboardSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardOffset" );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboardOffset" );
    Tcl_DStringAppendElement ( &dString, "SetBacking" );
    Tcl_DStringAppendElement ( &dString, "BackingOn" );
    Tcl_DStringAppendElement ( &dString, "BackingOff" );
    Tcl_DStringAppendElement ( &dString, "GetBacking" );
    Tcl_DStringAppendElement ( &dString, "SetBackingColor" );
    Tcl_DStringAppendElement ( &dString, "SetBackingColor" );
    Tcl_DStringAppendElement ( &dString, "GetBackingColor" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a property with no lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageProperty *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Assign one property to another.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkImageProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorWindow */
    if ( strcmp ( argv[2], "SetColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorWindow */
    Tcl_DStringAppendElement ( &dString, " The window value for window/level.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorWindow(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorWindow */
    if ( strcmp ( argv[2], "GetColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorWindow */
    Tcl_DStringAppendElement ( &dString, " The window value for window/level.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColorWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorLevel */
    if ( strcmp ( argv[2], "SetColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorLevel */
    Tcl_DStringAppendElement ( &dString, " The level value for window/level.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorLevel(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorLevel */
    if ( strcmp ( argv[2], "GetColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorLevel */
    Tcl_DStringAppendElement ( &dString, " The level value for window/level.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColorLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the data.  If the data is\n to be displayed as greyscale, or if the input data is\n already RGB, there is no need to set a lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable(vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the data.  If the data is\n to be displayed as greyscale, or if the input data is\n already RGB, there is no need to set a lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseLookupTableScalarRange */
    if ( strcmp ( argv[2], "SetUseLookupTableScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTableScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseLookupTableScalarRange */
    Tcl_DStringAppendElement ( &dString, " Use the range that is set in the lookup table, instead\n of setting the range from the Window/Level settings.\n This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseLookupTableScalarRange(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetUseLookupTableScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseLookupTableScalarRange */
    if ( strcmp ( argv[2], "GetUseLookupTableScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTableScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseLookupTableScalarRange */
    Tcl_DStringAppendElement ( &dString, " Use the range that is set in the lookup table, instead\n of setting the range from the Window/Level settings.\n This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseLookupTableScalarRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetUseLookupTableScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableScalarRangeOn */
    if ( strcmp ( argv[2], "UseLookupTableScalarRangeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableScalarRangeOn */
    Tcl_DStringAppendElement ( &dString, " Use the range that is set in the lookup table, instead\n of setting the range from the Window/Level settings.\n This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableScalarRangeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for UseLookupTableScalarRangeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableScalarRangeOff */
    if ( strcmp ( argv[2], "UseLookupTableScalarRangeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableScalarRangeOff */
    Tcl_DStringAppendElement ( &dString, " Use the range that is set in the lookup table, instead\n of setting the range from the Window/Level settings.\n This is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableScalarRangeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for UseLookupTableScalarRangeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpacity */
    if ( strcmp ( argv[2], "SetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacity */
    Tcl_DStringAppendElement ( &dString, " The opacity of the image, where 1.0 is opaque and 0.0 is\n transparent.  If the image has an alpha component, then\n the alpha component will be multiplied by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOpacity(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacityMinValue */
    if ( strcmp ( argv[2], "GetOpacityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityMinValue */
    Tcl_DStringAppendElement ( &dString, " The opacity of the image, where 1.0 is opaque and 0.0 is\n transparent.  If the image has an alpha component, then\n the alpha component will be multiplied by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacityMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetOpacityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacityMaxValue */
    if ( strcmp ( argv[2], "GetOpacityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityMaxValue */
    Tcl_DStringAppendElement ( &dString, " The opacity of the image, where 1.0 is opaque and 0.0 is\n transparent.  If the image has an alpha component, then\n the alpha component will be multiplied by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacityMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetOpacityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacity */
    if ( strcmp ( argv[2], "GetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacity */
    Tcl_DStringAppendElement ( &dString, " The opacity of the image, where 1.0 is opaque and 0.0 is\n transparent.  If the image has an alpha component, then\n the alpha component will be multiplied by this value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbient */
    if ( strcmp ( argv[2], "SetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbient */
    Tcl_DStringAppendElement ( &dString, " The ambient lighting coefficient.  The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbient(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbientMinValue */
    if ( strcmp ( argv[2], "GetAmbientMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbientMinValue */
    Tcl_DStringAppendElement ( &dString, " The ambient lighting coefficient.  The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbientMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetAmbientMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbientMaxValue */
    if ( strcmp ( argv[2], "GetAmbientMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbientMaxValue */
    Tcl_DStringAppendElement ( &dString, " The ambient lighting coefficient.  The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbientMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetAmbientMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbient */
    if ( strcmp ( argv[2], "GetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbient */
    Tcl_DStringAppendElement ( &dString, " The ambient lighting coefficient.  The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbient();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuse */
    if ( strcmp ( argv[2], "SetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuse */
    Tcl_DStringAppendElement ( &dString, " The diffuse lighting coefficient.  The default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuse(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuseMinValue */
    if ( strcmp ( argv[2], "GetDiffuseMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuseMinValue */
    Tcl_DStringAppendElement ( &dString, " The diffuse lighting coefficient.  The default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuseMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetDiffuseMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuseMaxValue */
    if ( strcmp ( argv[2], "GetDiffuseMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuseMaxValue */
    Tcl_DStringAppendElement ( &dString, " The diffuse lighting coefficient.  The default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuseMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetDiffuseMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuse */
    if ( strcmp ( argv[2], "GetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuse */
    Tcl_DStringAppendElement ( &dString, " The diffuse lighting coefficient.  The default is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuse();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationType */
    if ( strcmp ( argv[2], "SetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMinValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetInterpolationTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMaxValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetInterpolationTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationType */
    if ( strcmp ( argv[2], "GetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToNearest */
    if ( strcmp ( argv[2], "SetInterpolationTypeToNearest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToNearest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToNearest */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToNearest();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetInterpolationTypeToNearest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationTypeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToLinear */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetInterpolationTypeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToCubic */
    if ( strcmp ( argv[2], "SetInterpolationTypeToCubic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToCubic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToCubic */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToCubic();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetInterpolationTypeToCubic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeAsString */
    if ( strcmp ( argv[2], "GetInterpolationTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeAsString */
    Tcl_DStringAppendElement ( &dString, " The interpolation type (default: nearest neighbor).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetInterpolationTypeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetInterpolationTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayerNumber */
    if ( strcmp ( argv[2], "SetLayerNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayerNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayerNumber */
    Tcl_DStringAppendElement ( &dString, " Set the layer number.  This is ignored unless the image is part\n of a vtkImageStack.  The default layer number is zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayerNumber(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetLayerNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayerNumber */
    if ( strcmp ( argv[2], "GetLayerNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayerNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayerNumber */
    Tcl_DStringAppendElement ( &dString, " Set the layer number.  This is ignored unless the image is part\n of a vtkImageStack.  The default layer number is zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLayerNumber();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetLayerNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckerboard */
    if ( strcmp ( argv[2], "SetCheckerboard" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboard" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckerboard */
    Tcl_DStringAppendElement ( &dString, " Make a checkerboard pattern where the black squares are transparent.\n The pattern is aligned with the camera, and centered by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckerboard(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetCheckerboard */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckerboardOn */
    if ( strcmp ( argv[2], "CheckerboardOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckerboardOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckerboardOn */
    Tcl_DStringAppendElement ( &dString, " Make a checkerboard pattern where the black squares are transparent.\n The pattern is aligned with the camera, and centered by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void CheckerboardOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for CheckerboardOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckerboardOff */
    if ( strcmp ( argv[2], "CheckerboardOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckerboardOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckerboardOff */
    Tcl_DStringAppendElement ( &dString, " Make a checkerboard pattern where the black squares are transparent.\n The pattern is aligned with the camera, and centered by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void CheckerboardOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for CheckerboardOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCheckerboard */
    if ( strcmp ( argv[2], "GetCheckerboard" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboard" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckerboard */
    Tcl_DStringAppendElement ( &dString, " Make a checkerboard pattern where the black squares are transparent.\n The pattern is aligned with the camera, and centered by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCheckerboard();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetCheckerboard */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckerboardSpacing */
    if ( strcmp ( argv[2], "SetCheckerboardSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckerboardSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckerboardSpacing(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetCheckerboardSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckerboardSpacing */
    if ( strcmp ( argv[2], "SetCheckerboardSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckerboardSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckerboardSpacing(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetCheckerboardSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCheckerboardSpacing */
    if ( strcmp ( argv[2], "GetCheckerboardSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboardSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckerboardSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCheckerboardSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetCheckerboardSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckerboardOffset */
    if ( strcmp ( argv[2], "SetCheckerboardOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckerboardOffset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckerboardOffset(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetCheckerboardOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckerboardOffset */
    if ( strcmp ( argv[2], "SetCheckerboardOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboardOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckerboardOffset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckerboardOffset(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetCheckerboardOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCheckerboardOffset */
    if ( strcmp ( argv[2], "GetCheckerboardOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboardOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckerboardOffset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCheckerboardOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetCheckerboardOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBacking */
    if ( strcmp ( argv[2], "SetBacking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBacking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBacking */
    Tcl_DStringAppendElement ( &dString, " Use an opaque backing polygon, which will be visible where the image\n is translucent.  When images are in a stack, the backing polygons\n for all images will be drawn before any of the images in the stack,\n in order to allow the images in the stack to be composited.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBacking(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetBacking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackingOn */
    if ( strcmp ( argv[2], "BackingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackingOn */
    Tcl_DStringAppendElement ( &dString, " Use an opaque backing polygon, which will be visible where the image\n is translucent.  When images are in a stack, the backing polygons\n for all images will be drawn before any of the images in the stack,\n in order to allow the images in the stack to be composited.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for BackingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackingOff */
    if ( strcmp ( argv[2], "BackingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackingOff */
    Tcl_DStringAppendElement ( &dString, " Use an opaque backing polygon, which will be visible where the image\n is translucent.  When images are in a stack, the backing polygons\n for all images will be drawn before any of the images in the stack,\n in order to allow the images in the stack to be composited.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for BackingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBacking */
    if ( strcmp ( argv[2], "GetBacking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBacking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBacking */
    Tcl_DStringAppendElement ( &dString, " Use an opaque backing polygon, which will be visible where the image\n is translucent.  When images are in a stack, the backing polygons\n for all images will be drawn before any of the images in the stack,\n in order to allow the images in the stack to be composited.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBacking();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetBacking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackingColor */
    if ( strcmp ( argv[2], "SetBackingColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackingColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackingColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackingColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetBackingColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackingColor */
    if ( strcmp ( argv[2], "SetBackingColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackingColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackingColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackingColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for SetBackingColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackingColor */
    if ( strcmp ( argv[2], "GetBackingColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackingColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackingColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetBackingColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetBackingColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the MTime for this property.  If the lookup table is set,\n the mtime will include the mtime of the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
