// tcl wrapper for vtkImageResliceMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageResliceMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageResliceMapperNewCommand()
{
  vtkImageResliceMapper *temp = vtkImageResliceMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkImageMapper3DCppCommand(vtkImageMapper3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageResliceMapperCppCommand(vtkImageResliceMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageResliceMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageResliceMapperCppCommand(static_cast<vtkImageResliceMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageResliceMapperCppCommand(vtkImageResliceMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageResliceMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageMapper3DCppCommand(static_cast<vtkImageMapper3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageMapper3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageResliceMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageResliceMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageResliceMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageResliceMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageResliceMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageResliceMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSlicePlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->SetSlicePlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetJumpToNearestSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetJumpToNearestSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("JumpToNearestSliceOn",argv[1]))&&(argc == 2))
    {
    op->JumpToNearestSliceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("JumpToNearestSliceOff",argv[1]))&&(argc == 2))
    {
    op->JumpToNearestSliceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetJumpToNearestSlice",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJumpToNearestSlice();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlabThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSlabThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlabThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSlabThickness();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlabType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSlabType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlabTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlabTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSlabTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlabTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSlabType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlabType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlabTypeToMin",argv[1]))&&(argc == 2))
    {
    op->SetSlabTypeToMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSlabTypeToMax",argv[1]))&&(argc == 2))
    {
    op->SetSlabTypeToMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSlabTypeToMean",argv[1]))&&(argc == 2))
    {
    op->SetSlabTypeToMean();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSlabTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSlabTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSlabSampleFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSlabSampleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlabSampleFactorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlabSampleFactorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSlabSampleFactorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlabSampleFactorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSlabSampleFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlabSampleFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageSampleFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImageSampleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSampleFactorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSampleFactorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleFactorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSampleFactorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSampleFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoAdjustImageQuality",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustImageQuality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AutoAdjustImageQualityOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustImageQualityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustImageQualityOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustImageQualityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustImageQuality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustImageQuality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResampleToScreenPixels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResampleToScreenPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResampleToScreenPixelsOn",argv[1]))&&(argc == 2))
    {
    op->ResampleToScreenPixelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResampleToScreenPixelsOff",argv[1]))&&(argc == 2))
    {
    op->ResampleToScreenPixelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetResampleToScreenPixels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResampleToScreenPixels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSeparateWindowLevelOperation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSeparateWindowLevelOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SeparateWindowLevelOperationOn",argv[1]))&&(argc == 2))
    {
    op->SeparateWindowLevelOperationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SeparateWindowLevelOperationOff",argv[1]))&&(argc == 2))
    {
    op->SeparateWindowLevelOperationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSeparateWindowLevelOperation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSeparateWindowLevelOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolator",argv[1]))&&(argc == 3))
    {
    vtkAbstractImageInterpolator  *temp0;
    error = 0;

    temp0 = (vtkAbstractImageInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractImageInterpolator"),interp,error));
    if (!error)
    {
    op->SetInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolator",argv[1]))&&(argc == 2))
    {
    vtkAbstractImageInterpolator  *temp20;
    temp20 = (op)->GetInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractImageInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkImageSlice  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkImageSlice *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkImageSlice"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageResliceMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageMapper3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageResliceMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSlicePlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetJumpToNearestSlice\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  JumpToNearestSliceOn\n",NULL);
    Tcl_AppendResult(interp,"  JumpToNearestSliceOff\n",NULL);
    Tcl_AppendResult(interp,"  GetJumpToNearestSlice\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabType\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabTypeToMin\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabTypeToMax\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabTypeToMean\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSlabSampleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabSampleFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabSampleFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSlabSampleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSampleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustImageQuality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustImageQualityOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustImageQualityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustImageQuality\n",NULL);
    Tcl_AppendResult(interp,"  SetResampleToScreenPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResampleToScreenPixelsOn\n",NULL);
    Tcl_AppendResult(interp,"  ResampleToScreenPixelsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetResampleToScreenPixels\n",NULL);
    Tcl_AppendResult(interp,"  SetSeparateWindowLevelOperation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SeparateWindowLevelOperationOn\n",NULL);
    Tcl_AppendResult(interp,"  SeparateWindowLevelOperationOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSeparateWindowLevelOperation\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageMapper3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSlicePlane" );
    Tcl_DStringAppendElement ( &dString, "SetJumpToNearestSlice" );
    Tcl_DStringAppendElement ( &dString, "JumpToNearestSliceOn" );
    Tcl_DStringAppendElement ( &dString, "JumpToNearestSliceOff" );
    Tcl_DStringAppendElement ( &dString, "GetJumpToNearestSlice" );
    Tcl_DStringAppendElement ( &dString, "SetSlabThickness" );
    Tcl_DStringAppendElement ( &dString, "GetSlabThickness" );
    Tcl_DStringAppendElement ( &dString, "SetSlabType" );
    Tcl_DStringAppendElement ( &dString, "GetSlabTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSlabTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSlabType" );
    Tcl_DStringAppendElement ( &dString, "SetSlabTypeToMin" );
    Tcl_DStringAppendElement ( &dString, "SetSlabTypeToMax" );
    Tcl_DStringAppendElement ( &dString, "SetSlabTypeToMean" );
    Tcl_DStringAppendElement ( &dString, "GetSlabTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetSlabSampleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetSlabSampleFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSlabSampleFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSlabSampleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustImageQuality" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustImageQualityOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustImageQualityOff" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustImageQuality" );
    Tcl_DStringAppendElement ( &dString, "SetResampleToScreenPixels" );
    Tcl_DStringAppendElement ( &dString, "ResampleToScreenPixelsOn" );
    Tcl_DStringAppendElement ( &dString, "ResampleToScreenPixelsOff" );
    Tcl_DStringAppendElement ( &dString, "GetResampleToScreenPixels" );
    Tcl_DStringAppendElement ( &dString, "SetSeparateWindowLevelOperation" );
    Tcl_DStringAppendElement ( &dString, "SeparateWindowLevelOperationOn" );
    Tcl_DStringAppendElement ( &dString, "SeparateWindowLevelOperationOff" );
    Tcl_DStringAppendElement ( &dString, "GetSeparateWindowLevelOperation" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolator" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageMapper3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageResliceMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlicePlane */
    if ( strcmp ( argv[2], "SetSlicePlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlicePlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlicePlane */
    Tcl_DStringAppendElement ( &dString, " Set the slice that will be used to cut through the image.\n This slice should be in world coordinates, rather than\n data coordinates.  Use SliceFacesCamera and SliceAtFocalPoint\n if you want the slice to automatically follow the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSlicePlane(vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSlicePlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetJumpToNearestSlice */
    if ( strcmp ( argv[2], "SetJumpToNearestSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJumpToNearestSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJumpToNearestSlice */
    Tcl_DStringAppendElement ( &dString, " When using SliceAtFocalPoint, this causes the slicing to occur at\n the closest slice to the focal point, instead of the default behavior\n where a new slice is interpolated between the original slices.  This\n flag is ignored if the slicing is oblique to the original slices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJumpToNearestSlice(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetJumpToNearestSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: JumpToNearestSliceOn */
    if ( strcmp ( argv[2], "JumpToNearestSliceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "JumpToNearestSliceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for JumpToNearestSliceOn */
    Tcl_DStringAppendElement ( &dString, " When using SliceAtFocalPoint, this causes the slicing to occur at\n the closest slice to the focal point, instead of the default behavior\n where a new slice is interpolated between the original slices.  This\n flag is ignored if the slicing is oblique to the original slices.\n" );
    Tcl_DStringAppendElement ( &dString, "void JumpToNearestSliceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for JumpToNearestSliceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: JumpToNearestSliceOff */
    if ( strcmp ( argv[2], "JumpToNearestSliceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "JumpToNearestSliceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for JumpToNearestSliceOff */
    Tcl_DStringAppendElement ( &dString, " When using SliceAtFocalPoint, this causes the slicing to occur at\n the closest slice to the focal point, instead of the default behavior\n where a new slice is interpolated between the original slices.  This\n flag is ignored if the slicing is oblique to the original slices.\n" );
    Tcl_DStringAppendElement ( &dString, "void JumpToNearestSliceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for JumpToNearestSliceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetJumpToNearestSlice */
    if ( strcmp ( argv[2], "GetJumpToNearestSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetJumpToNearestSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetJumpToNearestSlice */
    Tcl_DStringAppendElement ( &dString, " When using SliceAtFocalPoint, this causes the slicing to occur at\n the closest slice to the focal point, instead of the default behavior\n where a new slice is interpolated between the original slices.  This\n flag is ignored if the slicing is oblique to the original slices.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetJumpToNearestSlice();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetJumpToNearestSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabThickness */
    if ( strcmp ( argv[2], "SetSlabThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabThickness */
    Tcl_DStringAppendElement ( &dString, " The slab thickness, for thick slicing (default: zero)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabThickness(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSlabThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabThickness */
    if ( strcmp ( argv[2], "GetSlabThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabThickness */
    Tcl_DStringAppendElement ( &dString, " The slab thickness, for thick slicing (default: zero)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSlabThickness();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabType */
    if ( strcmp ( argv[2], "SetSlabType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabType */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSlabType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabTypeMinValue */
    if ( strcmp ( argv[2], "GetSlabTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlabTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabTypeMaxValue */
    if ( strcmp ( argv[2], "GetSlabTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlabTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabType */
    if ( strcmp ( argv[2], "GetSlabType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabType */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlabType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabTypeToMin */
    if ( strcmp ( argv[2], "SetSlabTypeToMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabTypeToMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabTypeToMin */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabTypeToMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSlabTypeToMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabTypeToMax */
    if ( strcmp ( argv[2], "SetSlabTypeToMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabTypeToMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabTypeToMax */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabTypeToMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSlabTypeToMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabTypeToMean */
    if ( strcmp ( argv[2], "SetSlabTypeToMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabTypeToMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabTypeToMean */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabTypeToMean();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSlabTypeToMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabTypeAsString */
    if ( strcmp ( argv[2], "GetSlabTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabTypeAsString */
    Tcl_DStringAppendElement ( &dString, " The slab type, for thick slicing (default: mean)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetSlabTypeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlabSampleFactor */
    if ( strcmp ( argv[2], "SetSlabSampleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlabSampleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlabSampleFactor */
    Tcl_DStringAppendElement ( &dString, " Set the number of slab samples to use as a factor of the number\n of input slices within the slab thickness.  The default value\n is 2, but 1 will increase speed with very little loss of quality.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlabSampleFactor(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSlabSampleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabSampleFactorMinValue */
    if ( strcmp ( argv[2], "GetSlabSampleFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabSampleFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabSampleFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of slab samples to use as a factor of the number\n of input slices within the slab thickness.  The default value\n is 2, but 1 will increase speed with very little loss of quality.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlabSampleFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabSampleFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabSampleFactorMaxValue */
    if ( strcmp ( argv[2], "GetSlabSampleFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabSampleFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabSampleFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of slab samples to use as a factor of the number\n of input slices within the slab thickness.  The default value\n is 2, but 1 will increase speed with very little loss of quality.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlabSampleFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabSampleFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlabSampleFactor */
    if ( strcmp ( argv[2], "GetSlabSampleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlabSampleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlabSampleFactor */
    Tcl_DStringAppendElement ( &dString, " Set the number of slab samples to use as a factor of the number\n of input slices within the slab thickness.  The default value\n is 2, but 1 will increase speed with very little loss of quality.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlabSampleFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSlabSampleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSampleFactor */
    if ( strcmp ( argv[2], "SetImageSampleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSampleFactor */
    Tcl_DStringAppendElement ( &dString, " Set the reslice sample frequency as in relation to the input image\n sample frequency.  The default value is 1, but higher values can be\n used to improve the results.  This is cheaper than turning on\n ResampleToScreenPixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSampleFactor(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetImageSampleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleFactorMinValue */
    if ( strcmp ( argv[2], "GetImageSampleFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the reslice sample frequency as in relation to the input image\n sample frequency.  The default value is 1, but higher values can be\n used to improve the results.  This is cheaper than turning on\n ResampleToScreenPixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageSampleFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetImageSampleFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleFactorMaxValue */
    if ( strcmp ( argv[2], "GetImageSampleFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the reslice sample frequency as in relation to the input image\n sample frequency.  The default value is 1, but higher values can be\n used to improve the results.  This is cheaper than turning on\n ResampleToScreenPixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageSampleFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetImageSampleFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleFactor */
    if ( strcmp ( argv[2], "GetImageSampleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleFactor */
    Tcl_DStringAppendElement ( &dString, " Set the reslice sample frequency as in relation to the input image\n sample frequency.  The default value is 1, but higher values can be\n used to improve the results.  This is cheaper than turning on\n ResampleToScreenPixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageSampleFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetImageSampleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdjustImageQuality */
    if ( strcmp ( argv[2], "SetAutoAdjustImageQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustImageQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustImageQuality */
    Tcl_DStringAppendElement ( &dString, " Automatically reduce the rendering quality for greater speed\n when doing an interactive render.  This is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustImageQuality(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetAutoAdjustImageQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustImageQualityOn */
    if ( strcmp ( argv[2], "AutoAdjustImageQualityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustImageQualityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustImageQualityOn */
    Tcl_DStringAppendElement ( &dString, " Automatically reduce the rendering quality for greater speed\n when doing an interactive render.  This is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustImageQualityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for AutoAdjustImageQualityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustImageQualityOff */
    if ( strcmp ( argv[2], "AutoAdjustImageQualityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustImageQualityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustImageQualityOff */
    Tcl_DStringAppendElement ( &dString, " Automatically reduce the rendering quality for greater speed\n when doing an interactive render.  This is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustImageQualityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for AutoAdjustImageQualityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustImageQuality */
    if ( strcmp ( argv[2], "GetAutoAdjustImageQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustImageQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustImageQuality */
    Tcl_DStringAppendElement ( &dString, " Automatically reduce the rendering quality for greater speed\n when doing an interactive render.  This is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustImageQuality();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetAutoAdjustImageQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResampleToScreenPixels */
    if ( strcmp ( argv[2], "SetResampleToScreenPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResampleToScreenPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResampleToScreenPixels */
    Tcl_DStringAppendElement ( &dString, " Resample the image directly to the screen pixels, instead of\n using a texture to scale the image after resampling.  This is\n slower and uses more memory, but provides high-quality results.\n It is On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResampleToScreenPixels(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetResampleToScreenPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResampleToScreenPixelsOn */
    if ( strcmp ( argv[2], "ResampleToScreenPixelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResampleToScreenPixelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResampleToScreenPixelsOn */
    Tcl_DStringAppendElement ( &dString, " Resample the image directly to the screen pixels, instead of\n using a texture to scale the image after resampling.  This is\n slower and uses more memory, but provides high-quality results.\n It is On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResampleToScreenPixelsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for ResampleToScreenPixelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResampleToScreenPixelsOff */
    if ( strcmp ( argv[2], "ResampleToScreenPixelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResampleToScreenPixelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResampleToScreenPixelsOff */
    Tcl_DStringAppendElement ( &dString, " Resample the image directly to the screen pixels, instead of\n using a texture to scale the image after resampling.  This is\n slower and uses more memory, but provides high-quality results.\n It is On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResampleToScreenPixelsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for ResampleToScreenPixelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResampleToScreenPixels */
    if ( strcmp ( argv[2], "GetResampleToScreenPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResampleToScreenPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResampleToScreenPixels */
    Tcl_DStringAppendElement ( &dString, " Resample the image directly to the screen pixels, instead of\n using a texture to scale the image after resampling.  This is\n slower and uses more memory, but provides high-quality results.\n It is On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResampleToScreenPixels();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetResampleToScreenPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSeparateWindowLevelOperation */
    if ( strcmp ( argv[2], "SetSeparateWindowLevelOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeparateWindowLevelOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeparateWindowLevelOperation */
    Tcl_DStringAppendElement ( &dString, " Keep the color mapping stage distinct from the reslicing stage.\n This will improve the quality and possibly the speed of interactive\n window/level operations, but it uses more memory and might slow down\n interactive slicing operations.  On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSeparateWindowLevelOperation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetSeparateWindowLevelOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SeparateWindowLevelOperationOn */
    if ( strcmp ( argv[2], "SeparateWindowLevelOperationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SeparateWindowLevelOperationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SeparateWindowLevelOperationOn */
    Tcl_DStringAppendElement ( &dString, " Keep the color mapping stage distinct from the reslicing stage.\n This will improve the quality and possibly the speed of interactive\n window/level operations, but it uses more memory and might slow down\n interactive slicing operations.  On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SeparateWindowLevelOperationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SeparateWindowLevelOperationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SeparateWindowLevelOperationOff */
    if ( strcmp ( argv[2], "SeparateWindowLevelOperationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SeparateWindowLevelOperationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SeparateWindowLevelOperationOff */
    Tcl_DStringAppendElement ( &dString, " Keep the color mapping stage distinct from the reslicing stage.\n This will improve the quality and possibly the speed of interactive\n window/level operations, but it uses more memory and might slow down\n interactive slicing operations.  On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SeparateWindowLevelOperationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SeparateWindowLevelOperationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeparateWindowLevelOperation */
    if ( strcmp ( argv[2], "GetSeparateWindowLevelOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeparateWindowLevelOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeparateWindowLevelOperation */
    Tcl_DStringAppendElement ( &dString, " Keep the color mapping stage distinct from the reslicing stage.\n This will improve the quality and possibly the speed of interactive\n window/level operations, but it uses more memory and might slow down\n interactive slicing operations.  On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSeparateWindowLevelOperation();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetSeparateWindowLevelOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolator */
    if ( strcmp ( argv[2], "SetInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractImageInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set a custom interpolator.  This will only be used if the\n ResampleToScreenPixels option is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterpolator(vtkAbstractImageInterpolator *sampler);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for SetInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolator */
    if ( strcmp ( argv[2], "GetInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set a custom interpolator.  This will only be used if the\n ResampleToScreenPixels option is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractImageInterpolator *GetInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This should only be called by the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *renderer, vtkImageSlice *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by\n this mapper.  The parameter window is used to determine\n which graphic resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the mtime for the mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " The bounding box (array of six doubles) of the data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageResliceMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageMapper3DCppCommand(static_cast<vtkImageMapper3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
