// python wrapper for vtkImageSliceCollection
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageSliceCollection.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageSliceCollection(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageSliceCollection(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSliceCollectionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSliceCollectionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPropCollectionNew
extern "C" { PyObject *PyVTKClass_vtkPropCollectionNew(const char *); }
#define DECLARED_PyVTKClass_vtkPropCollectionNew
#endif

static const char **PyvtkImageSliceCollection_Doc();


static PyObject *
PyvtkImageSliceCollection_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceCollection *op = static_cast<vtkImageSliceCollection *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkImageSliceCollection::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceCollection_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceCollection *op = static_cast<vtkImageSliceCollection *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkImageSliceCollection::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceCollection_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceCollection *op = static_cast<vtkImageSliceCollection *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageSliceCollection *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkImageSliceCollection::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceCollection_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkImageSliceCollection *tempr = vtkImageSliceCollection::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceCollection_Sort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Sort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceCollection *op = static_cast<vtkImageSliceCollection *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Sort();
      }
    else
      {
      op->vtkImageSliceCollection::Sort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceCollection_AddItem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddItem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceCollection *op = static_cast<vtkImageSliceCollection *>(vp);

  vtkImageSlice *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImageSlice"))
    {
    if (ap.IsBound())
      {
      op->AddItem(temp0);
      }
    else
      {
      op->vtkImageSliceCollection::AddItem(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceCollection_GetNextImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNextImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceCollection *op = static_cast<vtkImageSliceCollection *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageSlice *tempr = (ap.IsBound() ?
      op->GetNextImage() :
      op->vtkImageSliceCollection::GetNextImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceCollection_GetNextItem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNextItem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceCollection *op = static_cast<vtkImageSliceCollection *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageSlice *tempr = (ap.IsBound() ?
      op->GetNextItem() :
      op->vtkImageSliceCollection::GetNextItem());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageSliceCollection_Methods[] = {
  {(char*)"GetClassName", PyvtkImageSliceCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageSliceCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageSliceCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSliceCollection\nC++: vtkImageSliceCollection *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageSliceCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSliceCollection\nC++: vtkImageSliceCollection *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Sort", PyvtkImageSliceCollection_Sort, 1,
   (char*)"V.Sort()\nC++: void Sort()\n\nSorts the vtkImageSliceCollection by layer number.  Smaller layer\nnumbers are first. Layer numbers can be any integer value. Items\nwith the same layer number will be kept in the same relative\norder as before the sort.\n"},
  {(char*)"AddItem", PyvtkImageSliceCollection_AddItem, 1,
   (char*)"V.AddItem(vtkImageSlice)\nC++: void AddItem(vtkImageSlice *a)\n\nAdd an image to the list.  The new image is inserted in the list\naccording to its layer number.\n"},
  {(char*)"GetNextImage", PyvtkImageSliceCollection_GetNextImage, 1,
   (char*)"V.GetNextImage() -> vtkImageSlice\nC++: vtkImageSlice *GetNextImage()\n\nStandard Collection methods.  You must call InitTraversal before\ncalling GetNextImage.  If possible, you should use the\nGetNextImage method that takes a collection iterator instead.\n"},
  {(char*)"GetNextItem", PyvtkImageSliceCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkImageSlice\nC++: vtkImageSlice *GetNextItem()\n\nAccess routine provided for compatibility with previous versions\nof VTK.  Please use the GetNextImage() variant where possible.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageSliceCollection_StaticNew()
{
  return vtkImageSliceCollection::New();
}

PyObject *PyVTKClass_vtkImageSliceCollectionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageSliceCollection_StaticNew,
    PyvtkImageSliceCollection_Methods,
    "vtkImageSliceCollection", modulename,
    NULL, NULL,
    PyvtkImageSliceCollection_Doc(),
    PyVTKClass_vtkPropCollectionNew(modulename));
  return cls;
}

const char **PyvtkImageSliceCollection_Doc()
{
  static const char *docstring[] = {
    "vtkImageSliceCollection - a sorted list of image slice objects\n\n",
    "Superclass: vtkPropCollection\n\n",
    "vtkImageSliceCollection is a vtkPropCollection that maintains a list\nof vtkImageSlice objects that are sorted by LayerNumber. This allows\nthe images to be rendered in the correct order.\n\nSee Also:\n\nvtkImageSlice vtkImageAssembly\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageSliceCollection(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageSliceCollectionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageSliceCollection", o) != 0)
    {
    Py_DECREF(o);
    }

}

