// tcl wrapper for vtkImageSlice object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSlice.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageSliceNewCommand()
{
  vtkImageSlice *temp = vtkImageSlice::New();
  return static_cast<ClientData>(temp);
}

int vtkProp3DCppCommand(vtkProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageSliceCppCommand(vtkImageSlice *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageSliceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageSliceCppCommand(static_cast<vtkImageSlice *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageSliceCppCommand(vtkImageSlice *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageSlice",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProp3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageSlice  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlice");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageSlice  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlice");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageSlice  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageSlice");
    return TCL_OK;
    }
  if ((!strcmp("SetMapper",argv[1]))&&(argc == 3))
    {
    vtkImageMapper3D  *temp0;
    error = 0;

    temp0 = (vtkImageMapper3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageMapper3D"),interp,error));
    if (!error)
    {
    op->SetMapper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMapper",argv[1]))&&(argc == 2))
    {
    vtkImageMapper3D  *temp20;
    temp20 = (op)->GetMapper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapper3D");
    return TCL_OK;
    }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 3))
    {
    vtkImageProperty  *temp0;
    error = 0;

    temp0 = (vtkImageProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageProperty"),interp,error));
    if (!error)
    {
    op->SetProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
    {
    vtkImageProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageProperty");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinXBound",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinXBound();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxXBound",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxXBound();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinYBound",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinYBound();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxYBound",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxYBound();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinZBound",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinZBound();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxZBound",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxZBound();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRedrawMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetRedrawMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImages",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetImages(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->Render(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStackedImagePass",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStackedImagePass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageSliceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageSlice:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMapper\n",NULL);
    Tcl_AppendResult(interp,"  SetProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMinXBound\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxXBound\n",NULL);
    Tcl_AppendResult(interp,"  GetMinYBound\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxYBound\n",NULL);
    Tcl_AppendResult(interp,"  GetMinZBound\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxZBound\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetRedrawMTime\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImages\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetStackedImagePass\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetMapper" );
    Tcl_DStringAppendElement ( &dString, "GetMapper" );
    Tcl_DStringAppendElement ( &dString, "SetProperty" );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMinXBound" );
    Tcl_DStringAppendElement ( &dString, "GetMaxXBound" );
    Tcl_DStringAppendElement ( &dString, "GetMinYBound" );
    Tcl_DStringAppendElement ( &dString, "GetMaxYBound" );
    Tcl_DStringAppendElement ( &dString, "GetMinZBound" );
    Tcl_DStringAppendElement ( &dString, "GetMaxZBound" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "GetImages" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetStackedImagePass" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkProp3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates an Image with the following defaults: origin(0,0,0)\n position=(0,0,0) scale=1 visibility=1 pickable=1 dragable=1\n orientation=(0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageSlice *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMapper */
    if ( strcmp ( argv[2], "SetMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMapper */
    Tcl_DStringAppendElement ( &dString, " Set/Get the mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMapper(vtkImageMapper3D *mapper);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for SetMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMapper */
    if ( strcmp ( argv[2], "GetMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMapper */
    Tcl_DStringAppendElement ( &dString, " Set/Get the mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapper3D *GetMapper();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProperty */
    if ( strcmp ( argv[2], "SetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the image display properties.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProperty(vtkImageProperty *property);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for SetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProperty */
    if ( strcmp ( argv[2], "GetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the image display properties.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageProperty *GetProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Update the rendering pipeline by updating the ImageMapper\n" );
    Tcl_DStringAppendElement ( &dString, "void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds - either all six at once\n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinXBound */
    if ( strcmp ( argv[2], "GetMinXBound" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinXBound" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinXBound */
    Tcl_DStringAppendElement ( &dString, " Get the bounds - either all six at once\n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinXBound();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMinXBound */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxXBound */
    if ( strcmp ( argv[2], "GetMaxXBound" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxXBound" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxXBound */
    Tcl_DStringAppendElement ( &dString, " Get the bounds - either all six at once\n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaxXBound();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMaxXBound */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinYBound */
    if ( strcmp ( argv[2], "GetMinYBound" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinYBound" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinYBound */
    Tcl_DStringAppendElement ( &dString, " Get the bounds - either all six at once\n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinYBound();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMinYBound */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxYBound */
    if ( strcmp ( argv[2], "GetMaxYBound" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxYBound" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxYBound */
    Tcl_DStringAppendElement ( &dString, " Get the bounds - either all six at once\n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaxYBound();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMaxYBound */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinZBound */
    if ( strcmp ( argv[2], "GetMinZBound" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinZBound" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinZBound */
    Tcl_DStringAppendElement ( &dString, " Get the bounds - either all six at once\n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinZBound();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMinZBound */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxZBound */
    if ( strcmp ( argv[2], "GetMaxZBound" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxZBound" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxZBound */
    Tcl_DStringAppendElement ( &dString, " Get the bounds - either all six at once\n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaxZBound();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMaxZBound */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the property etc.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRedrawMTime */
    if ( strcmp ( argv[2], "GetRedrawMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRedrawMTime */
    Tcl_DStringAppendElement ( &dString, " Return the mtime of anything that would cause the rendered image to\n appear differently. Usually this involves checking the mtime of the\n prop plus anything else it depends on such as properties, mappers,\n etc.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetRedrawMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetRedrawMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of this vtkImageSlice. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImages */
    if ( strcmp ( argv[2], "GetImages" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImages" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImages */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors, volumes, and images. These\n methods are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetImages(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for GetImages */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Support the standard render methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This causes the image and its mapper to be rendered. Note that a side\n effect of this method is that the pipeline will be updated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any resources held by this prop.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *win);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStackedImagePass */
    if ( strcmp ( argv[2], "SetStackedImagePass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStackedImagePass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStackedImagePass */
    Tcl_DStringAppendElement ( &dString, " For stacked image rendering, set the pass.  The first pass\n renders just the backing polygon, the second pass renders\n the image, and the third pass renders the depth buffer.\n Set to -1 to render all of these in the same pass.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStackedImagePass(int pass);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageSlice" );
    /* Closing for SetStackedImagePass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
