// python wrapper for vtkImageStack
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageStack.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageStack(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageStack(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageStackNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageStackNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageSliceNew
extern "C" { PyObject *PyVTKClass_vtkImageSliceNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageSliceNew
#endif

static const char **PyvtkImageStack_Doc();


static PyObject *
PyvtkImageStack_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkImageStack::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkImageStack::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageStack *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkImageStack::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkImageStack *tempr = vtkImageStack::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_AddImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkImageSlice *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImageSlice"))
    {
    if (ap.IsBound())
      {
      op->AddImage(temp0);
      }
    else
      {
      op->vtkImageStack::AddImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_RemoveImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkImageSlice *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImageSlice"))
    {
    if (ap.IsBound())
      {
      op->RemoveImage(temp0);
      }
    else
      {
      op->vtkImageStack::RemoveImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_HasImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkImageSlice *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImageSlice"))
    {
    int tempr = (ap.IsBound() ?
      op->HasImage(temp0) :
      op->vtkImageStack::HasImage(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetImages_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImages");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageSliceCollection *tempr = (ap.IsBound() ?
      op->GetImages() :
      op->vtkImageStack::GetImages());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkImageStack_GetImages_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImages");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkPropCollection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPropCollection"))
    {
    if (ap.IsBound())
      {
      op->GetImages(temp0);
      }
    else
      {
      op->vtkImageStack::GetImages(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkImageStack_GetImages(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkImageStack_GetImages_s1(self, args);
    case 1:
      return PyvtkImageStack_GetImages_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetImages");
  return NULL;
}



static PyObject *
PyvtkImageStack_SetActiveLayer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetActiveLayer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetActiveLayer(temp0);
      }
    else
      {
      op->vtkImageStack::SetActiveLayer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetActiveLayer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveLayer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetActiveLayer() :
      op->vtkImageStack::GetActiveLayer());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetActiveImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageSlice *tempr = (ap.IsBound() ?
      op->GetActiveImage() :
      op->vtkImageStack::GetActiveImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetMapper(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMapper");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageMapper3D *tempr = (ap.IsBound() ?
      op->GetMapper() :
      op->vtkImageStack::GetMapper());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageProperty *tempr = (ap.IsBound() ?
      op->GetProperty() :
      op->vtkImageStack::GetProperty());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  double temp0[6];
  double save0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetBounds(temp0);
      }
    else
      {
      op->vtkImageStack::GetBounds(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned long tempr = (ap.IsBound() ?
      op->GetMTime() :
      op->vtkImageStack::GetMTime());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetRedrawMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRedrawMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned long tempr = (ap.IsBound() ?
      op->GetRedrawMTime() :
      op->vtkImageStack::GetRedrawMTime());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_ShallowCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShallowCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkProp *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkProp"))
    {
    if (ap.IsBound())
      {
      op->ShallowCopy(temp0);
      }
    else
      {
      op->vtkImageStack::ShallowCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_RenderOverlay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderOverlay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkViewport *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewport"))
    {
    int tempr = (ap.IsBound() ?
      op->RenderOverlay(temp0) :
      op->vtkImageStack::RenderOverlay(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderOpaqueGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkViewport *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewport"))
    {
    int tempr = (ap.IsBound() ?
      op->RenderOpaqueGeometry(temp0) :
      op->vtkImageStack::RenderOpaqueGeometry(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderTranslucentPolygonalGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkViewport *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewport"))
    {
    int tempr = (ap.IsBound() ?
      op->RenderTranslucentPolygonalGeometry(temp0) :
      op->vtkImageStack::RenderTranslucentPolygonalGeometry(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasTranslucentPolygonalGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->HasTranslucentPolygonalGeometry() :
      op->vtkImageStack::HasTranslucentPolygonalGeometry());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReleaseGraphicsResources");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkWindow *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkWindow"))
    {
    if (ap.IsBound())
      {
      op->ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->vtkImageStack::ReleaseGraphicsResources(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_InitPathTraversal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitPathTraversal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InitPathTraversal();
      }
    else
      {
      op->vtkImageStack::InitPathTraversal();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetNextPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNextPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkAssemblyPath *tempr = (ap.IsBound() ?
      op->GetNextPath() :
      op->vtkImageStack::GetNextPath());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_GetNumberOfPaths(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfPaths");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfPaths() :
      op->vtkImageStack::GetNumberOfPaths());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageStack_BuildPaths(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BuildPaths");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageStack *op = static_cast<vtkImageStack *>(vp);

  vtkAssemblyPaths *temp0 = NULL;
  vtkAssemblyPath *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkAssemblyPaths") &&
      ap.GetVTKObject(temp1, "vtkAssemblyPath"))
    {
    if (ap.IsBound())
      {
      op->BuildPaths(temp0, temp1);
      }
    else
      {
      op->vtkImageStack::BuildPaths(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkImageStack_Methods[] = {
  {(char*)"GetClassName", PyvtkImageStack_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageStack_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageStack_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageStack\nC++: vtkImageStack *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageStack_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageStack\nC++: vtkImageStack *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddImage", PyvtkImageStack_AddImage, 1,
   (char*)"V.AddImage(vtkImageSlice)\nC++: void AddImage(vtkImageSlice *prop)\n\nAdd an image to the stack.  If the image is already present, then\nthis method will do nothing.\n"},
  {(char*)"RemoveImage", PyvtkImageStack_RemoveImage, 1,
   (char*)"V.RemoveImage(vtkImageSlice)\nC++: void RemoveImage(vtkImageSlice *prop)\n\nRemove an image from the stack.  If the image is not present,\nthen this method will do nothing.\n"},
  {(char*)"HasImage", PyvtkImageStack_HasImage, 1,
   (char*)"V.HasImage(vtkImageSlice) -> int\nC++: int HasImage(vtkImageSlice *prop)\n\nCheck if an image is present.  The returned value is one or zero.\n"},
  {(char*)"GetImages", PyvtkImageStack_GetImages, 1,
   (char*)"V.GetImages() -> vtkImageSliceCollection\nC++: vtkImageSliceCollection *GetImages()\nV.GetImages(vtkPropCollection)\nC++: void GetImages(vtkPropCollection *)\n\nGet the list of images as a vtkImageSliceCollection.\n"},
  {(char*)"SetActiveLayer", PyvtkImageStack_SetActiveLayer, 1,
   (char*)"V.SetActiveLayer(int)\nC++: void SetActiveLayer(int a)\n\nSet the active layer number.  This is the layer that will be used\nfor picking and interaction.\n"},
  {(char*)"GetActiveLayer", PyvtkImageStack_GetActiveLayer, 1,
   (char*)"V.GetActiveLayer() -> int\nC++: int GetActiveLayer()\n\nSet the active layer number.  This is the layer that will be used\nfor picking and interaction.\n"},
  {(char*)"GetActiveImage", PyvtkImageStack_GetActiveImage, 1,
   (char*)"V.GetActiveImage() -> vtkImageSlice\nC++: vtkImageSlice *GetActiveImage()\n\nGet the active image.  This will be the topmost image whose\nLayerNumber is the ActiveLayer.  If no image matches, then NULL\nwill be returned.\n"},
  {(char*)"GetMapper", PyvtkImageStack_GetMapper, 1,
   (char*)"V.GetMapper() -> vtkImageMapper3D\nC++: vtkImageMapper3D *GetMapper()\n\nGet the mapper for the currently active image.\n"},
  {(char*)"GetProperty", PyvtkImageStack_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkImageProperty\nC++: vtkImageProperty *GetProperty()\n\nGet the property for the currently active image.\n"},
  {(char*)"GetBounds", PyvtkImageStack_GetBounds, 1,
   (char*)"V.GetBounds([float, float, float, float, float, float])\nC++: void GetBounds(double bounds[6])\n\nGet the combined bounds of all of the images.\n"},
  {(char*)"GetMTime", PyvtkImageStack_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime()\n\nReturn the max MTime of all the images.\n"},
  {(char*)"GetRedrawMTime", PyvtkImageStack_GetRedrawMTime, 1,
   (char*)"V.GetRedrawMTime() -> int\nC++: unsigned long GetRedrawMTime()\n\nReturn the mtime of anything that would cause the rendered image\nto appear differently. Usually this involves checking the mtime\nof the prop plus anything else it depends on such as properties,\nmappers, etc.\n"},
  {(char*)"ShallowCopy", PyvtkImageStack_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy(vtkProp *prop)\n\nShallow copy of this prop. Overloads the virtual vtkProp method.\n"},
  {(char*)"RenderOverlay", PyvtkImageStack_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay(vtkViewport *viewport)\n\nSupport the standard render methods.\n"},
  {(char*)"RenderOpaqueGeometry", PyvtkImageStack_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry(vtkViewport *viewport)\n\nSupport the standard render methods.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry", PyvtkImageStack_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry(\n    vtkViewport *viewport)\n\nSupport the standard render methods.\n"},
  {(char*)"HasTranslucentPolygonalGeometry", PyvtkImageStack_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry()\n\nDoes this prop have some translucent polygonal geometry?\n"},
  {(char*)"ReleaseGraphicsResources", PyvtkImageStack_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources(vtkWindow *win)\n\nRelease any resources held by this prop.\n"},
  {(char*)"InitPathTraversal", PyvtkImageStack_InitPathTraversal, 1,
   (char*)"V.InitPathTraversal()\nC++: void InitPathTraversal()\n\nMethods for traversing the stack as if it was an assembly. The\ntraversal only gives the view prop for the active layer.\n"},
  {(char*)"GetNextPath", PyvtkImageStack_GetNextPath, 1,
   (char*)"V.GetNextPath() -> vtkAssemblyPath\nC++: vtkAssemblyPath *GetNextPath()\n\nMethods for traversing the stack as if it was an assembly. The\ntraversal only gives the view prop for the active layer.\n"},
  {(char*)"GetNumberOfPaths", PyvtkImageStack_GetNumberOfPaths, 1,
   (char*)"V.GetNumberOfPaths() -> int\nC++: int GetNumberOfPaths()\n\nMethods for traversing the stack as if it was an assembly. The\ntraversal only gives the view prop for the active layer.\n"},
  {(char*)"BuildPaths", PyvtkImageStack_BuildPaths, 1,
   (char*)"V.BuildPaths(vtkAssemblyPaths, vtkAssemblyPath)\nC++: void BuildPaths(vtkAssemblyPaths *paths,\n    vtkAssemblyPath *path)\n\nWARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT\nUSE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to\nconstruct assembly paths and perform part traversal.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageStack_StaticNew()
{
  return vtkImageStack::New();
}

PyObject *PyVTKClass_vtkImageStackNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageStack_StaticNew,
    PyvtkImageStack_Methods,
    "vtkImageStack", modulename,
    NULL, NULL,
    PyvtkImageStack_Doc(),
    PyVTKClass_vtkImageSliceNew(modulename));
  return cls;
}

const char **PyvtkImageStack_Doc()
{
  static const char *docstring[] = {
    "vtkImageStack - manages a stack of composited images\n\n",
    "Superclass: vtkImageSlice\n\n",
    "vtkImageStack manages the compositing of a set of images. Each image\nis assigned a layer number through its property object, and it is\nthis layer number that determines the compositing order: images with\na higher layer number are drawn over top of images with a lower layer\nnumber.  The image stack has a SetActiveLayer method for controlling\nwhich layer to use for interaction and picking.\n\nThanks:\n",
    "\nThanks to David Gobbi at the Seaman Family MR Centre and Dept. of\nClinical Neurosciences, Foothills Medical Centre, Calgary, for\nproviding this class.\n\nSee also:\n\nvtkImageMapper3D vtkImageProperty vtkProp3D\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageStack(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageStackNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageStack", o) != 0)
    {
    Py_DECREF(o);
    }

}

