// tcl wrapper for vtkInteractorObserver object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorObserver.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorObserverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorObserverCppCommand(static_cast<vtkInteractorObserver *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorObserver",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorObserver  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorObserver");
    return TCL_OK;
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnabledOn",argv[1]))&&(argc == 2))
    {
    op->EnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnabledOff",argv[1]))&&(argc == 2))
    {
    op->EnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("On",argv[1]))&&(argc == 2))
    {
    op->On();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Off",argv[1]))&&(argc == 2))
    {
    op->Off();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->GetInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SetPriority",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPriority(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPriorityMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPriorityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPriorityMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPriorityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPriority",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPriority();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyPressActivation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetKeyPressActivation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyPressActivation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetKeyPressActivation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("KeyPressActivationOn",argv[1]))&&(argc == 2))
    {
    op->KeyPressActivationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyPressActivationOff",argv[1]))&&(argc == 2))
    {
    op->KeyPressActivationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyPressActivationValue",argv[1]))&&(argc == 3))
    {
    char     temp0;
    error = 0;

    temp0 = *(argv[2]);
    if (!error)
    {
    op->SetKeyPressActivationValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyPressActivationValue",argv[1]))&&(argc == 2))
    {
    char     temp20;
    temp20 = (op)->GetKeyPressActivationValue();
    char tempResult[1024];
    sprintf(tempResult,"%c",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDefaultRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetDefaultRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetDefaultRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetCurrentRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetCurrentRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseFocus",argv[1]))&&(argc == 2))
    {
    op->ReleaseFocus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorObserverCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorObserver:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabled\n",NULL);
    Tcl_AppendResult(interp,"  EnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  EnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  On\n",NULL);
    Tcl_AppendResult(interp,"  Off\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractor\n",NULL);
    Tcl_AppendResult(interp,"  SetPriority\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPriorityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPriorityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPriority\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyPressActivation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyPressActivation\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressActivationOn\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressActivationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyPressActivationValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyPressActivationValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultRenderer\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentRenderer\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseFocus\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetEnabled" );
    Tcl_DStringAppendElement ( &dString, "EnabledOn" );
    Tcl_DStringAppendElement ( &dString, "EnabledOff" );
    Tcl_DStringAppendElement ( &dString, "On" );
    Tcl_DStringAppendElement ( &dString, "Off" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "GetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetPriority" );
    Tcl_DStringAppendElement ( &dString, "GetPriorityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPriorityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPriority" );
    Tcl_DStringAppendElement ( &dString, "SetKeyPressActivation" );
    Tcl_DStringAppendElement ( &dString, "GetKeyPressActivation" );
    Tcl_DStringAppendElement ( &dString, "KeyPressActivationOn" );
    Tcl_DStringAppendElement ( &dString, "KeyPressActivationOff" );
    Tcl_DStringAppendElement ( &dString, "SetKeyPressActivationValue" );
    Tcl_DStringAppendElement ( &dString, "GetKeyPressActivationValue" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentRenderer" );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    Tcl_DStringAppendElement ( &dString, "ReleaseFocus" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()). Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnabled */
    if ( strcmp ( argv[2], "GetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()). Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnabled();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnabledOn */
    if ( strcmp ( argv[2], "EnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnabledOn */
    Tcl_DStringAppendElement ( &dString, " Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()). Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnabledOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for EnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnabledOff */
    if ( strcmp ( argv[2], "EnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnabledOff */
    Tcl_DStringAppendElement ( &dString, " Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()). Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnabledOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for EnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: On */
    if ( strcmp ( argv[2], "On" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "On" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for On */
    Tcl_DStringAppendElement ( &dString, " Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()). Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void On();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for On */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Off */
    if ( strcmp ( argv[2], "Off" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Off" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Off */
    Tcl_DStringAppendElement ( &dString, " Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()). Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void Off();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for Off */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, " This method is used to associate the widget with the render window\n interactor.  Observers of the appropriate events invoked in the render\n window interactor are set up as a result of this method invocation.\n The SetInteractor() method must be invoked prior to enabling the\n vtkInteractorObserver.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractor(vtkRenderWindowInteractor *iren);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractor */
    if ( strcmp ( argv[2], "GetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractor */
    Tcl_DStringAppendElement ( &dString, " This method is used to associate the widget with the render window\n interactor.  Observers of the appropriate events invoked in the render\n window interactor are set up as a result of this method invocation.\n The SetInteractor() method must be invoked prior to enabling the\n vtkInteractorObserver.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor *GetInteractor();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPriority */
    if ( strcmp ( argv[2], "SetPriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPriority */
    Tcl_DStringAppendElement ( &dString, " Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPriority(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for SetPriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPriorityMinValue */
    if ( strcmp ( argv[2], "GetPriorityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPriorityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPriorityMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPriorityMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetPriorityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPriorityMaxValue */
    if ( strcmp ( argv[2], "GetPriorityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPriorityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPriorityMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPriorityMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetPriorityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPriority */
    if ( strcmp ( argv[2], "GetPriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPriority */
    Tcl_DStringAppendElement ( &dString, " Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPriority();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetPriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyPressActivation */
    if ( strcmp ( argv[2], "SetKeyPressActivation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyPressActivation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyPressActivation */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyPressActivation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for SetKeyPressActivation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyPressActivation */
    if ( strcmp ( argv[2], "GetKeyPressActivation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyPressActivation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyPressActivation */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetKeyPressActivation();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetKeyPressActivation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeyPressActivationOn */
    if ( strcmp ( argv[2], "KeyPressActivationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeyPressActivationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeyPressActivationOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n" );
    Tcl_DStringAppendElement ( &dString, "void KeyPressActivationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for KeyPressActivationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeyPressActivationOff */
    if ( strcmp ( argv[2], "KeyPressActivationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeyPressActivationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeyPressActivationOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n" );
    Tcl_DStringAppendElement ( &dString, "void KeyPressActivationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for KeyPressActivationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyPressActivationValue */
    if ( strcmp ( argv[2], "SetKeyPressActivationValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyPressActivationValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyPressActivationValue */
    Tcl_DStringAppendElement ( &dString, " Specify which key press value to use to activate the interactor observer\n (if key press activation is enabled). By default, the key press\n activation value is 'i'. Note: once the SetInteractor() method is\n invoked, changing the key press activation value will not affect the key\n press until SetInteractor(NULL)/SetInteractor(iren) is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyPressActivationValue(char a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for SetKeyPressActivationValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyPressActivationValue */
    if ( strcmp ( argv[2], "GetKeyPressActivationValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyPressActivationValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyPressActivationValue */
    Tcl_DStringAppendElement ( &dString, " Specify which key press value to use to activate the interactor observer\n (if key press activation is enabled). By default, the key press\n activation value is 'i'. Note: once the SetInteractor() method is\n invoked, changing the key press activation value will not affect the key\n press until SetInteractor(NULL)/SetInteractor(iren) is called.\n" );
    Tcl_DStringAppendElement ( &dString, "char GetKeyPressActivationValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetKeyPressActivationValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultRenderer */
    if ( strcmp ( argv[2], "GetDefaultRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultRenderer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default renderer to use when activating the interactor \n observer. Normally when the widget is activated (SetEnabled(1) or when \n keypress activation takes place), the renderer over which the mouse\n pointer is positioned is used. Alternatively, you can specify the\n renderer to bind the interactor to when the interactor observer is\n activated. \n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *GetDefaultRenderer();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetDefaultRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultRenderer */
    if ( strcmp ( argv[2], "SetDefaultRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultRenderer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default renderer to use when activating the interactor \n observer. Normally when the widget is activated (SetEnabled(1) or when \n keypress activation takes place), the renderer over which the mouse\n pointer is positioned is used. Alternatively, you can specify the\n renderer to bind the interactor to when the interactor observer is\n activated. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDefaultRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for SetDefaultRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentRenderer */
    if ( strcmp ( argv[2], "GetCurrentRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentRenderer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current renderer. Normally when the widget is activated \n (SetEnabled(1) or when keypress activation takes place), the renderer\n over which the mouse pointer is positioned is used and assigned to\n this Ivar. Alternatively, you might want to set the CurrentRenderer\n explicitly.\n WARNING: note that if the DefaultRenderer Ivar is set (see above), \n it will always override the parameter passed to SetCurrentRenderer,\n unless it is NULL.\n (i.e., SetCurrentRend ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *GetCurrentRenderer();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for GetCurrentRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentRenderer */
    if ( strcmp ( argv[2], "SetCurrentRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentRenderer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current renderer. Normally when the widget is activated \n (SetEnabled(1) or when keypress activation takes place), the renderer\n over which the mouse pointer is positioned is used and assigned to\n this Ivar. Alternatively, you might want to set the CurrentRenderer\n explicitly.\n WARNING: note that if the DefaultRenderer Ivar is set (see above), \n it will always override the parameter passed to SetCurrentRenderer,\n unless it is NULL.\n (i.e., SetCurrentRend ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCurrentRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for SetCurrentRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnChar */
    if ( strcmp ( argv[2], "OnChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnChar */
    Tcl_DStringAppendElement ( &dString, " Sets up the keypress-i event. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for OnChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseFocus */
    if ( strcmp ( argv[2], "ReleaseFocus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseFocus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseFocus */
    Tcl_DStringAppendElement ( &dString, " These methods enable an interactor observer to exclusively grab all\n events invoked by its associated vtkRenderWindowInteractor. (This method\n is typically used by widgets to grab events once an event sequence\n begins.) The GrabFocus() signature takes up to two vtkCommands\n corresponding to mouse events and keypress events. (These two commands\n are separated so that the widget can listen for its activation keypress,\n as well as listening for DeleteEvents, without actu ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseFocus();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    /* Closing for ReleaseFocus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
