// tcl wrapper for vtkInteractorStyleRubberBand3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleRubberBand3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleRubberBand3DNewCommand()
{
  vtkInteractorStyleRubberBand3D *temp = vtkInteractorStyleRubberBand3D::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleTrackballCameraCppCommand(vtkInteractorStyleTrackballCamera *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleRubberBand3DCppCommand(vtkInteractorStyleRubberBand3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleRubberBand3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleRubberBand3DCppCommand(static_cast<vtkInteractorStyleRubberBand3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleRubberBand3DCppCommand(vtkInteractorStyleRubberBand3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyleRubberBand3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorStyleTrackballCameraCppCommand(static_cast<vtkInteractorStyleTrackballCamera *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyleTrackballCamera"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleRubberBand3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleRubberBand3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleRubberBand3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleRubberBand3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyleRubberBand3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleRubberBand3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseWheelForward",argv[1]))&&(argc == 2))
    {
    op->OnMouseWheelForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseWheelBackward",argv[1]))&&(argc == 2))
    {
    op->OnMouseWheelBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderOnMouseMove",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRenderOnMouseMove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderOnMouseMove",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRenderOnMouseMove();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderOnMouseMoveOn",argv[1]))&&(argc == 2))
    {
    op->RenderOnMouseMoveOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderOnMouseMoveOff",argv[1]))&&(argc == 2))
    {
    op->RenderOnMouseMoveOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInteraction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteraction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStartPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetStartPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetEndPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetEndPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleRubberBand3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorStyleTrackballCameraCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleRubberBand3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseWheelForward\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseWheelBackward\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderOnMouseMove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderOnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  RenderOnMouseMoveOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderOnMouseMoveOff\n",NULL);
    Tcl_AppendResult(interp,"  GetInteraction\n",NULL);
    Tcl_AppendResult(interp,"  GetStartPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetEndPosition\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleTrackballCameraCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelForward" );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelBackward" );
    Tcl_DStringAppendElement ( &dString, "SetRenderOnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "GetRenderOnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOn" );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOff" );
    Tcl_DStringAppendElement ( &dString, "GetInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetEndPosition" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleTrackballCameraCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleRubberBand3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonDown */
    if ( strcmp ( argv[2], "OnLeftButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonDown */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnLeftButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonDown */
    if ( strcmp ( argv[2], "OnMiddleButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonDown */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnMiddleButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonUp */
    if ( strcmp ( argv[2], "OnMiddleButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonUp */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnMiddleButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonDown */
    if ( strcmp ( argv[2], "OnRightButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonDown */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnRightButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonUp */
    if ( strcmp ( argv[2], "OnRightButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonUp */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnRightButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseWheelForward */
    if ( strcmp ( argv[2], "OnMouseWheelForward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelForward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseWheelForward */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseWheelForward();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnMouseWheelForward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseWheelBackward */
    if ( strcmp ( argv[2], "OnMouseWheelBackward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelBackward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseWheelBackward */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseWheelBackward();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for OnMouseWheelBackward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderOnMouseMove */
    if ( strcmp ( argv[2], "SetRenderOnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderOnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderOnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Whether to invoke a render when the mouse moves.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderOnMouseMove(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for SetRenderOnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderOnMouseMove */
    if ( strcmp ( argv[2], "GetRenderOnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderOnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderOnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Whether to invoke a render when the mouse moves.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetRenderOnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for GetRenderOnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOnMouseMoveOn */
    if ( strcmp ( argv[2], "RenderOnMouseMoveOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOnMouseMoveOn */
    Tcl_DStringAppendElement ( &dString, " Whether to invoke a render when the mouse moves.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderOnMouseMoveOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for RenderOnMouseMoveOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOnMouseMoveOff */
    if ( strcmp ( argv[2], "RenderOnMouseMoveOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOnMouseMoveOff */
    Tcl_DStringAppendElement ( &dString, " Whether to invoke a render when the mouse moves.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderOnMouseMoveOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for RenderOnMouseMoveOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteraction */
    if ( strcmp ( argv[2], "GetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteraction */
    Tcl_DStringAppendElement ( &dString, " Current interaction state\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInteraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for GetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartPosition */
    if ( strcmp ( argv[2], "GetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetStartPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for GetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndPosition */
    if ( strcmp ( argv[2], "GetEndPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetEndPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBand3D" );
    /* Closing for GetEndPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorStyleTrackballCameraCppCommand(static_cast<vtkInteractorStyleTrackballCamera *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
