// tcl wrapper for vtkInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyle.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleNewCommand()
{
  vtkInteractorStyle *temp = vtkInteractorStyle::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyle",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorObserverCppCommand(static_cast<vtkInteractorObserver *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorObserver"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyle  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyle");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyle  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyle");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyle  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyle");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutoAdjustCameraClippingRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustCameraClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustCameraClippingRangeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustCameraClippingRangeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustCameraClippingRangeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustCameraClippingRangeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustCameraClippingRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustCameraClippingRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustCameraClippingRangeOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustCameraClippingRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustCameraClippingRangeOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustCameraClippingRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FindPokedRenderer",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->FindPokedRenderer(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUseTimers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseTimers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTimers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTimers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseTimersOn",argv[1]))&&(argc == 2))
    {
    op->UseTimersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseTimersOff",argv[1]))&&(argc == 2))
    {
    op->UseTimersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTimerDuration",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetTimerDuration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerDurationMinValue",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetTimerDurationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimerDurationMaxValue",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetTimerDurationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimerDuration",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetTimerDuration();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleObservers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHandleObservers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleObservers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHandleObservers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HandleObserversOn",argv[1]))&&(argc == 2))
    {
    op->HandleObserversOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandleObserversOff",argv[1]))&&(argc == 2))
    {
    op->HandleObserversOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseWheelForward",argv[1]))&&(argc == 2))
    {
    op->OnMouseWheelForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseWheelBackward",argv[1]))&&(argc == 2))
    {
    op->OnMouseWheelBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyDown",argv[1]))&&(argc == 2))
    {
    op->OnKeyDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyUp",argv[1]))&&(argc == 2))
    {
    op->OnKeyUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyPress",argv[1]))&&(argc == 2))
    {
    op->OnKeyPress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyRelease",argv[1]))&&(argc == 2))
    {
    op->OnKeyRelease();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnExpose",argv[1]))&&(argc == 2))
    {
    op->OnExpose();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnConfigure",argv[1]))&&(argc == 2))
    {
    op->OnConfigure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnEnter",argv[1]))&&(argc == 2))
    {
    op->OnEnter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeave",argv[1]))&&(argc == 2))
    {
    op->OnLeave();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnTimer",argv[1]))&&(argc == 2))
    {
    op->OnTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Rotate",argv[1]))&&(argc == 2))
    {
    op->Rotate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Spin",argv[1]))&&(argc == 2))
    {
    op->Spin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pan",argv[1]))&&(argc == 2))
    {
    op->Pan();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Dolly",argv[1]))&&(argc == 2))
    {
    op->Dolly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Zoom",argv[1]))&&(argc == 2))
    {
    op->Zoom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UniformScale",argv[1]))&&(argc == 2))
    {
    op->UniformScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->StartState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StopState",argv[1]))&&(argc == 2))
    {
    op->StopState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartAnimate",argv[1]))&&(argc == 2))
    {
    op->StartAnimate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopAnimate",argv[1]))&&(argc == 2))
    {
    op->StopAnimate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartRotate",argv[1]))&&(argc == 2))
    {
    op->StartRotate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndRotate",argv[1]))&&(argc == 2))
    {
    op->EndRotate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartZoom",argv[1]))&&(argc == 2))
    {
    op->StartZoom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndZoom",argv[1]))&&(argc == 2))
    {
    op->EndZoom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartPan",argv[1]))&&(argc == 2))
    {
    op->StartPan();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndPan",argv[1]))&&(argc == 2))
    {
    op->EndPan();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartSpin",argv[1]))&&(argc == 2))
    {
    op->StartSpin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndSpin",argv[1]))&&(argc == 2))
    {
    op->EndSpin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartDolly",argv[1]))&&(argc == 2))
    {
    op->StartDolly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndDolly",argv[1]))&&(argc == 2))
    {
    op->EndDolly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartUniformScale",argv[1]))&&(argc == 2))
    {
    op->StartUniformScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndUniformScale",argv[1]))&&(argc == 2))
    {
    op->EndUniformScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartTimer",argv[1]))&&(argc == 2))
    {
    op->StartTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndTimer",argv[1]))&&(argc == 2))
    {
    op->EndTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HighlightProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->HighlightProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HighlightActor2D",argv[1]))&&(argc == 3))
    {
    vtkActor2D  *temp0;
    error = 0;

    temp0 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->HighlightActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HighlightProp3D",argv[1]))&&(argc == 3))
    {
    vtkProp3D  *temp0;
    error = 0;

    temp0 = (vtkProp3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp3D"),interp,error));
    if (!error)
    {
    op->HighlightProp3D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPickColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPickColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPickColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPickColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPickColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPickColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMouseWheelMotionFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMouseWheelMotionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMouseWheelMotionFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMouseWheelMotionFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTDxStyle",argv[1]))&&(argc == 2))
    {
    vtkTDxInteractorStyle  *temp20;
    temp20 = (op)->GetTDxStyle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTDxInteractorStyle");
    return TCL_OK;
    }
  if ((!strcmp("SetTDxStyle",argv[1]))&&(argc == 3))
    {
    vtkTDxInteractorStyle  *temp0;
    error = 0;

    temp0 = (vtkTDxInteractorStyle *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTDxInteractorStyle"),interp,error));
    if (!error)
    {
    op->SetTDxStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorObserverCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyle:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustCameraClippingRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustCameraClippingRangeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustCameraClippingRangeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustCameraClippingRange\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustCameraClippingRangeOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustCameraClippingRangeOff\n",NULL);
    Tcl_AppendResult(interp,"  FindPokedRenderer\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetState\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTimers\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTimers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseTimersOn\n",NULL);
    Tcl_AppendResult(interp,"  UseTimersOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTimerDuration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerDurationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerDurationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerDuration\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleObservers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleObservers\n",NULL);
    Tcl_AppendResult(interp,"  HandleObserversOn\n",NULL);
    Tcl_AppendResult(interp,"  HandleObserversOff\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseWheelForward\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseWheelBackward\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyDown\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyUp\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyPress\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyRelease\n",NULL);
    Tcl_AppendResult(interp,"  OnExpose\n",NULL);
    Tcl_AppendResult(interp,"  OnConfigure\n",NULL);
    Tcl_AppendResult(interp,"  OnEnter\n",NULL);
    Tcl_AppendResult(interp,"  OnLeave\n",NULL);
    Tcl_AppendResult(interp,"  OnTimer\n",NULL);
    Tcl_AppendResult(interp,"  Rotate\n",NULL);
    Tcl_AppendResult(interp,"  Spin\n",NULL);
    Tcl_AppendResult(interp,"  Pan\n",NULL);
    Tcl_AppendResult(interp,"  Dolly\n",NULL);
    Tcl_AppendResult(interp,"  Zoom\n",NULL);
    Tcl_AppendResult(interp,"  UniformScale\n",NULL);
    Tcl_AppendResult(interp,"  StartState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StopState\n",NULL);
    Tcl_AppendResult(interp,"  StartAnimate\n",NULL);
    Tcl_AppendResult(interp,"  StopAnimate\n",NULL);
    Tcl_AppendResult(interp,"  StartRotate\n",NULL);
    Tcl_AppendResult(interp,"  EndRotate\n",NULL);
    Tcl_AppendResult(interp,"  StartZoom\n",NULL);
    Tcl_AppendResult(interp,"  EndZoom\n",NULL);
    Tcl_AppendResult(interp,"  StartPan\n",NULL);
    Tcl_AppendResult(interp,"  EndPan\n",NULL);
    Tcl_AppendResult(interp,"  StartSpin\n",NULL);
    Tcl_AppendResult(interp,"  EndSpin\n",NULL);
    Tcl_AppendResult(interp,"  StartDolly\n",NULL);
    Tcl_AppendResult(interp,"  EndDolly\n",NULL);
    Tcl_AppendResult(interp,"  StartUniformScale\n",NULL);
    Tcl_AppendResult(interp,"  EndUniformScale\n",NULL);
    Tcl_AppendResult(interp,"  StartTimer\n",NULL);
    Tcl_AppendResult(interp,"  EndTimer\n",NULL);
    Tcl_AppendResult(interp,"  HighlightProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HighlightActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HighlightProp3D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPickColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPickColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPickColor\n",NULL);
    Tcl_AppendResult(interp,"  SetMouseWheelMotionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMouseWheelMotionFactor\n",NULL);
    Tcl_AppendResult(interp,"  GetTDxStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetTDxStyle\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorObserverCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustCameraClippingRange" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustCameraClippingRangeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustCameraClippingRangeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustCameraClippingRange" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustCameraClippingRangeOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustCameraClippingRangeOff" );
    Tcl_DStringAppendElement ( &dString, "FindPokedRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetState" );
    Tcl_DStringAppendElement ( &dString, "GetUseTimers" );
    Tcl_DStringAppendElement ( &dString, "SetUseTimers" );
    Tcl_DStringAppendElement ( &dString, "UseTimersOn" );
    Tcl_DStringAppendElement ( &dString, "UseTimersOff" );
    Tcl_DStringAppendElement ( &dString, "SetTimerDuration" );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimerDuration" );
    Tcl_DStringAppendElement ( &dString, "SetHandleObservers" );
    Tcl_DStringAppendElement ( &dString, "GetHandleObservers" );
    Tcl_DStringAppendElement ( &dString, "HandleObserversOn" );
    Tcl_DStringAppendElement ( &dString, "HandleObserversOff" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelForward" );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelBackward" );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    Tcl_DStringAppendElement ( &dString, "OnKeyDown" );
    Tcl_DStringAppendElement ( &dString, "OnKeyUp" );
    Tcl_DStringAppendElement ( &dString, "OnKeyPress" );
    Tcl_DStringAppendElement ( &dString, "OnKeyRelease" );
    Tcl_DStringAppendElement ( &dString, "OnExpose" );
    Tcl_DStringAppendElement ( &dString, "OnConfigure" );
    Tcl_DStringAppendElement ( &dString, "OnEnter" );
    Tcl_DStringAppendElement ( &dString, "OnLeave" );
    Tcl_DStringAppendElement ( &dString, "OnTimer" );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    Tcl_DStringAppendElement ( &dString, "Spin" );
    Tcl_DStringAppendElement ( &dString, "Pan" );
    Tcl_DStringAppendElement ( &dString, "Dolly" );
    Tcl_DStringAppendElement ( &dString, "Zoom" );
    Tcl_DStringAppendElement ( &dString, "UniformScale" );
    Tcl_DStringAppendElement ( &dString, "StartState" );
    Tcl_DStringAppendElement ( &dString, "StopState" );
    Tcl_DStringAppendElement ( &dString, "StartAnimate" );
    Tcl_DStringAppendElement ( &dString, "StopAnimate" );
    Tcl_DStringAppendElement ( &dString, "StartRotate" );
    Tcl_DStringAppendElement ( &dString, "EndRotate" );
    Tcl_DStringAppendElement ( &dString, "StartZoom" );
    Tcl_DStringAppendElement ( &dString, "EndZoom" );
    Tcl_DStringAppendElement ( &dString, "StartPan" );
    Tcl_DStringAppendElement ( &dString, "EndPan" );
    Tcl_DStringAppendElement ( &dString, "StartSpin" );
    Tcl_DStringAppendElement ( &dString, "EndSpin" );
    Tcl_DStringAppendElement ( &dString, "StartDolly" );
    Tcl_DStringAppendElement ( &dString, "EndDolly" );
    Tcl_DStringAppendElement ( &dString, "StartUniformScale" );
    Tcl_DStringAppendElement ( &dString, "EndUniformScale" );
    Tcl_DStringAppendElement ( &dString, "StartTimer" );
    Tcl_DStringAppendElement ( &dString, "EndTimer" );
    Tcl_DStringAppendElement ( &dString, "HighlightProp" );
    Tcl_DStringAppendElement ( &dString, "HighlightActor2D" );
    Tcl_DStringAppendElement ( &dString, "HighlightProp3D" );
    Tcl_DStringAppendElement ( &dString, "SetPickColor" );
    Tcl_DStringAppendElement ( &dString, "SetPickColor" );
    Tcl_DStringAppendElement ( &dString, "GetPickColor" );
    Tcl_DStringAppendElement ( &dString, "SetMouseWheelMotionFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMouseWheelMotionFactor" );
    Tcl_DStringAppendElement ( &dString, "GetTDxStyle" );
    Tcl_DStringAppendElement ( &dString, "SetTDxStyle" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorObserverCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " This class must be supplied with a vtkRenderWindowInteractor wrapper or\n parent. This class should not normally be instantiated by application\n programmers.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyle *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Interactor wrapper being controlled by this object.\n (Satisfy superclass API.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractor(vtkRenderWindowInteractor *interactor);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Turn on/off this interactor. Interactor styles operate a little\n bit differently than other types of interactor observers. When\n the SetInteractor() method is invoked, the automatically enable\n themselves. This is a legacy requirement, and convenient for the\n user.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdjustCameraClippingRange */
    if ( strcmp ( argv[2], "SetAutoAdjustCameraClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustCameraClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustCameraClippingRange */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustCameraClippingRange(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetAutoAdjustCameraClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustCameraClippingRangeMinValue */
    if ( strcmp ( argv[2], "GetAutoAdjustCameraClippingRangeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustCameraClippingRangeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustCameraClippingRangeMinValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustCameraClippingRangeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetAutoAdjustCameraClippingRangeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustCameraClippingRangeMaxValue */
    if ( strcmp ( argv[2], "GetAutoAdjustCameraClippingRangeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustCameraClippingRangeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustCameraClippingRangeMaxValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustCameraClippingRangeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetAutoAdjustCameraClippingRangeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustCameraClippingRange */
    if ( strcmp ( argv[2], "GetAutoAdjustCameraClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustCameraClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustCameraClippingRange */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustCameraClippingRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetAutoAdjustCameraClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustCameraClippingRangeOn */
    if ( strcmp ( argv[2], "AutoAdjustCameraClippingRangeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustCameraClippingRangeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustCameraClippingRangeOn */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustCameraClippingRangeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for AutoAdjustCameraClippingRangeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustCameraClippingRangeOff */
    if ( strcmp ( argv[2], "AutoAdjustCameraClippingRangeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustCameraClippingRangeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustCameraClippingRangeOff */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustCameraClippingRangeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for AutoAdjustCameraClippingRangeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindPokedRenderer */
    if ( strcmp ( argv[2], "FindPokedRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindPokedRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindPokedRenderer */
    Tcl_DStringAppendElement ( &dString, " When an event occurs, we must determine which Renderer the event\n occurred within, since one RenderWindow may contain multiple\n renderers. \n" );
    Tcl_DStringAppendElement ( &dString, "void FindPokedRenderer(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for FindPokedRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetState */
    if ( strcmp ( argv[2], "GetState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetState */
    Tcl_DStringAppendElement ( &dString, " Some useful information for interaction\n" );
    Tcl_DStringAppendElement ( &dString, "int GetState();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseTimers */
    if ( strcmp ( argv[2], "GetUseTimers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseTimers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseTimers */
    Tcl_DStringAppendElement ( &dString, " Set/Get timer hint\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseTimers();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetUseTimers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseTimers */
    if ( strcmp ( argv[2], "SetUseTimers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseTimers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseTimers */
    Tcl_DStringAppendElement ( &dString, " Set/Get timer hint\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseTimers(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetUseTimers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTimersOn */
    if ( strcmp ( argv[2], "UseTimersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTimersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTimersOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get timer hint\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTimersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for UseTimersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTimersOff */
    if ( strcmp ( argv[2], "UseTimersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTimersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTimersOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get timer hint\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTimersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for UseTimersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimerDuration */
    if ( strcmp ( argv[2], "SetTimerDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimerDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimerDuration */
    Tcl_DStringAppendElement ( &dString, " If using timers, specify the default timer interval (in\n milliseconds). Care must be taken when adjusting the timer interval from\n the default value of 10 milliseconds--it may adversely affect the\n interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimerDuration(unsigned long);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetTimerDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerDurationMinValue */
    if ( strcmp ( argv[2], "GetTimerDurationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerDurationMinValue */
    Tcl_DStringAppendElement ( &dString, " If using timers, specify the default timer interval (in\n milliseconds). Care must be taken when adjusting the timer interval from\n the default value of 10 milliseconds--it may adversely affect the\n interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTimerDurationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetTimerDurationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerDurationMaxValue */
    if ( strcmp ( argv[2], "GetTimerDurationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerDurationMaxValue */
    Tcl_DStringAppendElement ( &dString, " If using timers, specify the default timer interval (in\n milliseconds). Care must be taken when adjusting the timer interval from\n the default value of 10 milliseconds--it may adversely affect the\n interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTimerDurationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetTimerDurationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerDuration */
    if ( strcmp ( argv[2], "GetTimerDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerDuration */
    Tcl_DStringAppendElement ( &dString, " If using timers, specify the default timer interval (in\n milliseconds). Care must be taken when adjusting the timer interval from\n the default value of 10 milliseconds--it may adversely affect the\n interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTimerDuration();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetTimerDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleObservers */
    if ( strcmp ( argv[2], "SetHandleObservers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleObservers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleObservers */
    Tcl_DStringAppendElement ( &dString, " Does ProcessEvents handle observers on this class or not\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleObservers(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetHandleObservers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleObservers */
    if ( strcmp ( argv[2], "GetHandleObservers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleObservers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleObservers */
    Tcl_DStringAppendElement ( &dString, " Does ProcessEvents handle observers on this class or not\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHandleObservers();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetHandleObservers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleObserversOn */
    if ( strcmp ( argv[2], "HandleObserversOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleObserversOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleObserversOn */
    Tcl_DStringAppendElement ( &dString, " Does ProcessEvents handle observers on this class or not\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleObserversOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for HandleObserversOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleObserversOff */
    if ( strcmp ( argv[2], "HandleObserversOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleObserversOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleObserversOff */
    Tcl_DStringAppendElement ( &dString, " Does ProcessEvents handle observers on this class or not\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleObserversOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for HandleObserversOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonDown */
    if ( strcmp ( argv[2], "OnLeftButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonDown */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnLeftButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonDown */
    if ( strcmp ( argv[2], "OnMiddleButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonDown */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnMiddleButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonUp */
    if ( strcmp ( argv[2], "OnMiddleButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonUp */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnMiddleButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonDown */
    if ( strcmp ( argv[2], "OnRightButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonDown */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnRightButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonUp */
    if ( strcmp ( argv[2], "OnRightButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonUp */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnRightButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseWheelForward */
    if ( strcmp ( argv[2], "OnMouseWheelForward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelForward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseWheelForward */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseWheelForward();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnMouseWheelForward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseWheelBackward */
    if ( strcmp ( argv[2], "OnMouseWheelBackward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseWheelBackward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseWheelBackward */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings can be overridden in subclasses\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseWheelBackward();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnMouseWheelBackward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnChar */
    if ( strcmp ( argv[2], "OnChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnChar */
    Tcl_DStringAppendElement ( &dString, " OnChar is triggered when an ASCII key is pressed. Some basic key presses\n are handled here ('q' for Quit, 'p' for Pick, etc)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyDown */
    if ( strcmp ( argv[2], "OnKeyDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyDown */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnKeyDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyUp */
    if ( strcmp ( argv[2], "OnKeyUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyUp */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnKeyUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyPress */
    if ( strcmp ( argv[2], "OnKeyPress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyPress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyPress */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyPress();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnKeyPress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyRelease */
    if ( strcmp ( argv[2], "OnKeyRelease" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyRelease" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyRelease */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyRelease();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnKeyRelease */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnExpose */
    if ( strcmp ( argv[2], "OnExpose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnExpose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnExpose */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnExpose();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnExpose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnConfigure */
    if ( strcmp ( argv[2], "OnConfigure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnConfigure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnConfigure */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnConfigure();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnConfigure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnEnter */
    if ( strcmp ( argv[2], "OnEnter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnEnter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnEnter */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnEnter();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnEnter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeave */
    if ( strcmp ( argv[2], "OnLeave" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeave" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeave */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeave();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnLeave */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnTimer */
    if ( strcmp ( argv[2], "OnTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnTimer */
    Tcl_DStringAppendElement ( &dString, " OnTimer calls Rotate, Rotate etc which should be overridden by\n style subclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnTimer();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for OnTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Rotate */
    if ( strcmp ( argv[2], "Rotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Rotate */
    Tcl_DStringAppendElement ( &dString, " These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Rotate();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for Rotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Spin */
    if ( strcmp ( argv[2], "Spin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Spin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Spin */
    Tcl_DStringAppendElement ( &dString, " These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Spin();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for Spin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pan */
    if ( strcmp ( argv[2], "Pan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pan */
    Tcl_DStringAppendElement ( &dString, " These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Pan();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for Pan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Dolly */
    if ( strcmp ( argv[2], "Dolly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Dolly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Dolly */
    Tcl_DStringAppendElement ( &dString, " These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Dolly();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for Dolly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Zoom */
    if ( strcmp ( argv[2], "Zoom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Zoom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Zoom */
    Tcl_DStringAppendElement ( &dString, " These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Zoom();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for Zoom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UniformScale */
    if ( strcmp ( argv[2], "UniformScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UniformScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UniformScale */
    Tcl_DStringAppendElement ( &dString, " These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UniformScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for UniformScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartState */
    if ( strcmp ( argv[2], "StartState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartState */
    Tcl_DStringAppendElement ( &dString, " utility routines used by state changes\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartState(int newstate);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StopState */
    if ( strcmp ( argv[2], "StopState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StopState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StopState */
    Tcl_DStringAppendElement ( &dString, " utility routines used by state changes\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StopState();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StopState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartAnimate */
    if ( strcmp ( argv[2], "StartAnimate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartAnimate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartAnimate */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartAnimate();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartAnimate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StopAnimate */
    if ( strcmp ( argv[2], "StopAnimate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StopAnimate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StopAnimate */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StopAnimate();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StopAnimate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartRotate */
    if ( strcmp ( argv[2], "StartRotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartRotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartRotate */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartRotate();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartRotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndRotate */
    if ( strcmp ( argv[2], "EndRotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndRotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndRotate */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndRotate();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for EndRotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartZoom */
    if ( strcmp ( argv[2], "StartZoom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartZoom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartZoom */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartZoom();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartZoom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndZoom */
    if ( strcmp ( argv[2], "EndZoom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndZoom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndZoom */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndZoom();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for EndZoom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartPan */
    if ( strcmp ( argv[2], "StartPan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartPan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartPan */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartPan();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartPan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndPan */
    if ( strcmp ( argv[2], "EndPan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndPan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndPan */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndPan();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for EndPan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartSpin */
    if ( strcmp ( argv[2], "StartSpin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartSpin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartSpin */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartSpin();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartSpin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndSpin */
    if ( strcmp ( argv[2], "EndSpin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndSpin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndSpin */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndSpin();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for EndSpin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartDolly */
    if ( strcmp ( argv[2], "StartDolly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartDolly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartDolly */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartDolly();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartDolly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndDolly */
    if ( strcmp ( argv[2], "EndDolly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndDolly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndDolly */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndDolly();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for EndDolly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartUniformScale */
    if ( strcmp ( argv[2], "StartUniformScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartUniformScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartUniformScale */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartUniformScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartUniformScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndUniformScale */
    if ( strcmp ( argv[2], "EndUniformScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndUniformScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndUniformScale */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndUniformScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for EndUniformScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartTimer */
    if ( strcmp ( argv[2], "StartTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartTimer */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartTimer();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for StartTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndTimer */
    if ( strcmp ( argv[2], "EndTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndTimer */
    Tcl_DStringAppendElement ( &dString, " Interaction mode entry points used internally.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndTimer();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for EndTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HighlightProp */
    if ( strcmp ( argv[2], "HighlightProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HighlightProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HighlightProp */
    Tcl_DStringAppendElement ( &dString, " When picking successfully selects an actor, this method highlights the\n picked prop appropriately. Currently this is done by placing a bounding \n box around a picked vtkProp3D, and using the PickColor to highlight a\n vtkProp2D. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HighlightProp(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for HighlightProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HighlightActor2D */
    if ( strcmp ( argv[2], "HighlightActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HighlightActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HighlightActor2D */
    Tcl_DStringAppendElement ( &dString, " When picking successfully selects an actor, this method highlights the\n picked prop appropriately. Currently this is done by placing a bounding \n box around a picked vtkProp3D, and using the PickColor to highlight a\n vtkProp2D. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HighlightActor2D(vtkActor2D *actor2D);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for HighlightActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HighlightProp3D */
    if ( strcmp ( argv[2], "HighlightProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HighlightProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HighlightProp3D */
    Tcl_DStringAppendElement ( &dString, " When picking successfully selects an actor, this method highlights the\n picked prop appropriately. Currently this is done by placing a bounding \n box around a picked vtkProp3D, and using the PickColor to highlight a\n vtkProp2D. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HighlightProp3D(vtkProp3D *prop3D);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for HighlightProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPickColor */
    if ( strcmp ( argv[2], "SetPickColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPickColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPickColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPickColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetPickColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPickColor */
    if ( strcmp ( argv[2], "SetPickColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPickColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPickColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPickColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetPickColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickColor */
    if ( strcmp ( argv[2], "GetPickColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pick color (used by default to color vtkActor2D's).\n The color is expressed as red/green/blue values between (0.0,1.0).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPickColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetPickColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMouseWheelMotionFactor */
    if ( strcmp ( argv[2], "SetMouseWheelMotionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMouseWheelMotionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMouseWheelMotionFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the mouse wheel motion factor. Default to 1.0. Set it to a \n different value to emphasize or de-emphasize the action triggered by\n mouse wheel motion.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMouseWheelMotionFactor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetMouseWheelMotionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMouseWheelMotionFactor */
    if ( strcmp ( argv[2], "GetMouseWheelMotionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMouseWheelMotionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMouseWheelMotionFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the mouse wheel motion factor. Default to 1.0. Set it to a \n different value to emphasize or de-emphasize the action triggered by\n mouse wheel motion.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMouseWheelMotionFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetMouseWheelMotionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTDxStyle */
    if ( strcmp ( argv[2], "GetTDxStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTDxStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTDxStyle */
    Tcl_DStringAppendElement ( &dString, " 3Dconnexion device interactor style. Initial value is a pointer to an\n object of class vtkTdxInteractorStyleCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle *GetTDxStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for GetTDxStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTDxStyle */
    if ( strcmp ( argv[2], "SetTDxStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTDxStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTDxStyle */
    Tcl_DStringAppendElement ( &dString, " 3Dconnexion device interactor style. Initial value is a pointer to an\n object of class vtkTdxInteractorStyleCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTDxStyle(vtkTDxInteractorStyle *tdxStyle);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyle" );
    /* Closing for SetTDxStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorObserverCppCommand(static_cast<vtkInteractorObserver *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
