// tcl wrapper for vtkInteractorStyleTerrain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleTerrain.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleTerrainNewCommand()
{
  vtkInteractorStyleTerrain *temp = vtkInteractorStyleTerrain::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleTerrainCppCommand(vtkInteractorStyleTerrain *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleTerrainCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleTerrainCppCommand(static_cast<vtkInteractorStyleTerrain *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleTerrainCppCommand(vtkInteractorStyleTerrain *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyleTerrain",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyle"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleTerrain  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleTerrain");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleTerrain  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleTerrain");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyleTerrain  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleTerrain");
    return TCL_OK;
    }
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Rotate",argv[1]))&&(argc == 2))
    {
    op->Rotate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pan",argv[1]))&&(argc == 2))
    {
    op->Pan();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Dolly",argv[1]))&&(argc == 2))
    {
    op->Dolly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLatLongLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLatLongLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLatLongLines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLatLongLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LatLongLinesOn",argv[1]))&&(argc == 2))
    {
    op->LatLongLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LatLongLinesOff",argv[1]))&&(argc == 2))
    {
    op->LatLongLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleTerrainCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleTerrain:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    Tcl_AppendResult(interp,"  Rotate\n",NULL);
    Tcl_AppendResult(interp,"  Pan\n",NULL);
    Tcl_AppendResult(interp,"  Dolly\n",NULL);
    Tcl_AppendResult(interp,"  SetLatLongLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLatLongLines\n",NULL);
    Tcl_AppendResult(interp,"  LatLongLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  LatLongLinesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    Tcl_DStringAppendElement ( &dString, "Pan" );
    Tcl_DStringAppendElement ( &dString, "Dolly" );
    Tcl_DStringAppendElement ( &dString, "SetLatLongLines" );
    Tcl_DStringAppendElement ( &dString, "GetLatLongLines" );
    Tcl_DStringAppendElement ( &dString, "LatLongLinesOn" );
    Tcl_DStringAppendElement ( &dString, "LatLongLinesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleTerrain *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonDown */
    if ( strcmp ( argv[2], "OnLeftButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonDown */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnLeftButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonDown */
    if ( strcmp ( argv[2], "OnMiddleButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonDown */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnMiddleButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonUp */
    if ( strcmp ( argv[2], "OnMiddleButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonUp */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnMiddleButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonDown */
    if ( strcmp ( argv[2], "OnRightButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonDown */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnRightButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonUp */
    if ( strcmp ( argv[2], "OnRightButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonUp */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnRightButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnChar */
    if ( strcmp ( argv[2], "OnChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnChar */
    Tcl_DStringAppendElement ( &dString, " Override the \"fly-to\" (f keypress) for images.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for OnChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Rotate */
    if ( strcmp ( argv[2], "Rotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Rotate */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Rotate();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for Rotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pan */
    if ( strcmp ( argv[2], "Pan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pan */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Pan();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for Pan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Dolly */
    if ( strcmp ( argv[2], "Dolly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Dolly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Dolly */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Dolly();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for Dolly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatLongLines */
    if ( strcmp ( argv[2], "SetLatLongLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatLongLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatLongLines */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the latitude/longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLatLongLines(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for SetLatLongLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatLongLines */
    if ( strcmp ( argv[2], "GetLatLongLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatLongLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatLongLines */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the latitude/longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLatLongLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for GetLatLongLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LatLongLinesOn */
    if ( strcmp ( argv[2], "LatLongLinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LatLongLinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LatLongLinesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the latitude/longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void LatLongLinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for LatLongLinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LatLongLinesOff */
    if ( strcmp ( argv[2], "LatLongLinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LatLongLinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LatLongLinesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the latitude/longitude lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void LatLongLinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTerrain" );
    /* Closing for LatLongLinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
