// tcl wrapper for vtkInteractorStyleUser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleUser.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleUserNewCommand()
{
  vtkInteractorStyleUser *temp = vtkInteractorStyleUser::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleUserCppCommand(vtkInteractorStyleUser *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleUserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleUserCppCommand(static_cast<vtkInteractorStyleUser *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleUserCppCommand(vtkInteractorStyleUser *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyleUser",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyle"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleUser  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleUser");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleUser  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleUser");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyleUser  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleUser");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLastPos",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetLastPos();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOldPos",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOldPos();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetShiftKey",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShiftKey();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCtrlKey",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCtrlKey();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetChar",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetChar();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeySym",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetKeySym();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetButton",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyPress",argv[1]))&&(argc == 2))
    {
    op->OnKeyPress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyRelease",argv[1]))&&(argc == 2))
    {
    op->OnKeyRelease();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnExpose",argv[1]))&&(argc == 2))
    {
    op->OnExpose();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnConfigure",argv[1]))&&(argc == 2))
    {
    op->OnConfigure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnEnter",argv[1]))&&(argc == 2))
    {
    op->OnEnter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeave",argv[1]))&&(argc == 2))
    {
    op->OnLeave();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnTimer",argv[1]))&&(argc == 2))
    {
    op->OnTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleUserCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleUser:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLastPos\n",NULL);
    Tcl_AppendResult(interp,"  GetOldPos\n",NULL);
    Tcl_AppendResult(interp,"  GetShiftKey\n",NULL);
    Tcl_AppendResult(interp,"  GetCtrlKey\n",NULL);
    Tcl_AppendResult(interp,"  GetChar\n",NULL);
    Tcl_AppendResult(interp,"  GetKeySym\n",NULL);
    Tcl_AppendResult(interp,"  GetButton\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyPress\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyRelease\n",NULL);
    Tcl_AppendResult(interp,"  OnExpose\n",NULL);
    Tcl_AppendResult(interp,"  OnConfigure\n",NULL);
    Tcl_AppendResult(interp,"  OnEnter\n",NULL);
    Tcl_AppendResult(interp,"  OnLeave\n",NULL);
    Tcl_AppendResult(interp,"  OnTimer\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetLastPos" );
    Tcl_DStringAppendElement ( &dString, "GetOldPos" );
    Tcl_DStringAppendElement ( &dString, "GetShiftKey" );
    Tcl_DStringAppendElement ( &dString, "GetCtrlKey" );
    Tcl_DStringAppendElement ( &dString, "GetChar" );
    Tcl_DStringAppendElement ( &dString, "GetKeySym" );
    Tcl_DStringAppendElement ( &dString, "GetButton" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    Tcl_DStringAppendElement ( &dString, "OnKeyPress" );
    Tcl_DStringAppendElement ( &dString, "OnKeyRelease" );
    Tcl_DStringAppendElement ( &dString, "OnExpose" );
    Tcl_DStringAppendElement ( &dString, "OnConfigure" );
    Tcl_DStringAppendElement ( &dString, "OnEnter" );
    Tcl_DStringAppendElement ( &dString, "OnLeave" );
    Tcl_DStringAppendElement ( &dString, "OnTimer" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleUser *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastPos */
    if ( strcmp ( argv[2], "GetLastPos" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastPos" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastPos */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetLastPos();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetLastPos */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOldPos */
    if ( strcmp ( argv[2], "GetOldPos" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOldPos" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOldPos */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetOldPos();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetOldPos */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShiftKey */
    if ( strcmp ( argv[2], "GetShiftKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShiftKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShiftKey */
    Tcl_DStringAppendElement ( &dString, " Test whether modifiers were held down when mouse button or key\n was pressed\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShiftKey();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetShiftKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCtrlKey */
    if ( strcmp ( argv[2], "GetCtrlKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCtrlKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCtrlKey */
    Tcl_DStringAppendElement ( &dString, " Test whether modifiers were held down when mouse button or key\n was pressed\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCtrlKey();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetCtrlKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChar */
    if ( strcmp ( argv[2], "GetChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChar */
    Tcl_DStringAppendElement ( &dString, " Get the character for a Char event.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeySym */
    if ( strcmp ( argv[2], "GetKeySym" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeySym" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeySym */
    Tcl_DStringAppendElement ( &dString, " Get the KeySym (in the same format as Tk KeySyms) for a \n KeyPress or KeyRelease method.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetKeySym();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetKeySym */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetButton */
    if ( strcmp ( argv[2], "GetButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetButton */
    Tcl_DStringAppendElement ( &dString, " Get the mouse button that was last pressed inside the window\n (returns zero when the button is released).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for GetButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonDown */
    if ( strcmp ( argv[2], "OnLeftButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonDown */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnLeftButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonDown */
    if ( strcmp ( argv[2], "OnMiddleButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonDown */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnMiddleButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonUp */
    if ( strcmp ( argv[2], "OnMiddleButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonUp */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnMiddleButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonDown */
    if ( strcmp ( argv[2], "OnRightButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonDown */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonDown();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnRightButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonUp */
    if ( strcmp ( argv[2], "OnRightButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonUp */
    Tcl_DStringAppendElement ( &dString, " Generic event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonUp();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnRightButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnChar */
    if ( strcmp ( argv[2], "OnChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnChar */
    Tcl_DStringAppendElement ( &dString, " Keyboard functions\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyPress */
    if ( strcmp ( argv[2], "OnKeyPress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyPress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyPress */
    Tcl_DStringAppendElement ( &dString, " Keyboard functions\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyPress();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnKeyPress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyRelease */
    if ( strcmp ( argv[2], "OnKeyRelease" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyRelease" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyRelease */
    Tcl_DStringAppendElement ( &dString, " Keyboard functions\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyRelease();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnKeyRelease */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnExpose */
    if ( strcmp ( argv[2], "OnExpose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnExpose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnExpose */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnExpose();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnExpose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnConfigure */
    if ( strcmp ( argv[2], "OnConfigure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnConfigure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnConfigure */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnConfigure();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnConfigure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnEnter */
    if ( strcmp ( argv[2], "OnEnter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnEnter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnEnter */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnEnter();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnEnter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeave */
    if ( strcmp ( argv[2], "OnLeave" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeave" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeave */
    Tcl_DStringAppendElement ( &dString, " These are more esoteric events, but are useful in some cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeave();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnLeave */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnTimer */
    if ( strcmp ( argv[2], "OnTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnTimer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnTimer();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleUser" );
    /* Closing for OnTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
