// tcl wrapper for vtkLabelPlacementMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelPlacementMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLabelPlacementMapperNewCommand()
{
  vtkLabelPlacementMapper *temp = vtkLabelPlacementMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkMapper2DCppCommand(vtkMapper2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLabelPlacementMapperCppCommand(vtkLabelPlacementMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLabelPlacementMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLabelPlacementMapperCppCommand(static_cast<vtkLabelPlacementMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLabelPlacementMapperCppCommand(vtkLabelPlacementMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLabelPlacementMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMapper2DCppCommand(static_cast<vtkMapper2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMapper2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLabelPlacementMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelPlacementMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLabelPlacementMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelPlacementMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLabelPlacementMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelPlacementMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkActor2D  *temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->RenderOverlay(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderStrategy",argv[1]))&&(argc == 3))
    {
    vtkLabelRenderStrategy  *temp0;
    error = 0;

    temp0 = (vtkLabelRenderStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLabelRenderStrategy"),interp,error));
    if (!error)
    {
    op->SetRenderStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderStrategy",argv[1]))&&(argc == 2))
    {
    vtkLabelRenderStrategy  *temp20;
    temp20 = (op)->GetRenderStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelRenderStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLabelFraction",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumLabelFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLabelFractionMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLabelFractionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLabelFractionMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLabelFractionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLabelFraction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLabelFraction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIteratorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIteratorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIteratorType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIteratorType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseUnicodeStrings",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseUnicodeStrings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseUnicodeStrings",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseUnicodeStrings();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseUnicodeStringsOn",argv[1]))&&(argc == 2))
    {
    op->UseUnicodeStringsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseUnicodeStringsOff",argv[1]))&&(argc == 2))
    {
    op->UseUnicodeStringsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPositionsAsNormals",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPositionsAsNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPositionsAsNormals",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPositionsAsNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PositionsAsNormalsOn",argv[1]))&&(argc == 2))
    {
    op->PositionsAsNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PositionsAsNormalsOff",argv[1]))&&(argc == 2))
    {
    op->PositionsAsNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGeneratePerturbedLabelSpokes",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGeneratePerturbedLabelSpokes();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePerturbedLabelSpokes",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGeneratePerturbedLabelSpokes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GeneratePerturbedLabelSpokesOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePerturbedLabelSpokesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePerturbedLabelSpokesOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePerturbedLabelSpokesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUseDepthBuffer",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseDepthBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseDepthBuffer",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseDepthBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseDepthBufferOn",argv[1]))&&(argc == 2))
    {
    op->UseDepthBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseDepthBufferOff",argv[1]))&&(argc == 2))
    {
    op->UseDepthBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaceAllLabels",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPlaceAllLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlaceAllLabels",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPlaceAllLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PlaceAllLabelsOn",argv[1]))&&(argc == 2))
    {
    op->PlaceAllLabelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceAllLabelsOff",argv[1]))&&(argc == 2))
    {
    op->PlaceAllLabelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputTraversedBounds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOutputTraversedBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputTraversedBounds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOutputTraversedBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutputTraversedBoundsOn",argv[1]))&&(argc == 2))
    {
    op->OutputTraversedBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutputTraversedBoundsOff",argv[1]))&&(argc == 2))
    {
    op->OutputTraversedBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShape",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShapeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShapeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShapeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShapeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShape",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShape();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShapeToNone",argv[1]))&&(argc == 2))
    {
    op->SetShapeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShapeToRect",argv[1]))&&(argc == 2))
    {
    op->SetShapeToRect();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShapeToRoundedRect",argv[1]))&&(argc == 2))
    {
    op->SetShapeToRoundedRect();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStyleMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStyleMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStyleMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStyleMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStyleToFilled",argv[1]))&&(argc == 2))
    {
    op->SetStyleToFilled();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStyleToOutline",argv[1]))&&(argc == 2))
    {
    op->SetStyleToOutline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMargin",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMargin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMargin",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMargin();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackgroundColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBackgroundOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundOpacityMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackgroundOpacityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBackgroundOpacityMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackgroundOpacityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBackgroundOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackgroundOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAnchorTransform",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetAnchorTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLabelPlacementMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMapper2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLabelPlacementMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLabelFraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLabelFractionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLabelFractionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLabelFraction\n",NULL);
    Tcl_AppendResult(interp,"  SetIteratorType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIteratorType\n",NULL);
    Tcl_AppendResult(interp,"  SetUseUnicodeStrings\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseUnicodeStrings\n",NULL);
    Tcl_AppendResult(interp,"  UseUnicodeStringsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseUnicodeStringsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPositionsAsNormals\n",NULL);
    Tcl_AppendResult(interp,"  SetPositionsAsNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PositionsAsNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  PositionsAsNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePerturbedLabelSpokes\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePerturbedLabelSpokes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePerturbedLabelSpokesOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePerturbedLabelSpokesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDepthBuffer\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDepthBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseDepthBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  UseDepthBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaceAllLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaceAllLabels\n",NULL);
    Tcl_AppendResult(interp,"  PlaceAllLabelsOn\n",NULL);
    Tcl_AppendResult(interp,"  PlaceAllLabelsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTraversedBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputTraversedBounds\n",NULL);
    Tcl_AppendResult(interp,"  OutputTraversedBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  OutputTraversedBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShapeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShapeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShape\n",NULL);
    Tcl_AppendResult(interp,"  SetShapeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetShapeToRect\n",NULL);
    Tcl_AppendResult(interp,"  SetShapeToRoundedRect\n",NULL);
    Tcl_AppendResult(interp,"  SetStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStyleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStyleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetStyleToFilled\n",NULL);
    Tcl_AppendResult(interp,"  SetStyleToOutline\n",NULL);
    Tcl_AppendResult(interp,"  SetMargin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMargin\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundColor\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundOpacityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundOpacityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetAnchorTransform\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMapper2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "SetRenderStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetRenderStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLabelFraction" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFraction" );
    Tcl_DStringAppendElement ( &dString, "SetIteratorType" );
    Tcl_DStringAppendElement ( &dString, "GetIteratorType" );
    Tcl_DStringAppendElement ( &dString, "SetUseUnicodeStrings" );
    Tcl_DStringAppendElement ( &dString, "GetUseUnicodeStrings" );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOn" );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOff" );
    Tcl_DStringAppendElement ( &dString, "GetPositionsAsNormals" );
    Tcl_DStringAppendElement ( &dString, "SetPositionsAsNormals" );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePerturbedLabelSpokes" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePerturbedLabelSpokes" );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOff" );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOn" );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOff" );
    Tcl_DStringAppendElement ( &dString, "SetPlaceAllLabels" );
    Tcl_DStringAppendElement ( &dString, "GetPlaceAllLabels" );
    Tcl_DStringAppendElement ( &dString, "PlaceAllLabelsOn" );
    Tcl_DStringAppendElement ( &dString, "PlaceAllLabelsOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTraversedBounds" );
    Tcl_DStringAppendElement ( &dString, "GetOutputTraversedBounds" );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetShape" );
    Tcl_DStringAppendElement ( &dString, "GetShapeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShapeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShape" );
    Tcl_DStringAppendElement ( &dString, "SetShapeToNone" );
    Tcl_DStringAppendElement ( &dString, "SetShapeToRect" );
    Tcl_DStringAppendElement ( &dString, "SetShapeToRoundedRect" );
    Tcl_DStringAppendElement ( &dString, "SetStyle" );
    Tcl_DStringAppendElement ( &dString, "GetStyleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetStyleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetStyle" );
    Tcl_DStringAppendElement ( &dString, "SetStyleToFilled" );
    Tcl_DStringAppendElement ( &dString, "SetStyleToOutline" );
    Tcl_DStringAppendElement ( &dString, "SetMargin" );
    Tcl_DStringAppendElement ( &dString, "GetMargin" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundOpacityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundOpacityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetAnchorTransform" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMapper2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLabelPlacementMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw non-overlapping labels to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderOverlay(vtkViewport *viewport, vtkActor2D *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderStrategy */
    if ( strcmp ( argv[2], "SetRenderStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLabelRenderStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderStrategy */
    Tcl_DStringAppendElement ( &dString, " Set the label rendering strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderStrategy(vtkLabelRenderStrategy *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetRenderStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderStrategy */
    if ( strcmp ( argv[2], "GetRenderStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderStrategy */
    Tcl_DStringAppendElement ( &dString, " Set the label rendering strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelRenderStrategy *GetRenderStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetRenderStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLabelFraction */
    if ( strcmp ( argv[2], "SetMaximumLabelFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLabelFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLabelFraction */
    Tcl_DStringAppendElement ( &dString, " The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumLabelFraction(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetMaximumLabelFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLabelFractionMinValue */
    if ( strcmp ( argv[2], "GetMaximumLabelFractionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLabelFractionMinValue */
    Tcl_DStringAppendElement ( &dString, " The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLabelFractionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetMaximumLabelFractionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLabelFractionMaxValue */
    if ( strcmp ( argv[2], "GetMaximumLabelFractionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLabelFractionMaxValue */
    Tcl_DStringAppendElement ( &dString, " The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLabelFractionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetMaximumLabelFractionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLabelFraction */
    if ( strcmp ( argv[2], "GetMaximumLabelFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLabelFraction */
    Tcl_DStringAppendElement ( &dString, " The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLabelFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetMaximumLabelFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIteratorType */
    if ( strcmp ( argv[2], "SetIteratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIteratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIteratorType */
    Tcl_DStringAppendElement ( &dString, " The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIteratorType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetIteratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIteratorType */
    if ( strcmp ( argv[2], "GetIteratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIteratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIteratorType */
    Tcl_DStringAppendElement ( &dString, " The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIteratorType();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetIteratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseUnicodeStrings */
    if ( strcmp ( argv[2], "SetUseUnicodeStrings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseUnicodeStrings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseUnicodeStrings */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseUnicodeStrings(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetUseUnicodeStrings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseUnicodeStrings */
    if ( strcmp ( argv[2], "GetUseUnicodeStrings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseUnicodeStrings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseUnicodeStrings */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseUnicodeStrings();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetUseUnicodeStrings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseUnicodeStringsOn */
    if ( strcmp ( argv[2], "UseUnicodeStringsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseUnicodeStringsOn */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseUnicodeStringsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for UseUnicodeStringsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseUnicodeStringsOff */
    if ( strcmp ( argv[2], "UseUnicodeStringsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseUnicodeStringsOff */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseUnicodeStringsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for UseUnicodeStringsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPositionsAsNormals */
    if ( strcmp ( argv[2], "GetPositionsAsNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositionsAsNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositionsAsNormals */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPositionsAsNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetPositionsAsNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPositionsAsNormals */
    if ( strcmp ( argv[2], "SetPositionsAsNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPositionsAsNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPositionsAsNormals */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPositionsAsNormals(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetPositionsAsNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PositionsAsNormalsOn */
    if ( strcmp ( argv[2], "PositionsAsNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionsAsNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PositionsAsNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for PositionsAsNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PositionsAsNormalsOff */
    if ( strcmp ( argv[2], "PositionsAsNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionsAsNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PositionsAsNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for PositionsAsNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePerturbedLabelSpokes */
    if ( strcmp ( argv[2], "GetGeneratePerturbedLabelSpokes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePerturbedLabelSpokes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePerturbedLabelSpokes */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGeneratePerturbedLabelSpokes();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetGeneratePerturbedLabelSpokes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePerturbedLabelSpokes */
    if ( strcmp ( argv[2], "SetGeneratePerturbedLabelSpokes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePerturbedLabelSpokes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePerturbedLabelSpokes */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePerturbedLabelSpokes(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetGeneratePerturbedLabelSpokes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePerturbedLabelSpokesOn */
    if ( strcmp ( argv[2], "GeneratePerturbedLabelSpokesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePerturbedLabelSpokesOn */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePerturbedLabelSpokesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GeneratePerturbedLabelSpokesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePerturbedLabelSpokesOff */
    if ( strcmp ( argv[2], "GeneratePerturbedLabelSpokesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePerturbedLabelSpokesOff */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePerturbedLabelSpokesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GeneratePerturbedLabelSpokesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDepthBuffer */
    if ( strcmp ( argv[2], "GetUseDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseDepthBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetUseDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDepthBuffer */
    if ( strcmp ( argv[2], "SetUseDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDepthBuffer(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetUseDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDepthBufferOn */
    if ( strcmp ( argv[2], "UseDepthBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthBufferOn */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDepthBufferOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for UseDepthBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDepthBufferOff */
    if ( strcmp ( argv[2], "UseDepthBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthBufferOff */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDepthBufferOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for UseDepthBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaceAllLabels */
    if ( strcmp ( argv[2], "SetPlaceAllLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaceAllLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaceAllLabels */
    Tcl_DStringAppendElement ( &dString, " Tells the placer to place every label regardless of overlap.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaceAllLabels(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetPlaceAllLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaceAllLabels */
    if ( strcmp ( argv[2], "GetPlaceAllLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaceAllLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaceAllLabels */
    Tcl_DStringAppendElement ( &dString, " Tells the placer to place every label regardless of overlap.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPlaceAllLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetPlaceAllLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceAllLabelsOn */
    if ( strcmp ( argv[2], "PlaceAllLabelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceAllLabelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceAllLabelsOn */
    Tcl_DStringAppendElement ( &dString, " Tells the placer to place every label regardless of overlap.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceAllLabelsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for PlaceAllLabelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceAllLabelsOff */
    if ( strcmp ( argv[2], "PlaceAllLabelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceAllLabelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceAllLabelsOff */
    Tcl_DStringAppendElement ( &dString, " Tells the placer to place every label regardless of overlap.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceAllLabelsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for PlaceAllLabelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTraversedBounds */
    if ( strcmp ( argv[2], "SetOutputTraversedBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTraversedBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTraversedBounds */
    Tcl_DStringAppendElement ( &dString, " Whether to render traversed bounds. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTraversedBounds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetOutputTraversedBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputTraversedBounds */
    if ( strcmp ( argv[2], "GetOutputTraversedBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputTraversedBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputTraversedBounds */
    Tcl_DStringAppendElement ( &dString, " Whether to render traversed bounds. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOutputTraversedBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetOutputTraversedBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputTraversedBoundsOn */
    if ( strcmp ( argv[2], "OutputTraversedBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputTraversedBoundsOn */
    Tcl_DStringAppendElement ( &dString, " Whether to render traversed bounds. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputTraversedBoundsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for OutputTraversedBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputTraversedBoundsOff */
    if ( strcmp ( argv[2], "OutputTraversedBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputTraversedBoundsOff */
    Tcl_DStringAppendElement ( &dString, " Whether to render traversed bounds. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputTraversedBoundsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for OutputTraversedBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShape */
    if ( strcmp ( argv[2], "SetShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShape */
    Tcl_DStringAppendElement ( &dString, " The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShape(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShapeMinValue */
    if ( strcmp ( argv[2], "GetShapeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShapeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShapeMinValue */
    Tcl_DStringAppendElement ( &dString, " The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShapeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetShapeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShapeMaxValue */
    if ( strcmp ( argv[2], "GetShapeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShapeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShapeMaxValue */
    Tcl_DStringAppendElement ( &dString, " The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShapeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetShapeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShape */
    if ( strcmp ( argv[2], "GetShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShape */
    Tcl_DStringAppendElement ( &dString, " The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShapeToNone */
    if ( strcmp ( argv[2], "SetShapeToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShapeToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShapeToNone */
    Tcl_DStringAppendElement ( &dString, " The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShapeToNone();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetShapeToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShapeToRect */
    if ( strcmp ( argv[2], "SetShapeToRect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShapeToRect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShapeToRect */
    Tcl_DStringAppendElement ( &dString, " The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShapeToRect();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetShapeToRect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShapeToRoundedRect */
    if ( strcmp ( argv[2], "SetShapeToRoundedRect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShapeToRoundedRect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShapeToRoundedRect */
    Tcl_DStringAppendElement ( &dString, " The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShapeToRoundedRect();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetShapeToRoundedRect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStyle */
    if ( strcmp ( argv[2], "SetStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStyle */
    Tcl_DStringAppendElement ( &dString, " The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStyle(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStyleMinValue */
    if ( strcmp ( argv[2], "GetStyleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStyleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStyleMinValue */
    Tcl_DStringAppendElement ( &dString, " The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStyleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetStyleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStyleMaxValue */
    if ( strcmp ( argv[2], "GetStyleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStyleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStyleMaxValue */
    Tcl_DStringAppendElement ( &dString, " The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStyleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetStyleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStyle */
    if ( strcmp ( argv[2], "GetStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStyle */
    Tcl_DStringAppendElement ( &dString, " The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStyleToFilled */
    if ( strcmp ( argv[2], "SetStyleToFilled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStyleToFilled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStyleToFilled */
    Tcl_DStringAppendElement ( &dString, " The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStyleToFilled();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetStyleToFilled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStyleToOutline */
    if ( strcmp ( argv[2], "SetStyleToOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStyleToOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStyleToOutline */
    Tcl_DStringAppendElement ( &dString, " The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStyleToOutline();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetStyleToOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMargin */
    if ( strcmp ( argv[2], "SetMargin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMargin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMargin */
    Tcl_DStringAppendElement ( &dString, " The size of the margin on the label background shape.\n Default is 5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMargin(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetMargin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMargin */
    if ( strcmp ( argv[2], "GetMargin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMargin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMargin */
    Tcl_DStringAppendElement ( &dString, " The size of the margin on the label background shape.\n Default is 5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMargin();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetMargin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor */
    if ( strcmp ( argv[2], "SetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor */
    if ( strcmp ( argv[2], "SetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundColor */
    if ( strcmp ( argv[2], "GetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetBackgroundColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundOpacity */
    if ( strcmp ( argv[2], "SetBackgroundOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundOpacity */
    Tcl_DStringAppendElement ( &dString, " The opacity of the background shape.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundOpacity(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for SetBackgroundOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundOpacityMinValue */
    if ( strcmp ( argv[2], "GetBackgroundOpacityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundOpacityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundOpacityMinValue */
    Tcl_DStringAppendElement ( &dString, " The opacity of the background shape.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBackgroundOpacityMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetBackgroundOpacityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundOpacityMaxValue */
    if ( strcmp ( argv[2], "GetBackgroundOpacityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundOpacityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundOpacityMaxValue */
    Tcl_DStringAppendElement ( &dString, " The opacity of the background shape.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBackgroundOpacityMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetBackgroundOpacityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundOpacity */
    if ( strcmp ( argv[2], "GetBackgroundOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundOpacity */
    Tcl_DStringAppendElement ( &dString, " The opacity of the background shape.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBackgroundOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetBackgroundOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnchorTransform */
    if ( strcmp ( argv[2], "GetAnchorTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnchorTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnchorTransform */
    Tcl_DStringAppendElement ( &dString, " Get the transform for the anchor points.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetAnchorTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacementMapper" );
    /* Closing for GetAnchorTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMapper2DCppCommand(static_cast<vtkMapper2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
