// tcl wrapper for vtkLabelPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelPlacer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLabelPlacerNewCommand()
{
  vtkLabelPlacer *temp = vtkLabelPlacer::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLabelPlacerCppCommand(vtkLabelPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLabelPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLabelPlacerCppCommand(static_cast<vtkLabelPlacer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLabelPlacerCppCommand(vtkLabelPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLabelPlacer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLabelPlacer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelPlacer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLabelPlacer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelPlacer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLabelPlacer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelPlacer");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnchorTransform",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetAnchorTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetGravity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGravity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGravity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGravity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLabelFraction",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumLabelFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLabelFractionMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLabelFractionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLabelFractionMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLabelFractionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLabelFraction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLabelFraction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIteratorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIteratorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIteratorType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIteratorType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseUnicodeStrings",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseUnicodeStrings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseUnicodeStrings",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseUnicodeStrings();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseUnicodeStringsOn",argv[1]))&&(argc == 2))
    {
    op->UseUnicodeStringsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseUnicodeStringsOff",argv[1]))&&(argc == 2))
    {
    op->UseUnicodeStringsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPositionsAsNormals",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPositionsAsNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPositionsAsNormals",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPositionsAsNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PositionsAsNormalsOn",argv[1]))&&(argc == 2))
    {
    op->PositionsAsNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PositionsAsNormalsOff",argv[1]))&&(argc == 2))
    {
    op->PositionsAsNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGeneratePerturbedLabelSpokes",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGeneratePerturbedLabelSpokes();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePerturbedLabelSpokes",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGeneratePerturbedLabelSpokes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GeneratePerturbedLabelSpokesOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePerturbedLabelSpokesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePerturbedLabelSpokesOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePerturbedLabelSpokesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUseDepthBuffer",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseDepthBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseDepthBuffer",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseDepthBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseDepthBufferOn",argv[1]))&&(argc == 2))
    {
    op->UseDepthBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseDepthBufferOff",argv[1]))&&(argc == 2))
    {
    op->UseDepthBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputTraversedBounds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOutputTraversedBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputTraversedBounds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOutputTraversedBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OutputTraversedBoundsOn",argv[1]))&&(argc == 2))
    {
    op->OutputTraversedBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutputTraversedBoundsOff",argv[1]))&&(argc == 2))
    {
    op->OutputTraversedBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputCoordinateSystem",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputCoordinateSystem();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputCoordinateSystem",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputCoordinateSystem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputCoordinateSystemMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputCoordinateSystemMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputCoordinateSystemMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputCoordinateSystemMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutputCoordinateSystemWorld",argv[1]))&&(argc == 2))
    {
    op->OutputCoordinateSystemWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutputCoordinateSystemDisplay",argv[1]))&&(argc == 2))
    {
    op->OutputCoordinateSystemDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLabelPlacerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLabelPlacer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnchorTransform\n",NULL);
    Tcl_AppendResult(interp,"  SetGravity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGravity\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLabelFraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLabelFractionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLabelFractionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLabelFraction\n",NULL);
    Tcl_AppendResult(interp,"  SetIteratorType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIteratorType\n",NULL);
    Tcl_AppendResult(interp,"  SetUseUnicodeStrings\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseUnicodeStrings\n",NULL);
    Tcl_AppendResult(interp,"  UseUnicodeStringsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseUnicodeStringsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetPositionsAsNormals\n",NULL);
    Tcl_AppendResult(interp,"  SetPositionsAsNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PositionsAsNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  PositionsAsNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePerturbedLabelSpokes\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePerturbedLabelSpokes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePerturbedLabelSpokesOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePerturbedLabelSpokesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDepthBuffer\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDepthBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseDepthBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  UseDepthBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputTraversedBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTraversedBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OutputTraversedBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  OutputTraversedBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputCoordinateSystem\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputCoordinateSystem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputCoordinateSystemMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputCoordinateSystemMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  OutputCoordinateSystemWorld\n",NULL);
    Tcl_AppendResult(interp,"  OutputCoordinateSystemDisplay\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetAnchorTransform" );
    Tcl_DStringAppendElement ( &dString, "SetGravity" );
    Tcl_DStringAppendElement ( &dString, "GetGravity" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLabelFraction" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFraction" );
    Tcl_DStringAppendElement ( &dString, "SetIteratorType" );
    Tcl_DStringAppendElement ( &dString, "GetIteratorType" );
    Tcl_DStringAppendElement ( &dString, "SetUseUnicodeStrings" );
    Tcl_DStringAppendElement ( &dString, "GetUseUnicodeStrings" );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOn" );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetPositionsAsNormals" );
    Tcl_DStringAppendElement ( &dString, "SetPositionsAsNormals" );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePerturbedLabelSpokes" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePerturbedLabelSpokes" );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOff" );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOn" );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutputTraversedBounds" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTraversedBounds" );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystem" );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystemMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystemMaxValue" );
    Tcl_DStringAppendElement ( &dString, "OutputCoordinateSystemWorld" );
    Tcl_DStringAppendElement ( &dString, "OutputCoordinateSystemDisplay" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLabelPlacer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderer */
    if ( strcmp ( argv[2], "GetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *GetRenderer();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnchorTransform */
    if ( strcmp ( argv[2], "GetAnchorTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnchorTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnchorTransform */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetAnchorTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetAnchorTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGravity */
    if ( strcmp ( argv[2], "SetGravity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravity */
    Tcl_DStringAppendElement ( &dString, " The placement of the label relative to the anchor point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGravity(int gravity);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetGravity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGravity */
    if ( strcmp ( argv[2], "GetGravity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGravity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGravity */
    Tcl_DStringAppendElement ( &dString, " The placement of the label relative to the anchor point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGravity();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetGravity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLabelFraction */
    if ( strcmp ( argv[2], "SetMaximumLabelFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLabelFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLabelFraction */
    Tcl_DStringAppendElement ( &dString, " The maximum amount of screen space labels can take up before placement\n terminates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumLabelFraction(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetMaximumLabelFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLabelFractionMinValue */
    if ( strcmp ( argv[2], "GetMaximumLabelFractionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLabelFractionMinValue */
    Tcl_DStringAppendElement ( &dString, " The maximum amount of screen space labels can take up before placement\n terminates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLabelFractionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetMaximumLabelFractionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLabelFractionMaxValue */
    if ( strcmp ( argv[2], "GetMaximumLabelFractionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFractionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLabelFractionMaxValue */
    Tcl_DStringAppendElement ( &dString, " The maximum amount of screen space labels can take up before placement\n terminates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLabelFractionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetMaximumLabelFractionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLabelFraction */
    if ( strcmp ( argv[2], "GetMaximumLabelFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLabelFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLabelFraction */
    Tcl_DStringAppendElement ( &dString, " The maximum amount of screen space labels can take up before placement\n terminates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLabelFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetMaximumLabelFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIteratorType */
    if ( strcmp ( argv[2], "SetIteratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIteratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIteratorType */
    Tcl_DStringAppendElement ( &dString, " The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIteratorType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetIteratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIteratorType */
    if ( strcmp ( argv[2], "GetIteratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIteratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIteratorType */
    Tcl_DStringAppendElement ( &dString, " The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIteratorType();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetIteratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseUnicodeStrings */
    if ( strcmp ( argv[2], "SetUseUnicodeStrings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseUnicodeStrings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseUnicodeStrings */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseUnicodeStrings(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetUseUnicodeStrings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseUnicodeStrings */
    if ( strcmp ( argv[2], "GetUseUnicodeStrings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseUnicodeStrings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseUnicodeStrings */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseUnicodeStrings();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetUseUnicodeStrings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseUnicodeStringsOn */
    if ( strcmp ( argv[2], "UseUnicodeStringsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseUnicodeStringsOn */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseUnicodeStringsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for UseUnicodeStringsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseUnicodeStringsOff */
    if ( strcmp ( argv[2], "UseUnicodeStringsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseUnicodeStringsOff */
    Tcl_DStringAppendElement ( &dString, " Set whether, or not, to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseUnicodeStringsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for UseUnicodeStringsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPositionsAsNormals */
    if ( strcmp ( argv[2], "GetPositionsAsNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositionsAsNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositionsAsNormals */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPositionsAsNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetPositionsAsNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPositionsAsNormals */
    if ( strcmp ( argv[2], "SetPositionsAsNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPositionsAsNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPositionsAsNormals */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPositionsAsNormals(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetPositionsAsNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PositionsAsNormalsOn */
    if ( strcmp ( argv[2], "PositionsAsNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionsAsNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PositionsAsNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for PositionsAsNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PositionsAsNormalsOff */
    if ( strcmp ( argv[2], "PositionsAsNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionsAsNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionsAsNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PositionsAsNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for PositionsAsNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePerturbedLabelSpokes */
    if ( strcmp ( argv[2], "GetGeneratePerturbedLabelSpokes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePerturbedLabelSpokes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePerturbedLabelSpokes */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGeneratePerturbedLabelSpokes();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetGeneratePerturbedLabelSpokes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePerturbedLabelSpokes */
    if ( strcmp ( argv[2], "SetGeneratePerturbedLabelSpokes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePerturbedLabelSpokes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePerturbedLabelSpokes */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePerturbedLabelSpokes(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetGeneratePerturbedLabelSpokes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePerturbedLabelSpokesOn */
    if ( strcmp ( argv[2], "GeneratePerturbedLabelSpokesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePerturbedLabelSpokesOn */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePerturbedLabelSpokesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GeneratePerturbedLabelSpokesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePerturbedLabelSpokesOff */
    if ( strcmp ( argv[2], "GeneratePerturbedLabelSpokesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePerturbedLabelSpokesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePerturbedLabelSpokesOff */
    Tcl_DStringAppendElement ( &dString, " Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePerturbedLabelSpokesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GeneratePerturbedLabelSpokesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDepthBuffer */
    if ( strcmp ( argv[2], "GetUseDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseDepthBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetUseDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDepthBuffer */
    if ( strcmp ( argv[2], "SetUseDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDepthBuffer(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetUseDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDepthBufferOn */
    if ( strcmp ( argv[2], "UseDepthBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthBufferOn */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDepthBufferOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for UseDepthBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDepthBufferOff */
    if ( strcmp ( argv[2], "UseDepthBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthBufferOff */
    Tcl_DStringAppendElement ( &dString, " Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDepthBufferOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for UseDepthBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputTraversedBounds */
    if ( strcmp ( argv[2], "GetOutputTraversedBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputTraversedBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputTraversedBounds */
    Tcl_DStringAppendElement ( &dString, " In the second output, output the geometry of the traversed octree nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOutputTraversedBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetOutputTraversedBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTraversedBounds */
    if ( strcmp ( argv[2], "SetOutputTraversedBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTraversedBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTraversedBounds */
    Tcl_DStringAppendElement ( &dString, " In the second output, output the geometry of the traversed octree nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTraversedBounds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetOutputTraversedBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputTraversedBoundsOn */
    if ( strcmp ( argv[2], "OutputTraversedBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputTraversedBoundsOn */
    Tcl_DStringAppendElement ( &dString, " In the second output, output the geometry of the traversed octree nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputTraversedBoundsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for OutputTraversedBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputTraversedBoundsOff */
    if ( strcmp ( argv[2], "OutputTraversedBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputTraversedBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputTraversedBoundsOff */
    Tcl_DStringAppendElement ( &dString, " In the second output, output the geometry of the traversed octree nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputTraversedBoundsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for OutputTraversedBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputCoordinateSystem */
    if ( strcmp ( argv[2], "GetOutputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputCoordinateSystem();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetOutputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputCoordinateSystem */
    if ( strcmp ( argv[2], "SetOutputCoordinateSystem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputCoordinateSystem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputCoordinateSystem */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputCoordinateSystem(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for SetOutputCoordinateSystem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputCoordinateSystemMinValue */
    if ( strcmp ( argv[2], "GetOutputCoordinateSystemMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystemMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputCoordinateSystemMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputCoordinateSystemMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetOutputCoordinateSystemMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputCoordinateSystemMaxValue */
    if ( strcmp ( argv[2], "GetOutputCoordinateSystemMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputCoordinateSystemMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputCoordinateSystemMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputCoordinateSystemMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for GetOutputCoordinateSystemMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputCoordinateSystemWorld */
    if ( strcmp ( argv[2], "OutputCoordinateSystemWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputCoordinateSystemWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputCoordinateSystemWorld */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputCoordinateSystemWorld();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for OutputCoordinateSystemWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputCoordinateSystemDisplay */
    if ( strcmp ( argv[2], "OutputCoordinateSystemDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputCoordinateSystemDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputCoordinateSystemDisplay */
    Tcl_DStringAppendElement ( &dString, " Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputCoordinateSystemDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelPlacer" );
    /* Closing for OutputCoordinateSystemDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
