// tcl wrapper for vtkLabeledTreeMapDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabeledTreeMapDataMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLabeledTreeMapDataMapperNewCommand()
{
  vtkLabeledTreeMapDataMapper *temp = vtkLabeledTreeMapDataMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkLabeledDataMapperCppCommand(vtkLabeledDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLabeledTreeMapDataMapperCppCommand(vtkLabeledTreeMapDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLabeledTreeMapDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLabeledTreeMapDataMapperCppCommand(static_cast<vtkLabeledTreeMapDataMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLabeledTreeMapDataMapperCppCommand(vtkLabeledTreeMapDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLabeledTreeMapDataMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLabeledDataMapperCppCommand(static_cast<vtkLabeledDataMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLabeledDataMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLabeledTreeMapDataMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabeledTreeMapDataMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLabeledTreeMapDataMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabeledTreeMapDataMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLabeledTreeMapDataMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabeledTreeMapDataMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkActor2D  *temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->RenderOpaqueGeometry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    vtkActor2D  *temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    temp1 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor2D"),interp,error));
    if (!error)
    {
    op->RenderOverlay(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputTree",argv[1]))&&(argc == 2))
    {
    vtkTree  *temp20;
    temp20 = (op)->GetInputTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTree");
    return TCL_OK;
    }
  if ((!strcmp("SetRectanglesArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRectanglesArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClipTextMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClipTextMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClipTextMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClipTextMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChildMotion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetChildMotion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetChildMotion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetChildMotion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDynamicLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDynamicLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDynamicLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDynamicLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFontSizeRange",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetFontSizeRange(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontSizeRange",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->GetFontSizeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLevelRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLevelRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevelRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->GetLevelRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLabeledTreeMapDataMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLabeledDataMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLabeledTreeMapDataMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputTree\n",NULL);
    Tcl_AppendResult(interp,"  SetRectanglesArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClipTextMode\n",NULL);
    Tcl_AppendResult(interp,"  SetClipTextMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChildMotion\n",NULL);
    Tcl_AppendResult(interp,"  SetChildMotion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDynamicLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetDynamicLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFontSizeRange\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFontSizeRange\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLevelRange\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLabeledDataMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "GetInputTree" );
    Tcl_DStringAppendElement ( &dString, "SetRectanglesArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetClipTextMode" );
    Tcl_DStringAppendElement ( &dString, "SetClipTextMode" );
    Tcl_DStringAppendElement ( &dString, "GetChildMotion" );
    Tcl_DStringAppendElement ( &dString, "SetChildMotion" );
    Tcl_DStringAppendElement ( &dString, "GetDynamicLevel" );
    Tcl_DStringAppendElement ( &dString, "SetDynamicLevel" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetFontSizeRange" );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeRange" );
    Tcl_DStringAppendElement ( &dString, "SetLevelRange" );
    Tcl_DStringAppendElement ( &dString, "GetLevelRange" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLabeledDataMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLabeledTreeMapDataMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the text to the screen at each input point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderOpaqueGeometry(vtkViewport *viewport, vtkActor2D *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the text to the screen at each input point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderOverlay(vtkViewport *viewport, vtkActor2D *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputTree */
    if ( strcmp ( argv[2], "GetInputTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputTree */
    Tcl_DStringAppendElement ( &dString, " The input to this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTree *GetInputTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for GetInputTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRectanglesArrayName */
    if ( strcmp ( argv[2], "SetRectanglesArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRectanglesArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRectanglesArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the 4-tuple array used for\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRectanglesArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for SetRectanglesArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipTextMode */
    if ( strcmp ( argv[2], "GetClipTextMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipTextMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipTextMode */
    Tcl_DStringAppendElement ( &dString, " Indicates if the label can be displayed clipped by the Window\n mode = 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped region\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClipTextMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for GetClipTextMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipTextMode */
    if ( strcmp ( argv[2], "SetClipTextMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipTextMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipTextMode */
    Tcl_DStringAppendElement ( &dString, " Indicates if the label can be displayed clipped by the Window\n mode = 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped region\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClipTextMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for SetClipTextMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChildMotion */
    if ( strcmp ( argv[2], "GetChildMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChildMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChildMotion */
    Tcl_DStringAppendElement ( &dString, " Indicates if the label can be moved by its ancestors\n" );
    Tcl_DStringAppendElement ( &dString, "int GetChildMotion();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for GetChildMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetChildMotion */
    if ( strcmp ( argv[2], "SetChildMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetChildMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetChildMotion */
    Tcl_DStringAppendElement ( &dString, " Indicates if the label can be moved by its ancestors\n" );
    Tcl_DStringAppendElement ( &dString, "void SetChildMotion(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for SetChildMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDynamicLevel */
    if ( strcmp ( argv[2], "GetDynamicLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDynamicLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDynamicLevel */
    Tcl_DStringAppendElement ( &dString, " Indicates at which level labeling should be dynamic \n" );
    Tcl_DStringAppendElement ( &dString, "int GetDynamicLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for GetDynamicLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDynamicLevel */
    if ( strcmp ( argv[2], "SetDynamicLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDynamicLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDynamicLevel */
    Tcl_DStringAppendElement ( &dString, " Indicates at which level labeling should be dynamic \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDynamicLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for SetDynamicLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontSizeRange */
    if ( strcmp ( argv[2], "SetFontSizeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontSizeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontSizeRange */
    Tcl_DStringAppendElement ( &dString, " The range of font sizes to use when rendering the labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontSizeRange(int maxSize, int minSize, int delta=4);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for SetFontSizeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontSizeRange */
    if ( strcmp ( argv[2], "GetFontSizeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontSizeRange */
    Tcl_DStringAppendElement ( &dString, " The range of font sizes to use when rendering the labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetFontSizeRange(int range\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for GetFontSizeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelRange */
    if ( strcmp ( argv[2], "SetLevelRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelRange */
    Tcl_DStringAppendElement ( &dString, " The range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelRange(int startLevel, int endLevel);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for SetLevelRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevelRange */
    if ( strcmp ( argv[2], "GetLevelRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelRange */
    Tcl_DStringAppendElement ( &dString, " The range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetLevelRange(int range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledTreeMapDataMapper" );
    /* Closing for GetLevelRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLabeledDataMapperCppCommand(static_cast<vtkLabeledDataMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
