// tcl wrapper for vtkLeaderActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLeaderActor2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLeaderActor2DNewCommand()
{
  vtkLeaderActor2D *temp = vtkLeaderActor2D::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLeaderActor2DCppCommand(vtkLeaderActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLeaderActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLeaderActor2DCppCommand(static_cast<vtkLeaderActor2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLeaderActor2DCppCommand(vtkLeaderActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLeaderActor2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLeaderActor2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLeaderActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLeaderActor2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLeaderActor2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLeaderActor2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLeaderActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLabelFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowPlacement",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetArrowPlacement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrowPlacementMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrowPlacementMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowPlacementMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrowPlacementMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowPlacement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrowPlacement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowPlacementToNone",argv[1]))&&(argc == 2))
    {
    op->SetArrowPlacementToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowPlacementToPoint1",argv[1]))&&(argc == 2))
    {
    op->SetArrowPlacementToPoint1();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowPlacementToPoint2",argv[1]))&&(argc == 2))
    {
    op->SetArrowPlacementToPoint2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowPlacementToBoth",argv[1]))&&(argc == 2))
    {
    op->SetArrowPlacementToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetArrowStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrowStyleMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrowStyleMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowStyleMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrowStyleMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrowStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowStyleToFilled",argv[1]))&&(argc == 2))
    {
    op->SetArrowStyleToFilled();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowStyleToOpen",argv[1]))&&(argc == 2))
    {
    op->SetArrowStyleToOpen();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowStyleToHollow",argv[1]))&&(argc == 2))
    {
    op->SetArrowStyleToHollow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetArrowLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrowLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetArrowLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetArrowLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetArrowLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetArrowWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetArrowWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrowWidthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetArrowWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowWidthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetArrowWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrowWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetArrowWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumArrowSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumArrowSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumArrowSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumArrowSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumArrowSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumArrowSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumArrowSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumArrowSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumArrowSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumArrowSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumArrowSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumArrowSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumArrowSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumArrowSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumArrowSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumArrowSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoLabel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoLabel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoLabelOn",argv[1]))&&(argc == 2))
    {
    op->AutoLabelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoLabelOff",argv[1]))&&(argc == 2))
    {
    op->AutoLabelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLeaderActor2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLeaderActor2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowPlacement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowPlacementMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowPlacementMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowPlacement\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowPlacementToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowPlacementToPoint1\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowPlacementToPoint2\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowPlacementToBoth\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowStyleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowStyleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowStyleToFilled\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowStyleToOpen\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowStyleToHollow\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowLength\n",NULL);
    Tcl_AppendResult(interp,"  SetArrowWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetArrowWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumArrowSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumArrowSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumArrowSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumArrowSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumArrowSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumArrowSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumArrowSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumArrowSize\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoLabel\n",NULL);
    Tcl_AppendResult(interp,"  AutoLabelOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoLabelOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  GetLength\n",NULL);
    Tcl_AppendResult(interp,"  GetAngle\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetLabel" );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFactor" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactor" );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacement" );
    Tcl_DStringAppendElement ( &dString, "GetArrowPlacementMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowPlacementMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowPlacement" );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToNone" );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToBoth" );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyle" );
    Tcl_DStringAppendElement ( &dString, "GetArrowStyleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowStyleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowStyle" );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyleToFilled" );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyleToOpen" );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyleToHollow" );
    Tcl_DStringAppendElement ( &dString, "SetArrowLength" );
    Tcl_DStringAppendElement ( &dString, "GetArrowLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowLength" );
    Tcl_DStringAppendElement ( &dString, "SetArrowWidth" );
    Tcl_DStringAppendElement ( &dString, "GetArrowWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetArrowWidth" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumArrowSize" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumArrowSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumArrowSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumArrowSize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumArrowSize" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumArrowSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumArrowSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumArrowSize" );
    Tcl_DStringAppendElement ( &dString, "SetAutoLabel" );
    Tcl_DStringAppendElement ( &dString, "GetAutoLabel" );
    Tcl_DStringAppendElement ( &dString, "AutoLabelOn" );
    Tcl_DStringAppendElement ( &dString, "AutoLabelOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLength" );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkLeaderActor2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get a radius which can be used to curve the leader.  If a radius is\n specified whose absolute value is greater than one half the distance\n between the two points defined by the superclasses' Position and\n Position2 ivars, then the leader will be curved. A positive radius will\n produce a curve such that the center is to the right of the line from\n Position and Position2; a negative radius will produce a curve in the \n opposite sense. By default, the radius is set t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get a radius which can be used to curve the leader.  If a radius is\n specified whose absolute value is greater than one half the distance\n between the two points defined by the superclasses' Position and\n Position2 ivars, then the leader will be curved. A positive radius will\n produce a curve such that the center is to the right of the line from\n Position and Position2; a negative radius will produce a curve in the \n opposite sense. By default, the radius is set t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabel */
    if ( strcmp ( argv[2], "SetLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the label for the leader. If the label is an empty string, then\n it will not be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabel(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabel */
    if ( strcmp ( argv[2], "GetLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the label for the leader. If the label is an empty string, then\n it will not be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property of the label.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property of the label.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFactor */
    if ( strcmp ( argv[2], "SetLabelFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label the leader. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFactor(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetLabelFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFactorMinValue */
    if ( strcmp ( argv[2], "GetLabelFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label the leader. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetLabelFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFactorMaxValue */
    if ( strcmp ( argv[2], "GetLabelFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label the leader. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetLabelFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFactor */
    if ( strcmp ( argv[2], "GetLabelFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label the leader. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetLabelFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowPlacement */
    if ( strcmp ( argv[2], "SetArrowPlacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowPlacement */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowPlacement(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowPlacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowPlacementMinValue */
    if ( strcmp ( argv[2], "GetArrowPlacementMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowPlacementMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowPlacementMinValue */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrowPlacementMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowPlacementMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowPlacementMaxValue */
    if ( strcmp ( argv[2], "GetArrowPlacementMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowPlacementMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowPlacementMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrowPlacementMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowPlacementMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowPlacement */
    if ( strcmp ( argv[2], "GetArrowPlacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowPlacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowPlacement */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrowPlacement();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowPlacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowPlacementToNone */
    if ( strcmp ( argv[2], "SetArrowPlacementToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowPlacementToNone */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowPlacementToNone();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowPlacementToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowPlacementToPoint1 */
    if ( strcmp ( argv[2], "SetArrowPlacementToPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowPlacementToPoint1 */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowPlacementToPoint1();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowPlacementToPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowPlacementToPoint2 */
    if ( strcmp ( argv[2], "SetArrowPlacementToPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowPlacementToPoint2 */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowPlacementToPoint2();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowPlacementToPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowPlacementToBoth */
    if ( strcmp ( argv[2], "SetArrowPlacementToBoth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowPlacementToBoth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowPlacementToBoth */
    Tcl_DStringAppendElement ( &dString, " Control whether arrow heads are drawn on the leader. Arrows may be\n drawn on one end, both ends, or not at all.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowPlacementToBoth();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowPlacementToBoth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowStyle */
    if ( strcmp ( argv[2], "SetArrowStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowStyle */
    Tcl_DStringAppendElement ( &dString, " Control the appearance of the arrow heads. A solid arrow head is a filled\n triangle; a open arrow looks like a \"V\"; and a hollow arrow looks like a\n non-filled triangle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowStyle(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowStyleMinValue */
    if ( strcmp ( argv[2], "GetArrowStyleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowStyleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowStyleMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the appearance of the arrow heads. A solid arrow head is a filled\n triangle; a open arrow looks like a \"V\"; and a hollow arrow looks like a\n non-filled triangle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrowStyleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowStyleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowStyleMaxValue */
    if ( strcmp ( argv[2], "GetArrowStyleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowStyleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowStyleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the appearance of the arrow heads. A solid arrow head is a filled\n triangle; a open arrow looks like a \"V\"; and a hollow arrow looks like a\n non-filled triangle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrowStyleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowStyleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowStyle */
    if ( strcmp ( argv[2], "GetArrowStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowStyle */
    Tcl_DStringAppendElement ( &dString, " Control the appearance of the arrow heads. A solid arrow head is a filled\n triangle; a open arrow looks like a \"V\"; and a hollow arrow looks like a\n non-filled triangle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrowStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowStyleToFilled */
    if ( strcmp ( argv[2], "SetArrowStyleToFilled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyleToFilled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowStyleToFilled */
    Tcl_DStringAppendElement ( &dString, " Control the appearance of the arrow heads. A solid arrow head is a filled\n triangle; a open arrow looks like a \"V\"; and a hollow arrow looks like a\n non-filled triangle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowStyleToFilled();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowStyleToFilled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowStyleToOpen */
    if ( strcmp ( argv[2], "SetArrowStyleToOpen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyleToOpen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowStyleToOpen */
    Tcl_DStringAppendElement ( &dString, " Control the appearance of the arrow heads. A solid arrow head is a filled\n triangle; a open arrow looks like a \"V\"; and a hollow arrow looks like a\n non-filled triangle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowStyleToOpen();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowStyleToOpen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowStyleToHollow */
    if ( strcmp ( argv[2], "SetArrowStyleToHollow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowStyleToHollow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowStyleToHollow */
    Tcl_DStringAppendElement ( &dString, " Control the appearance of the arrow heads. A solid arrow head is a filled\n triangle; a open arrow looks like a \"V\"; and a hollow arrow looks like a\n non-filled triangle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowStyleToHollow();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowStyleToHollow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowLength */
    if ( strcmp ( argv[2], "SetArrowLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowLength */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowLength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowLengthMinValue */
    if ( strcmp ( argv[2], "GetArrowLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetArrowLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowLengthMaxValue */
    if ( strcmp ( argv[2], "GetArrowLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetArrowLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowLength */
    if ( strcmp ( argv[2], "GetArrowLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowLength */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetArrowLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrowWidth */
    if ( strcmp ( argv[2], "SetArrowWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrowWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrowWidth */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrowWidth(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetArrowWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowWidthMinValue */
    if ( strcmp ( argv[2], "GetArrowWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetArrowWidthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowWidthMaxValue */
    if ( strcmp ( argv[2], "GetArrowWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetArrowWidthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrowWidth */
    if ( strcmp ( argv[2], "GetArrowWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrowWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrowWidth */
    Tcl_DStringAppendElement ( &dString, " Specify the arrow length and base width (in normalized viewport\n coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetArrowWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetArrowWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumArrowSize */
    if ( strcmp ( argv[2], "SetMinimumArrowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumArrowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumArrowSize */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumArrowSize(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetMinimumArrowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumArrowSizeMinValue */
    if ( strcmp ( argv[2], "GetMinimumArrowSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumArrowSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumArrowSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumArrowSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetMinimumArrowSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumArrowSizeMaxValue */
    if ( strcmp ( argv[2], "GetMinimumArrowSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumArrowSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumArrowSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumArrowSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetMinimumArrowSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumArrowSize */
    if ( strcmp ( argv[2], "GetMinimumArrowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumArrowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumArrowSize */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumArrowSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetMinimumArrowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumArrowSize */
    if ( strcmp ( argv[2], "SetMaximumArrowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumArrowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumArrowSize */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumArrowSize(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetMaximumArrowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumArrowSizeMinValue */
    if ( strcmp ( argv[2], "GetMaximumArrowSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumArrowSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumArrowSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumArrowSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetMaximumArrowSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumArrowSizeMaxValue */
    if ( strcmp ( argv[2], "GetMaximumArrowSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumArrowSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumArrowSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumArrowSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetMaximumArrowSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumArrowSize */
    if ( strcmp ( argv[2], "GetMaximumArrowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumArrowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumArrowSize */
    Tcl_DStringAppendElement ( &dString, " Limit the minimum and maximum size of the arrows. These values are\n expressed in pixels and clamp the minimum/maximum possible size for the\n width/length of the arrow head. (When clamped, the ratio between length\n and width is preserved.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumArrowSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetMaximumArrowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoLabel */
    if ( strcmp ( argv[2], "SetAutoLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoLabel */
    Tcl_DStringAppendElement ( &dString, " Enable auto-labelling. In this mode, the label is automatically updated\n based on distance (in world coordinates) between the two end points; or\n if a curved leader is being generated, the angle in degrees between the\n two points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoLabel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetAutoLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoLabel */
    if ( strcmp ( argv[2], "GetAutoLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoLabel */
    Tcl_DStringAppendElement ( &dString, " Enable auto-labelling. In this mode, the label is automatically updated\n based on distance (in world coordinates) between the two end points; or\n if a curved leader is being generated, the angle in degrees between the\n two points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetAutoLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoLabelOn */
    if ( strcmp ( argv[2], "AutoLabelOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoLabelOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoLabelOn */
    Tcl_DStringAppendElement ( &dString, " Enable auto-labelling. In this mode, the label is automatically updated\n based on distance (in world coordinates) between the two end points; or\n if a curved leader is being generated, the angle in degrees between the\n two points.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoLabelOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for AutoLabelOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoLabelOff */
    if ( strcmp ( argv[2], "AutoLabelOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoLabelOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoLabelOff */
    Tcl_DStringAppendElement ( &dString, " Enable auto-labelling. In this mode, the label is automatically updated\n based on distance (in world coordinates) between the two end points; or\n if a curved leader is being generated, the angle in degrees between the\n two points.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoLabelOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for AutoLabelOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for auto-labelling.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for auto-labelling.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLength */
    if ( strcmp ( argv[2], "GetLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLength */
    Tcl_DStringAppendElement ( &dString, " Obtain the length of the leader if the leader is not curved,\n otherwise obtain the angle that the leader circumscribes.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngle */
    if ( strcmp ( argv[2], "GetAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngle */
    Tcl_DStringAppendElement ( &dString, " Obtain the length of the leader if the leader is not curved,\n otherwise obtain the angle that the leader circumscribes.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for GetAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp and vtkActor2D superclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp and vtkActor2D superclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp and vtkActor2D superclasses.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkLeaderActor2D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
