// tcl wrapper for vtkLight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLight.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLightNewCommand()
{
  vtkLight *temp = vtkLight::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLightCppCommand(vtkLight *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLightCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLightCppCommand(static_cast<vtkLight *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLightCppCommand(vtkLight *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLight",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLight  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLight");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLight  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLight");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLight  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLight");
    return TCL_OK;
    }
  if ((!strcmp("ShallowClone",argv[1]))&&(argc == 2))
    {
    vtkLight  *temp20;
    temp20 = (op)->ShallowClone();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLight");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbientColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAmbientColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbientColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAmbientColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbientColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAmbientColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDiffuseColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDiffuseColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDiffuseColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDiffuseColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuseColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDiffuseColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSpecularColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSpecularColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpecularColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSpecularColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSpecularColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
#endif
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFocalPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetFocalPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIntensity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetIntensity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntensity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntensity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSwitch",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSwitch(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwitch",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSwitch();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwitchOn",argv[1]))&&(argc == 2))
    {
    op->SwitchOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SwitchOff",argv[1]))&&(argc == 2))
    {
    op->SwitchOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPositional",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPositional(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPositional",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPositional();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PositionalOn",argv[1]))&&(argc == 2))
    {
    op->PositionalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PositionalOff",argv[1]))&&(argc == 2))
    {
    op->PositionalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExponent",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetExponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExponentMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetExponentMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExponentMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetExponentMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExponent",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetExponent();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConeAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetConeAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConeAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConeAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttenuationValues",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAttenuationValues(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttenuationValues",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAttenuationValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttenuationValues",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAttenuationValues();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTransformMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->SetTransformMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransformMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetTransformMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetTransformedPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetTransformedPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransformedPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTransformedPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTransformedFocalPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetTransformedFocalPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransformedFocalPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTransformedFocalPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionAngle",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDirectionAngle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDirectionAngle",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetDirectionAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkLight  *temp0;
    error = 0;

    temp0 = (vtkLight *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLight"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLightType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLightType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLightType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLightType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLightTypeToHeadlight",argv[1]))&&(argc == 2))
    {
    op->SetLightTypeToHeadlight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLightTypeToSceneLight",argv[1]))&&(argc == 2))
    {
    op->SetLightTypeToSceneLight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLightTypeToCameraLight",argv[1]))&&(argc == 2))
    {
    op->SetLightTypeToCameraLight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LightTypeIsHeadlight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->LightTypeIsHeadlight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LightTypeIsSceneLight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->LightTypeIsSceneLight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LightTypeIsCameraLight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->LightTypeIsCameraLight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLightCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLight:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  ShallowClone\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbientColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbientColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbientColor\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuseColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuseColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuseColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularColor\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetColor\t with 3 args\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetColor\n",NULL);
#endif
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFocalPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetIntensity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntensity\n",NULL);
    Tcl_AppendResult(interp,"  SetSwitch\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSwitch\n",NULL);
    Tcl_AppendResult(interp,"  SwitchOn\n",NULL);
    Tcl_AppendResult(interp,"  SwitchOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPositional\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPositional\n",NULL);
    Tcl_AppendResult(interp,"  PositionalOn\n",NULL);
    Tcl_AppendResult(interp,"  PositionalOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExponent\n",NULL);
    Tcl_AppendResult(interp,"  SetConeAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConeAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetAttenuationValues\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAttenuationValues\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttenuationValues\n",NULL);
    Tcl_AppendResult(interp,"  SetTransformMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformMatrix\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformedPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformedPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformedFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformedFocalPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLightType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLightType\n",NULL);
    Tcl_AppendResult(interp,"  SetLightTypeToHeadlight\n",NULL);
    Tcl_AppendResult(interp,"  SetLightTypeToSceneLight\n",NULL);
    Tcl_AppendResult(interp,"  SetLightTypeToCameraLight\n",NULL);
    Tcl_AppendResult(interp,"  LightTypeIsHeadlight\n",NULL);
    Tcl_AppendResult(interp,"  LightTypeIsSceneLight\n",NULL);
    Tcl_AppendResult(interp,"  LightTypeIsCameraLight\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "ShallowClone" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    Tcl_DStringAppendElement ( &dString, "GetAmbientColor" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseColor" );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetColor" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetColor" );
#endif
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "GetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetIntensity" );
    Tcl_DStringAppendElement ( &dString, "SetSwitch" );
    Tcl_DStringAppendElement ( &dString, "GetSwitch" );
    Tcl_DStringAppendElement ( &dString, "SwitchOn" );
    Tcl_DStringAppendElement ( &dString, "SwitchOff" );
    Tcl_DStringAppendElement ( &dString, "SetPositional" );
    Tcl_DStringAppendElement ( &dString, "GetPositional" );
    Tcl_DStringAppendElement ( &dString, "PositionalOn" );
    Tcl_DStringAppendElement ( &dString, "PositionalOff" );
    Tcl_DStringAppendElement ( &dString, "SetExponent" );
    Tcl_DStringAppendElement ( &dString, "GetExponentMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetExponentMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetExponent" );
    Tcl_DStringAppendElement ( &dString, "SetConeAngle" );
    Tcl_DStringAppendElement ( &dString, "GetConeAngle" );
    Tcl_DStringAppendElement ( &dString, "SetAttenuationValues" );
    Tcl_DStringAppendElement ( &dString, "SetAttenuationValues" );
    Tcl_DStringAppendElement ( &dString, "GetAttenuationValues" );
    Tcl_DStringAppendElement ( &dString, "SetTransformMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetTransformMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetTransformedPosition" );
    Tcl_DStringAppendElement ( &dString, "GetTransformedPosition" );
    Tcl_DStringAppendElement ( &dString, "GetTransformedFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "GetTransformedFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionAngle" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionAngle" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "SetLightType" );
    Tcl_DStringAppendElement ( &dString, "GetLightType" );
    Tcl_DStringAppendElement ( &dString, "SetLightTypeToHeadlight" );
    Tcl_DStringAppendElement ( &dString, "SetLightTypeToSceneLight" );
    Tcl_DStringAppendElement ( &dString, "SetLightTypeToCameraLight" );
    Tcl_DStringAppendElement ( &dString, "LightTypeIsHeadlight" );
    Tcl_DStringAppendElement ( &dString, "LightTypeIsSceneLight" );
    Tcl_DStringAppendElement ( &dString, "LightTypeIsCameraLight" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLight *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLight *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create a light with the focal point at the origin and its position\n set to (0,0,1). The light is a SceneLight, its color is white\n (black ambient, white diffuse, white specular), \n intensity=1, the light is turned on, positional lighting is off,\n ConeAngle=30, AttenuationValues=(1,0,0), Exponent=1 and the\n TransformMatrix is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkLight *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowClone */
    if ( strcmp ( argv[2], "ShallowClone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowClone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowClone */
    Tcl_DStringAppendElement ( &dString, " Create a new light object with the same light parameters than the current\n object (any ivar from the superclasses (vtkObject and vtkObjectBase),\n like reference counting, timestamp and observers are not copied).\n This is a shallow clone (TransformMatrix is referenced)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkLight *ShallowClone();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for ShallowClone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Abstract interface to renderer. Each concrete subclass of vtkLight\n will load its data into the graphics system in response to this method\n invocation. The actual loading is performed by a vtkLightDevice\n subclass, which will get created automatically.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbientColor */
    if ( strcmp ( argv[2], "SetAmbientColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbientColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbientColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetAmbientColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbientColor */
    if ( strcmp ( argv[2], "SetAmbientColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbientColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbientColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetAmbientColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbientColor */
    if ( strcmp ( argv[2], "GetAmbientColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbientColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbientColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetAmbientColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetAmbientColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuseColor */
    if ( strcmp ( argv[2], "SetDiffuseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuseColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuseColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetDiffuseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuseColor */
    if ( strcmp ( argv[2], "SetDiffuseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuseColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuseColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetDiffuseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuseColor */
    if ( strcmp ( argv[2], "GetDiffuseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuseColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetDiffuseColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetDiffuseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecularColor */
    if ( strcmp ( argv[2], "SetSpecularColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecularColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecularColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetSpecularColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecularColor */
    if ( strcmp ( argv[2], "SetSpecularColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecularColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecularColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetSpecularColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularColor */
    if ( strcmp ( argv[2], "GetSpecularColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetSpecularColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetSpecularColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " @deprecated Use GetDiffuseColor instead as of VTK 5.7.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetColor(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " @deprecated Use GetDiffuseColor instead as of VTK 5.7.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the light.\n Note: The position of the light is defined in the coordinate\n space indicated by its transformation matrix (if it exists).\n Thus, to get the light's world space position, use \n vtkGetTransformedPosition() instead of vtkGetPosition().\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalPoint */
    if ( strcmp ( argv[2], "SetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFocalPoint(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalPoint */
    if ( strcmp ( argv[2], "SetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFocalPoint(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFocalPoint */
    if ( strcmp ( argv[2], "GetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the point at which the light is shining.\n Note: The focal point of the light is defined in the coordinate\n space indicated by its transformation matrix (if it exists).\n Thus, to get the light's world space focal point, use \n vtkGetTransformedFocalPoint() instead of vtkGetFocalPoint().\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetFocalPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntensity */
    if ( strcmp ( argv[2], "SetIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntensity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the brightness of the light (from one to zero).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntensity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntensity */
    if ( strcmp ( argv[2], "GetIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntensity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the brightness of the light (from one to zero).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntensity();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSwitch */
    if ( strcmp ( argv[2], "SetSwitch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSwitch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSwitch */
    Tcl_DStringAppendElement ( &dString, " Turn the light on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSwitch(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetSwitch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSwitch */
    if ( strcmp ( argv[2], "GetSwitch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSwitch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSwitch */
    Tcl_DStringAppendElement ( &dString, " Turn the light on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSwitch();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetSwitch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwitchOn */
    if ( strcmp ( argv[2], "SwitchOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwitchOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwitchOn */
    Tcl_DStringAppendElement ( &dString, " Turn the light on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwitchOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SwitchOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwitchOff */
    if ( strcmp ( argv[2], "SwitchOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwitchOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwitchOff */
    Tcl_DStringAppendElement ( &dString, " Turn the light on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwitchOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SwitchOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPositional */
    if ( strcmp ( argv[2], "SetPositional" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPositional" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPositional */
    Tcl_DStringAppendElement ( &dString, " Turn positional lighting on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPositional(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetPositional */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPositional */
    if ( strcmp ( argv[2], "GetPositional" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositional" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositional */
    Tcl_DStringAppendElement ( &dString, " Turn positional lighting on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPositional();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetPositional */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PositionalOn */
    if ( strcmp ( argv[2], "PositionalOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionalOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionalOn */
    Tcl_DStringAppendElement ( &dString, " Turn positional lighting on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PositionalOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for PositionalOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PositionalOff */
    if ( strcmp ( argv[2], "PositionalOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionalOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionalOff */
    Tcl_DStringAppendElement ( &dString, " Turn positional lighting on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PositionalOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for PositionalOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExponent */
    if ( strcmp ( argv[2], "SetExponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExponent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the exponent of the cosine used in positional lighting.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExponent(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetExponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExponentMinValue */
    if ( strcmp ( argv[2], "GetExponentMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the exponent of the cosine used in positional lighting.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetExponentMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetExponentMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExponentMaxValue */
    if ( strcmp ( argv[2], "GetExponentMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the exponent of the cosine used in positional lighting.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetExponentMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetExponentMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExponent */
    if ( strcmp ( argv[2], "GetExponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the exponent of the cosine used in positional lighting.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetExponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetExponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConeAngle */
    if ( strcmp ( argv[2], "SetConeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConeAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the lighting cone angle of a positional light in degrees.\n This is the angle between the axis of the cone and a ray along the edge of\n the cone.\n A value of 180 indicates that you want no spot lighting effects\n just a positional light.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConeAngle(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetConeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConeAngle */
    if ( strcmp ( argv[2], "GetConeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConeAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the lighting cone angle of a positional light in degrees.\n This is the angle between the axis of the cone and a ray along the edge of\n the cone.\n A value of 180 indicates that you want no spot lighting effects\n just a positional light.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetConeAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetConeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttenuationValues */
    if ( strcmp ( argv[2], "SetAttenuationValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttenuationValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttenuationValues */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAttenuationValues(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetAttenuationValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttenuationValues */
    if ( strcmp ( argv[2], "SetAttenuationValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttenuationValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttenuationValues */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAttenuationValues(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetAttenuationValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttenuationValues */
    if ( strcmp ( argv[2], "GetAttenuationValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttenuationValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttenuationValues */
    Tcl_DStringAppendElement ( &dString, " Set/Get the quadratic attenuation constants. They are specified as\n constant, linear, and quadratic, in that order.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetAttenuationValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetAttenuationValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransformMatrix */
    if ( strcmp ( argv[2], "SetTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransformMatrix */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light's transformation matrix.  If a matrix is set for\n a light, the light's parameters (position and focal point) are \n transformed by the matrix before being rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransformMatrix(vtkMatrix4x4 *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformMatrix */
    if ( strcmp ( argv[2], "GetTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformMatrix */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light's transformation matrix.  If a matrix is set for\n a light, the light's parameters (position and focal point) are \n transformed by the matrix before being rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetTransformMatrix();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformedPosition */
    if ( strcmp ( argv[2], "GetTransformedPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformedPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformedPosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the light, modified by the transformation matrix\n (if it exists).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetTransformedPosition(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetTransformedPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformedPosition */
    if ( strcmp ( argv[2], "GetTransformedPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformedPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformedPosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the light, modified by the transformation matrix\n (if it exists).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTransformedPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetTransformedPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformedFocalPoint */
    if ( strcmp ( argv[2], "GetTransformedFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformedFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformedFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Get the focal point of the light, modified by the transformation matrix\n (if it exists).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetTransformedFocalPoint(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetTransformedFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformedFocalPoint */
    if ( strcmp ( argv[2], "GetTransformedFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformedFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformedFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Get the focal point of the light, modified by the transformation matrix\n (if it exists).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTransformedFocalPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetTransformedFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionAngle */
    if ( strcmp ( argv[2], "SetDirectionAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionAngle */
    Tcl_DStringAppendElement ( &dString, " Set the position and focal point of a light based on elevation and\n azimuth.  The light is moved so it is shining from the given angle.\n Angles are given in degrees.  If the light is a\n positional light, it is made directional instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionAngle(double elevation, double azimuth);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetDirectionAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionAngle */
    if ( strcmp ( argv[2], "SetDirectionAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionAngle */
    Tcl_DStringAppendElement ( &dString, " Set the position and focal point of a light based on elevation and\n azimuth.  The light is moved so it is shining from the given angle.\n Angles are given in degrees.  If the light is a\n positional light, it is made directional instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionAngle(double ang\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetDirectionAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Perform deep copy of this light.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkLight *light);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightType */
    if ( strcmp ( argv[2], "SetLightType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coor ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetLightType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLightType */
    if ( strcmp ( argv[2], "GetLightType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLightType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLightType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coor ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLightType();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for GetLightType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightTypeToHeadlight */
    if ( strcmp ( argv[2], "SetLightTypeToHeadlight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightTypeToHeadlight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightTypeToHeadlight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coor ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightTypeToHeadlight();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetLightTypeToHeadlight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightTypeToSceneLight */
    if ( strcmp ( argv[2], "SetLightTypeToSceneLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightTypeToSceneLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightTypeToSceneLight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coor ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightTypeToSceneLight();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetLightTypeToSceneLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightTypeToCameraLight */
    if ( strcmp ( argv[2], "SetLightTypeToCameraLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightTypeToCameraLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightTypeToCameraLight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coor ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightTypeToCameraLight();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for SetLightTypeToCameraLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LightTypeIsHeadlight */
    if ( strcmp ( argv[2], "LightTypeIsHeadlight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LightTypeIsHeadlight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LightTypeIsHeadlight */
    Tcl_DStringAppendElement ( &dString, " Query the type of the light.\n" );
    Tcl_DStringAppendElement ( &dString, "int LightTypeIsHeadlight();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for LightTypeIsHeadlight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LightTypeIsSceneLight */
    if ( strcmp ( argv[2], "LightTypeIsSceneLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LightTypeIsSceneLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LightTypeIsSceneLight */
    Tcl_DStringAppendElement ( &dString, " Query the type of the light.\n" );
    Tcl_DStringAppendElement ( &dString, "int LightTypeIsSceneLight();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for LightTypeIsSceneLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LightTypeIsCameraLight */
    if ( strcmp ( argv[2], "LightTypeIsCameraLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LightTypeIsCameraLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LightTypeIsCameraLight */
    Tcl_DStringAppendElement ( &dString, " Query the type of the light.\n" );
    Tcl_DStringAppendElement ( &dString, "int LightTypeIsCameraLight();" );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    /* Closing for LightTypeIsCameraLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
