// tcl wrapper for vtkLineIntegralConvolution2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLineIntegralConvolution2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLineIntegralConvolution2DNewCommand()
{
  vtkLineIntegralConvolution2D *temp = vtkLineIntegralConvolution2D::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLineIntegralConvolution2DCppCommand(vtkLineIntegralConvolution2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLineIntegralConvolution2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLineIntegralConvolution2DCppCommand(static_cast<vtkLineIntegralConvolution2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLineIntegralConvolution2DCppCommand(vtkLineIntegralConvolution2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLineIntegralConvolution2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLineIntegralConvolution2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLineIntegralConvolution2D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLineIntegralConvolution2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLineIntegralConvolution2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLineIntegralConvolution2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLineIntegralConvolution2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnhancedLIC",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnhancedLIC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnhancedLIC",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnhancedLIC();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnhancedLICOn",argv[1]))&&(argc == 2))
    {
    op->EnhancedLICOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnhancedLICOff",argv[1]))&&(argc == 2))
    {
    op->EnhancedLICOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLICForSurface",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLICForSurface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLICForSurface",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLICForSurface();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LICForSurfaceOn",argv[1]))&&(argc == 2))
    {
    op->LICForSurfaceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LICForSurfaceOff",argv[1]))&&(argc == 2))
    {
    op->LICForSurfaceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLICStepSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLICStepSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLICStepSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLICStepSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLICStepSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLICStepSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLICStepSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLICStepSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNoise",argv[1]))&&(argc == 3))
    {
    vtkTextureObject  *temp0;
    error = 0;

    temp0 = (vtkTextureObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextureObject"),interp,error));
    if (!error)
    {
    op->SetNoise(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNoise",argv[1]))&&(argc == 2))
    {
    vtkTextureObject  *temp20;
    temp20 = (op)->GetNoise();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureObject");
    return TCL_OK;
    }
  if ((!strcmp("SetVectorField",argv[1]))&&(argc == 3))
    {
    vtkTextureObject  *temp0;
    error = 0;

    temp0 = (vtkTextureObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextureObject"),interp,error));
    if (!error)
    {
    op->SetVectorField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorField",argv[1]))&&(argc == 2))
    {
    vtkTextureObject  *temp20;
    temp20 = (op)->GetVectorField();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureObject");
    return TCL_OK;
    }
  if ((!strcmp("SetComponentIds",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetComponentIds(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetComponentIds",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetComponentIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentIds",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetComponentIds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGridSpacings",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetGridSpacings(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGridSpacings",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetGridSpacings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridSpacings",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetGridSpacings();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTransformVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTransformVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransformVectorsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTransformVectorsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTransformVectorsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTransformVectorsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TransformVectorsOn",argv[1]))&&(argc == 2))
    {
    op->TransformVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TransformVectorsOff",argv[1]))&&(argc == 2))
    {
    op->TransformVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTransformVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTransformVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnification",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMagnification(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnificationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnificationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMagnificationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnificationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMagnification",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnification();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorShiftScale",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetVectorShiftScale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Execute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Execute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Execute",argv[1]))&&(argc == 6))
    {
    int    temp0[4];
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (!error)
    {
    temp20 = (op)->Execute(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLIC",argv[1]))&&(argc == 3))
    {
    vtkTextureObject  *temp0;
    error = 0;

    temp0 = (vtkTextureObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextureObject"),interp,error));
    if (!error)
    {
    op->SetLIC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLIC",argv[1]))&&(argc == 2))
    {
    vtkTextureObject  *temp20;
    temp20 = (op)->GetLIC();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureObject");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLineIntegralConvolution2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLineIntegralConvolution2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnhancedLIC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnhancedLIC\n",NULL);
    Tcl_AppendResult(interp,"  EnhancedLICOn\n",NULL);
    Tcl_AppendResult(interp,"  EnhancedLICOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLICForSurface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLICForSurface\n",NULL);
    Tcl_AppendResult(interp,"  LICForSurfaceOn\n",NULL);
    Tcl_AppendResult(interp,"  LICForSurfaceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetLICStepSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLICStepSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLICStepSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLICStepSize\n",NULL);
    Tcl_AppendResult(interp,"  SetNoise\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNoise\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorField\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentIds\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentIds\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentIds\n",NULL);
    Tcl_AppendResult(interp,"  SetGridSpacings\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGridSpacings\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGridSpacings\n",NULL);
    Tcl_AppendResult(interp,"  SetTransformVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformVectorsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformVectorsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  TransformVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  TransformVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformVectors\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnification\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnificationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnificationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnification\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorShiftScale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Execute\n",NULL);
    Tcl_AppendResult(interp,"  Execute\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLIC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLIC\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnhancedLIC" );
    Tcl_DStringAppendElement ( &dString, "GetEnhancedLIC" );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOn" );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOff" );
    Tcl_DStringAppendElement ( &dString, "SetLICForSurface" );
    Tcl_DStringAppendElement ( &dString, "GetLICForSurface" );
    Tcl_DStringAppendElement ( &dString, "LICForSurfaceOn" );
    Tcl_DStringAppendElement ( &dString, "LICForSurfaceOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "SetLICStepSize" );
    Tcl_DStringAppendElement ( &dString, "GetLICStepSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLICStepSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLICStepSize" );
    Tcl_DStringAppendElement ( &dString, "SetNoise" );
    Tcl_DStringAppendElement ( &dString, "GetNoise" );
    Tcl_DStringAppendElement ( &dString, "SetVectorField" );
    Tcl_DStringAppendElement ( &dString, "GetVectorField" );
    Tcl_DStringAppendElement ( &dString, "SetComponentIds" );
    Tcl_DStringAppendElement ( &dString, "SetComponentIds" );
    Tcl_DStringAppendElement ( &dString, "GetComponentIds" );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacings" );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacings" );
    Tcl_DStringAppendElement ( &dString, "GetGridSpacings" );
    Tcl_DStringAppendElement ( &dString, "SetTransformVectors" );
    Tcl_DStringAppendElement ( &dString, "GetTransformVectorsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTransformVectorsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "TransformVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "TransformVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "GetTransformVectors" );
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
    Tcl_DStringAppendElement ( &dString, "SetVectorShiftScale" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    Tcl_DStringAppendElement ( &dString, "SetLIC" );
    Tcl_DStringAppendElement ( &dString, "GetLIC" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLineIntegralConvolution2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnhancedLIC */
    if ( strcmp ( argv[2], "SetEnhancedLIC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnhancedLIC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnhancedLIC */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnhancedLIC(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetEnhancedLIC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnhancedLIC */
    if ( strcmp ( argv[2], "GetEnhancedLIC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnhancedLIC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnhancedLIC */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnhancedLIC();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetEnhancedLIC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnhancedLICOn */
    if ( strcmp ( argv[2], "EnhancedLICOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnhancedLICOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnhancedLICOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for EnhancedLICOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnhancedLICOff */
    if ( strcmp ( argv[2], "EnhancedLICOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnhancedLICOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnhancedLICOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for EnhancedLICOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLICForSurface */
    if ( strcmp ( argv[2], "SetLICForSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLICForSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLICForSurface */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLICForSurface(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetLICForSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLICForSurface */
    if ( strcmp ( argv[2], "GetLICForSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLICForSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLICForSurface */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetLICForSurface();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetLICForSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LICForSurfaceOn */
    if ( strcmp ( argv[2], "LICForSurfaceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LICForSurfaceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LICForSurfaceOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void LICForSurfaceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for LICForSurfaceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LICForSurfaceOff */
    if ( strcmp ( argv[2], "LICForSurfaceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LICForSurfaceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LICForSurfaceOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void LICForSurfaceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for LICForSurfaceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSteps */
    if ( strcmp ( argv[2], "SetNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Number of streamline integration steps (initial value is 1).\n In term of visual quality, the greater (within some range) the better.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSteps(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSteps */
    if ( strcmp ( argv[2], "GetNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Number of streamline integration steps (initial value is 1).\n In term of visual quality, the greater (within some range) the better.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLICStepSize */
    if ( strcmp ( argv[2], "SetLICStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLICStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLICStepSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range \\[0, 1\\].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLICStepSize(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetLICStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLICStepSizeMinValue */
    if ( strcmp ( argv[2], "GetLICStepSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLICStepSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLICStepSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range \\[0, 1\\].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLICStepSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetLICStepSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLICStepSizeMaxValue */
    if ( strcmp ( argv[2], "GetLICStepSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLICStepSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLICStepSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range \\[0, 1\\].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLICStepSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetLICStepSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLICStepSize */
    if ( strcmp ( argv[2], "GetLICStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLICStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLICStepSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range \\[0, 1\\].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLICStepSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetLICStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNoise */
    if ( strcmp ( argv[2], "SetNoise" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoise" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoise */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input white noise texture (initial value is NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNoise(vtkTextureObject *noise);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetNoise */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNoise */
    if ( strcmp ( argv[2], "GetNoise" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoise" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoise */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input white noise texture (initial value is NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject *GetNoise();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetNoise */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorField */
    if ( strcmp ( argv[2], "SetVectorField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorField */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vector field (initial value is NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorField(vtkTextureObject *vectorField);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetVectorField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorField */
    if ( strcmp ( argv[2], "GetVectorField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorField */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vector field (initial value is NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject *GetVectorField();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetVectorField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentIds */
    if ( strcmp ( argv[2], "SetComponentIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentIds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentIds(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetComponentIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentIds */
    if ( strcmp ( argv[2], "SetComponentIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentIds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentIds(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetComponentIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentIds */
    if ( strcmp ( argv[2], "GetComponentIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentIds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetComponentIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetComponentIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridSpacings */
    if ( strcmp ( argv[2], "SetGridSpacings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridSpacings */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGridSpacings(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetGridSpacings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridSpacings */
    if ( strcmp ( argv[2], "SetGridSpacings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridSpacings */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGridSpacings(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetGridSpacings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridSpacings */
    if ( strcmp ( argv[2], "GetGridSpacings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridSpacings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridSpacings */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetGridSpacings();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetGridSpacings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransformVectors */
    if ( strcmp ( argv[2], "SetTransformVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransformVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransformVectors */
    Tcl_DStringAppendElement ( &dString, " This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTransformVectors(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetTransformVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformVectorsMinValue */
    if ( strcmp ( argv[2], "GetTransformVectorsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformVectorsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformVectorsMinValue */
    Tcl_DStringAppendElement ( &dString, " This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTransformVectorsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetTransformVectorsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformVectorsMaxValue */
    if ( strcmp ( argv[2], "GetTransformVectorsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformVectorsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformVectorsMaxValue */
    Tcl_DStringAppendElement ( &dString, " This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTransformVectorsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetTransformVectorsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TransformVectorsOn */
    if ( strcmp ( argv[2], "TransformVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TransformVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TransformVectorsOn */
    Tcl_DStringAppendElement ( &dString, " This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "void TransformVectorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for TransformVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TransformVectorsOff */
    if ( strcmp ( argv[2], "TransformVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TransformVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TransformVectorsOff */
    Tcl_DStringAppendElement ( &dString, " This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "void TransformVectorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for TransformVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformVectors */
    if ( strcmp ( argv[2], "GetTransformVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformVectors */
    Tcl_DStringAppendElement ( &dString, " This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTransformVectors();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetTransformVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnification */
    if ( strcmp ( argv[2], "SetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnification */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor (default is 1.0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnification(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnificationMinValue */
    if ( strcmp ( argv[2], "GetMagnificationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnificationMinValue */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor (default is 1.0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnificationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetMagnificationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnificationMaxValue */
    if ( strcmp ( argv[2], "GetMagnificationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnificationMaxValue */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor (default is 1.0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnificationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetMagnificationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnification */
    if ( strcmp ( argv[2], "GetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnification */
    Tcl_DStringAppendElement ( &dString, " The the magnification factor (default is 1.0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnification();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorShiftScale */
    if ( strcmp ( argv[2], "SetVectorShiftScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorShiftScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorShiftScale */
    Tcl_DStringAppendElement ( &dString, " On machines where the vector field texture is clamped between \\[0,1\\], one \n can specify the shift/scale factor used to convert the original vector \n field to lie in the clamped range. Default is (0.0, 1.0);\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorShiftScale(double shift, double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetVectorShiftScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Returns if the context supports the required extensions.\n" );
    Tcl_DStringAppendElement ( &dString, "static bool IsSupported(vtkRenderWindow *renWin);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Execute */
    if ( strcmp ( argv[2], "Execute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Execute */
    Tcl_DStringAppendElement ( &dString, " Perform the LIC and obtain the LIC texture. Return 1 if no error.\n" );
    Tcl_DStringAppendElement ( &dString, "int Execute();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for Execute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Execute */
    if ( strcmp ( argv[2], "Execute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Execute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Execute */
    Tcl_DStringAppendElement ( &dString, " Same as Execute() except that the LIC operation is performed only on a\n window (given by the \\c extent) in the input VectorField. The \\c extent\n is relative to the input VectorField. The output LIC image will be of \n the size specified by extent.\n" );
    Tcl_DStringAppendElement ( &dString, "int Execute(int extent\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for Execute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLIC */
    if ( strcmp ( argv[2], "SetLIC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLIC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLIC */
    Tcl_DStringAppendElement ( &dString, " LIC texture (initial value is NULL) set by Execute().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLIC(vtkTextureObject *lic);" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for SetLIC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLIC */
    if ( strcmp ( argv[2], "GetLIC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLIC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLIC */
    Tcl_DStringAppendElement ( &dString, " LIC texture (initial value is NULL) set by Execute().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject *GetLIC();" );
    Tcl_DStringAppendElement ( &dString, "vtkLineIntegralConvolution2D" );
    /* Closing for GetLIC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
