// tcl wrapper for vtkMapArrayValues object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMapArrayValues.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMapArrayValuesNewCommand()
{
  vtkMapArrayValues *temp = vtkMapArrayValues::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMapArrayValuesCppCommand(vtkMapArrayValues *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMapArrayValuesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMapArrayValuesCppCommand(static_cast<vtkMapArrayValues *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMapArrayValuesCppCommand(vtkMapArrayValues *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMapArrayValues",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMapArrayValues  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMapArrayValues");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMapArrayValues  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMapArrayValues");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMapArrayValues  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMapArrayValues");
    return TCL_OK;
    }
  if ((!strcmp("SetFieldType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFieldType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPassArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassArrayOn",argv[1]))&&(argc == 2))
    {
    op->PassArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassArrayOff",argv[1]))&&(argc == 2))
    {
    op->PassArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFillValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFillValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFillValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFillValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInputArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOutputArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetOutputArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOutputArrayType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputArrayType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputArrayType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputArrayType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddToMap",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddToMap(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddToMap",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->AddToMap(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddToMap",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddToMap(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddToMap",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->AddToMap(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearMap",argv[1]))&&(argc == 2))
    {
    op->ClearMap();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMapSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMapSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMapArrayValuesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMapArrayValues:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldType\n",NULL);
    Tcl_AppendResult(interp,"  SetPassArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassArray\n",NULL);
    Tcl_AppendResult(interp,"  PassArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  PassArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFillValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFillValue\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputArrayType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputArrayType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddToMap\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddToMap\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddToMap\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddToMap\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearMap\n",NULL);
    Tcl_AppendResult(interp,"  GetMapSize\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetFieldType" );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    Tcl_DStringAppendElement ( &dString, "SetPassArray" );
    Tcl_DStringAppendElement ( &dString, "GetPassArray" );
    Tcl_DStringAppendElement ( &dString, "PassArrayOn" );
    Tcl_DStringAppendElement ( &dString, "PassArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetFillValue" );
    Tcl_DStringAppendElement ( &dString, "GetFillValue" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetInputArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetOutputArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetOutputArrayType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayType" );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    Tcl_DStringAppendElement ( &dString, "ClearMap" );
    Tcl_DStringAppendElement ( &dString, "GetMapSize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMapArrayValues *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldType */
    if ( strcmp ( argv[2], "SetFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldType */
    Tcl_DStringAppendElement ( &dString, " Set/Get where the data is located that is being mapped.\n See FieldType enumeration for possible values.\n Default is POINT_DATA.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for SetFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldType */
    if ( strcmp ( argv[2], "GetFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldType */
    Tcl_DStringAppendElement ( &dString, " Set/Get where the data is located that is being mapped.\n See FieldType enumeration for possible values.\n Default is POINT_DATA.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldType();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassArray */
    if ( strcmp ( argv[2], "SetPassArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassArray */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for SetPassArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassArray */
    if ( strcmp ( argv[2], "GetPassArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassArray */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetPassArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassArrayOn */
    if ( strcmp ( argv[2], "PassArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassArrayOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for PassArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassArrayOff */
    if ( strcmp ( argv[2], "PassArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassArrayOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for PassArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillValue */
    if ( strcmp ( argv[2], "SetFillValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFillValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for SetFillValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillValue */
    if ( strcmp ( argv[2], "GetFillValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFillValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetFillValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArrayName */
    if ( strcmp ( argv[2], "SetInputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the input array. This must be set prior to execution.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for SetInputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputArrayName */
    if ( strcmp ( argv[2], "GetInputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the input array. This must be set prior to execution.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetInputArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetInputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputArrayName */
    if ( strcmp ( argv[2], "SetOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the output array. Default is \"ArrayMap\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for SetOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputArrayName */
    if ( strcmp ( argv[2], "GetOutputArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the output array. Default is \"ArrayMap\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetOutputArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetOutputArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputArrayType */
    if ( strcmp ( argv[2], "GetOutputArrayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputArrayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputArrayType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of the output array. See vtkSetGet.h for possible values. \n Default is VTK_INT.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputArrayType();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetOutputArrayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputArrayType */
    if ( strcmp ( argv[2], "SetOutputArrayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputArrayType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of the output array. See vtkSetGet.h for possible values. \n Default is VTK_INT.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputArrayType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for SetOutputArrayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddToMap */
    if ( strcmp ( argv[2], "AddToMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddToMap */
    Tcl_DStringAppendElement ( &dString, " Add to the internal STL map. \"from\" should be a value in the input array and\n \"to\" should be the new value it gets assigned in the output array. \n" );
    Tcl_DStringAppendElement ( &dString, "void AddToMap(int from, int to);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for AddToMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddToMap */
    if ( strcmp ( argv[2], "AddToMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddToMap */
    Tcl_DStringAppendElement ( &dString, " Add to the internal STL map. \"from\" should be a value in the input array and\n \"to\" should be the new value it gets assigned in the output array. \n" );
    Tcl_DStringAppendElement ( &dString, "void AddToMap(int from, char *to);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for AddToMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddToMap */
    if ( strcmp ( argv[2], "AddToMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddToMap */
    Tcl_DStringAppendElement ( &dString, " Add to the internal STL map. \"from\" should be a value in the input array and\n \"to\" should be the new value it gets assigned in the output array. \n" );
    Tcl_DStringAppendElement ( &dString, "void AddToMap(char *from, int to);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for AddToMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddToMap */
    if ( strcmp ( argv[2], "AddToMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddToMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddToMap */
    Tcl_DStringAppendElement ( &dString, " Add to the internal STL map. \"from\" should be a value in the input array and\n \"to\" should be the new value it gets assigned in the output array. \n" );
    Tcl_DStringAppendElement ( &dString, "void AddToMap(char *from, char *to);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for AddToMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearMap */
    if ( strcmp ( argv[2], "ClearMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearMap */
    Tcl_DStringAppendElement ( &dString, " Clear the internal map.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearMap();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for ClearMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMapSize */
    if ( strcmp ( argv[2], "GetMapSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMapSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMapSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of the internal map.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMapSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapArrayValues" );
    /* Closing for GetMapSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
