// tcl wrapper for vtkMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkAbstractMapper3DCppCommand(vtkAbstractMapper3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMapperCppCommand(vtkMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMapperCppCommand(static_cast<vtkMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMapperCppCommand(vtkMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractMapper3DCppCommand(static_cast<vtkAbstractMapper3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractMapper3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMapper");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkAbstractMapper  *temp0;
    error = 0;

    temp0 = (vtkAbstractMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractMapper"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLookupTable",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLookupTable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ScalarVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ScalarVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStatic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStatic",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStatic();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StaticOn",argv[1]))&&(argc == 2))
    {
    op->StaticOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StaticOff",argv[1]))&&(argc == 2))
    {
    op->StaticOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToMapScalars",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToMapScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetColorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolateScalarsBeforeMapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolateScalarsBeforeMapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolateScalarsBeforeMapping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolateScalarsBeforeMapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InterpolateScalarsBeforeMappingOn",argv[1]))&&(argc == 2))
    {
    op->InterpolateScalarsBeforeMappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InterpolateScalarsBeforeMappingOff",argv[1]))&&(argc == 2))
    {
    op->InterpolateScalarsBeforeMappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseLookupTableScalarRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLookupTableScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseLookupTableScalarRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseLookupTableScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOn",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOff",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImmediateModeRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImmediateModeRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImmediateModeRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImmediateModeRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ImmediateModeRenderingOn",argv[1]))&&(argc == 2))
    {
    op->ImmediateModeRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ImmediateModeRenderingOff",argv[1]))&&(argc == 2))
    {
    op->ImmediateModeRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalImmediateModeRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalImmediateModeRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GlobalImmediateModeRenderingOn",argv[1]))&&(argc == 2))
    {
    op->GlobalImmediateModeRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GlobalImmediateModeRenderingOff",argv[1]))&&(argc == 2))
    {
    op->GlobalImmediateModeRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalImmediateModeRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalImmediateModeRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetForceCompileOnly",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetForceCompileOnly();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForceCompileOnly",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetForceCompileOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectColorArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectColorArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectColorArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectColorArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorByArrayComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArrayComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorByArrayComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArrayComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetArrayId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayAccessMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayAccessMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopology",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResolveCoincidentTopology(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolveCoincidentTopology",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResolveCoincidentTopology();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToDefault",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToOff",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToPolygonOffset",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToPolygonOffset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToShiftZBuffer",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToShiftZBuffer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyPolygonOffsetParameters",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetResolveCoincidentTopologyPolygonOffsetParameters(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolveCoincidentTopologyPolygonOffsetFaces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResolveCoincidentTopologyPolygonOffsetFaces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolveCoincidentTopologyPolygonOffsetFaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResolveCoincidentTopologyPolygonOffsetFaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyZShift",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResolveCoincidentTopologyZShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolveCoincidentTopologyZShift",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResolveCoincidentTopologyZShift();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRenderTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRenderTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetInputAsDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetInputAsDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("MapScalars",argv[1]))&&(argc == 3))
    {
    double   temp0;
    vtkUnsignedCharArray  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->MapScalars(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarMaterialMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMaterialMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMaterialMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMaterialMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToAmbient",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToAmbient();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToDiffuse",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToDiffuse();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToAmbientAndDiffuse",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToAmbientAndDiffuse();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarMaterialModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarMaterialModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetIsOpaque",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetIsOpaque();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSupportsSelection",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSupportsSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ScalarVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStatic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStatic\n",NULL);
    Tcl_AppendResult(interp,"  StaticOn\n",NULL);
    Tcl_AppendResult(interp,"  StaticOff\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToMapScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolateScalarsBeforeMapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolateScalarsBeforeMapping\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateScalarsBeforeMappingOn\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateScalarsBeforeMappingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLookupTableScalarRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseLookupTableScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOn\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  SetImmediateModeRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImmediateModeRendering\n",NULL);
    Tcl_AppendResult(interp,"  ImmediateModeRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ImmediateModeRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalImmediateModeRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GlobalImmediateModeRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  GlobalImmediateModeRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalImmediateModeRendering\n",NULL);
    Tcl_AppendResult(interp,"  GetForceCompileOnly\n",NULL);
    Tcl_AppendResult(interp,"  SetForceCompileOnly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SelectColorArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectColorArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArrayComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArrayComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayId\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayAccessMode\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopology\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolveCoincidentTopology\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToPolygonOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToShiftZBuffer\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyPolygonOffsetParameters\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyPolygonOffsetFaces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolveCoincidentTopologyPolygonOffsetFaces\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyZShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolveCoincidentTopologyZShift\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetInputAsDataSet\n",NULL);
    Tcl_AppendResult(interp,"  MapScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMaterialMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToAmbientAndDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMaterialModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  GetIsOpaque\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportsSelection\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetScalarVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetScalarVisibility" );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetStatic" );
    Tcl_DStringAppendElement ( &dString, "GetStatic" );
    Tcl_DStringAppendElement ( &dString, "StaticOn" );
    Tcl_DStringAppendElement ( &dString, "StaticOff" );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToMapScalars" );
    Tcl_DStringAppendElement ( &dString, "GetColorModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateScalarsBeforeMapping" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateScalarsBeforeMapping" );
    Tcl_DStringAppendElement ( &dString, "InterpolateScalarsBeforeMappingOn" );
    Tcl_DStringAppendElement ( &dString, "InterpolateScalarsBeforeMappingOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTableScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTableScalarRange" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOn" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetImmediateModeRendering" );
    Tcl_DStringAppendElement ( &dString, "GetImmediateModeRendering" );
    Tcl_DStringAppendElement ( &dString, "ImmediateModeRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "ImmediateModeRenderingOff" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalImmediateModeRendering" );
    Tcl_DStringAppendElement ( &dString, "GlobalImmediateModeRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "GlobalImmediateModeRenderingOff" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalImmediateModeRendering" );
    Tcl_DStringAppendElement ( &dString, "GetForceCompileOnly" );
    Tcl_DStringAppendElement ( &dString, "SetForceCompileOnly" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointFieldData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellFieldData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseFieldData" );
    Tcl_DStringAppendElement ( &dString, "SelectColorArray" );
    Tcl_DStringAppendElement ( &dString, "SelectColorArray" );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopology" );
    Tcl_DStringAppendElement ( &dString, "GetResolveCoincidentTopology" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToOff" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToPolygonOffset" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToShiftZBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyPolygonOffsetParameters" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyPolygonOffsetFaces" );
    Tcl_DStringAppendElement ( &dString, "GetResolveCoincidentTopologyPolygonOffsetFaces" );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyZShift" );
    Tcl_DStringAppendElement ( &dString, "GetResolveCoincidentTopologyZShift" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInputAsDataSet" );
    Tcl_DStringAppendElement ( &dString, "MapScalars" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMaterialMode" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToAmbient" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToDiffuse" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToAmbientAndDiffuse" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMaterialModeAsString" );
    Tcl_DStringAppendElement ( &dString, "GetIsOpaque" );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Make a shallow copy of this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkAbstractMapper *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Overload standard modified time function. If lookup table is modified,\n then this object is modified as well.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Method initiates the mapping process. Generally sent by the actor \n as each frame is rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *ren, vtkActor *a) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the mapper to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTable(vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the mapper to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLookupTable */
    if ( strcmp ( argv[2], "CreateDefaultLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLookupTable */
    Tcl_DStringAppendElement ( &dString, " Create default lookup table. Generally used to create one when none\n is available with the scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateDefaultLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for CreateDefaultLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarVisibility */
    if ( strcmp ( argv[2], "SetScalarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarVisibility */
    if ( strcmp ( argv[2], "GetScalarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetScalarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarVisibilityOn */
    if ( strcmp ( argv[2], "ScalarVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ScalarVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarVisibilityOff */
    if ( strcmp ( argv[2], "ScalarVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ScalarVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStatic */
    if ( strcmp ( argv[2], "SetStatic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStatic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStatic */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStatic(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetStatic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStatic */
    if ( strcmp ( argv[2], "GetStatic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStatic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStatic */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStatic();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetStatic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticOn */
    if ( strcmp ( argv[2], "StaticOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for StaticOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticOff */
    if ( strcmp ( argv[2], "StaticOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for StaticOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToDefault */
    if ( strcmp ( argv[2], "SetColorModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetColorModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToMapScalars */
    if ( strcmp ( argv[2], "SetColorModeToMapScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToMapScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToMapScalars */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToMapScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetColorModeToMapScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorModeAsString */
    if ( strcmp ( argv[2], "GetColorModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorModeAsString */
    Tcl_DStringAppendElement ( &dString, " Return the method of coloring scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetColorModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetColorModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolateScalarsBeforeMapping */
    if ( strcmp ( argv[2], "SetInterpolateScalarsBeforeMapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateScalarsBeforeMapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolateScalarsBeforeMapping */
    Tcl_DStringAppendElement ( &dString, " By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolateScalarsBeforeMapping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetInterpolateScalarsBeforeMapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolateScalarsBeforeMapping */
    if ( strcmp ( argv[2], "GetInterpolateScalarsBeforeMapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateScalarsBeforeMapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolateScalarsBeforeMapping */
    Tcl_DStringAppendElement ( &dString, " By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolateScalarsBeforeMapping();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetInterpolateScalarsBeforeMapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateScalarsBeforeMappingOn */
    if ( strcmp ( argv[2], "InterpolateScalarsBeforeMappingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateScalarsBeforeMappingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateScalarsBeforeMappingOn */
    Tcl_DStringAppendElement ( &dString, " By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateScalarsBeforeMappingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for InterpolateScalarsBeforeMappingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateScalarsBeforeMappingOff */
    if ( strcmp ( argv[2], "InterpolateScalarsBeforeMappingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateScalarsBeforeMappingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateScalarsBeforeMappingOff */
    Tcl_DStringAppendElement ( &dString, " By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateScalarsBeforeMappingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for InterpolateScalarsBeforeMappingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseLookupTableScalarRange */
    if ( strcmp ( argv[2], "SetUseLookupTableScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTableScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseLookupTableScalarRange */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseLookupTableScalarRange(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetUseLookupTableScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseLookupTableScalarRange */
    if ( strcmp ( argv[2], "GetUseLookupTableScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTableScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseLookupTableScalarRange */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseLookupTableScalarRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetUseLookupTableScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableScalarRangeOn */
    if ( strcmp ( argv[2], "UseLookupTableScalarRangeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableScalarRangeOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableScalarRangeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for UseLookupTableScalarRangeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableScalarRangeOff */
    if ( strcmp ( argv[2], "UseLookupTableScalarRangeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableScalarRangeOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableScalarRangeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for UseLookupTableScalarRangeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarRange */
    if ( strcmp ( argv[2], "GetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarRange */
    Tcl_DStringAppendElement ( &dString, " Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetScalarRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImmediateModeRendering */
    if ( strcmp ( argv[2], "SetImmediateModeRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImmediateModeRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImmediateModeRendering */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImmediateModeRendering(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetImmediateModeRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImmediateModeRendering */
    if ( strcmp ( argv[2], "GetImmediateModeRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImmediateModeRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImmediateModeRendering */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImmediateModeRendering();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetImmediateModeRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ImmediateModeRenderingOn */
    if ( strcmp ( argv[2], "ImmediateModeRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ImmediateModeRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ImmediateModeRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void ImmediateModeRenderingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ImmediateModeRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ImmediateModeRenderingOff */
    if ( strcmp ( argv[2], "ImmediateModeRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ImmediateModeRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ImmediateModeRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void ImmediateModeRenderingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ImmediateModeRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalImmediateModeRendering */
    if ( strcmp ( argv[2], "SetGlobalImmediateModeRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalImmediateModeRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalImmediateModeRendering */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalImmediateModeRendering(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetGlobalImmediateModeRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GlobalImmediateModeRenderingOn */
    if ( strcmp ( argv[2], "GlobalImmediateModeRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GlobalImmediateModeRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GlobalImmediateModeRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GlobalImmediateModeRenderingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GlobalImmediateModeRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GlobalImmediateModeRenderingOff */
    if ( strcmp ( argv[2], "GlobalImmediateModeRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GlobalImmediateModeRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GlobalImmediateModeRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GlobalImmediateModeRenderingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GlobalImmediateModeRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalImmediateModeRendering */
    if ( strcmp ( argv[2], "GetGlobalImmediateModeRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalImmediateModeRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalImmediateModeRendering */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalImmediateModeRendering();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetGlobalImmediateModeRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceCompileOnly */
    if ( strcmp ( argv[2], "GetForceCompileOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceCompileOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceCompileOnly */
    Tcl_DStringAppendElement ( &dString, " Force compile only mode in case display lists are used\n (ImmediateModeRendering is false). If ImmediateModeRendering is true,\n no rendering happens. Changing the value of this flag does not change\n modified time of the mapper. Initial value is false.\n This can be used by another rendering class which also uses display lists\n (call of display lists can be nested but not their creation.)\n There is no good reason to expose it to wrappers.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetForceCompileOnly();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetForceCompileOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceCompileOnly */
    if ( strcmp ( argv[2], "SetForceCompileOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceCompileOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceCompileOnly */
    Tcl_DStringAppendElement ( &dString, " Force compile only mode in case display lists are used\n (ImmediateModeRendering is false). If ImmediateModeRendering is true,\n no rendering happens. Changing the value of this flag does not change\n modified time of the mapper. Initial value is false.\n This can be used by another rendering class which also uses display lists\n (call of display lists can be nested but not their creation.)\n There is no good reason to expose it to wrappers.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceCompileOnly(int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetForceCompileOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMode */
    if ( strcmp ( argv[2], "GetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToDefault */
    if ( strcmp ( argv[2], "SetScalarModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUsePointData */
    if ( strcmp ( argv[2], "SetScalarModeToUsePointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUsePointData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUsePointData();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarModeToUsePointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUseCellData */
    if ( strcmp ( argv[2], "SetScalarModeToUseCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUseCellData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUseCellData();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarModeToUseCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUsePointFieldData */
    if ( strcmp ( argv[2], "SetScalarModeToUsePointFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUsePointFieldData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUsePointFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarModeToUsePointFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUseCellFieldData */
    if ( strcmp ( argv[2], "SetScalarModeToUseCellFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUseCellFieldData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUseCellFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarModeToUseCellFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUseFieldData */
    if ( strcmp ( argv[2], "SetScalarModeToUseFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUseFieldData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUseFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarModeToUseFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectColorArray */
    if ( strcmp ( argv[2], "SelectColorArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectColorArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectColorArray */
    Tcl_DStringAppendElement ( &dString, " When ScalarMode is set to UsePointFieldData or UseCellFieldData,\n you can specify which array to use for coloring using these methods.\n The lookup table will decide how to convert vectors to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectColorArray(int arrayNum);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SelectColorArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectColorArray */
    if ( strcmp ( argv[2], "SelectColorArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectColorArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectColorArray */
    Tcl_DStringAppendElement ( &dString, " When ScalarMode is set to UsePointFieldData or UseCellFieldData,\n you can specify which array to use for coloring using these methods.\n The lookup table will decide how to convert vectors to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectColorArray(const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SelectColorArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorByArrayComponent */
    if ( strcmp ( argv[2], "ColorByArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorByArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Legacy:\n These methods used to be used to specify the array component.\n It is better to do this in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorByArrayComponent(int arrayNum, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ColorByArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorByArrayComponent */
    if ( strcmp ( argv[2], "ColorByArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorByArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Legacy:\n These methods used to be used to specify the array component.\n It is better to do this in the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorByArrayComponent(const char *arrayName, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for ColorByArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayName */
    if ( strcmp ( argv[2], "GetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayId */
    if ( strcmp ( argv[2], "GetArrayId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayId */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayId();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetArrayId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayAccessMode */
    if ( strcmp ( argv[2], "GetArrayAccessMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayAccessMode */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayAccessMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetArrayAccessMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayComponent */
    if ( strcmp ( argv[2], "GetArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeAsString */
    if ( strcmp ( argv[2], "GetScalarModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeAsString */
    Tcl_DStringAppendElement ( &dString, " Return the method for obtaining scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetScalarModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopology */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopology" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopology" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopology */
    Tcl_DStringAppendElement ( &dString, " Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable resu ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopology(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopology */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolveCoincidentTopology */
    if ( strcmp ( argv[2], "GetResolveCoincidentTopology" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolveCoincidentTopology" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolveCoincidentTopology */
    Tcl_DStringAppendElement ( &dString, " Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable resu ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetResolveCoincidentTopology();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetResolveCoincidentTopology */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopologyToDefault */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopologyToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopologyToDefault */
    Tcl_DStringAppendElement ( &dString, " Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable resu ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopologyToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopologyToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopologyToOff */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopologyToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopologyToOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable resu ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopologyToOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopologyToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopologyToPolygonOffset */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopologyToPolygonOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToPolygonOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopologyToPolygonOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable resu ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopologyToPolygonOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopologyToPolygonOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopologyToShiftZBuffer */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopologyToShiftZBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyToShiftZBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopologyToShiftZBuffer */
    Tcl_DStringAppendElement ( &dString, " Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable resu ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopologyToShiftZBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopologyToShiftZBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopologyPolygonOffsetParameters */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopologyPolygonOffsetParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyPolygonOffsetParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopologyPolygonOffsetParameters */
    Tcl_DStringAppendElement ( &dString, " Used to set the polygon offset scale factor and units.\n Used when ResolveCoincidentTopology is set to PolygonOffset. \n These are global variables.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopologyPolygonOffsetParameters(double factor, double units);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopologyPolygonOffsetParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopologyPolygonOffsetFaces */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopologyPolygonOffsetFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyPolygonOffsetFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopologyPolygonOffsetFaces */
    Tcl_DStringAppendElement ( &dString, " Used when ResolveCoincidentTopology is set to PolygonOffset. The polygon\n offset can be applied either to the solid polygonal faces or the\n lines/vertices. When set (default), the offset is applied to the faces \n otherwise it is applied to lines and vertices.\n This is a global variable.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopologyPolygonOffsetFaces(int faces);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopologyPolygonOffsetFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolveCoincidentTopologyPolygonOffsetFaces */
    if ( strcmp ( argv[2], "GetResolveCoincidentTopologyPolygonOffsetFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolveCoincidentTopologyPolygonOffsetFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolveCoincidentTopologyPolygonOffsetFaces */
    Tcl_DStringAppendElement ( &dString, " Used when ResolveCoincidentTopology is set to PolygonOffset. The polygon\n offset can be applied either to the solid polygonal faces or the\n lines/vertices. When set (default), the offset is applied to the faces \n otherwise it is applied to lines and vertices.\n This is a global variable.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetResolveCoincidentTopologyPolygonOffsetFaces();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetResolveCoincidentTopologyPolygonOffsetFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolveCoincidentTopologyZShift */
    if ( strcmp ( argv[2], "SetResolveCoincidentTopologyZShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolveCoincidentTopologyZShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolveCoincidentTopologyZShift */
    Tcl_DStringAppendElement ( &dString, " Used to set the z-shift if ResolveCoincidentTopology is set to\n ShiftZBuffer. This is a global variable.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetResolveCoincidentTopologyZShift(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetResolveCoincidentTopologyZShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolveCoincidentTopologyZShift */
    if ( strcmp ( argv[2], "GetResolveCoincidentTopologyZShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolveCoincidentTopologyZShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolveCoincidentTopologyZShift */
    Tcl_DStringAppendElement ( &dString, " Used to set the z-shift if ResolveCoincidentTopology is set to\n ShiftZBuffer. This is a global variable.\n" );
    Tcl_DStringAppendElement ( &dString, "static double GetResolveCoincidentTopologyZShift();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetResolveCoincidentTopologyZShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderTime */
    if ( strcmp ( argv[2], "SetRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderTime */
    Tcl_DStringAppendElement ( &dString, " This instance variable is used by vtkLODActor to determine which\n mapper to use.  It is an estimate of the time necessary to render.\n Setting the render time does not modify the mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderTime(double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderTime */
    if ( strcmp ( argv[2], "GetRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderTime */
    Tcl_DStringAppendElement ( &dString, " This instance variable is used by vtkLODActor to determine which\n mapper to use.  It is an estimate of the time necessary to render.\n Setting the render time does not modify the mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRenderTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get the input as a vtkDataSet.  This method is overridden in\n the specialized mapper classes to return more specific data types.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputAsDataSet */
    if ( strcmp ( argv[2], "GetInputAsDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputAsDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputAsDataSet */
    Tcl_DStringAppendElement ( &dString, " Get the input to this mapper as a vtkDataSet, instead of as a \n more specialized data type that the subclass may return from\n GetInput().  This method is provided for use in the wrapper languages,\n C++ programmers should use GetInput() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetInputAsDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetInputAsDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MapScalars */
    if ( strcmp ( argv[2], "MapScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MapScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MapScalars */
    Tcl_DStringAppendElement ( &dString, " Map the scalars (if there are any scalars and ScalarVisibility is on)\n through the lookup table, returning an unsigned char RGBA array. This is\n typically done as part of the rendering process. The alpha parameter \n allows the blending of the scalars with an additional alpha (typically\n which comes from a vtkActor, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray *MapScalars(double alpha);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for MapScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMaterialMode */
    if ( strcmp ( argv[2], "SetScalarMaterialMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMaterialMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light-model color mode. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMaterialMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarMaterialMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMaterialMode */
    if ( strcmp ( argv[2], "GetScalarMaterialMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMaterialMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMaterialMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light-model color mode. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMaterialMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetScalarMaterialMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMaterialModeToDefault */
    if ( strcmp ( argv[2], "SetScalarMaterialModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMaterialModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light-model color mode. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMaterialModeToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarMaterialModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMaterialModeToAmbient */
    if ( strcmp ( argv[2], "SetScalarMaterialModeToAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMaterialModeToAmbient */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light-model color mode. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMaterialModeToAmbient();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarMaterialModeToAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMaterialModeToDiffuse */
    if ( strcmp ( argv[2], "SetScalarMaterialModeToDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMaterialModeToDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light-model color mode. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMaterialModeToDiffuse();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarMaterialModeToDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMaterialModeToAmbientAndDiffuse */
    if ( strcmp ( argv[2], "SetScalarMaterialModeToAmbientAndDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMaterialModeToAmbientAndDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMaterialModeToAmbientAndDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the light-model color mode. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMaterialModeToAmbientAndDiffuse();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for SetScalarMaterialModeToAmbientAndDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMaterialModeAsString */
    if ( strcmp ( argv[2], "GetScalarMaterialModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMaterialModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMaterialModeAsString */
    Tcl_DStringAppendElement ( &dString, " Return the light-model color mode.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarMaterialModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetScalarMaterialModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIsOpaque */
    if ( strcmp ( argv[2], "GetIsOpaque" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIsOpaque" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIsOpaque */
    Tcl_DStringAppendElement ( &dString, " Returns if the mapper does not expect to have translucent geometry. This\n may happen when using ColorMode is set to not map scalars i.e. render the\n scalar array directly as colors and the scalar array has opacity i.e. alpha\n component.  Default implementation simply returns true. Note that even if\n this method returns true, an actor may treat the geometry as translucent\n since a constant translucency is set on the property, for example.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetIsOpaque();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetIsOpaque */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSupportsSelection */
    if ( strcmp ( argv[2], "GetSupportsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSupportsSelection */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Used by vtkHardwareSelector to determine if the prop supports hardware\n selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetSupportsSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    /* Closing for GetSupportsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractMapper3DCppCommand(static_cast<vtkAbstractMapper3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
